#include <gracelib.h>
#include <stdlib.h>
#include <math.h>
#include <float.h>
static char compilerRevision[] = "3929f71a888fe131175684285ef6f3b2ac609a76";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object ObjectType;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_Object;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object type_Type;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "lexer";
Object module_StandardPrelude_init();
static char *originalSourceLines[] = {
  "import \"io\" as io",
  "import \"sys\" as sys",
  "import \"util\" as util",
  "import \"unicode\" as unicode",
  "import \"mgcollections\" as collections",
  "import \"errormessages\" as errormessages",
  "",
  "method padl(s, l, w) {",
  "    if (s.size >= l) then {",
  "        return s",
  "    }",
  "    var s' := s",
  "    while {s'.size < l} do {",
  "        s' := w ++ s'",
  "    }",
  "    return s'",
  "}",
  "",
  "",
  "method new {",
  "    var lineNumber := 1",
  "    var linePosition := 0",
  "    var startPosition := 1",
  "    var indentLevel := 0",
  "    var startLine := 1",
  "    var stringStart",
  "    ",
  "    class Token.new() {",
  "        def line is public = lineNumber",
  "        def indent is public = indentLevel",
  "        def linePos is public = startPosition",
  "",
  "        var next is public := false",
  "        var prev is public := false",
  "",
  "        method ==(other) {",
  "            if (other == false) then {",
  "                false",
  "            } else {",
  "                (other.line == line) && (other.linePos == linePos)",
  "            }",
  "        }",
  "    }",
  "",
  "",
  "    class IdentifierToken.new(s) {",
  "        inherits Token.new",
  "        def kind is public = \"identifier\"",
  "        def value is public = s",
  "        def size is public = s.size",
  "    }",
  "    class StringToken.new(s) {",
  "        inherits Token.new",
  "        def kind is public = \"string\"",
  "        def value is public = s",
  "        def size is public = linePosition - stringStart + 1",
  "    }",
  "    class MultiLineStringToken.new(s) {",
  "        inherits Token.new",
  "        def kind is public = \"string\"",
  "        def value is public = s",
  "        def size is public = s.size + 2",
  "        def line' = startLine",
  "        def linePos' = stringStart",
  "        method line is override { line' }",
  "        method linePos is override { linePos' }",
  "    }",
  "    class CommentToken.new(s) {",
  "        inherits Token.new",
  "        def kind is public = \"comment\"",
  "        def value is public = s",
  "        def size = s.size + 2",
  "    }",
  "    class LBraceToken.new {",
  "        inherits Token.new",
  "        def kind is public = \"lbrace\"",
  "        def value is public = \"\\{\"",
  "        def size is public = 1",
  "    }",
  "    class RBraceToken.new {",
  "        inherits Token.new",
  "        def kind is public = \"rbrace\"",
  "        def value is public = \"}\"",
  "        def size is public = 1",
  "    }",
  "    class LParenToken.new {",
  "        inherits Token.new",
  "        def kind is public = \"lparen\"",
  "        def value is public = \"(\"",
  "        def size is public = 1",
  "    }",
  "    class RParenToken.new {",
  "        inherits Token.new",
  "        def kind is public = \"rparen\"",
  "        def value is public = \")\"",
  "        def size is public = 1",
  "    }",
  "    class LSquareToken.new {",
  "        inherits Token.new",
  "        def kind is public = \"lsquare\"",
  "        def value is public = \"[\"",
  "        def size is public = 1",
  "    }",
  "    class RSquareToken.new {",
  "        inherits Token.new",
  "        def kind is public = \"rsquare\"",
  "        def value is public = \"]\"",
  "        def size is public = 1",
  "    }",
  "    class CommaToken.new {",
  "        inherits Token.new",
  "        def kind is public = \"comma\"",
  "        def value is public = \",\"",
  "        def size is public = 1",
  "    }",
  "    class ColonToken.new {",
  "        inherits Token.new",
  "        def kind is public = \"colon\"",
  "        def value is public = \":\"",
  "        def size is public = 1",
  "    }",
  "    class DotToken.new {",
  "        inherits Token.new",
  "        def kind is public = \"dot\"",
  "        def value is public = \".\"",
  "        def size is public = 1",
  "    }",
  "    class NumToken.new(v, b) {",
  "        inherits Token.new",
  "        def kind is public = \"num\"",
  "        def value is public = v",
  "        def base is public = b",
  "        def size is public = linePosition - startPosition",
  "    }",
  "    class KeywordToken.new(v) {",
  "        inherits Token.new",
  "        def kind is public = \"keyword\"",
  "        def value is public = v",
  "        def size is public = v.size",
  "    }",
  "    class OpToken.new(v) {",
  "        inherits Token.new",
  "        def kind is public = \"op\"",
  "        def value is public = v",
  "        def size is public = v.size",
  "    }",
  "    class ArrowToken.new {",
  "        inherits Token.new",
  "        def kind is public = \"arrow\"",
  "        def value is public = \"->\"",
  "        def size is public = 2",
  "    }",
  "    class BindToken.new {",
  "        inherits Token.new",
  "        def kind is public = \"bind\"",
  "        def value is public = \":=\"",
  "        def size is public = 2",
  "    }",
  "    class SemicolonToken.new {",
  "        inherits Token.new",
  "        def kind is public = \"semicolon\"",
  "        def value is public = \";\"",
  "        def size is public = 1",
  "    }",
  "    class LGenericToken.new {",
  "        inherits Token.new",
  "        def kind is public = \"lgeneric\"",
  "        def value is public = \"<\"",
  "        def size is public = 1",
  "    }",
  "    class RGenericToken.new {",
  "        inherits Token.new",
  "        def kind is public = \"rgeneric\"",
  "        def value is public = \">\"",
  "        def size is public = 1",
  "    }",
  "",
  "",
  "    object {",
  "        // When a new lexical class has begun, add to the tokens list",
  "        // the token corresponding to the previous accumulated data.",
  "        // mode is the previous lexical mode (a string), and accum the",
  "        // accumulated characters since that mode began. Modes are:",
  "",
  "        //   n           Whitespace       i   Identifier",
  "        //   \"           Quoted string    q   extended string",
  "        //   m           Number           o   Any operator",
  "        //   p           Pragma           d   Indentation",
  "        //   c           Comment",
  "        //   ,.{}()[]<>; The corresponding literal character",
  "        //",
  "        // There are three special cases for mode o. If accum is \"->\",",
  "        // \":=\", or \"=\", the corresponding special token is created.",
  "        // For mode i, a keyword token is created for an identifier",
  "        // whose name is a reserved keyword.",
  "        method modechange(tokens, mode, accum) {",
  "            var isDone := false",
  "            var tok := 0",
  "            if ((mode != \"n\") || (accum.size > 0)) then {",
  "                if (mode == \"i\") then {",
  "                    tok := IdentifierToken.new(accum)",
  "                    if ((accum == \"object\") || (accum == \"method\")",
  "                        || (accum == \"var\") || (accum == \"type\")",
  "                        || (accum == \"import\") || (accum == \"class\")",
  "                        || (accum == \"return\") || (accum == \"def\")",
  "                        || (accum == \"inherits\") || (accum == \"is\")",
  "                        || (accum == \"dialect\") || (accum == \"factory\")) then {",
  "                        tok := KeywordToken.new(accum)",
  "                    }",
  "                    tokens.push(tok)",
  "                    isDone := true",
  "                }",
  "                if (mode == \"I\") then {",
  "                    tok := IdentifierToken.new(accum)",
  "                    tokens.push(tok)",
  "                    isDone := true",
  "                } elseif (mode == \"\\\"\") then {",
  "                    tok := StringToken.new(accum)",
  "                    tokens.push(tok)",
  "                    isDone := true",
  "                } elseif (mode == \"q\") then {",
  "                    tok := MultiLineStringToken.new(accum)",
  "                    tokens.push(tok)",
  "                    isDone := true",
  "                } elseif (mode == \"x\") then {",
  "                    ProgrammingError.raise \"obsolete Octet-token mode in lexer\\n\"",
  "                    tokens.push(tok)",
  "                    isDone := true",
  "                } elseif (mode == \",\") then {",
  "                    tok := CommaToken.new",
  "                    tokens.push(tok)",
  "                    isDone := true",
  "                } elseif (mode == \".\") then {",
  "                    tok := DotToken.new",
  "                    tokens.push(tok)",
  "                    isDone := true",
  "                } elseif (mode == \"\\{\") then {",
  "                    tok := LBraceToken.new",
  "                    tokens.push(tok)",
  "                    isDone := true",
  "                } elseif (mode == \"}\") then {",
  "                    tok := RBraceToken.new",
  "                    tokens.push(tok)",
  "                    isDone := true",
  "                } elseif (mode == \"(\") then {",
  "                    tok := LParenToken.new",
  "                    tokens.push(tok)",
  "                    isDone := true",
  "                } elseif (mode == \")\") then {",
  "                    tok := RParenToken.new",
  "                    tokens.push(tok)",
  "                    isDone := true",
  "                } elseif (mode == \"[\") then {",
  "                    tok := LSquareToken.new",
  "                    tokens.push(tok)",
  "                    isDone := true",
  "                }",
  "                if (mode == \"]\") then {",
  "                    tok := RSquareToken.new",
  "                    tokens.push(tok)",
  "                    isDone := true",
  "                } elseif (mode == \"<\") then {",
  "                    tok := LGenericToken.new",
  "                    tokens.push(tok)",
  "                    isDone := true",
  "                } elseif (mode == \">\") then {",
  "                    tok := RGenericToken.new",
  "                    tokens.push(tok)",
  "                    isDone := true",
  "                } elseif (mode == \";\") then {",
  "                    tok := SemicolonToken.new",
  "                    tokens.push(tok)",
  "                    isDone := true",
  "                } elseif (mode == \"m\") then {",
  "                    if ((tokens.size > 1).andAlso {tokens.last.kind == \"dot\"}) then {",
  "                        def dot = tokens.pop",
  "                        if (tokens.last.kind == \"num\") then {",
  "                            if (tokens.last.base == 10) then {",
  "                                tok := tokens.pop",
  "                                var decimal := makeNumToken(accum)",
  "                                if(decimal.base == 10) then {",
  "                                    tok := NumToken.new(tok.value ++ \".\" ++ accum, 10)",
  "                                } else {",
  "                                    def suggestions = []",
  "                                    var suggestion := errormessages.suggestion.new",
  "                                    suggestion.replaceRange(dot.linePos + 1, linePosition - 1)with(decimal.value)onLine(lineNumber)",
  "                                    suggestions.push(suggestion)",
  "                                    suggestion := errormessages.suggestion.new",
  "                                    suggestion.deleteRange(dot.linePos, linePosition - 1)onLine(lineNumber)",
  "                                    suggestions.push(suggestion)",
  "                                    errormessages.syntaxError(\"The fractional part of a number must be in base 10.\")atRange(",
  "                                        lineNumber, dot.linePos + 1, linePosition - 1)withSuggestions(suggestions)",
  "                                }",
  "                            } else {",
  "                                def suggestions = []",
  "                                var suggestion := errormessages.suggestion.new",
  "                                suggestion.replaceRange(tokens.last.linePos, dot.linePos - 1)with(tokens.last.value)onLine(lineNumber)",
  "                                suggestions.push(suggestion)",
  "                                suggestion := errormessages.suggestion.new",
  "                                suggestion.deleteChar(dot.linePos)onLine(lineNumber)",
  "                                suggestions.push(suggestion)",
  "                                errormessages.syntaxError(\"A number in base {tokens.last.base} cannot have a fractional part.\")atRange(",
  "                                    lineNumber, dot.linePos, linePosition - 1)withSuggestions(suggestions)",
  "                            }",
  "                        } else {",
  "                            if(tokens.last.kind == \"string\") then {",
  "                                def suggestion = errormessages.suggestion.new",
  "                                suggestion.replaceChar(dot.linePos)with(\"++\")onLine(dot.line)",
  "                                errormessages.syntaxError(\"A number may follow a '.' only if there is a number before the '.'. \"",
  "                                    ++ \"To join a number to a string, use '++'.\")atRange(",
  "                                    dot.line, dot.linePos, dot.linePos)withSuggestion(suggestion)",
  "                            } elseif((tokens.last.kind == \"op\") || (tokens.last.kind == \"bind\")) then {",
  "                                def suggestion = errormessages.suggestion.new",
  "                                suggestion.insert(\"0\")atPosition(dot.linePos)onLine(dot.line)",
  "                                errormessages.syntaxError(\"A number must have a digit before the decimal point.\")atPosition(",
  "                                    dot.line, dot.linePos)withSuggestion(suggestion)",
  "                            } elseif(tokens.last.kind == \"identifier\") then {",
  "                                def suggestions = []",
  "                                if(tokens.last.value == \"o\") then {",
  "                                    def suggestion = errormessages.suggestion.new",
  "                                    suggestion.replaceChar(tokens.last.linePos)with(\"0\")onLine(tokens.last.line)",
  "                                    suggestions.push(suggestion)",
  "                                }",
  "                                def suggestion = errormessages.suggestion.new",
  "                                suggestion.replaceRange(dot.linePos, linePosition - 1)with(\"({accum})\")onLine(tokens.last.line)",
  "                                suggestions.push(suggestion)",
  "                                errormessages.syntaxError(\"A number may follow a '.' only if there is a number before the '.'.\")atRange(",
  "                                    dot.line, dot.linePos, dot.linePos)withSuggestions(suggestions)",
  "                            } else {",
  "                                errormessages.syntaxError(\"A number may follow a '.' only if there is a number before the '.'.\")atRange(",
  "                                    dot.line, dot.linePos, dot.linePos)",
  "                            }",
  "                        }",
  "                    } else {",
  "                        tok := makeNumToken(accum)",
  "                    }",
  "                    tokens.push(tok)",
  "                    isDone := true",
  "                } elseif (mode == \"o\") then {",
  "                    tok := OpToken.new(accum)",
  "                    if (accum == \"->\") then {",
  "                        tok := ArrowToken.new",
  "                    } elseif (accum == \":=\") then {",
  "                        tok := BindToken.new",
  "                    } elseif (accum == \":\") then {",
  "                        tok := ColonToken.new",
  "                    }",
  "                    tokens.push(tok)",
  "                    isDone := true",
  "                } elseif (mode == \"d\") then {",
  "                    indentLevel := linePosition - 1",
  "                    isDone := true",
  "                } elseif (mode == \"n\") then {",
  "                    isDone := true",
  "                } elseif (mode == \"c\") then {",
  "                    def cmt = accum.substringFrom(3)to(accum.size)",
  "                    tokens.push(CommentToken.new(cmt))",
  "                    isDone := true",
  "                } elseif (mode == \"p\") then {",
  "                    if (accum.substringFrom(1)to(8) == \"#pragma \") then {",
  "                        util.processExtension(",
  "                            accum.substringFrom(9)to(accum.size))",
  "                    }",
  "                } elseif (isDone) then {",
  "                    //print(mode, accum, tokens)",
  "                } else {",
  "                    errormessages.syntaxError(\"Lexing error: no handler for mode {mode} with accum {accum}.\")atPosition(lineNumber, linePosition)",
  "                }",
  "            }",
  "            startPosition := linePosition",
  "        }",
  "",
  "        method fromBase(str, base) {",
  "            var val := 0",
  "            var i := 0",
  "            for (str) do {c->",
  "                def n = c.ord",
  "                val := val * base",
  "                var inc := 0",
  "                if ((n >= 48) && (n <= 57)) then {",
  "                    inc := n - 48 // 0",
  "                } elseif((n >= 65) && (n <= 90)) then {",
  "                    inc := n - 55 // 'A' - 10",
  "                } else {",
  "                    inc := n - 87 // 'a' - 10",
  "                }",
  "                if (inc >= base) then {",
  "                    if((str[1] == \"0\") && (inc < 16)) then {",
  "                        def suggestion = errormessages.suggestion.new",
  "                        suggestion.insert(\"x\")atPosition(linePosition - str.size + 1)onLine(lineNumber)",
  "                        errormessages.syntaxError(\"A number in base 16 must start with '0x'.\")atPosition(",
  "                            lineNumber, linePosition - str.size + 1)withSuggestion(suggestion)",
  "                    } else {",
  "                        def suggestion = errormessages.suggestion.new",
  "                        if(str.size == 1) then {",
  "                            suggestion.deleteRange(linePosition - str.size - 1, linePosition - 1)onLine(lineNumber)",
  "                        } else {",
  "                            suggestion.deleteChar(linePosition - str.size + i)onLine(lineNumber)",
  "                        }",
  "                        def validDigits = if(base <= 10) then {",
  "                            \"'0' to '{base - 1}'\"",
  "                        } else {",
  "                            \"'0' to '9', 'a' to '{unicode.create(87 + base)}'\"",
  "                        }",
  "                        errormessages.syntaxError(\"'{c}' is not a valid digit in base {base}. Valid digits are {validDigits}.\")atRange(",
  "                            lineNumber, linePosition - str.size + i, linePosition - str.size + i)withSuggestion(suggestion)",
  "                    }",
  "                }",
  "                val := val + inc",
  "                i := i + 1",
  "            }",
  "            val",
  "        }",
  "                ",
  "        method hexdecchar(c) {",
  "        // Return the numeric value of the single hexadecimal digit c.",
  "            def AOrd = \"A\".ord",
  "            def aOrd = \"a\".ord",
  "            def zeroOrd = \"0\".ord",
  "            def cOrd = c.ord",
  "            if ( (cOrd >= AOrd) && (cOrd <= \"F\".ord) ) then {",
  "                cOrd - AOrd + 10",
  "            } elseif { (cOrd >= aOrd) && (cOrd <= \"f\".ord) } then {",
  "                cOrd - aOrd + 10",
  "            } elseif { (cOrd >= zeroOrd) && (cOrd <= \"9\".ord) } then {",
  "                cOrd - zeroOrd",
  "            } else {",
  "                errormessages.syntaxError(\"The character '{c}' must be a hexadecimal digit\")",
  "                    atRange(lineNumber, linePosition, linePosition)",
  "            }",
  "        }",
  "",
  "        method makeNumToken(accum) {",
  "            var base := 10",
  "            var baseSet := false",
  "            var sofar := \"\"",
  "            var i := 0",
  "            for (accum) do {c->",
  "                if ((c == \"x\") && (!baseSet)) then {",
  "                    base := sofar.asNumber",
  "                    baseSet := true",
  "                    if (base == 0) then {",
  "                        base := 16",
  "                    }",
  "                    if((base < 2) || (base > 36)) then {",
  "                        def suggestions = []",
  "                        var suggestion := errormessages.suggestion.new",
  "                        suggestion.replaceChar(linePosition - accum.size + i)with(\"*\")onLine(lineNumber)",
  "                        suggestions.push(suggestion)",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteRange(linePosition - accum.size, linePosition - accum.size + i)onLine(lineNumber)",
  "                        suggestions.push(suggestion)",
  "                        errormessages.syntaxError(\"Base {base} is not a valid numerical base.\")atRange(",
  "                            lineNumber, linePosition - accum.size, linePosition - accum.size + i - 1)withSuggestions(suggestions)",
  "                    }",
  "                    sofar := \"\"",
  "                } else {",
  "                    sofar := sofar ++ c",
  "                }",
  "                i := i + 1",
  "            }",
  "            if(sofar == \"\") then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                suggestion.deleteRange(linePosition - accum.size + i - 1, linePosition - 1)onLine(lineNumber)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\"0\")atPosition(linePosition)onLine(lineNumber)",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"At least one digit must follow the 'x' in a number.\")atPosition(",
  "                    lineNumber, linePosition - accum.size + i)withSuggestions(suggestions)",
  "            }",
  "            NumToken.new(fromBase(sofar, base).asString, base)",
  "        }",
  "        // True if ov is a valid identifier character. Identifier",
  "        // characters are Unicode letters, Unicode numbers, apostrophe,",
  "        // and (currently) underscore.",
  "        method isidentifierchar(ov) {",
  "            if (unicode.isLetter(ov)) then {",
  "                return true",
  "            }",
  "            if (unicode.isNumber(ov)) then {",
  "                return true",
  "            }",
  "            if ((ov == 95) || (ov == 39)) then {",
  "                // 95 is _, 39 is '",
  "                true",
  "            } else {",
  "                false",
  "            }",
  "        }",
  "",
  "        // True if c (with codepoint ordval) is a valid operator character.",
  "        method isoperatorchar(c, ordval) {",
  "            if ((c == \"-\") || (c == \"&\") || (c == \"|\") || (c == \":\")",
  "                || (c == \"%\") || (c == \"^\") || (c == \"@\") || (c == \"?\")",
  "                || (c == \"*\") || (c == \"/\") || (c == \"+\") || (c == \"!\")",
  "                ) then {",
  "                return true",
  "            }",
  "            if (unicode.isSymbolMathematical(ordval)) then {",
  "                return true",
  "            } elseif (unicode.iscategory(c, \"So\")) then {",
  "                return true",
  "            }",
  "            return false",
  "        }",
  "",
  "        // Read the program text from util.infile and return a list of",
  "        // tokens.",
  "        method lexfile(file) {",
  "            util.log_verbose(\"reading source.\")",
  "            def lines = []",
  "            def cLines = []",
  "            var line := \"\"",
  "            var cLine := \"\"",
  "            var wasCR := false",
  "            for(file.read) do { c ->",
  "                if (c == \"\\r\") then {",
  "                    lines.push(line)",
  "                    cLines.push(cLine)",
  "                    line := \"\"",
  "                    cLine := \"\"",
  "                    wasCR := true",
  "                } elseif {c  == \"\\n\"} then {",
  "                    if (wasCR) then {",
  "                        // the spec says \"LINE FEED that immediately",
  "                        // follows a CARRIAGE RETURN is ignored\"",
  "                    } else {",
  "                        lines.push(line)",
  "                        cLines.push(cLine)",
  "                        line := \"\"",
  "                        cLine := \"\"",
  "                    }",
  "                    wasCR := false",
  "                } elseif {c == \"\\l\"} then {",
  "                    lines.push(line)",
  "                    cLines.push(cLine)",
  "                    line := \"\"",
  "                    cLine := \"\"",
  "                    wasCR := false",
  "                } elseif {c == \"\\\\\"} then {",
  "                    line := line ++ \"\\\\\"",
  "                    cLine := cLine ++ \"\\\\\\\\\"",
  "                    wasCR := false",
  "                } elseif {c == \"\\\"\"} then {",
  "                    line := line ++ \"\\\"\"",
  "                    cLine := cLine ++ \"\\\\\\\"\"",
  "                    wasCR := false",
  "                } else {",
  "                    line := line ++ c",
  "                    cLine := cLine ++ c",
  "                    wasCR := false",
  "                }",
  "            }",
  "            if (line != \"\") then {",
  "                // this deals with an un-terminated final line",
  "                lines.push(line)",
  "                cLines.push(cLine)",
  "            }",
  "            util.lines := lines",
  "            util.cLines := cLines",
  "            lexinput(lines)",
  "        }",
  "",
  "        method lexinput(inputLines) {",
  "            // tokens is a doubly-linked list of tokens.",
  "            var tokens := object {",
  "                var first is readable := false",
  "                var last is readable := false",
  "                var size' := 0",
  "",
  "                method push(t) {",
  "                    if(first == false) then {",
  "                        first := t",
  "                        last := t",
  "                    } else {",
  "                        last.next := t",
  "                        t.prev := last",
  "                        last := t",
  "                    }",
  "                    size' := size' + 1",
  "                }",
  "",
  "                method pop {",
  "                    if(last != false) then {",
  "                        def popped = last",
  "                        last := last.prev",
  "                        if(last == false) then {",
  "                            first := false",
  "                        }",
  "                        size' := size' - 1",
  "                        popped",
  "                    }",
  "                }",
  "",
  "                method poll {",
  "                    if(first != false) then {",
  "                        def polled = first",
  "                        first := first.next",
  "                        if(first == false) then {",
  "                            last := false",
  "                        }",
  "                        size' := size' - 1",
  "                        polled",
  "                    }",
  "                }",
  "",
  "                method size {",
  "                    size' + 0",
  "                }",
  "",
  "                method iter {",
  "                    object {",
  "                        var n := first",
  "                        method havemore {",
  "                            n != false",
  "                        }",
  "                        method hasNext {",
  "                            n != false",
  "                        }",
  "                        method next {",
  "                            def ret = n",
  "                            n := n.next",
  "                            ret",
  "                        }",
  "                    }",
  "                }",
  "",
  "                method iterator {",
  "                    iter",
  "                }",
  "            }",
  "",
  "            var mode := \"d\"",
  "            var newmode := mode",
  "            var inStr := false",
  "            var inBackticks := false",
  "            var backtickIdent := false",
  "            var accum := \"\"",
  "            var escaped := false",
  "            var unichars := 0",
  "            var codepoint := 0",
  "            var interpdepth := 0",
  "            var interpString := false",
  "            var atStart := true",
  "            var newlineFound := false",
  "            linePosition := 0",
  "            util.log_verbose(\"lexing.\")",
  "            def badSeparator = unicode.pattern(\"Z\", 9)not(32, 160)",
  "                // 32 is SPACE, and 160 NO-BREAK SPACE",
  "            def badControl =  unicode.pattern(\"C\")not(10, 13)",
  "            def selfModes = unicode.pattern(\"(\".ord, \")\".ord, \",\".ord,",
  "                \".\".ord, \"\\{\".ord, \"}\".ord, \"[\".ord, \"]\".ord, \";\".ord)",
  "            def brackets = unicode.pattern(\"(\".ord, \")\".ord,",
  "                \"\\{\".ord, \"}\".ord, \"[\".ord, \"]\".ord)",
  "            def identifierChar = unicode.pattern(\"L\", \"N\", 95, 39) // 95 = _, 39 = '",
  "            def digit = unicode.pattern(\"0\".ord, \"1\".ord, \"2\".ord, \"3\".ord,",
  "                \"4\".ord, \"5\".ord, \"6\".ord, \"7\".ord, \"8\".ord, \"9\".ord)",
  "            def operatorChar = unicode.pattern(\"Sm\", \"So\",",
  "                \"-\".ord, \"&\".ord, \"|\".ord, \":\".ord,",
  "               \"%\".ord, \"^\".ord, \"@\".ord, \"?\".ord,",
  "               \"*\".ord, \"/\".ord, \"+\".ord, \"!\".ord",
  "                )",
  "            def iGTLT = unicode.pattern(\"i\".ord, \"<\".ord, \">\".ord)",
  "            def mainBlock = { c->",
  "                var ct := \"\"",
  "                var ordval := c.ord // String.ord gives the codepoint",
  "                if (badSeparator.match(ordval).andAlso { mode != \"q\" }) then {",
  "                    // Character is whitespace, but not an ASCII space or",
  "                    // Unicode NO-BREAK SPACE.  For example, a tab",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.replaceChar(linePosition)with(\" \")onLine(lineNumber)",
  "                    if (ordval == 9) then {",
  "                        if (inStr) then {",
  "                            suggestion.replaceRange(linePosition, linePosition)",
  "                                with(\"\\\\u{padl(ordval.inBase 16, 4, \"0\")}\")",
  "                                onLine(lineNumber)",
  "                            errormessages.syntaxError(\"tabs cannot be \"",
  "                                ++ \"written in the source code; \"",
  "                                ++ \"use the Unicode escape \\\\u\"",
  "                                ++ padl(ordval.inBase 16, 4, \"0\")",
  "                                ++ \" instead\")",
  "                                atRange(lineNumber, linePosition, linePosition)",
  "                                withSuggestion(suggestion)",
  "                        }",
  "                        errormessages.syntaxError(\"Tabs are not allowed; use spaces instead.\")atRange(lineNumber,",
  "                            linePosition, linePosition)withSuggestion(suggestion)",
  "                    } else {",
  "                        if (mode == \"\\\"\") then {",
  "                            suggestion.replaceRange(linePosition, linePosition)",
  "                                with(\"\\\\u{padl(ordval.inBase 16, 4, \"0\")}\")",
  "                                onLine(lineNumber)",
  "                            errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                                ++ \"is not a valid whitespace character\"",
  "                                ++ \" and cannot be \"",
  "                                ++ \"written in the source code; \"",
  "                                ++ \"use the Unicode escape \\\\u\"",
  "                                ++ padl(ordval.inBase 16, 4, \"0\")",
  "                                ++ \" instead\")",
  "                                atRange(lineNumber, linePosition, linePosition)",
  "                                withSuggestion(suggestion)",
  "                        }",
  "                        errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                            ++ \"is not a valid whitespace character; use spaces instead.\")atRange(lineNumber,",
  "                            linePosition, linePosition)withSuggestion(suggestion)",
  "                    }",
  "                } elseif {badControl.match(ordval).andAlso { mode != \"q\" }} then {",
  "                    // Character is a control character other than",
  "                    // carriage return or line feed.",
  "                    def suggestion = errormessages.suggestion.new",
  "                    if (inStr) then {",
  "                        suggestion.replaceRange(linePosition, linePosition)",
  "                            with(\"\\\\u{padl(ordval.inBase 16, 4, \"0\")}\")",
  "                            onLine(lineNumber)",
  "                        errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                            ++ \"is a control character and cannot be \"",
  "                            ++ \"written in the source code; \"",
  "                            ++ \"use the Unicode escape \\\\u\"",
  "                            ++ padl(ordval.inBase 16, 4, \"0\")",
  "                            ++ \" instead\")",
  "                            atRange(lineNumber, linePosition, linePosition)",
  "                            withSuggestion(suggestion)",
  "                    }",
  "                    suggestion.deleteChar(linePosition)onLine(lineNumber)",
  "                    errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                        ++ \"is a control character and cannot be written in the source code; consider using spaces instead.\")atRange(lineNumber,",
  "                        linePosition, linePosition)withSuggestion(suggestion)",
  "                }",
  "                if (atStart) then {",
  "                    if (linePosition == 1) then {",
  "                        if (c == \"#\") then {",
  "                            mode := \"p\"",
  "                            newmode := mode",
  "                        } else {",
  "                            atStart := false",
  "                        }",
  "                    }",
  "                }",
  "                if (inStr) then {",
  "",
  "                } elseif ( (mode != \"c\") && (mode != \"p\") ) then {",
  "                    // Not in a comment or pragma, so look for a mode.",
  "                    if ((c == \" \") && (mode != \"d\")) then {",
  "                        newmode := \"n\"",
  "                    }",
  "                    if (c == \"\\\"\") then {",
  "                        // Beginning of a string",
  "                        newmode := \"\\\"\"",
  "                        inStr := true",
  "                        stringStart := linePosition",
  "                    } elseif { c == \"‹\" } then {",
  "                        // Beginning of a multi-line string",
  "                        newmode := \"q\"",
  "                        inStr := true",
  "                        startLine := lineNumber",
  "                        stringStart := linePosition",
  "                    } elseif { identifierChar.match(ordval) } then {",
  "                        newmode := \"i\"",
  "                    }",
  "                    if (digit.match(ordval)) then {",
  "                        // This may overwrite newmode := \"i\"",
  "                        // established 5 lines up",
  "                        if (mode != \"i\") then {",
  "                            newmode := \"m\"",
  "                        }",
  "                    }",
  "                    if (mode == \"m\") then {",
  "                        if ((ordval >= 97) && (ordval <=122)) then {",
  "                            newmode := \"m\"",
  "                        } else {",
  "                            if ((ordval >= 65) && (ordval <= 90)) then {",
  "                                newmode := \"m\"",
  "                            }",
  "                        }",
  "                    }",
  "                    if ((mode == \"i\") && (c == \"<\")) then {",
  "                        newmode := \"<\"",
  "                    } elseif (iGTLT.match(mode)",
  "                        && (c == \">\")) then {",
  "                        if (mode == \">\") then {",
  "                            modechange(tokens, mode, accum)",
  "                        }",
  "                        newmode := \">\"",
  "                    } elseif (operatorChar.match(ordval)) then {",
  "                        newmode := \"o\"",
  "                    }",
  "                    if (selfModes.match(ordval)) then {",
  "                        newmode := c",
  "                    }",
  "                    if (c == \"#\") then {",
  "                        if (mode != \"p\") then {",
  "                            if(util.lines.at(lineNumber).substringFrom(1)to(7) == \"#pragma\") then {",
  "                                if(tokens.size == 0) then {",
  "                                    def suggestion = errormessages.suggestion.new",
  "                                    suggestion.addLine(1, util.lines.at(lineNumber))",
  "                                    suggestion.addLine(lineNumber, \"\")",
  "                                    errormessages.syntaxError(\"Pragma directives must be at the start of the file.\")atLine(",
  "                                        lineNumber)withSuggestion(suggestion)",
  "                                } else {",
  "                                    errormessages.syntaxError(\"Pragma directives must be at the start of the file.\")atLine(",
  "                                        lineNumber)",
  "                                }",
  "                            } else {",
  "                                def suggestion = errormessages.suggestion.new",
  "                                suggestion.replaceChar(linePosition)with(\"//\")onLine(lineNumber)",
  "                                errormessages.syntaxError(\"'#' is not allowed here. For a comment use '//'.\")atRange(",
  "                                    lineNumber, linePosition, linePosition)withSuggestion(suggestion)",
  "                            }",
  "                        }",
  "                    }",
  "                    if (c == \".\") then {",
  "                        if (accum == \".\") then {",
  "                            // Special handler for .. operator",
  "                            mode := \"o\"",
  "                            newmode := mode",
  "                        }",
  "                        if (accum == \"..\") then {",
  "                            // Special handler for ... identifier",
  "                            mode := \"n\"",
  "                            newmode := mode",
  "                            modechange(tokens, \"i\", \"...\")",
  "                            accum := \"\"",
  "                        }",
  "                    }",
  "                    if (c == \"/\") then {",
  "                        if (accum == \"/\") then {",
  "                            // Start of comment",
  "                            mode := \"c\"",
  "                            newmode := mode",
  "                        }",
  "                    }",
  "                    if (mode == \"n\") then {",
  "                        if (mode == newmode) then {",
  "                            if (unicode.isSeparator(ordval).not) then {",
  "                                if (unicode.isControl(ordval).not) then {",
  "                                    if (ordval != 10) then {",
  "                                        if (ordval != 13) then {",
  "                                            if (ordval != 32) then {",
  "                                                if (c != \".\") then{",
  "                                                    errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                                                        ++ \"is not a valid character; use spaces instead.\")atRange(",
  "                                                        lineNumber, linePosition, linePosition)",
  "                                                }",
  "                                            }",
  "                                        }",
  "                                    }",
  "                                }",
  "                            }",
  "                        }",
  "                    }",
  "                }",
  "                if (mode == \"\\\"\") then {",
  "                    if (c == \"\\\"\") then {",
  "                        if (escaped.not) then {",
  "                            // End of string literal",
  "                            newmode := \"n\"",
  "                            inStr := false",
  "                            if (interpString) then {",
  "                                modechange(tokens, mode, accum)",
  "                                modechange(tokens, \")\", \")\")",
  "                                mode := newmode",
  "                                interpString := false",
  "                            }",
  "                        }",
  "                    }",
  "                } elseif {mode == \"q\"} then {",
  "                    if (c == \"›\") then {",
  "                        //end of literal",
  "                        newmode := \"n\"",
  "                        inStr := false",
  "                    }",
  "                }",
  "                if (newmode != mode) then {",
  "                    // This character is the beginning of a different",
  "                    // lexical mode - process the old one now.",
  "                    modechange(tokens, mode, accum)",
  "                    if (interpdepth > 0) then {",
  "                        if (newmode == \"}\") then {",
  "                            // Find the position of the opening brace to ",
  "                            // check if the interpolation is empty.",
  "                            if (tokens.last.kind == \"lbrace\") then {",
  "                                def suggestion = errormessages.suggestion.new",
  "                                suggestion.deleteRange(linePosition - 1, linePosition)onLine(lineNumber)",
  "                                errormessages.syntaxError(\"A string interpolation cannot be empty.\")atRange(",
  "                                    lineNumber, tokens.last.linePos, linePosition)withSuggestion(suggestion)",
  "                            }",
  "                            modechange(tokens, \")\", \")\")",
  "                            modechange(tokens, \"o\", \"++\")",
  "                            newmode := \"\\\"\"",
  "                            inStr := true",
  "                            interpdepth := interpdepth - 1",
  "                        }",
  "                    }",
  "                    mode := newmode",
  "                    if (inStr) then {",
  "                        // String accum should skip the opening quote, but",
  "                        // other modes' should include their first",
  "                        // character.",
  "                        accum := \"\"",
  "                    } else {",
  "                        accum := c",
  "                    }",
  "                    if (brackets.match(mode)) then {",
  "                        modechange(tokens, mode, accum)",
  "                        mode := \"n\"",
  "                        newmode := \"n\"",
  "                        accum := \"\"",
  "                    }",
  "                } elseif (mode == \"\\\"\") then {",
  "                    if (c == \"\\n\") then {",
  "                        if (interpdepth > 0) then {",
  "                            // Find closest {.",
  "                            var line := lineNumber",
  "                            var i := util.lines.at(line).size",
  "                            while { util.lines.at(line)[i] != \"\\{\" } do {",
  "                                i := i - 1",
  "                                if(i == 0) then {",
  "                                    lineNumber := line - 1",
  "                                    i := util.lines.at(line).size",
  "                                }",
  "                            }",
  "                            def suggestions = []",
  "                            var suggestion := errormessages.suggestion.new",
  "                            suggestion.insert(\"\\\\\")atPosition(i)onLine(line)",
  "                            suggestions.push(suggestion)",
  "                            if((line == lineNumber) && (i == (linePosition - 2))) then {",
  "                                errormessages.syntaxError(\"For a '\\{' character in a string use '\\\\\\{'.\")atPosition(",
  "                                    line, i)withSuggestions(suggestions)",
  "                            } else {",
  "                                suggestion := errormessages.suggestion.new",
  "                                suggestion.insert(\"}\")atPosition(linePosition - accum.size - 1)onLine(lineNumber)",
  "                                suggestions.push(suggestion)",
  "                                errormessages.syntaxError(\"A string interpolation must end with a '}'. For a '\\{' character in a string use '\\\\\\{'.\")atPosition(",
  "                                    lineNumber, linePosition - accum.size - 1)withSuggestions(suggestions)",
  "                            }",
  "                        } else {",
  "                            def errorLine = util.lines.at(lineNumber)",
  "                            def nextLine = if(util.lines.size >= (lineNumber + 1)) then {",
  "                                util.lines.at(lineNumber + 1)",
  "                            } else {",
  "                                \"\"",
  "                            }",
  "                            // Count the number of literal quotes in the next line.",
  "                            var i := 1",
  "                            var count := 0",
  "                            while { i <= nextLine.size } do {",
  "                                if(nextLine[i] == \"\\\"\") then { count := count + 1 }",
  "                                elseif(nextLine[i] == \"\\\\\") then { i := i + 1 }",
  "                                i := i + 1",
  "                            }",
  "                            if ((count % 2) == 1) then {",
  "                                def suggestions = []",
  "                                var suggestion := errormessages.suggestion.new",
  "                                suggestion.addLine(lineNumber, errorLine ++ nextLine)",
  "                                suggestion.addLine(lineNumber + 1, \"\")",
  "                                suggestions.push(suggestion)",
  "                                suggestion := errormessages.suggestion.new",
  "                                suggestion.addLine(lineNumber, errorLine ++ \"\\\"\")",
  "                                suggestion.addLine(lineNumber + 1, \"    ++ \\\"\" ++ nextLine)",
  "                                suggestions.push(suggestion)",
  "                                suggestion := errormessages.suggestion.new",
  "                                suggestion.addLine(lineNumber, errorLine ++ \"\\\\n\" ++ nextLine)",
  "                                suggestion.addLine(lineNumber + 1, \"\")",
  "                                suggestions.push(suggestion)",
  "                                errormessages.syntaxError(\"A string must end with a '\\\"'. To insert a newline in a string use '\\\\n'. \"",
  "                                    ++ \"To split a string over multiple lines use '++' to join strings together.\")atRange(",
  "                                    lineNumber, linePosition, linePosition)withSuggestions(suggestions)",
  "                            } else {",
  "                                def suggestion = errormessages.suggestion.new",
  "                                suggestion.addLine(lineNumber, errorLine ++ \"\\\"\")",
  "                                errormessages.syntaxError(\"A string must end with a '\\\"'.\")atPosition(",
  "                                    lineNumber, linePosition)withSuggestion(suggestion)",
  "                            }",
  "                        }",
  "                    }",
  "                    if (escaped) then {",
  "                        if (c == \"n\") then {",
  "                            // Newline escape",
  "                            accum := accum ++ \"\\u000a\"",
  "                        } elseif (c == \"u\") then {",
  "                            // Beginning of a four-digit Unicode escape",
  "                            // (for a BMP codepoint).",
  "                            unichars := 4",
  "                            codepoint := 0",
  "                        } elseif (c == \"U\") then {",
  "                            // Beginning of a six-digit Unicode escape",
  "                            // (for a general codepoint).",
  "                            unichars := 6",
  "                            codepoint := 0",
  "                        } elseif (c == \"t\") then {",
  "                            // Tab escape",
  "                            accum := accum ++ \"\\u0009\"",
  "                        } elseif (c == \"r\") then {",
  "                            // Carriage return escape",
  "                            accum := accum ++ \"\\u000d\"",
  "                        } elseif (c == \"b\") then {",
  "                            // Backspace escape",
  "                            accum := accum ++ \"\\u0008\"",
  "                        } elseif (c == \"l\") then {",
  "                            // LINE SEPARATOR escape",
  "                            accum := accum ++ \"\\u2028\"",
  "                        } elseif (c == \"f\") then {",
  "                            // Form feed/page down escape",
  "                            accum := accum ++ \"\\u000c\"",
  "                        } elseif (c == \"e\") then {",
  "                            // Escape escape",
  "                            accum := accum ++ \"\\u001b\"",
  "                        } elseif (c == \"_\") then {",
  "                            // non-breaking space",
  "                            accum := accum ++ \"\\u00a0\"",
  "                        } else {",
  "                            // For any other character preceded by \\,",
  "                            // insert it literally.",
  "                            accum := accum ++ c",
  "                        }",
  "                        escaped := false",
  "                    } elseif (c == \"\\\\\") then {",
  "                        // Begin an escape sequence",
  "                        escaped := true",
  "                    } elseif (unichars > 0) then {",
  "                        // There are still hex digits to read for a",
  "                        // Unicode escape. Use the current character",
  "                        // as a hex digit and update the codepoint",
  "                        // being calculated with its value.",
  "                        unichars := unichars - 1",
  "                        codepoint := codepoint * 16",
  "                        codepoint := codepoint + hexdecchar(c)",
  "                        if (unichars == 0) then {",
  "                            // At the end of the sequence construct",
  "                            // the character in the unicode library.",
  "                            accum := accum ++ unicode.create(codepoint)",
  "                        }",
  "                    } elseif (c == \"\\{\") then {",
  "                        if (interpString.not) then {",
  "                            modechange(tokens, \"(\", \"(\")",
  "                            interpString := true",
  "                        }",
  "                        modechange(tokens, mode, accum)",
  "                        modechange(tokens, \"o\", \"++\")",
  "                        modechange(tokens, \"(\", \"(\")",
  "                        mode := \"n\"",
  "                        newmode := \"n\"",
  "                        accum := \"\"",
  "                        inStr:= false",
  "                        interpdepth := interpdepth + 1",
  "                    } else {",
  "                        accum := accum ++ c",
  "                    }",
  "                } elseif (c == \"\\n\") then {",
  "                    newlineFound := true",
  "                    if (mode == \"q\") then {",
  "                        accum := accum ++ c",
  "                    } else {",
  "                        // Linebreaks terminate any open tokens",
  "                        newlineFound := true",
  "                        modechange(tokens, mode, accum)",
  "                        mode := \"d\"",
  "                        newmode := \"d\"",
  "                        accum := \"\"",
  "                    }",
  "                } else {",
  "                    accum := accum ++ c",
  "                }",
  "                if (accum == \"...\") then {",
  "                    if (mode == \"o\") then {",
  "                        modechange(tokens, \"i\", \"...\")",
  "                        newmode := \"n\"",
  "                        mode := newmode",
  "                        accum := \"\"",
  "                    }",
  "                }",
  "                if (newlineFound) then {",
  "                    // Linebreaks increment the line counter and insert a",
  "                    // special \"line\" token, which the parser can use to",
  "                    // track the origin of AST nodes for later error",
  "                    // reporting.",
  "                    newlineFound := false",
  "                    lineNumber := lineNumber + 1",
  "                    linePosition := 0",
  "                    startPosition := 1",
  "                }",
  "            }",
  "            for (inputLines) do { eachLine ->",
  "                for (eachLine) do { ch ->",
  "                    linePosition := linePosition + 1",
  "                    if (ch == \" \") then {",
  "                        if (mode == \"d\") then {",
  "                        } else {",
  "                            if (mode != \"n\") then {",
  "                                mainBlock.apply(ch)",
  "                            }",
  "                        }",
  "                    } else {",
  "                        mainBlock.apply(ch)",
  "                    }",
  "                }",
  "                mainBlock.apply \"\\n\"",
  "            }",
  "            linePosition := linePosition + 1",
  "            if (inStr) then {",
  "                if (mode == \"\\\"\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.addLine(lineNumber, util.lines.at(lineNumber) ++ \"\\\"\")",
  "                    errormessages.syntaxError(\"A string must end with a '\\\"'.\")atPosition(",
  "                        lineNumber, linePosition)withSuggestion(suggestion)",
  "                } elseif {mode == \"q\"} then {",
  "                    errormessages.syntaxError(\"A multi-line string must end with a '›'.\\n\" ++ ",
  "                        \"String opened on line {startLine} and unclosed at end of input.\")",
  "                        atRange(startLine, stringStart, util.lines.at(startLine).size)",
  "                }",
  "            }",
  "            modechange(tokens, mode, accum)",
  "            tokens",
  "        }",
  "    }",
  "}",
  "",
  NULL
};
Object reader_lexer_outer_31(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_34(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_line_35(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_indent_36(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_linePos_37(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_next_38(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_lexer_next_38(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_lexer_prev_39(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_lexer_prev_39(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_lexer_outer_68(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_71(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_72(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_73(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_74(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_82(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_85(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_86(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_87(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_88(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_101(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_104(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_105(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_106(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_107(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_line_39__108(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_lexer_linePos_39__109(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_lexer_outer_127(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_130(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_131(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_132(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_133(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_145(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_148(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_149(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_150(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_151(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_159(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_162(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_163(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_164(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_165(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_173(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_176(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_177(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_178(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_179(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_187(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_190(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_191(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_192(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_193(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_201(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_204(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_205(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_206(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_207(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_215(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_218(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_219(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_220(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_221(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_229(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_232(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_233(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_234(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_235(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_243(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_246(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_247(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_248(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_249(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_257(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_260(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_261(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_262(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_263(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_271(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_274(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_275(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_276(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_base_277(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_size_278(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_lexer_outer_287(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_290(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_291(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_292(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_293(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_301(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_304(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_305(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_306(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_307(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_315(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_318(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_319(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_320(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_321(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_329(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_332(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_333(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_334(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_335(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_343(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_346(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_347(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_348(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_349(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_357(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_360(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_361(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_362(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_363(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_371(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_374(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_375(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_376(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_377(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_385(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_1837(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_first_1838(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_lexer_first_1838(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_lexer_last_1839(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_lexer_last_1839(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_lexer_size_39__1840(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_lexer_size_39__1840(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_lexer_outer_1948(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_n_1949(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_lexer_n_1949(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
static ClassData objclass30;
static ClassData objclass33;
static ClassData objclass67;
static ClassData objclass70;
static Object strlit77;
static ClassData objclass81;
static ClassData objclass84;
static Object strlit91;
static ClassData objclass100;
static ClassData objclass103;
static Object strlit118;
static ClassData objclass126;
static ClassData objclass129;
static Object strlit136;
static ClassData objclass144;
static ClassData objclass147;
static Object strlit154;
static Object strlit155;
static ClassData objclass158;
static ClassData objclass161;
static Object strlit168;
static Object strlit169;
static ClassData objclass172;
static ClassData objclass175;
static Object strlit182;
static Object strlit183;
static ClassData objclass186;
static ClassData objclass189;
static Object strlit196;
static Object strlit197;
static ClassData objclass200;
static ClassData objclass203;
static Object strlit210;
static Object strlit211;
static ClassData objclass214;
static ClassData objclass217;
static Object strlit224;
static Object strlit225;
static ClassData objclass228;
static ClassData objclass231;
static Object strlit238;
static Object strlit239;
static ClassData objclass242;
static ClassData objclass245;
static Object strlit252;
static Object strlit253;
static ClassData objclass256;
static ClassData objclass259;
static Object strlit266;
static Object strlit267;
static ClassData objclass270;
static ClassData objclass273;
static Object strlit281;
static ClassData objclass286;
static ClassData objclass289;
static Object strlit296;
static ClassData objclass300;
static ClassData objclass303;
static Object strlit310;
static ClassData objclass314;
static ClassData objclass317;
static Object strlit324;
static Object strlit325;
static ClassData objclass328;
static ClassData objclass331;
static Object strlit338;
static Object strlit339;
static ClassData objclass342;
static ClassData objclass345;
static Object strlit352;
static Object strlit353;
static ClassData objclass356;
static ClassData objclass359;
static Object strlit366;
static Object strlit367;
static ClassData objclass370;
static ClassData objclass373;
static Object strlit380;
static Object strlit381;
static ClassData objclass384;
static Object strlit399;
static Object strlit405;
static Object strlit414;
static Object strlit420;
static Object strlit426;
static Object strlit432;
static Object strlit438;
static Object strlit444;
static Object strlit450;
static Object strlit456;
static Object strlit462;
static Object strlit468;
static Object strlit474;
static Object strlit479;
static Object strlit502;
static Object strlit514;
static Object strlit526;
static Object strlit538;
static Object strlit542;
static Object strlit552;
static Object strlit564;
static Object strlit576;
static Object strlit588;
static Object strlit600;
static Object strlit612;
static Object strlit624;
static Object strlit636;
static Object strlit648;
static Object strlit660;
static Object strlit672;
static Object strlit684;
static Object strlit692;
static Object strlit711;
static Object strlit743;
static Object strlit789;
static Object strlit837;
static Object strlit845;
static Object strlit857;
static Object strlit871;
static Object strlit877;
static Object strlit879;
static Object strlit891;
static Object strlit900;
static Object strlit913;
static Object strlit920;
static Object strlit928;
static Object strlit938;
static Object strlit954;
static Object strlit974;
static Object strlit978;
static Object strlit989;
static Object strlit998;
static Object strlit1015;
static Object strlit1023;
static Object strlit1031;
static Object strlit1039;
static Object strlit1051;
static Object strlit1063;
static Object strlit1070;
static Object strlit1086;
static Object strlit1091;
static Object strlit1108;
static Object strlit1113;
static Object strlit1117;
static Object strlit1188;
static Object strlit1199;
static Object strlit1211;
static Object strlit1264;
static Object strlit1272;
static Object strlit1276;
static Object strlit1286;
static Object strlit1291;
static Object strlit1296;
static Object strlit1301;
static Object strlit1305;
static Object strlit1342;
static Object strlit1345;
static Object strlit1348;
static Object strlit1356;
static Object strlit1376;
static Object strlit1396;
static Object strlit1410;
static Object strlit1414;
static Object strlit1421;
static Object strlit1432;
static Object strlit1474;
static Object strlit1502;
static Object strlit1506;
static Object strlit1527;
static Object strlit1542;
static Object strlit1576;
static Object strlit1581;
static Object strlit1624;
static Object strlit1630;
static Object strlit1636;
static Object strlit1642;
static Object strlit1648;
static Object strlit1654;
static Object strlit1660;
static Object strlit1666;
static Object strlit1672;
static Object strlit1678;
static Object strlit1684;
static Object strlit1689;
static Object strlit1710;
static Object strlit1716;
static Object strlit1720;
static Object strlit1721;
static Object strlit1730;
static Object strlit1737;
static Object strlit1739;
static Object strlit1745;
static Object strlit1753;
static Object strlit1755;
static Object strlit1761;
static Object strlit1768;
static Object strlit1770;
static Object strlit1776;
static Object strlit1780;
static Object strlit1785;
static Object strlit1793;
static Object strlit1797;
static Object strlit1802;
static Object strlit1822;
static ClassData objclass1836;
static ClassData objclass1947;
static Object strlit1984;
static Object strlit1988;
static Object strlit1999;
static Object strlit2002;
static Object strlit2008;
static Object strlit2014;
static Object strlit2017;
static Object strlit2020;
static Object strlit2023;
static Object strlit2026;
static Object strlit2029;
static Object strlit2032;
static Object strlit2035;
static Object strlit2038;
static Object strlit2043;
static Object strlit2046;
static Object strlit2049;
static Object strlit2052;
static Object strlit2055;
static Object strlit2058;
static Object strlit2062;
static Object strlit2063;
static Object strlit2069;
static Object strlit2072;
static Object strlit2075;
static Object strlit2078;
static Object strlit2081;
static Object strlit2084;
static Object strlit2087;
static Object strlit2090;
static Object strlit2093;
static Object strlit2096;
static Object strlit2100;
static Object strlit2101;
static Object strlit2103;
static Object strlit2106;
static Object strlit2109;
static Object strlit2112;
static Object strlit2115;
static Object strlit2118;
static Object strlit2121;
static Object strlit2124;
static Object strlit2127;
static Object strlit2130;
static Object strlit2133;
static Object strlit2136;
static Object strlit2141;
static Object strlit2144;
static Object strlit2147;
static Object strlit2152;
static Object strlit2160;
static Object strlit2172;
static Object strlit2182;
static Object strlit2190;
static Object strlit2195;
static Object strlit2201;
static Object strlit2209;
static Object strlit2215;
static Object strlit2218;
static Object strlit2220;
static Object strlit2227;
static Object strlit2231;
static Object strlit2236;
static Object strlit2244;
static Object strlit2249;
static Object strlit2255;
static Object strlit2263;
static Object strlit2269;
static Object strlit2272;
static Object strlit2275;
static Object strlit2278;
static Object strlit2281;
static Object strlit2289;
static Object strlit2295;
static Object strlit2301;
static Object strlit2315;
static Object strlit2318;
static Object strlit2326;
static Object strlit2332;
static Object strlit2338;
static Object strlit2350;
static Object strlit2364;
static Object strlit2372;
static Object strlit2377;
static Object strlit2383;
static Object strlit2391;
static Object strlit2397;
static Object strlit2400;
static Object strlit2403;
static Object strlit2406;
static Object strlit2414;
static Object strlit2420;
static Object strlit2426;
static Object strlit2441;
static Object strlit2444;
static Object strlit2452;
static Object strlit2458;
static Object strlit2464;
static Object strlit2479;
static Object strlit2482;
static Object strlit2491;
static Object strlit2496;
static Object strlit2503;
static Object strlit2508;
static Object strlit2512;
static Object strlit2516;
static Object strlit2519;
static Object strlit2526;
static Object strlit2529;
static Object strlit2538;
static Object strlit2545;
static Object strlit2548;
static Object strlit2552;
static Object strlit2567;
static Object strlit2581;
static Object strlit2586;
static Object strlit2591;
static Object strlit2595;
static Object strlit2600;
static Object strlit2609;
static Object strlit2614;
static Object strlit2619;
static Object strlit2627;
static Object strlit2632;
static Object strlit2637;
static Object strlit2667;
static Object strlit2670;
static Object strlit2673;
static Object strlit2680;
static Object strlit2683;
static Object strlit2687;
static Object strlit2692;
static Object strlit2695;
static Object strlit2700;
static Object strlit2703;
static Object strlit2707;
static Object strlit2708;
static Object strlit2710;
static Object strlit2714;
static Object strlit2719;
static Object strlit2722;
static Object strlit2727;
static Object strlit2761;
static Object strlit2766;
static Object strlit2769;
static Object strlit2777;
static Object strlit2783;
static Object strlit2789;
static Object strlit2798;
static Object strlit2803;
static Object strlit2809;
static Object strlit2817;
static Object strlit2818;
static Object strlit2825;
static Object strlit2830;
static Object strlit2833;
static Object strlit2850;
static Object strlit2855;
static Object strlit2873;
static Object strlit2880;
static Object strlit2881;
static Object strlit2884;
static Object strlit2885;
static Object strlit2887;
static Object strlit2898;
static Object strlit2906;
static Object strlit2908;
static Object strlit2910;
static Object strlit2914;
static Object strlit2919;
static Object strlit2937;
static Object strlit2978;
static Object strlit2997;
static Object strlit3005;
static Object strlit3019;
static Object strlit3054;
static Object strlit3070;
static Object strlit3081;
static Object strlit3121;
static Object strlit3132;
static Object strlit3143;
static Object strlit3157;
static Object strlit3167;
static Object strlit3173;
static Object strlit3175;
static Object strlit3184;
static Object strlit3189;
static Object strlit3194;
static Object strlit3198;
static Object strlit3204;
static Object strlit3213;
static Object strlit3222;
static Object strlit3226;
static Object strlit3232;
static Object strlit3236;
static Object strlit3242;
static Object strlit3246;
static Object strlit3252;
static Object strlit3256;
static Object strlit3262;
static Object strlit3266;
static Object strlit3272;
static Object strlit3276;
static Object strlit3282;
static Object strlit3286;
static Object strlit3298;
static Object strlit3337;
static Object strlit3344;
static Object strlit3345;
static Object strlit3352;
static Object strlit3353;
static Object strlit3356;
static Object strlit3357;
static Object strlit3359;
static Object strlit3361;
static Object strlit3363;
static Object strlit3378;
static Object strlit3385;
static Object strlit3396;
static Object strlit3398;
static Object strlit3400;
static Object strlit3408;
static Object strlit3413;
static Object strlit3417;
static Object strlit3418;
static Object strlit3420;
static Object strlit3423;
static Object strlit3451;
static Object strlit3456;
static Object strlit3461;
static Object strlit3471;
static Object strlit3483;
static Object strlit3492;
static Object strlit3501;
static Object strlit3505;
static Object strlit3511;
static Object strlit3515;
static Object strlit3519;
Object module_io;
Object module_io_init();
Object module_sys;
Object module_sys_init();
Object module_util;
Object module_util_init();
Object module_unicode;
Object module_unicode_init();
Object module_mgcollections;
Object module_mgcollections_init();
Object module_errormessages;
Object module_errormessages_init();
Object meth_lexer__apply9(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_l = getfromclosure(closure, 0);
  Object *var_s_39_ = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_l (depth = 5)
  int op_slot_right_10 = gc_frame_newslot(*var_l);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe12 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s_39_ (depth = 7)
  partcv[0] = 0;
  Object call13 = callmethod(*var_s_39_, "size",
    1, partcv, params);
  gc_frame_end(callframe12);
// compiled call node returning call13 (depth = 6)
// compiled member node returning call13 (depth = 5)
  int op_slot_left_10 = gc_frame_newslot(call13);
  params[0] = *var_l;
  partcv[0] = 1;
  Object opresult14 = callmethod(call13, "<", 1, partcv, params);
// compiled op node returning opresult14 (depth = 4)
  gc_frame_end(frame);
  return opresult14;
}
Object meth_lexer__apply17(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s_39_ = getfromclosure(closure, 0);
  Object *var_w = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s_39_ (depth = 6)
  int op_slot_right_18 = gc_frame_newslot(*var_s_39_);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_w (depth = 6)
  int op_slot_left_18 = gc_frame_newslot(*var_w);
  params[0] = *var_s_39_;
  partcv[0] = 1;
  Object opresult20 = callmethod(*var_w, "++", 1, partcv, params);
// compiled op node returning opresult20 (depth = 5)
  *var_s_39_ = opresult20;
  if (opresult20 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_padl0(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "padl");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method padl");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for padl (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  Object *var_w = &(stackframe->slots[2]);
  *var_w = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for padl");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s_39_ = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "s'");
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_l (depth = 4)
  int op_slot_right_2 = gc_frame_newslot(*var_l);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  partcv[0] = 0;
  Object call5 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe4);
// compiled call node returning call5 (depth = 5)
// compiled member node returning call5 (depth = 4)
  int op_slot_left_2 = gc_frame_newslot(call5);
  params[0] = *var_l;
  partcv[0] = 1;
  Object opresult6 = callmethod(call5, ">=", 1, partcv, params);
// compiled op node returning opresult6 (depth = 3)
  Object if1 = done;
  if (istrue(opresult6)) {
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  return *var_s;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if1 = undefined;
  } else {
  }
// compiled if node returning if1 (depth = 2)
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  *var_s_39_ = *var_s;
  if (*var_s == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe7 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block8 = alloc_Block(NULL, NULL, "lexer", 13);
  gc_frame_newslot(block8);
// method _apply
  block_savedest(block8);
  Object closure9 = createclosure(3, "_apply");
  setclosureframe(closure9, stackframe);
  addtoclosure(closure9, var_l);
  addtoclosure(closure9, var_s_39_);
  addtoclosure(closure9, selfslot);
  struct UserObject *uo9 = (struct UserObject*)block8;
  uo9->data[0] = (Object)closure9;
  Method *meth_meth_lexer__apply9 = addmethod2pos(block8, "_apply", &meth_lexer__apply9, 0);
  int argcv_meth_lexer__apply9[] = {0};
  meth_meth_lexer__apply9->type = alloc_MethodType(1, argcv_meth_lexer__apply9);
  meth_meth_lexer__apply9->definitionModule = modulename;
  meth_meth_lexer__apply9->definitionLine = 9;
// compiled block node returning block8 (depth = 3)
  gc_frame_newslot(block8);
// starting to compile block node (depth = 3)
  Object block16 = alloc_Block(NULL, NULL, "lexer", 13);
  gc_frame_newslot(block16);
// method _apply
  block_savedest(block16);
  Object closure17 = createclosure(3, "_apply");
  setclosureframe(closure17, stackframe);
  addtoclosure(closure17, var_s_39_);
  addtoclosure(closure17, var_w);
  addtoclosure(closure17, selfslot);
  struct UserObject *uo17 = (struct UserObject*)block16;
  uo17->data[0] = (Object)closure17;
  Method *meth_meth_lexer__apply17 = addmethod2pos(block16, "_apply", &meth_lexer__apply17, 0);
  int argcv_meth_lexer__apply17[] = {0};
  meth_meth_lexer__apply17->type = alloc_MethodType(1, argcv_meth_lexer__apply17);
  meth_meth_lexer__apply17->definitionModule = modulename;
  meth_meth_lexer__apply17->definitionLine = 13;
// compiled block node returning block16 (depth = 3)
  gc_frame_newslot(block16);
// call case 5: prelude request
  params[0] = block8;
  params[1] = block16;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call23 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7);
// compiled call node returning call23 (depth = 2)
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s_39_ (depth = 3)
  return *var_s_39_;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer__61__61_40(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method ==");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for == (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for ==");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool43 = alloc_Boolean(0);
// compiled identifier node returning bool43 (depth = 7)
  int op_slot_right_42 = gc_frame_newslot(bool43);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_other (depth = 7)
  int op_slot_left_42 = gc_frame_newslot(*var_other);
  params[0] = bool43;
  partcv[0] = 1;
  Object opresult45 = callmethod(*var_other, "==", 1, partcv, params);
// compiled op node returning opresult45 (depth = 6)
  Object if41 = done;
  if (istrue(opresult45)) {
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool46 = alloc_Boolean(0);
// compiled identifier node returning bool46 (depth = 6)
    gc_frame_newslot(bool46);
    if41 = bool46;
  } else {
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe49 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call50 = callmethodflags(self, "linePos", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe49);
// compiled call node returning call50 (depth = 9)
// compiled member node returning call50 (depth = 8)
  int op_slot_right_48 = gc_frame_newslot(call50);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe52 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_other (depth = 10)
  partcv[0] = 0;
  Object call53 = callmethod(*var_other, "linePos",
    1, partcv, params);
  gc_frame_end(callframe52);
// compiled call node returning call53 (depth = 9)
// compiled member node returning call53 (depth = 8)
  int op_slot_left_48 = gc_frame_newslot(call53);
  params[0] = call50;
  partcv[0] = 1;
  Object opresult54 = callmethod(call53, "==", 1, partcv, params);
// compiled op node returning opresult54 (depth = 7)
  int op_slot_right_47 = gc_frame_newslot(opresult54);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe57 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call58 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe57);
// compiled call node returning call58 (depth = 9)
// compiled member node returning call58 (depth = 8)
  int op_slot_right_56 = gc_frame_newslot(call58);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe60 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_other (depth = 10)
  partcv[0] = 0;
  Object call61 = callmethod(*var_other, "line",
    1, partcv, params);
  gc_frame_end(callframe60);
// compiled call node returning call61 (depth = 9)
// compiled member node returning call61 (depth = 8)
  int op_slot_left_56 = gc_frame_newslot(call61);
  params[0] = call58;
  partcv[0] = 1;
  Object opresult62 = callmethod(call61, "==", 1, partcv, params);
// compiled op node returning opresult62 (depth = 7)
  int op_slot_left_47 = gc_frame_newslot(opresult62);
  params[0] = opresult54;
  partcv[0] = 1;
  Object opresult63 = callmethod(opresult62, "&&", 1, partcv, params);
// compiled op node returning opresult63 (depth = 6)
    gc_frame_newslot(opresult63);
    if41 = opresult63;
  }
// compiled if node returning if41 (depth = 5)
  gc_frame_end(frame);
  return if41;
}
Object meth_lexer_new32(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lineNumber = getfromclosure(closure, 0);
  Object *var_indentLevel = getfromclosure(closure, 1);
  Object *var_startPosition = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject33 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj33 = alloc_userobj2(8,7, objclass33);
  gc_frame_newslot(obj33);
if (objclass33 == NULL) {
  glfree(obj33->class->name);
  obj33->class->name = "Token";
}
// OBJECT OUTER DEC outer
  adddatum2(obj33, self, 0);
  addmethodreal(obj33,"outer", &reader_lexer_outer_34);
  Object oldself33 = self;
  struct StackFrameObject *oldstackframe33 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe33);
  gc_frame_newslot((Object)stackframe);
  self = obj33;
  Object *oldselfslot33 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter33 = (*(struct UserObject *)self).data[0], lowerouter33 = thisouter33;
  if (inheritingObject33) {
    struct UserObject *inho33 = (struct UserObject *)inheritingObject33;
    while (inho33->super != GraceDefaultObject) inho33 = (struct UserObject *)inho33->super;
    inho33->super = obj33;
    self = inheritingObject33;
    *selfslot = self;
    lowerouter33 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter33;
  }
if (objclass33 == NULL) {
  Method *reader35 = addmethodrealflags(obj33, "line",&reader_lexer_line_35, MFLAG_DEF);
  reader35->definitionModule = modulename;
  reader35->definitionLine = 30;
}
adddatum2(obj33, alloc_Undefined(), 1);
if (objclass33 == NULL) {
  Method *reader36 = addmethodrealflags(obj33, "indent",&reader_lexer_indent_36, MFLAG_DEF);
  reader36->definitionModule = modulename;
  reader36->definitionLine = 31;
}
adddatum2(obj33, alloc_Undefined(), 2);
if (objclass33 == NULL) {
  Method *reader37 = addmethodrealflags(obj33, "linePos",&reader_lexer_linePos_37, MFLAG_DEF);
  reader37->definitionModule = modulename;
  reader37->definitionLine = 33;
}
adddatum2(obj33, alloc_Undefined(), 3);
if (objclass33 == NULL) {
  Method *reader38 = addmethodrealflags(obj33, "next",&reader_lexer_next_38, 0);
  Method *writer38 = addmethodrealflags(obj33, "next:=",&writer_lexer_next_38, 0);
  reader38->definitionModule = modulename;
  writer38->definitionModule = modulename;
  reader38->definitionLine = 34;
  writer38->definitionLine = 34;
}
obj33->flags |= OFLAG_MUTABLE;
adddatum2(obj33, alloc_Undefined(), 4);
if (objclass33 == NULL) {
  Method *reader39 = addmethodrealflags(obj33, "prev",&reader_lexer_prev_39, 0);
  Method *writer39 = addmethodrealflags(obj33, "prev:=",&writer_lexer_prev_39, 0);
  reader39->definitionModule = modulename;
  writer39->definitionModule = modulename;
  reader39->definitionLine = 36;
  writer39->definitionLine = 36;
}
obj33->flags |= OFLAG_MUTABLE;
adddatum2(obj33, alloc_Undefined(), 5);
// method ==
  struct UserObject *uo40 = (struct UserObject*)obj33;
  uo40->data[6] = emptyclosure;
  Method *meth_meth_lexer__61__61_40 = addmethod2pos(obj33, "==", &meth_lexer__61__61_40, 6);
  int argcv_meth_lexer__61__61_40[] = {1};
  meth_meth_lexer__61__61_40->type = alloc_MethodType(1, argcv_meth_lexer__61__61_40);
  meth_meth_lexer__61__61_40->definitionModule = modulename;
  meth_meth_lexer__61__61_40->definitionLine = 36;
  sourceObject = obj33;
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lineNumber (depth = 5)
  adddatum2(obj33, *var_lineNumber, 1);
  sourceObject = obj33;
// Begin line 30
  setline(30);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_indentLevel (depth = 5)
  adddatum2(obj33, *var_indentLevel, 2);
  sourceObject = obj33;
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_startPosition (depth = 5)
  adddatum2(obj33, *var_startPosition, 3);
  sourceObject = obj33;
// Begin line 33
  setline(33);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool64 = alloc_Boolean(0);
// compiled identifier node returning bool64 (depth = 5)
  adddatum2(obj33, bool64, 4);
  sourceObject = obj33;
// Begin line 34
  setline(34);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool65 = alloc_Boolean(0);
// compiled identifier node returning bool65 (depth = 5)
  adddatum2(obj33, bool65, 5);
  sourceObject = obj33;
  objclass33 = obj33->class;
  objclass33->definitionModule = modulename;
  objclass33->definitionLine = 28;
  (*(struct UserObject *)self).data[0] = lowerouter33;
  self = oldself33;
  selfslot = oldselfslot33;
  stackframe = oldstackframe33;
  gc_frame_end(frame);
  return obj33;
}
Object meth_lexer_new32_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_lineNumber = getfromclosure(closure, 0);
  Object *var_indentLevel = getfromclosure(closure, 1);
  Object *var_startPosition = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject33 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj33 = alloc_userobj2(8,7, objclass33);
  gc_frame_newslot(obj33);
if (objclass33 == NULL) {
  glfree(obj33->class->name);
  obj33->class->name = "Token";
}
// OBJECT OUTER DEC outer
  adddatum2(obj33, self, 0);
  addmethodreal(obj33,"outer", &reader_lexer_outer_34);
  Object oldself33 = self;
  struct StackFrameObject *oldstackframe33 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe33);
  gc_frame_newslot((Object)stackframe);
  self = obj33;
  Object *oldselfslot33 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter33 = (*(struct UserObject *)self).data[0], lowerouter33 = thisouter33;
  if (inheritingObject33) {
    struct UserObject *inho33 = (struct UserObject *)inheritingObject33;
    while (inho33->super != GraceDefaultObject) inho33 = (struct UserObject *)inho33->super;
    inho33->super = obj33;
    self = inheritingObject33;
    *selfslot = self;
    lowerouter33 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter33;
  }
if (objclass33 == NULL) {
  Method *reader35 = addmethodrealflags(obj33, "line",&reader_lexer_line_35, MFLAG_DEF);
  reader35->definitionModule = modulename;
  reader35->definitionLine = 30;
}
adddatum2(obj33, alloc_Undefined(), 1);
if (objclass33 == NULL) {
  Method *reader36 = addmethodrealflags(obj33, "indent",&reader_lexer_indent_36, MFLAG_DEF);
  reader36->definitionModule = modulename;
  reader36->definitionLine = 31;
}
adddatum2(obj33, alloc_Undefined(), 2);
if (objclass33 == NULL) {
  Method *reader37 = addmethodrealflags(obj33, "linePos",&reader_lexer_linePos_37, MFLAG_DEF);
  reader37->definitionModule = modulename;
  reader37->definitionLine = 33;
}
adddatum2(obj33, alloc_Undefined(), 3);
if (objclass33 == NULL) {
  Method *reader38 = addmethodrealflags(obj33, "next",&reader_lexer_next_38, 0);
  Method *writer38 = addmethodrealflags(obj33, "next:=",&writer_lexer_next_38, 0);
  reader38->definitionModule = modulename;
  writer38->definitionModule = modulename;
  reader38->definitionLine = 34;
  writer38->definitionLine = 34;
}
obj33->flags |= OFLAG_MUTABLE;
adddatum2(obj33, alloc_Undefined(), 4);
if (objclass33 == NULL) {
  Method *reader39 = addmethodrealflags(obj33, "prev",&reader_lexer_prev_39, 0);
  Method *writer39 = addmethodrealflags(obj33, "prev:=",&writer_lexer_prev_39, 0);
  reader39->definitionModule = modulename;
  writer39->definitionModule = modulename;
  reader39->definitionLine = 36;
  writer39->definitionLine = 36;
}
obj33->flags |= OFLAG_MUTABLE;
adddatum2(obj33, alloc_Undefined(), 5);
// method ==
  struct UserObject *uo40 = (struct UserObject*)obj33;
  uo40->data[6] = emptyclosure;
  Method *meth_meth_lexer__61__61_40 = addmethod2pos(obj33, "==", &meth_lexer__61__61_40, 6);
  int argcv_meth_lexer__61__61_40[] = {1};
  meth_meth_lexer__61__61_40->type = alloc_MethodType(1, argcv_meth_lexer__61__61_40);
  meth_meth_lexer__61__61_40->definitionModule = modulename;
  meth_meth_lexer__61__61_40->definitionLine = 36;
  sourceObject = obj33;
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lineNumber (depth = 5)
  adddatum2(obj33, *var_lineNumber, 1);
  sourceObject = obj33;
// Begin line 30
  setline(30);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_indentLevel (depth = 5)
  adddatum2(obj33, *var_indentLevel, 2);
  sourceObject = obj33;
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_startPosition (depth = 5)
  adddatum2(obj33, *var_startPosition, 3);
  sourceObject = obj33;
// Begin line 33
  setline(33);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool64 = alloc_Boolean(0);
// compiled identifier node returning bool64 (depth = 5)
  adddatum2(obj33, bool64, 4);
  sourceObject = obj33;
// Begin line 34
  setline(34);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool65 = alloc_Boolean(0);
// compiled identifier node returning bool65 (depth = 5)
  adddatum2(obj33, bool65, 5);
  sourceObject = obj33;
  objclass33 = obj33->class;
  objclass33->definitionModule = modulename;
  objclass33->definitionLine = 28;
  (*(struct UserObject *)self).data[0] = lowerouter33;
  self = oldself33;
  selfslot = oldselfslot33;
  stackframe = oldstackframe33;
  gc_frame_end(frame);
  return obj33;
}
Object meth_lexer_new69(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject70 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj70 = alloc_userobj2(4,5, objclass70);
  gc_frame_newslot(obj70);
if (objclass70 == NULL) {
  glfree(obj70->class->name);
  obj70->class->name = "IdentifierToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj70, self, 0);
  addmethodreal(obj70,"outer", &reader_lexer_outer_71);
  Object oldself70 = self;
  struct StackFrameObject *oldstackframe70 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe70);
  gc_frame_newslot((Object)stackframe);
  self = obj70;
  Object *oldselfslot70 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter70 = (*(struct UserObject *)self).data[0], lowerouter70 = thisouter70;
  if (inheritingObject70) {
    struct UserObject *inho70 = (struct UserObject *)inheritingObject70;
    while (inho70->super != GraceDefaultObject) inho70 = (struct UserObject *)inho70->super;
    inho70->super = obj70;
    self = inheritingObject70;
    *selfslot = self;
    lowerouter70 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter70;
  }
if (objclass70 == NULL) {
  Method *reader72 = addmethodrealflags(obj70, "kind",&reader_lexer_kind_72, MFLAG_DEF);
  reader72->definitionModule = modulename;
  reader72->definitionLine = 49;
}
adddatum2(obj70, alloc_Undefined(), 1);
if (objclass70 == NULL) {
  Method *reader73 = addmethodrealflags(obj70, "value",&reader_lexer_value_73, MFLAG_DEF);
  reader73->definitionModule = modulename;
  reader73->definitionLine = 50;
}
adddatum2(obj70, alloc_Undefined(), 2);
if (objclass70 == NULL) {
  Method *reader74 = addmethodrealflags(obj70, "size",&reader_lexer_size_74, MFLAG_DEF);
  reader74->definitionModule = modulename;
  reader74->definitionLine = 51;
}
adddatum2(obj70, alloc_Undefined(), 3);
  sourceObject = obj70;
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe75 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call76 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe75);
// compiled call node returning call76 (depth = 5)
  struct UserObject *obj70_uo = (struct UserObject *)obj70;
  obj70_uo->super = call76;
  sourceObject = obj70;
// Begin line 48
  setline(48);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit77 == NULL) {
    strlit77 = alloc_String("identifier");
    gc_root(strlit77);
  }
// compiled string node returning strlit77 (depth = 5)
  adddatum2(obj70, strlit77, 1);
  sourceObject = obj70;
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  adddatum2(obj70, *var_s, 2);
  sourceObject = obj70;
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe78 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  partcv[0] = 0;
  Object call79 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe78);
// compiled call node returning call79 (depth = 6)
// compiled member node returning call79 (depth = 5)
  adddatum2(obj70, call79, 3);
  objclass70 = obj70->class;
  objclass70->definitionModule = modulename;
  objclass70->definitionLine = 46;
  (*(struct UserObject *)self).data[0] = lowerouter70;
  self = oldself70;
  selfslot = oldselfslot70;
  stackframe = oldstackframe70;
  gc_frame_end(frame);
  return obj70;
}
Object meth_lexer_new69_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject70 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj70 = alloc_userobj2(4,5, objclass70);
  gc_frame_newslot(obj70);
if (objclass70 == NULL) {
  glfree(obj70->class->name);
  obj70->class->name = "IdentifierToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj70, self, 0);
  addmethodreal(obj70,"outer", &reader_lexer_outer_71);
  Object oldself70 = self;
  struct StackFrameObject *oldstackframe70 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe70);
  gc_frame_newslot((Object)stackframe);
  self = obj70;
  Object *oldselfslot70 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter70 = (*(struct UserObject *)self).data[0], lowerouter70 = thisouter70;
  if (inheritingObject70) {
    struct UserObject *inho70 = (struct UserObject *)inheritingObject70;
    while (inho70->super != GraceDefaultObject) inho70 = (struct UserObject *)inho70->super;
    inho70->super = obj70;
    self = inheritingObject70;
    *selfslot = self;
    lowerouter70 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter70;
  }
if (objclass70 == NULL) {
  Method *reader72 = addmethodrealflags(obj70, "kind",&reader_lexer_kind_72, MFLAG_DEF);
  reader72->definitionModule = modulename;
  reader72->definitionLine = 49;
}
adddatum2(obj70, alloc_Undefined(), 1);
if (objclass70 == NULL) {
  Method *reader73 = addmethodrealflags(obj70, "value",&reader_lexer_value_73, MFLAG_DEF);
  reader73->definitionModule = modulename;
  reader73->definitionLine = 50;
}
adddatum2(obj70, alloc_Undefined(), 2);
if (objclass70 == NULL) {
  Method *reader74 = addmethodrealflags(obj70, "size",&reader_lexer_size_74, MFLAG_DEF);
  reader74->definitionModule = modulename;
  reader74->definitionLine = 51;
}
adddatum2(obj70, alloc_Undefined(), 3);
  sourceObject = obj70;
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe75 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call76 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe75);
// compiled call node returning call76 (depth = 5)
  struct UserObject *obj70_uo = (struct UserObject *)obj70;
  obj70_uo->super = call76;
  sourceObject = obj70;
// Begin line 48
  setline(48);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit77 == NULL) {
    strlit77 = alloc_String("identifier");
    gc_root(strlit77);
  }
// compiled string node returning strlit77 (depth = 5)
  adddatum2(obj70, strlit77, 1);
  sourceObject = obj70;
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  adddatum2(obj70, *var_s, 2);
  sourceObject = obj70;
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe78 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  partcv[0] = 0;
  Object call79 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe78);
// compiled call node returning call79 (depth = 6)
// compiled member node returning call79 (depth = 5)
  adddatum2(obj70, call79, 3);
  objclass70 = obj70->class;
  objclass70->definitionModule = modulename;
  objclass70->definitionLine = 46;
  (*(struct UserObject *)self).data[0] = lowerouter70;
  self = oldself70;
  selfslot = oldselfslot70;
  stackframe = oldstackframe70;
  gc_frame_end(frame);
  return obj70;
}
Object meth_lexer_new83(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  Object *var_stringStart = getfromclosure(closure, 1);
  Object *var_linePosition = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject84 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj84 = alloc_userobj2(4,5, objclass84);
  gc_frame_newslot(obj84);
if (objclass84 == NULL) {
  glfree(obj84->class->name);
  obj84->class->name = "StringToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj84, self, 0);
  addmethodreal(obj84,"outer", &reader_lexer_outer_85);
  Object oldself84 = self;
  struct StackFrameObject *oldstackframe84 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe84);
  gc_frame_newslot((Object)stackframe);
  self = obj84;
  Object *oldselfslot84 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter84 = (*(struct UserObject *)self).data[0], lowerouter84 = thisouter84;
  if (inheritingObject84) {
    struct UserObject *inho84 = (struct UserObject *)inheritingObject84;
    while (inho84->super != GraceDefaultObject) inho84 = (struct UserObject *)inho84->super;
    inho84->super = obj84;
    self = inheritingObject84;
    *selfslot = self;
    lowerouter84 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter84;
  }
if (objclass84 == NULL) {
  Method *reader86 = addmethodrealflags(obj84, "kind",&reader_lexer_kind_86, MFLAG_DEF);
  reader86->definitionModule = modulename;
  reader86->definitionLine = 55;
}
adddatum2(obj84, alloc_Undefined(), 1);
if (objclass84 == NULL) {
  Method *reader87 = addmethodrealflags(obj84, "value",&reader_lexer_value_87, MFLAG_DEF);
  reader87->definitionModule = modulename;
  reader87->definitionLine = 56;
}
adddatum2(obj84, alloc_Undefined(), 2);
if (objclass84 == NULL) {
  Method *reader88 = addmethodrealflags(obj84, "size",&reader_lexer_size_88, MFLAG_DEF);
  reader88->definitionModule = modulename;
  reader88->definitionLine = 57;
}
adddatum2(obj84, alloc_Undefined(), 3);
  sourceObject = obj84;
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe89 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call90 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe89);
// compiled call node returning call90 (depth = 5)
  struct UserObject *obj84_uo = (struct UserObject *)obj84;
  obj84_uo->super = call90;
  sourceObject = obj84;
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit91 == NULL) {
    strlit91 = alloc_String("string");
    gc_root(strlit91);
  }
// compiled string node returning strlit91 (depth = 5)
  adddatum2(obj84, strlit91, 1);
  sourceObject = obj84;
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  adddatum2(obj84, *var_s, 2);
  sourceObject = obj84;
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num93 = alloc_Float64(1);
// compiled num node returning num93 (depth = 6)
  int op_slot_right_92 = gc_frame_newslot(num93);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_stringStart (depth = 7)
  int op_slot_right_95 = gc_frame_newslot(*var_stringStart);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_linePosition (depth = 7)
  int op_slot_left_95 = gc_frame_newslot(*var_linePosition);
  params[0] = *var_stringStart;
  partcv[0] = 1;
  Object diff97 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff97 (depth = 6)
  int op_slot_left_92 = gc_frame_newslot(diff97);
  params[0] = num93;
  partcv[0] = 1;
  Object sum98 = callmethod(diff97, "+", 1, partcv, params);
// compiled op node returning sum98 (depth = 5)
  adddatum2(obj84, sum98, 3);
  objclass84 = obj84->class;
  objclass84->definitionModule = modulename;
  objclass84->definitionLine = 52;
  (*(struct UserObject *)self).data[0] = lowerouter84;
  self = oldself84;
  selfslot = oldselfslot84;
  stackframe = oldstackframe84;
  gc_frame_end(frame);
  return obj84;
}
Object meth_lexer_new83_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  Object *var_stringStart = getfromclosure(closure, 1);
  Object *var_linePosition = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject84 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj84 = alloc_userobj2(4,5, objclass84);
  gc_frame_newslot(obj84);
if (objclass84 == NULL) {
  glfree(obj84->class->name);
  obj84->class->name = "StringToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj84, self, 0);
  addmethodreal(obj84,"outer", &reader_lexer_outer_85);
  Object oldself84 = self;
  struct StackFrameObject *oldstackframe84 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe84);
  gc_frame_newslot((Object)stackframe);
  self = obj84;
  Object *oldselfslot84 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter84 = (*(struct UserObject *)self).data[0], lowerouter84 = thisouter84;
  if (inheritingObject84) {
    struct UserObject *inho84 = (struct UserObject *)inheritingObject84;
    while (inho84->super != GraceDefaultObject) inho84 = (struct UserObject *)inho84->super;
    inho84->super = obj84;
    self = inheritingObject84;
    *selfslot = self;
    lowerouter84 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter84;
  }
if (objclass84 == NULL) {
  Method *reader86 = addmethodrealflags(obj84, "kind",&reader_lexer_kind_86, MFLAG_DEF);
  reader86->definitionModule = modulename;
  reader86->definitionLine = 55;
}
adddatum2(obj84, alloc_Undefined(), 1);
if (objclass84 == NULL) {
  Method *reader87 = addmethodrealflags(obj84, "value",&reader_lexer_value_87, MFLAG_DEF);
  reader87->definitionModule = modulename;
  reader87->definitionLine = 56;
}
adddatum2(obj84, alloc_Undefined(), 2);
if (objclass84 == NULL) {
  Method *reader88 = addmethodrealflags(obj84, "size",&reader_lexer_size_88, MFLAG_DEF);
  reader88->definitionModule = modulename;
  reader88->definitionLine = 57;
}
adddatum2(obj84, alloc_Undefined(), 3);
  sourceObject = obj84;
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe89 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call90 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe89);
// compiled call node returning call90 (depth = 5)
  struct UserObject *obj84_uo = (struct UserObject *)obj84;
  obj84_uo->super = call90;
  sourceObject = obj84;
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit91 == NULL) {
    strlit91 = alloc_String("string");
    gc_root(strlit91);
  }
// compiled string node returning strlit91 (depth = 5)
  adddatum2(obj84, strlit91, 1);
  sourceObject = obj84;
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  adddatum2(obj84, *var_s, 2);
  sourceObject = obj84;
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num93 = alloc_Float64(1);
// compiled num node returning num93 (depth = 6)
  int op_slot_right_92 = gc_frame_newslot(num93);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_stringStart (depth = 7)
  int op_slot_right_95 = gc_frame_newslot(*var_stringStart);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_linePosition (depth = 7)
  int op_slot_left_95 = gc_frame_newslot(*var_linePosition);
  params[0] = *var_stringStart;
  partcv[0] = 1;
  Object diff97 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff97 (depth = 6)
  int op_slot_left_92 = gc_frame_newslot(diff97);
  params[0] = num93;
  partcv[0] = 1;
  Object sum98 = callmethod(diff97, "+", 1, partcv, params);
// compiled op node returning sum98 (depth = 5)
  adddatum2(obj84, sum98, 3);
  objclass84 = obj84->class;
  objclass84->definitionModule = modulename;
  objclass84->definitionLine = 52;
  (*(struct UserObject *)self).data[0] = lowerouter84;
  self = oldself84;
  selfslot = oldselfslot84;
  stackframe = oldstackframe84;
  gc_frame_end(frame);
  return obj84;
}
Object meth_lexer_line110(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "line");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for line (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for line");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe111 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call112 = callmethodflags(self, "line'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe111);
// compiled call node returning call112 (depth = 6)
// compiled member node returning call112 (depth = 5)
  gc_frame_end(frame);
  return call112;
}
Object meth_lexer_linePos113(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "linePos");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for linePos (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for linePos");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe114 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call115 = callmethodflags(self, "linePos'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe114);
// compiled call node returning call115 (depth = 6)
// compiled member node returning call115 (depth = 5)
  gc_frame_end(frame);
  return call115;
}
Object meth_lexer_new102(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  Object *var_startLine = getfromclosure(closure, 1);
  Object *var_stringStart = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject103 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj103 = alloc_userobj2(8,9, objclass103);
  gc_frame_newslot(obj103);
if (objclass103 == NULL) {
  glfree(obj103->class->name);
  obj103->class->name = "MultiLineStringToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj103, self, 0);
  addmethodreal(obj103,"outer", &reader_lexer_outer_104);
  Object oldself103 = self;
  struct StackFrameObject *oldstackframe103 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe103);
  gc_frame_newslot((Object)stackframe);
  self = obj103;
  Object *oldselfslot103 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter103 = (*(struct UserObject *)self).data[0], lowerouter103 = thisouter103;
  if (inheritingObject103) {
    struct UserObject *inho103 = (struct UserObject *)inheritingObject103;
    while (inho103->super != GraceDefaultObject) inho103 = (struct UserObject *)inho103->super;
    inho103->super = obj103;
    self = inheritingObject103;
    *selfslot = self;
    lowerouter103 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter103;
  }
if (objclass103 == NULL) {
  Method *reader105 = addmethodrealflags(obj103, "kind",&reader_lexer_kind_105, MFLAG_DEF);
  reader105->definitionModule = modulename;
  reader105->definitionLine = 61;
}
adddatum2(obj103, alloc_Undefined(), 1);
if (objclass103 == NULL) {
  Method *reader106 = addmethodrealflags(obj103, "value",&reader_lexer_value_106, MFLAG_DEF);
  reader106->definitionModule = modulename;
  reader106->definitionLine = 62;
}
adddatum2(obj103, alloc_Undefined(), 2);
if (objclass103 == NULL) {
  Method *reader107 = addmethodrealflags(obj103, "size",&reader_lexer_size_107, MFLAG_DEF);
  reader107->definitionModule = modulename;
  reader107->definitionLine = 63;
}
adddatum2(obj103, alloc_Undefined(), 3);
if (objclass103 == NULL) {
  Method *reader108 = addmethodrealflags(obj103, "line'",&reader_lexer_line_39__108, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader108->definitionModule = modulename;
  reader108->definitionLine = 64;
}
adddatum2(obj103, alloc_Undefined(), 4);
if (objclass103 == NULL) {
  Method *reader109 = addmethodrealflags(obj103, "linePos'",&reader_lexer_linePos_39__109, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader109->definitionModule = modulename;
  reader109->definitionLine = 65;
}
adddatum2(obj103, alloc_Undefined(), 5);
// method line
  struct UserObject *uo110 = (struct UserObject*)obj103;
  uo110->data[6] = emptyclosure;
  Method *meth_meth_lexer_line110 = addmethod2pos(obj103, "line", &meth_lexer_line110, 6);
  int argcv_meth_lexer_line110[] = {0};
  meth_meth_lexer_line110->type = alloc_MethodType(1, argcv_meth_lexer_line110);
  meth_meth_lexer_line110->definitionModule = modulename;
  meth_meth_lexer_line110->definitionLine = 65;
// method linePos
  struct UserObject *uo113 = (struct UserObject*)obj103;
  uo113->data[7] = emptyclosure;
  Method *meth_meth_lexer_linePos113 = addmethod2pos(obj103, "linePos", &meth_lexer_linePos113, 7);
  int argcv_meth_lexer_linePos113[] = {0};
  meth_meth_lexer_linePos113->type = alloc_MethodType(1, argcv_meth_lexer_linePos113);
  meth_meth_lexer_linePos113->definitionModule = modulename;
  meth_meth_lexer_linePos113->definitionLine = 66;
  sourceObject = obj103;
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe116 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call117 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe116);
// compiled call node returning call117 (depth = 5)
  struct UserObject *obj103_uo = (struct UserObject *)obj103;
  obj103_uo->super = call117;
  sourceObject = obj103;
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit118 == NULL) {
    strlit118 = alloc_String("string");
    gc_root(strlit118);
  }
// compiled string node returning strlit118 (depth = 5)
  adddatum2(obj103, strlit118, 1);
  sourceObject = obj103;
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  adddatum2(obj103, *var_s, 2);
  sourceObject = obj103;
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num120 = alloc_Float64(2);
// compiled num node returning num120 (depth = 6)
  int op_slot_right_119 = gc_frame_newslot(num120);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe122 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  partcv[0] = 0;
  Object call123 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe122);
// compiled call node returning call123 (depth = 7)
// compiled member node returning call123 (depth = 6)
  int op_slot_left_119 = gc_frame_newslot(call123);
  params[0] = num120;
  partcv[0] = 1;
  Object sum124 = callmethod(call123, "+", 1, partcv, params);
// compiled op node returning sum124 (depth = 5)
  adddatum2(obj103, sum124, 3);
  sourceObject = obj103;
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_startLine (depth = 5)
  adddatum2(obj103, *var_startLine, 4);
  sourceObject = obj103;
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_stringStart (depth = 5)
  adddatum2(obj103, *var_stringStart, 5);
  sourceObject = obj103;
  sourceObject = obj103;
  objclass103 = obj103->class;
  objclass103->definitionModule = modulename;
  objclass103->definitionLine = 58;
  (*(struct UserObject *)self).data[0] = lowerouter103;
  self = oldself103;
  selfslot = oldselfslot103;
  stackframe = oldstackframe103;
  gc_frame_end(frame);
  return obj103;
}
Object meth_lexer_new102_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  Object *var_startLine = getfromclosure(closure, 1);
  Object *var_stringStart = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject103 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj103 = alloc_userobj2(8,9, objclass103);
  gc_frame_newslot(obj103);
if (objclass103 == NULL) {
  glfree(obj103->class->name);
  obj103->class->name = "MultiLineStringToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj103, self, 0);
  addmethodreal(obj103,"outer", &reader_lexer_outer_104);
  Object oldself103 = self;
  struct StackFrameObject *oldstackframe103 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe103);
  gc_frame_newslot((Object)stackframe);
  self = obj103;
  Object *oldselfslot103 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter103 = (*(struct UserObject *)self).data[0], lowerouter103 = thisouter103;
  if (inheritingObject103) {
    struct UserObject *inho103 = (struct UserObject *)inheritingObject103;
    while (inho103->super != GraceDefaultObject) inho103 = (struct UserObject *)inho103->super;
    inho103->super = obj103;
    self = inheritingObject103;
    *selfslot = self;
    lowerouter103 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter103;
  }
if (objclass103 == NULL) {
  Method *reader105 = addmethodrealflags(obj103, "kind",&reader_lexer_kind_105, MFLAG_DEF);
  reader105->definitionModule = modulename;
  reader105->definitionLine = 61;
}
adddatum2(obj103, alloc_Undefined(), 1);
if (objclass103 == NULL) {
  Method *reader106 = addmethodrealflags(obj103, "value",&reader_lexer_value_106, MFLAG_DEF);
  reader106->definitionModule = modulename;
  reader106->definitionLine = 62;
}
adddatum2(obj103, alloc_Undefined(), 2);
if (objclass103 == NULL) {
  Method *reader107 = addmethodrealflags(obj103, "size",&reader_lexer_size_107, MFLAG_DEF);
  reader107->definitionModule = modulename;
  reader107->definitionLine = 63;
}
adddatum2(obj103, alloc_Undefined(), 3);
if (objclass103 == NULL) {
  Method *reader108 = addmethodrealflags(obj103, "line'",&reader_lexer_line_39__108, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader108->definitionModule = modulename;
  reader108->definitionLine = 64;
}
adddatum2(obj103, alloc_Undefined(), 4);
if (objclass103 == NULL) {
  Method *reader109 = addmethodrealflags(obj103, "linePos'",&reader_lexer_linePos_39__109, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader109->definitionModule = modulename;
  reader109->definitionLine = 65;
}
adddatum2(obj103, alloc_Undefined(), 5);
// method line
  struct UserObject *uo110 = (struct UserObject*)obj103;
  uo110->data[6] = emptyclosure;
  Method *meth_meth_lexer_line110 = addmethod2pos(obj103, "line", &meth_lexer_line110, 6);
  int argcv_meth_lexer_line110[] = {0};
  meth_meth_lexer_line110->type = alloc_MethodType(1, argcv_meth_lexer_line110);
  meth_meth_lexer_line110->definitionModule = modulename;
  meth_meth_lexer_line110->definitionLine = 65;
// method linePos
  struct UserObject *uo113 = (struct UserObject*)obj103;
  uo113->data[7] = emptyclosure;
  Method *meth_meth_lexer_linePos113 = addmethod2pos(obj103, "linePos", &meth_lexer_linePos113, 7);
  int argcv_meth_lexer_linePos113[] = {0};
  meth_meth_lexer_linePos113->type = alloc_MethodType(1, argcv_meth_lexer_linePos113);
  meth_meth_lexer_linePos113->definitionModule = modulename;
  meth_meth_lexer_linePos113->definitionLine = 66;
  sourceObject = obj103;
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe116 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call117 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe116);
// compiled call node returning call117 (depth = 5)
  struct UserObject *obj103_uo = (struct UserObject *)obj103;
  obj103_uo->super = call117;
  sourceObject = obj103;
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit118 == NULL) {
    strlit118 = alloc_String("string");
    gc_root(strlit118);
  }
// compiled string node returning strlit118 (depth = 5)
  adddatum2(obj103, strlit118, 1);
  sourceObject = obj103;
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  adddatum2(obj103, *var_s, 2);
  sourceObject = obj103;
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num120 = alloc_Float64(2);
// compiled num node returning num120 (depth = 6)
  int op_slot_right_119 = gc_frame_newslot(num120);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe122 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  partcv[0] = 0;
  Object call123 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe122);
// compiled call node returning call123 (depth = 7)
// compiled member node returning call123 (depth = 6)
  int op_slot_left_119 = gc_frame_newslot(call123);
  params[0] = num120;
  partcv[0] = 1;
  Object sum124 = callmethod(call123, "+", 1, partcv, params);
// compiled op node returning sum124 (depth = 5)
  adddatum2(obj103, sum124, 3);
  sourceObject = obj103;
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_startLine (depth = 5)
  adddatum2(obj103, *var_startLine, 4);
  sourceObject = obj103;
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_stringStart (depth = 5)
  adddatum2(obj103, *var_stringStart, 5);
  sourceObject = obj103;
  sourceObject = obj103;
  objclass103 = obj103->class;
  objclass103->definitionModule = modulename;
  objclass103->definitionLine = 58;
  (*(struct UserObject *)self).data[0] = lowerouter103;
  self = oldself103;
  selfslot = oldselfslot103;
  stackframe = oldstackframe103;
  gc_frame_end(frame);
  return obj103;
}
Object meth_lexer_new128(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject129 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj129 = alloc_userobj2(4,5, objclass129);
  gc_frame_newslot(obj129);
if (objclass129 == NULL) {
  glfree(obj129->class->name);
  obj129->class->name = "CommentToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj129, self, 0);
  addmethodreal(obj129,"outer", &reader_lexer_outer_130);
  Object oldself129 = self;
  struct StackFrameObject *oldstackframe129 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe129);
  gc_frame_newslot((Object)stackframe);
  self = obj129;
  Object *oldselfslot129 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter129 = (*(struct UserObject *)self).data[0], lowerouter129 = thisouter129;
  if (inheritingObject129) {
    struct UserObject *inho129 = (struct UserObject *)inheritingObject129;
    while (inho129->super != GraceDefaultObject) inho129 = (struct UserObject *)inho129->super;
    inho129->super = obj129;
    self = inheritingObject129;
    *selfslot = self;
    lowerouter129 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter129;
  }
if (objclass129 == NULL) {
  Method *reader131 = addmethodrealflags(obj129, "kind",&reader_lexer_kind_131, MFLAG_DEF);
  reader131->definitionModule = modulename;
  reader131->definitionLine = 71;
}
adddatum2(obj129, alloc_Undefined(), 1);
if (objclass129 == NULL) {
  Method *reader132 = addmethodrealflags(obj129, "value",&reader_lexer_value_132, MFLAG_DEF);
  reader132->definitionModule = modulename;
  reader132->definitionLine = 72;
}
adddatum2(obj129, alloc_Undefined(), 2);
if (objclass129 == NULL) {
  Method *reader133 = addmethodrealflags(obj129, "size",&reader_lexer_size_133, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader133->definitionModule = modulename;
  reader133->definitionLine = 73;
}
adddatum2(obj129, alloc_Undefined(), 3);
  sourceObject = obj129;
// Begin line 69
  setline(69);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe134 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call135 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe134);
// compiled call node returning call135 (depth = 5)
  struct UserObject *obj129_uo = (struct UserObject *)obj129;
  obj129_uo->super = call135;
  sourceObject = obj129;
// Begin line 70
  setline(70);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit136 == NULL) {
    strlit136 = alloc_String("comment");
    gc_root(strlit136);
  }
// compiled string node returning strlit136 (depth = 5)
  adddatum2(obj129, strlit136, 1);
  sourceObject = obj129;
// Begin line 71
  setline(71);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  adddatum2(obj129, *var_s, 2);
  sourceObject = obj129;
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num138 = alloc_Float64(2);
// compiled num node returning num138 (depth = 6)
  int op_slot_right_137 = gc_frame_newslot(num138);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe140 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  partcv[0] = 0;
  Object call141 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe140);
// compiled call node returning call141 (depth = 7)
// compiled member node returning call141 (depth = 6)
  int op_slot_left_137 = gc_frame_newslot(call141);
  params[0] = num138;
  partcv[0] = 1;
  Object sum142 = callmethod(call141, "+", 1, partcv, params);
// compiled op node returning sum142 (depth = 5)
  adddatum2(obj129, sum142, 3);
  objclass129 = obj129->class;
  objclass129->definitionModule = modulename;
  objclass129->definitionLine = 68;
  (*(struct UserObject *)self).data[0] = lowerouter129;
  self = oldself129;
  selfslot = oldselfslot129;
  stackframe = oldstackframe129;
  gc_frame_end(frame);
  return obj129;
}
Object meth_lexer_new128_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject129 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj129 = alloc_userobj2(4,5, objclass129);
  gc_frame_newslot(obj129);
if (objclass129 == NULL) {
  glfree(obj129->class->name);
  obj129->class->name = "CommentToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj129, self, 0);
  addmethodreal(obj129,"outer", &reader_lexer_outer_130);
  Object oldself129 = self;
  struct StackFrameObject *oldstackframe129 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe129);
  gc_frame_newslot((Object)stackframe);
  self = obj129;
  Object *oldselfslot129 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter129 = (*(struct UserObject *)self).data[0], lowerouter129 = thisouter129;
  if (inheritingObject129) {
    struct UserObject *inho129 = (struct UserObject *)inheritingObject129;
    while (inho129->super != GraceDefaultObject) inho129 = (struct UserObject *)inho129->super;
    inho129->super = obj129;
    self = inheritingObject129;
    *selfslot = self;
    lowerouter129 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter129;
  }
if (objclass129 == NULL) {
  Method *reader131 = addmethodrealflags(obj129, "kind",&reader_lexer_kind_131, MFLAG_DEF);
  reader131->definitionModule = modulename;
  reader131->definitionLine = 71;
}
adddatum2(obj129, alloc_Undefined(), 1);
if (objclass129 == NULL) {
  Method *reader132 = addmethodrealflags(obj129, "value",&reader_lexer_value_132, MFLAG_DEF);
  reader132->definitionModule = modulename;
  reader132->definitionLine = 72;
}
adddatum2(obj129, alloc_Undefined(), 2);
if (objclass129 == NULL) {
  Method *reader133 = addmethodrealflags(obj129, "size",&reader_lexer_size_133, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader133->definitionModule = modulename;
  reader133->definitionLine = 73;
}
adddatum2(obj129, alloc_Undefined(), 3);
  sourceObject = obj129;
// Begin line 69
  setline(69);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe134 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call135 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe134);
// compiled call node returning call135 (depth = 5)
  struct UserObject *obj129_uo = (struct UserObject *)obj129;
  obj129_uo->super = call135;
  sourceObject = obj129;
// Begin line 70
  setline(70);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit136 == NULL) {
    strlit136 = alloc_String("comment");
    gc_root(strlit136);
  }
// compiled string node returning strlit136 (depth = 5)
  adddatum2(obj129, strlit136, 1);
  sourceObject = obj129;
// Begin line 71
  setline(71);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  adddatum2(obj129, *var_s, 2);
  sourceObject = obj129;
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num138 = alloc_Float64(2);
// compiled num node returning num138 (depth = 6)
  int op_slot_right_137 = gc_frame_newslot(num138);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe140 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  partcv[0] = 0;
  Object call141 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe140);
// compiled call node returning call141 (depth = 7)
// compiled member node returning call141 (depth = 6)
  int op_slot_left_137 = gc_frame_newslot(call141);
  params[0] = num138;
  partcv[0] = 1;
  Object sum142 = callmethod(call141, "+", 1, partcv, params);
// compiled op node returning sum142 (depth = 5)
  adddatum2(obj129, sum142, 3);
  objclass129 = obj129->class;
  objclass129->definitionModule = modulename;
  objclass129->definitionLine = 68;
  (*(struct UserObject *)self).data[0] = lowerouter129;
  self = oldself129;
  selfslot = oldselfslot129;
  stackframe = oldstackframe129;
  gc_frame_end(frame);
  return obj129;
}
Object meth_lexer_new146(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject147 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj147 = alloc_userobj2(4,5, objclass147);
  gc_frame_newslot(obj147);
if (objclass147 == NULL) {
  glfree(obj147->class->name);
  obj147->class->name = "LBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj147, self, 0);
  addmethodreal(obj147,"outer", &reader_lexer_outer_148);
  Object oldself147 = self;
  struct StackFrameObject *oldstackframe147 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe147);
  gc_frame_newslot((Object)stackframe);
  self = obj147;
  Object *oldselfslot147 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter147 = (*(struct UserObject *)self).data[0], lowerouter147 = thisouter147;
  if (inheritingObject147) {
    struct UserObject *inho147 = (struct UserObject *)inheritingObject147;
    while (inho147->super != GraceDefaultObject) inho147 = (struct UserObject *)inho147->super;
    inho147->super = obj147;
    self = inheritingObject147;
    *selfslot = self;
    lowerouter147 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter147;
  }
if (objclass147 == NULL) {
  Method *reader149 = addmethodrealflags(obj147, "kind",&reader_lexer_kind_149, MFLAG_DEF);
  reader149->definitionModule = modulename;
  reader149->definitionLine = 77;
}
adddatum2(obj147, alloc_Undefined(), 1);
if (objclass147 == NULL) {
  Method *reader150 = addmethodrealflags(obj147, "value",&reader_lexer_value_150, MFLAG_DEF);
  reader150->definitionModule = modulename;
  reader150->definitionLine = 78;
}
adddatum2(obj147, alloc_Undefined(), 2);
if (objclass147 == NULL) {
  Method *reader151 = addmethodrealflags(obj147, "size",&reader_lexer_size_151, MFLAG_DEF);
  reader151->definitionModule = modulename;
  reader151->definitionLine = 79;
}
adddatum2(obj147, alloc_Undefined(), 3);
  sourceObject = obj147;
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe152 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call153 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe152);
// compiled call node returning call153 (depth = 5)
  struct UserObject *obj147_uo = (struct UserObject *)obj147;
  obj147_uo->super = call153;
  sourceObject = obj147;
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit154 == NULL) {
    strlit154 = alloc_String("lbrace");
    gc_root(strlit154);
  }
// compiled string node returning strlit154 (depth = 5)
  adddatum2(obj147, strlit154, 1);
  sourceObject = obj147;
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit155 == NULL) {
    strlit155 = alloc_String("{");
    gc_root(strlit155);
  }
// compiled string node returning strlit155 (depth = 5)
  adddatum2(obj147, strlit155, 2);
  sourceObject = obj147;
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num156 = alloc_Float64(1);
// compiled num node returning num156 (depth = 5)
  adddatum2(obj147, num156, 3);
  objclass147 = obj147->class;
  objclass147->definitionModule = modulename;
  objclass147->definitionLine = 74;
  (*(struct UserObject *)self).data[0] = lowerouter147;
  self = oldself147;
  selfslot = oldselfslot147;
  stackframe = oldstackframe147;
  gc_frame_end(frame);
  return obj147;
}
Object meth_lexer_new146_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject147 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj147 = alloc_userobj2(4,5, objclass147);
  gc_frame_newslot(obj147);
if (objclass147 == NULL) {
  glfree(obj147->class->name);
  obj147->class->name = "LBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj147, self, 0);
  addmethodreal(obj147,"outer", &reader_lexer_outer_148);
  Object oldself147 = self;
  struct StackFrameObject *oldstackframe147 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe147);
  gc_frame_newslot((Object)stackframe);
  self = obj147;
  Object *oldselfslot147 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter147 = (*(struct UserObject *)self).data[0], lowerouter147 = thisouter147;
  if (inheritingObject147) {
    struct UserObject *inho147 = (struct UserObject *)inheritingObject147;
    while (inho147->super != GraceDefaultObject) inho147 = (struct UserObject *)inho147->super;
    inho147->super = obj147;
    self = inheritingObject147;
    *selfslot = self;
    lowerouter147 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter147;
  }
if (objclass147 == NULL) {
  Method *reader149 = addmethodrealflags(obj147, "kind",&reader_lexer_kind_149, MFLAG_DEF);
  reader149->definitionModule = modulename;
  reader149->definitionLine = 77;
}
adddatum2(obj147, alloc_Undefined(), 1);
if (objclass147 == NULL) {
  Method *reader150 = addmethodrealflags(obj147, "value",&reader_lexer_value_150, MFLAG_DEF);
  reader150->definitionModule = modulename;
  reader150->definitionLine = 78;
}
adddatum2(obj147, alloc_Undefined(), 2);
if (objclass147 == NULL) {
  Method *reader151 = addmethodrealflags(obj147, "size",&reader_lexer_size_151, MFLAG_DEF);
  reader151->definitionModule = modulename;
  reader151->definitionLine = 79;
}
adddatum2(obj147, alloc_Undefined(), 3);
  sourceObject = obj147;
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe152 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call153 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe152);
// compiled call node returning call153 (depth = 5)
  struct UserObject *obj147_uo = (struct UserObject *)obj147;
  obj147_uo->super = call153;
  sourceObject = obj147;
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit154 == NULL) {
    strlit154 = alloc_String("lbrace");
    gc_root(strlit154);
  }
// compiled string node returning strlit154 (depth = 5)
  adddatum2(obj147, strlit154, 1);
  sourceObject = obj147;
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit155 == NULL) {
    strlit155 = alloc_String("{");
    gc_root(strlit155);
  }
// compiled string node returning strlit155 (depth = 5)
  adddatum2(obj147, strlit155, 2);
  sourceObject = obj147;
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num156 = alloc_Float64(1);
// compiled num node returning num156 (depth = 5)
  adddatum2(obj147, num156, 3);
  objclass147 = obj147->class;
  objclass147->definitionModule = modulename;
  objclass147->definitionLine = 74;
  (*(struct UserObject *)self).data[0] = lowerouter147;
  self = oldself147;
  selfslot = oldselfslot147;
  stackframe = oldstackframe147;
  gc_frame_end(frame);
  return obj147;
}
Object meth_lexer_new160(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject161 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj161 = alloc_userobj2(4,5, objclass161);
  gc_frame_newslot(obj161);
if (objclass161 == NULL) {
  glfree(obj161->class->name);
  obj161->class->name = "RBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj161, self, 0);
  addmethodreal(obj161,"outer", &reader_lexer_outer_162);
  Object oldself161 = self;
  struct StackFrameObject *oldstackframe161 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe161);
  gc_frame_newslot((Object)stackframe);
  self = obj161;
  Object *oldselfslot161 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter161 = (*(struct UserObject *)self).data[0], lowerouter161 = thisouter161;
  if (inheritingObject161) {
    struct UserObject *inho161 = (struct UserObject *)inheritingObject161;
    while (inho161->super != GraceDefaultObject) inho161 = (struct UserObject *)inho161->super;
    inho161->super = obj161;
    self = inheritingObject161;
    *selfslot = self;
    lowerouter161 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter161;
  }
if (objclass161 == NULL) {
  Method *reader163 = addmethodrealflags(obj161, "kind",&reader_lexer_kind_163, MFLAG_DEF);
  reader163->definitionModule = modulename;
  reader163->definitionLine = 83;
}
adddatum2(obj161, alloc_Undefined(), 1);
if (objclass161 == NULL) {
  Method *reader164 = addmethodrealflags(obj161, "value",&reader_lexer_value_164, MFLAG_DEF);
  reader164->definitionModule = modulename;
  reader164->definitionLine = 84;
}
adddatum2(obj161, alloc_Undefined(), 2);
if (objclass161 == NULL) {
  Method *reader165 = addmethodrealflags(obj161, "size",&reader_lexer_size_165, MFLAG_DEF);
  reader165->definitionModule = modulename;
  reader165->definitionLine = 85;
}
adddatum2(obj161, alloc_Undefined(), 3);
  sourceObject = obj161;
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe166 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call167 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe166);
// compiled call node returning call167 (depth = 5)
  struct UserObject *obj161_uo = (struct UserObject *)obj161;
  obj161_uo->super = call167;
  sourceObject = obj161;
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit168 == NULL) {
    strlit168 = alloc_String("rbrace");
    gc_root(strlit168);
  }
// compiled string node returning strlit168 (depth = 5)
  adddatum2(obj161, strlit168, 1);
  sourceObject = obj161;
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit169 == NULL) {
    strlit169 = alloc_String("}");
    gc_root(strlit169);
  }
// compiled string node returning strlit169 (depth = 5)
  adddatum2(obj161, strlit169, 2);
  sourceObject = obj161;
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num170 = alloc_Float64(1);
// compiled num node returning num170 (depth = 5)
  adddatum2(obj161, num170, 3);
  objclass161 = obj161->class;
  objclass161->definitionModule = modulename;
  objclass161->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter161;
  self = oldself161;
  selfslot = oldselfslot161;
  stackframe = oldstackframe161;
  gc_frame_end(frame);
  return obj161;
}
Object meth_lexer_new160_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject161 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj161 = alloc_userobj2(4,5, objclass161);
  gc_frame_newslot(obj161);
if (objclass161 == NULL) {
  glfree(obj161->class->name);
  obj161->class->name = "RBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj161, self, 0);
  addmethodreal(obj161,"outer", &reader_lexer_outer_162);
  Object oldself161 = self;
  struct StackFrameObject *oldstackframe161 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe161);
  gc_frame_newslot((Object)stackframe);
  self = obj161;
  Object *oldselfslot161 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter161 = (*(struct UserObject *)self).data[0], lowerouter161 = thisouter161;
  if (inheritingObject161) {
    struct UserObject *inho161 = (struct UserObject *)inheritingObject161;
    while (inho161->super != GraceDefaultObject) inho161 = (struct UserObject *)inho161->super;
    inho161->super = obj161;
    self = inheritingObject161;
    *selfslot = self;
    lowerouter161 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter161;
  }
if (objclass161 == NULL) {
  Method *reader163 = addmethodrealflags(obj161, "kind",&reader_lexer_kind_163, MFLAG_DEF);
  reader163->definitionModule = modulename;
  reader163->definitionLine = 83;
}
adddatum2(obj161, alloc_Undefined(), 1);
if (objclass161 == NULL) {
  Method *reader164 = addmethodrealflags(obj161, "value",&reader_lexer_value_164, MFLAG_DEF);
  reader164->definitionModule = modulename;
  reader164->definitionLine = 84;
}
adddatum2(obj161, alloc_Undefined(), 2);
if (objclass161 == NULL) {
  Method *reader165 = addmethodrealflags(obj161, "size",&reader_lexer_size_165, MFLAG_DEF);
  reader165->definitionModule = modulename;
  reader165->definitionLine = 85;
}
adddatum2(obj161, alloc_Undefined(), 3);
  sourceObject = obj161;
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe166 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call167 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe166);
// compiled call node returning call167 (depth = 5)
  struct UserObject *obj161_uo = (struct UserObject *)obj161;
  obj161_uo->super = call167;
  sourceObject = obj161;
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit168 == NULL) {
    strlit168 = alloc_String("rbrace");
    gc_root(strlit168);
  }
// compiled string node returning strlit168 (depth = 5)
  adddatum2(obj161, strlit168, 1);
  sourceObject = obj161;
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit169 == NULL) {
    strlit169 = alloc_String("}");
    gc_root(strlit169);
  }
// compiled string node returning strlit169 (depth = 5)
  adddatum2(obj161, strlit169, 2);
  sourceObject = obj161;
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num170 = alloc_Float64(1);
// compiled num node returning num170 (depth = 5)
  adddatum2(obj161, num170, 3);
  objclass161 = obj161->class;
  objclass161->definitionModule = modulename;
  objclass161->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter161;
  self = oldself161;
  selfslot = oldselfslot161;
  stackframe = oldstackframe161;
  gc_frame_end(frame);
  return obj161;
}
Object meth_lexer_new174(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject175 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj175 = alloc_userobj2(4,5, objclass175);
  gc_frame_newslot(obj175);
if (objclass175 == NULL) {
  glfree(obj175->class->name);
  obj175->class->name = "LParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj175, self, 0);
  addmethodreal(obj175,"outer", &reader_lexer_outer_176);
  Object oldself175 = self;
  struct StackFrameObject *oldstackframe175 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe175);
  gc_frame_newslot((Object)stackframe);
  self = obj175;
  Object *oldselfslot175 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter175 = (*(struct UserObject *)self).data[0], lowerouter175 = thisouter175;
  if (inheritingObject175) {
    struct UserObject *inho175 = (struct UserObject *)inheritingObject175;
    while (inho175->super != GraceDefaultObject) inho175 = (struct UserObject *)inho175->super;
    inho175->super = obj175;
    self = inheritingObject175;
    *selfslot = self;
    lowerouter175 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter175;
  }
if (objclass175 == NULL) {
  Method *reader177 = addmethodrealflags(obj175, "kind",&reader_lexer_kind_177, MFLAG_DEF);
  reader177->definitionModule = modulename;
  reader177->definitionLine = 89;
}
adddatum2(obj175, alloc_Undefined(), 1);
if (objclass175 == NULL) {
  Method *reader178 = addmethodrealflags(obj175, "value",&reader_lexer_value_178, MFLAG_DEF);
  reader178->definitionModule = modulename;
  reader178->definitionLine = 90;
}
adddatum2(obj175, alloc_Undefined(), 2);
if (objclass175 == NULL) {
  Method *reader179 = addmethodrealflags(obj175, "size",&reader_lexer_size_179, MFLAG_DEF);
  reader179->definitionModule = modulename;
  reader179->definitionLine = 91;
}
adddatum2(obj175, alloc_Undefined(), 3);
  sourceObject = obj175;
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe180 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call181 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe180);
// compiled call node returning call181 (depth = 5)
  struct UserObject *obj175_uo = (struct UserObject *)obj175;
  obj175_uo->super = call181;
  sourceObject = obj175;
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit182 == NULL) {
    strlit182 = alloc_String("lparen");
    gc_root(strlit182);
  }
// compiled string node returning strlit182 (depth = 5)
  adddatum2(obj175, strlit182, 1);
  sourceObject = obj175;
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit183 == NULL) {
    strlit183 = alloc_String("(");
    gc_root(strlit183);
  }
// compiled string node returning strlit183 (depth = 5)
  adddatum2(obj175, strlit183, 2);
  sourceObject = obj175;
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num184 = alloc_Float64(1);
// compiled num node returning num184 (depth = 5)
  adddatum2(obj175, num184, 3);
  objclass175 = obj175->class;
  objclass175->definitionModule = modulename;
  objclass175->definitionLine = 86;
  (*(struct UserObject *)self).data[0] = lowerouter175;
  self = oldself175;
  selfslot = oldselfslot175;
  stackframe = oldstackframe175;
  gc_frame_end(frame);
  return obj175;
}
Object meth_lexer_new174_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject175 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj175 = alloc_userobj2(4,5, objclass175);
  gc_frame_newslot(obj175);
if (objclass175 == NULL) {
  glfree(obj175->class->name);
  obj175->class->name = "LParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj175, self, 0);
  addmethodreal(obj175,"outer", &reader_lexer_outer_176);
  Object oldself175 = self;
  struct StackFrameObject *oldstackframe175 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe175);
  gc_frame_newslot((Object)stackframe);
  self = obj175;
  Object *oldselfslot175 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter175 = (*(struct UserObject *)self).data[0], lowerouter175 = thisouter175;
  if (inheritingObject175) {
    struct UserObject *inho175 = (struct UserObject *)inheritingObject175;
    while (inho175->super != GraceDefaultObject) inho175 = (struct UserObject *)inho175->super;
    inho175->super = obj175;
    self = inheritingObject175;
    *selfslot = self;
    lowerouter175 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter175;
  }
if (objclass175 == NULL) {
  Method *reader177 = addmethodrealflags(obj175, "kind",&reader_lexer_kind_177, MFLAG_DEF);
  reader177->definitionModule = modulename;
  reader177->definitionLine = 89;
}
adddatum2(obj175, alloc_Undefined(), 1);
if (objclass175 == NULL) {
  Method *reader178 = addmethodrealflags(obj175, "value",&reader_lexer_value_178, MFLAG_DEF);
  reader178->definitionModule = modulename;
  reader178->definitionLine = 90;
}
adddatum2(obj175, alloc_Undefined(), 2);
if (objclass175 == NULL) {
  Method *reader179 = addmethodrealflags(obj175, "size",&reader_lexer_size_179, MFLAG_DEF);
  reader179->definitionModule = modulename;
  reader179->definitionLine = 91;
}
adddatum2(obj175, alloc_Undefined(), 3);
  sourceObject = obj175;
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe180 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call181 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe180);
// compiled call node returning call181 (depth = 5)
  struct UserObject *obj175_uo = (struct UserObject *)obj175;
  obj175_uo->super = call181;
  sourceObject = obj175;
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit182 == NULL) {
    strlit182 = alloc_String("lparen");
    gc_root(strlit182);
  }
// compiled string node returning strlit182 (depth = 5)
  adddatum2(obj175, strlit182, 1);
  sourceObject = obj175;
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit183 == NULL) {
    strlit183 = alloc_String("(");
    gc_root(strlit183);
  }
// compiled string node returning strlit183 (depth = 5)
  adddatum2(obj175, strlit183, 2);
  sourceObject = obj175;
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num184 = alloc_Float64(1);
// compiled num node returning num184 (depth = 5)
  adddatum2(obj175, num184, 3);
  objclass175 = obj175->class;
  objclass175->definitionModule = modulename;
  objclass175->definitionLine = 86;
  (*(struct UserObject *)self).data[0] = lowerouter175;
  self = oldself175;
  selfslot = oldselfslot175;
  stackframe = oldstackframe175;
  gc_frame_end(frame);
  return obj175;
}
Object meth_lexer_new188(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject189 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj189 = alloc_userobj2(4,5, objclass189);
  gc_frame_newslot(obj189);
if (objclass189 == NULL) {
  glfree(obj189->class->name);
  obj189->class->name = "RParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj189, self, 0);
  addmethodreal(obj189,"outer", &reader_lexer_outer_190);
  Object oldself189 = self;
  struct StackFrameObject *oldstackframe189 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe189);
  gc_frame_newslot((Object)stackframe);
  self = obj189;
  Object *oldselfslot189 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter189 = (*(struct UserObject *)self).data[0], lowerouter189 = thisouter189;
  if (inheritingObject189) {
    struct UserObject *inho189 = (struct UserObject *)inheritingObject189;
    while (inho189->super != GraceDefaultObject) inho189 = (struct UserObject *)inho189->super;
    inho189->super = obj189;
    self = inheritingObject189;
    *selfslot = self;
    lowerouter189 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter189;
  }
if (objclass189 == NULL) {
  Method *reader191 = addmethodrealflags(obj189, "kind",&reader_lexer_kind_191, MFLAG_DEF);
  reader191->definitionModule = modulename;
  reader191->definitionLine = 95;
}
adddatum2(obj189, alloc_Undefined(), 1);
if (objclass189 == NULL) {
  Method *reader192 = addmethodrealflags(obj189, "value",&reader_lexer_value_192, MFLAG_DEF);
  reader192->definitionModule = modulename;
  reader192->definitionLine = 96;
}
adddatum2(obj189, alloc_Undefined(), 2);
if (objclass189 == NULL) {
  Method *reader193 = addmethodrealflags(obj189, "size",&reader_lexer_size_193, MFLAG_DEF);
  reader193->definitionModule = modulename;
  reader193->definitionLine = 97;
}
adddatum2(obj189, alloc_Undefined(), 3);
  sourceObject = obj189;
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe194 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call195 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe194);
// compiled call node returning call195 (depth = 5)
  struct UserObject *obj189_uo = (struct UserObject *)obj189;
  obj189_uo->super = call195;
  sourceObject = obj189;
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit196 == NULL) {
    strlit196 = alloc_String("rparen");
    gc_root(strlit196);
  }
// compiled string node returning strlit196 (depth = 5)
  adddatum2(obj189, strlit196, 1);
  sourceObject = obj189;
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit197 == NULL) {
    strlit197 = alloc_String(")");
    gc_root(strlit197);
  }
// compiled string node returning strlit197 (depth = 5)
  adddatum2(obj189, strlit197, 2);
  sourceObject = obj189;
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num198 = alloc_Float64(1);
// compiled num node returning num198 (depth = 5)
  adddatum2(obj189, num198, 3);
  objclass189 = obj189->class;
  objclass189->definitionModule = modulename;
  objclass189->definitionLine = 92;
  (*(struct UserObject *)self).data[0] = lowerouter189;
  self = oldself189;
  selfslot = oldselfslot189;
  stackframe = oldstackframe189;
  gc_frame_end(frame);
  return obj189;
}
Object meth_lexer_new188_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject189 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj189 = alloc_userobj2(4,5, objclass189);
  gc_frame_newslot(obj189);
if (objclass189 == NULL) {
  glfree(obj189->class->name);
  obj189->class->name = "RParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj189, self, 0);
  addmethodreal(obj189,"outer", &reader_lexer_outer_190);
  Object oldself189 = self;
  struct StackFrameObject *oldstackframe189 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe189);
  gc_frame_newslot((Object)stackframe);
  self = obj189;
  Object *oldselfslot189 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter189 = (*(struct UserObject *)self).data[0], lowerouter189 = thisouter189;
  if (inheritingObject189) {
    struct UserObject *inho189 = (struct UserObject *)inheritingObject189;
    while (inho189->super != GraceDefaultObject) inho189 = (struct UserObject *)inho189->super;
    inho189->super = obj189;
    self = inheritingObject189;
    *selfslot = self;
    lowerouter189 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter189;
  }
if (objclass189 == NULL) {
  Method *reader191 = addmethodrealflags(obj189, "kind",&reader_lexer_kind_191, MFLAG_DEF);
  reader191->definitionModule = modulename;
  reader191->definitionLine = 95;
}
adddatum2(obj189, alloc_Undefined(), 1);
if (objclass189 == NULL) {
  Method *reader192 = addmethodrealflags(obj189, "value",&reader_lexer_value_192, MFLAG_DEF);
  reader192->definitionModule = modulename;
  reader192->definitionLine = 96;
}
adddatum2(obj189, alloc_Undefined(), 2);
if (objclass189 == NULL) {
  Method *reader193 = addmethodrealflags(obj189, "size",&reader_lexer_size_193, MFLAG_DEF);
  reader193->definitionModule = modulename;
  reader193->definitionLine = 97;
}
adddatum2(obj189, alloc_Undefined(), 3);
  sourceObject = obj189;
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe194 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call195 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe194);
// compiled call node returning call195 (depth = 5)
  struct UserObject *obj189_uo = (struct UserObject *)obj189;
  obj189_uo->super = call195;
  sourceObject = obj189;
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit196 == NULL) {
    strlit196 = alloc_String("rparen");
    gc_root(strlit196);
  }
// compiled string node returning strlit196 (depth = 5)
  adddatum2(obj189, strlit196, 1);
  sourceObject = obj189;
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit197 == NULL) {
    strlit197 = alloc_String(")");
    gc_root(strlit197);
  }
// compiled string node returning strlit197 (depth = 5)
  adddatum2(obj189, strlit197, 2);
  sourceObject = obj189;
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num198 = alloc_Float64(1);
// compiled num node returning num198 (depth = 5)
  adddatum2(obj189, num198, 3);
  objclass189 = obj189->class;
  objclass189->definitionModule = modulename;
  objclass189->definitionLine = 92;
  (*(struct UserObject *)self).data[0] = lowerouter189;
  self = oldself189;
  selfslot = oldselfslot189;
  stackframe = oldstackframe189;
  gc_frame_end(frame);
  return obj189;
}
Object meth_lexer_new202(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject203 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj203 = alloc_userobj2(4,5, objclass203);
  gc_frame_newslot(obj203);
if (objclass203 == NULL) {
  glfree(obj203->class->name);
  obj203->class->name = "LSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj203, self, 0);
  addmethodreal(obj203,"outer", &reader_lexer_outer_204);
  Object oldself203 = self;
  struct StackFrameObject *oldstackframe203 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe203);
  gc_frame_newslot((Object)stackframe);
  self = obj203;
  Object *oldselfslot203 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter203 = (*(struct UserObject *)self).data[0], lowerouter203 = thisouter203;
  if (inheritingObject203) {
    struct UserObject *inho203 = (struct UserObject *)inheritingObject203;
    while (inho203->super != GraceDefaultObject) inho203 = (struct UserObject *)inho203->super;
    inho203->super = obj203;
    self = inheritingObject203;
    *selfslot = self;
    lowerouter203 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter203;
  }
if (objclass203 == NULL) {
  Method *reader205 = addmethodrealflags(obj203, "kind",&reader_lexer_kind_205, MFLAG_DEF);
  reader205->definitionModule = modulename;
  reader205->definitionLine = 101;
}
adddatum2(obj203, alloc_Undefined(), 1);
if (objclass203 == NULL) {
  Method *reader206 = addmethodrealflags(obj203, "value",&reader_lexer_value_206, MFLAG_DEF);
  reader206->definitionModule = modulename;
  reader206->definitionLine = 102;
}
adddatum2(obj203, alloc_Undefined(), 2);
if (objclass203 == NULL) {
  Method *reader207 = addmethodrealflags(obj203, "size",&reader_lexer_size_207, MFLAG_DEF);
  reader207->definitionModule = modulename;
  reader207->definitionLine = 103;
}
adddatum2(obj203, alloc_Undefined(), 3);
  sourceObject = obj203;
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe208 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call209 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe208);
// compiled call node returning call209 (depth = 5)
  struct UserObject *obj203_uo = (struct UserObject *)obj203;
  obj203_uo->super = call209;
  sourceObject = obj203;
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit210 == NULL) {
    strlit210 = alloc_String("lsquare");
    gc_root(strlit210);
  }
// compiled string node returning strlit210 (depth = 5)
  adddatum2(obj203, strlit210, 1);
  sourceObject = obj203;
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit211 == NULL) {
    strlit211 = alloc_String("[");
    gc_root(strlit211);
  }
// compiled string node returning strlit211 (depth = 5)
  adddatum2(obj203, strlit211, 2);
  sourceObject = obj203;
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num212 = alloc_Float64(1);
// compiled num node returning num212 (depth = 5)
  adddatum2(obj203, num212, 3);
  objclass203 = obj203->class;
  objclass203->definitionModule = modulename;
  objclass203->definitionLine = 98;
  (*(struct UserObject *)self).data[0] = lowerouter203;
  self = oldself203;
  selfslot = oldselfslot203;
  stackframe = oldstackframe203;
  gc_frame_end(frame);
  return obj203;
}
Object meth_lexer_new202_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject203 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj203 = alloc_userobj2(4,5, objclass203);
  gc_frame_newslot(obj203);
if (objclass203 == NULL) {
  glfree(obj203->class->name);
  obj203->class->name = "LSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj203, self, 0);
  addmethodreal(obj203,"outer", &reader_lexer_outer_204);
  Object oldself203 = self;
  struct StackFrameObject *oldstackframe203 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe203);
  gc_frame_newslot((Object)stackframe);
  self = obj203;
  Object *oldselfslot203 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter203 = (*(struct UserObject *)self).data[0], lowerouter203 = thisouter203;
  if (inheritingObject203) {
    struct UserObject *inho203 = (struct UserObject *)inheritingObject203;
    while (inho203->super != GraceDefaultObject) inho203 = (struct UserObject *)inho203->super;
    inho203->super = obj203;
    self = inheritingObject203;
    *selfslot = self;
    lowerouter203 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter203;
  }
if (objclass203 == NULL) {
  Method *reader205 = addmethodrealflags(obj203, "kind",&reader_lexer_kind_205, MFLAG_DEF);
  reader205->definitionModule = modulename;
  reader205->definitionLine = 101;
}
adddatum2(obj203, alloc_Undefined(), 1);
if (objclass203 == NULL) {
  Method *reader206 = addmethodrealflags(obj203, "value",&reader_lexer_value_206, MFLAG_DEF);
  reader206->definitionModule = modulename;
  reader206->definitionLine = 102;
}
adddatum2(obj203, alloc_Undefined(), 2);
if (objclass203 == NULL) {
  Method *reader207 = addmethodrealflags(obj203, "size",&reader_lexer_size_207, MFLAG_DEF);
  reader207->definitionModule = modulename;
  reader207->definitionLine = 103;
}
adddatum2(obj203, alloc_Undefined(), 3);
  sourceObject = obj203;
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe208 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call209 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe208);
// compiled call node returning call209 (depth = 5)
  struct UserObject *obj203_uo = (struct UserObject *)obj203;
  obj203_uo->super = call209;
  sourceObject = obj203;
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit210 == NULL) {
    strlit210 = alloc_String("lsquare");
    gc_root(strlit210);
  }
// compiled string node returning strlit210 (depth = 5)
  adddatum2(obj203, strlit210, 1);
  sourceObject = obj203;
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit211 == NULL) {
    strlit211 = alloc_String("[");
    gc_root(strlit211);
  }
// compiled string node returning strlit211 (depth = 5)
  adddatum2(obj203, strlit211, 2);
  sourceObject = obj203;
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num212 = alloc_Float64(1);
// compiled num node returning num212 (depth = 5)
  adddatum2(obj203, num212, 3);
  objclass203 = obj203->class;
  objclass203->definitionModule = modulename;
  objclass203->definitionLine = 98;
  (*(struct UserObject *)self).data[0] = lowerouter203;
  self = oldself203;
  selfslot = oldselfslot203;
  stackframe = oldstackframe203;
  gc_frame_end(frame);
  return obj203;
}
Object meth_lexer_new216(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject217 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj217 = alloc_userobj2(4,5, objclass217);
  gc_frame_newslot(obj217);
if (objclass217 == NULL) {
  glfree(obj217->class->name);
  obj217->class->name = "RSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj217, self, 0);
  addmethodreal(obj217,"outer", &reader_lexer_outer_218);
  Object oldself217 = self;
  struct StackFrameObject *oldstackframe217 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe217);
  gc_frame_newslot((Object)stackframe);
  self = obj217;
  Object *oldselfslot217 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter217 = (*(struct UserObject *)self).data[0], lowerouter217 = thisouter217;
  if (inheritingObject217) {
    struct UserObject *inho217 = (struct UserObject *)inheritingObject217;
    while (inho217->super != GraceDefaultObject) inho217 = (struct UserObject *)inho217->super;
    inho217->super = obj217;
    self = inheritingObject217;
    *selfslot = self;
    lowerouter217 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter217;
  }
if (objclass217 == NULL) {
  Method *reader219 = addmethodrealflags(obj217, "kind",&reader_lexer_kind_219, MFLAG_DEF);
  reader219->definitionModule = modulename;
  reader219->definitionLine = 107;
}
adddatum2(obj217, alloc_Undefined(), 1);
if (objclass217 == NULL) {
  Method *reader220 = addmethodrealflags(obj217, "value",&reader_lexer_value_220, MFLAG_DEF);
  reader220->definitionModule = modulename;
  reader220->definitionLine = 108;
}
adddatum2(obj217, alloc_Undefined(), 2);
if (objclass217 == NULL) {
  Method *reader221 = addmethodrealflags(obj217, "size",&reader_lexer_size_221, MFLAG_DEF);
  reader221->definitionModule = modulename;
  reader221->definitionLine = 109;
}
adddatum2(obj217, alloc_Undefined(), 3);
  sourceObject = obj217;
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe222 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call223 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe222);
// compiled call node returning call223 (depth = 5)
  struct UserObject *obj217_uo = (struct UserObject *)obj217;
  obj217_uo->super = call223;
  sourceObject = obj217;
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit224 == NULL) {
    strlit224 = alloc_String("rsquare");
    gc_root(strlit224);
  }
// compiled string node returning strlit224 (depth = 5)
  adddatum2(obj217, strlit224, 1);
  sourceObject = obj217;
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit225 == NULL) {
    strlit225 = alloc_String("]");
    gc_root(strlit225);
  }
// compiled string node returning strlit225 (depth = 5)
  adddatum2(obj217, strlit225, 2);
  sourceObject = obj217;
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num226 = alloc_Float64(1);
// compiled num node returning num226 (depth = 5)
  adddatum2(obj217, num226, 3);
  objclass217 = obj217->class;
  objclass217->definitionModule = modulename;
  objclass217->definitionLine = 104;
  (*(struct UserObject *)self).data[0] = lowerouter217;
  self = oldself217;
  selfslot = oldselfslot217;
  stackframe = oldstackframe217;
  gc_frame_end(frame);
  return obj217;
}
Object meth_lexer_new216_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject217 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj217 = alloc_userobj2(4,5, objclass217);
  gc_frame_newslot(obj217);
if (objclass217 == NULL) {
  glfree(obj217->class->name);
  obj217->class->name = "RSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj217, self, 0);
  addmethodreal(obj217,"outer", &reader_lexer_outer_218);
  Object oldself217 = self;
  struct StackFrameObject *oldstackframe217 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe217);
  gc_frame_newslot((Object)stackframe);
  self = obj217;
  Object *oldselfslot217 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter217 = (*(struct UserObject *)self).data[0], lowerouter217 = thisouter217;
  if (inheritingObject217) {
    struct UserObject *inho217 = (struct UserObject *)inheritingObject217;
    while (inho217->super != GraceDefaultObject) inho217 = (struct UserObject *)inho217->super;
    inho217->super = obj217;
    self = inheritingObject217;
    *selfslot = self;
    lowerouter217 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter217;
  }
if (objclass217 == NULL) {
  Method *reader219 = addmethodrealflags(obj217, "kind",&reader_lexer_kind_219, MFLAG_DEF);
  reader219->definitionModule = modulename;
  reader219->definitionLine = 107;
}
adddatum2(obj217, alloc_Undefined(), 1);
if (objclass217 == NULL) {
  Method *reader220 = addmethodrealflags(obj217, "value",&reader_lexer_value_220, MFLAG_DEF);
  reader220->definitionModule = modulename;
  reader220->definitionLine = 108;
}
adddatum2(obj217, alloc_Undefined(), 2);
if (objclass217 == NULL) {
  Method *reader221 = addmethodrealflags(obj217, "size",&reader_lexer_size_221, MFLAG_DEF);
  reader221->definitionModule = modulename;
  reader221->definitionLine = 109;
}
adddatum2(obj217, alloc_Undefined(), 3);
  sourceObject = obj217;
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe222 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call223 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe222);
// compiled call node returning call223 (depth = 5)
  struct UserObject *obj217_uo = (struct UserObject *)obj217;
  obj217_uo->super = call223;
  sourceObject = obj217;
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit224 == NULL) {
    strlit224 = alloc_String("rsquare");
    gc_root(strlit224);
  }
// compiled string node returning strlit224 (depth = 5)
  adddatum2(obj217, strlit224, 1);
  sourceObject = obj217;
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit225 == NULL) {
    strlit225 = alloc_String("]");
    gc_root(strlit225);
  }
// compiled string node returning strlit225 (depth = 5)
  adddatum2(obj217, strlit225, 2);
  sourceObject = obj217;
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num226 = alloc_Float64(1);
// compiled num node returning num226 (depth = 5)
  adddatum2(obj217, num226, 3);
  objclass217 = obj217->class;
  objclass217->definitionModule = modulename;
  objclass217->definitionLine = 104;
  (*(struct UserObject *)self).data[0] = lowerouter217;
  self = oldself217;
  selfslot = oldselfslot217;
  stackframe = oldstackframe217;
  gc_frame_end(frame);
  return obj217;
}
Object meth_lexer_new230(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject231 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj231 = alloc_userobj2(4,5, objclass231);
  gc_frame_newslot(obj231);
if (objclass231 == NULL) {
  glfree(obj231->class->name);
  obj231->class->name = "CommaToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj231, self, 0);
  addmethodreal(obj231,"outer", &reader_lexer_outer_232);
  Object oldself231 = self;
  struct StackFrameObject *oldstackframe231 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe231);
  gc_frame_newslot((Object)stackframe);
  self = obj231;
  Object *oldselfslot231 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter231 = (*(struct UserObject *)self).data[0], lowerouter231 = thisouter231;
  if (inheritingObject231) {
    struct UserObject *inho231 = (struct UserObject *)inheritingObject231;
    while (inho231->super != GraceDefaultObject) inho231 = (struct UserObject *)inho231->super;
    inho231->super = obj231;
    self = inheritingObject231;
    *selfslot = self;
    lowerouter231 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter231;
  }
if (objclass231 == NULL) {
  Method *reader233 = addmethodrealflags(obj231, "kind",&reader_lexer_kind_233, MFLAG_DEF);
  reader233->definitionModule = modulename;
  reader233->definitionLine = 113;
}
adddatum2(obj231, alloc_Undefined(), 1);
if (objclass231 == NULL) {
  Method *reader234 = addmethodrealflags(obj231, "value",&reader_lexer_value_234, MFLAG_DEF);
  reader234->definitionModule = modulename;
  reader234->definitionLine = 114;
}
adddatum2(obj231, alloc_Undefined(), 2);
if (objclass231 == NULL) {
  Method *reader235 = addmethodrealflags(obj231, "size",&reader_lexer_size_235, MFLAG_DEF);
  reader235->definitionModule = modulename;
  reader235->definitionLine = 115;
}
adddatum2(obj231, alloc_Undefined(), 3);
  sourceObject = obj231;
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe236 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call237 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe236);
// compiled call node returning call237 (depth = 5)
  struct UserObject *obj231_uo = (struct UserObject *)obj231;
  obj231_uo->super = call237;
  sourceObject = obj231;
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit238 == NULL) {
    strlit238 = alloc_String("comma");
    gc_root(strlit238);
  }
// compiled string node returning strlit238 (depth = 5)
  adddatum2(obj231, strlit238, 1);
  sourceObject = obj231;
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit239 == NULL) {
    strlit239 = alloc_String(",");
    gc_root(strlit239);
  }
// compiled string node returning strlit239 (depth = 5)
  adddatum2(obj231, strlit239, 2);
  sourceObject = obj231;
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num240 = alloc_Float64(1);
// compiled num node returning num240 (depth = 5)
  adddatum2(obj231, num240, 3);
  objclass231 = obj231->class;
  objclass231->definitionModule = modulename;
  objclass231->definitionLine = 110;
  (*(struct UserObject *)self).data[0] = lowerouter231;
  self = oldself231;
  selfslot = oldselfslot231;
  stackframe = oldstackframe231;
  gc_frame_end(frame);
  return obj231;
}
Object meth_lexer_new230_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject231 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj231 = alloc_userobj2(4,5, objclass231);
  gc_frame_newslot(obj231);
if (objclass231 == NULL) {
  glfree(obj231->class->name);
  obj231->class->name = "CommaToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj231, self, 0);
  addmethodreal(obj231,"outer", &reader_lexer_outer_232);
  Object oldself231 = self;
  struct StackFrameObject *oldstackframe231 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe231);
  gc_frame_newslot((Object)stackframe);
  self = obj231;
  Object *oldselfslot231 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter231 = (*(struct UserObject *)self).data[0], lowerouter231 = thisouter231;
  if (inheritingObject231) {
    struct UserObject *inho231 = (struct UserObject *)inheritingObject231;
    while (inho231->super != GraceDefaultObject) inho231 = (struct UserObject *)inho231->super;
    inho231->super = obj231;
    self = inheritingObject231;
    *selfslot = self;
    lowerouter231 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter231;
  }
if (objclass231 == NULL) {
  Method *reader233 = addmethodrealflags(obj231, "kind",&reader_lexer_kind_233, MFLAG_DEF);
  reader233->definitionModule = modulename;
  reader233->definitionLine = 113;
}
adddatum2(obj231, alloc_Undefined(), 1);
if (objclass231 == NULL) {
  Method *reader234 = addmethodrealflags(obj231, "value",&reader_lexer_value_234, MFLAG_DEF);
  reader234->definitionModule = modulename;
  reader234->definitionLine = 114;
}
adddatum2(obj231, alloc_Undefined(), 2);
if (objclass231 == NULL) {
  Method *reader235 = addmethodrealflags(obj231, "size",&reader_lexer_size_235, MFLAG_DEF);
  reader235->definitionModule = modulename;
  reader235->definitionLine = 115;
}
adddatum2(obj231, alloc_Undefined(), 3);
  sourceObject = obj231;
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe236 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call237 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe236);
// compiled call node returning call237 (depth = 5)
  struct UserObject *obj231_uo = (struct UserObject *)obj231;
  obj231_uo->super = call237;
  sourceObject = obj231;
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit238 == NULL) {
    strlit238 = alloc_String("comma");
    gc_root(strlit238);
  }
// compiled string node returning strlit238 (depth = 5)
  adddatum2(obj231, strlit238, 1);
  sourceObject = obj231;
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit239 == NULL) {
    strlit239 = alloc_String(",");
    gc_root(strlit239);
  }
// compiled string node returning strlit239 (depth = 5)
  adddatum2(obj231, strlit239, 2);
  sourceObject = obj231;
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num240 = alloc_Float64(1);
// compiled num node returning num240 (depth = 5)
  adddatum2(obj231, num240, 3);
  objclass231 = obj231->class;
  objclass231->definitionModule = modulename;
  objclass231->definitionLine = 110;
  (*(struct UserObject *)self).data[0] = lowerouter231;
  self = oldself231;
  selfslot = oldselfslot231;
  stackframe = oldstackframe231;
  gc_frame_end(frame);
  return obj231;
}
Object meth_lexer_new244(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject245 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj245 = alloc_userobj2(4,5, objclass245);
  gc_frame_newslot(obj245);
if (objclass245 == NULL) {
  glfree(obj245->class->name);
  obj245->class->name = "ColonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj245, self, 0);
  addmethodreal(obj245,"outer", &reader_lexer_outer_246);
  Object oldself245 = self;
  struct StackFrameObject *oldstackframe245 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe245);
  gc_frame_newslot((Object)stackframe);
  self = obj245;
  Object *oldselfslot245 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter245 = (*(struct UserObject *)self).data[0], lowerouter245 = thisouter245;
  if (inheritingObject245) {
    struct UserObject *inho245 = (struct UserObject *)inheritingObject245;
    while (inho245->super != GraceDefaultObject) inho245 = (struct UserObject *)inho245->super;
    inho245->super = obj245;
    self = inheritingObject245;
    *selfslot = self;
    lowerouter245 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter245;
  }
if (objclass245 == NULL) {
  Method *reader247 = addmethodrealflags(obj245, "kind",&reader_lexer_kind_247, MFLAG_DEF);
  reader247->definitionModule = modulename;
  reader247->definitionLine = 119;
}
adddatum2(obj245, alloc_Undefined(), 1);
if (objclass245 == NULL) {
  Method *reader248 = addmethodrealflags(obj245, "value",&reader_lexer_value_248, MFLAG_DEF);
  reader248->definitionModule = modulename;
  reader248->definitionLine = 120;
}
adddatum2(obj245, alloc_Undefined(), 2);
if (objclass245 == NULL) {
  Method *reader249 = addmethodrealflags(obj245, "size",&reader_lexer_size_249, MFLAG_DEF);
  reader249->definitionModule = modulename;
  reader249->definitionLine = 121;
}
adddatum2(obj245, alloc_Undefined(), 3);
  sourceObject = obj245;
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe250 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call251 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe250);
// compiled call node returning call251 (depth = 5)
  struct UserObject *obj245_uo = (struct UserObject *)obj245;
  obj245_uo->super = call251;
  sourceObject = obj245;
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit252 == NULL) {
    strlit252 = alloc_String("colon");
    gc_root(strlit252);
  }
// compiled string node returning strlit252 (depth = 5)
  adddatum2(obj245, strlit252, 1);
  sourceObject = obj245;
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit253 == NULL) {
    strlit253 = alloc_String(":");
    gc_root(strlit253);
  }
// compiled string node returning strlit253 (depth = 5)
  adddatum2(obj245, strlit253, 2);
  sourceObject = obj245;
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num254 = alloc_Float64(1);
// compiled num node returning num254 (depth = 5)
  adddatum2(obj245, num254, 3);
  objclass245 = obj245->class;
  objclass245->definitionModule = modulename;
  objclass245->definitionLine = 116;
  (*(struct UserObject *)self).data[0] = lowerouter245;
  self = oldself245;
  selfslot = oldselfslot245;
  stackframe = oldstackframe245;
  gc_frame_end(frame);
  return obj245;
}
Object meth_lexer_new244_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject245 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj245 = alloc_userobj2(4,5, objclass245);
  gc_frame_newslot(obj245);
if (objclass245 == NULL) {
  glfree(obj245->class->name);
  obj245->class->name = "ColonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj245, self, 0);
  addmethodreal(obj245,"outer", &reader_lexer_outer_246);
  Object oldself245 = self;
  struct StackFrameObject *oldstackframe245 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe245);
  gc_frame_newslot((Object)stackframe);
  self = obj245;
  Object *oldselfslot245 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter245 = (*(struct UserObject *)self).data[0], lowerouter245 = thisouter245;
  if (inheritingObject245) {
    struct UserObject *inho245 = (struct UserObject *)inheritingObject245;
    while (inho245->super != GraceDefaultObject) inho245 = (struct UserObject *)inho245->super;
    inho245->super = obj245;
    self = inheritingObject245;
    *selfslot = self;
    lowerouter245 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter245;
  }
if (objclass245 == NULL) {
  Method *reader247 = addmethodrealflags(obj245, "kind",&reader_lexer_kind_247, MFLAG_DEF);
  reader247->definitionModule = modulename;
  reader247->definitionLine = 119;
}
adddatum2(obj245, alloc_Undefined(), 1);
if (objclass245 == NULL) {
  Method *reader248 = addmethodrealflags(obj245, "value",&reader_lexer_value_248, MFLAG_DEF);
  reader248->definitionModule = modulename;
  reader248->definitionLine = 120;
}
adddatum2(obj245, alloc_Undefined(), 2);
if (objclass245 == NULL) {
  Method *reader249 = addmethodrealflags(obj245, "size",&reader_lexer_size_249, MFLAG_DEF);
  reader249->definitionModule = modulename;
  reader249->definitionLine = 121;
}
adddatum2(obj245, alloc_Undefined(), 3);
  sourceObject = obj245;
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe250 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call251 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe250);
// compiled call node returning call251 (depth = 5)
  struct UserObject *obj245_uo = (struct UserObject *)obj245;
  obj245_uo->super = call251;
  sourceObject = obj245;
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit252 == NULL) {
    strlit252 = alloc_String("colon");
    gc_root(strlit252);
  }
// compiled string node returning strlit252 (depth = 5)
  adddatum2(obj245, strlit252, 1);
  sourceObject = obj245;
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit253 == NULL) {
    strlit253 = alloc_String(":");
    gc_root(strlit253);
  }
// compiled string node returning strlit253 (depth = 5)
  adddatum2(obj245, strlit253, 2);
  sourceObject = obj245;
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num254 = alloc_Float64(1);
// compiled num node returning num254 (depth = 5)
  adddatum2(obj245, num254, 3);
  objclass245 = obj245->class;
  objclass245->definitionModule = modulename;
  objclass245->definitionLine = 116;
  (*(struct UserObject *)self).data[0] = lowerouter245;
  self = oldself245;
  selfslot = oldselfslot245;
  stackframe = oldstackframe245;
  gc_frame_end(frame);
  return obj245;
}
Object meth_lexer_new258(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject259 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj259 = alloc_userobj2(4,5, objclass259);
  gc_frame_newslot(obj259);
if (objclass259 == NULL) {
  glfree(obj259->class->name);
  obj259->class->name = "DotToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj259, self, 0);
  addmethodreal(obj259,"outer", &reader_lexer_outer_260);
  Object oldself259 = self;
  struct StackFrameObject *oldstackframe259 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe259);
  gc_frame_newslot((Object)stackframe);
  self = obj259;
  Object *oldselfslot259 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter259 = (*(struct UserObject *)self).data[0], lowerouter259 = thisouter259;
  if (inheritingObject259) {
    struct UserObject *inho259 = (struct UserObject *)inheritingObject259;
    while (inho259->super != GraceDefaultObject) inho259 = (struct UserObject *)inho259->super;
    inho259->super = obj259;
    self = inheritingObject259;
    *selfslot = self;
    lowerouter259 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter259;
  }
if (objclass259 == NULL) {
  Method *reader261 = addmethodrealflags(obj259, "kind",&reader_lexer_kind_261, MFLAG_DEF);
  reader261->definitionModule = modulename;
  reader261->definitionLine = 125;
}
adddatum2(obj259, alloc_Undefined(), 1);
if (objclass259 == NULL) {
  Method *reader262 = addmethodrealflags(obj259, "value",&reader_lexer_value_262, MFLAG_DEF);
  reader262->definitionModule = modulename;
  reader262->definitionLine = 126;
}
adddatum2(obj259, alloc_Undefined(), 2);
if (objclass259 == NULL) {
  Method *reader263 = addmethodrealflags(obj259, "size",&reader_lexer_size_263, MFLAG_DEF);
  reader263->definitionModule = modulename;
  reader263->definitionLine = 127;
}
adddatum2(obj259, alloc_Undefined(), 3);
  sourceObject = obj259;
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe264 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call265 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe264);
// compiled call node returning call265 (depth = 5)
  struct UserObject *obj259_uo = (struct UserObject *)obj259;
  obj259_uo->super = call265;
  sourceObject = obj259;
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit266 == NULL) {
    strlit266 = alloc_String("dot");
    gc_root(strlit266);
  }
// compiled string node returning strlit266 (depth = 5)
  adddatum2(obj259, strlit266, 1);
  sourceObject = obj259;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit267 == NULL) {
    strlit267 = alloc_String(".");
    gc_root(strlit267);
  }
// compiled string node returning strlit267 (depth = 5)
  adddatum2(obj259, strlit267, 2);
  sourceObject = obj259;
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num268 = alloc_Float64(1);
// compiled num node returning num268 (depth = 5)
  adddatum2(obj259, num268, 3);
  objclass259 = obj259->class;
  objclass259->definitionModule = modulename;
  objclass259->definitionLine = 122;
  (*(struct UserObject *)self).data[0] = lowerouter259;
  self = oldself259;
  selfslot = oldselfslot259;
  stackframe = oldstackframe259;
  gc_frame_end(frame);
  return obj259;
}
Object meth_lexer_new258_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject259 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj259 = alloc_userobj2(4,5, objclass259);
  gc_frame_newslot(obj259);
if (objclass259 == NULL) {
  glfree(obj259->class->name);
  obj259->class->name = "DotToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj259, self, 0);
  addmethodreal(obj259,"outer", &reader_lexer_outer_260);
  Object oldself259 = self;
  struct StackFrameObject *oldstackframe259 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe259);
  gc_frame_newslot((Object)stackframe);
  self = obj259;
  Object *oldselfslot259 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter259 = (*(struct UserObject *)self).data[0], lowerouter259 = thisouter259;
  if (inheritingObject259) {
    struct UserObject *inho259 = (struct UserObject *)inheritingObject259;
    while (inho259->super != GraceDefaultObject) inho259 = (struct UserObject *)inho259->super;
    inho259->super = obj259;
    self = inheritingObject259;
    *selfslot = self;
    lowerouter259 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter259;
  }
if (objclass259 == NULL) {
  Method *reader261 = addmethodrealflags(obj259, "kind",&reader_lexer_kind_261, MFLAG_DEF);
  reader261->definitionModule = modulename;
  reader261->definitionLine = 125;
}
adddatum2(obj259, alloc_Undefined(), 1);
if (objclass259 == NULL) {
  Method *reader262 = addmethodrealflags(obj259, "value",&reader_lexer_value_262, MFLAG_DEF);
  reader262->definitionModule = modulename;
  reader262->definitionLine = 126;
}
adddatum2(obj259, alloc_Undefined(), 2);
if (objclass259 == NULL) {
  Method *reader263 = addmethodrealflags(obj259, "size",&reader_lexer_size_263, MFLAG_DEF);
  reader263->definitionModule = modulename;
  reader263->definitionLine = 127;
}
adddatum2(obj259, alloc_Undefined(), 3);
  sourceObject = obj259;
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe264 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call265 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe264);
// compiled call node returning call265 (depth = 5)
  struct UserObject *obj259_uo = (struct UserObject *)obj259;
  obj259_uo->super = call265;
  sourceObject = obj259;
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit266 == NULL) {
    strlit266 = alloc_String("dot");
    gc_root(strlit266);
  }
// compiled string node returning strlit266 (depth = 5)
  adddatum2(obj259, strlit266, 1);
  sourceObject = obj259;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit267 == NULL) {
    strlit267 = alloc_String(".");
    gc_root(strlit267);
  }
// compiled string node returning strlit267 (depth = 5)
  adddatum2(obj259, strlit267, 2);
  sourceObject = obj259;
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num268 = alloc_Float64(1);
// compiled num node returning num268 (depth = 5)
  adddatum2(obj259, num268, 3);
  objclass259 = obj259->class;
  objclass259->definitionModule = modulename;
  objclass259->definitionLine = 122;
  (*(struct UserObject *)self).data[0] = lowerouter259;
  self = oldself259;
  selfslot = oldselfslot259;
  stackframe = oldstackframe259;
  gc_frame_end(frame);
  return obj259;
}
Object meth_lexer_new272(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  Object *var_startPosition = getfromclosure(closure, 1);
  Object *var_linePosition = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject273 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj273 = alloc_userobj2(5,6, objclass273);
  gc_frame_newslot(obj273);
if (objclass273 == NULL) {
  glfree(obj273->class->name);
  obj273->class->name = "NumToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj273, self, 0);
  addmethodreal(obj273,"outer", &reader_lexer_outer_274);
  Object oldself273 = self;
  struct StackFrameObject *oldstackframe273 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe273);
  gc_frame_newslot((Object)stackframe);
  self = obj273;
  Object *oldselfslot273 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter273 = (*(struct UserObject *)self).data[0], lowerouter273 = thisouter273;
  if (inheritingObject273) {
    struct UserObject *inho273 = (struct UserObject *)inheritingObject273;
    while (inho273->super != GraceDefaultObject) inho273 = (struct UserObject *)inho273->super;
    inho273->super = obj273;
    self = inheritingObject273;
    *selfslot = self;
    lowerouter273 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter273;
  }
if (objclass273 == NULL) {
  Method *reader275 = addmethodrealflags(obj273, "kind",&reader_lexer_kind_275, MFLAG_DEF);
  reader275->definitionModule = modulename;
  reader275->definitionLine = 131;
}
adddatum2(obj273, alloc_Undefined(), 1);
if (objclass273 == NULL) {
  Method *reader276 = addmethodrealflags(obj273, "value",&reader_lexer_value_276, MFLAG_DEF);
  reader276->definitionModule = modulename;
  reader276->definitionLine = 132;
}
adddatum2(obj273, alloc_Undefined(), 2);
if (objclass273 == NULL) {
  Method *reader277 = addmethodrealflags(obj273, "base",&reader_lexer_base_277, MFLAG_DEF);
  reader277->definitionModule = modulename;
  reader277->definitionLine = 133;
}
adddatum2(obj273, alloc_Undefined(), 3);
if (objclass273 == NULL) {
  Method *reader278 = addmethodrealflags(obj273, "size",&reader_lexer_size_278, MFLAG_DEF);
  reader278->definitionModule = modulename;
  reader278->definitionLine = 134;
}
adddatum2(obj273, alloc_Undefined(), 4);
  sourceObject = obj273;
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe279 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call280 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe279);
// compiled call node returning call280 (depth = 5)
  struct UserObject *obj273_uo = (struct UserObject *)obj273;
  obj273_uo->super = call280;
  sourceObject = obj273;
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit281 == NULL) {
    strlit281 = alloc_String("num");
    gc_root(strlit281);
  }
// compiled string node returning strlit281 (depth = 5)
  adddatum2(obj273, strlit281, 1);
  sourceObject = obj273;
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_v (depth = 5)
  adddatum2(obj273, *var_v, 2);
  sourceObject = obj273;
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_b (depth = 5)
  adddatum2(obj273, *var_b, 3);
  sourceObject = obj273;
// Begin line 134
  setline(134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_startPosition (depth = 6)
  int op_slot_right_282 = gc_frame_newslot(*var_startPosition);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_linePosition (depth = 6)
  int op_slot_left_282 = gc_frame_newslot(*var_linePosition);
  params[0] = *var_startPosition;
  partcv[0] = 1;
  Object diff284 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff284 (depth = 5)
  adddatum2(obj273, diff284, 4);
  objclass273 = obj273->class;
  objclass273->definitionModule = modulename;
  objclass273->definitionLine = 128;
  (*(struct UserObject *)self).data[0] = lowerouter273;
  self = oldself273;
  selfslot = oldselfslot273;
  stackframe = oldstackframe273;
  gc_frame_end(frame);
  return obj273;
}
Object meth_lexer_new272_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  Object *var_startPosition = getfromclosure(closure, 1);
  Object *var_linePosition = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject273 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj273 = alloc_userobj2(5,6, objclass273);
  gc_frame_newslot(obj273);
if (objclass273 == NULL) {
  glfree(obj273->class->name);
  obj273->class->name = "NumToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj273, self, 0);
  addmethodreal(obj273,"outer", &reader_lexer_outer_274);
  Object oldself273 = self;
  struct StackFrameObject *oldstackframe273 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe273);
  gc_frame_newslot((Object)stackframe);
  self = obj273;
  Object *oldselfslot273 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter273 = (*(struct UserObject *)self).data[0], lowerouter273 = thisouter273;
  if (inheritingObject273) {
    struct UserObject *inho273 = (struct UserObject *)inheritingObject273;
    while (inho273->super != GraceDefaultObject) inho273 = (struct UserObject *)inho273->super;
    inho273->super = obj273;
    self = inheritingObject273;
    *selfslot = self;
    lowerouter273 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter273;
  }
if (objclass273 == NULL) {
  Method *reader275 = addmethodrealflags(obj273, "kind",&reader_lexer_kind_275, MFLAG_DEF);
  reader275->definitionModule = modulename;
  reader275->definitionLine = 131;
}
adddatum2(obj273, alloc_Undefined(), 1);
if (objclass273 == NULL) {
  Method *reader276 = addmethodrealflags(obj273, "value",&reader_lexer_value_276, MFLAG_DEF);
  reader276->definitionModule = modulename;
  reader276->definitionLine = 132;
}
adddatum2(obj273, alloc_Undefined(), 2);
if (objclass273 == NULL) {
  Method *reader277 = addmethodrealflags(obj273, "base",&reader_lexer_base_277, MFLAG_DEF);
  reader277->definitionModule = modulename;
  reader277->definitionLine = 133;
}
adddatum2(obj273, alloc_Undefined(), 3);
if (objclass273 == NULL) {
  Method *reader278 = addmethodrealflags(obj273, "size",&reader_lexer_size_278, MFLAG_DEF);
  reader278->definitionModule = modulename;
  reader278->definitionLine = 134;
}
adddatum2(obj273, alloc_Undefined(), 4);
  sourceObject = obj273;
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe279 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call280 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe279);
// compiled call node returning call280 (depth = 5)
  struct UserObject *obj273_uo = (struct UserObject *)obj273;
  obj273_uo->super = call280;
  sourceObject = obj273;
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit281 == NULL) {
    strlit281 = alloc_String("num");
    gc_root(strlit281);
  }
// compiled string node returning strlit281 (depth = 5)
  adddatum2(obj273, strlit281, 1);
  sourceObject = obj273;
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_v (depth = 5)
  adddatum2(obj273, *var_v, 2);
  sourceObject = obj273;
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_b (depth = 5)
  adddatum2(obj273, *var_b, 3);
  sourceObject = obj273;
// Begin line 134
  setline(134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_startPosition (depth = 6)
  int op_slot_right_282 = gc_frame_newslot(*var_startPosition);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_linePosition (depth = 6)
  int op_slot_left_282 = gc_frame_newslot(*var_linePosition);
  params[0] = *var_startPosition;
  partcv[0] = 1;
  Object diff284 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff284 (depth = 5)
  adddatum2(obj273, diff284, 4);
  objclass273 = obj273->class;
  objclass273->definitionModule = modulename;
  objclass273->definitionLine = 128;
  (*(struct UserObject *)self).data[0] = lowerouter273;
  self = oldself273;
  selfslot = oldselfslot273;
  stackframe = oldstackframe273;
  gc_frame_end(frame);
  return obj273;
}
Object meth_lexer_new288(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject289 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj289 = alloc_userobj2(4,5, objclass289);
  gc_frame_newslot(obj289);
if (objclass289 == NULL) {
  glfree(obj289->class->name);
  obj289->class->name = "KeywordToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj289, self, 0);
  addmethodreal(obj289,"outer", &reader_lexer_outer_290);
  Object oldself289 = self;
  struct StackFrameObject *oldstackframe289 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe289);
  gc_frame_newslot((Object)stackframe);
  self = obj289;
  Object *oldselfslot289 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter289 = (*(struct UserObject *)self).data[0], lowerouter289 = thisouter289;
  if (inheritingObject289) {
    struct UserObject *inho289 = (struct UserObject *)inheritingObject289;
    while (inho289->super != GraceDefaultObject) inho289 = (struct UserObject *)inho289->super;
    inho289->super = obj289;
    self = inheritingObject289;
    *selfslot = self;
    lowerouter289 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter289;
  }
if (objclass289 == NULL) {
  Method *reader291 = addmethodrealflags(obj289, "kind",&reader_lexer_kind_291, MFLAG_DEF);
  reader291->definitionModule = modulename;
  reader291->definitionLine = 138;
}
adddatum2(obj289, alloc_Undefined(), 1);
if (objclass289 == NULL) {
  Method *reader292 = addmethodrealflags(obj289, "value",&reader_lexer_value_292, MFLAG_DEF);
  reader292->definitionModule = modulename;
  reader292->definitionLine = 139;
}
adddatum2(obj289, alloc_Undefined(), 2);
if (objclass289 == NULL) {
  Method *reader293 = addmethodrealflags(obj289, "size",&reader_lexer_size_293, MFLAG_DEF);
  reader293->definitionModule = modulename;
  reader293->definitionLine = 140;
}
adddatum2(obj289, alloc_Undefined(), 3);
  sourceObject = obj289;
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe294 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call295 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe294);
// compiled call node returning call295 (depth = 5)
  struct UserObject *obj289_uo = (struct UserObject *)obj289;
  obj289_uo->super = call295;
  sourceObject = obj289;
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit296 == NULL) {
    strlit296 = alloc_String("keyword");
    gc_root(strlit296);
  }
// compiled string node returning strlit296 (depth = 5)
  adddatum2(obj289, strlit296, 1);
  sourceObject = obj289;
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_v (depth = 5)
  adddatum2(obj289, *var_v, 2);
  sourceObject = obj289;
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe297 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_v (depth = 7)
  partcv[0] = 0;
  Object call298 = callmethod(*var_v, "size",
    1, partcv, params);
  gc_frame_end(callframe297);
// compiled call node returning call298 (depth = 6)
// compiled member node returning call298 (depth = 5)
  adddatum2(obj289, call298, 3);
  objclass289 = obj289->class;
  objclass289->definitionModule = modulename;
  objclass289->definitionLine = 135;
  (*(struct UserObject *)self).data[0] = lowerouter289;
  self = oldself289;
  selfslot = oldselfslot289;
  stackframe = oldstackframe289;
  gc_frame_end(frame);
  return obj289;
}
Object meth_lexer_new288_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject289 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj289 = alloc_userobj2(4,5, objclass289);
  gc_frame_newslot(obj289);
if (objclass289 == NULL) {
  glfree(obj289->class->name);
  obj289->class->name = "KeywordToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj289, self, 0);
  addmethodreal(obj289,"outer", &reader_lexer_outer_290);
  Object oldself289 = self;
  struct StackFrameObject *oldstackframe289 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe289);
  gc_frame_newslot((Object)stackframe);
  self = obj289;
  Object *oldselfslot289 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter289 = (*(struct UserObject *)self).data[0], lowerouter289 = thisouter289;
  if (inheritingObject289) {
    struct UserObject *inho289 = (struct UserObject *)inheritingObject289;
    while (inho289->super != GraceDefaultObject) inho289 = (struct UserObject *)inho289->super;
    inho289->super = obj289;
    self = inheritingObject289;
    *selfslot = self;
    lowerouter289 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter289;
  }
if (objclass289 == NULL) {
  Method *reader291 = addmethodrealflags(obj289, "kind",&reader_lexer_kind_291, MFLAG_DEF);
  reader291->definitionModule = modulename;
  reader291->definitionLine = 138;
}
adddatum2(obj289, alloc_Undefined(), 1);
if (objclass289 == NULL) {
  Method *reader292 = addmethodrealflags(obj289, "value",&reader_lexer_value_292, MFLAG_DEF);
  reader292->definitionModule = modulename;
  reader292->definitionLine = 139;
}
adddatum2(obj289, alloc_Undefined(), 2);
if (objclass289 == NULL) {
  Method *reader293 = addmethodrealflags(obj289, "size",&reader_lexer_size_293, MFLAG_DEF);
  reader293->definitionModule = modulename;
  reader293->definitionLine = 140;
}
adddatum2(obj289, alloc_Undefined(), 3);
  sourceObject = obj289;
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe294 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call295 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe294);
// compiled call node returning call295 (depth = 5)
  struct UserObject *obj289_uo = (struct UserObject *)obj289;
  obj289_uo->super = call295;
  sourceObject = obj289;
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit296 == NULL) {
    strlit296 = alloc_String("keyword");
    gc_root(strlit296);
  }
// compiled string node returning strlit296 (depth = 5)
  adddatum2(obj289, strlit296, 1);
  sourceObject = obj289;
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_v (depth = 5)
  adddatum2(obj289, *var_v, 2);
  sourceObject = obj289;
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe297 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_v (depth = 7)
  partcv[0] = 0;
  Object call298 = callmethod(*var_v, "size",
    1, partcv, params);
  gc_frame_end(callframe297);
// compiled call node returning call298 (depth = 6)
// compiled member node returning call298 (depth = 5)
  adddatum2(obj289, call298, 3);
  objclass289 = obj289->class;
  objclass289->definitionModule = modulename;
  objclass289->definitionLine = 135;
  (*(struct UserObject *)self).data[0] = lowerouter289;
  self = oldself289;
  selfslot = oldselfslot289;
  stackframe = oldstackframe289;
  gc_frame_end(frame);
  return obj289;
}
Object meth_lexer_new302(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject303 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj303 = alloc_userobj2(4,5, objclass303);
  gc_frame_newslot(obj303);
if (objclass303 == NULL) {
  glfree(obj303->class->name);
  obj303->class->name = "OpToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj303, self, 0);
  addmethodreal(obj303,"outer", &reader_lexer_outer_304);
  Object oldself303 = self;
  struct StackFrameObject *oldstackframe303 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe303);
  gc_frame_newslot((Object)stackframe);
  self = obj303;
  Object *oldselfslot303 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter303 = (*(struct UserObject *)self).data[0], lowerouter303 = thisouter303;
  if (inheritingObject303) {
    struct UserObject *inho303 = (struct UserObject *)inheritingObject303;
    while (inho303->super != GraceDefaultObject) inho303 = (struct UserObject *)inho303->super;
    inho303->super = obj303;
    self = inheritingObject303;
    *selfslot = self;
    lowerouter303 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter303;
  }
if (objclass303 == NULL) {
  Method *reader305 = addmethodrealflags(obj303, "kind",&reader_lexer_kind_305, MFLAG_DEF);
  reader305->definitionModule = modulename;
  reader305->definitionLine = 144;
}
adddatum2(obj303, alloc_Undefined(), 1);
if (objclass303 == NULL) {
  Method *reader306 = addmethodrealflags(obj303, "value",&reader_lexer_value_306, MFLAG_DEF);
  reader306->definitionModule = modulename;
  reader306->definitionLine = 145;
}
adddatum2(obj303, alloc_Undefined(), 2);
if (objclass303 == NULL) {
  Method *reader307 = addmethodrealflags(obj303, "size",&reader_lexer_size_307, MFLAG_DEF);
  reader307->definitionModule = modulename;
  reader307->definitionLine = 146;
}
adddatum2(obj303, alloc_Undefined(), 3);
  sourceObject = obj303;
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe308 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call309 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe308);
// compiled call node returning call309 (depth = 5)
  struct UserObject *obj303_uo = (struct UserObject *)obj303;
  obj303_uo->super = call309;
  sourceObject = obj303;
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit310 == NULL) {
    strlit310 = alloc_String("op");
    gc_root(strlit310);
  }
// compiled string node returning strlit310 (depth = 5)
  adddatum2(obj303, strlit310, 1);
  sourceObject = obj303;
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_v (depth = 5)
  adddatum2(obj303, *var_v, 2);
  sourceObject = obj303;
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe311 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_v (depth = 7)
  partcv[0] = 0;
  Object call312 = callmethod(*var_v, "size",
    1, partcv, params);
  gc_frame_end(callframe311);
// compiled call node returning call312 (depth = 6)
// compiled member node returning call312 (depth = 5)
  adddatum2(obj303, call312, 3);
  objclass303 = obj303->class;
  objclass303->definitionModule = modulename;
  objclass303->definitionLine = 141;
  (*(struct UserObject *)self).data[0] = lowerouter303;
  self = oldself303;
  selfslot = oldselfslot303;
  stackframe = oldstackframe303;
  gc_frame_end(frame);
  return obj303;
}
Object meth_lexer_new302_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject303 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj303 = alloc_userobj2(4,5, objclass303);
  gc_frame_newslot(obj303);
if (objclass303 == NULL) {
  glfree(obj303->class->name);
  obj303->class->name = "OpToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj303, self, 0);
  addmethodreal(obj303,"outer", &reader_lexer_outer_304);
  Object oldself303 = self;
  struct StackFrameObject *oldstackframe303 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe303);
  gc_frame_newslot((Object)stackframe);
  self = obj303;
  Object *oldselfslot303 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter303 = (*(struct UserObject *)self).data[0], lowerouter303 = thisouter303;
  if (inheritingObject303) {
    struct UserObject *inho303 = (struct UserObject *)inheritingObject303;
    while (inho303->super != GraceDefaultObject) inho303 = (struct UserObject *)inho303->super;
    inho303->super = obj303;
    self = inheritingObject303;
    *selfslot = self;
    lowerouter303 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter303;
  }
if (objclass303 == NULL) {
  Method *reader305 = addmethodrealflags(obj303, "kind",&reader_lexer_kind_305, MFLAG_DEF);
  reader305->definitionModule = modulename;
  reader305->definitionLine = 144;
}
adddatum2(obj303, alloc_Undefined(), 1);
if (objclass303 == NULL) {
  Method *reader306 = addmethodrealflags(obj303, "value",&reader_lexer_value_306, MFLAG_DEF);
  reader306->definitionModule = modulename;
  reader306->definitionLine = 145;
}
adddatum2(obj303, alloc_Undefined(), 2);
if (objclass303 == NULL) {
  Method *reader307 = addmethodrealflags(obj303, "size",&reader_lexer_size_307, MFLAG_DEF);
  reader307->definitionModule = modulename;
  reader307->definitionLine = 146;
}
adddatum2(obj303, alloc_Undefined(), 3);
  sourceObject = obj303;
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe308 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call309 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe308);
// compiled call node returning call309 (depth = 5)
  struct UserObject *obj303_uo = (struct UserObject *)obj303;
  obj303_uo->super = call309;
  sourceObject = obj303;
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit310 == NULL) {
    strlit310 = alloc_String("op");
    gc_root(strlit310);
  }
// compiled string node returning strlit310 (depth = 5)
  adddatum2(obj303, strlit310, 1);
  sourceObject = obj303;
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_v (depth = 5)
  adddatum2(obj303, *var_v, 2);
  sourceObject = obj303;
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe311 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_v (depth = 7)
  partcv[0] = 0;
  Object call312 = callmethod(*var_v, "size",
    1, partcv, params);
  gc_frame_end(callframe311);
// compiled call node returning call312 (depth = 6)
// compiled member node returning call312 (depth = 5)
  adddatum2(obj303, call312, 3);
  objclass303 = obj303->class;
  objclass303->definitionModule = modulename;
  objclass303->definitionLine = 141;
  (*(struct UserObject *)self).data[0] = lowerouter303;
  self = oldself303;
  selfslot = oldselfslot303;
  stackframe = oldstackframe303;
  gc_frame_end(frame);
  return obj303;
}
Object meth_lexer_new316(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject317 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj317 = alloc_userobj2(4,5, objclass317);
  gc_frame_newslot(obj317);
if (objclass317 == NULL) {
  glfree(obj317->class->name);
  obj317->class->name = "ArrowToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj317, self, 0);
  addmethodreal(obj317,"outer", &reader_lexer_outer_318);
  Object oldself317 = self;
  struct StackFrameObject *oldstackframe317 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe317);
  gc_frame_newslot((Object)stackframe);
  self = obj317;
  Object *oldselfslot317 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter317 = (*(struct UserObject *)self).data[0], lowerouter317 = thisouter317;
  if (inheritingObject317) {
    struct UserObject *inho317 = (struct UserObject *)inheritingObject317;
    while (inho317->super != GraceDefaultObject) inho317 = (struct UserObject *)inho317->super;
    inho317->super = obj317;
    self = inheritingObject317;
    *selfslot = self;
    lowerouter317 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter317;
  }
if (objclass317 == NULL) {
  Method *reader319 = addmethodrealflags(obj317, "kind",&reader_lexer_kind_319, MFLAG_DEF);
  reader319->definitionModule = modulename;
  reader319->definitionLine = 150;
}
adddatum2(obj317, alloc_Undefined(), 1);
if (objclass317 == NULL) {
  Method *reader320 = addmethodrealflags(obj317, "value",&reader_lexer_value_320, MFLAG_DEF);
  reader320->definitionModule = modulename;
  reader320->definitionLine = 151;
}
adddatum2(obj317, alloc_Undefined(), 2);
if (objclass317 == NULL) {
  Method *reader321 = addmethodrealflags(obj317, "size",&reader_lexer_size_321, MFLAG_DEF);
  reader321->definitionModule = modulename;
  reader321->definitionLine = 152;
}
adddatum2(obj317, alloc_Undefined(), 3);
  sourceObject = obj317;
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe322 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call323 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe322);
// compiled call node returning call323 (depth = 5)
  struct UserObject *obj317_uo = (struct UserObject *)obj317;
  obj317_uo->super = call323;
  sourceObject = obj317;
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit324 == NULL) {
    strlit324 = alloc_String("arrow");
    gc_root(strlit324);
  }
// compiled string node returning strlit324 (depth = 5)
  adddatum2(obj317, strlit324, 1);
  sourceObject = obj317;
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit325 == NULL) {
    strlit325 = alloc_String("->");
    gc_root(strlit325);
  }
// compiled string node returning strlit325 (depth = 5)
  adddatum2(obj317, strlit325, 2);
  sourceObject = obj317;
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num326 = alloc_Float64(2);
// compiled num node returning num326 (depth = 5)
  adddatum2(obj317, num326, 3);
  objclass317 = obj317->class;
  objclass317->definitionModule = modulename;
  objclass317->definitionLine = 147;
  (*(struct UserObject *)self).data[0] = lowerouter317;
  self = oldself317;
  selfslot = oldselfslot317;
  stackframe = oldstackframe317;
  gc_frame_end(frame);
  return obj317;
}
Object meth_lexer_new316_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject317 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj317 = alloc_userobj2(4,5, objclass317);
  gc_frame_newslot(obj317);
if (objclass317 == NULL) {
  glfree(obj317->class->name);
  obj317->class->name = "ArrowToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj317, self, 0);
  addmethodreal(obj317,"outer", &reader_lexer_outer_318);
  Object oldself317 = self;
  struct StackFrameObject *oldstackframe317 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe317);
  gc_frame_newslot((Object)stackframe);
  self = obj317;
  Object *oldselfslot317 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter317 = (*(struct UserObject *)self).data[0], lowerouter317 = thisouter317;
  if (inheritingObject317) {
    struct UserObject *inho317 = (struct UserObject *)inheritingObject317;
    while (inho317->super != GraceDefaultObject) inho317 = (struct UserObject *)inho317->super;
    inho317->super = obj317;
    self = inheritingObject317;
    *selfslot = self;
    lowerouter317 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter317;
  }
if (objclass317 == NULL) {
  Method *reader319 = addmethodrealflags(obj317, "kind",&reader_lexer_kind_319, MFLAG_DEF);
  reader319->definitionModule = modulename;
  reader319->definitionLine = 150;
}
adddatum2(obj317, alloc_Undefined(), 1);
if (objclass317 == NULL) {
  Method *reader320 = addmethodrealflags(obj317, "value",&reader_lexer_value_320, MFLAG_DEF);
  reader320->definitionModule = modulename;
  reader320->definitionLine = 151;
}
adddatum2(obj317, alloc_Undefined(), 2);
if (objclass317 == NULL) {
  Method *reader321 = addmethodrealflags(obj317, "size",&reader_lexer_size_321, MFLAG_DEF);
  reader321->definitionModule = modulename;
  reader321->definitionLine = 152;
}
adddatum2(obj317, alloc_Undefined(), 3);
  sourceObject = obj317;
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe322 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call323 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe322);
// compiled call node returning call323 (depth = 5)
  struct UserObject *obj317_uo = (struct UserObject *)obj317;
  obj317_uo->super = call323;
  sourceObject = obj317;
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit324 == NULL) {
    strlit324 = alloc_String("arrow");
    gc_root(strlit324);
  }
// compiled string node returning strlit324 (depth = 5)
  adddatum2(obj317, strlit324, 1);
  sourceObject = obj317;
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit325 == NULL) {
    strlit325 = alloc_String("->");
    gc_root(strlit325);
  }
// compiled string node returning strlit325 (depth = 5)
  adddatum2(obj317, strlit325, 2);
  sourceObject = obj317;
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num326 = alloc_Float64(2);
// compiled num node returning num326 (depth = 5)
  adddatum2(obj317, num326, 3);
  objclass317 = obj317->class;
  objclass317->definitionModule = modulename;
  objclass317->definitionLine = 147;
  (*(struct UserObject *)self).data[0] = lowerouter317;
  self = oldself317;
  selfslot = oldselfslot317;
  stackframe = oldstackframe317;
  gc_frame_end(frame);
  return obj317;
}
Object meth_lexer_new330(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject331 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj331 = alloc_userobj2(4,5, objclass331);
  gc_frame_newslot(obj331);
if (objclass331 == NULL) {
  glfree(obj331->class->name);
  obj331->class->name = "BindToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj331, self, 0);
  addmethodreal(obj331,"outer", &reader_lexer_outer_332);
  Object oldself331 = self;
  struct StackFrameObject *oldstackframe331 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe331);
  gc_frame_newslot((Object)stackframe);
  self = obj331;
  Object *oldselfslot331 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter331 = (*(struct UserObject *)self).data[0], lowerouter331 = thisouter331;
  if (inheritingObject331) {
    struct UserObject *inho331 = (struct UserObject *)inheritingObject331;
    while (inho331->super != GraceDefaultObject) inho331 = (struct UserObject *)inho331->super;
    inho331->super = obj331;
    self = inheritingObject331;
    *selfslot = self;
    lowerouter331 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter331;
  }
if (objclass331 == NULL) {
  Method *reader333 = addmethodrealflags(obj331, "kind",&reader_lexer_kind_333, MFLAG_DEF);
  reader333->definitionModule = modulename;
  reader333->definitionLine = 156;
}
adddatum2(obj331, alloc_Undefined(), 1);
if (objclass331 == NULL) {
  Method *reader334 = addmethodrealflags(obj331, "value",&reader_lexer_value_334, MFLAG_DEF);
  reader334->definitionModule = modulename;
  reader334->definitionLine = 157;
}
adddatum2(obj331, alloc_Undefined(), 2);
if (objclass331 == NULL) {
  Method *reader335 = addmethodrealflags(obj331, "size",&reader_lexer_size_335, MFLAG_DEF);
  reader335->definitionModule = modulename;
  reader335->definitionLine = 158;
}
adddatum2(obj331, alloc_Undefined(), 3);
  sourceObject = obj331;
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe336 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call337 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe336);
// compiled call node returning call337 (depth = 5)
  struct UserObject *obj331_uo = (struct UserObject *)obj331;
  obj331_uo->super = call337;
  sourceObject = obj331;
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit338 == NULL) {
    strlit338 = alloc_String("bind");
    gc_root(strlit338);
  }
// compiled string node returning strlit338 (depth = 5)
  adddatum2(obj331, strlit338, 1);
  sourceObject = obj331;
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit339 == NULL) {
    strlit339 = alloc_String(":=");
    gc_root(strlit339);
  }
// compiled string node returning strlit339 (depth = 5)
  adddatum2(obj331, strlit339, 2);
  sourceObject = obj331;
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num340 = alloc_Float64(2);
// compiled num node returning num340 (depth = 5)
  adddatum2(obj331, num340, 3);
  objclass331 = obj331->class;
  objclass331->definitionModule = modulename;
  objclass331->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter331;
  self = oldself331;
  selfslot = oldselfslot331;
  stackframe = oldstackframe331;
  gc_frame_end(frame);
  return obj331;
}
Object meth_lexer_new330_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject331 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj331 = alloc_userobj2(4,5, objclass331);
  gc_frame_newslot(obj331);
if (objclass331 == NULL) {
  glfree(obj331->class->name);
  obj331->class->name = "BindToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj331, self, 0);
  addmethodreal(obj331,"outer", &reader_lexer_outer_332);
  Object oldself331 = self;
  struct StackFrameObject *oldstackframe331 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe331);
  gc_frame_newslot((Object)stackframe);
  self = obj331;
  Object *oldselfslot331 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter331 = (*(struct UserObject *)self).data[0], lowerouter331 = thisouter331;
  if (inheritingObject331) {
    struct UserObject *inho331 = (struct UserObject *)inheritingObject331;
    while (inho331->super != GraceDefaultObject) inho331 = (struct UserObject *)inho331->super;
    inho331->super = obj331;
    self = inheritingObject331;
    *selfslot = self;
    lowerouter331 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter331;
  }
if (objclass331 == NULL) {
  Method *reader333 = addmethodrealflags(obj331, "kind",&reader_lexer_kind_333, MFLAG_DEF);
  reader333->definitionModule = modulename;
  reader333->definitionLine = 156;
}
adddatum2(obj331, alloc_Undefined(), 1);
if (objclass331 == NULL) {
  Method *reader334 = addmethodrealflags(obj331, "value",&reader_lexer_value_334, MFLAG_DEF);
  reader334->definitionModule = modulename;
  reader334->definitionLine = 157;
}
adddatum2(obj331, alloc_Undefined(), 2);
if (objclass331 == NULL) {
  Method *reader335 = addmethodrealflags(obj331, "size",&reader_lexer_size_335, MFLAG_DEF);
  reader335->definitionModule = modulename;
  reader335->definitionLine = 158;
}
adddatum2(obj331, alloc_Undefined(), 3);
  sourceObject = obj331;
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe336 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call337 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe336);
// compiled call node returning call337 (depth = 5)
  struct UserObject *obj331_uo = (struct UserObject *)obj331;
  obj331_uo->super = call337;
  sourceObject = obj331;
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit338 == NULL) {
    strlit338 = alloc_String("bind");
    gc_root(strlit338);
  }
// compiled string node returning strlit338 (depth = 5)
  adddatum2(obj331, strlit338, 1);
  sourceObject = obj331;
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit339 == NULL) {
    strlit339 = alloc_String(":=");
    gc_root(strlit339);
  }
// compiled string node returning strlit339 (depth = 5)
  adddatum2(obj331, strlit339, 2);
  sourceObject = obj331;
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num340 = alloc_Float64(2);
// compiled num node returning num340 (depth = 5)
  adddatum2(obj331, num340, 3);
  objclass331 = obj331->class;
  objclass331->definitionModule = modulename;
  objclass331->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter331;
  self = oldself331;
  selfslot = oldselfslot331;
  stackframe = oldstackframe331;
  gc_frame_end(frame);
  return obj331;
}
Object meth_lexer_new344(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject345 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj345 = alloc_userobj2(4,5, objclass345);
  gc_frame_newslot(obj345);
if (objclass345 == NULL) {
  glfree(obj345->class->name);
  obj345->class->name = "SemicolonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj345, self, 0);
  addmethodreal(obj345,"outer", &reader_lexer_outer_346);
  Object oldself345 = self;
  struct StackFrameObject *oldstackframe345 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe345);
  gc_frame_newslot((Object)stackframe);
  self = obj345;
  Object *oldselfslot345 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter345 = (*(struct UserObject *)self).data[0], lowerouter345 = thisouter345;
  if (inheritingObject345) {
    struct UserObject *inho345 = (struct UserObject *)inheritingObject345;
    while (inho345->super != GraceDefaultObject) inho345 = (struct UserObject *)inho345->super;
    inho345->super = obj345;
    self = inheritingObject345;
    *selfslot = self;
    lowerouter345 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter345;
  }
if (objclass345 == NULL) {
  Method *reader347 = addmethodrealflags(obj345, "kind",&reader_lexer_kind_347, MFLAG_DEF);
  reader347->definitionModule = modulename;
  reader347->definitionLine = 162;
}
adddatum2(obj345, alloc_Undefined(), 1);
if (objclass345 == NULL) {
  Method *reader348 = addmethodrealflags(obj345, "value",&reader_lexer_value_348, MFLAG_DEF);
  reader348->definitionModule = modulename;
  reader348->definitionLine = 163;
}
adddatum2(obj345, alloc_Undefined(), 2);
if (objclass345 == NULL) {
  Method *reader349 = addmethodrealflags(obj345, "size",&reader_lexer_size_349, MFLAG_DEF);
  reader349->definitionModule = modulename;
  reader349->definitionLine = 164;
}
adddatum2(obj345, alloc_Undefined(), 3);
  sourceObject = obj345;
// Begin line 160
  setline(160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe350 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call351 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe350);
// compiled call node returning call351 (depth = 5)
  struct UserObject *obj345_uo = (struct UserObject *)obj345;
  obj345_uo->super = call351;
  sourceObject = obj345;
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit352 == NULL) {
    strlit352 = alloc_String("semicolon");
    gc_root(strlit352);
  }
// compiled string node returning strlit352 (depth = 5)
  adddatum2(obj345, strlit352, 1);
  sourceObject = obj345;
// Begin line 162
  setline(162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit353 == NULL) {
    strlit353 = alloc_String(";");
    gc_root(strlit353);
  }
// compiled string node returning strlit353 (depth = 5)
  adddatum2(obj345, strlit353, 2);
  sourceObject = obj345;
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num354 = alloc_Float64(1);
// compiled num node returning num354 (depth = 5)
  adddatum2(obj345, num354, 3);
  objclass345 = obj345->class;
  objclass345->definitionModule = modulename;
  objclass345->definitionLine = 159;
  (*(struct UserObject *)self).data[0] = lowerouter345;
  self = oldself345;
  selfslot = oldselfslot345;
  stackframe = oldstackframe345;
  gc_frame_end(frame);
  return obj345;
}
Object meth_lexer_new344_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject345 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj345 = alloc_userobj2(4,5, objclass345);
  gc_frame_newslot(obj345);
if (objclass345 == NULL) {
  glfree(obj345->class->name);
  obj345->class->name = "SemicolonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj345, self, 0);
  addmethodreal(obj345,"outer", &reader_lexer_outer_346);
  Object oldself345 = self;
  struct StackFrameObject *oldstackframe345 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe345);
  gc_frame_newslot((Object)stackframe);
  self = obj345;
  Object *oldselfslot345 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter345 = (*(struct UserObject *)self).data[0], lowerouter345 = thisouter345;
  if (inheritingObject345) {
    struct UserObject *inho345 = (struct UserObject *)inheritingObject345;
    while (inho345->super != GraceDefaultObject) inho345 = (struct UserObject *)inho345->super;
    inho345->super = obj345;
    self = inheritingObject345;
    *selfslot = self;
    lowerouter345 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter345;
  }
if (objclass345 == NULL) {
  Method *reader347 = addmethodrealflags(obj345, "kind",&reader_lexer_kind_347, MFLAG_DEF);
  reader347->definitionModule = modulename;
  reader347->definitionLine = 162;
}
adddatum2(obj345, alloc_Undefined(), 1);
if (objclass345 == NULL) {
  Method *reader348 = addmethodrealflags(obj345, "value",&reader_lexer_value_348, MFLAG_DEF);
  reader348->definitionModule = modulename;
  reader348->definitionLine = 163;
}
adddatum2(obj345, alloc_Undefined(), 2);
if (objclass345 == NULL) {
  Method *reader349 = addmethodrealflags(obj345, "size",&reader_lexer_size_349, MFLAG_DEF);
  reader349->definitionModule = modulename;
  reader349->definitionLine = 164;
}
adddatum2(obj345, alloc_Undefined(), 3);
  sourceObject = obj345;
// Begin line 160
  setline(160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe350 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call351 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe350);
// compiled call node returning call351 (depth = 5)
  struct UserObject *obj345_uo = (struct UserObject *)obj345;
  obj345_uo->super = call351;
  sourceObject = obj345;
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit352 == NULL) {
    strlit352 = alloc_String("semicolon");
    gc_root(strlit352);
  }
// compiled string node returning strlit352 (depth = 5)
  adddatum2(obj345, strlit352, 1);
  sourceObject = obj345;
// Begin line 162
  setline(162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit353 == NULL) {
    strlit353 = alloc_String(";");
    gc_root(strlit353);
  }
// compiled string node returning strlit353 (depth = 5)
  adddatum2(obj345, strlit353, 2);
  sourceObject = obj345;
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num354 = alloc_Float64(1);
// compiled num node returning num354 (depth = 5)
  adddatum2(obj345, num354, 3);
  objclass345 = obj345->class;
  objclass345->definitionModule = modulename;
  objclass345->definitionLine = 159;
  (*(struct UserObject *)self).data[0] = lowerouter345;
  self = oldself345;
  selfslot = oldselfslot345;
  stackframe = oldstackframe345;
  gc_frame_end(frame);
  return obj345;
}
Object meth_lexer_new358(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject359 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj359 = alloc_userobj2(4,5, objclass359);
  gc_frame_newslot(obj359);
if (objclass359 == NULL) {
  glfree(obj359->class->name);
  obj359->class->name = "LGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj359, self, 0);
  addmethodreal(obj359,"outer", &reader_lexer_outer_360);
  Object oldself359 = self;
  struct StackFrameObject *oldstackframe359 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe359);
  gc_frame_newslot((Object)stackframe);
  self = obj359;
  Object *oldselfslot359 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter359 = (*(struct UserObject *)self).data[0], lowerouter359 = thisouter359;
  if (inheritingObject359) {
    struct UserObject *inho359 = (struct UserObject *)inheritingObject359;
    while (inho359->super != GraceDefaultObject) inho359 = (struct UserObject *)inho359->super;
    inho359->super = obj359;
    self = inheritingObject359;
    *selfslot = self;
    lowerouter359 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter359;
  }
if (objclass359 == NULL) {
  Method *reader361 = addmethodrealflags(obj359, "kind",&reader_lexer_kind_361, MFLAG_DEF);
  reader361->definitionModule = modulename;
  reader361->definitionLine = 168;
}
adddatum2(obj359, alloc_Undefined(), 1);
if (objclass359 == NULL) {
  Method *reader362 = addmethodrealflags(obj359, "value",&reader_lexer_value_362, MFLAG_DEF);
  reader362->definitionModule = modulename;
  reader362->definitionLine = 169;
}
adddatum2(obj359, alloc_Undefined(), 2);
if (objclass359 == NULL) {
  Method *reader363 = addmethodrealflags(obj359, "size",&reader_lexer_size_363, MFLAG_DEF);
  reader363->definitionModule = modulename;
  reader363->definitionLine = 170;
}
adddatum2(obj359, alloc_Undefined(), 3);
  sourceObject = obj359;
// Begin line 166
  setline(166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe364 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call365 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe364);
// compiled call node returning call365 (depth = 5)
  struct UserObject *obj359_uo = (struct UserObject *)obj359;
  obj359_uo->super = call365;
  sourceObject = obj359;
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit366 == NULL) {
    strlit366 = alloc_String("lgeneric");
    gc_root(strlit366);
  }
// compiled string node returning strlit366 (depth = 5)
  adddatum2(obj359, strlit366, 1);
  sourceObject = obj359;
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit367 == NULL) {
    strlit367 = alloc_String("<");
    gc_root(strlit367);
  }
// compiled string node returning strlit367 (depth = 5)
  adddatum2(obj359, strlit367, 2);
  sourceObject = obj359;
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num368 = alloc_Float64(1);
// compiled num node returning num368 (depth = 5)
  adddatum2(obj359, num368, 3);
  objclass359 = obj359->class;
  objclass359->definitionModule = modulename;
  objclass359->definitionLine = 165;
  (*(struct UserObject *)self).data[0] = lowerouter359;
  self = oldself359;
  selfslot = oldselfslot359;
  stackframe = oldstackframe359;
  gc_frame_end(frame);
  return obj359;
}
Object meth_lexer_new358_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject359 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj359 = alloc_userobj2(4,5, objclass359);
  gc_frame_newslot(obj359);
if (objclass359 == NULL) {
  glfree(obj359->class->name);
  obj359->class->name = "LGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj359, self, 0);
  addmethodreal(obj359,"outer", &reader_lexer_outer_360);
  Object oldself359 = self;
  struct StackFrameObject *oldstackframe359 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe359);
  gc_frame_newslot((Object)stackframe);
  self = obj359;
  Object *oldselfslot359 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter359 = (*(struct UserObject *)self).data[0], lowerouter359 = thisouter359;
  if (inheritingObject359) {
    struct UserObject *inho359 = (struct UserObject *)inheritingObject359;
    while (inho359->super != GraceDefaultObject) inho359 = (struct UserObject *)inho359->super;
    inho359->super = obj359;
    self = inheritingObject359;
    *selfslot = self;
    lowerouter359 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter359;
  }
if (objclass359 == NULL) {
  Method *reader361 = addmethodrealflags(obj359, "kind",&reader_lexer_kind_361, MFLAG_DEF);
  reader361->definitionModule = modulename;
  reader361->definitionLine = 168;
}
adddatum2(obj359, alloc_Undefined(), 1);
if (objclass359 == NULL) {
  Method *reader362 = addmethodrealflags(obj359, "value",&reader_lexer_value_362, MFLAG_DEF);
  reader362->definitionModule = modulename;
  reader362->definitionLine = 169;
}
adddatum2(obj359, alloc_Undefined(), 2);
if (objclass359 == NULL) {
  Method *reader363 = addmethodrealflags(obj359, "size",&reader_lexer_size_363, MFLAG_DEF);
  reader363->definitionModule = modulename;
  reader363->definitionLine = 170;
}
adddatum2(obj359, alloc_Undefined(), 3);
  sourceObject = obj359;
// Begin line 166
  setline(166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe364 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call365 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe364);
// compiled call node returning call365 (depth = 5)
  struct UserObject *obj359_uo = (struct UserObject *)obj359;
  obj359_uo->super = call365;
  sourceObject = obj359;
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit366 == NULL) {
    strlit366 = alloc_String("lgeneric");
    gc_root(strlit366);
  }
// compiled string node returning strlit366 (depth = 5)
  adddatum2(obj359, strlit366, 1);
  sourceObject = obj359;
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit367 == NULL) {
    strlit367 = alloc_String("<");
    gc_root(strlit367);
  }
// compiled string node returning strlit367 (depth = 5)
  adddatum2(obj359, strlit367, 2);
  sourceObject = obj359;
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num368 = alloc_Float64(1);
// compiled num node returning num368 (depth = 5)
  adddatum2(obj359, num368, 3);
  objclass359 = obj359->class;
  objclass359->definitionModule = modulename;
  objclass359->definitionLine = 165;
  (*(struct UserObject *)self).data[0] = lowerouter359;
  self = oldself359;
  selfslot = oldselfslot359;
  stackframe = oldstackframe359;
  gc_frame_end(frame);
  return obj359;
}
Object meth_lexer_new372(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject373 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj373 = alloc_userobj2(4,5, objclass373);
  gc_frame_newslot(obj373);
if (objclass373 == NULL) {
  glfree(obj373->class->name);
  obj373->class->name = "RGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj373, self, 0);
  addmethodreal(obj373,"outer", &reader_lexer_outer_374);
  Object oldself373 = self;
  struct StackFrameObject *oldstackframe373 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe373);
  gc_frame_newslot((Object)stackframe);
  self = obj373;
  Object *oldselfslot373 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter373 = (*(struct UserObject *)self).data[0], lowerouter373 = thisouter373;
  if (inheritingObject373) {
    struct UserObject *inho373 = (struct UserObject *)inheritingObject373;
    while (inho373->super != GraceDefaultObject) inho373 = (struct UserObject *)inho373->super;
    inho373->super = obj373;
    self = inheritingObject373;
    *selfslot = self;
    lowerouter373 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter373;
  }
if (objclass373 == NULL) {
  Method *reader375 = addmethodrealflags(obj373, "kind",&reader_lexer_kind_375, MFLAG_DEF);
  reader375->definitionModule = modulename;
  reader375->definitionLine = 174;
}
adddatum2(obj373, alloc_Undefined(), 1);
if (objclass373 == NULL) {
  Method *reader376 = addmethodrealflags(obj373, "value",&reader_lexer_value_376, MFLAG_DEF);
  reader376->definitionModule = modulename;
  reader376->definitionLine = 175;
}
adddatum2(obj373, alloc_Undefined(), 2);
if (objclass373 == NULL) {
  Method *reader377 = addmethodrealflags(obj373, "size",&reader_lexer_size_377, MFLAG_DEF);
  reader377->definitionModule = modulename;
  reader377->definitionLine = 176;
}
adddatum2(obj373, alloc_Undefined(), 3);
  sourceObject = obj373;
// Begin line 172
  setline(172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe378 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call379 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe378);
// compiled call node returning call379 (depth = 5)
  struct UserObject *obj373_uo = (struct UserObject *)obj373;
  obj373_uo->super = call379;
  sourceObject = obj373;
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit380 == NULL) {
    strlit380 = alloc_String("rgeneric");
    gc_root(strlit380);
  }
// compiled string node returning strlit380 (depth = 5)
  adddatum2(obj373, strlit380, 1);
  sourceObject = obj373;
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit381 == NULL) {
    strlit381 = alloc_String(">");
    gc_root(strlit381);
  }
// compiled string node returning strlit381 (depth = 5)
  adddatum2(obj373, strlit381, 2);
  sourceObject = obj373;
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num382 = alloc_Float64(1);
// compiled num node returning num382 (depth = 5)
  adddatum2(obj373, num382, 3);
  objclass373 = obj373->class;
  objclass373->definitionModule = modulename;
  objclass373->definitionLine = 171;
  (*(struct UserObject *)self).data[0] = lowerouter373;
  self = oldself373;
  selfslot = oldselfslot373;
  stackframe = oldstackframe373;
  gc_frame_end(frame);
  return obj373;
}
Object meth_lexer_new372_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject373 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj373 = alloc_userobj2(4,5, objclass373);
  gc_frame_newslot(obj373);
if (objclass373 == NULL) {
  glfree(obj373->class->name);
  obj373->class->name = "RGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj373, self, 0);
  addmethodreal(obj373,"outer", &reader_lexer_outer_374);
  Object oldself373 = self;
  struct StackFrameObject *oldstackframe373 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe373);
  gc_frame_newslot((Object)stackframe);
  self = obj373;
  Object *oldselfslot373 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter373 = (*(struct UserObject *)self).data[0], lowerouter373 = thisouter373;
  if (inheritingObject373) {
    struct UserObject *inho373 = (struct UserObject *)inheritingObject373;
    while (inho373->super != GraceDefaultObject) inho373 = (struct UserObject *)inho373->super;
    inho373->super = obj373;
    self = inheritingObject373;
    *selfslot = self;
    lowerouter373 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter373;
  }
if (objclass373 == NULL) {
  Method *reader375 = addmethodrealflags(obj373, "kind",&reader_lexer_kind_375, MFLAG_DEF);
  reader375->definitionModule = modulename;
  reader375->definitionLine = 174;
}
adddatum2(obj373, alloc_Undefined(), 1);
if (objclass373 == NULL) {
  Method *reader376 = addmethodrealflags(obj373, "value",&reader_lexer_value_376, MFLAG_DEF);
  reader376->definitionModule = modulename;
  reader376->definitionLine = 175;
}
adddatum2(obj373, alloc_Undefined(), 2);
if (objclass373 == NULL) {
  Method *reader377 = addmethodrealflags(obj373, "size",&reader_lexer_size_377, MFLAG_DEF);
  reader377->definitionModule = modulename;
  reader377->definitionLine = 176;
}
adddatum2(obj373, alloc_Undefined(), 3);
  sourceObject = obj373;
// Begin line 172
  setline(172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe378 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Token (depth = 6)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call379 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe378);
// compiled call node returning call379 (depth = 5)
  struct UserObject *obj373_uo = (struct UserObject *)obj373;
  obj373_uo->super = call379;
  sourceObject = obj373;
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit380 == NULL) {
    strlit380 = alloc_String("rgeneric");
    gc_root(strlit380);
  }
// compiled string node returning strlit380 (depth = 5)
  adddatum2(obj373, strlit380, 1);
  sourceObject = obj373;
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit381 == NULL) {
    strlit381 = alloc_String(">");
    gc_root(strlit381);
  }
// compiled string node returning strlit381 (depth = 5)
  adddatum2(obj373, strlit381, 2);
  sourceObject = obj373;
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num382 = alloc_Float64(1);
// compiled num node returning num382 (depth = 5)
  adddatum2(obj373, num382, 3);
  objclass373 = obj373->class;
  objclass373->definitionModule = modulename;
  objclass373->definitionLine = 171;
  (*(struct UserObject *)self).data[0] = lowerouter373;
  self = oldself373;
  selfslot = oldselfslot373;
  stackframe = oldstackframe373;
  gc_frame_end(frame);
  return obj373;
}
Object meth_lexer__apply690(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit692 == NULL) {
    strlit692 = alloc_String("dot");
    gc_root(strlit692);
  }
// compiled string node returning strlit692 (depth = 12)
  int op_slot_right_691 = gc_frame_newslot(strlit692);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe694 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe695 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_tokens (depth = 16)
  partcv[0] = 0;
  Object call696 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe695);
// compiled call node returning call696 (depth = 15)
// compiled member node returning call696 (depth = 14)
  partcv[0] = 0;
  Object call697 = callmethod(call696, "kind",
    1, partcv, params);
  gc_frame_end(callframe694);
// compiled call node returning call697 (depth = 13)
// compiled member node returning call697 (depth = 12)
  int op_slot_left_691 = gc_frame_newslot(call697);
  params[0] = strlit692;
  partcv[0] = 1;
  Object opresult698 = callmethod(call697, "==", 1, partcv, params);
// compiled op node returning opresult698 (depth = 11)
  gc_frame_end(frame);
  return opresult698;
}
Object meth_lexer_modechange386(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(18, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "modechange");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method modechange");
  Object params[5];
  int partcv[3];
  Object *var_IdentifierToken = getfromclosure(closure, 0);
  Object *var_KeywordToken = getfromclosure(closure, 1);
  Object *var_StringToken = getfromclosure(closure, 2);
  Object *var_MultiLineStringToken = getfromclosure(closure, 3);
  Object *var_CommaToken = getfromclosure(closure, 4);
  Object *var_DotToken = getfromclosure(closure, 5);
  Object *var_LBraceToken = getfromclosure(closure, 6);
  Object *var_RBraceToken = getfromclosure(closure, 7);
  Object *var_LParenToken = getfromclosure(closure, 8);
  Object *var_RParenToken = getfromclosure(closure, 9);
  Object *var_LSquareToken = getfromclosure(closure, 10);
  Object *var_RSquareToken = getfromclosure(closure, 11);
  Object *var_LGenericToken = getfromclosure(closure, 12);
  Object *var_RGenericToken = getfromclosure(closure, 13);
  Object *var_SemicolonToken = getfromclosure(closure, 14);
  Object *var_NumToken = getfromclosure(closure, 15);
  Object *var_errormessages = getfromclosure(closure, 16);
  Object *var_linePosition = getfromclosure(closure, 17);
  Object *var_lineNumber = getfromclosure(closure, 18);
  Object *var_OpToken = getfromclosure(closure, 19);
  Object *var_ArrowToken = getfromclosure(closure, 20);
  Object *var_BindToken = getfromclosure(closure, 21);
  Object *var_ColonToken = getfromclosure(closure, 22);
  Object *var_indentLevel = getfromclosure(closure, 23);
  Object *var_CommentToken = getfromclosure(closure, 24);
  Object *var_util = getfromclosure(closure, 25);
  Object *var_startPosition = getfromclosure(closure, 26);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for modechange (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tokens = &(stackframe->slots[0]);
  *var_tokens = args[curarg];
  curarg++;
  Object *var_mode = &(stackframe->slots[1]);
  *var_mode = args[curarg];
  curarg++;
  Object *var_accum = &(stackframe->slots[2]);
  *var_accum = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for modechange");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_isDone = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "isDone");
  Object *var_tok = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "tok");
  Object *var_dot = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "dot");
  Object *var_decimal = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "decimal");
  Object *var_suggestions = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "suggestions");
  Object *var_suggestion = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "suggestion");
  Object *var_cmt = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "cmt");
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool387 = alloc_Boolean(0);
// compiled identifier node returning bool387 (depth = 3)
  *var_isDone = bool387;
  if (bool387 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 199
  setline(199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num388 = alloc_Float64(0);
// compiled num node returning num388 (depth = 3)
  *var_tok = num388;
  if (num388 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 199
  setline(199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num392 = alloc_Float64(0);
// compiled num node returning num392 (depth = 5)
  int op_slot_right_391 = gc_frame_newslot(num392);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe394 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_accum (depth = 7)
  partcv[0] = 0;
  Object call395 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe394);
// compiled call node returning call395 (depth = 6)
// compiled member node returning call395 (depth = 5)
  int op_slot_left_391 = gc_frame_newslot(call395);
  params[0] = num392;
  partcv[0] = 1;
  Object opresult396 = callmethod(call395, ">", 1, partcv, params);
// compiled op node returning opresult396 (depth = 4)
  int op_slot_right_390 = gc_frame_newslot(opresult396);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit399 == NULL) {
    strlit399 = alloc_String("n");
    gc_root(strlit399);
  }
// compiled string node returning strlit399 (depth = 5)
  int op_slot_right_398 = gc_frame_newslot(strlit399);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_mode (depth = 5)
  int op_slot_left_398 = gc_frame_newslot(*var_mode);
  params[0] = strlit399;
  partcv[0] = 1;
  Object opresult401 = callmethod(*var_mode, "!=", 1, partcv, params);
// compiled op node returning opresult401 (depth = 4)
  int op_slot_left_390 = gc_frame_newslot(opresult401);
  params[0] = opresult396;
  partcv[0] = 1;
  Object opresult402 = callmethod(opresult401, "||", 1, partcv, params);
// compiled op node returning opresult402 (depth = 3)
  Object if389 = done;
  if (istrue(opresult402)) {
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit405 == NULL) {
    strlit405 = alloc_String("i");
    gc_root(strlit405);
  }
// compiled string node returning strlit405 (depth = 5)
  int op_slot_right_404 = gc_frame_newslot(strlit405);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_mode (depth = 5)
  int op_slot_left_404 = gc_frame_newslot(*var_mode);
  params[0] = strlit405;
  partcv[0] = 1;
  Object opresult407 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult407 (depth = 4)
  Object if403 = done;
  if (istrue(opresult407)) {
// Begin line 201
  setline(201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe408 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_accum (depth = 6)
  gc_frame_newslot(*var_accum);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_IdentifierToken (depth = 6)
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call409 = callmethod(*var_IdentifierToken, "new",
    1, partcv, params);
  gc_frame_end(callframe408);
// compiled call node returning call409 (depth = 5)
  *var_tok = call409;
  if (call409 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 207
  setline(207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit414 == NULL) {
    strlit414 = alloc_String("factory");
    gc_root(strlit414);
  }
// compiled string node returning strlit414 (depth = 7)
  int op_slot_right_413 = gc_frame_newslot(strlit414);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_accum (depth = 7)
  int op_slot_left_413 = gc_frame_newslot(*var_accum);
  params[0] = strlit414;
  partcv[0] = 1;
  Object opresult416 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult416 (depth = 6)
  int op_slot_right_412 = gc_frame_newslot(opresult416);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit420 == NULL) {
    strlit420 = alloc_String("dialect");
    gc_root(strlit420);
  }
// compiled string node returning strlit420 (depth = 8)
  int op_slot_right_419 = gc_frame_newslot(strlit420);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_accum (depth = 8)
  int op_slot_left_419 = gc_frame_newslot(*var_accum);
  params[0] = strlit420;
  partcv[0] = 1;
  Object opresult422 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult422 (depth = 7)
  int op_slot_right_418 = gc_frame_newslot(opresult422);
// starting to compile op node (depth = 7)
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit426 == NULL) {
    strlit426 = alloc_String("is");
    gc_root(strlit426);
  }
// compiled string node returning strlit426 (depth = 9)
  int op_slot_right_425 = gc_frame_newslot(strlit426);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  int op_slot_left_425 = gc_frame_newslot(*var_accum);
  params[0] = strlit426;
  partcv[0] = 1;
  Object opresult428 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult428 (depth = 8)
  int op_slot_right_424 = gc_frame_newslot(opresult428);
// starting to compile op node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit432 == NULL) {
    strlit432 = alloc_String("inherits");
    gc_root(strlit432);
  }
// compiled string node returning strlit432 (depth = 10)
  int op_slot_right_431 = gc_frame_newslot(strlit432);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_accum (depth = 10)
  int op_slot_left_431 = gc_frame_newslot(*var_accum);
  params[0] = strlit432;
  partcv[0] = 1;
  Object opresult434 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult434 (depth = 9)
  int op_slot_right_430 = gc_frame_newslot(opresult434);
// starting to compile op node (depth = 9)
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit438 == NULL) {
    strlit438 = alloc_String("def");
    gc_root(strlit438);
  }
// compiled string node returning strlit438 (depth = 11)
  int op_slot_right_437 = gc_frame_newslot(strlit438);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_accum (depth = 11)
  int op_slot_left_437 = gc_frame_newslot(*var_accum);
  params[0] = strlit438;
  partcv[0] = 1;
  Object opresult440 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult440 (depth = 10)
  int op_slot_right_436 = gc_frame_newslot(opresult440);
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit444 == NULL) {
    strlit444 = alloc_String("return");
    gc_root(strlit444);
  }
// compiled string node returning strlit444 (depth = 12)
  int op_slot_right_443 = gc_frame_newslot(strlit444);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_accum (depth = 12)
  int op_slot_left_443 = gc_frame_newslot(*var_accum);
  params[0] = strlit444;
  partcv[0] = 1;
  Object opresult446 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult446 (depth = 11)
  int op_slot_right_442 = gc_frame_newslot(opresult446);
// starting to compile op node (depth = 11)
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit450 == NULL) {
    strlit450 = alloc_String("class");
    gc_root(strlit450);
  }
// compiled string node returning strlit450 (depth = 13)
  int op_slot_right_449 = gc_frame_newslot(strlit450);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_accum (depth = 13)
  int op_slot_left_449 = gc_frame_newslot(*var_accum);
  params[0] = strlit450;
  partcv[0] = 1;
  Object opresult452 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult452 (depth = 12)
  int op_slot_right_448 = gc_frame_newslot(opresult452);
// starting to compile op node (depth = 12)
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit456 == NULL) {
    strlit456 = alloc_String("import");
    gc_root(strlit456);
  }
// compiled string node returning strlit456 (depth = 14)
  int op_slot_right_455 = gc_frame_newslot(strlit456);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_accum (depth = 14)
  int op_slot_left_455 = gc_frame_newslot(*var_accum);
  params[0] = strlit456;
  partcv[0] = 1;
  Object opresult458 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult458 (depth = 13)
  int op_slot_right_454 = gc_frame_newslot(opresult458);
// starting to compile op node (depth = 13)
// Begin line 203
  setline(203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit462 == NULL) {
    strlit462 = alloc_String("type");
    gc_root(strlit462);
  }
// compiled string node returning strlit462 (depth = 15)
  int op_slot_right_461 = gc_frame_newslot(strlit462);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_accum (depth = 15)
  int op_slot_left_461 = gc_frame_newslot(*var_accum);
  params[0] = strlit462;
  partcv[0] = 1;
  Object opresult464 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult464 (depth = 14)
  int op_slot_right_460 = gc_frame_newslot(opresult464);
// starting to compile op node (depth = 14)
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit468 == NULL) {
    strlit468 = alloc_String("var");
    gc_root(strlit468);
  }
// compiled string node returning strlit468 (depth = 16)
  int op_slot_right_467 = gc_frame_newslot(strlit468);
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_accum (depth = 16)
  int op_slot_left_467 = gc_frame_newslot(*var_accum);
  params[0] = strlit468;
  partcv[0] = 1;
  Object opresult470 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult470 (depth = 15)
  int op_slot_right_466 = gc_frame_newslot(opresult470);
// starting to compile op node (depth = 15)
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 16)
// starting to compile string node (depth = 17)
  if (strlit474 == NULL) {
    strlit474 = alloc_String("method");
    gc_root(strlit474);
  }
// compiled string node returning strlit474 (depth = 17)
  int op_slot_right_473 = gc_frame_newslot(strlit474);
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_accum (depth = 17)
  int op_slot_left_473 = gc_frame_newslot(*var_accum);
  params[0] = strlit474;
  partcv[0] = 1;
  Object opresult476 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult476 (depth = 16)
  int op_slot_right_472 = gc_frame_newslot(opresult476);
// starting to compile op node (depth = 16)
// starting to compile string node (depth = 17)
  if (strlit479 == NULL) {
    strlit479 = alloc_String("object");
    gc_root(strlit479);
  }
// compiled string node returning strlit479 (depth = 17)
  int op_slot_right_478 = gc_frame_newslot(strlit479);
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_accum (depth = 17)
  int op_slot_left_478 = gc_frame_newslot(*var_accum);
  params[0] = strlit479;
  partcv[0] = 1;
  Object opresult481 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult481 (depth = 16)
  int op_slot_left_472 = gc_frame_newslot(opresult481);
  params[0] = opresult476;
  partcv[0] = 1;
  Object opresult482 = callmethod(opresult481, "||", 1, partcv, params);
// compiled op node returning opresult482 (depth = 15)
  int op_slot_left_466 = gc_frame_newslot(opresult482);
  params[0] = opresult470;
  partcv[0] = 1;
  Object opresult483 = callmethod(opresult482, "||", 1, partcv, params);
// compiled op node returning opresult483 (depth = 14)
  int op_slot_left_460 = gc_frame_newslot(opresult483);
  params[0] = opresult464;
  partcv[0] = 1;
  Object opresult484 = callmethod(opresult483, "||", 1, partcv, params);
// compiled op node returning opresult484 (depth = 13)
  int op_slot_left_454 = gc_frame_newslot(opresult484);
  params[0] = opresult458;
  partcv[0] = 1;
  Object opresult485 = callmethod(opresult484, "||", 1, partcv, params);
// compiled op node returning opresult485 (depth = 12)
  int op_slot_left_448 = gc_frame_newslot(opresult485);
  params[0] = opresult452;
  partcv[0] = 1;
  Object opresult486 = callmethod(opresult485, "||", 1, partcv, params);
// compiled op node returning opresult486 (depth = 11)
  int op_slot_left_442 = gc_frame_newslot(opresult486);
  params[0] = opresult446;
  partcv[0] = 1;
  Object opresult487 = callmethod(opresult486, "||", 1, partcv, params);
// compiled op node returning opresult487 (depth = 10)
  int op_slot_left_436 = gc_frame_newslot(opresult487);
  params[0] = opresult440;
  partcv[0] = 1;
  Object opresult488 = callmethod(opresult487, "||", 1, partcv, params);
// compiled op node returning opresult488 (depth = 9)
  int op_slot_left_430 = gc_frame_newslot(opresult488);
  params[0] = opresult434;
  partcv[0] = 1;
  Object opresult489 = callmethod(opresult488, "||", 1, partcv, params);
// compiled op node returning opresult489 (depth = 8)
  int op_slot_left_424 = gc_frame_newslot(opresult489);
  params[0] = opresult428;
  partcv[0] = 1;
  Object opresult490 = callmethod(opresult489, "||", 1, partcv, params);
// compiled op node returning opresult490 (depth = 7)
  int op_slot_left_418 = gc_frame_newslot(opresult490);
  params[0] = opresult422;
  partcv[0] = 1;
  Object opresult491 = callmethod(opresult490, "||", 1, partcv, params);
// compiled op node returning opresult491 (depth = 6)
  int op_slot_left_412 = gc_frame_newslot(opresult491);
  params[0] = opresult416;
  partcv[0] = 1;
  Object opresult492 = callmethod(opresult491, "||", 1, partcv, params);
// compiled op node returning opresult492 (depth = 5)
  Object if411 = done;
  if (istrue(opresult492)) {
// Begin line 208
  setline(208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe493 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_accum (depth = 7)
  gc_frame_newslot(*var_accum);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_KeywordToken (depth = 7)
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call494 = callmethod(*var_KeywordToken, "new",
    1, partcv, params);
  gc_frame_end(callframe493);
// compiled call node returning call494 (depth = 6)
  *var_tok = call494;
  if (call494 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if411 = done;
  } else {
  }
// compiled if node returning if411 (depth = 4)
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe496 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tok (depth = 5)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tokens (depth = 5)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call497 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe496);
// compiled call node returning call497 (depth = 4)
// Begin line 212
  setline(212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 211
  setline(211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool498 = alloc_Boolean(1);
// compiled identifier node returning bool498 (depth = 5)
  *var_isDone = bool498;
  if (bool498 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if403 = done;
  } else {
  }
// compiled if node returning if403 (depth = 3)
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit502 == NULL) {
    strlit502 = alloc_String("I");
    gc_root(strlit502);
  }
// compiled string node returning strlit502 (depth = 5)
  int op_slot_right_501 = gc_frame_newslot(strlit502);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_mode (depth = 5)
  int op_slot_left_501 = gc_frame_newslot(*var_mode);
  params[0] = strlit502;
  partcv[0] = 1;
  Object opresult504 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult504 (depth = 4)
  Object if500 = done;
  if (istrue(opresult504)) {
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe505 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_accum (depth = 6)
  gc_frame_newslot(*var_accum);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_IdentifierToken (depth = 6)
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call506 = callmethod(*var_IdentifierToken, "new",
    1, partcv, params);
  gc_frame_end(callframe505);
// compiled call node returning call506 (depth = 5)
  *var_tok = call506;
  if (call506 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 215
  setline(215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe508 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tok (depth = 5)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tokens (depth = 5)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call509 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe508);
// compiled call node returning call509 (depth = 4)
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 216
  setline(216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool510 = alloc_Boolean(1);
// compiled identifier node returning bool510 (depth = 5)
  *var_isDone = bool510;
  if (bool510 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if500 = done;
  } else {
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit514 == NULL) {
    strlit514 = alloc_String("""\x22""");
    gc_root(strlit514);
  }
// compiled string node returning strlit514 (depth = 6)
  int op_slot_right_513 = gc_frame_newslot(strlit514);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_mode (depth = 6)
  int op_slot_left_513 = gc_frame_newslot(*var_mode);
  params[0] = strlit514;
  partcv[0] = 1;
  Object opresult516 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult516 (depth = 5)
  Object if512 = done;
  if (istrue(opresult516)) {
// Begin line 218
  setline(218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe517 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_accum (depth = 7)
  gc_frame_newslot(*var_accum);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_StringToken (depth = 7)
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call518 = callmethod(*var_StringToken, "new",
    1, partcv, params);
  gc_frame_end(callframe517);
// compiled call node returning call518 (depth = 6)
  *var_tok = call518;
  if (call518 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe520 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tok (depth = 6)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tokens (depth = 6)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call521 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe520);
// compiled call node returning call521 (depth = 5)
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool522 = alloc_Boolean(1);
// compiled identifier node returning bool522 (depth = 6)
  *var_isDone = bool522;
  if (bool522 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if512 = done;
  } else {
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit526 == NULL) {
    strlit526 = alloc_String("q");
    gc_root(strlit526);
  }
// compiled string node returning strlit526 (depth = 7)
  int op_slot_right_525 = gc_frame_newslot(strlit526);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  int op_slot_left_525 = gc_frame_newslot(*var_mode);
  params[0] = strlit526;
  partcv[0] = 1;
  Object opresult528 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult528 (depth = 6)
  Object if524 = done;
  if (istrue(opresult528)) {
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe529 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_accum (depth = 8)
  gc_frame_newslot(*var_accum);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_MultiLineStringToken (depth = 8)
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call530 = callmethod(*var_MultiLineStringToken, "new",
    1, partcv, params);
  gc_frame_end(callframe529);
// compiled call node returning call530 (depth = 7)
  *var_tok = call530;
  if (call530 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe532 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tok (depth = 7)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tokens (depth = 7)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call533 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe532);
// compiled call node returning call533 (depth = 6)
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool534 = alloc_Boolean(1);
// compiled identifier node returning bool534 (depth = 7)
  *var_isDone = bool534;
  if (bool534 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if524 = done;
  } else {
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit538 == NULL) {
    strlit538 = alloc_String("x");
    gc_root(strlit538);
  }
// compiled string node returning strlit538 (depth = 8)
  int op_slot_right_537 = gc_frame_newslot(strlit538);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_537 = gc_frame_newslot(*var_mode);
  params[0] = strlit538;
  partcv[0] = 1;
  Object opresult540 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult540 (depth = 7)
  Object if536 = done;
  if (istrue(opresult540)) {
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe541 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit542 == NULL) {
    strlit542 = alloc_String("obsolete Octet-token mode in lexer""\x0a""");
    gc_root(strlit542);
  }
// compiled string node returning strlit542 (depth = 8)
  gc_frame_newslot(strlit542);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe543 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call544 = callmethodflags(prelude, "ProgrammingError", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe543);
// compiled call node returning call544 (depth = 9)
// compiled member node returning call544 (depth = 8)
  params[0] = strlit542;
  partcv[0] = 1;
  Object call545 = callmethod(call544, "raise",
    1, partcv, params);
  gc_frame_end(callframe541);
// compiled call node returning call545 (depth = 7)
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe546 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tok (depth = 8)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tokens (depth = 8)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call547 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe546);
// compiled call node returning call547 (depth = 7)
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool548 = alloc_Boolean(1);
// compiled identifier node returning bool548 (depth = 8)
  *var_isDone = bool548;
  if (bool548 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if536 = done;
  } else {
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit552 == NULL) {
    strlit552 = alloc_String(",");
    gc_root(strlit552);
  }
// compiled string node returning strlit552 (depth = 9)
  int op_slot_right_551 = gc_frame_newslot(strlit552);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_551 = gc_frame_newslot(*var_mode);
  params[0] = strlit552;
  partcv[0] = 1;
  Object opresult554 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult554 (depth = 8)
  Object if550 = done;
  if (istrue(opresult554)) {
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe555 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_CommaToken (depth = 11)
  partcv[0] = 0;
  Object call556 = callmethod(*var_CommaToken, "new",
    1, partcv, params);
  gc_frame_end(callframe555);
// compiled call node returning call556 (depth = 10)
// compiled member node returning call556 (depth = 9)
  *var_tok = call556;
  if (call556 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe558 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tok (depth = 9)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call559 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe558);
// compiled call node returning call559 (depth = 8)
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
  Object bool560 = alloc_Boolean(1);
// compiled identifier node returning bool560 (depth = 9)
  *var_isDone = bool560;
  if (bool560 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if550 = done;
  } else {
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit564 == NULL) {
    strlit564 = alloc_String(".");
    gc_root(strlit564);
  }
// compiled string node returning strlit564 (depth = 10)
  int op_slot_right_563 = gc_frame_newslot(strlit564);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mode (depth = 10)
  int op_slot_left_563 = gc_frame_newslot(*var_mode);
  params[0] = strlit564;
  partcv[0] = 1;
  Object opresult566 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult566 (depth = 9)
  Object if562 = done;
  if (istrue(opresult566)) {
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe567 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_DotToken (depth = 12)
  partcv[0] = 0;
  Object call568 = callmethod(*var_DotToken, "new",
    1, partcv, params);
  gc_frame_end(callframe567);
// compiled call node returning call568 (depth = 11)
// compiled member node returning call568 (depth = 10)
  *var_tok = call568;
  if (call568 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe570 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tok (depth = 10)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tokens (depth = 10)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call571 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe570);
// compiled call node returning call571 (depth = 9)
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
  Object bool572 = alloc_Boolean(1);
// compiled identifier node returning bool572 (depth = 10)
  *var_isDone = bool572;
  if (bool572 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if562 = done;
  } else {
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit576 == NULL) {
    strlit576 = alloc_String("{");
    gc_root(strlit576);
  }
// compiled string node returning strlit576 (depth = 11)
  int op_slot_right_575 = gc_frame_newslot(strlit576);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_mode (depth = 11)
  int op_slot_left_575 = gc_frame_newslot(*var_mode);
  params[0] = strlit576;
  partcv[0] = 1;
  Object opresult578 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult578 (depth = 10)
  Object if574 = done;
  if (istrue(opresult578)) {
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe579 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_LBraceToken (depth = 13)
  partcv[0] = 0;
  Object call580 = callmethod(*var_LBraceToken, "new",
    1, partcv, params);
  gc_frame_end(callframe579);
// compiled call node returning call580 (depth = 12)
// compiled member node returning call580 (depth = 11)
  *var_tok = call580;
  if (call580 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe582 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tok (depth = 11)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tokens (depth = 11)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call583 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe582);
// compiled call node returning call583 (depth = 10)
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 11)
  Object bool584 = alloc_Boolean(1);
// compiled identifier node returning bool584 (depth = 11)
  *var_isDone = bool584;
  if (bool584 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if574 = done;
  } else {
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit588 == NULL) {
    strlit588 = alloc_String("}");
    gc_root(strlit588);
  }
// compiled string node returning strlit588 (depth = 12)
  int op_slot_right_587 = gc_frame_newslot(strlit588);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_mode (depth = 12)
  int op_slot_left_587 = gc_frame_newslot(*var_mode);
  params[0] = strlit588;
  partcv[0] = 1;
  Object opresult590 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult590 (depth = 11)
  Object if586 = done;
  if (istrue(opresult590)) {
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe591 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_RBraceToken (depth = 14)
  partcv[0] = 0;
  Object call592 = callmethod(*var_RBraceToken, "new",
    1, partcv, params);
  gc_frame_end(callframe591);
// compiled call node returning call592 (depth = 13)
// compiled member node returning call592 (depth = 12)
  *var_tok = call592;
  if (call592 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 11)
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe594 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_tok (depth = 12)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_tokens (depth = 12)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call595 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe594);
// compiled call node returning call595 (depth = 11)
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 12)
  Object bool596 = alloc_Boolean(1);
// compiled identifier node returning bool596 (depth = 12)
  *var_isDone = bool596;
  if (bool596 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if586 = done;
  } else {
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit600 == NULL) {
    strlit600 = alloc_String("(");
    gc_root(strlit600);
  }
// compiled string node returning strlit600 (depth = 13)
  int op_slot_right_599 = gc_frame_newslot(strlit600);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_mode (depth = 13)
  int op_slot_left_599 = gc_frame_newslot(*var_mode);
  params[0] = strlit600;
  partcv[0] = 1;
  Object opresult602 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult602 (depth = 12)
  Object if598 = done;
  if (istrue(opresult602)) {
// Begin line 247
  setline(247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 12)
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe603 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_LParenToken (depth = 15)
  partcv[0] = 0;
  Object call604 = callmethod(*var_LParenToken, "new",
    1, partcv, params);
  gc_frame_end(callframe603);
// compiled call node returning call604 (depth = 14)
// compiled member node returning call604 (depth = 13)
  *var_tok = call604;
  if (call604 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 12)
// Begin line 247
  setline(247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe606 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tok (depth = 13)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tokens (depth = 13)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call607 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe606);
// compiled call node returning call607 (depth = 12)
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 12)
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 13)
  Object bool608 = alloc_Boolean(1);
// compiled identifier node returning bool608 (depth = 13)
  *var_isDone = bool608;
  if (bool608 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 12)
    gc_frame_newslot(done);
    if598 = done;
  } else {
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit612 == NULL) {
    strlit612 = alloc_String(")");
    gc_root(strlit612);
  }
// compiled string node returning strlit612 (depth = 14)
  int op_slot_right_611 = gc_frame_newslot(strlit612);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_mode (depth = 14)
  int op_slot_left_611 = gc_frame_newslot(*var_mode);
  params[0] = strlit612;
  partcv[0] = 1;
  Object opresult614 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult614 (depth = 13)
  Object if610 = done;
  if (istrue(opresult614)) {
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 13)
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe615 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_RParenToken (depth = 16)
  partcv[0] = 0;
  Object call616 = callmethod(*var_RParenToken, "new",
    1, partcv, params);
  gc_frame_end(callframe615);
// compiled call node returning call616 (depth = 15)
// compiled member node returning call616 (depth = 14)
  *var_tok = call616;
  if (call616 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 13)
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe618 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_tok (depth = 14)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_tokens (depth = 14)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call619 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe618);
// compiled call node returning call619 (depth = 13)
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 13)
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 14)
  Object bool620 = alloc_Boolean(1);
// compiled identifier node returning bool620 (depth = 14)
  *var_isDone = bool620;
  if (bool620 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 13)
    gc_frame_newslot(done);
    if610 = done;
  } else {
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 13)
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit624 == NULL) {
    strlit624 = alloc_String("[");
    gc_root(strlit624);
  }
// compiled string node returning strlit624 (depth = 15)
  int op_slot_right_623 = gc_frame_newslot(strlit624);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_mode (depth = 15)
  int op_slot_left_623 = gc_frame_newslot(*var_mode);
  params[0] = strlit624;
  partcv[0] = 1;
  Object opresult626 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult626 (depth = 14)
  Object if622 = done;
  if (istrue(opresult626)) {
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 14)
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe627 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_LSquareToken (depth = 17)
  partcv[0] = 0;
  Object call628 = callmethod(*var_LSquareToken, "new",
    1, partcv, params);
  gc_frame_end(callframe627);
// compiled call node returning call628 (depth = 16)
// compiled member node returning call628 (depth = 15)
  *var_tok = call628;
  if (call628 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 14)
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 14)
  int callframe630 = gc_frame_new();
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_tok (depth = 15)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_tokens (depth = 15)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call631 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe630);
// compiled call node returning call631 (depth = 14)
// Begin line 257
  setline(257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 14)
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 15)
  Object bool632 = alloc_Boolean(1);
// compiled identifier node returning bool632 (depth = 15)
  *var_isDone = bool632;
  if (bool632 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 14)
    gc_frame_newslot(done);
    if622 = done;
  } else {
  }
// compiled if node returning if622 (depth = 13)
    gc_frame_newslot(if622);
    if610 = if622;
  }
// compiled if node returning if610 (depth = 12)
    gc_frame_newslot(if610);
    if598 = if610;
  }
// compiled if node returning if598 (depth = 11)
    gc_frame_newslot(if598);
    if586 = if598;
  }
// compiled if node returning if586 (depth = 10)
    gc_frame_newslot(if586);
    if574 = if586;
  }
// compiled if node returning if574 (depth = 9)
    gc_frame_newslot(if574);
    if562 = if574;
  }
// compiled if node returning if562 (depth = 8)
    gc_frame_newslot(if562);
    if550 = if562;
  }
// compiled if node returning if550 (depth = 7)
    gc_frame_newslot(if550);
    if536 = if550;
  }
// compiled if node returning if536 (depth = 6)
    gc_frame_newslot(if536);
    if524 = if536;
  }
// compiled if node returning if524 (depth = 5)
    gc_frame_newslot(if524);
    if512 = if524;
  }
// compiled if node returning if512 (depth = 4)
    gc_frame_newslot(if512);
    if500 = if512;
  }
// compiled if node returning if500 (depth = 3)
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit636 == NULL) {
    strlit636 = alloc_String("]");
    gc_root(strlit636);
  }
// compiled string node returning strlit636 (depth = 5)
  int op_slot_right_635 = gc_frame_newslot(strlit636);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_mode (depth = 5)
  int op_slot_left_635 = gc_frame_newslot(*var_mode);
  params[0] = strlit636;
  partcv[0] = 1;
  Object opresult638 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult638 (depth = 4)
  Object if634 = done;
  if (istrue(opresult638)) {
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 259
  setline(259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe639 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_RSquareToken (depth = 7)
  partcv[0] = 0;
  Object call640 = callmethod(*var_RSquareToken, "new",
    1, partcv, params);
  gc_frame_end(callframe639);
// compiled call node returning call640 (depth = 6)
// compiled member node returning call640 (depth = 5)
  *var_tok = call640;
  if (call640 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe642 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tok (depth = 5)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tokens (depth = 5)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call643 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe642);
// compiled call node returning call643 (depth = 4)
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool644 = alloc_Boolean(1);
// compiled identifier node returning bool644 (depth = 5)
  *var_isDone = bool644;
  if (bool644 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if634 = done;
  } else {
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit648 == NULL) {
    strlit648 = alloc_String("<");
    gc_root(strlit648);
  }
// compiled string node returning strlit648 (depth = 6)
  int op_slot_right_647 = gc_frame_newslot(strlit648);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_mode (depth = 6)
  int op_slot_left_647 = gc_frame_newslot(*var_mode);
  params[0] = strlit648;
  partcv[0] = 1;
  Object opresult650 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult650 (depth = 5)
  Object if646 = done;
  if (istrue(opresult650)) {
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe651 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_LGenericToken (depth = 8)
  partcv[0] = 0;
  Object call652 = callmethod(*var_LGenericToken, "new",
    1, partcv, params);
  gc_frame_end(callframe651);
// compiled call node returning call652 (depth = 7)
// compiled member node returning call652 (depth = 6)
  *var_tok = call652;
  if (call652 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe654 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tok (depth = 6)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tokens (depth = 6)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call655 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe654);
// compiled call node returning call655 (depth = 5)
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool656 = alloc_Boolean(1);
// compiled identifier node returning bool656 (depth = 6)
  *var_isDone = bool656;
  if (bool656 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if646 = done;
  } else {
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit660 == NULL) {
    strlit660 = alloc_String(">");
    gc_root(strlit660);
  }
// compiled string node returning strlit660 (depth = 7)
  int op_slot_right_659 = gc_frame_newslot(strlit660);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  int op_slot_left_659 = gc_frame_newslot(*var_mode);
  params[0] = strlit660;
  partcv[0] = 1;
  Object opresult662 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult662 (depth = 6)
  Object if658 = done;
  if (istrue(opresult662)) {
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe663 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_RGenericToken (depth = 9)
  partcv[0] = 0;
  Object call664 = callmethod(*var_RGenericToken, "new",
    1, partcv, params);
  gc_frame_end(callframe663);
// compiled call node returning call664 (depth = 8)
// compiled member node returning call664 (depth = 7)
  *var_tok = call664;
  if (call664 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe666 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tok (depth = 7)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tokens (depth = 7)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call667 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe666);
// compiled call node returning call667 (depth = 6)
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 269
  setline(269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool668 = alloc_Boolean(1);
// compiled identifier node returning bool668 (depth = 7)
  *var_isDone = bool668;
  if (bool668 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if658 = done;
  } else {
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit672 == NULL) {
    strlit672 = alloc_String(";");
    gc_root(strlit672);
  }
// compiled string node returning strlit672 (depth = 8)
  int op_slot_right_671 = gc_frame_newslot(strlit672);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_671 = gc_frame_newslot(*var_mode);
  params[0] = strlit672;
  partcv[0] = 1;
  Object opresult674 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult674 (depth = 7)
  Object if670 = done;
  if (istrue(opresult674)) {
// Begin line 272
  setline(272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe675 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_SemicolonToken (depth = 10)
  partcv[0] = 0;
  Object call676 = callmethod(*var_SemicolonToken, "new",
    1, partcv, params);
  gc_frame_end(callframe675);
// compiled call node returning call676 (depth = 9)
// compiled member node returning call676 (depth = 8)
  *var_tok = call676;
  if (call676 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 272
  setline(272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe678 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tok (depth = 8)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tokens (depth = 8)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call679 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe678);
// compiled call node returning call679 (depth = 7)
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool680 = alloc_Boolean(1);
// compiled identifier node returning bool680 (depth = 8)
  *var_isDone = bool680;
  if (bool680 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if670 = done;
  } else {
// Begin line 339
  setline(339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit684 == NULL) {
    strlit684 = alloc_String("m");
    gc_root(strlit684);
  }
// compiled string node returning strlit684 (depth = 9)
  int op_slot_right_683 = gc_frame_newslot(strlit684);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_683 = gc_frame_newslot(*var_mode);
  params[0] = strlit684;
  partcv[0] = 1;
  Object opresult686 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult686 (depth = 8)
  Object if682 = done;
  if (istrue(opresult686)) {
// Begin line 337
  setline(337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe688 = gc_frame_new();
// starting to compile block node (depth = 10)
  Object block689 = alloc_Block(NULL, NULL, "lexer", 275);
  gc_frame_newslot(block689);
// method _apply
  block_savedest(block689);
  Object closure690 = createclosure(2, "_apply");
  setclosureframe(closure690, stackframe);
  addtoclosure(closure690, var_tokens);
  addtoclosure(closure690, selfslot);
  struct UserObject *uo690 = (struct UserObject*)block689;
  uo690->data[0] = (Object)closure690;
  Method *meth_meth_lexer__apply690 = addmethod2pos(block689, "_apply", &meth_lexer__apply690, 0);
  int argcv_meth_lexer__apply690[] = {0};
  meth_meth_lexer__apply690->type = alloc_MethodType(1, argcv_meth_lexer__apply690);
  meth_meth_lexer__apply690->definitionModule = modulename;
  meth_meth_lexer__apply690->definitionLine = 271;
// compiled block node returning block689 (depth = 10)
  gc_frame_newslot(block689);
// call case 6: other member request
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num701 = alloc_Float64(1);
// compiled num node returning num701 (depth = 11)
  int op_slot_right_700 = gc_frame_newslot(num701);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe703 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tokens (depth = 13)
  partcv[0] = 0;
  Object call704 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe703);
// compiled call node returning call704 (depth = 12)
// compiled member node returning call704 (depth = 11)
  int op_slot_left_700 = gc_frame_newslot(call704);
  params[0] = num701;
  partcv[0] = 1;
  Object opresult705 = callmethod(call704, ">", 1, partcv, params);
// compiled op node returning opresult705 (depth = 10)
  params[0] = block689;
  partcv[0] = 1;
  Object call706 = callmethod(opresult705, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe688);
// compiled call node returning call706 (depth = 9)
  Object if687 = done;
  if (istrue(call706)) {
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// Begin line 276
  setline(276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe707 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_tokens (depth = 12)
  partcv[0] = 0;
  Object call708 = callmethod(*var_tokens, "pop",
    1, partcv, params);
  gc_frame_end(callframe707);
// compiled call node returning call708 (depth = 11)
// compiled member node returning call708 (depth = 10)
  *var_dot = call708;
  if (call708 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 9)
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit711 == NULL) {
    strlit711 = alloc_String("num");
    gc_root(strlit711);
  }
// compiled string node returning strlit711 (depth = 11)
  int op_slot_right_710 = gc_frame_newslot(strlit711);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe713 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe714 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_tokens (depth = 15)
  partcv[0] = 0;
  Object call715 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe714);
// compiled call node returning call715 (depth = 14)
// compiled member node returning call715 (depth = 13)
  partcv[0] = 0;
  Object call716 = callmethod(call715, "kind",
    1, partcv, params);
  gc_frame_end(callframe713);
// compiled call node returning call716 (depth = 12)
// compiled member node returning call716 (depth = 11)
  int op_slot_left_710 = gc_frame_newslot(call716);
  params[0] = strlit711;
  partcv[0] = 1;
  Object opresult717 = callmethod(call716, "==", 1, partcv, params);
// compiled op node returning opresult717 (depth = 10)
  Object if709 = done;
  if (istrue(opresult717)) {
// Begin line 305
  setline(305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num720 = alloc_Float64(10);
// compiled num node returning num720 (depth = 12)
  int op_slot_right_719 = gc_frame_newslot(num720);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe722 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe723 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_tokens (depth = 16)
  partcv[0] = 0;
  Object call724 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe723);
// compiled call node returning call724 (depth = 15)
// compiled member node returning call724 (depth = 14)
  partcv[0] = 0;
  Object call725 = callmethod(call724, "base",
    1, partcv, params);
  gc_frame_end(callframe722);
// compiled call node returning call725 (depth = 13)
// compiled member node returning call725 (depth = 12)
  int op_slot_left_719 = gc_frame_newslot(call725);
  params[0] = num720;
  partcv[0] = 1;
  Object opresult726 = callmethod(call725, "==", 1, partcv, params);
// compiled op node returning opresult726 (depth = 11)
  Object if718 = done;
  if (istrue(opresult726)) {
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe727 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_tokens (depth = 14)
  partcv[0] = 0;
  Object call728 = callmethod(*var_tokens, "pop",
    1, partcv, params);
  gc_frame_end(callframe727);
// compiled call node returning call728 (depth = 13)
// compiled member node returning call728 (depth = 12)
  *var_tok = call728;
  if (call728 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 11)
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe730 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_accum (depth = 13)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call731 = callmethodflags(self, "makeNumToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe730);
// compiled call node returning call731 (depth = 12)
  *var_decimal = call731;
  if (call731 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 11)
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num734 = alloc_Float64(10);
// compiled num node returning num734 (depth = 13)
  int op_slot_right_733 = gc_frame_newslot(num734);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe736 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_decimal (depth = 15)
  partcv[0] = 0;
  Object call737 = callmethod(*var_decimal, "base",
    1, partcv, params);
  gc_frame_end(callframe736);
// compiled call node returning call737 (depth = 14)
// compiled member node returning call737 (depth = 13)
  int op_slot_left_733 = gc_frame_newslot(call737);
  params[0] = num734;
  partcv[0] = 1;
  Object opresult738 = callmethod(call737, "==", 1, partcv, params);
// compiled op node returning opresult738 (depth = 12)
  Object if732 = done;
  if (istrue(opresult738)) {
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe739 = gc_frame_new();
// starting to compile op node (depth = 14)
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_accum (depth = 15)
  int op_slot_right_740 = gc_frame_newslot(*var_accum);
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit743 == NULL) {
    strlit743 = alloc_String(".");
    gc_root(strlit743);
  }
// compiled string node returning strlit743 (depth = 16)
  int op_slot_right_742 = gc_frame_newslot(strlit743);
// starting to compile member node (depth = 16)
// starting to compile call node (depth = 17)
  int callframe745 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_tok (depth = 18)
  partcv[0] = 0;
  Object call746 = callmethod(*var_tok, "value",
    1, partcv, params);
  gc_frame_end(callframe745);
// compiled call node returning call746 (depth = 17)
// compiled member node returning call746 (depth = 16)
  int op_slot_left_742 = gc_frame_newslot(call746);
  params[0] = strlit743;
  partcv[0] = 1;
  Object opresult747 = callmethod(call746, "++", 1, partcv, params);
// compiled op node returning opresult747 (depth = 15)
  int op_slot_left_740 = gc_frame_newslot(opresult747);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object opresult748 = callmethod(opresult747, "++", 1, partcv, params);
// compiled op node returning opresult748 (depth = 14)
  gc_frame_newslot(opresult748);
// starting to compile num node (depth = 14)
  Object num749 = alloc_Float64(10);
// compiled num node returning num749 (depth = 14)
  gc_frame_newslot(num749);
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_NumToken (depth = 14)
  params[0] = opresult748;
  params[1] = num749;
  partcv[0] = 2;
  Object call750 = callmethod(*var_NumToken, "new",
    1, partcv, params);
  gc_frame_end(callframe739);
// compiled call node returning call750 (depth = 13)
  *var_tok = call750;
  if (call750 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 12)
    gc_frame_newslot(done);
    if732 = done;
  } else {
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 12)
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 13)
  Object array752 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array752 (depth = 13)
  *var_suggestions = array752;
  if (array752 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 12)
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 12)
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe753 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe754 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_errormessages (depth = 17)
  partcv[0] = 0;
  Object call755 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe754);
// compiled call node returning call755 (depth = 16)
// compiled member node returning call755 (depth = 15)
  partcv[0] = 0;
  Object call756 = callmethod(call755, "new",
    1, partcv, params);
  gc_frame_end(callframe753);
// compiled call node returning call756 (depth = 14)
// compiled member node returning call756 (depth = 13)
  *var_suggestion = call756;
  if (call756 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 12)
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe757 = gc_frame_new();
// starting to compile op node (depth = 13)
// starting to compile num node (depth = 14)
  Object num759 = alloc_Float64(1);
// compiled num node returning num759 (depth = 14)
  int op_slot_right_758 = gc_frame_newslot(num759);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe761 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_dot (depth = 16)
  partcv[0] = 0;
  Object call762 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe761);
// compiled call node returning call762 (depth = 15)
// compiled member node returning call762 (depth = 14)
  int op_slot_left_758 = gc_frame_newslot(call762);
  params[0] = num759;
  partcv[0] = 1;
  Object sum763 = callmethod(call762, "+", 1, partcv, params);
// compiled op node returning sum763 (depth = 13)
  gc_frame_newslot(sum763);
// starting to compile op node (depth = 13)
// starting to compile num node (depth = 14)
  Object num765 = alloc_Float64(1);
// compiled num node returning num765 (depth = 14)
  int op_slot_right_764 = gc_frame_newslot(num765);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_linePosition (depth = 14)
  int op_slot_left_764 = gc_frame_newslot(*var_linePosition);
  params[0] = num765;
  partcv[0] = 1;
  Object diff767 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff767 (depth = 13)
  gc_frame_newslot(diff767);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe768 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_decimal (depth = 15)
  partcv[0] = 0;
  Object call769 = callmethod(*var_decimal, "value",
    1, partcv, params);
  gc_frame_end(callframe768);
// compiled call node returning call769 (depth = 14)
// compiled member node returning call769 (depth = 13)
  gc_frame_newslot(call769);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_lineNumber (depth = 13)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_suggestion (depth = 13)
  params[0] = sum763;
  params[1] = diff767;
  params[2] = call769;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call770 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe757);
// compiled call node returning call770 (depth = 12)
// Begin line 287
  setline(287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe771 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_suggestion (depth = 13)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_suggestions (depth = 13)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call772 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe771);
// compiled call node returning call772 (depth = 12)
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 12)
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe773 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe774 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_errormessages (depth = 17)
  partcv[0] = 0;
  Object call775 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe774);
// compiled call node returning call775 (depth = 16)
// compiled member node returning call775 (depth = 15)
  partcv[0] = 0;
  Object call776 = callmethod(call775, "new",
    1, partcv, params);
  gc_frame_end(callframe773);
// compiled call node returning call776 (depth = 14)
// compiled member node returning call776 (depth = 13)
  *var_suggestion = call776;
  if (call776 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 12)
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe778 = gc_frame_new();
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe779 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_dot (depth = 15)
  partcv[0] = 0;
  Object call780 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe779);
// compiled call node returning call780 (depth = 14)
// compiled member node returning call780 (depth = 13)
  gc_frame_newslot(call780);
// starting to compile op node (depth = 13)
// starting to compile num node (depth = 14)
  Object num782 = alloc_Float64(1);
// compiled num node returning num782 (depth = 14)
  int op_slot_right_781 = gc_frame_newslot(num782);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_linePosition (depth = 14)
  int op_slot_left_781 = gc_frame_newslot(*var_linePosition);
  params[0] = num782;
  partcv[0] = 1;
  Object diff784 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff784 (depth = 13)
  gc_frame_newslot(diff784);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_lineNumber (depth = 13)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_suggestion (depth = 13)
  params[0] = call780;
  params[1] = diff784;
  params[2] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call785 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe778);
// compiled call node returning call785 (depth = 12)
// Begin line 290
  setline(290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe786 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_suggestion (depth = 13)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_suggestions (depth = 13)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call787 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe786);
// compiled call node returning call787 (depth = 12)
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe788 = gc_frame_new();
// starting to compile string node (depth = 13)
  if (strlit789 == NULL) {
    strlit789 = alloc_String("The fractional part of a number must be in base 10.");
    gc_root(strlit789);
  }
// compiled string node returning strlit789 (depth = 13)
  gc_frame_newslot(strlit789);
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_lineNumber (depth = 13)
  gc_frame_newslot(*var_lineNumber);
// starting to compile op node (depth = 13)
// starting to compile num node (depth = 14)
  Object num791 = alloc_Float64(1);
// compiled num node returning num791 (depth = 14)
  int op_slot_right_790 = gc_frame_newslot(num791);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe793 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_dot (depth = 16)
  partcv[0] = 0;
  Object call794 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe793);
// compiled call node returning call794 (depth = 15)
// compiled member node returning call794 (depth = 14)
  int op_slot_left_790 = gc_frame_newslot(call794);
  params[0] = num791;
  partcv[0] = 1;
  Object sum795 = callmethod(call794, "+", 1, partcv, params);
// compiled op node returning sum795 (depth = 13)
  gc_frame_newslot(sum795);
// starting to compile op node (depth = 13)
// starting to compile num node (depth = 14)
  Object num797 = alloc_Float64(1);
// compiled num node returning num797 (depth = 14)
  int op_slot_right_796 = gc_frame_newslot(num797);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_linePosition (depth = 14)
  int op_slot_left_796 = gc_frame_newslot(*var_linePosition);
  params[0] = num797;
  partcv[0] = 1;
  Object diff799 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff799 (depth = 13)
  gc_frame_newslot(diff799);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_suggestions (depth = 13)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  params[0] = strlit789;
  params[1] = *var_lineNumber;
  params[2] = sum795;
  params[3] = diff799;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call800 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe788);
// compiled call node returning call800 (depth = 12)
    gc_frame_newslot(call800);
    if732 = call800;
  }
// compiled if node returning if732 (depth = 11)
    gc_frame_newslot(if732);
    if718 = if732;
  } else {
// Begin line 296
  setline(296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 11)
// Begin line 295
  setline(295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 12)
  Object array801 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array801 (depth = 12)
  *var_suggestions = array801;
  if (array801 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 11)
// Begin line 297
  setline(297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 11)
// Begin line 296
  setline(296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe802 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe803 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_errormessages (depth = 16)
  partcv[0] = 0;
  Object call804 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe803);
// compiled call node returning call804 (depth = 15)
// compiled member node returning call804 (depth = 14)
  partcv[0] = 0;
  Object call805 = callmethod(call804, "new",
    1, partcv, params);
  gc_frame_end(callframe802);
// compiled call node returning call805 (depth = 13)
// compiled member node returning call805 (depth = 12)
  *var_suggestion = call805;
  if (call805 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 11)
// Begin line 297
  setline(297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe806 = gc_frame_new();
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe807 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe808 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_tokens (depth = 16)
  partcv[0] = 0;
  Object call809 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe808);
// compiled call node returning call809 (depth = 15)
// compiled member node returning call809 (depth = 14)
  partcv[0] = 0;
  Object call810 = callmethod(call809, "linePos",
    1, partcv, params);
  gc_frame_end(callframe807);
// compiled call node returning call810 (depth = 13)
// compiled member node returning call810 (depth = 12)
  gc_frame_newslot(call810);
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num812 = alloc_Float64(1);
// compiled num node returning num812 (depth = 13)
  int op_slot_right_811 = gc_frame_newslot(num812);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe814 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_dot (depth = 15)
  partcv[0] = 0;
  Object call815 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe814);
// compiled call node returning call815 (depth = 14)
// compiled member node returning call815 (depth = 13)
  int op_slot_left_811 = gc_frame_newslot(call815);
  params[0] = num812;
  partcv[0] = 1;
  Object diff816 = callmethod(call815, "-", 1, partcv, params);
// compiled op node returning diff816 (depth = 12)
  gc_frame_newslot(diff816);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe817 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe818 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_tokens (depth = 16)
  partcv[0] = 0;
  Object call819 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe818);
// compiled call node returning call819 (depth = 15)
// compiled member node returning call819 (depth = 14)
  partcv[0] = 0;
  Object call820 = callmethod(call819, "value",
    1, partcv, params);
  gc_frame_end(callframe817);
// compiled call node returning call820 (depth = 13)
// compiled member node returning call820 (depth = 12)
  gc_frame_newslot(call820);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lineNumber (depth = 12)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestion (depth = 12)
  params[0] = call810;
  params[1] = diff816;
  params[2] = call820;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call821 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe806);
// compiled call node returning call821 (depth = 11)
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe822 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestion (depth = 12)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestions (depth = 12)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call823 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe822);
// compiled call node returning call823 (depth = 11)
// Begin line 300
  setline(300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// Begin line 299
  setline(299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe824 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe825 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_errormessages (depth = 16)
  partcv[0] = 0;
  Object call826 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe825);
// compiled call node returning call826 (depth = 15)
// compiled member node returning call826 (depth = 14)
  partcv[0] = 0;
  Object call827 = callmethod(call826, "new",
    1, partcv, params);
  gc_frame_end(callframe824);
// compiled call node returning call827 (depth = 13)
// compiled member node returning call827 (depth = 12)
  *var_suggestion = call827;
  if (call827 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 11)
// Begin line 300
  setline(300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe829 = gc_frame_new();
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe830 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_dot (depth = 14)
  partcv[0] = 0;
  Object call831 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe830);
// compiled call node returning call831 (depth = 13)
// compiled member node returning call831 (depth = 12)
  gc_frame_newslot(call831);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lineNumber (depth = 12)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestion (depth = 12)
  params[0] = call831;
  params[1] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call832 = callmethod(*var_suggestion, "deleteChar()onLine",
    2, partcv, params);
  gc_frame_end(callframe829);
// compiled call node returning call832 (depth = 11)
// Begin line 301
  setline(301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe833 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestion (depth = 12)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestions (depth = 12)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call834 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe833);
// compiled call node returning call834 (depth = 11)
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe835 = gc_frame_new();
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit837 == NULL) {
    strlit837 = alloc_String(" cannot have a fractional part.");
    gc_root(strlit837);
  }
// compiled string node returning strlit837 (depth = 13)
  int op_slot_right_836 = gc_frame_newslot(strlit837);
// starting to compile op node (depth = 13)
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe840 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 16)
// starting to compile call node (depth = 17)
  int callframe841 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_tokens (depth = 18)
  partcv[0] = 0;
  Object call842 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe841);
// compiled call node returning call842 (depth = 17)
// compiled member node returning call842 (depth = 16)
  partcv[0] = 0;
  Object call843 = callmethod(call842, "base",
    1, partcv, params);
  gc_frame_end(callframe840);
// compiled call node returning call843 (depth = 15)
// compiled member node returning call843 (depth = 14)
  int op_slot_right_839 = gc_frame_newslot(call843);
// starting to compile string node (depth = 14)
  if (strlit845 == NULL) {
    strlit845 = alloc_String("A number in base ");
    gc_root(strlit845);
  }
// compiled string node returning strlit845 (depth = 14)
  int op_slot_left_839 = gc_frame_newslot(strlit845);
  params[0] = call843;
  partcv[0] = 1;
  Object opresult846 = callmethod(strlit845, "++", 1, partcv, params);
// compiled op node returning opresult846 (depth = 13)
  int op_slot_left_836 = gc_frame_newslot(opresult846);
  params[0] = strlit837;
  partcv[0] = 1;
  Object opresult847 = callmethod(opresult846, "++", 1, partcv, params);
// compiled op node returning opresult847 (depth = 12)
  gc_frame_newslot(opresult847);
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lineNumber (depth = 12)
  gc_frame_newslot(*var_lineNumber);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe848 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_dot (depth = 14)
  partcv[0] = 0;
  Object call849 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe848);
// compiled call node returning call849 (depth = 13)
// compiled member node returning call849 (depth = 12)
  gc_frame_newslot(call849);
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num851 = alloc_Float64(1);
// compiled num node returning num851 (depth = 13)
  int op_slot_right_850 = gc_frame_newslot(num851);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_linePosition (depth = 13)
  int op_slot_left_850 = gc_frame_newslot(*var_linePosition);
  params[0] = num851;
  partcv[0] = 1;
  Object diff853 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff853 (depth = 12)
  gc_frame_newslot(diff853);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestions (depth = 12)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  params[0] = opresult847;
  params[1] = *var_lineNumber;
  params[2] = call849;
  params[3] = diff853;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call854 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe835);
// compiled call node returning call854 (depth = 11)
    gc_frame_newslot(call854);
    if718 = call854;
  }
// compiled if node returning if718 (depth = 10)
    gc_frame_newslot(if718);
    if709 = if718;
  } else {
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit857 == NULL) {
    strlit857 = alloc_String("string");
    gc_root(strlit857);
  }
// compiled string node returning strlit857 (depth = 12)
  int op_slot_right_856 = gc_frame_newslot(strlit857);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe859 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe860 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_tokens (depth = 16)
  partcv[0] = 0;
  Object call861 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe860);
// compiled call node returning call861 (depth = 15)
// compiled member node returning call861 (depth = 14)
  partcv[0] = 0;
  Object call862 = callmethod(call861, "kind",
    1, partcv, params);
  gc_frame_end(callframe859);
// compiled call node returning call862 (depth = 13)
// compiled member node returning call862 (depth = 12)
  int op_slot_left_856 = gc_frame_newslot(call862);
  params[0] = strlit857;
  partcv[0] = 1;
  Object opresult863 = callmethod(call862, "==", 1, partcv, params);
// compiled op node returning opresult863 (depth = 11)
  Object if855 = done;
  if (istrue(opresult863)) {
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 11)
// Begin line 307
  setline(307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe864 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe865 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_errormessages (depth = 16)
  partcv[0] = 0;
  Object call866 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe865);
// compiled call node returning call866 (depth = 15)
// compiled member node returning call866 (depth = 14)
  partcv[0] = 0;
  Object call867 = callmethod(call866, "new",
    1, partcv, params);
  gc_frame_end(callframe864);
// compiled call node returning call867 (depth = 13)
// compiled member node returning call867 (depth = 12)
  *var_suggestion = call867;
  if (call867 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 11)
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe868 = gc_frame_new();
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe869 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_dot (depth = 14)
  partcv[0] = 0;
  Object call870 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe869);
// compiled call node returning call870 (depth = 13)
// compiled member node returning call870 (depth = 12)
  gc_frame_newslot(call870);
// starting to compile string node (depth = 12)
  if (strlit871 == NULL) {
    strlit871 = alloc_String("++");
    gc_root(strlit871);
  }
// compiled string node returning strlit871 (depth = 12)
  gc_frame_newslot(strlit871);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe872 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_dot (depth = 14)
  partcv[0] = 0;
  Object call873 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe872);
// compiled call node returning call873 (depth = 13)
// compiled member node returning call873 (depth = 12)
  gc_frame_newslot(call873);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestion (depth = 12)
  params[0] = call870;
  params[1] = strlit871;
  params[2] = call873;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call874 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe868);
// compiled call node returning call874 (depth = 11)
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe875 = gc_frame_new();
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit877 == NULL) {
    strlit877 = alloc_String("To join a number to a string, use '++'.");
    gc_root(strlit877);
  }
// compiled string node returning strlit877 (depth = 13)
  int op_slot_right_876 = gc_frame_newslot(strlit877);
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 13)
  if (strlit879 == NULL) {
    strlit879 = alloc_String("A number may follow a '.' only if there is a number before the '.'. ");
    gc_root(strlit879);
  }
// compiled string node returning strlit879 (depth = 13)
  int op_slot_left_876 = gc_frame_newslot(strlit879);
  params[0] = strlit877;
  partcv[0] = 1;
  Object opresult880 = callmethod(strlit879, "++", 1, partcv, params);
// compiled op node returning opresult880 (depth = 12)
  gc_frame_newslot(opresult880);
// Begin line 311
  setline(311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe881 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_dot (depth = 14)
  partcv[0] = 0;
  Object call882 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe881);
// compiled call node returning call882 (depth = 13)
// compiled member node returning call882 (depth = 12)
  gc_frame_newslot(call882);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe883 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_dot (depth = 14)
  partcv[0] = 0;
  Object call884 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe883);
// compiled call node returning call884 (depth = 13)
// compiled member node returning call884 (depth = 12)
  gc_frame_newslot(call884);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe885 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_dot (depth = 14)
  partcv[0] = 0;
  Object call886 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe885);
// compiled call node returning call886 (depth = 13)
// compiled member node returning call886 (depth = 12)
  gc_frame_newslot(call886);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestion (depth = 12)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  params[0] = opresult880;
  params[1] = call882;
  params[2] = call884;
  params[3] = call886;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call887 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe875);
// compiled call node returning call887 (depth = 11)
    gc_frame_newslot(call887);
    if855 = call887;
  } else {
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit891 == NULL) {
    strlit891 = alloc_String("bind");
    gc_root(strlit891);
  }
// compiled string node returning strlit891 (depth = 14)
  int op_slot_right_890 = gc_frame_newslot(strlit891);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe893 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 16)
// starting to compile call node (depth = 17)
  int callframe894 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_tokens (depth = 18)
  partcv[0] = 0;
  Object call895 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe894);
// compiled call node returning call895 (depth = 17)
// compiled member node returning call895 (depth = 16)
  partcv[0] = 0;
  Object call896 = callmethod(call895, "kind",
    1, partcv, params);
  gc_frame_end(callframe893);
// compiled call node returning call896 (depth = 15)
// compiled member node returning call896 (depth = 14)
  int op_slot_left_890 = gc_frame_newslot(call896);
  params[0] = strlit891;
  partcv[0] = 1;
  Object opresult897 = callmethod(call896, "==", 1, partcv, params);
// compiled op node returning opresult897 (depth = 13)
  int op_slot_right_889 = gc_frame_newslot(opresult897);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit900 == NULL) {
    strlit900 = alloc_String("op");
    gc_root(strlit900);
  }
// compiled string node returning strlit900 (depth = 14)
  int op_slot_right_899 = gc_frame_newslot(strlit900);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe902 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 16)
// starting to compile call node (depth = 17)
  int callframe903 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_tokens (depth = 18)
  partcv[0] = 0;
  Object call904 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe903);
// compiled call node returning call904 (depth = 17)
// compiled member node returning call904 (depth = 16)
  partcv[0] = 0;
  Object call905 = callmethod(call904, "kind",
    1, partcv, params);
  gc_frame_end(callframe902);
// compiled call node returning call905 (depth = 15)
// compiled member node returning call905 (depth = 14)
  int op_slot_left_899 = gc_frame_newslot(call905);
  params[0] = strlit900;
  partcv[0] = 1;
  Object opresult906 = callmethod(call905, "==", 1, partcv, params);
// compiled op node returning opresult906 (depth = 13)
  int op_slot_left_889 = gc_frame_newslot(opresult906);
  params[0] = opresult897;
  partcv[0] = 1;
  Object opresult907 = callmethod(opresult906, "||", 1, partcv, params);
// compiled op node returning opresult907 (depth = 12)
  Object if888 = done;
  if (istrue(opresult907)) {
// Begin line 314
  setline(314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 12)
// Begin line 313
  setline(313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe908 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe909 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_errormessages (depth = 17)
  partcv[0] = 0;
  Object call910 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe909);
// compiled call node returning call910 (depth = 16)
// compiled member node returning call910 (depth = 15)
  partcv[0] = 0;
  Object call911 = callmethod(call910, "new",
    1, partcv, params);
  gc_frame_end(callframe908);
// compiled call node returning call911 (depth = 14)
// compiled member node returning call911 (depth = 13)
  *var_suggestion = call911;
  if (call911 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 12)
// Begin line 314
  setline(314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe912 = gc_frame_new();
// starting to compile string node (depth = 13)
  if (strlit913 == NULL) {
    strlit913 = alloc_String("0");
    gc_root(strlit913);
  }
// compiled string node returning strlit913 (depth = 13)
  gc_frame_newslot(strlit913);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe914 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_dot (depth = 15)
  partcv[0] = 0;
  Object call915 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe914);
// compiled call node returning call915 (depth = 14)
// compiled member node returning call915 (depth = 13)
  gc_frame_newslot(call915);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe916 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_dot (depth = 15)
  partcv[0] = 0;
  Object call917 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe916);
// compiled call node returning call917 (depth = 14)
// compiled member node returning call917 (depth = 13)
  gc_frame_newslot(call917);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_suggestion (depth = 13)
  params[0] = strlit913;
  params[1] = call915;
  params[2] = call917;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call918 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe912);
// compiled call node returning call918 (depth = 12)
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe919 = gc_frame_new();
// starting to compile string node (depth = 13)
  if (strlit920 == NULL) {
    strlit920 = alloc_String("A number must have a digit before the decimal point.");
    gc_root(strlit920);
  }
// compiled string node returning strlit920 (depth = 13)
  gc_frame_newslot(strlit920);
// Begin line 316
  setline(316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe921 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_dot (depth = 15)
  partcv[0] = 0;
  Object call922 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe921);
// compiled call node returning call922 (depth = 14)
// compiled member node returning call922 (depth = 13)
  gc_frame_newslot(call922);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe923 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_dot (depth = 15)
  partcv[0] = 0;
  Object call924 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe923);
// compiled call node returning call924 (depth = 14)
// compiled member node returning call924 (depth = 13)
  gc_frame_newslot(call924);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_suggestion (depth = 13)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  params[0] = strlit920;
  params[1] = call922;
  params[2] = call924;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call925 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe919);
// compiled call node returning call925 (depth = 12)
    gc_frame_newslot(call925);
    if888 = call925;
  } else {
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit928 == NULL) {
    strlit928 = alloc_String("identifier");
    gc_root(strlit928);
  }
// compiled string node returning strlit928 (depth = 14)
  int op_slot_right_927 = gc_frame_newslot(strlit928);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe930 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 16)
// starting to compile call node (depth = 17)
  int callframe931 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_tokens (depth = 18)
  partcv[0] = 0;
  Object call932 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe931);
// compiled call node returning call932 (depth = 17)
// compiled member node returning call932 (depth = 16)
  partcv[0] = 0;
  Object call933 = callmethod(call932, "kind",
    1, partcv, params);
  gc_frame_end(callframe930);
// compiled call node returning call933 (depth = 15)
// compiled member node returning call933 (depth = 14)
  int op_slot_left_927 = gc_frame_newslot(call933);
  params[0] = strlit928;
  partcv[0] = 1;
  Object opresult934 = callmethod(call933, "==", 1, partcv, params);
// compiled op node returning opresult934 (depth = 13)
  Object if926 = done;
  if (istrue(opresult934)) {
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 13)
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 14)
  Object array935 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array935 (depth = 14)
  *var_suggestions = array935;
  if (array935 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 13)
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 13)
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit938 == NULL) {
    strlit938 = alloc_String("o");
    gc_root(strlit938);
  }
// compiled string node returning strlit938 (depth = 15)
  int op_slot_right_937 = gc_frame_newslot(strlit938);
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe940 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 17)
// starting to compile call node (depth = 18)
  int callframe941 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_tokens (depth = 19)
  partcv[0] = 0;
  Object call942 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe941);
// compiled call node returning call942 (depth = 18)
// compiled member node returning call942 (depth = 17)
  partcv[0] = 0;
  Object call943 = callmethod(call942, "value",
    1, partcv, params);
  gc_frame_end(callframe940);
// compiled call node returning call943 (depth = 16)
// compiled member node returning call943 (depth = 15)
  int op_slot_left_937 = gc_frame_newslot(call943);
  params[0] = strlit938;
  partcv[0] = 1;
  Object opresult944 = callmethod(call943, "==", 1, partcv, params);
// compiled op node returning opresult944 (depth = 14)
  Object if936 = done;
  if (istrue(opresult944)) {
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 14)
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe945 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 17)
// starting to compile call node (depth = 18)
  int callframe946 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_errormessages (depth = 19)
  partcv[0] = 0;
  Object call947 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe946);
// compiled call node returning call947 (depth = 18)
// compiled member node returning call947 (depth = 17)
  partcv[0] = 0;
  Object call948 = callmethod(call947, "new",
    1, partcv, params);
  gc_frame_end(callframe945);
// compiled call node returning call948 (depth = 16)
// compiled member node returning call948 (depth = 15)
  *var_suggestion = call948;
  if (call948 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 14)
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 14)
  int callframe949 = gc_frame_new();
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe950 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 17)
// starting to compile call node (depth = 18)
  int callframe951 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_tokens (depth = 19)
  partcv[0] = 0;
  Object call952 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe951);
// compiled call node returning call952 (depth = 18)
// compiled member node returning call952 (depth = 17)
  partcv[0] = 0;
  Object call953 = callmethod(call952, "linePos",
    1, partcv, params);
  gc_frame_end(callframe950);
// compiled call node returning call953 (depth = 16)
// compiled member node returning call953 (depth = 15)
  gc_frame_newslot(call953);
// starting to compile string node (depth = 15)
  if (strlit954 == NULL) {
    strlit954 = alloc_String("0");
    gc_root(strlit954);
  }
// compiled string node returning strlit954 (depth = 15)
  gc_frame_newslot(strlit954);
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe955 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 17)
// starting to compile call node (depth = 18)
  int callframe956 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_tokens (depth = 19)
  partcv[0] = 0;
  Object call957 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe956);
// compiled call node returning call957 (depth = 18)
// compiled member node returning call957 (depth = 17)
  partcv[0] = 0;
  Object call958 = callmethod(call957, "line",
    1, partcv, params);
  gc_frame_end(callframe955);
// compiled call node returning call958 (depth = 16)
// compiled member node returning call958 (depth = 15)
  gc_frame_newslot(call958);
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_suggestion (depth = 15)
  params[0] = call953;
  params[1] = strlit954;
  params[2] = call958;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call959 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe949);
// compiled call node returning call959 (depth = 14)
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 14)
  int callframe960 = gc_frame_new();
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_suggestion (depth = 15)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_suggestions (depth = 15)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call961 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe960);
// compiled call node returning call961 (depth = 14)
    gc_frame_newslot(call961);
    if936 = call961;
  } else {
  }
// compiled if node returning if936 (depth = 13)
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 13)
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe962 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 16)
// starting to compile call node (depth = 17)
  int callframe963 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_errormessages (depth = 18)
  partcv[0] = 0;
  Object call964 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe963);
// compiled call node returning call964 (depth = 17)
// compiled member node returning call964 (depth = 16)
  partcv[0] = 0;
  Object call965 = callmethod(call964, "new",
    1, partcv, params);
  gc_frame_end(callframe962);
// compiled call node returning call965 (depth = 15)
// compiled member node returning call965 (depth = 14)
  *var_suggestion = call965;
  if (call965 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 13)
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe966 = gc_frame_new();
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe967 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_dot (depth = 16)
  partcv[0] = 0;
  Object call968 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe967);
// compiled call node returning call968 (depth = 15)
// compiled member node returning call968 (depth = 14)
  gc_frame_newslot(call968);
// starting to compile op node (depth = 14)
// starting to compile num node (depth = 15)
  Object num970 = alloc_Float64(1);
// compiled num node returning num970 (depth = 15)
  int op_slot_right_969 = gc_frame_newslot(num970);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_linePosition (depth = 15)
  int op_slot_left_969 = gc_frame_newslot(*var_linePosition);
  params[0] = num970;
  partcv[0] = 1;
  Object diff972 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff972 (depth = 14)
  gc_frame_newslot(diff972);
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit974 == NULL) {
    strlit974 = alloc_String(")");
    gc_root(strlit974);
  }
// compiled string node returning strlit974 (depth = 15)
  int op_slot_right_973 = gc_frame_newslot(strlit974);
// starting to compile op node (depth = 15)
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_accum (depth = 16)
  int op_slot_right_976 = gc_frame_newslot(*var_accum);
// starting to compile string node (depth = 16)
  if (strlit978 == NULL) {
    strlit978 = alloc_String("(");
    gc_root(strlit978);
  }
// compiled string node returning strlit978 (depth = 16)
  int op_slot_left_976 = gc_frame_newslot(strlit978);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object opresult979 = callmethod(strlit978, "++", 1, partcv, params);
// compiled op node returning opresult979 (depth = 15)
  int op_slot_left_973 = gc_frame_newslot(opresult979);
  params[0] = strlit974;
  partcv[0] = 1;
  Object opresult980 = callmethod(opresult979, "++", 1, partcv, params);
// compiled op node returning opresult980 (depth = 14)
  gc_frame_newslot(opresult980);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe981 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 16)
// starting to compile call node (depth = 17)
  int callframe982 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_tokens (depth = 18)
  partcv[0] = 0;
  Object call983 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe982);
// compiled call node returning call983 (depth = 17)
// compiled member node returning call983 (depth = 16)
  partcv[0] = 0;
  Object call984 = callmethod(call983, "line",
    1, partcv, params);
  gc_frame_end(callframe981);
// compiled call node returning call984 (depth = 15)
// compiled member node returning call984 (depth = 14)
  gc_frame_newslot(call984);
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_suggestion (depth = 14)
  params[0] = call968;
  params[1] = diff972;
  params[2] = opresult980;
  params[3] = call984;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call985 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe966);
// compiled call node returning call985 (depth = 13)
// Begin line 326
  setline(326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe986 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_suggestion (depth = 14)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_suggestions (depth = 14)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call987 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe986);
// compiled call node returning call987 (depth = 13)
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe988 = gc_frame_new();
// starting to compile string node (depth = 14)
  if (strlit989 == NULL) {
    strlit989 = alloc_String("A number may follow a '.' only if there is a number before the '.'.");
    gc_root(strlit989);
  }
// compiled string node returning strlit989 (depth = 14)
  gc_frame_newslot(strlit989);
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe990 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_dot (depth = 16)
  partcv[0] = 0;
  Object call991 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe990);
// compiled call node returning call991 (depth = 15)
// compiled member node returning call991 (depth = 14)
  gc_frame_newslot(call991);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe992 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_dot (depth = 16)
  partcv[0] = 0;
  Object call993 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe992);
// compiled call node returning call993 (depth = 15)
// compiled member node returning call993 (depth = 14)
  gc_frame_newslot(call993);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe994 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_dot (depth = 16)
  partcv[0] = 0;
  Object call995 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe994);
// compiled call node returning call995 (depth = 15)
// compiled member node returning call995 (depth = 14)
  gc_frame_newslot(call995);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_suggestions (depth = 14)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  params[0] = strlit989;
  params[1] = call991;
  params[2] = call993;
  params[3] = call995;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call996 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe988);
// compiled call node returning call996 (depth = 13)
    gc_frame_newslot(call996);
    if926 = call996;
  } else {
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe997 = gc_frame_new();
// starting to compile string node (depth = 14)
  if (strlit998 == NULL) {
    strlit998 = alloc_String("A number may follow a '.' only if there is a number before the '.'.");
    gc_root(strlit998);
  }
// compiled string node returning strlit998 (depth = 14)
  gc_frame_newslot(strlit998);
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe999 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_dot (depth = 16)
  partcv[0] = 0;
  Object call1000 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe999);
// compiled call node returning call1000 (depth = 15)
// compiled member node returning call1000 (depth = 14)
  gc_frame_newslot(call1000);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe1001 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_dot (depth = 16)
  partcv[0] = 0;
  Object call1002 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1001);
// compiled call node returning call1002 (depth = 15)
// compiled member node returning call1002 (depth = 14)
  gc_frame_newslot(call1002);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe1003 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_dot (depth = 16)
  partcv[0] = 0;
  Object call1004 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1003);
// compiled call node returning call1004 (depth = 15)
// compiled member node returning call1004 (depth = 14)
  gc_frame_newslot(call1004);
// call case 6: other member request
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  params[0] = strlit998;
  params[1] = call1000;
  params[2] = call1002;
  params[3] = call1004;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call1005 = callmethod(*var_errormessages, "syntaxError()atRange",
    2, partcv, params);
  gc_frame_end(callframe997);
// compiled call node returning call1005 (depth = 13)
    gc_frame_newslot(call1005);
    if926 = call1005;
  }
// compiled if node returning if926 (depth = 12)
    gc_frame_newslot(if926);
    if888 = if926;
  }
// compiled if node returning if888 (depth = 11)
    gc_frame_newslot(if888);
    if855 = if888;
  }
// compiled if node returning if855 (depth = 10)
    gc_frame_newslot(if855);
    if709 = if855;
  }
// compiled if node returning if709 (depth = 9)
    gc_frame_newslot(if709);
    if687 = if709;
  } else {
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1006 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_accum (depth = 11)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call1007 = callmethodflags(self, "makeNumToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1006);
// compiled call node returning call1007 (depth = 10)
  *var_tok = call1007;
  if (call1007 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if687 = done;
  }
// compiled if node returning if687 (depth = 8)
// Begin line 337
  setline(337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1009 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tok (depth = 9)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call1010 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe1009);
// compiled call node returning call1010 (depth = 8)
// Begin line 339
  setline(339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
  Object bool1011 = alloc_Boolean(1);
// compiled identifier node returning bool1011 (depth = 9)
  *var_isDone = bool1011;
  if (bool1011 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if682 = done;
  } else {
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 339
  setline(339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1015 == NULL) {
    strlit1015 = alloc_String("o");
    gc_root(strlit1015);
  }
// compiled string node returning strlit1015 (depth = 10)
  int op_slot_right_1014 = gc_frame_newslot(strlit1015);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mode (depth = 10)
  int op_slot_left_1014 = gc_frame_newslot(*var_mode);
  params[0] = strlit1015;
  partcv[0] = 1;
  Object opresult1017 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult1017 (depth = 9)
  Object if1013 = done;
  if (istrue(opresult1017)) {
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1018 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_accum (depth = 11)
  gc_frame_newslot(*var_accum);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_OpToken (depth = 11)
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call1019 = callmethod(*var_OpToken, "new",
    1, partcv, params);
  gc_frame_end(callframe1018);
// compiled call node returning call1019 (depth = 10)
  *var_tok = call1019;
  if (call1019 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1023 == NULL) {
    strlit1023 = alloc_String("->");
    gc_root(strlit1023);
  }
// compiled string node returning strlit1023 (depth = 11)
  int op_slot_right_1022 = gc_frame_newslot(strlit1023);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_accum (depth = 11)
  int op_slot_left_1022 = gc_frame_newslot(*var_accum);
  params[0] = strlit1023;
  partcv[0] = 1;
  Object opresult1025 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult1025 (depth = 10)
  Object if1021 = done;
  if (istrue(opresult1025)) {
// Begin line 343
  setline(343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe1026 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_ArrowToken (depth = 13)
  partcv[0] = 0;
  Object call1027 = callmethod(*var_ArrowToken, "new",
    1, partcv, params);
  gc_frame_end(callframe1026);
// compiled call node returning call1027 (depth = 12)
// compiled member node returning call1027 (depth = 11)
  *var_tok = call1027;
  if (call1027 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if1021 = done;
  } else {
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 343
  setline(343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1031 == NULL) {
    strlit1031 = alloc_String(":=");
    gc_root(strlit1031);
  }
// compiled string node returning strlit1031 (depth = 12)
  int op_slot_right_1030 = gc_frame_newslot(strlit1031);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_accum (depth = 12)
  int op_slot_left_1030 = gc_frame_newslot(*var_accum);
  params[0] = strlit1031;
  partcv[0] = 1;
  Object opresult1033 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult1033 (depth = 11)
  Object if1029 = done;
  if (istrue(opresult1033)) {
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe1034 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_BindToken (depth = 14)
  partcv[0] = 0;
  Object call1035 = callmethod(*var_BindToken, "new",
    1, partcv, params);
  gc_frame_end(callframe1034);
// compiled call node returning call1035 (depth = 13)
// compiled member node returning call1035 (depth = 12)
  *var_tok = call1035;
  if (call1035 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if1029 = done;
  } else {
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit1039 == NULL) {
    strlit1039 = alloc_String(":");
    gc_root(strlit1039);
  }
// compiled string node returning strlit1039 (depth = 13)
  int op_slot_right_1038 = gc_frame_newslot(strlit1039);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_accum (depth = 13)
  int op_slot_left_1038 = gc_frame_newslot(*var_accum);
  params[0] = strlit1039;
  partcv[0] = 1;
  Object opresult1041 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult1041 (depth = 12)
  Object if1037 = done;
  if (istrue(opresult1041)) {
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 12)
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe1042 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_ColonToken (depth = 15)
  partcv[0] = 0;
  Object call1043 = callmethod(*var_ColonToken, "new",
    1, partcv, params);
  gc_frame_end(callframe1042);
// compiled call node returning call1043 (depth = 14)
// compiled member node returning call1043 (depth = 13)
  *var_tok = call1043;
  if (call1043 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 12)
    gc_frame_newslot(done);
    if1037 = done;
  } else {
  }
// compiled if node returning if1037 (depth = 11)
    gc_frame_newslot(if1037);
    if1029 = if1037;
  }
// compiled if node returning if1029 (depth = 10)
    gc_frame_newslot(if1029);
    if1021 = if1029;
  }
// compiled if node returning if1021 (depth = 9)
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1045 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tok (depth = 10)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tokens (depth = 10)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call1046 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe1045);
// compiled call node returning call1046 (depth = 9)
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
  Object bool1047 = alloc_Boolean(1);
// compiled identifier node returning bool1047 (depth = 10)
  *var_isDone = bool1047;
  if (bool1047 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if1013 = done;
  } else {
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1051 == NULL) {
    strlit1051 = alloc_String("d");
    gc_root(strlit1051);
  }
// compiled string node returning strlit1051 (depth = 11)
  int op_slot_right_1050 = gc_frame_newslot(strlit1051);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_mode (depth = 11)
  int op_slot_left_1050 = gc_frame_newslot(*var_mode);
  params[0] = strlit1051;
  partcv[0] = 1;
  Object opresult1053 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult1053 (depth = 10)
  Object if1049 = done;
  if (istrue(opresult1053)) {
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 12)
  Object num1055 = alloc_Float64(1);
// compiled num node returning num1055 (depth = 12)
  int op_slot_right_1054 = gc_frame_newslot(num1055);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_linePosition (depth = 12)
  int op_slot_left_1054 = gc_frame_newslot(*var_linePosition);
  params[0] = num1055;
  partcv[0] = 1;
  Object diff1057 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff1057 (depth = 11)
  *var_indentLevel = diff1057;
  if (diff1057 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 11)
  Object bool1059 = alloc_Boolean(1);
// compiled identifier node returning bool1059 (depth = 11)
  *var_isDone = bool1059;
  if (bool1059 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if1049 = done;
  } else {
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1063 == NULL) {
    strlit1063 = alloc_String("n");
    gc_root(strlit1063);
  }
// compiled string node returning strlit1063 (depth = 12)
  int op_slot_right_1062 = gc_frame_newslot(strlit1063);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_mode (depth = 12)
  int op_slot_left_1062 = gc_frame_newslot(*var_mode);
  params[0] = strlit1063;
  partcv[0] = 1;
  Object opresult1065 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult1065 (depth = 11)
  Object if1061 = done;
  if (istrue(opresult1065)) {
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 12)
  Object bool1066 = alloc_Boolean(1);
// compiled identifier node returning bool1066 (depth = 12)
  *var_isDone = bool1066;
  if (bool1066 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if1061 = done;
  } else {
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit1070 == NULL) {
    strlit1070 = alloc_String("c");
    gc_root(strlit1070);
  }
// compiled string node returning strlit1070 (depth = 13)
  int op_slot_right_1069 = gc_frame_newslot(strlit1070);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_mode (depth = 13)
  int op_slot_left_1069 = gc_frame_newslot(*var_mode);
  params[0] = strlit1070;
  partcv[0] = 1;
  Object opresult1072 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult1072 (depth = 12)
  Object if1068 = done;
  if (istrue(opresult1072)) {
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe1073 = gc_frame_new();
// starting to compile num node (depth = 14)
  Object num1074 = alloc_Float64(3);
// compiled num node returning num1074 (depth = 14)
  gc_frame_newslot(num1074);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe1075 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_accum (depth = 16)
  partcv[0] = 0;
  Object call1076 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1075);
// compiled call node returning call1076 (depth = 15)
// compiled member node returning call1076 (depth = 14)
  gc_frame_newslot(call1076);
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_accum (depth = 14)
  params[0] = num1074;
  params[1] = call1076;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1077 = callmethod(*var_accum, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe1073);
// compiled call node returning call1077 (depth = 13)
  *var_cmt = call1077;
  if (call1077 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 12)
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe1078 = gc_frame_new();
// starting to compile call node (depth = 13)
  int callframe1079 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_cmt (depth = 14)
  gc_frame_newslot(*var_cmt);
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_CommentToken (depth = 14)
  params[0] = *var_cmt;
  partcv[0] = 1;
  Object call1080 = callmethod(*var_CommentToken, "new",
    1, partcv, params);
  gc_frame_end(callframe1079);
// compiled call node returning call1080 (depth = 13)
  gc_frame_newslot(call1080);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tokens (depth = 13)
  params[0] = call1080;
  partcv[0] = 1;
  Object call1081 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe1078);
// compiled call node returning call1081 (depth = 12)
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 12)
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 13)
  Object bool1082 = alloc_Boolean(1);
// compiled identifier node returning bool1082 (depth = 13)
  *var_isDone = bool1082;
  if (bool1082 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 12)
    gc_frame_newslot(done);
    if1068 = done;
  } else {
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit1086 == NULL) {
    strlit1086 = alloc_String("p");
    gc_root(strlit1086);
  }
// compiled string node returning strlit1086 (depth = 14)
  int op_slot_right_1085 = gc_frame_newslot(strlit1086);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_mode (depth = 14)
  int op_slot_left_1085 = gc_frame_newslot(*var_mode);
  params[0] = strlit1086;
  partcv[0] = 1;
  Object opresult1088 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult1088 (depth = 13)
  Object if1084 = done;
  if (istrue(opresult1088)) {
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 13)
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit1091 == NULL) {
    strlit1091 = alloc_String("#pragma ");
    gc_root(strlit1091);
  }
// compiled string node returning strlit1091 (depth = 15)
  int op_slot_right_1090 = gc_frame_newslot(strlit1091);
// starting to compile call node (depth = 15)
  int callframe1093 = gc_frame_new();
// starting to compile num node (depth = 16)
  Object num1094 = alloc_Float64(1);
// compiled num node returning num1094 (depth = 16)
  gc_frame_newslot(num1094);
// starting to compile num node (depth = 16)
  Object num1095 = alloc_Float64(8);
// compiled num node returning num1095 (depth = 16)
  gc_frame_newslot(num1095);
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_accum (depth = 16)
  params[0] = num1094;
  params[1] = num1095;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1096 = callmethod(*var_accum, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe1093);
// compiled call node returning call1096 (depth = 15)
  int op_slot_left_1090 = gc_frame_newslot(call1096);
  params[0] = strlit1091;
  partcv[0] = 1;
  Object opresult1097 = callmethod(call1096, "==", 1, partcv, params);
// compiled op node returning opresult1097 (depth = 14)
  Object if1089 = done;
  if (istrue(opresult1097)) {
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 14)
  int callframe1098 = gc_frame_new();
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 15)
  int callframe1099 = gc_frame_new();
// starting to compile num node (depth = 16)
  Object num1100 = alloc_Float64(9);
// compiled num node returning num1100 (depth = 16)
  gc_frame_newslot(num1100);
// starting to compile member node (depth = 16)
// starting to compile call node (depth = 17)
  int callframe1101 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_accum (depth = 18)
  partcv[0] = 0;
  Object call1102 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1101);
// compiled call node returning call1102 (depth = 17)
// compiled member node returning call1102 (depth = 16)
  gc_frame_newslot(call1102);
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_accum (depth = 16)
  params[0] = num1100;
  params[1] = call1102;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1103 = callmethod(*var_accum, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe1099);
// compiled call node returning call1103 (depth = 15)
  gc_frame_newslot(call1103);
// call case 6: other member request
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_util (depth = 15)
  params[0] = call1103;
  partcv[0] = 1;
  Object call1104 = callmethod(*var_util, "processExtension",
    1, partcv, params);
  gc_frame_end(callframe1098);
// compiled call node returning call1104 (depth = 14)
    gc_frame_newslot(call1104);
    if1089 = call1104;
  } else {
  }
// compiled if node returning if1089 (depth = 13)
    gc_frame_newslot(if1089);
    if1084 = if1089;
  } else {
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 13)
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_isDone (depth = 14)
  Object if1105 = done;
  if (istrue(*var_isDone)) {
    gc_frame_newslot(done);
    if1105 = done;
  } else {
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 14)
  int callframe1106 = gc_frame_new();
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit1108 == NULL) {
    strlit1108 = alloc_String(".");
    gc_root(strlit1108);
  }
// compiled string node returning strlit1108 (depth = 16)
  int op_slot_right_1107 = gc_frame_newslot(strlit1108);
// starting to compile op node (depth = 16)
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_accum (depth = 17)
  int op_slot_right_1110 = gc_frame_newslot(*var_accum);
// starting to compile op node (depth = 17)
// starting to compile string node (depth = 18)
  if (strlit1113 == NULL) {
    strlit1113 = alloc_String(" with accum ");
    gc_root(strlit1113);
  }
// compiled string node returning strlit1113 (depth = 18)
  int op_slot_right_1112 = gc_frame_newslot(strlit1113);
// starting to compile op node (depth = 18)
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_mode (depth = 19)
  int op_slot_right_1115 = gc_frame_newslot(*var_mode);
// starting to compile string node (depth = 19)
  if (strlit1117 == NULL) {
    strlit1117 = alloc_String("Lexing error: no handler for mode ");
    gc_root(strlit1117);
  }
// compiled string node returning strlit1117 (depth = 19)
  int op_slot_left_1115 = gc_frame_newslot(strlit1117);
  params[0] = *var_mode;
  partcv[0] = 1;
  Object opresult1118 = callmethod(strlit1117, "++", 1, partcv, params);
// compiled op node returning opresult1118 (depth = 18)
  int op_slot_left_1112 = gc_frame_newslot(opresult1118);
  params[0] = strlit1113;
  partcv[0] = 1;
  Object opresult1119 = callmethod(opresult1118, "++", 1, partcv, params);
// compiled op node returning opresult1119 (depth = 17)
  int op_slot_left_1110 = gc_frame_newslot(opresult1119);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object opresult1120 = callmethod(opresult1119, "++", 1, partcv, params);
// compiled op node returning opresult1120 (depth = 16)
  int op_slot_left_1107 = gc_frame_newslot(opresult1120);
  params[0] = strlit1108;
  partcv[0] = 1;
  Object opresult1121 = callmethod(opresult1120, "++", 1, partcv, params);
// compiled op node returning opresult1121 (depth = 15)
  gc_frame_newslot(opresult1121);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_lineNumber (depth = 15)
  gc_frame_newslot(*var_lineNumber);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_linePosition (depth = 15)
  gc_frame_newslot(*var_linePosition);
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_errormessages (depth = 15)
  params[0] = opresult1121;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call1122 = callmethod(*var_errormessages, "syntaxError()atPosition",
    2, partcv, params);
  gc_frame_end(callframe1106);
// compiled call node returning call1122 (depth = 14)
    gc_frame_newslot(call1122);
    if1105 = call1122;
  }
// compiled if node returning if1105 (depth = 13)
    gc_frame_newslot(if1105);
    if1084 = if1105;
  }
// compiled if node returning if1084 (depth = 12)
    gc_frame_newslot(if1084);
    if1068 = if1084;
  }
// compiled if node returning if1068 (depth = 11)
    gc_frame_newslot(if1068);
    if1061 = if1068;
  }
// compiled if node returning if1061 (depth = 10)
    gc_frame_newslot(if1061);
    if1049 = if1061;
  }
// compiled if node returning if1049 (depth = 9)
    gc_frame_newslot(if1049);
    if1013 = if1049;
  }
// compiled if node returning if1013 (depth = 8)
    gc_frame_newslot(if1013);
    if682 = if1013;
  }
// compiled if node returning if682 (depth = 7)
    gc_frame_newslot(if682);
    if670 = if682;
  }
// compiled if node returning if670 (depth = 6)
    gc_frame_newslot(if670);
    if658 = if670;
  }
// compiled if node returning if658 (depth = 5)
    gc_frame_newslot(if658);
    if646 = if658;
  }
// compiled if node returning if646 (depth = 4)
    gc_frame_newslot(if646);
    if634 = if646;
  }
// compiled if node returning if634 (depth = 3)
    gc_frame_newslot(if634);
    if389 = if634;
  } else {
  }
// compiled if node returning if389 (depth = 2)
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_linePosition (depth = 3)
  *var_startPosition = *var_linePosition;
  if (*var_linePosition == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 2)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer__apply1129(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[5];
  int partcv[3];
  Object *var_base = getfromclosure(closure, 0);
  Object *var_val = getfromclosure(closure, 1);
  Object *var_str = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_linePosition = getfromclosure(closure, 4);
  Object *var_lineNumber = getfromclosure(closure, 5);
  Object *var_i = getfromclosure(closure, 6);
  Object *var_unicode = getfromclosure(closure, 7);
  Object self = *(getfromclosure(closure, 8));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "n");
  Object *var_inc = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "inc");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_validDigits = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "validDigits");
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 377
  setline(377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1130 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  partcv[0] = 0;
  Object call1131 = callmethod(*var_c, "ord",
    1, partcv, params);
  gc_frame_end(callframe1130);
// compiled call node returning call1131 (depth = 6)
// compiled member node returning call1131 (depth = 5)
  *var_n = call1131;
  if (call1131 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_base (depth = 6)
  int op_slot_right_1132 = gc_frame_newslot(*var_base);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_val (depth = 6)
  int op_slot_left_1132 = gc_frame_newslot(*var_val);
  params[0] = *var_base;
  partcv[0] = 1;
  Object prod1134 = callmethod(*var_val, "*", 1, partcv, params);
// compiled op node returning prod1134 (depth = 5)
  *var_val = prod1134;
  if (prod1134 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num1136 = alloc_Float64(0);
// compiled num node returning num1136 (depth = 5)
  *var_inc = num1136;
  if (num1136 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1140 = alloc_Float64(57);
// compiled num node returning num1140 (depth = 7)
  int op_slot_right_1139 = gc_frame_newslot(num1140);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_1139 = gc_frame_newslot(*var_n);
  params[0] = num1140;
  partcv[0] = 1;
  Object opresult1142 = callmethod(*var_n, "<=", 1, partcv, params);
// compiled op node returning opresult1142 (depth = 6)
  int op_slot_right_1138 = gc_frame_newslot(opresult1142);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1145 = alloc_Float64(48);
// compiled num node returning num1145 (depth = 7)
  int op_slot_right_1144 = gc_frame_newslot(num1145);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_1144 = gc_frame_newslot(*var_n);
  params[0] = num1145;
  partcv[0] = 1;
  Object opresult1147 = callmethod(*var_n, ">=", 1, partcv, params);
// compiled op node returning opresult1147 (depth = 6)
  int op_slot_left_1138 = gc_frame_newslot(opresult1147);
  params[0] = opresult1142;
  partcv[0] = 1;
  Object opresult1148 = callmethod(opresult1147, "&&", 1, partcv, params);
// compiled op node returning opresult1148 (depth = 5)
  Object if1137 = done;
  if (istrue(opresult1148)) {
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num1150 = alloc_Float64(48);
// compiled num node returning num1150 (depth = 7)
  int op_slot_right_1149 = gc_frame_newslot(num1150);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_1149 = gc_frame_newslot(*var_n);
  params[0] = num1150;
  partcv[0] = 1;
  Object diff1152 = callmethod(*var_n, "-", 1, partcv, params);
// compiled op node returning diff1152 (depth = 6)
  *var_inc = diff1152;
  if (diff1152 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1137 = done;
  } else {
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1157 = alloc_Float64(90);
// compiled num node returning num1157 (depth = 8)
  int op_slot_right_1156 = gc_frame_newslot(num1157);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1156 = gc_frame_newslot(*var_n);
  params[0] = num1157;
  partcv[0] = 1;
  Object opresult1159 = callmethod(*var_n, "<=", 1, partcv, params);
// compiled op node returning opresult1159 (depth = 7)
  int op_slot_right_1155 = gc_frame_newslot(opresult1159);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1162 = alloc_Float64(65);
// compiled num node returning num1162 (depth = 8)
  int op_slot_right_1161 = gc_frame_newslot(num1162);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1161 = gc_frame_newslot(*var_n);
  params[0] = num1162;
  partcv[0] = 1;
  Object opresult1164 = callmethod(*var_n, ">=", 1, partcv, params);
// compiled op node returning opresult1164 (depth = 7)
  int op_slot_left_1155 = gc_frame_newslot(opresult1164);
  params[0] = opresult1159;
  partcv[0] = 1;
  Object opresult1165 = callmethod(opresult1164, "&&", 1, partcv, params);
// compiled op node returning opresult1165 (depth = 6)
  Object if1154 = done;
  if (istrue(opresult1165)) {
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 8)
  Object num1167 = alloc_Float64(55);
// compiled num node returning num1167 (depth = 8)
  int op_slot_right_1166 = gc_frame_newslot(num1167);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1166 = gc_frame_newslot(*var_n);
  params[0] = num1167;
  partcv[0] = 1;
  Object diff1169 = callmethod(*var_n, "-", 1, partcv, params);
// compiled op node returning diff1169 (depth = 7)
  *var_inc = diff1169;
  if (diff1169 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1154 = done;
  } else {
// Begin line 386
  setline(386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 8)
  Object num1172 = alloc_Float64(87);
// compiled num node returning num1172 (depth = 8)
  int op_slot_right_1171 = gc_frame_newslot(num1172);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1171 = gc_frame_newslot(*var_n);
  params[0] = num1172;
  partcv[0] = 1;
  Object diff1174 = callmethod(*var_n, "-", 1, partcv, params);
// compiled op node returning diff1174 (depth = 7)
  *var_inc = diff1174;
  if (diff1174 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1154 = done;
  }
// compiled if node returning if1154 (depth = 5)
    gc_frame_newslot(if1154);
    if1137 = if1154;
  }
// compiled if node returning if1137 (depth = 4)
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_base (depth = 6)
  int op_slot_right_1177 = gc_frame_newslot(*var_base);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_inc (depth = 6)
  int op_slot_left_1177 = gc_frame_newslot(*var_inc);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1179 = callmethod(*var_inc, ">=", 1, partcv, params);
// compiled op node returning opresult1179 (depth = 5)
  Object if1176 = done;
  if (istrue(opresult1179)) {
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 388
  setline(388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1183 = alloc_Float64(16);
// compiled num node returning num1183 (depth = 8)
  int op_slot_right_1182 = gc_frame_newslot(num1183);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_inc (depth = 8)
  int op_slot_left_1182 = gc_frame_newslot(*var_inc);
  params[0] = num1183;
  partcv[0] = 1;
  Object opresult1185 = callmethod(*var_inc, "<", 1, partcv, params);
// compiled op node returning opresult1185 (depth = 7)
  int op_slot_right_1181 = gc_frame_newslot(opresult1185);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1188 == NULL) {
    strlit1188 = alloc_String("0");
    gc_root(strlit1188);
  }
// compiled string node returning strlit1188 (depth = 8)
  int op_slot_right_1187 = gc_frame_newslot(strlit1188);
// starting to compile index node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_str (depth = 9)
// starting to compile num node (depth = 9)
  Object num1190 = alloc_Float64(1);
// compiled num node returning num1190 (depth = 9)
  params[0] = num1190;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1191 = callmethod(*var_str, "[]", 1, partcv, params);
// compiled index node returning idxres1191 (depth = 8)
  int op_slot_left_1187 = gc_frame_newslot(idxres1191);
  params[0] = strlit1188;
  partcv[0] = 1;
  Object opresult1192 = callmethod(idxres1191, "==", 1, partcv, params);
// compiled op node returning opresult1192 (depth = 7)
  int op_slot_left_1181 = gc_frame_newslot(opresult1192);
  params[0] = opresult1185;
  partcv[0] = 1;
  Object opresult1193 = callmethod(opresult1192, "&&", 1, partcv, params);
// compiled op node returning opresult1193 (depth = 6)
  Object if1180 = done;
  if (istrue(opresult1193)) {
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1194 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1195 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call1196 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1195);
// compiled call node returning call1196 (depth = 10)
// compiled member node returning call1196 (depth = 9)
  partcv[0] = 0;
  Object call1197 = callmethod(call1196, "new",
    1, partcv, params);
  gc_frame_end(callframe1194);
// compiled call node returning call1197 (depth = 8)
// compiled member node returning call1197 (depth = 7)
  *var_suggestion = call1197;
  if (call1197 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1198 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1199 == NULL) {
    strlit1199 = alloc_String("x");
    gc_root(strlit1199);
  }
// compiled string node returning strlit1199 (depth = 7)
  gc_frame_newslot(strlit1199);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1201 = alloc_Float64(1);
// compiled num node returning num1201 (depth = 8)
  int op_slot_right_1200 = gc_frame_newslot(num1201);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1204 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_str (depth = 11)
  partcv[0] = 0;
  Object call1205 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1204);
// compiled call node returning call1205 (depth = 10)
// compiled member node returning call1205 (depth = 9)
  int op_slot_right_1203 = gc_frame_newslot(call1205);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_linePosition (depth = 9)
  int op_slot_left_1203 = gc_frame_newslot(*var_linePosition);
  params[0] = call1205;
  partcv[0] = 1;
  Object diff1207 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff1207 (depth = 8)
  int op_slot_left_1200 = gc_frame_newslot(diff1207);
  params[0] = num1201;
  partcv[0] = 1;
  Object sum1208 = callmethod(diff1207, "+", 1, partcv, params);
// compiled op node returning sum1208 (depth = 7)
  gc_frame_newslot(sum1208);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lineNumber (depth = 7)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit1199;
  params[1] = sum1208;
  params[2] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1209 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe1198);
// compiled call node returning call1209 (depth = 6)
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1210 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1211 == NULL) {
    strlit1211 = alloc_String("A number in base 16 must start with '0x'.");
    gc_root(strlit1211);
  }
// compiled string node returning strlit1211 (depth = 7)
  gc_frame_newslot(strlit1211);
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lineNumber (depth = 7)
  gc_frame_newslot(*var_lineNumber);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1213 = alloc_Float64(1);
// compiled num node returning num1213 (depth = 8)
  int op_slot_right_1212 = gc_frame_newslot(num1213);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1216 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_str (depth = 11)
  partcv[0] = 0;
  Object call1217 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1216);
// compiled call node returning call1217 (depth = 10)
// compiled member node returning call1217 (depth = 9)
  int op_slot_right_1215 = gc_frame_newslot(call1217);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_linePosition (depth = 9)
  int op_slot_left_1215 = gc_frame_newslot(*var_linePosition);
  params[0] = call1217;
  partcv[0] = 1;
  Object diff1219 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff1219 (depth = 8)
  int op_slot_left_1212 = gc_frame_newslot(diff1219);
  params[0] = num1213;
  partcv[0] = 1;
  Object sum1220 = callmethod(diff1219, "+", 1, partcv, params);
// compiled op node returning sum1220 (depth = 7)
  gc_frame_newslot(sum1220);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit1211;
  params[1] = *var_lineNumber;
  params[2] = sum1220;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1221 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1210);
// compiled call node returning call1221 (depth = 6)
    gc_frame_newslot(call1221);
    if1180 = call1221;
  } else {
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1222 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1223 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call1224 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1223);
// compiled call node returning call1224 (depth = 10)
// compiled member node returning call1224 (depth = 9)
  partcv[0] = 0;
  Object call1225 = callmethod(call1224, "new",
    1, partcv, params);
  gc_frame_end(callframe1222);
// compiled call node returning call1225 (depth = 8)
// compiled member node returning call1225 (depth = 7)
  *var_suggestion = call1225;
  if (call1225 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1228 = alloc_Float64(1);
// compiled num node returning num1228 (depth = 8)
  int op_slot_right_1227 = gc_frame_newslot(num1228);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1230 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  partcv[0] = 0;
  Object call1231 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1230);
// compiled call node returning call1231 (depth = 9)
// compiled member node returning call1231 (depth = 8)
  int op_slot_left_1227 = gc_frame_newslot(call1231);
  params[0] = num1228;
  partcv[0] = 1;
  Object opresult1232 = callmethod(call1231, "==", 1, partcv, params);
// compiled op node returning opresult1232 (depth = 7)
  Object if1226 = done;
  if (istrue(opresult1232)) {
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1233 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1235 = alloc_Float64(1);
// compiled num node returning num1235 (depth = 9)
  int op_slot_right_1234 = gc_frame_newslot(num1235);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1238 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_str (depth = 12)
  partcv[0] = 0;
  Object call1239 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1238);
// compiled call node returning call1239 (depth = 11)
// compiled member node returning call1239 (depth = 10)
  int op_slot_right_1237 = gc_frame_newslot(call1239);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_linePosition (depth = 10)
  int op_slot_left_1237 = gc_frame_newslot(*var_linePosition);
  params[0] = call1239;
  partcv[0] = 1;
  Object diff1241 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff1241 (depth = 9)
  int op_slot_left_1234 = gc_frame_newslot(diff1241);
  params[0] = num1235;
  partcv[0] = 1;
  Object diff1242 = callmethod(diff1241, "-", 1, partcv, params);
// compiled op node returning diff1242 (depth = 8)
  gc_frame_newslot(diff1242);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1244 = alloc_Float64(1);
// compiled num node returning num1244 (depth = 9)
  int op_slot_right_1243 = gc_frame_newslot(num1244);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_linePosition (depth = 9)
  int op_slot_left_1243 = gc_frame_newslot(*var_linePosition);
  params[0] = num1244;
  partcv[0] = 1;
  Object diff1246 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff1246 (depth = 8)
  gc_frame_newslot(diff1246);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lineNumber (depth = 8)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = diff1242;
  params[1] = diff1246;
  params[2] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1247 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe1233);
// compiled call node returning call1247 (depth = 7)
    gc_frame_newslot(call1247);
    if1226 = call1247;
  } else {
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1248 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  int op_slot_right_1249 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1252 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_str (depth = 12)
  partcv[0] = 0;
  Object call1253 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1252);
// compiled call node returning call1253 (depth = 11)
// compiled member node returning call1253 (depth = 10)
  int op_slot_right_1251 = gc_frame_newslot(call1253);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_linePosition (depth = 10)
  int op_slot_left_1251 = gc_frame_newslot(*var_linePosition);
  params[0] = call1253;
  partcv[0] = 1;
  Object diff1255 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff1255 (depth = 9)
  int op_slot_left_1249 = gc_frame_newslot(diff1255);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1256 = callmethod(diff1255, "+", 1, partcv, params);
// compiled op node returning sum1256 (depth = 8)
  gc_frame_newslot(sum1256);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lineNumber (depth = 8)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = sum1256;
  params[1] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1257 = callmethod(*var_suggestion, "deleteChar()onLine",
    2, partcv, params);
  gc_frame_end(callframe1248);
// compiled call node returning call1257 (depth = 7)
    gc_frame_newslot(call1257);
    if1226 = call1257;
  }
// compiled if node returning if1226 (depth = 6)
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile if node (depth = 7)
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1260 = alloc_Float64(10);
// compiled num node returning num1260 (depth = 9)
  int op_slot_right_1259 = gc_frame_newslot(num1260);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_base (depth = 9)
  int op_slot_left_1259 = gc_frame_newslot(*var_base);
  params[0] = num1260;
  partcv[0] = 1;
  Object opresult1262 = callmethod(*var_base, "<=", 1, partcv, params);
// compiled op node returning opresult1262 (depth = 8)
  Object if1258 = done;
struct StackFrameObject *iftmpstackframe1258 = stackframe;
  if (istrue(opresult1262)) {
stackframe = alloc_StackFrame(0, iftmpstackframe1258);
gc_frame_newslot((Object)stackframe);
// Begin line 401
  setline(401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1264 == NULL) {
    strlit1264 = alloc_String("'");
    gc_root(strlit1264);
  }
// compiled string node returning strlit1264 (depth = 9)
  int op_slot_right_1263 = gc_frame_newslot(strlit1264);
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num1268 = alloc_Float64(1);
// compiled num node returning num1268 (depth = 11)
  int op_slot_right_1267 = gc_frame_newslot(num1268);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_base (depth = 11)
  int op_slot_left_1267 = gc_frame_newslot(*var_base);
  params[0] = num1268;
  partcv[0] = 1;
  Object diff1270 = callmethod(*var_base, "-", 1, partcv, params);
// compiled op node returning diff1270 (depth = 10)
  int op_slot_right_1266 = gc_frame_newslot(diff1270);
// starting to compile string node (depth = 10)
  if (strlit1272 == NULL) {
    strlit1272 = alloc_String("'0' to '");
    gc_root(strlit1272);
  }
// compiled string node returning strlit1272 (depth = 10)
  int op_slot_left_1266 = gc_frame_newslot(strlit1272);
  params[0] = diff1270;
  partcv[0] = 1;
  Object opresult1273 = callmethod(strlit1272, "++", 1, partcv, params);
// compiled op node returning opresult1273 (depth = 9)
  int op_slot_left_1263 = gc_frame_newslot(opresult1273);
  params[0] = strlit1264;
  partcv[0] = 1;
  Object opresult1274 = callmethod(opresult1273, "++", 1, partcv, params);
// compiled op node returning opresult1274 (depth = 8)
    gc_frame_newslot(opresult1274);
    if1258 = opresult1274;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe1258);
  gc_frame_newslot((Object)stackframe);
// Begin line 403
  setline(403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1276 == NULL) {
    strlit1276 = alloc_String("'");
    gc_root(strlit1276);
  }
// compiled string node returning strlit1276 (depth = 9)
  int op_slot_right_1275 = gc_frame_newslot(strlit1276);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1279 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_base (depth = 12)
  int op_slot_right_1280 = gc_frame_newslot(*var_base);
// starting to compile num node (depth = 12)
  Object num1282 = alloc_Float64(87);
// compiled num node returning num1282 (depth = 12)
  int op_slot_left_1280 = gc_frame_newslot(num1282);
  params[0] = *var_base;
  partcv[0] = 1;
  Object sum1283 = callmethod(num1282, "+", 1, partcv, params);
// compiled op node returning sum1283 (depth = 11)
  gc_frame_newslot(sum1283);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unicode (depth = 11)
  params[0] = sum1283;
  partcv[0] = 1;
  Object call1284 = callmethod(*var_unicode, "create",
    1, partcv, params);
  gc_frame_end(callframe1279);
// compiled call node returning call1284 (depth = 10)
  int op_slot_right_1278 = gc_frame_newslot(call1284);
// starting to compile string node (depth = 10)
  if (strlit1286 == NULL) {
    strlit1286 = alloc_String("'0' to '9', 'a' to '");
    gc_root(strlit1286);
  }
// compiled string node returning strlit1286 (depth = 10)
  int op_slot_left_1278 = gc_frame_newslot(strlit1286);
  params[0] = call1284;
  partcv[0] = 1;
  Object opresult1287 = callmethod(strlit1286, "++", 1, partcv, params);
// compiled op node returning opresult1287 (depth = 9)
  int op_slot_left_1275 = gc_frame_newslot(opresult1287);
  params[0] = strlit1276;
  partcv[0] = 1;
  Object opresult1288 = callmethod(opresult1287, "++", 1, partcv, params);
// compiled op node returning opresult1288 (depth = 8)
    gc_frame_newslot(opresult1288);
    if1258 = opresult1288;
  }
stackframe = iftmpstackframe1258;
// compiled if node returning if1258 (depth = 7)
  *var_validDigits = if1258;
  if (if1258 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1289 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1291 == NULL) {
    strlit1291 = alloc_String(".");
    gc_root(strlit1291);
  }
// compiled string node returning strlit1291 (depth = 8)
  int op_slot_right_1290 = gc_frame_newslot(strlit1291);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_validDigits (depth = 9)
  int op_slot_right_1293 = gc_frame_newslot(*var_validDigits);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1296 == NULL) {
    strlit1296 = alloc_String(". Valid digits are ");
    gc_root(strlit1296);
  }
// compiled string node returning strlit1296 (depth = 10)
  int op_slot_right_1295 = gc_frame_newslot(strlit1296);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_base (depth = 11)
  int op_slot_right_1298 = gc_frame_newslot(*var_base);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1301 == NULL) {
    strlit1301 = alloc_String("' is not a valid digit in base ");
    gc_root(strlit1301);
  }
// compiled string node returning strlit1301 (depth = 12)
  int op_slot_right_1300 = gc_frame_newslot(strlit1301);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  int op_slot_right_1303 = gc_frame_newslot(*var_c);
// starting to compile string node (depth = 13)
  if (strlit1305 == NULL) {
    strlit1305 = alloc_String("'");
    gc_root(strlit1305);
  }
// compiled string node returning strlit1305 (depth = 13)
  int op_slot_left_1303 = gc_frame_newslot(strlit1305);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1306 = callmethod(strlit1305, "++", 1, partcv, params);
// compiled op node returning opresult1306 (depth = 12)
  int op_slot_left_1300 = gc_frame_newslot(opresult1306);
  params[0] = strlit1301;
  partcv[0] = 1;
  Object opresult1307 = callmethod(opresult1306, "++", 1, partcv, params);
// compiled op node returning opresult1307 (depth = 11)
  int op_slot_left_1298 = gc_frame_newslot(opresult1307);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1308 = callmethod(opresult1307, "++", 1, partcv, params);
// compiled op node returning opresult1308 (depth = 10)
  int op_slot_left_1295 = gc_frame_newslot(opresult1308);
  params[0] = strlit1296;
  partcv[0] = 1;
  Object opresult1309 = callmethod(opresult1308, "++", 1, partcv, params);
// compiled op node returning opresult1309 (depth = 9)
  int op_slot_left_1293 = gc_frame_newslot(opresult1309);
  params[0] = *var_validDigits;
  partcv[0] = 1;
  Object opresult1310 = callmethod(opresult1309, "++", 1, partcv, params);
// compiled op node returning opresult1310 (depth = 8)
  int op_slot_left_1290 = gc_frame_newslot(opresult1310);
  params[0] = strlit1291;
  partcv[0] = 1;
  Object opresult1311 = callmethod(opresult1310, "++", 1, partcv, params);
// compiled op node returning opresult1311 (depth = 7)
  gc_frame_newslot(opresult1311);
// Begin line 406
  setline(406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lineNumber (depth = 7)
  gc_frame_newslot(*var_lineNumber);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_right_1312 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1315 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_str (depth = 11)
  partcv[0] = 0;
  Object call1316 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1315);
// compiled call node returning call1316 (depth = 10)
// compiled member node returning call1316 (depth = 9)
  int op_slot_right_1314 = gc_frame_newslot(call1316);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_linePosition (depth = 9)
  int op_slot_left_1314 = gc_frame_newslot(*var_linePosition);
  params[0] = call1316;
  partcv[0] = 1;
  Object diff1318 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff1318 (depth = 8)
  int op_slot_left_1312 = gc_frame_newslot(diff1318);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1319 = callmethod(diff1318, "+", 1, partcv, params);
// compiled op node returning sum1319 (depth = 7)
  gc_frame_newslot(sum1319);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_right_1320 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1323 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_str (depth = 11)
  partcv[0] = 0;
  Object call1324 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1323);
// compiled call node returning call1324 (depth = 10)
// compiled member node returning call1324 (depth = 9)
  int op_slot_right_1322 = gc_frame_newslot(call1324);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_linePosition (depth = 9)
  int op_slot_left_1322 = gc_frame_newslot(*var_linePosition);
  params[0] = call1324;
  partcv[0] = 1;
  Object diff1326 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff1326 (depth = 8)
  int op_slot_left_1320 = gc_frame_newslot(diff1326);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1327 = callmethod(diff1326, "+", 1, partcv, params);
// compiled op node returning sum1327 (depth = 7)
  gc_frame_newslot(sum1327);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult1311;
  params[1] = *var_lineNumber;
  params[2] = sum1319;
  params[3] = sum1327;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1328 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1289);
// compiled call node returning call1328 (depth = 6)
    gc_frame_newslot(call1328);
    if1180 = call1328;
  }
// compiled if node returning if1180 (depth = 5)
    gc_frame_newslot(if1180);
    if1176 = if1180;
  } else {
  }
// compiled if node returning if1176 (depth = 4)
// Begin line 410
  setline(410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_inc (depth = 6)
  int op_slot_right_1329 = gc_frame_newslot(*var_inc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_val (depth = 6)
  int op_slot_left_1329 = gc_frame_newslot(*var_val);
  params[0] = *var_inc;
  partcv[0] = 1;
  Object sum1331 = callmethod(*var_val, "+", 1, partcv, params);
// compiled op node returning sum1331 (depth = 5)
  *var_val = sum1331;
  if (sum1331 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 411
  setline(411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 410
  setline(410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num1334 = alloc_Float64(1);
// compiled num node returning num1334 (depth = 6)
  int op_slot_right_1333 = gc_frame_newslot(num1334);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_1333 = gc_frame_newslot(*var_i);
  params[0] = num1334;
  partcv[0] = 1;
  Object sum1336 = callmethod(*var_i, "+", 1, partcv, params);
// compiled op node returning sum1336 (depth = 5)
  *var_i = sum1336;
  if (sum1336 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_fromBase1124(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "fromBase");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method fromBase");
  Object params[2];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_linePosition = getfromclosure(closure, 1);
  Object *var_lineNumber = getfromclosure(closure, 2);
  Object *var_unicode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for fromBase (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_str = &(stackframe->slots[0]);
  *var_str = args[curarg];
  curarg++;
  Object *var_base = &(stackframe->slots[1]);
  *var_base = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for fromBase");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_val = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "val");
  Object *var_i = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "i");
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num1125 = alloc_Float64(0);
// compiled num node returning num1125 (depth = 3)
  *var_val = num1125;
  if (num1125 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 376
  setline(376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num1126 = alloc_Float64(0);
// compiled num node returning num1126 (depth = 3)
  *var_i = num1126;
  if (num1126 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 376
  setline(376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1127 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_str (depth = 3)
  gc_frame_newslot(*var_str);
// starting to compile block node (depth = 3)
  Object block1128 = alloc_Block(NULL, NULL, "lexer", 376);
  gc_frame_newslot(block1128);
// method _apply
  block_savedest(block1128);
  Object closure1129 = createclosure(9, "_apply");
  setclosureframe(closure1129, stackframe);
  addtoclosure(closure1129, var_base);
  addtoclosure(closure1129, var_val);
  addtoclosure(closure1129, var_str);
  addtoclosure(closure1129, var_errormessages);
  addtoclosure(closure1129, var_linePosition);
  addtoclosure(closure1129, var_lineNumber);
  addtoclosure(closure1129, var_i);
  addtoclosure(closure1129, var_unicode);
  addtoclosure(closure1129, selfslot);
  struct UserObject *uo1129 = (struct UserObject*)block1128;
  uo1129->data[0] = (Object)closure1129;
  Method *meth_meth_lexer__apply1129 = addmethod2pos(block1128, "_apply", &meth_lexer__apply1129, 0);
  int argcv_meth_lexer__apply1129[] = {1};
  meth_meth_lexer__apply1129->type = alloc_MethodType(1, argcv_meth_lexer__apply1129);
  meth_meth_lexer__apply1129->definitionModule = modulename;
  meth_meth_lexer__apply1129->definitionLine = 362;
// compiled block node returning block1128 (depth = 3)
  gc_frame_newslot(block1128);
// call case 5: prelude request
  params[0] = *var_str;
  params[1] = block1128;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1339 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1127);
// compiled call node returning call1339 (depth = 2)
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_val (depth = 2)
  gc_frame_end(frame);
  return *var_val;
}
Object meth_lexer_hexdecchar1340(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "hexdecchar");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method hexdecchar");
  Object params[4];
  int partcv[2];
  Object *var_lineNumber = getfromclosure(closure, 0);
  Object *var_linePosition = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hexdecchar (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for hexdecchar");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_AOrd = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "AOrd");
  Object *var_aOrd = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "aOrd");
  Object *var_zeroOrd = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "zeroOrd");
  Object *var_cOrd = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "cOrd");
// Begin line 418
  setline(418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 417
  setline(417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1341 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 5)
  if (strlit1342 == NULL) {
    strlit1342 = alloc_String("A");
    gc_root(strlit1342);
  }
// compiled string node returning strlit1342 (depth = 5)
  partcv[0] = 0;
  Object call1343 = callmethod(strlit1342, "ord",
    1, partcv, params);
  gc_frame_end(callframe1341);
// compiled call node returning call1343 (depth = 4)
// compiled member node returning call1343 (depth = 3)
  *var_AOrd = call1343;
  if (call1343 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 418
  setline(418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1344 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 5)
  if (strlit1345 == NULL) {
    strlit1345 = alloc_String("a");
    gc_root(strlit1345);
  }
// compiled string node returning strlit1345 (depth = 5)
  partcv[0] = 0;
  Object call1346 = callmethod(strlit1345, "ord",
    1, partcv, params);
  gc_frame_end(callframe1344);
// compiled call node returning call1346 (depth = 4)
// compiled member node returning call1346 (depth = 3)
  *var_aOrd = call1346;
  if (call1346 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1347 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 5)
  if (strlit1348 == NULL) {
    strlit1348 = alloc_String("0");
    gc_root(strlit1348);
  }
// compiled string node returning strlit1348 (depth = 5)
  partcv[0] = 0;
  Object call1349 = callmethod(strlit1348, "ord",
    1, partcv, params);
  gc_frame_end(callframe1347);
// compiled call node returning call1349 (depth = 4)
// compiled member node returning call1349 (depth = 3)
  *var_zeroOrd = call1349;
  if (call1349 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1350 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  partcv[0] = 0;
  Object call1351 = callmethod(*var_c, "ord",
    1, partcv, params);
  gc_frame_end(callframe1350);
// compiled call node returning call1351 (depth = 4)
// compiled member node returning call1351 (depth = 3)
  *var_cOrd = call1351;
  if (call1351 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1355 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 7)
  if (strlit1356 == NULL) {
    strlit1356 = alloc_String("F");
    gc_root(strlit1356);
  }
// compiled string node returning strlit1356 (depth = 7)
  partcv[0] = 0;
  Object call1357 = callmethod(strlit1356, "ord",
    1, partcv, params);
  gc_frame_end(callframe1355);
// compiled call node returning call1357 (depth = 6)
// compiled member node returning call1357 (depth = 5)
  int op_slot_right_1354 = gc_frame_newslot(call1357);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cOrd (depth = 5)
  int op_slot_left_1354 = gc_frame_newslot(*var_cOrd);
  params[0] = call1357;
  partcv[0] = 1;
  Object opresult1359 = callmethod(*var_cOrd, "<=", 1, partcv, params);
// compiled op node returning opresult1359 (depth = 4)
  int op_slot_right_1353 = gc_frame_newslot(opresult1359);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_AOrd (depth = 5)
  int op_slot_right_1361 = gc_frame_newslot(*var_AOrd);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cOrd (depth = 5)
  int op_slot_left_1361 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_AOrd;
  partcv[0] = 1;
  Object opresult1363 = callmethod(*var_cOrd, ">=", 1, partcv, params);
// compiled op node returning opresult1363 (depth = 4)
  int op_slot_left_1353 = gc_frame_newslot(opresult1363);
  params[0] = opresult1359;
  partcv[0] = 1;
  Object opresult1364 = callmethod(opresult1363, "&&", 1, partcv, params);
// compiled op node returning opresult1364 (depth = 3)
  Object if1352 = done;
  if (istrue(opresult1364)) {
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num1366 = alloc_Float64(10);
// compiled num node returning num1366 (depth = 4)
  int op_slot_right_1365 = gc_frame_newslot(num1366);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_AOrd (depth = 5)
  int op_slot_right_1368 = gc_frame_newslot(*var_AOrd);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cOrd (depth = 5)
  int op_slot_left_1368 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_AOrd;
  partcv[0] = 1;
  Object diff1370 = callmethod(*var_cOrd, "-", 1, partcv, params);
// compiled op node returning diff1370 (depth = 4)
  int op_slot_left_1365 = gc_frame_newslot(diff1370);
  params[0] = num1366;
  partcv[0] = 1;
  Object sum1371 = callmethod(diff1370, "+", 1, partcv, params);
// compiled op node returning sum1371 (depth = 3)
    gc_frame_newslot(sum1371);
    if1352 = sum1371;
  } else {
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1375 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 8)
  if (strlit1376 == NULL) {
    strlit1376 = alloc_String("f");
    gc_root(strlit1376);
  }
// compiled string node returning strlit1376 (depth = 8)
  partcv[0] = 0;
  Object call1377 = callmethod(strlit1376, "ord",
    1, partcv, params);
  gc_frame_end(callframe1375);
// compiled call node returning call1377 (depth = 7)
// compiled member node returning call1377 (depth = 6)
  int op_slot_right_1374 = gc_frame_newslot(call1377);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1374 = gc_frame_newslot(*var_cOrd);
  params[0] = call1377;
  partcv[0] = 1;
  Object opresult1379 = callmethod(*var_cOrd, "<=", 1, partcv, params);
// compiled op node returning opresult1379 (depth = 5)
  int op_slot_right_1373 = gc_frame_newslot(opresult1379);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_aOrd (depth = 6)
  int op_slot_right_1381 = gc_frame_newslot(*var_aOrd);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1381 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_aOrd;
  partcv[0] = 1;
  Object opresult1383 = callmethod(*var_cOrd, ">=", 1, partcv, params);
// compiled op node returning opresult1383 (depth = 5)
  int op_slot_left_1373 = gc_frame_newslot(opresult1383);
  params[0] = opresult1379;
  partcv[0] = 1;
  Object opresult1384 = callmethod(opresult1383, "&&", 1, partcv, params);
// compiled op node returning opresult1384 (depth = 4)
  Object if1372 = done;
  if (istrue(opresult1384)) {
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num1386 = alloc_Float64(10);
// compiled num node returning num1386 (depth = 5)
  int op_slot_right_1385 = gc_frame_newslot(num1386);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_aOrd (depth = 6)
  int op_slot_right_1388 = gc_frame_newslot(*var_aOrd);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1388 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_aOrd;
  partcv[0] = 1;
  Object diff1390 = callmethod(*var_cOrd, "-", 1, partcv, params);
// compiled op node returning diff1390 (depth = 5)
  int op_slot_left_1385 = gc_frame_newslot(diff1390);
  params[0] = num1386;
  partcv[0] = 1;
  Object sum1391 = callmethod(diff1390, "+", 1, partcv, params);
// compiled op node returning sum1391 (depth = 4)
    gc_frame_newslot(sum1391);
    if1372 = sum1391;
  } else {
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1395 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 9)
  if (strlit1396 == NULL) {
    strlit1396 = alloc_String("9");
    gc_root(strlit1396);
  }
// compiled string node returning strlit1396 (depth = 9)
  partcv[0] = 0;
  Object call1397 = callmethod(strlit1396, "ord",
    1, partcv, params);
  gc_frame_end(callframe1395);
// compiled call node returning call1397 (depth = 8)
// compiled member node returning call1397 (depth = 7)
  int op_slot_right_1394 = gc_frame_newslot(call1397);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_cOrd (depth = 7)
  int op_slot_left_1394 = gc_frame_newslot(*var_cOrd);
  params[0] = call1397;
  partcv[0] = 1;
  Object opresult1399 = callmethod(*var_cOrd, "<=", 1, partcv, params);
// compiled op node returning opresult1399 (depth = 6)
  int op_slot_right_1393 = gc_frame_newslot(opresult1399);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_zeroOrd (depth = 7)
  int op_slot_right_1401 = gc_frame_newslot(*var_zeroOrd);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_cOrd (depth = 7)
  int op_slot_left_1401 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_zeroOrd;
  partcv[0] = 1;
  Object opresult1403 = callmethod(*var_cOrd, ">=", 1, partcv, params);
// compiled op node returning opresult1403 (depth = 6)
  int op_slot_left_1393 = gc_frame_newslot(opresult1403);
  params[0] = opresult1399;
  partcv[0] = 1;
  Object opresult1404 = callmethod(opresult1403, "&&", 1, partcv, params);
// compiled op node returning opresult1404 (depth = 5)
  Object if1392 = done;
  if (istrue(opresult1404)) {
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// Begin line 426
  setline(426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_zeroOrd (depth = 6)
  int op_slot_right_1405 = gc_frame_newslot(*var_zeroOrd);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1405 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_zeroOrd;
  partcv[0] = 1;
  Object diff1407 = callmethod(*var_cOrd, "-", 1, partcv, params);
// compiled op node returning diff1407 (depth = 5)
    gc_frame_newslot(diff1407);
    if1392 = diff1407;
  } else {
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1408 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1410 == NULL) {
    strlit1410 = alloc_String("' must be a hexadecimal digit");
    gc_root(strlit1410);
  }
// compiled string node returning strlit1410 (depth = 7)
  int op_slot_right_1409 = gc_frame_newslot(strlit1410);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_right_1412 = gc_frame_newslot(*var_c);
// starting to compile string node (depth = 8)
  if (strlit1414 == NULL) {
    strlit1414 = alloc_String("The character '");
    gc_root(strlit1414);
  }
// compiled string node returning strlit1414 (depth = 8)
  int op_slot_left_1412 = gc_frame_newslot(strlit1414);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1415 = callmethod(strlit1414, "++", 1, partcv, params);
// compiled op node returning opresult1415 (depth = 7)
  int op_slot_left_1409 = gc_frame_newslot(opresult1415);
  params[0] = strlit1410;
  partcv[0] = 1;
  Object opresult1416 = callmethod(opresult1415, "++", 1, partcv, params);
// compiled op node returning opresult1416 (depth = 6)
  gc_frame_newslot(opresult1416);
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lineNumber (depth = 6)
  gc_frame_newslot(*var_lineNumber);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_linePosition (depth = 6)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_linePosition (depth = 6)
  gc_frame_newslot(*var_linePosition);
// call case 6: other member request
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult1416;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call1417 = callmethod(*var_errormessages, "syntaxError()atRange",
    2, partcv, params);
  gc_frame_end(callframe1408);
// compiled call node returning call1417 (depth = 5)
    gc_frame_newslot(call1417);
    if1392 = call1417;
  }
// compiled if node returning if1392 (depth = 4)
    gc_frame_newslot(if1392);
    if1372 = if1392;
  }
// compiled if node returning if1372 (depth = 3)
    gc_frame_newslot(if1372);
    if1352 = if1372;
  }
// compiled if node returning if1352 (depth = 2)
  gc_frame_end(frame);
  return if1352;
}
Object meth_lexer__apply1425(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[5];
  int partcv[3];
  Object *var_baseSet = getfromclosure(closure, 0);
  Object *var_sofar = getfromclosure(closure, 1);
  Object *var_base = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_i = getfromclosure(closure, 4);
  Object *var_accum = getfromclosure(closure, 5);
  Object *var_linePosition = getfromclosure(closure, 6);
  Object *var_lineNumber = getfromclosure(closure, 7);
  Object self = *(getfromclosure(closure, 8));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
// Begin line 460
  setline(460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 439
  setline(439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1428 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_baseSet (depth = 7)
  partcv[0] = 0;
  Object call1429 = callmethod(*var_baseSet, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe1428);
// compiled call node returning call1429 (depth = 6)
  int op_slot_right_1427 = gc_frame_newslot(call1429);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1432 == NULL) {
    strlit1432 = alloc_String("x");
    gc_root(strlit1432);
  }
// compiled string node returning strlit1432 (depth = 7)
  int op_slot_right_1431 = gc_frame_newslot(strlit1432);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_1431 = gc_frame_newslot(*var_c);
  params[0] = strlit1432;
  partcv[0] = 1;
  Object opresult1434 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1434 (depth = 6)
  int op_slot_left_1427 = gc_frame_newslot(opresult1434);
  params[0] = call1429;
  partcv[0] = 1;
  Object opresult1435 = callmethod(opresult1434, "&&", 1, partcv, params);
// compiled op node returning opresult1435 (depth = 5)
  Object if1426 = done;
  if (istrue(opresult1435)) {
// Begin line 441
  setline(441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1436 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sofar (depth = 8)
  partcv[0] = 0;
  Object call1437 = callmethod(*var_sofar, "asNumber",
    1, partcv, params);
  gc_frame_end(callframe1436);
// compiled call node returning call1437 (depth = 7)
// compiled member node returning call1437 (depth = 6)
  *var_base = call1437;
  if (call1437 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 441
  setline(441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool1439 = alloc_Boolean(1);
// compiled identifier node returning bool1439 (depth = 6)
  *var_baseSet = bool1439;
  if (bool1439 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 445
  setline(445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1443 = alloc_Float64(0);
// compiled num node returning num1443 (depth = 7)
  int op_slot_right_1442 = gc_frame_newslot(num1443);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_base (depth = 7)
  int op_slot_left_1442 = gc_frame_newslot(*var_base);
  params[0] = num1443;
  partcv[0] = 1;
  Object opresult1445 = callmethod(*var_base, "==", 1, partcv, params);
// compiled op node returning opresult1445 (depth = 6)
  Object if1441 = done;
  if (istrue(opresult1445)) {
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 443
  setline(443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num1446 = alloc_Float64(16);
// compiled num node returning num1446 (depth = 7)
  *var_base = num1446;
  if (num1446 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1441 = done;
  } else {
  }
// compiled if node returning if1441 (depth = 5)
// Begin line 456
  setline(456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 445
  setline(445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1451 = alloc_Float64(36);
// compiled num node returning num1451 (depth = 8)
  int op_slot_right_1450 = gc_frame_newslot(num1451);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_base (depth = 8)
  int op_slot_left_1450 = gc_frame_newslot(*var_base);
  params[0] = num1451;
  partcv[0] = 1;
  Object opresult1453 = callmethod(*var_base, ">", 1, partcv, params);
// compiled op node returning opresult1453 (depth = 7)
  int op_slot_right_1449 = gc_frame_newslot(opresult1453);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1456 = alloc_Float64(2);
// compiled num node returning num1456 (depth = 8)
  int op_slot_right_1455 = gc_frame_newslot(num1456);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_base (depth = 8)
  int op_slot_left_1455 = gc_frame_newslot(*var_base);
  params[0] = num1456;
  partcv[0] = 1;
  Object opresult1458 = callmethod(*var_base, "<", 1, partcv, params);
// compiled op node returning opresult1458 (depth = 7)
  int op_slot_left_1449 = gc_frame_newslot(opresult1458);
  params[0] = opresult1453;
  partcv[0] = 1;
  Object opresult1459 = callmethod(opresult1458, "||", 1, partcv, params);
// compiled op node returning opresult1459 (depth = 6)
  Object if1448 = done;
  if (istrue(opresult1459)) {
// Begin line 447
  setline(447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 446
  setline(446);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 7)
  Object array1460 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1460 (depth = 7)
  *var_suggestions = array1460;
  if (array1460 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// Begin line 447
  setline(447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1461 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1462 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call1463 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1462);
// compiled call node returning call1463 (depth = 10)
// compiled member node returning call1463 (depth = 9)
  partcv[0] = 0;
  Object call1464 = callmethod(call1463, "new",
    1, partcv, params);
  gc_frame_end(callframe1461);
// compiled call node returning call1464 (depth = 8)
// compiled member node returning call1464 (depth = 7)
  *var_suggestion = call1464;
  if (call1464 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1465 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_right_1466 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1469 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_accum (depth = 11)
  partcv[0] = 0;
  Object call1470 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1469);
// compiled call node returning call1470 (depth = 10)
// compiled member node returning call1470 (depth = 9)
  int op_slot_right_1468 = gc_frame_newslot(call1470);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_linePosition (depth = 9)
  int op_slot_left_1468 = gc_frame_newslot(*var_linePosition);
  params[0] = call1470;
  partcv[0] = 1;
  Object diff1472 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff1472 (depth = 8)
  int op_slot_left_1466 = gc_frame_newslot(diff1472);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1473 = callmethod(diff1472, "+", 1, partcv, params);
// compiled op node returning sum1473 (depth = 7)
  gc_frame_newslot(sum1473);
// starting to compile string node (depth = 7)
  if (strlit1474 == NULL) {
    strlit1474 = alloc_String("*");
    gc_root(strlit1474);
  }
// compiled string node returning strlit1474 (depth = 7)
  gc_frame_newslot(strlit1474);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lineNumber (depth = 7)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = sum1473;
  params[1] = strlit1474;
  params[2] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1475 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe1465);
// compiled call node returning call1475 (depth = 6)
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1476 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1477 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1476);
// compiled call node returning call1477 (depth = 6)
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1478 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1479 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call1480 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1479);
// compiled call node returning call1480 (depth = 10)
// compiled member node returning call1480 (depth = 9)
  partcv[0] = 0;
  Object call1481 = callmethod(call1480, "new",
    1, partcv, params);
  gc_frame_end(callframe1478);
// compiled call node returning call1481 (depth = 8)
// compiled member node returning call1481 (depth = 7)
  *var_suggestion = call1481;
  if (call1481 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1483 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1485 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_accum (depth = 10)
  partcv[0] = 0;
  Object call1486 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1485);
// compiled call node returning call1486 (depth = 9)
// compiled member node returning call1486 (depth = 8)
  int op_slot_right_1484 = gc_frame_newslot(call1486);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_linePosition (depth = 8)
  int op_slot_left_1484 = gc_frame_newslot(*var_linePosition);
  params[0] = call1486;
  partcv[0] = 1;
  Object diff1488 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff1488 (depth = 7)
  gc_frame_newslot(diff1488);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_right_1489 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1492 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_accum (depth = 11)
  partcv[0] = 0;
  Object call1493 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1492);
// compiled call node returning call1493 (depth = 10)
// compiled member node returning call1493 (depth = 9)
  int op_slot_right_1491 = gc_frame_newslot(call1493);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_linePosition (depth = 9)
  int op_slot_left_1491 = gc_frame_newslot(*var_linePosition);
  params[0] = call1493;
  partcv[0] = 1;
  Object diff1495 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff1495 (depth = 8)
  int op_slot_left_1489 = gc_frame_newslot(diff1495);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1496 = callmethod(diff1495, "+", 1, partcv, params);
// compiled op node returning sum1496 (depth = 7)
  gc_frame_newslot(sum1496);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lineNumber (depth = 7)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = diff1488;
  params[1] = sum1496;
  params[2] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1497 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe1483);
// compiled call node returning call1497 (depth = 6)
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1498 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1499 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1498);
// compiled call node returning call1499 (depth = 6)
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1500 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1502 == NULL) {
    strlit1502 = alloc_String(" is not a valid numerical base.");
    gc_root(strlit1502);
  }
// compiled string node returning strlit1502 (depth = 8)
  int op_slot_right_1501 = gc_frame_newslot(strlit1502);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_base (depth = 9)
  int op_slot_right_1504 = gc_frame_newslot(*var_base);
// starting to compile string node (depth = 9)
  if (strlit1506 == NULL) {
    strlit1506 = alloc_String("Base ");
    gc_root(strlit1506);
  }
// compiled string node returning strlit1506 (depth = 9)
  int op_slot_left_1504 = gc_frame_newslot(strlit1506);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1507 = callmethod(strlit1506, "++", 1, partcv, params);
// compiled op node returning opresult1507 (depth = 8)
  int op_slot_left_1501 = gc_frame_newslot(opresult1507);
  params[0] = strlit1502;
  partcv[0] = 1;
  Object opresult1508 = callmethod(opresult1507, "++", 1, partcv, params);
// compiled op node returning opresult1508 (depth = 7)
  gc_frame_newslot(opresult1508);
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lineNumber (depth = 7)
  gc_frame_newslot(*var_lineNumber);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1510 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_accum (depth = 10)
  partcv[0] = 0;
  Object call1511 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1510);
// compiled call node returning call1511 (depth = 9)
// compiled member node returning call1511 (depth = 8)
  int op_slot_right_1509 = gc_frame_newslot(call1511);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_linePosition (depth = 8)
  int op_slot_left_1509 = gc_frame_newslot(*var_linePosition);
  params[0] = call1511;
  partcv[0] = 1;
  Object diff1513 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff1513 (depth = 7)
  gc_frame_newslot(diff1513);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1515 = alloc_Float64(1);
// compiled num node returning num1515 (depth = 8)
  int op_slot_right_1514 = gc_frame_newslot(num1515);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  int op_slot_right_1517 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1520 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_accum (depth = 12)
  partcv[0] = 0;
  Object call1521 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1520);
// compiled call node returning call1521 (depth = 11)
// compiled member node returning call1521 (depth = 10)
  int op_slot_right_1519 = gc_frame_newslot(call1521);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_linePosition (depth = 10)
  int op_slot_left_1519 = gc_frame_newslot(*var_linePosition);
  params[0] = call1521;
  partcv[0] = 1;
  Object diff1523 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff1523 (depth = 9)
  int op_slot_left_1517 = gc_frame_newslot(diff1523);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1524 = callmethod(diff1523, "+", 1, partcv, params);
// compiled op node returning sum1524 (depth = 8)
  int op_slot_left_1514 = gc_frame_newslot(sum1524);
  params[0] = num1515;
  partcv[0] = 1;
  Object diff1525 = callmethod(sum1524, "-", 1, partcv, params);
// compiled op node returning diff1525 (depth = 7)
  gc_frame_newslot(diff1525);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult1508;
  params[1] = *var_lineNumber;
  params[2] = diff1513;
  params[3] = diff1525;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1526 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1500);
// compiled call node returning call1526 (depth = 6)
    gc_frame_newslot(call1526);
    if1448 = call1526;
  } else {
  }
// compiled if node returning if1448 (depth = 5)
// Begin line 457
  setline(457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 456
  setline(456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1527 == NULL) {
    strlit1527 = alloc_String("");
    gc_root(strlit1527);
  }
// compiled string node returning strlit1527 (depth = 6)
  *var_sofar = strlit1527;
  if (strlit1527 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1426 = done;
  } else {
// Begin line 459
  setline(459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 458
  setline(458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_right_1529 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sofar (depth = 7)
  int op_slot_left_1529 = gc_frame_newslot(*var_sofar);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1531 = callmethod(*var_sofar, "++", 1, partcv, params);
// compiled op node returning opresult1531 (depth = 6)
  *var_sofar = opresult1531;
  if (opresult1531 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1426 = done;
  }
// compiled if node returning if1426 (depth = 4)
// Begin line 461
  setline(461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 460
  setline(460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num1534 = alloc_Float64(1);
// compiled num node returning num1534 (depth = 6)
  int op_slot_right_1533 = gc_frame_newslot(num1534);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_1533 = gc_frame_newslot(*var_i);
  params[0] = num1534;
  partcv[0] = 1;
  Object sum1536 = callmethod(*var_i, "+", 1, partcv, params);
// compiled op node returning sum1536 (depth = 5)
  *var_i = sum1536;
  if (sum1536 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_makeNumToken1418(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "makeNumToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method makeNumToken");
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_linePosition = getfromclosure(closure, 1);
  Object *var_lineNumber = getfromclosure(closure, 2);
  Object *var_NumToken = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for makeNumToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_accum = &(stackframe->slots[0]);
  *var_accum = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for makeNumToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_base = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "base");
  Object *var_baseSet = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "baseSet");
  Object *var_sofar = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "sofar");
  Object *var_i = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "i");
  Object *var_suggestions = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "suggestions");
  Object *var_suggestion = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestion");
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 434
  setline(434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num1419 = alloc_Float64(10);
// compiled num node returning num1419 (depth = 3)
  *var_base = num1419;
  if (num1419 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1420 = alloc_Boolean(0);
// compiled identifier node returning bool1420 (depth = 3)
  *var_baseSet = bool1420;
  if (bool1420 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1421 == NULL) {
    strlit1421 = alloc_String("");
    gc_root(strlit1421);
  }
// compiled string node returning strlit1421 (depth = 3)
  *var_sofar = strlit1421;
  if (strlit1421 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 438
  setline(438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num1422 = alloc_Float64(0);
// compiled num node returning num1422 (depth = 3)
  *var_i = num1422;
  if (num1422 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 438
  setline(438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1423 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_accum (depth = 3)
  gc_frame_newslot(*var_accum);
// starting to compile block node (depth = 3)
  Object block1424 = alloc_Block(NULL, NULL, "lexer", 438);
  gc_frame_newslot(block1424);
// method _apply
  block_savedest(block1424);
  Object closure1425 = createclosure(9, "_apply");
  setclosureframe(closure1425, stackframe);
  addtoclosure(closure1425, var_baseSet);
  addtoclosure(closure1425, var_sofar);
  addtoclosure(closure1425, var_base);
  addtoclosure(closure1425, var_errormessages);
  addtoclosure(closure1425, var_i);
  addtoclosure(closure1425, var_accum);
  addtoclosure(closure1425, var_linePosition);
  addtoclosure(closure1425, var_lineNumber);
  addtoclosure(closure1425, selfslot);
  struct UserObject *uo1425 = (struct UserObject*)block1424;
  uo1425->data[0] = (Object)closure1425;
  Method *meth_meth_lexer__apply1425 = addmethod2pos(block1424, "_apply", &meth_lexer__apply1425, 0);
  int argcv_meth_lexer__apply1425[] = {1};
  meth_meth_lexer__apply1425->type = alloc_MethodType(1, argcv_meth_lexer__apply1425);
  meth_meth_lexer__apply1425->definitionModule = modulename;
  meth_meth_lexer__apply1425->definitionLine = 425;
// compiled block node returning block1424 (depth = 3)
  gc_frame_newslot(block1424);
// call case 5: prelude request
  params[0] = *var_accum;
  params[1] = block1424;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1539 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1423);
// compiled call node returning call1539 (depth = 2)
// Begin line 473
  setline(473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 462
  setline(462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1542 == NULL) {
    strlit1542 = alloc_String("");
    gc_root(strlit1542);
  }
// compiled string node returning strlit1542 (depth = 4)
  int op_slot_right_1541 = gc_frame_newslot(strlit1542);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sofar (depth = 4)
  int op_slot_left_1541 = gc_frame_newslot(*var_sofar);
  params[0] = strlit1542;
  partcv[0] = 1;
  Object opresult1544 = callmethod(*var_sofar, "==", 1, partcv, params);
// compiled op node returning opresult1544 (depth = 3)
  Object if1540 = done;
  if (istrue(opresult1544)) {
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 463
  setline(463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array1545 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1545 (depth = 4)
  *var_suggestions = array1545;
  if (array1545 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 465
  setline(465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1546 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1547 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  partcv[0] = 0;
  Object call1548 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1547);
// compiled call node returning call1548 (depth = 7)
// compiled member node returning call1548 (depth = 6)
  partcv[0] = 0;
  Object call1549 = callmethod(call1548, "new",
    1, partcv, params);
  gc_frame_end(callframe1546);
// compiled call node returning call1549 (depth = 5)
// compiled member node returning call1549 (depth = 4)
  *var_suggestion = call1549;
  if (call1549 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 465
  setline(465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1550 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1552 = alloc_Float64(1);
// compiled num node returning num1552 (depth = 5)
  int op_slot_right_1551 = gc_frame_newslot(num1552);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_right_1554 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1557 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  partcv[0] = 0;
  Object call1558 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1557);
// compiled call node returning call1558 (depth = 8)
// compiled member node returning call1558 (depth = 7)
  int op_slot_right_1556 = gc_frame_newslot(call1558);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_linePosition (depth = 7)
  int op_slot_left_1556 = gc_frame_newslot(*var_linePosition);
  params[0] = call1558;
  partcv[0] = 1;
  Object diff1560 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff1560 (depth = 6)
  int op_slot_left_1554 = gc_frame_newslot(diff1560);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1561 = callmethod(diff1560, "+", 1, partcv, params);
// compiled op node returning sum1561 (depth = 5)
  int op_slot_left_1551 = gc_frame_newslot(sum1561);
  params[0] = num1552;
  partcv[0] = 1;
  Object diff1562 = callmethod(sum1561, "-", 1, partcv, params);
// compiled op node returning diff1562 (depth = 4)
  gc_frame_newslot(diff1562);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1564 = alloc_Float64(1);
// compiled num node returning num1564 (depth = 5)
  int op_slot_right_1563 = gc_frame_newslot(num1564);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_linePosition (depth = 5)
  int op_slot_left_1563 = gc_frame_newslot(*var_linePosition);
  params[0] = num1564;
  partcv[0] = 1;
  Object diff1566 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff1566 (depth = 4)
  gc_frame_newslot(diff1566);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lineNumber (depth = 4)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = diff1562;
  params[1] = diff1566;
  params[2] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1567 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe1550);
// compiled call node returning call1567 (depth = 3)
// Begin line 466
  setline(466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1568 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1569 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1568);
// compiled call node returning call1569 (depth = 3)
// Begin line 468
  setline(468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 467
  setline(467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1570 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1571 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  partcv[0] = 0;
  Object call1572 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1571);
// compiled call node returning call1572 (depth = 7)
// compiled member node returning call1572 (depth = 6)
  partcv[0] = 0;
  Object call1573 = callmethod(call1572, "new",
    1, partcv, params);
  gc_frame_end(callframe1570);
// compiled call node returning call1573 (depth = 5)
// compiled member node returning call1573 (depth = 4)
  *var_suggestion = call1573;
  if (call1573 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 468
  setline(468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1575 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit1576 == NULL) {
    strlit1576 = alloc_String("0");
    gc_root(strlit1576);
  }
// compiled string node returning strlit1576 (depth = 4)
  gc_frame_newslot(strlit1576);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_linePosition (depth = 4)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lineNumber (depth = 4)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = strlit1576;
  params[1] = *var_linePosition;
  params[2] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1577 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe1575);
// compiled call node returning call1577 (depth = 3)
// Begin line 469
  setline(469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1578 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1579 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1578);
// compiled call node returning call1579 (depth = 3)
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1580 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit1581 == NULL) {
    strlit1581 = alloc_String("At least one digit must follow the 'x' in a number.");
    gc_root(strlit1581);
  }
// compiled string node returning strlit1581 (depth = 4)
  gc_frame_newslot(strlit1581);
// Begin line 471
  setline(471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lineNumber (depth = 4)
  gc_frame_newslot(*var_lineNumber);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  int op_slot_right_1582 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1585 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_accum (depth = 8)
  partcv[0] = 0;
  Object call1586 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1585);
// compiled call node returning call1586 (depth = 7)
// compiled member node returning call1586 (depth = 6)
  int op_slot_right_1584 = gc_frame_newslot(call1586);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_linePosition (depth = 6)
  int op_slot_left_1584 = gc_frame_newslot(*var_linePosition);
  params[0] = call1586;
  partcv[0] = 1;
  Object diff1588 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff1588 (depth = 5)
  int op_slot_left_1582 = gc_frame_newslot(diff1588);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1589 = callmethod(diff1588, "+", 1, partcv, params);
// compiled op node returning sum1589 (depth = 4)
  gc_frame_newslot(sum1589);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit1581;
  params[1] = *var_lineNumber;
  params[2] = sum1589;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1590 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1580);
// compiled call node returning call1590 (depth = 3)
    gc_frame_newslot(call1590);
    if1540 = call1590;
  } else {
  }
// compiled if node returning if1540 (depth = 2)
// Begin line 473
  setline(473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1591 = gc_frame_new();
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1592 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe1593 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sofar (depth = 6)
  gc_frame_newslot(*var_sofar);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_base (depth = 6)
  gc_frame_newslot(*var_base);
// call case 4: self request
  params[0] = *var_sofar;
  params[1] = *var_base;
  partcv[0] = 2;
  Object call1594 = callmethodflags(self, "fromBase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1593);
// compiled call node returning call1594 (depth = 5)
  partcv[0] = 0;
  Object call1595 = callmethod(call1594, "asString",
    1, partcv, params);
  gc_frame_end(callframe1592);
// compiled call node returning call1595 (depth = 4)
// compiled member node returning call1595 (depth = 3)
  gc_frame_newslot(call1595);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_base (depth = 3)
  gc_frame_newslot(*var_base);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_NumToken (depth = 3)
  params[0] = call1595;
  params[1] = *var_base;
  partcv[0] = 2;
  Object call1596 = callmethod(*var_NumToken, "new",
    1, partcv, params);
  gc_frame_end(callframe1591);
// compiled call node returning call1596 (depth = 2)
  gc_frame_end(frame);
  return call1596;
}
Object meth_lexer_isidentifierchar1597(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isidentifierchar");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method isidentifierchar");
  Object params[1];
  int partcv[1];
  Object *var_unicode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isidentifierchar (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ov = &(stackframe->slots[0]);
  *var_ov = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for isidentifierchar");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 482
  setline(482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 479
  setline(479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1599 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ov (depth = 4)
  gc_frame_newslot(*var_ov);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ov;
  partcv[0] = 1;
  Object call1600 = callmethod(*var_unicode, "isLetter",
    1, partcv, params);
  gc_frame_end(callframe1599);
// compiled call node returning call1600 (depth = 3)
  Object if1598 = done;
  if (istrue(call1600)) {
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 480
  setline(480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1601 = alloc_Boolean(1);
// compiled identifier node returning bool1601 (depth = 4)
  return bool1601;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if1598 = undefined;
  } else {
  }
// compiled if node returning if1598 (depth = 2)
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 482
  setline(482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1603 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ov (depth = 4)
  gc_frame_newslot(*var_ov);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ov;
  partcv[0] = 1;
  Object call1604 = callmethod(*var_unicode, "isNumber",
    1, partcv, params);
  gc_frame_end(callframe1603);
// compiled call node returning call1604 (depth = 3)
  Object if1602 = done;
  if (istrue(call1604)) {
// Begin line 484
  setline(484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 483
  setline(483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1605 = alloc_Boolean(1);
// compiled identifier node returning bool1605 (depth = 4)
  return bool1605;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if1602 = undefined;
  } else {
  }
// compiled if node returning if1602 (depth = 2)
// Begin line 491
  setline(491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1609 = alloc_Float64(39);
// compiled num node returning num1609 (depth = 5)
  int op_slot_right_1608 = gc_frame_newslot(num1609);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ov (depth = 5)
  int op_slot_left_1608 = gc_frame_newslot(*var_ov);
  params[0] = num1609;
  partcv[0] = 1;
  Object opresult1611 = callmethod(*var_ov, "==", 1, partcv, params);
// compiled op node returning opresult1611 (depth = 4)
  int op_slot_right_1607 = gc_frame_newslot(opresult1611);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1614 = alloc_Float64(95);
// compiled num node returning num1614 (depth = 5)
  int op_slot_right_1613 = gc_frame_newslot(num1614);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ov (depth = 5)
  int op_slot_left_1613 = gc_frame_newslot(*var_ov);
  params[0] = num1614;
  partcv[0] = 1;
  Object opresult1616 = callmethod(*var_ov, "==", 1, partcv, params);
// compiled op node returning opresult1616 (depth = 4)
  int op_slot_left_1607 = gc_frame_newslot(opresult1616);
  params[0] = opresult1611;
  partcv[0] = 1;
  Object opresult1617 = callmethod(opresult1616, "||", 1, partcv, params);
// compiled op node returning opresult1617 (depth = 3)
  Object if1606 = done;
  if (istrue(opresult1617)) {
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1618 = alloc_Boolean(1);
// compiled identifier node returning bool1618 (depth = 3)
    gc_frame_newslot(bool1618);
    if1606 = bool1618;
  } else {
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1619 = alloc_Boolean(0);
// compiled identifier node returning bool1619 (depth = 3)
    gc_frame_newslot(bool1619);
    if1606 = bool1619;
  }
// compiled if node returning if1606 (depth = 2)
  gc_frame_end(frame);
  return if1606;
}
Object meth_lexer_isoperatorchar1620(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isoperatorchar");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method isoperatorchar");
  Object params[2];
  int partcv[1];
  Object *var_unicode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isoperatorchar (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *var_ordval = &(stackframe->slots[1]);
  *var_ordval = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for isoperatorchar");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// Begin line 497
  setline(497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1624 == NULL) {
    strlit1624 = alloc_String("!");
    gc_root(strlit1624);
  }
// compiled string node returning strlit1624 (depth = 5)
  int op_slot_right_1623 = gc_frame_newslot(strlit1624);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  int op_slot_left_1623 = gc_frame_newslot(*var_c);
  params[0] = strlit1624;
  partcv[0] = 1;
  Object opresult1626 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1626 (depth = 4)
  int op_slot_right_1622 = gc_frame_newslot(opresult1626);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1630 == NULL) {
    strlit1630 = alloc_String("+");
    gc_root(strlit1630);
  }
// compiled string node returning strlit1630 (depth = 6)
  int op_slot_right_1629 = gc_frame_newslot(strlit1630);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  int op_slot_left_1629 = gc_frame_newslot(*var_c);
  params[0] = strlit1630;
  partcv[0] = 1;
  Object opresult1632 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1632 (depth = 5)
  int op_slot_right_1628 = gc_frame_newslot(opresult1632);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1636 == NULL) {
    strlit1636 = alloc_String("/");
    gc_root(strlit1636);
  }
// compiled string node returning strlit1636 (depth = 7)
  int op_slot_right_1635 = gc_frame_newslot(strlit1636);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_1635 = gc_frame_newslot(*var_c);
  params[0] = strlit1636;
  partcv[0] = 1;
  Object opresult1638 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1638 (depth = 6)
  int op_slot_right_1634 = gc_frame_newslot(opresult1638);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1642 == NULL) {
    strlit1642 = alloc_String("*");
    gc_root(strlit1642);
  }
// compiled string node returning strlit1642 (depth = 8)
  int op_slot_right_1641 = gc_frame_newslot(strlit1642);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_1641 = gc_frame_newslot(*var_c);
  params[0] = strlit1642;
  partcv[0] = 1;
  Object opresult1644 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1644 (depth = 7)
  int op_slot_right_1640 = gc_frame_newslot(opresult1644);
// starting to compile op node (depth = 7)
// Begin line 496
  setline(496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1648 == NULL) {
    strlit1648 = alloc_String("?");
    gc_root(strlit1648);
  }
// compiled string node returning strlit1648 (depth = 9)
  int op_slot_right_1647 = gc_frame_newslot(strlit1648);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_1647 = gc_frame_newslot(*var_c);
  params[0] = strlit1648;
  partcv[0] = 1;
  Object opresult1650 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1650 (depth = 8)
  int op_slot_right_1646 = gc_frame_newslot(opresult1650);
// starting to compile op node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1654 == NULL) {
    strlit1654 = alloc_String("@");
    gc_root(strlit1654);
  }
// compiled string node returning strlit1654 (depth = 10)
  int op_slot_right_1653 = gc_frame_newslot(strlit1654);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_left_1653 = gc_frame_newslot(*var_c);
  params[0] = strlit1654;
  partcv[0] = 1;
  Object opresult1656 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1656 (depth = 9)
  int op_slot_right_1652 = gc_frame_newslot(opresult1656);
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1660 == NULL) {
    strlit1660 = alloc_String("^");
    gc_root(strlit1660);
  }
// compiled string node returning strlit1660 (depth = 11)
  int op_slot_right_1659 = gc_frame_newslot(strlit1660);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_left_1659 = gc_frame_newslot(*var_c);
  params[0] = strlit1660;
  partcv[0] = 1;
  Object opresult1662 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1662 (depth = 10)
  int op_slot_right_1658 = gc_frame_newslot(opresult1662);
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1666 == NULL) {
    strlit1666 = alloc_String("%");
    gc_root(strlit1666);
  }
// compiled string node returning strlit1666 (depth = 12)
  int op_slot_right_1665 = gc_frame_newslot(strlit1666);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  int op_slot_left_1665 = gc_frame_newslot(*var_c);
  params[0] = strlit1666;
  partcv[0] = 1;
  Object opresult1668 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1668 (depth = 11)
  int op_slot_right_1664 = gc_frame_newslot(opresult1668);
// starting to compile op node (depth = 11)
// Begin line 495
  setline(495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit1672 == NULL) {
    strlit1672 = alloc_String(":");
    gc_root(strlit1672);
  }
// compiled string node returning strlit1672 (depth = 13)
  int op_slot_right_1671 = gc_frame_newslot(strlit1672);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  int op_slot_left_1671 = gc_frame_newslot(*var_c);
  params[0] = strlit1672;
  partcv[0] = 1;
  Object opresult1674 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1674 (depth = 12)
  int op_slot_right_1670 = gc_frame_newslot(opresult1674);
// starting to compile op node (depth = 12)
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit1678 == NULL) {
    strlit1678 = alloc_String("|");
    gc_root(strlit1678);
  }
// compiled string node returning strlit1678 (depth = 14)
  int op_slot_right_1677 = gc_frame_newslot(strlit1678);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_c (depth = 14)
  int op_slot_left_1677 = gc_frame_newslot(*var_c);
  params[0] = strlit1678;
  partcv[0] = 1;
  Object opresult1680 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1680 (depth = 13)
  int op_slot_right_1676 = gc_frame_newslot(opresult1680);
// starting to compile op node (depth = 13)
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit1684 == NULL) {
    strlit1684 = alloc_String("&");
    gc_root(strlit1684);
  }
// compiled string node returning strlit1684 (depth = 15)
  int op_slot_right_1683 = gc_frame_newslot(strlit1684);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_c (depth = 15)
  int op_slot_left_1683 = gc_frame_newslot(*var_c);
  params[0] = strlit1684;
  partcv[0] = 1;
  Object opresult1686 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1686 (depth = 14)
  int op_slot_right_1682 = gc_frame_newslot(opresult1686);
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit1689 == NULL) {
    strlit1689 = alloc_String("-");
    gc_root(strlit1689);
  }
// compiled string node returning strlit1689 (depth = 15)
  int op_slot_right_1688 = gc_frame_newslot(strlit1689);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_c (depth = 15)
  int op_slot_left_1688 = gc_frame_newslot(*var_c);
  params[0] = strlit1689;
  partcv[0] = 1;
  Object opresult1691 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1691 (depth = 14)
  int op_slot_left_1682 = gc_frame_newslot(opresult1691);
  params[0] = opresult1686;
  partcv[0] = 1;
  Object opresult1692 = callmethod(opresult1691, "||", 1, partcv, params);
// compiled op node returning opresult1692 (depth = 13)
  int op_slot_left_1676 = gc_frame_newslot(opresult1692);
  params[0] = opresult1680;
  partcv[0] = 1;
  Object opresult1693 = callmethod(opresult1692, "||", 1, partcv, params);
// compiled op node returning opresult1693 (depth = 12)
  int op_slot_left_1670 = gc_frame_newslot(opresult1693);
  params[0] = opresult1674;
  partcv[0] = 1;
  Object opresult1694 = callmethod(opresult1693, "||", 1, partcv, params);
// compiled op node returning opresult1694 (depth = 11)
  int op_slot_left_1664 = gc_frame_newslot(opresult1694);
  params[0] = opresult1668;
  partcv[0] = 1;
  Object opresult1695 = callmethod(opresult1694, "||", 1, partcv, params);
// compiled op node returning opresult1695 (depth = 10)
  int op_slot_left_1658 = gc_frame_newslot(opresult1695);
  params[0] = opresult1662;
  partcv[0] = 1;
  Object opresult1696 = callmethod(opresult1695, "||", 1, partcv, params);
// compiled op node returning opresult1696 (depth = 9)
  int op_slot_left_1652 = gc_frame_newslot(opresult1696);
  params[0] = opresult1656;
  partcv[0] = 1;
  Object opresult1697 = callmethod(opresult1696, "||", 1, partcv, params);
// compiled op node returning opresult1697 (depth = 8)
  int op_slot_left_1646 = gc_frame_newslot(opresult1697);
  params[0] = opresult1650;
  partcv[0] = 1;
  Object opresult1698 = callmethod(opresult1697, "||", 1, partcv, params);
// compiled op node returning opresult1698 (depth = 7)
  int op_slot_left_1640 = gc_frame_newslot(opresult1698);
  params[0] = opresult1644;
  partcv[0] = 1;
  Object opresult1699 = callmethod(opresult1698, "||", 1, partcv, params);
// compiled op node returning opresult1699 (depth = 6)
  int op_slot_left_1634 = gc_frame_newslot(opresult1699);
  params[0] = opresult1638;
  partcv[0] = 1;
  Object opresult1700 = callmethod(opresult1699, "||", 1, partcv, params);
// compiled op node returning opresult1700 (depth = 5)
  int op_slot_left_1628 = gc_frame_newslot(opresult1700);
  params[0] = opresult1632;
  partcv[0] = 1;
  Object opresult1701 = callmethod(opresult1700, "||", 1, partcv, params);
// compiled op node returning opresult1701 (depth = 4)
  int op_slot_left_1622 = gc_frame_newslot(opresult1701);
  params[0] = opresult1626;
  partcv[0] = 1;
  Object opresult1702 = callmethod(opresult1701, "||", 1, partcv, params);
// compiled op node returning opresult1702 (depth = 3)
  Object if1621 = done;
  if (istrue(opresult1702)) {
// Begin line 500
  setline(500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 499
  setline(499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1703 = alloc_Boolean(1);
// compiled identifier node returning bool1703 (depth = 4)
  return bool1703;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if1621 = undefined;
  } else {
  }
// compiled if node returning if1621 (depth = 2)
// Begin line 506
  setline(506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1705 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ordval (depth = 4)
  gc_frame_newslot(*var_ordval);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call1706 = callmethod(*var_unicode, "isSymbolMathematical",
    1, partcv, params);
  gc_frame_end(callframe1705);
// compiled call node returning call1706 (depth = 3)
  Object if1704 = done;
  if (istrue(call1706)) {
// Begin line 503
  setline(503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1707 = alloc_Boolean(1);
// compiled identifier node returning bool1707 (depth = 4)
  return bool1707;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if1704 = undefined;
  } else {
// Begin line 506
  setline(506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 503
  setline(503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1709 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// starting to compile string node (depth = 5)
  if (strlit1710 == NULL) {
    strlit1710 = alloc_String("So");
    gc_root(strlit1710);
  }
// compiled string node returning strlit1710 (depth = 5)
  gc_frame_newslot(strlit1710);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_unicode (depth = 5)
  params[0] = *var_c;
  params[1] = strlit1710;
  partcv[0] = 2;
  Object call1711 = callmethod(*var_unicode, "iscategory",
    1, partcv, params);
  gc_frame_end(callframe1709);
// compiled call node returning call1711 (depth = 4)
  Object if1708 = done;
  if (istrue(call1711)) {
// Begin line 505
  setline(505);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 504
  setline(504);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool1712 = alloc_Boolean(1);
// compiled identifier node returning bool1712 (depth = 5)
  return bool1712;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if1708 = undefined;
  } else {
  }
// compiled if node returning if1708 (depth = 3)
    gc_frame_newslot(if1708);
    if1704 = if1708;
  }
// compiled if node returning if1704 (depth = 2)
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 506
  setline(506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1713 = alloc_Boolean(0);
// compiled identifier node returning bool1713 (depth = 3)
  return bool1713;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer__apply1727(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_line = getfromclosure(closure, 0);
  Object *var_lines = getfromclosure(closure, 1);
  Object *var_cLine = getfromclosure(closure, 2);
  Object *var_cLines = getfromclosure(closure, 3);
  Object *var_wasCR = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 555
  setline(555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1730 == NULL) {
    strlit1730 = alloc_String("""\x0d""");
    gc_root(strlit1730);
  }
// compiled string node returning strlit1730 (depth = 6)
  int op_slot_right_1729 = gc_frame_newslot(strlit1730);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  int op_slot_left_1729 = gc_frame_newslot(*var_c);
  params[0] = strlit1730;
  partcv[0] = 1;
  Object opresult1732 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1732 (depth = 5)
  Object if1728 = done;
  if (istrue(opresult1732)) {
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1733 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_line (depth = 6)
  gc_frame_newslot(*var_line);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lines (depth = 6)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1734 = callmethod(*var_lines, "push",
    1, partcv, params);
  gc_frame_end(callframe1733);
// compiled call node returning call1734 (depth = 5)
// Begin line 521
  setline(521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1735 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cLine (depth = 6)
  gc_frame_newslot(*var_cLine);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cLines (depth = 6)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1736 = callmethod(*var_cLines, "push",
    1, partcv, params);
  gc_frame_end(callframe1735);
// compiled call node returning call1736 (depth = 5)
// Begin line 523
  setline(523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 522
  setline(522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1737 == NULL) {
    strlit1737 = alloc_String("");
    gc_root(strlit1737);
  }
// compiled string node returning strlit1737 (depth = 6)
  *var_line = strlit1737;
  if (strlit1737 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 523
  setline(523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1739 == NULL) {
    strlit1739 = alloc_String("");
    gc_root(strlit1739);
  }
// compiled string node returning strlit1739 (depth = 6)
  *var_cLine = strlit1739;
  if (strlit1739 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 525
  setline(525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool1741 = alloc_Boolean(1);
// compiled identifier node returning bool1741 (depth = 6)
  *var_wasCR = bool1741;
  if (bool1741 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1728 = done;
  } else {
// Begin line 536
  setline(536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 525
  setline(525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1745 == NULL) {
    strlit1745 = alloc_String("""\x0a""");
    gc_root(strlit1745);
  }
// compiled string node returning strlit1745 (depth = 7)
  int op_slot_right_1744 = gc_frame_newslot(strlit1745);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_1744 = gc_frame_newslot(*var_c);
  params[0] = strlit1745;
  partcv[0] = 1;
  Object opresult1747 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1747 (depth = 6)
  Object if1743 = done;
  if (istrue(opresult1747)) {
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 526
  setline(526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_wasCR (depth = 7)
  Object if1748 = done;
  if (istrue(*var_wasCR)) {
    gc_frame_newslot(done);
    if1748 = done;
  } else {
// Begin line 530
  setline(530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1749 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_line (depth = 8)
  gc_frame_newslot(*var_line);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lines (depth = 8)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1750 = callmethod(*var_lines, "push",
    1, partcv, params);
  gc_frame_end(callframe1749);
// compiled call node returning call1750 (depth = 7)
// Begin line 531
  setline(531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1751 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLine (depth = 8)
  gc_frame_newslot(*var_cLine);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLines (depth = 8)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1752 = callmethod(*var_cLines, "push",
    1, partcv, params);
  gc_frame_end(callframe1751);
// compiled call node returning call1752 (depth = 7)
// Begin line 533
  setline(533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 532
  setline(532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit1753 == NULL) {
    strlit1753 = alloc_String("");
    gc_root(strlit1753);
  }
// compiled string node returning strlit1753 (depth = 8)
  *var_line = strlit1753;
  if (strlit1753 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 534
  setline(534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 533
  setline(533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit1755 == NULL) {
    strlit1755 = alloc_String("");
    gc_root(strlit1755);
  }
// compiled string node returning strlit1755 (depth = 8)
  *var_cLine = strlit1755;
  if (strlit1755 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1748 = done;
  }
// compiled if node returning if1748 (depth = 6)
// Begin line 536
  setline(536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool1757 = alloc_Boolean(0);
// compiled identifier node returning bool1757 (depth = 7)
  *var_wasCR = bool1757;
  if (bool1757 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1743 = done;
  } else {
// Begin line 542
  setline(542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 536
  setline(536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1761 == NULL) {
    strlit1761 = alloc_String("""\xe2""""\x80""""\xa8""");
    gc_root(strlit1761);
  }
// compiled string node returning strlit1761 (depth = 8)
  int op_slot_right_1760 = gc_frame_newslot(strlit1761);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_1760 = gc_frame_newslot(*var_c);
  params[0] = strlit1761;
  partcv[0] = 1;
  Object opresult1763 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1763 (depth = 7)
  Object if1759 = done;
  if (istrue(opresult1763)) {
// Begin line 537
  setline(537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1764 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_line (depth = 8)
  gc_frame_newslot(*var_line);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lines (depth = 8)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1765 = callmethod(*var_lines, "push",
    1, partcv, params);
  gc_frame_end(callframe1764);
// compiled call node returning call1765 (depth = 7)
// Begin line 538
  setline(538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1766 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLine (depth = 8)
  gc_frame_newslot(*var_cLine);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLines (depth = 8)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1767 = callmethod(*var_cLines, "push",
    1, partcv, params);
  gc_frame_end(callframe1766);
// compiled call node returning call1767 (depth = 7)
// Begin line 540
  setline(540);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 539
  setline(539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit1768 == NULL) {
    strlit1768 = alloc_String("");
    gc_root(strlit1768);
  }
// compiled string node returning strlit1768 (depth = 8)
  *var_line = strlit1768;
  if (strlit1768 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 540
  setline(540);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit1770 == NULL) {
    strlit1770 = alloc_String("");
    gc_root(strlit1770);
  }
// compiled string node returning strlit1770 (depth = 8)
  *var_cLine = strlit1770;
  if (strlit1770 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 542
  setline(542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool1772 = alloc_Boolean(0);
// compiled identifier node returning bool1772 (depth = 8)
  *var_wasCR = bool1772;
  if (bool1772 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1759 = done;
  } else {
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 542
  setline(542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1776 == NULL) {
    strlit1776 = alloc_String("\\");
    gc_root(strlit1776);
  }
// compiled string node returning strlit1776 (depth = 9)
  int op_slot_right_1775 = gc_frame_newslot(strlit1776);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_1775 = gc_frame_newslot(*var_c);
  params[0] = strlit1776;
  partcv[0] = 1;
  Object opresult1778 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1778 (depth = 8)
  Object if1774 = done;
  if (istrue(opresult1778)) {
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit1780 == NULL) {
    strlit1780 = alloc_String("\\");
    gc_root(strlit1780);
  }
// compiled string node returning strlit1780 (depth = 10)
  int op_slot_right_1779 = gc_frame_newslot(strlit1780);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_line (depth = 10)
  int op_slot_left_1779 = gc_frame_newslot(*var_line);
  params[0] = strlit1780;
  partcv[0] = 1;
  Object opresult1782 = callmethod(*var_line, "++", 1, partcv, params);
// compiled op node returning opresult1782 (depth = 9)
  *var_line = opresult1782;
  if (opresult1782 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit1785 == NULL) {
    strlit1785 = alloc_String("\\\\");
    gc_root(strlit1785);
  }
// compiled string node returning strlit1785 (depth = 10)
  int op_slot_right_1784 = gc_frame_newslot(strlit1785);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_cLine (depth = 10)
  int op_slot_left_1784 = gc_frame_newslot(*var_cLine);
  params[0] = strlit1785;
  partcv[0] = 1;
  Object opresult1787 = callmethod(*var_cLine, "++", 1, partcv, params);
// compiled op node returning opresult1787 (depth = 9)
  *var_cLine = opresult1787;
  if (opresult1787 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
  Object bool1789 = alloc_Boolean(0);
// compiled identifier node returning bool1789 (depth = 9)
  *var_wasCR = bool1789;
  if (bool1789 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if1774 = done;
  } else {
// Begin line 550
  setline(550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1793 == NULL) {
    strlit1793 = alloc_String("""\x22""");
    gc_root(strlit1793);
  }
// compiled string node returning strlit1793 (depth = 10)
  int op_slot_right_1792 = gc_frame_newslot(strlit1793);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_left_1792 = gc_frame_newslot(*var_c);
  params[0] = strlit1793;
  partcv[0] = 1;
  Object opresult1795 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1795 (depth = 9)
  Object if1791 = done;
  if (istrue(opresult1795)) {
// Begin line 548
  setline(548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit1797 == NULL) {
    strlit1797 = alloc_String("""\x22""");
    gc_root(strlit1797);
  }
// compiled string node returning strlit1797 (depth = 11)
  int op_slot_right_1796 = gc_frame_newslot(strlit1797);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_line (depth = 11)
  int op_slot_left_1796 = gc_frame_newslot(*var_line);
  params[0] = strlit1797;
  partcv[0] = 1;
  Object opresult1799 = callmethod(*var_line, "++", 1, partcv, params);
// compiled op node returning opresult1799 (depth = 10)
  *var_line = opresult1799;
  if (opresult1799 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 549
  setline(549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// Begin line 548
  setline(548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit1802 == NULL) {
    strlit1802 = alloc_String("\\""\x22""");
    gc_root(strlit1802);
  }
// compiled string node returning strlit1802 (depth = 11)
  int op_slot_right_1801 = gc_frame_newslot(strlit1802);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_cLine (depth = 11)
  int op_slot_left_1801 = gc_frame_newslot(*var_cLine);
  params[0] = strlit1802;
  partcv[0] = 1;
  Object opresult1804 = callmethod(*var_cLine, "++", 1, partcv, params);
// compiled op node returning opresult1804 (depth = 10)
  *var_cLine = opresult1804;
  if (opresult1804 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 550
  setline(550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 549
  setline(549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
  Object bool1806 = alloc_Boolean(0);
// compiled identifier node returning bool1806 (depth = 10)
  *var_wasCR = bool1806;
  if (bool1806 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if1791 = done;
  } else {
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// Begin line 551
  setline(551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_right_1808 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_line (depth = 11)
  int op_slot_left_1808 = gc_frame_newslot(*var_line);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1810 = callmethod(*var_line, "++", 1, partcv, params);
// compiled op node returning opresult1810 (depth = 10)
  *var_line = opresult1810;
  if (opresult1810 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_right_1812 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_cLine (depth = 11)
  int op_slot_left_1812 = gc_frame_newslot(*var_cLine);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1814 = callmethod(*var_cLine, "++", 1, partcv, params);
// compiled op node returning opresult1814 (depth = 10)
  *var_cLine = opresult1814;
  if (opresult1814 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 554
  setline(554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
  Object bool1816 = alloc_Boolean(0);
// compiled identifier node returning bool1816 (depth = 10)
  *var_wasCR = bool1816;
  if (bool1816 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if1791 = done;
  }
// compiled if node returning if1791 (depth = 8)
    gc_frame_newslot(if1791);
    if1774 = if1791;
  }
// compiled if node returning if1774 (depth = 7)
    gc_frame_newslot(if1774);
    if1759 = if1774;
  }
// compiled if node returning if1759 (depth = 6)
    gc_frame_newslot(if1759);
    if1743 = if1759;
  }
// compiled if node returning if1743 (depth = 5)
    gc_frame_newslot(if1743);
    if1728 = if1743;
  }
// compiled if node returning if1728 (depth = 4)
  gc_frame_end(frame);
  return if1728;
}
Object meth_lexer_lexfile1714(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lexfile");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method lexfile");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lexfile (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_file = &(stackframe->slots[0]);
  *var_file = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for lexfile");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_lines = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "lines");
  Object *var_cLines = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "cLines");
  Object *var_line = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "line");
  Object *var_cLine = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "cLine");
  Object *var_wasCR = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "wasCR");
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1715 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit1716 == NULL) {
    strlit1716 = alloc_String("reading source.");
    gc_root(strlit1716);
  }
// compiled string node returning strlit1716 (depth = 3)
  gc_frame_newslot(strlit1716);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = strlit1716;
  partcv[0] = 1;
  Object call1717 = callmethod(*var_util, "log_verbose",
    1, partcv, params);
  gc_frame_end(callframe1715);
// compiled call node returning call1717 (depth = 2)
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array1718 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1718 (depth = 3)
  *var_lines = array1718;
  if (array1718 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array1719 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1719 (depth = 3)
  *var_cLines = array1719;
  if (array1719 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1720 == NULL) {
    strlit1720 = alloc_String("");
    gc_root(strlit1720);
  }
// compiled string node returning strlit1720 (depth = 3)
  *var_line = strlit1720;
  if (strlit1720 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1721 == NULL) {
    strlit1721 = alloc_String("");
    gc_root(strlit1721);
  }
// compiled string node returning strlit1721 (depth = 3)
  *var_cLine = strlit1721;
  if (strlit1721 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1722 = alloc_Boolean(0);
// compiled identifier node returning bool1722 (depth = 3)
  *var_wasCR = bool1722;
  if (bool1722 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1723 = gc_frame_new();
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1724 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_file (depth = 5)
  partcv[0] = 0;
  Object call1725 = callmethod(*var_file, "read",
    1, partcv, params);
  gc_frame_end(callframe1724);
// compiled call node returning call1725 (depth = 4)
// compiled member node returning call1725 (depth = 3)
  gc_frame_newslot(call1725);
// starting to compile block node (depth = 3)
  Object block1726 = alloc_Block(NULL, NULL, "lexer", 518);
  gc_frame_newslot(block1726);
// method _apply
  block_savedest(block1726);
  Object closure1727 = createclosure(6, "_apply");
  setclosureframe(closure1727, stackframe);
  addtoclosure(closure1727, var_line);
  addtoclosure(closure1727, var_lines);
  addtoclosure(closure1727, var_cLine);
  addtoclosure(closure1727, var_cLines);
  addtoclosure(closure1727, var_wasCR);
  addtoclosure(closure1727, selfslot);
  struct UserObject *uo1727 = (struct UserObject*)block1726;
  uo1727->data[0] = (Object)closure1727;
  Method *meth_meth_lexer__apply1727 = addmethod2pos(block1726, "_apply", &meth_lexer__apply1727, 0);
  int argcv_meth_lexer__apply1727[] = {1};
  meth_meth_lexer__apply1727->type = alloc_MethodType(1, argcv_meth_lexer__apply1727);
  meth_meth_lexer__apply1727->definitionModule = modulename;
  meth_meth_lexer__apply1727->definitionLine = 518;
// compiled block node returning block1726 (depth = 3)
  gc_frame_newslot(block1726);
// call case 5: prelude request
  params[0] = call1725;
  params[1] = block1726;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1819 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1723);
// compiled call node returning call1819 (depth = 2)
// Begin line 561
  setline(561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 556
  setline(556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1822 == NULL) {
    strlit1822 = alloc_String("");
    gc_root(strlit1822);
  }
// compiled string node returning strlit1822 (depth = 4)
  int op_slot_right_1821 = gc_frame_newslot(strlit1822);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_line (depth = 4)
  int op_slot_left_1821 = gc_frame_newslot(*var_line);
  params[0] = strlit1822;
  partcv[0] = 1;
  Object opresult1824 = callmethod(*var_line, "!=", 1, partcv, params);
// compiled op node returning opresult1824 (depth = 3)
  Object if1820 = done;
  if (istrue(opresult1824)) {
// Begin line 558
  setline(558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1825 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_line (depth = 4)
  gc_frame_newslot(*var_line);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lines (depth = 4)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1826 = callmethod(*var_lines, "push",
    1, partcv, params);
  gc_frame_end(callframe1825);
// compiled call node returning call1826 (depth = 3)
// Begin line 559
  setline(559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1827 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cLine (depth = 4)
  gc_frame_newslot(*var_cLine);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cLines (depth = 4)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1828 = callmethod(*var_cLines, "push",
    1, partcv, params);
  gc_frame_end(callframe1827);
// compiled call node returning call1828 (depth = 3)
    gc_frame_newslot(call1828);
    if1820 = call1828;
  } else {
  }
// compiled if node returning if1820 (depth = 2)
// Begin line 562
  setline(562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1829 = gc_frame_new();
// Begin line 561
  setline(561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lines (depth = 4)
  gc_frame_newslot(*var_lines);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = *var_lines;
  partcv[0] = 1;
  Object call1830 = callmethod(*var_util, "lines:=",
    1, partcv, params);
  gc_frame_end(callframe1829);
// compiled call node returning call1830 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 563
  setline(563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1831 = gc_frame_new();
// Begin line 562
  setline(562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cLines (depth = 4)
  gc_frame_newslot(*var_cLines);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = *var_cLines;
  partcv[0] = 1;
  Object call1832 = callmethod(*var_util, "cLines:=",
    1, partcv, params);
  gc_frame_end(callframe1831);
// compiled call node returning call1832 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 563
  setline(563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1833 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lines (depth = 3)
  gc_frame_newslot(*var_lines);
// call case 4: self request
  params[0] = *var_lines;
  partcv[0] = 1;
  Object call1834 = callmethodflags(self, "lexinput", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1833);
// compiled call node returning call1834 (depth = 2)
  gc_frame_end(frame);
  return call1834;
}
Object meth_lexer_push1841(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "push");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method push");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for push (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for push");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 574
  setline(574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1844 = alloc_Boolean(0);
// compiled identifier node returning bool1844 (depth = 6)
  int op_slot_right_1843 = gc_frame_newslot(bool1844);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1846 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1847 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1846);
// compiled call node returning call1847 (depth = 7)
// compiled member node returning call1847 (depth = 6)
  int op_slot_left_1843 = gc_frame_newslot(call1847);
  params[0] = bool1844;
  partcv[0] = 1;
  Object opresult1848 = callmethod(call1847, "==", 1, partcv, params);
// compiled op node returning opresult1848 (depth = 5)
  Object if1842 = done;
  if (istrue(opresult1848)) {
// Begin line 576
  setline(576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 574
  setline(574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1849 = gc_frame_new();
// Begin line 575
  setline(575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_t (depth = 7)
  gc_frame_newslot(*var_t);
// call case 4: self request
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1850 = callmethodflags(self, "first:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1849);
// compiled call node returning call1850 (depth = 6)
// compiled bind node returning done (depth = 5)
// Begin line 577
  setline(577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 574
  setline(574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1851 = gc_frame_new();
// Begin line 576
  setline(576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_t (depth = 7)
  gc_frame_newslot(*var_t);
// call case 4: self request
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1852 = callmethodflags(self, "last:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1851);
// compiled call node returning call1852 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1842 = done;
  } else {
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 574
  setline(574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1853 = gc_frame_new();
// Begin line 578
  setline(578);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_t (depth = 7)
  gc_frame_newslot(*var_t);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1854 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1855 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1854);
// compiled call node returning call1855 (depth = 8)
// compiled member node returning call1855 (depth = 7)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1856 = callmethod(call1855, "next:=",
    1, partcv, params);
  gc_frame_end(callframe1853);
// compiled call node returning call1856 (depth = 6)
// compiled bind node returning done (depth = 5)
// Begin line 580
  setline(580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 578
  setline(578);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1857 = gc_frame_new();
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1858 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1859 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1858);
// compiled call node returning call1859 (depth = 8)
// compiled member node returning call1859 (depth = 7)
  gc_frame_newslot(call1859);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_t (depth = 7)
  params[0] = call1859;
  partcv[0] = 1;
  Object call1860 = callmethod(*var_t, "prev:=",
    1, partcv, params);
  gc_frame_end(callframe1857);
// compiled call node returning call1860 (depth = 6)
// compiled bind node returning done (depth = 5)
// Begin line 581
  setline(581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1861 = gc_frame_new();
// Begin line 580
  setline(580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_t (depth = 7)
  gc_frame_newslot(*var_t);
// call case 4: self request
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1862 = callmethodflags(self, "last:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1861);
// compiled call node returning call1862 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1842 = done;
  }
// compiled if node returning if1842 (depth = 4)
// Begin line 583
  setline(583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1863 = gc_frame_new();
// Begin line 583
  setline(583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num1865 = alloc_Float64(1);
// compiled num node returning num1865 (depth = 7)
  int op_slot_right_1864 = gc_frame_newslot(num1865);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1867 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1868 = callmethodflags(self, "size'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1867);
// compiled call node returning call1868 (depth = 8)
// compiled member node returning call1868 (depth = 7)
  int op_slot_left_1864 = gc_frame_newslot(call1868);
  params[0] = num1865;
  partcv[0] = 1;
  Object sum1869 = callmethod(call1868, "+", 1, partcv, params);
// compiled op node returning sum1869 (depth = 6)
  gc_frame_newslot(sum1869);
// call case 4: self request
  params[0] = sum1869;
  partcv[0] = 1;
  Object call1870 = callmethodflags(self, "size':=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1863);
// compiled call node returning call1870 (depth = 5)
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_pop1871(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pop");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pop (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for pop");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_popped = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "popped");
// Begin line 595
  setline(595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 586
  setline(586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1874 = alloc_Boolean(0);
// compiled identifier node returning bool1874 (depth = 6)
  int op_slot_right_1873 = gc_frame_newslot(bool1874);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1876 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1877 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1876);
// compiled call node returning call1877 (depth = 7)
// compiled member node returning call1877 (depth = 6)
  int op_slot_left_1873 = gc_frame_newslot(call1877);
  params[0] = bool1874;
  partcv[0] = 1;
  Object opresult1878 = callmethod(call1877, "!=", 1, partcv, params);
// compiled op node returning opresult1878 (depth = 5)
  Object if1872 = done;
  if (istrue(opresult1878)) {
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 587
  setline(587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1879 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1880 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1879);
// compiled call node returning call1880 (depth = 7)
// compiled member node returning call1880 (depth = 6)
  *var_popped = call1880;
  if (call1880 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 589
  setline(589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 587
  setline(587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1881 = gc_frame_new();
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1882 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1883 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1884 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1883);
// compiled call node returning call1884 (depth = 10)
// compiled member node returning call1884 (depth = 9)
  partcv[0] = 0;
  Object call1885 = callmethod(call1884, "prev",
    1, partcv, params);
  gc_frame_end(callframe1882);
// compiled call node returning call1885 (depth = 8)
// compiled member node returning call1885 (depth = 7)
  gc_frame_newslot(call1885);
// call case 4: self request
  params[0] = call1885;
  partcv[0] = 1;
  Object call1886 = callmethodflags(self, "last:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1881);
// compiled call node returning call1886 (depth = 6)
// compiled bind node returning done (depth = 5)
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 589
  setline(589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1889 = alloc_Boolean(0);
// compiled identifier node returning bool1889 (depth = 7)
  int op_slot_right_1888 = gc_frame_newslot(bool1889);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1891 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1892 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1891);
// compiled call node returning call1892 (depth = 8)
// compiled member node returning call1892 (depth = 7)
  int op_slot_left_1888 = gc_frame_newslot(call1892);
  params[0] = bool1889;
  partcv[0] = 1;
  Object opresult1893 = callmethod(call1892, "==", 1, partcv, params);
// compiled op node returning opresult1893 (depth = 6)
  Object if1887 = done;
  if (istrue(opresult1893)) {
// Begin line 591
  setline(591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 589
  setline(589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1894 = gc_frame_new();
// Begin line 590
  setline(590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool1895 = alloc_Boolean(0);
// compiled identifier node returning bool1895 (depth = 8)
  gc_frame_newslot(bool1895);
// call case 4: self request
  params[0] = bool1895;
  partcv[0] = 1;
  Object call1896 = callmethodflags(self, "first:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1894);
// compiled call node returning call1896 (depth = 7)
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1887 = done;
  } else {
  }
// compiled if node returning if1887 (depth = 5)
// Begin line 593
  setline(593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 589
  setline(589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1897 = gc_frame_new();
// Begin line 593
  setline(593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 8)
  Object num1899 = alloc_Float64(1);
// compiled num node returning num1899 (depth = 8)
  int op_slot_right_1898 = gc_frame_newslot(num1899);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1901 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1902 = callmethodflags(self, "size'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1901);
// compiled call node returning call1902 (depth = 9)
// compiled member node returning call1902 (depth = 8)
  int op_slot_left_1898 = gc_frame_newslot(call1902);
  params[0] = num1899;
  partcv[0] = 1;
  Object diff1903 = callmethod(call1902, "-", 1, partcv, params);
// compiled op node returning diff1903 (depth = 7)
  gc_frame_newslot(diff1903);
// call case 4: self request
  params[0] = diff1903;
  partcv[0] = 1;
  Object call1904 = callmethodflags(self, "size':=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1897);
// compiled call node returning call1904 (depth = 6)
// compiled bind node returning done (depth = 5)
// Begin line 593
  setline(593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_popped (depth = 5)
    gc_frame_newslot(*var_popped);
    if1872 = *var_popped;
  } else {
  }
// compiled if node returning if1872 (depth = 4)
  gc_frame_end(frame);
  return if1872;
}
Object meth_lexer_poll1905(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "poll");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for poll (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for poll");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_polled = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "polled");
// Begin line 607
  setline(607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 598
  setline(598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1908 = alloc_Boolean(0);
// compiled identifier node returning bool1908 (depth = 6)
  int op_slot_right_1907 = gc_frame_newslot(bool1908);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1910 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1911 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1910);
// compiled call node returning call1911 (depth = 7)
// compiled member node returning call1911 (depth = 6)
  int op_slot_left_1907 = gc_frame_newslot(call1911);
  params[0] = bool1908;
  partcv[0] = 1;
  Object opresult1912 = callmethod(call1911, "!=", 1, partcv, params);
// compiled op node returning opresult1912 (depth = 5)
  Object if1906 = done;
  if (istrue(opresult1912)) {
// Begin line 600
  setline(600);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 599
  setline(599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1913 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1914 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1913);
// compiled call node returning call1914 (depth = 7)
// compiled member node returning call1914 (depth = 6)
  *var_polled = call1914;
  if (call1914 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 599
  setline(599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1915 = gc_frame_new();
// Begin line 600
  setline(600);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1916 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1917 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1918 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1917);
// compiled call node returning call1918 (depth = 10)
// compiled member node returning call1918 (depth = 9)
  partcv[0] = 0;
  Object call1919 = callmethod(call1918, "next",
    1, partcv, params);
  gc_frame_end(callframe1916);
// compiled call node returning call1919 (depth = 8)
// compiled member node returning call1919 (depth = 7)
  gc_frame_newslot(call1919);
// call case 4: self request
  params[0] = call1919;
  partcv[0] = 1;
  Object call1920 = callmethodflags(self, "first:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1915);
// compiled call node returning call1920 (depth = 6)
// compiled bind node returning done (depth = 5)
// Begin line 604
  setline(604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1923 = alloc_Boolean(0);
// compiled identifier node returning bool1923 (depth = 7)
  int op_slot_right_1922 = gc_frame_newslot(bool1923);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1925 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1926 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1925);
// compiled call node returning call1926 (depth = 8)
// compiled member node returning call1926 (depth = 7)
  int op_slot_left_1922 = gc_frame_newslot(call1926);
  params[0] = bool1923;
  partcv[0] = 1;
  Object opresult1927 = callmethod(call1926, "==", 1, partcv, params);
// compiled op node returning opresult1927 (depth = 6)
  Object if1921 = done;
  if (istrue(opresult1927)) {
// Begin line 603
  setline(603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1928 = gc_frame_new();
// Begin line 602
  setline(602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool1929 = alloc_Boolean(0);
// compiled identifier node returning bool1929 (depth = 8)
  gc_frame_newslot(bool1929);
// call case 4: self request
  params[0] = bool1929;
  partcv[0] = 1;
  Object call1930 = callmethodflags(self, "last:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1928);
// compiled call node returning call1930 (depth = 7)
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1921 = done;
  } else {
  }
// compiled if node returning if1921 (depth = 5)
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1931 = gc_frame_new();
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// Begin line 604
  setline(604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 8)
  Object num1933 = alloc_Float64(1);
// compiled num node returning num1933 (depth = 8)
  int op_slot_right_1932 = gc_frame_newslot(num1933);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1935 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1936 = callmethodflags(self, "size'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1935);
// compiled call node returning call1936 (depth = 9)
// compiled member node returning call1936 (depth = 8)
  int op_slot_left_1932 = gc_frame_newslot(call1936);
  params[0] = num1933;
  partcv[0] = 1;
  Object diff1937 = callmethod(call1936, "-", 1, partcv, params);
// compiled op node returning diff1937 (depth = 7)
  gc_frame_newslot(diff1937);
// call case 4: self request
  params[0] = diff1937;
  partcv[0] = 1;
  Object call1938 = callmethodflags(self, "size':=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1931);
// compiled call node returning call1938 (depth = 6)
// compiled bind node returning done (depth = 5)
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_polled (depth = 5)
    gc_frame_newslot(*var_polled);
    if1906 = *var_polled;
  } else {
  }
// compiled if node returning if1906 (depth = 4)
  gc_frame_end(frame);
  return if1906;
}
Object meth_lexer_size1939(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for size (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for size");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 611
  setline(611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num1941 = alloc_Float64(0);
// compiled num node returning num1941 (depth = 5)
  int op_slot_right_1940 = gc_frame_newslot(num1941);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1943 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1944 = callmethodflags(self, "size'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1943);
// compiled call node returning call1944 (depth = 6)
// compiled member node returning call1944 (depth = 5)
  int op_slot_left_1940 = gc_frame_newslot(call1944);
  params[0] = num1941;
  partcv[0] = 1;
  Object sum1945 = callmethod(call1944, "+", 1, partcv, params);
// compiled op node returning sum1945 (depth = 4)
  gc_frame_end(frame);
  return sum1945;
}
Object meth_lexer_havemore1950(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "havemore");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for havemore (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for havemore");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 618
  setline(618);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 617
  setline(617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool1952 = alloc_Boolean(0);
// compiled identifier node returning bool1952 (depth = 5)
  int op_slot_right_1951 = gc_frame_newslot(bool1952);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1954 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1955 = callmethodflags(self, "n", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1954);
// compiled call node returning call1955 (depth = 6)
// compiled member node returning call1955 (depth = 5)
  int op_slot_left_1951 = gc_frame_newslot(call1955);
  params[0] = bool1952;
  partcv[0] = 1;
  Object opresult1956 = callmethod(call1955, "!=", 1, partcv, params);
// compiled op node returning opresult1956 (depth = 4)
  gc_frame_end(frame);
  return opresult1956;
}
Object meth_lexer_hasNext1957(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hasNext (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for hasNext");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 621
  setline(621);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 620
  setline(620);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool1959 = alloc_Boolean(0);
// compiled identifier node returning bool1959 (depth = 5)
  int op_slot_right_1958 = gc_frame_newslot(bool1959);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1961 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1962 = callmethodflags(self, "n", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1961);
// compiled call node returning call1962 (depth = 6)
// compiled member node returning call1962 (depth = 5)
  int op_slot_left_1958 = gc_frame_newslot(call1962);
  params[0] = bool1959;
  partcv[0] = 1;
  Object opresult1963 = callmethod(call1962, "!=", 1, partcv, params);
// compiled op node returning opresult1963 (depth = 4)
  gc_frame_end(frame);
  return opresult1963;
}
Object meth_lexer_next1964(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for next (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for next");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ret = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "ret");
// Begin line 624
  setline(624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1965 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1966 = callmethodflags(self, "n", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1965);
// compiled call node returning call1966 (depth = 6)
// compiled member node returning call1966 (depth = 5)
  *var_ret = call1966;
  if (call1966 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 625
  setline(625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1967 = gc_frame_new();
// Begin line 624
  setline(624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1968 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1969 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1970 = callmethodflags(self, "n", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1969);
// compiled call node returning call1970 (depth = 9)
// compiled member node returning call1970 (depth = 8)
  partcv[0] = 0;
  Object call1971 = callmethod(call1970, "next",
    1, partcv, params);
  gc_frame_end(callframe1968);
// compiled call node returning call1971 (depth = 7)
// compiled member node returning call1971 (depth = 6)
  gc_frame_newslot(call1971);
// call case 4: self request
  params[0] = call1971;
  partcv[0] = 1;
  Object call1972 = callmethodflags(self, "n:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1967);
// compiled call node returning call1972 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 625
  setline(625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ret (depth = 4)
  gc_frame_end(frame);
  return *var_ret;
}
Object meth_lexer_iter1946(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iter (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iter");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1947 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1947 = alloc_userobj2(5,5, objclass1947);
  gc_frame_newslot(obj1947);
if (objclass1947 == NULL) {
  glfree(obj1947->class->name);
  obj1947->class->name = "obj1836.iter";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1947, self, 0);
  addmethodreal(obj1947,"outer", &reader_lexer_outer_1948);
  Object oldself1947 = self;
  struct StackFrameObject *oldstackframe1947 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1947);
  gc_frame_newslot((Object)stackframe);
  self = obj1947;
  Object *oldselfslot1947 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1947 = (*(struct UserObject *)self).data[0], lowerouter1947 = thisouter1947;
  if (inheritingObject1947) {
    struct UserObject *inho1947 = (struct UserObject *)inheritingObject1947;
    while (inho1947->super != GraceDefaultObject) inho1947 = (struct UserObject *)inho1947->super;
    inho1947->super = obj1947;
    self = inheritingObject1947;
    *selfslot = self;
    lowerouter1947 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1947;
  }
if (objclass1947 == NULL) {
  Method *reader1949 = addmethodrealflags(obj1947, "n",&reader_lexer_n_1949, MFLAG_CONFIDENTIAL);
  Method *writer1949 = addmethodrealflags(obj1947, "n:=",&writer_lexer_n_1949, MFLAG_CONFIDENTIAL);
  reader1949->definitionModule = modulename;
  writer1949->definitionModule = modulename;
  reader1949->definitionLine = 616;
  writer1949->definitionLine = 616;
}
obj1947->flags |= OFLAG_MUTABLE;
adddatum2(obj1947, alloc_Undefined(), 1);
// method havemore
  struct UserObject *uo1950 = (struct UserObject*)obj1947;
  uo1950->data[2] = emptyclosure;
  Method *meth_meth_lexer_havemore1950 = addmethod2pos(obj1947, "havemore", &meth_lexer_havemore1950, 2);
  int argcv_meth_lexer_havemore1950[] = {0};
  meth_meth_lexer_havemore1950->type = alloc_MethodType(1, argcv_meth_lexer_havemore1950);
  meth_meth_lexer_havemore1950->definitionModule = modulename;
  meth_meth_lexer_havemore1950->definitionLine = 616;
// method hasNext
  struct UserObject *uo1957 = (struct UserObject*)obj1947;
  uo1957->data[3] = emptyclosure;
  Method *meth_meth_lexer_hasNext1957 = addmethod2pos(obj1947, "hasNext", &meth_lexer_hasNext1957, 3);
  int argcv_meth_lexer_hasNext1957[] = {0};
  meth_meth_lexer_hasNext1957->type = alloc_MethodType(1, argcv_meth_lexer_hasNext1957);
  meth_meth_lexer_hasNext1957->definitionModule = modulename;
  meth_meth_lexer_hasNext1957->definitionLine = 619;
// method next
  struct UserObject *uo1964 = (struct UserObject*)obj1947;
  uo1964->data[4] = emptyclosure;
  Method *meth_meth_lexer_next1964 = addmethod2pos(obj1947, "next", &meth_lexer_next1964, 4);
  int argcv_meth_lexer_next1964[] = {0};
  meth_meth_lexer_next1964->type = alloc_MethodType(1, argcv_meth_lexer_next1964);
  meth_meth_lexer_next1964->definitionModule = modulename;
  meth_meth_lexer_next1964->definitionLine = 622;
  sourceObject = obj1947;
// Begin line 615
  setline(615);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1973 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1974 = gc_frame_new();
// call case 3: self.outer request
  Object call1975 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1974);
// compiled call node returning call1975 (depth = 7)
// compiled member node returning call1975 (depth = 6)
  partcv[0] = 0;
  Object call1976 = callmethodflags(call1975, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1973);
// compiled call node returning call1976 (depth = 5)
// compiled member node returning call1976 (depth = 4)
  adddatum2(obj1947, call1976, 1);
  sourceObject = obj1947;
  sourceObject = obj1947;
  sourceObject = obj1947;
  objclass1947 = obj1947->class;
  objclass1947->definitionModule = modulename;
  objclass1947->definitionLine = 614;
  (*(struct UserObject *)self).data[0] = lowerouter1947;
  self = oldself1947;
  selfslot = oldselfslot1947;
  stackframe = oldstackframe1947;
  gc_frame_end(frame);
  return obj1947;
}
Object meth_lexer_iter1946_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iter()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iter (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iter");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1947 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1947 = alloc_userobj2(5,5, objclass1947);
  gc_frame_newslot(obj1947);
if (objclass1947 == NULL) {
  glfree(obj1947->class->name);
  obj1947->class->name = "obj1836.iter";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1947, self, 0);
  addmethodreal(obj1947,"outer", &reader_lexer_outer_1948);
  Object oldself1947 = self;
  struct StackFrameObject *oldstackframe1947 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1947);
  gc_frame_newslot((Object)stackframe);
  self = obj1947;
  Object *oldselfslot1947 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1947 = (*(struct UserObject *)self).data[0], lowerouter1947 = thisouter1947;
  if (inheritingObject1947) {
    struct UserObject *inho1947 = (struct UserObject *)inheritingObject1947;
    while (inho1947->super != GraceDefaultObject) inho1947 = (struct UserObject *)inho1947->super;
    inho1947->super = obj1947;
    self = inheritingObject1947;
    *selfslot = self;
    lowerouter1947 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1947;
  }
if (objclass1947 == NULL) {
  Method *reader1949 = addmethodrealflags(obj1947, "n",&reader_lexer_n_1949, MFLAG_CONFIDENTIAL);
  Method *writer1949 = addmethodrealflags(obj1947, "n:=",&writer_lexer_n_1949, MFLAG_CONFIDENTIAL);
  reader1949->definitionModule = modulename;
  writer1949->definitionModule = modulename;
  reader1949->definitionLine = 616;
  writer1949->definitionLine = 616;
}
obj1947->flags |= OFLAG_MUTABLE;
adddatum2(obj1947, alloc_Undefined(), 1);
// method havemore
  struct UserObject *uo1950 = (struct UserObject*)obj1947;
  uo1950->data[2] = emptyclosure;
  Method *meth_meth_lexer_havemore1950 = addmethod2pos(obj1947, "havemore", &meth_lexer_havemore1950, 2);
  int argcv_meth_lexer_havemore1950[] = {0};
  meth_meth_lexer_havemore1950->type = alloc_MethodType(1, argcv_meth_lexer_havemore1950);
  meth_meth_lexer_havemore1950->definitionModule = modulename;
  meth_meth_lexer_havemore1950->definitionLine = 616;
// method hasNext
  struct UserObject *uo1957 = (struct UserObject*)obj1947;
  uo1957->data[3] = emptyclosure;
  Method *meth_meth_lexer_hasNext1957 = addmethod2pos(obj1947, "hasNext", &meth_lexer_hasNext1957, 3);
  int argcv_meth_lexer_hasNext1957[] = {0};
  meth_meth_lexer_hasNext1957->type = alloc_MethodType(1, argcv_meth_lexer_hasNext1957);
  meth_meth_lexer_hasNext1957->definitionModule = modulename;
  meth_meth_lexer_hasNext1957->definitionLine = 619;
// method next
  struct UserObject *uo1964 = (struct UserObject*)obj1947;
  uo1964->data[4] = emptyclosure;
  Method *meth_meth_lexer_next1964 = addmethod2pos(obj1947, "next", &meth_lexer_next1964, 4);
  int argcv_meth_lexer_next1964[] = {0};
  meth_meth_lexer_next1964->type = alloc_MethodType(1, argcv_meth_lexer_next1964);
  meth_meth_lexer_next1964->definitionModule = modulename;
  meth_meth_lexer_next1964->definitionLine = 622;
  sourceObject = obj1947;
// Begin line 615
  setline(615);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1973 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1974 = gc_frame_new();
// call case 3: self.outer request
  Object call1975 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1974);
// compiled call node returning call1975 (depth = 7)
// compiled member node returning call1975 (depth = 6)
  partcv[0] = 0;
  Object call1976 = callmethodflags(call1975, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1973);
// compiled call node returning call1976 (depth = 5)
// compiled member node returning call1976 (depth = 4)
  adddatum2(obj1947, call1976, 1);
  sourceObject = obj1947;
  sourceObject = obj1947;
  sourceObject = obj1947;
  objclass1947 = obj1947->class;
  objclass1947->definitionModule = modulename;
  objclass1947->definitionLine = 614;
  (*(struct UserObject *)self).data[0] = lowerouter1947;
  self = oldself1947;
  selfslot = oldselfslot1947;
  stackframe = oldstackframe1947;
  gc_frame_end(frame);
  return obj1947;
}
Object meth_lexer_iterator1978(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iterator (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iterator");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 631
  setline(631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1979 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1980 = callmethodflags(self, "iter", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1979);
// compiled call node returning call1980 (depth = 5)
// compiled member node returning call1980 (depth = 4)
  gc_frame_end(frame);
  return call1980;
}
Object meth_lexer__apply2158(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_mode = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2160 == NULL) {
    strlit2160 = alloc_String("q");
    gc_root(strlit2160);
  }
// compiled string node returning strlit2160 (depth = 8)
  int op_slot_right_2159 = gc_frame_newslot(strlit2160);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_2159 = gc_frame_newslot(*var_mode);
  params[0] = strlit2160;
  partcv[0] = 1;
  Object opresult2162 = callmethod(*var_mode, "!=", 1, partcv, params);
// compiled op node returning opresult2162 (depth = 7)
  gc_frame_end(frame);
  return opresult2162;
}
Object meth_lexer__apply2348(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_mode = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2350 == NULL) {
    strlit2350 = alloc_String("q");
    gc_root(strlit2350);
  }
// compiled string node returning strlit2350 (depth = 9)
  int op_slot_right_2349 = gc_frame_newslot(strlit2350);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_2349 = gc_frame_newslot(*var_mode);
  params[0] = strlit2350;
  partcv[0] = 1;
  Object opresult2352 = callmethod(*var_mode, "!=", 1, partcv, params);
// compiled op node returning opresult2352 (depth = 8)
  gc_frame_end(frame);
  return opresult2352;
}
Object meth_lexer__apply2935(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_line = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_i = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2937 == NULL) {
    strlit2937 = alloc_String("{");
    gc_root(strlit2937);
  }
// compiled string node returning strlit2937 (depth = 11)
  int op_slot_right_2936 = gc_frame_newslot(strlit2937);
// starting to compile index node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2939 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_line (depth = 13)
  gc_frame_newslot(*var_line);
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe2940 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_util (depth = 15)
  partcv[0] = 0;
  Object call2941 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2940);
// compiled call node returning call2941 (depth = 14)
// compiled member node returning call2941 (depth = 13)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call2942 = callmethod(call2941, "at",
    1, partcv, params);
  gc_frame_end(callframe2939);
// compiled call node returning call2942 (depth = 12)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_i (depth = 12)
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres2943 = callmethod(call2942, "[]", 1, partcv, params);
// compiled index node returning idxres2943 (depth = 11)
  int op_slot_left_2936 = gc_frame_newslot(idxres2943);
  params[0] = strlit2937;
  partcv[0] = 1;
  Object opresult2944 = callmethod(idxres2943, "!=", 1, partcv, params);
// compiled op node returning opresult2944 (depth = 10)
  gc_frame_end(frame);
  return opresult2944;
}
Object meth_lexer__apply2947(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_line = getfromclosure(closure, 1);
  Object *var_lineNumber = getfromclosure(closure, 2);
  Object *var_util = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// Begin line 917
  setline(917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 12)
  Object num2949 = alloc_Float64(1);
// compiled num node returning num2949 (depth = 12)
  int op_slot_right_2948 = gc_frame_newslot(num2949);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_i (depth = 12)
  int op_slot_left_2948 = gc_frame_newslot(*var_i);
  params[0] = num2949;
  partcv[0] = 1;
  Object diff2951 = callmethod(*var_i, "-", 1, partcv, params);
// compiled op node returning diff2951 (depth = 11)
  *var_i = diff2951;
  if (diff2951 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
// Begin line 922
  setline(922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num2955 = alloc_Float64(0);
// compiled num node returning num2955 (depth = 12)
  int op_slot_right_2954 = gc_frame_newslot(num2955);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_i (depth = 12)
  int op_slot_left_2954 = gc_frame_newslot(*var_i);
  params[0] = num2955;
  partcv[0] = 1;
  Object opresult2957 = callmethod(*var_i, "==", 1, partcv, params);
// compiled op node returning opresult2957 (depth = 11)
  Object if2953 = done;
  if (istrue(opresult2957)) {
// Begin line 920
  setline(920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// starting to compile op node (depth = 12)
// Begin line 919
  setline(919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 13)
  Object num2959 = alloc_Float64(1);
// compiled num node returning num2959 (depth = 13)
  int op_slot_right_2958 = gc_frame_newslot(num2959);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_line (depth = 13)
  int op_slot_left_2958 = gc_frame_newslot(*var_line);
  params[0] = num2959;
  partcv[0] = 1;
  Object diff2961 = callmethod(*var_line, "-", 1, partcv, params);
// compiled op node returning diff2961 (depth = 12)
  *var_lineNumber = diff2961;
  if (diff2961 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 11)
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// Begin line 920
  setline(920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2963 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 14)
  int callframe2964 = gc_frame_new();
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_line (depth = 15)
  gc_frame_newslot(*var_line);
// call case 6: other member request
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe2965 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_util (depth = 17)
  partcv[0] = 0;
  Object call2966 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2965);
// compiled call node returning call2966 (depth = 16)
// compiled member node returning call2966 (depth = 15)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call2967 = callmethod(call2966, "at",
    1, partcv, params);
  gc_frame_end(callframe2964);
// compiled call node returning call2967 (depth = 14)
  partcv[0] = 0;
  Object call2968 = callmethod(call2967, "size",
    1, partcv, params);
  gc_frame_end(callframe2963);
// compiled call node returning call2968 (depth = 13)
// compiled member node returning call2968 (depth = 12)
  *var_i = call2968;
  if (call2968 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if2953 = done;
  } else {
  }
// compiled if node returning if2953 (depth = 10)
  gc_frame_end(frame);
  return if2953;
}
Object meth_lexer__apply3059(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextLine = getfromclosure(closure, 0);
  Object *var_i = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3061 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_nextLine (depth = 13)
  partcv[0] = 0;
  Object call3062 = callmethod(*var_nextLine, "size",
    1, partcv, params);
  gc_frame_end(callframe3061);
// compiled call node returning call3062 (depth = 12)
// compiled member node returning call3062 (depth = 11)
  int op_slot_right_3060 = gc_frame_newslot(call3062);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_i (depth = 11)
  int op_slot_left_3060 = gc_frame_newslot(*var_i);
  params[0] = call3062;
  partcv[0] = 1;
  Object opresult3064 = callmethod(*var_i, "<=", 1, partcv, params);
// compiled op node returning opresult3064 (depth = 10)
  gc_frame_end(frame);
  return opresult3064;
}
Object meth_lexer__apply3067(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextLine = getfromclosure(closure, 0);
  Object *var_i = getfromclosure(closure, 1);
  Object *var_count = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 950
  setline(950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 948
  setline(948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit3070 == NULL) {
    strlit3070 = alloc_String("""\x22""");
    gc_root(strlit3070);
  }
// compiled string node returning strlit3070 (depth = 12)
  int op_slot_right_3069 = gc_frame_newslot(strlit3070);
// starting to compile index node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_nextLine (depth = 13)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_i (depth = 13)
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres3072 = callmethod(*var_nextLine, "[]", 1, partcv, params);
// compiled index node returning idxres3072 (depth = 12)
  int op_slot_left_3069 = gc_frame_newslot(idxres3072);
  params[0] = strlit3070;
  partcv[0] = 1;
  Object opresult3073 = callmethod(idxres3072, "==", 1, partcv, params);
// compiled op node returning opresult3073 (depth = 11)
  Object if3068 = done;
  if (istrue(opresult3073)) {
// starting to compile bind node (depth = 11)
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num3075 = alloc_Float64(1);
// compiled num node returning num3075 (depth = 13)
  int op_slot_right_3074 = gc_frame_newslot(num3075);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_count (depth = 13)
  int op_slot_left_3074 = gc_frame_newslot(*var_count);
  params[0] = num3075;
  partcv[0] = 1;
  Object sum3077 = callmethod(*var_count, "+", 1, partcv, params);
// compiled op node returning sum3077 (depth = 12)
  *var_count = sum3077;
  if (sum3077 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if3068 = done;
  } else {
// Begin line 950
  setline(950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 949
  setline(949);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit3081 == NULL) {
    strlit3081 = alloc_String("\\");
    gc_root(strlit3081);
  }
// compiled string node returning strlit3081 (depth = 13)
  int op_slot_right_3080 = gc_frame_newslot(strlit3081);
// starting to compile index node (depth = 13)
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_nextLine (depth = 14)
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_i (depth = 14)
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres3083 = callmethod(*var_nextLine, "[]", 1, partcv, params);
// compiled index node returning idxres3083 (depth = 13)
  int op_slot_left_3080 = gc_frame_newslot(idxres3083);
  params[0] = strlit3081;
  partcv[0] = 1;
  Object opresult3084 = callmethod(idxres3083, "==", 1, partcv, params);
// compiled op node returning opresult3084 (depth = 12)
  Object if3079 = done;
  if (istrue(opresult3084)) {
// starting to compile bind node (depth = 12)
// starting to compile op node (depth = 13)
// starting to compile num node (depth = 14)
  Object num3086 = alloc_Float64(1);
// compiled num node returning num3086 (depth = 14)
  int op_slot_right_3085 = gc_frame_newslot(num3086);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_i (depth = 14)
  int op_slot_left_3085 = gc_frame_newslot(*var_i);
  params[0] = num3086;
  partcv[0] = 1;
  Object sum3088 = callmethod(*var_i, "+", 1, partcv, params);
// compiled op node returning sum3088 (depth = 13)
  *var_i = sum3088;
  if (sum3088 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 12)
    gc_frame_newslot(done);
    if3079 = done;
  } else {
  }
// compiled if node returning if3079 (depth = 11)
    gc_frame_newslot(if3079);
    if3068 = if3079;
  }
// compiled if node returning if3068 (depth = 10)
// Begin line 951
  setline(951);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// Begin line 950
  setline(950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 12)
  Object num3091 = alloc_Float64(1);
// compiled num node returning num3091 (depth = 12)
  int op_slot_right_3090 = gc_frame_newslot(num3091);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_i (depth = 12)
  int op_slot_left_3090 = gc_frame_newslot(*var_i);
  params[0] = num3091;
  partcv[0] = 1;
  Object sum3093 = callmethod(*var_i, "+", 1, partcv, params);
// compiled op node returning sum3093 (depth = 11)
  *var_i = sum3093;
  if (sum3093 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer__apply2151(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(20, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[5];
  int partcv[3];
  Object *var_mode = getfromclosure(closure, 0);
  Object *var_badSeparator = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_linePosition = getfromclosure(closure, 3);
  Object *var_lineNumber = getfromclosure(closure, 4);
  Object *var_inStr = getfromclosure(closure, 5);
  Object *var_unicode = getfromclosure(closure, 6);
  Object *var_badControl = getfromclosure(closure, 7);
  Object *var_atStart = getfromclosure(closure, 8);
  Object *var_newmode = getfromclosure(closure, 9);
  Object *var_stringStart = getfromclosure(closure, 10);
  Object *var_startLine = getfromclosure(closure, 11);
  Object *var_identifierChar = getfromclosure(closure, 12);
  Object *var_digit = getfromclosure(closure, 13);
  Object *var_iGTLT = getfromclosure(closure, 14);
  Object *var_tokens = getfromclosure(closure, 15);
  Object *var_accum = getfromclosure(closure, 16);
  Object *var_operatorChar = getfromclosure(closure, 17);
  Object *var_selfModes = getfromclosure(closure, 18);
  Object *var_util = getfromclosure(closure, 19);
  Object *var_escaped = getfromclosure(closure, 20);
  Object *var_interpString = getfromclosure(closure, 21);
  Object *var_interpdepth = getfromclosure(closure, 22);
  Object *var_brackets = getfromclosure(closure, 23);
  Object *var_unichars = getfromclosure(closure, 24);
  Object *var_codepoint = getfromclosure(closure, 25);
  Object *var_newlineFound = getfromclosure(closure, 26);
  Object *var_startPosition = getfromclosure(closure, 27);
  Object self = *(getfromclosure(closure, 28));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ct = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ct");
  Object *var_ordval = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "ordval");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_line = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "line");
  Object *var_i = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "i");
  Object *var_suggestions = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestions");
  Object *var_errorLine = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "errorLine");
  Object *var_nextLine = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "nextLine");
  Object *var_count = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "count");
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit2152 == NULL) {
    strlit2152 = alloc_String("");
    gc_root(strlit2152);
  }
// compiled string node returning strlit2152 (depth = 5)
  *var_ct = strlit2152;
  if (strlit2152 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 669
  setline(669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2153 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  partcv[0] = 0;
  Object call2154 = callmethod(*var_c, "ord",
    1, partcv, params);
  gc_frame_end(callframe2153);
// compiled call node returning call2154 (depth = 6)
// compiled member node returning call2154 (depth = 5)
  *var_ordval = call2154;
  if (call2154 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 730
  setline(730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 669
  setline(669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2156 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block2157 = alloc_Block(NULL, NULL, "lexer", 669);
  gc_frame_newslot(block2157);
// method _apply
  block_savedest(block2157);
  Object closure2158 = createclosure(2, "_apply");
  setclosureframe(closure2158, stackframe);
  addtoclosure(closure2158, var_mode);
  addtoclosure(closure2158, selfslot);
  struct UserObject *uo2158 = (struct UserObject*)block2157;
  uo2158->data[0] = (Object)closure2158;
  Method *meth_meth_lexer__apply2158 = addmethod2pos(block2157, "_apply", &meth_lexer__apply2158, 0);
  int argcv_meth_lexer__apply2158[] = {0};
  meth_meth_lexer__apply2158->type = alloc_MethodType(1, argcv_meth_lexer__apply2158);
  meth_meth_lexer__apply2158->definitionModule = modulename;
  meth_meth_lexer__apply2158->definitionLine = 668;
// compiled block node returning block2157 (depth = 6)
  gc_frame_newslot(block2157);
// call case 6: other member request
// starting to compile call node (depth = 6)
  int callframe2164 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ordval (depth = 7)
  gc_frame_newslot(*var_ordval);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_badSeparator (depth = 7)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2165 = callmethod(*var_badSeparator, "match",
    1, partcv, params);
  gc_frame_end(callframe2164);
// compiled call node returning call2165 (depth = 6)
  params[0] = block2157;
  partcv[0] = 1;
  Object call2166 = callmethod(call2165, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe2156);
// compiled call node returning call2166 (depth = 5)
  Object if2155 = done;
  if (istrue(call2166)) {
// Begin line 673
  setline(673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 672
  setline(672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2167 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2168 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call2169 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2168);
// compiled call node returning call2169 (depth = 9)
// compiled member node returning call2169 (depth = 8)
  partcv[0] = 0;
  Object call2170 = callmethod(call2169, "new",
    1, partcv, params);
  gc_frame_end(callframe2167);
// compiled call node returning call2170 (depth = 7)
// compiled member node returning call2170 (depth = 6)
  *var_suggestion = call2170;
  if (call2170 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 673
  setline(673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2171 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_linePosition (depth = 6)
  gc_frame_newslot(*var_linePosition);
// starting to compile string node (depth = 6)
  if (strlit2172 == NULL) {
    strlit2172 = alloc_String(" ");
    gc_root(strlit2172);
  }
// compiled string node returning strlit2172 (depth = 6)
  gc_frame_newslot(strlit2172);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lineNumber (depth = 6)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_linePosition;
  params[1] = strlit2172;
  params[2] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2173 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2171);
// compiled call node returning call2173 (depth = 5)
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 674
  setline(674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2176 = alloc_Float64(9);
// compiled num node returning num2176 (depth = 7)
  int op_slot_right_2175 = gc_frame_newslot(num2176);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ordval (depth = 7)
  int op_slot_left_2175 = gc_frame_newslot(*var_ordval);
  params[0] = num2176;
  partcv[0] = 1;
  Object opresult2178 = callmethod(*var_ordval, "==", 1, partcv, params);
// compiled op node returning opresult2178 (depth = 6)
  Object if2174 = done;
  if (istrue(opresult2178)) {
// Begin line 687
  setline(687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 675
  setline(675);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_inStr (depth = 7)
  Object if2179 = done;
  if (istrue(*var_inStr)) {
// Begin line 676
  setline(676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2180 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_linePosition (depth = 8)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_linePosition (depth = 8)
  gc_frame_newslot(*var_linePosition);
// Begin line 677
  setline(677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2182 == NULL) {
    strlit2182 = alloc_String("");
    gc_root(strlit2182);
  }
// compiled string node returning strlit2182 (depth = 9)
  int op_slot_right_2181 = gc_frame_newslot(strlit2182);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2185 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2186 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2187 = alloc_Float64(16);
// compiled num node returning num2187 (depth = 12)
  gc_frame_newslot(num2187);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2187;
  partcv[0] = 1;
  Object call2188 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2186);
// compiled call node returning call2188 (depth = 11)
  gc_frame_newslot(call2188);
// starting to compile num node (depth = 11)
  Object num2189 = alloc_Float64(4);
// compiled num node returning num2189 (depth = 11)
  gc_frame_newslot(num2189);
// starting to compile string node (depth = 11)
  if (strlit2190 == NULL) {
    strlit2190 = alloc_String("0");
    gc_root(strlit2190);
  }
// compiled string node returning strlit2190 (depth = 11)
  gc_frame_newslot(strlit2190);
// call case 2: outer request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2191 = gc_frame_new();
// call case 3: self.outer request
  Object call2192 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2191);
// compiled call node returning call2192 (depth = 12)
// compiled member node returning call2192 (depth = 11)
  params[0] = call2188;
  params[1] = num2189;
  params[2] = strlit2190;
  partcv[0] = 3;
  Object call2193 = callmethodflags(call2192, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2185);
// compiled call node returning call2193 (depth = 10)
  int op_slot_right_2184 = gc_frame_newslot(call2193);
// starting to compile string node (depth = 10)
  if (strlit2195 == NULL) {
    strlit2195 = alloc_String("\\u");
    gc_root(strlit2195);
  }
// compiled string node returning strlit2195 (depth = 10)
  int op_slot_left_2184 = gc_frame_newslot(strlit2195);
  params[0] = call2193;
  partcv[0] = 1;
  Object opresult2196 = callmethod(strlit2195, "++", 1, partcv, params);
// compiled op node returning opresult2196 (depth = 9)
  int op_slot_left_2181 = gc_frame_newslot(opresult2196);
  params[0] = strlit2182;
  partcv[0] = 1;
  Object opresult2197 = callmethod(opresult2196, "++", 1, partcv, params);
// compiled op node returning opresult2197 (depth = 8)
  gc_frame_newslot(opresult2197);
// Begin line 678
  setline(678);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lineNumber (depth = 8)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// Begin line 676
  setline(676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_linePosition;
  params[1] = *var_linePosition;
  params[2] = opresult2197;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2198 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2180);
// compiled call node returning call2198 (depth = 7)
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2199 = gc_frame_new();
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2201 == NULL) {
    strlit2201 = alloc_String(" instead");
    gc_root(strlit2201);
  }
// compiled string node returning strlit2201 (depth = 9)
  int op_slot_right_2200 = gc_frame_newslot(strlit2201);
// starting to compile op node (depth = 9)
// Begin line 682
  setline(682);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2204 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2205 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2206 = alloc_Float64(16);
// compiled num node returning num2206 (depth = 12)
  gc_frame_newslot(num2206);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2206;
  partcv[0] = 1;
  Object call2207 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2205);
// compiled call node returning call2207 (depth = 11)
  gc_frame_newslot(call2207);
// starting to compile num node (depth = 11)
  Object num2208 = alloc_Float64(4);
// compiled num node returning num2208 (depth = 11)
  gc_frame_newslot(num2208);
// starting to compile string node (depth = 11)
  if (strlit2209 == NULL) {
    strlit2209 = alloc_String("0");
    gc_root(strlit2209);
  }
// compiled string node returning strlit2209 (depth = 11)
  gc_frame_newslot(strlit2209);
// call case 2: outer request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2210 = gc_frame_new();
// call case 3: self.outer request
  Object call2211 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2210);
// compiled call node returning call2211 (depth = 12)
// compiled member node returning call2211 (depth = 11)
  params[0] = call2207;
  params[1] = num2208;
  params[2] = strlit2209;
  partcv[0] = 3;
  Object call2212 = callmethodflags(call2211, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2204);
// compiled call node returning call2212 (depth = 10)
  int op_slot_right_2203 = gc_frame_newslot(call2212);
// starting to compile op node (depth = 10)
// Begin line 681
  setline(681);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit2215 == NULL) {
    strlit2215 = alloc_String("use the Unicode escape \\u");
    gc_root(strlit2215);
  }
// compiled string node returning strlit2215 (depth = 11)
  int op_slot_right_2214 = gc_frame_newslot(strlit2215);
// starting to compile op node (depth = 11)
// Begin line 680
  setline(680);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 12)
  if (strlit2218 == NULL) {
    strlit2218 = alloc_String("written in the source code; ");
    gc_root(strlit2218);
  }
// compiled string node returning strlit2218 (depth = 12)
  int op_slot_right_2217 = gc_frame_newslot(strlit2218);
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 12)
  if (strlit2220 == NULL) {
    strlit2220 = alloc_String("tabs cannot be ");
    gc_root(strlit2220);
  }
// compiled string node returning strlit2220 (depth = 12)
  int op_slot_left_2217 = gc_frame_newslot(strlit2220);
  params[0] = strlit2218;
  partcv[0] = 1;
  Object opresult2221 = callmethod(strlit2220, "++", 1, partcv, params);
// compiled op node returning opresult2221 (depth = 11)
  int op_slot_left_2214 = gc_frame_newslot(opresult2221);
  params[0] = strlit2215;
  partcv[0] = 1;
  Object opresult2222 = callmethod(opresult2221, "++", 1, partcv, params);
// compiled op node returning opresult2222 (depth = 10)
  int op_slot_left_2203 = gc_frame_newslot(opresult2222);
  params[0] = call2212;
  partcv[0] = 1;
  Object opresult2223 = callmethod(opresult2222, "++", 1, partcv, params);
// compiled op node returning opresult2223 (depth = 9)
  int op_slot_left_2200 = gc_frame_newslot(opresult2223);
  params[0] = strlit2201;
  partcv[0] = 1;
  Object opresult2224 = callmethod(opresult2223, "++", 1, partcv, params);
// compiled op node returning opresult2224 (depth = 8)
  gc_frame_newslot(opresult2224);
// Begin line 684
  setline(684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lineNumber (depth = 8)
  gc_frame_newslot(*var_lineNumber);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_linePosition (depth = 8)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_linePosition (depth = 8)
  gc_frame_newslot(*var_linePosition);
// Begin line 685
  setline(685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = opresult2224;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2225 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2199);
// compiled call node returning call2225 (depth = 7)
    gc_frame_newslot(call2225);
    if2179 = call2225;
  } else {
  }
// compiled if node returning if2179 (depth = 6)
// Begin line 687
  setline(687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2226 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit2227 == NULL) {
    strlit2227 = alloc_String("Tabs are not allowed; use spaces instead.");
    gc_root(strlit2227);
  }
// compiled string node returning strlit2227 (depth = 7)
  gc_frame_newslot(strlit2227);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lineNumber (depth = 7)
  gc_frame_newslot(*var_lineNumber);
// Begin line 688
  setline(688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_linePosition (depth = 7)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_linePosition (depth = 7)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 687
  setline(687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit2227;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2228 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2226);
// compiled call node returning call2228 (depth = 6)
    gc_frame_newslot(call2228);
    if2174 = call2228;
  } else {
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 690
  setline(690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2231 == NULL) {
    strlit2231 = alloc_String("""\x22""");
    gc_root(strlit2231);
  }
// compiled string node returning strlit2231 (depth = 8)
  int op_slot_right_2230 = gc_frame_newslot(strlit2231);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_2230 = gc_frame_newslot(*var_mode);
  params[0] = strlit2231;
  partcv[0] = 1;
  Object opresult2233 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2233 (depth = 7)
  Object if2229 = done;
  if (istrue(opresult2233)) {
// Begin line 691
  setline(691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2234 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_linePosition (depth = 8)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_linePosition (depth = 8)
  gc_frame_newslot(*var_linePosition);
// Begin line 692
  setline(692);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2236 == NULL) {
    strlit2236 = alloc_String("");
    gc_root(strlit2236);
  }
// compiled string node returning strlit2236 (depth = 9)
  int op_slot_right_2235 = gc_frame_newslot(strlit2236);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2239 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2240 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2241 = alloc_Float64(16);
// compiled num node returning num2241 (depth = 12)
  gc_frame_newslot(num2241);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2241;
  partcv[0] = 1;
  Object call2242 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2240);
// compiled call node returning call2242 (depth = 11)
  gc_frame_newslot(call2242);
// starting to compile num node (depth = 11)
  Object num2243 = alloc_Float64(4);
// compiled num node returning num2243 (depth = 11)
  gc_frame_newslot(num2243);
// starting to compile string node (depth = 11)
  if (strlit2244 == NULL) {
    strlit2244 = alloc_String("0");
    gc_root(strlit2244);
  }
// compiled string node returning strlit2244 (depth = 11)
  gc_frame_newslot(strlit2244);
// call case 2: outer request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2245 = gc_frame_new();
// call case 3: self.outer request
  Object call2246 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2245);
// compiled call node returning call2246 (depth = 12)
// compiled member node returning call2246 (depth = 11)
  params[0] = call2242;
  params[1] = num2243;
  params[2] = strlit2244;
  partcv[0] = 3;
  Object call2247 = callmethodflags(call2246, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2239);
// compiled call node returning call2247 (depth = 10)
  int op_slot_right_2238 = gc_frame_newslot(call2247);
// starting to compile string node (depth = 10)
  if (strlit2249 == NULL) {
    strlit2249 = alloc_String("\\u");
    gc_root(strlit2249);
  }
// compiled string node returning strlit2249 (depth = 10)
  int op_slot_left_2238 = gc_frame_newslot(strlit2249);
  params[0] = call2247;
  partcv[0] = 1;
  Object opresult2250 = callmethod(strlit2249, "++", 1, partcv, params);
// compiled op node returning opresult2250 (depth = 9)
  int op_slot_left_2235 = gc_frame_newslot(opresult2250);
  params[0] = strlit2236;
  partcv[0] = 1;
  Object opresult2251 = callmethod(opresult2250, "++", 1, partcv, params);
// compiled op node returning opresult2251 (depth = 8)
  gc_frame_newslot(opresult2251);
// Begin line 693
  setline(693);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lineNumber (depth = 8)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// Begin line 691
  setline(691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_linePosition;
  params[1] = *var_linePosition;
  params[2] = opresult2251;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2252 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2234);
// compiled call node returning call2252 (depth = 7)
// Begin line 694
  setline(694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2253 = gc_frame_new();
// Begin line 700
  setline(700);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2255 == NULL) {
    strlit2255 = alloc_String(" instead");
    gc_root(strlit2255);
  }
// compiled string node returning strlit2255 (depth = 9)
  int op_slot_right_2254 = gc_frame_newslot(strlit2255);
// starting to compile op node (depth = 9)
// Begin line 699
  setline(699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2258 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2259 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2260 = alloc_Float64(16);
// compiled num node returning num2260 (depth = 12)
  gc_frame_newslot(num2260);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2260;
  partcv[0] = 1;
  Object call2261 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2259);
// compiled call node returning call2261 (depth = 11)
  gc_frame_newslot(call2261);
// starting to compile num node (depth = 11)
  Object num2262 = alloc_Float64(4);
// compiled num node returning num2262 (depth = 11)
  gc_frame_newslot(num2262);
// starting to compile string node (depth = 11)
  if (strlit2263 == NULL) {
    strlit2263 = alloc_String("0");
    gc_root(strlit2263);
  }
// compiled string node returning strlit2263 (depth = 11)
  gc_frame_newslot(strlit2263);
// call case 2: outer request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2264 = gc_frame_new();
// call case 3: self.outer request
  Object call2265 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2264);
// compiled call node returning call2265 (depth = 12)
// compiled member node returning call2265 (depth = 11)
  params[0] = call2261;
  params[1] = num2262;
  params[2] = strlit2263;
  partcv[0] = 3;
  Object call2266 = callmethodflags(call2265, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2258);
// compiled call node returning call2266 (depth = 10)
  int op_slot_right_2257 = gc_frame_newslot(call2266);
// starting to compile op node (depth = 10)
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit2269 == NULL) {
    strlit2269 = alloc_String("use the Unicode escape \\u");
    gc_root(strlit2269);
  }
// compiled string node returning strlit2269 (depth = 11)
  int op_slot_right_2268 = gc_frame_newslot(strlit2269);
// starting to compile op node (depth = 11)
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 12)
  if (strlit2272 == NULL) {
    strlit2272 = alloc_String("written in the source code; ");
    gc_root(strlit2272);
  }
// compiled string node returning strlit2272 (depth = 12)
  int op_slot_right_2271 = gc_frame_newslot(strlit2272);
// starting to compile op node (depth = 12)
// Begin line 696
  setline(696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 13)
  if (strlit2275 == NULL) {
    strlit2275 = alloc_String(" and cannot be ");
    gc_root(strlit2275);
  }
// compiled string node returning strlit2275 (depth = 13)
  int op_slot_right_2274 = gc_frame_newslot(strlit2275);
// starting to compile op node (depth = 13)
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 14)
  if (strlit2278 == NULL) {
    strlit2278 = alloc_String("is not a valid whitespace character");
    gc_root(strlit2278);
  }
// compiled string node returning strlit2278 (depth = 14)
  int op_slot_right_2277 = gc_frame_newslot(strlit2278);
// starting to compile op node (depth = 14)
// Begin line 694
  setline(694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 15)
  if (strlit2281 == NULL) {
    strlit2281 = alloc_String(") ");
    gc_root(strlit2281);
  }
// compiled string node returning strlit2281 (depth = 15)
  int op_slot_right_2280 = gc_frame_newslot(strlit2281);
// starting to compile op node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe2284 = gc_frame_new();
// starting to compile call node (depth = 17)
  int callframe2285 = gc_frame_new();
// starting to compile num node (depth = 18)
  Object num2286 = alloc_Float64(16);
// compiled num node returning num2286 (depth = 18)
  gc_frame_newslot(num2286);
// call case 6: other member request
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_ordval (depth = 18)
  params[0] = num2286;
  partcv[0] = 1;
  Object call2287 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2285);
// compiled call node returning call2287 (depth = 17)
  gc_frame_newslot(call2287);
// starting to compile num node (depth = 17)
  Object num2288 = alloc_Float64(4);
// compiled num node returning num2288 (depth = 17)
  gc_frame_newslot(num2288);
// starting to compile string node (depth = 17)
  if (strlit2289 == NULL) {
    strlit2289 = alloc_String("0");
    gc_root(strlit2289);
  }
// compiled string node returning strlit2289 (depth = 17)
  gc_frame_newslot(strlit2289);
// call case 2: outer request
// starting to compile member node (depth = 17)
// starting to compile call node (depth = 18)
  int callframe2290 = gc_frame_new();
// call case 3: self.outer request
  Object call2291 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2290);
// compiled call node returning call2291 (depth = 18)
// compiled member node returning call2291 (depth = 17)
  params[0] = call2287;
  params[1] = num2288;
  params[2] = strlit2289;
  partcv[0] = 3;
  Object call2292 = callmethodflags(call2291, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2284);
// compiled call node returning call2292 (depth = 16)
  int op_slot_right_2283 = gc_frame_newslot(call2292);
// starting to compile op node (depth = 16)
// starting to compile string node (depth = 17)
  if (strlit2295 == NULL) {
    strlit2295 = alloc_String(" (U+");
    gc_root(strlit2295);
  }
// compiled string node returning strlit2295 (depth = 17)
  int op_slot_right_2294 = gc_frame_newslot(strlit2295);
// starting to compile op node (depth = 17)
// starting to compile call node (depth = 18)
  int callframe2298 = gc_frame_new();
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_c (depth = 19)
  gc_frame_newslot(*var_c);
// call case 6: other member request
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_unicode (depth = 19)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2299 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2298);
// compiled call node returning call2299 (depth = 18)
  int op_slot_right_2297 = gc_frame_newslot(call2299);
// starting to compile string node (depth = 18)
  if (strlit2301 == NULL) {
    strlit2301 = alloc_String("");
    gc_root(strlit2301);
  }
// compiled string node returning strlit2301 (depth = 18)
  int op_slot_left_2297 = gc_frame_newslot(strlit2301);
  params[0] = call2299;
  partcv[0] = 1;
  Object opresult2302 = callmethod(strlit2301, "++", 1, partcv, params);
// compiled op node returning opresult2302 (depth = 17)
  int op_slot_left_2294 = gc_frame_newslot(opresult2302);
  params[0] = strlit2295;
  partcv[0] = 1;
  Object opresult2303 = callmethod(opresult2302, "++", 1, partcv, params);
// compiled op node returning opresult2303 (depth = 16)
  int op_slot_left_2283 = gc_frame_newslot(opresult2303);
  params[0] = call2292;
  partcv[0] = 1;
  Object opresult2304 = callmethod(opresult2303, "++", 1, partcv, params);
// compiled op node returning opresult2304 (depth = 15)
  int op_slot_left_2280 = gc_frame_newslot(opresult2304);
  params[0] = strlit2281;
  partcv[0] = 1;
  Object opresult2305 = callmethod(opresult2304, "++", 1, partcv, params);
// compiled op node returning opresult2305 (depth = 14)
  int op_slot_left_2277 = gc_frame_newslot(opresult2305);
  params[0] = strlit2278;
  partcv[0] = 1;
  Object opresult2306 = callmethod(opresult2305, "++", 1, partcv, params);
// compiled op node returning opresult2306 (depth = 13)
  int op_slot_left_2274 = gc_frame_newslot(opresult2306);
  params[0] = strlit2275;
  partcv[0] = 1;
  Object opresult2307 = callmethod(opresult2306, "++", 1, partcv, params);
// compiled op node returning opresult2307 (depth = 12)
  int op_slot_left_2271 = gc_frame_newslot(opresult2307);
  params[0] = strlit2272;
  partcv[0] = 1;
  Object opresult2308 = callmethod(opresult2307, "++", 1, partcv, params);
// compiled op node returning opresult2308 (depth = 11)
  int op_slot_left_2268 = gc_frame_newslot(opresult2308);
  params[0] = strlit2269;
  partcv[0] = 1;
  Object opresult2309 = callmethod(opresult2308, "++", 1, partcv, params);
// compiled op node returning opresult2309 (depth = 10)
  int op_slot_left_2257 = gc_frame_newslot(opresult2309);
  params[0] = call2266;
  partcv[0] = 1;
  Object opresult2310 = callmethod(opresult2309, "++", 1, partcv, params);
// compiled op node returning opresult2310 (depth = 9)
  int op_slot_left_2254 = gc_frame_newslot(opresult2310);
  params[0] = strlit2255;
  partcv[0] = 1;
  Object opresult2311 = callmethod(opresult2310, "++", 1, partcv, params);
// compiled op node returning opresult2311 (depth = 8)
  gc_frame_newslot(opresult2311);
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lineNumber (depth = 8)
  gc_frame_newslot(*var_lineNumber);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_linePosition (depth = 8)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_linePosition (depth = 8)
  gc_frame_newslot(*var_linePosition);
// Begin line 702
  setline(702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 694
  setline(694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = opresult2311;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2312 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2253);
// compiled call node returning call2312 (depth = 7)
    gc_frame_newslot(call2312);
    if2229 = call2312;
  } else {
  }
// compiled if node returning if2229 (depth = 6)
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2313 = gc_frame_new();
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2315 == NULL) {
    strlit2315 = alloc_String("is not a valid whitespace character; use spaces instead.");
    gc_root(strlit2315);
  }
// compiled string node returning strlit2315 (depth = 8)
  int op_slot_right_2314 = gc_frame_newslot(strlit2315);
// starting to compile op node (depth = 8)
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2318 == NULL) {
    strlit2318 = alloc_String(") ");
    gc_root(strlit2318);
  }
// compiled string node returning strlit2318 (depth = 9)
  int op_slot_right_2317 = gc_frame_newslot(strlit2318);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2321 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2322 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2323 = alloc_Float64(16);
// compiled num node returning num2323 (depth = 12)
  gc_frame_newslot(num2323);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2323;
  partcv[0] = 1;
  Object call2324 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2322);
// compiled call node returning call2324 (depth = 11)
  gc_frame_newslot(call2324);
// starting to compile num node (depth = 11)
  Object num2325 = alloc_Float64(4);
// compiled num node returning num2325 (depth = 11)
  gc_frame_newslot(num2325);
// starting to compile string node (depth = 11)
  if (strlit2326 == NULL) {
    strlit2326 = alloc_String("0");
    gc_root(strlit2326);
  }
// compiled string node returning strlit2326 (depth = 11)
  gc_frame_newslot(strlit2326);
// call case 2: outer request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2327 = gc_frame_new();
// call case 3: self.outer request
  Object call2328 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2327);
// compiled call node returning call2328 (depth = 12)
// compiled member node returning call2328 (depth = 11)
  params[0] = call2324;
  params[1] = num2325;
  params[2] = strlit2326;
  partcv[0] = 3;
  Object call2329 = callmethodflags(call2328, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2321);
// compiled call node returning call2329 (depth = 10)
  int op_slot_right_2320 = gc_frame_newslot(call2329);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2332 == NULL) {
    strlit2332 = alloc_String(" (U+");
    gc_root(strlit2332);
  }
// compiled string node returning strlit2332 (depth = 11)
  int op_slot_right_2331 = gc_frame_newslot(strlit2332);
// starting to compile op node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2335 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  gc_frame_newslot(*var_c);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_unicode (depth = 13)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2336 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2335);
// compiled call node returning call2336 (depth = 12)
  int op_slot_right_2334 = gc_frame_newslot(call2336);
// starting to compile string node (depth = 12)
  if (strlit2338 == NULL) {
    strlit2338 = alloc_String("");
    gc_root(strlit2338);
  }
// compiled string node returning strlit2338 (depth = 12)
  int op_slot_left_2334 = gc_frame_newslot(strlit2338);
  params[0] = call2336;
  partcv[0] = 1;
  Object opresult2339 = callmethod(strlit2338, "++", 1, partcv, params);
// compiled op node returning opresult2339 (depth = 11)
  int op_slot_left_2331 = gc_frame_newslot(opresult2339);
  params[0] = strlit2332;
  partcv[0] = 1;
  Object opresult2340 = callmethod(opresult2339, "++", 1, partcv, params);
// compiled op node returning opresult2340 (depth = 10)
  int op_slot_left_2320 = gc_frame_newslot(opresult2340);
  params[0] = call2329;
  partcv[0] = 1;
  Object opresult2341 = callmethod(opresult2340, "++", 1, partcv, params);
// compiled op node returning opresult2341 (depth = 9)
  int op_slot_left_2317 = gc_frame_newslot(opresult2341);
  params[0] = strlit2318;
  partcv[0] = 1;
  Object opresult2342 = callmethod(opresult2341, "++", 1, partcv, params);
// compiled op node returning opresult2342 (depth = 8)
  int op_slot_left_2314 = gc_frame_newslot(opresult2342);
  params[0] = strlit2315;
  partcv[0] = 1;
  Object opresult2343 = callmethod(opresult2342, "++", 1, partcv, params);
// compiled op node returning opresult2343 (depth = 7)
  gc_frame_newslot(opresult2343);
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lineNumber (depth = 7)
  gc_frame_newslot(*var_lineNumber);
// Begin line 706
  setline(706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_linePosition (depth = 7)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_linePosition (depth = 7)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult2343;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2344 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2313);
// compiled call node returning call2344 (depth = 6)
    gc_frame_newslot(call2344);
    if2174 = call2344;
  }
// compiled if node returning if2174 (depth = 5)
    gc_frame_newslot(if2174);
    if2155 = if2174;
  } else {
// Begin line 730
  setline(730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2346 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block2347 = alloc_Block(NULL, NULL, "lexer", 708);
  gc_frame_newslot(block2347);
// method _apply
  block_savedest(block2347);
  Object closure2348 = createclosure(2, "_apply");
  setclosureframe(closure2348, stackframe);
  addtoclosure(closure2348, var_mode);
  addtoclosure(closure2348, selfslot);
  struct UserObject *uo2348 = (struct UserObject*)block2347;
  uo2348->data[0] = (Object)closure2348;
  Method *meth_meth_lexer__apply2348 = addmethod2pos(block2347, "_apply", &meth_lexer__apply2348, 0);
  int argcv_meth_lexer__apply2348[] = {0};
  meth_meth_lexer__apply2348->type = alloc_MethodType(1, argcv_meth_lexer__apply2348);
  meth_meth_lexer__apply2348->definitionModule = modulename;
  meth_meth_lexer__apply2348->definitionLine = 704;
// compiled block node returning block2347 (depth = 7)
  gc_frame_newslot(block2347);
// call case 6: other member request
// starting to compile call node (depth = 7)
  int callframe2354 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ordval (depth = 8)
  gc_frame_newslot(*var_ordval);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_badControl (depth = 8)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2355 = callmethod(*var_badControl, "match",
    1, partcv, params);
  gc_frame_end(callframe2354);
// compiled call node returning call2355 (depth = 7)
  params[0] = block2347;
  partcv[0] = 1;
  Object call2356 = callmethod(call2355, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe2346);
// compiled call node returning call2356 (depth = 6)
  Object if2345 = done;
  if (istrue(call2356)) {
// Begin line 712
  setline(712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 711
  setline(711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2357 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2358 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call2359 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2358);
// compiled call node returning call2359 (depth = 10)
// compiled member node returning call2359 (depth = 9)
  partcv[0] = 0;
  Object call2360 = callmethod(call2359, "new",
    1, partcv, params);
  gc_frame_end(callframe2357);
// compiled call node returning call2360 (depth = 8)
// compiled member node returning call2360 (depth = 7)
  *var_suggestion = call2360;
  if (call2360 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 725
  setline(725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 712
  setline(712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_inStr (depth = 7)
  Object if2361 = done;
  if (istrue(*var_inStr)) {
// Begin line 713
  setline(713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2362 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_linePosition (depth = 8)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_linePosition (depth = 8)
  gc_frame_newslot(*var_linePosition);
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2364 == NULL) {
    strlit2364 = alloc_String("");
    gc_root(strlit2364);
  }
// compiled string node returning strlit2364 (depth = 9)
  int op_slot_right_2363 = gc_frame_newslot(strlit2364);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2367 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2368 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2369 = alloc_Float64(16);
// compiled num node returning num2369 (depth = 12)
  gc_frame_newslot(num2369);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2369;
  partcv[0] = 1;
  Object call2370 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2368);
// compiled call node returning call2370 (depth = 11)
  gc_frame_newslot(call2370);
// starting to compile num node (depth = 11)
  Object num2371 = alloc_Float64(4);
// compiled num node returning num2371 (depth = 11)
  gc_frame_newslot(num2371);
// starting to compile string node (depth = 11)
  if (strlit2372 == NULL) {
    strlit2372 = alloc_String("0");
    gc_root(strlit2372);
  }
// compiled string node returning strlit2372 (depth = 11)
  gc_frame_newslot(strlit2372);
// call case 2: outer request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2373 = gc_frame_new();
// call case 3: self.outer request
  Object call2374 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2373);
// compiled call node returning call2374 (depth = 12)
// compiled member node returning call2374 (depth = 11)
  params[0] = call2370;
  params[1] = num2371;
  params[2] = strlit2372;
  partcv[0] = 3;
  Object call2375 = callmethodflags(call2374, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2367);
// compiled call node returning call2375 (depth = 10)
  int op_slot_right_2366 = gc_frame_newslot(call2375);
// starting to compile string node (depth = 10)
  if (strlit2377 == NULL) {
    strlit2377 = alloc_String("\\u");
    gc_root(strlit2377);
  }
// compiled string node returning strlit2377 (depth = 10)
  int op_slot_left_2366 = gc_frame_newslot(strlit2377);
  params[0] = call2375;
  partcv[0] = 1;
  Object opresult2378 = callmethod(strlit2377, "++", 1, partcv, params);
// compiled op node returning opresult2378 (depth = 9)
  int op_slot_left_2363 = gc_frame_newslot(opresult2378);
  params[0] = strlit2364;
  partcv[0] = 1;
  Object opresult2379 = callmethod(opresult2378, "++", 1, partcv, params);
// compiled op node returning opresult2379 (depth = 8)
  gc_frame_newslot(opresult2379);
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lineNumber (depth = 8)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// Begin line 713
  setline(713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_linePosition;
  params[1] = *var_linePosition;
  params[2] = opresult2379;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2380 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2362);
// compiled call node returning call2380 (depth = 7)
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2381 = gc_frame_new();
// Begin line 721
  setline(721);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2383 == NULL) {
    strlit2383 = alloc_String(" instead");
    gc_root(strlit2383);
  }
// compiled string node returning strlit2383 (depth = 9)
  int op_slot_right_2382 = gc_frame_newslot(strlit2383);
// starting to compile op node (depth = 9)
// Begin line 720
  setline(720);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2386 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2387 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2388 = alloc_Float64(16);
// compiled num node returning num2388 (depth = 12)
  gc_frame_newslot(num2388);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2388;
  partcv[0] = 1;
  Object call2389 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2387);
// compiled call node returning call2389 (depth = 11)
  gc_frame_newslot(call2389);
// starting to compile num node (depth = 11)
  Object num2390 = alloc_Float64(4);
// compiled num node returning num2390 (depth = 11)
  gc_frame_newslot(num2390);
// starting to compile string node (depth = 11)
  if (strlit2391 == NULL) {
    strlit2391 = alloc_String("0");
    gc_root(strlit2391);
  }
// compiled string node returning strlit2391 (depth = 11)
  gc_frame_newslot(strlit2391);
// call case 2: outer request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2392 = gc_frame_new();
// call case 3: self.outer request
  Object call2393 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2392);
// compiled call node returning call2393 (depth = 12)
// compiled member node returning call2393 (depth = 11)
  params[0] = call2389;
  params[1] = num2390;
  params[2] = strlit2391;
  partcv[0] = 3;
  Object call2394 = callmethodflags(call2393, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2386);
// compiled call node returning call2394 (depth = 10)
  int op_slot_right_2385 = gc_frame_newslot(call2394);
// starting to compile op node (depth = 10)
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit2397 == NULL) {
    strlit2397 = alloc_String("use the Unicode escape \\u");
    gc_root(strlit2397);
  }
// compiled string node returning strlit2397 (depth = 11)
  int op_slot_right_2396 = gc_frame_newslot(strlit2397);
// starting to compile op node (depth = 11)
// Begin line 718
  setline(718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 12)
  if (strlit2400 == NULL) {
    strlit2400 = alloc_String("written in the source code; ");
    gc_root(strlit2400);
  }
// compiled string node returning strlit2400 (depth = 12)
  int op_slot_right_2399 = gc_frame_newslot(strlit2400);
// starting to compile op node (depth = 12)
// Begin line 717
  setline(717);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 13)
  if (strlit2403 == NULL) {
    strlit2403 = alloc_String("is a control character and cannot be ");
    gc_root(strlit2403);
  }
// compiled string node returning strlit2403 (depth = 13)
  int op_slot_right_2402 = gc_frame_newslot(strlit2403);
// starting to compile op node (depth = 13)
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 14)
  if (strlit2406 == NULL) {
    strlit2406 = alloc_String(") ");
    gc_root(strlit2406);
  }
// compiled string node returning strlit2406 (depth = 14)
  int op_slot_right_2405 = gc_frame_newslot(strlit2406);
// starting to compile op node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe2409 = gc_frame_new();
// starting to compile call node (depth = 16)
  int callframe2410 = gc_frame_new();
// starting to compile num node (depth = 17)
  Object num2411 = alloc_Float64(16);
// compiled num node returning num2411 (depth = 17)
  gc_frame_newslot(num2411);
// call case 6: other member request
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_ordval (depth = 17)
  params[0] = num2411;
  partcv[0] = 1;
  Object call2412 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2410);
// compiled call node returning call2412 (depth = 16)
  gc_frame_newslot(call2412);
// starting to compile num node (depth = 16)
  Object num2413 = alloc_Float64(4);
// compiled num node returning num2413 (depth = 16)
  gc_frame_newslot(num2413);
// starting to compile string node (depth = 16)
  if (strlit2414 == NULL) {
    strlit2414 = alloc_String("0");
    gc_root(strlit2414);
  }
// compiled string node returning strlit2414 (depth = 16)
  gc_frame_newslot(strlit2414);
// call case 2: outer request
// starting to compile member node (depth = 16)
// starting to compile call node (depth = 17)
  int callframe2415 = gc_frame_new();
// call case 3: self.outer request
  Object call2416 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2415);
// compiled call node returning call2416 (depth = 17)
// compiled member node returning call2416 (depth = 16)
  params[0] = call2412;
  params[1] = num2413;
  params[2] = strlit2414;
  partcv[0] = 3;
  Object call2417 = callmethodflags(call2416, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2409);
// compiled call node returning call2417 (depth = 15)
  int op_slot_right_2408 = gc_frame_newslot(call2417);
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit2420 == NULL) {
    strlit2420 = alloc_String(" (U+");
    gc_root(strlit2420);
  }
// compiled string node returning strlit2420 (depth = 16)
  int op_slot_right_2419 = gc_frame_newslot(strlit2420);
// starting to compile op node (depth = 16)
// starting to compile call node (depth = 17)
  int callframe2423 = gc_frame_new();
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_c (depth = 18)
  gc_frame_newslot(*var_c);
// call case 6: other member request
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_unicode (depth = 18)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2424 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2423);
// compiled call node returning call2424 (depth = 17)
  int op_slot_right_2422 = gc_frame_newslot(call2424);
// starting to compile string node (depth = 17)
  if (strlit2426 == NULL) {
    strlit2426 = alloc_String("");
    gc_root(strlit2426);
  }
// compiled string node returning strlit2426 (depth = 17)
  int op_slot_left_2422 = gc_frame_newslot(strlit2426);
  params[0] = call2424;
  partcv[0] = 1;
  Object opresult2427 = callmethod(strlit2426, "++", 1, partcv, params);
// compiled op node returning opresult2427 (depth = 16)
  int op_slot_left_2419 = gc_frame_newslot(opresult2427);
  params[0] = strlit2420;
  partcv[0] = 1;
  Object opresult2428 = callmethod(opresult2427, "++", 1, partcv, params);
// compiled op node returning opresult2428 (depth = 15)
  int op_slot_left_2408 = gc_frame_newslot(opresult2428);
  params[0] = call2417;
  partcv[0] = 1;
  Object opresult2429 = callmethod(opresult2428, "++", 1, partcv, params);
// compiled op node returning opresult2429 (depth = 14)
  int op_slot_left_2405 = gc_frame_newslot(opresult2429);
  params[0] = strlit2406;
  partcv[0] = 1;
  Object opresult2430 = callmethod(opresult2429, "++", 1, partcv, params);
// compiled op node returning opresult2430 (depth = 13)
  int op_slot_left_2402 = gc_frame_newslot(opresult2430);
  params[0] = strlit2403;
  partcv[0] = 1;
  Object opresult2431 = callmethod(opresult2430, "++", 1, partcv, params);
// compiled op node returning opresult2431 (depth = 12)
  int op_slot_left_2399 = gc_frame_newslot(opresult2431);
  params[0] = strlit2400;
  partcv[0] = 1;
  Object opresult2432 = callmethod(opresult2431, "++", 1, partcv, params);
// compiled op node returning opresult2432 (depth = 11)
  int op_slot_left_2396 = gc_frame_newslot(opresult2432);
  params[0] = strlit2397;
  partcv[0] = 1;
  Object opresult2433 = callmethod(opresult2432, "++", 1, partcv, params);
// compiled op node returning opresult2433 (depth = 10)
  int op_slot_left_2385 = gc_frame_newslot(opresult2433);
  params[0] = call2394;
  partcv[0] = 1;
  Object opresult2434 = callmethod(opresult2433, "++", 1, partcv, params);
// compiled op node returning opresult2434 (depth = 9)
  int op_slot_left_2382 = gc_frame_newslot(opresult2434);
  params[0] = strlit2383;
  partcv[0] = 1;
  Object opresult2435 = callmethod(opresult2434, "++", 1, partcv, params);
// compiled op node returning opresult2435 (depth = 8)
  gc_frame_newslot(opresult2435);
// Begin line 722
  setline(722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lineNumber (depth = 8)
  gc_frame_newslot(*var_lineNumber);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_linePosition (depth = 8)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_linePosition (depth = 8)
  gc_frame_newslot(*var_linePosition);
// Begin line 723
  setline(723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = opresult2435;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2436 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2381);
// compiled call node returning call2436 (depth = 7)
    gc_frame_newslot(call2436);
    if2361 = call2436;
  } else {
  }
// compiled if node returning if2361 (depth = 6)
// Begin line 725
  setline(725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2437 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_linePosition (depth = 7)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lineNumber (depth = 7)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_linePosition;
  params[1] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2438 = callmethod(*var_suggestion, "deleteChar()onLine",
    2, partcv, params);
  gc_frame_end(callframe2437);
// compiled call node returning call2438 (depth = 6)
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2439 = gc_frame_new();
// Begin line 727
  setline(727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2441 == NULL) {
    strlit2441 = alloc_String("is a control character and cannot be written in the source code; consider using spaces instead.");
    gc_root(strlit2441);
  }
// compiled string node returning strlit2441 (depth = 8)
  int op_slot_right_2440 = gc_frame_newslot(strlit2441);
// starting to compile op node (depth = 8)
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2444 == NULL) {
    strlit2444 = alloc_String(") ");
    gc_root(strlit2444);
  }
// compiled string node returning strlit2444 (depth = 9)
  int op_slot_right_2443 = gc_frame_newslot(strlit2444);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2447 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2448 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2449 = alloc_Float64(16);
// compiled num node returning num2449 (depth = 12)
  gc_frame_newslot(num2449);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2449;
  partcv[0] = 1;
  Object call2450 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2448);
// compiled call node returning call2450 (depth = 11)
  gc_frame_newslot(call2450);
// starting to compile num node (depth = 11)
  Object num2451 = alloc_Float64(4);
// compiled num node returning num2451 (depth = 11)
  gc_frame_newslot(num2451);
// starting to compile string node (depth = 11)
  if (strlit2452 == NULL) {
    strlit2452 = alloc_String("0");
    gc_root(strlit2452);
  }
// compiled string node returning strlit2452 (depth = 11)
  gc_frame_newslot(strlit2452);
// call case 2: outer request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2453 = gc_frame_new();
// call case 3: self.outer request
  Object call2454 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2453);
// compiled call node returning call2454 (depth = 12)
// compiled member node returning call2454 (depth = 11)
  params[0] = call2450;
  params[1] = num2451;
  params[2] = strlit2452;
  partcv[0] = 3;
  Object call2455 = callmethodflags(call2454, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2447);
// compiled call node returning call2455 (depth = 10)
  int op_slot_right_2446 = gc_frame_newslot(call2455);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2458 == NULL) {
    strlit2458 = alloc_String(" (U+");
    gc_root(strlit2458);
  }
// compiled string node returning strlit2458 (depth = 11)
  int op_slot_right_2457 = gc_frame_newslot(strlit2458);
// starting to compile op node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2461 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  gc_frame_newslot(*var_c);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_unicode (depth = 13)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2462 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2461);
// compiled call node returning call2462 (depth = 12)
  int op_slot_right_2460 = gc_frame_newslot(call2462);
// starting to compile string node (depth = 12)
  if (strlit2464 == NULL) {
    strlit2464 = alloc_String("");
    gc_root(strlit2464);
  }
// compiled string node returning strlit2464 (depth = 12)
  int op_slot_left_2460 = gc_frame_newslot(strlit2464);
  params[0] = call2462;
  partcv[0] = 1;
  Object opresult2465 = callmethod(strlit2464, "++", 1, partcv, params);
// compiled op node returning opresult2465 (depth = 11)
  int op_slot_left_2457 = gc_frame_newslot(opresult2465);
  params[0] = strlit2458;
  partcv[0] = 1;
  Object opresult2466 = callmethod(opresult2465, "++", 1, partcv, params);
// compiled op node returning opresult2466 (depth = 10)
  int op_slot_left_2446 = gc_frame_newslot(opresult2466);
  params[0] = call2455;
  partcv[0] = 1;
  Object opresult2467 = callmethod(opresult2466, "++", 1, partcv, params);
// compiled op node returning opresult2467 (depth = 9)
  int op_slot_left_2443 = gc_frame_newslot(opresult2467);
  params[0] = strlit2444;
  partcv[0] = 1;
  Object opresult2468 = callmethod(opresult2467, "++", 1, partcv, params);
// compiled op node returning opresult2468 (depth = 8)
  int op_slot_left_2440 = gc_frame_newslot(opresult2468);
  params[0] = strlit2441;
  partcv[0] = 1;
  Object opresult2469 = callmethod(opresult2468, "++", 1, partcv, params);
// compiled op node returning opresult2469 (depth = 7)
  gc_frame_newslot(opresult2469);
// Begin line 727
  setline(727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lineNumber (depth = 7)
  gc_frame_newslot(*var_lineNumber);
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_linePosition (depth = 7)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_linePosition (depth = 7)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult2469;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2470 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2439);
// compiled call node returning call2470 (depth = 6)
    gc_frame_newslot(call2470);
    if2345 = call2470;
  } else {
  }
// compiled if node returning if2345 (depth = 5)
    gc_frame_newslot(if2345);
    if2155 = if2345;
  }
// compiled if node returning if2155 (depth = 4)
// Begin line 740
  setline(740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 730
  setline(730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_atStart (depth = 5)
  Object if2471 = done;
  if (istrue(*var_atStart)) {
// Begin line 739
  setline(739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 731
  setline(731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2474 = alloc_Float64(1);
// compiled num node returning num2474 (depth = 7)
  int op_slot_right_2473 = gc_frame_newslot(num2474);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_linePosition (depth = 7)
  int op_slot_left_2473 = gc_frame_newslot(*var_linePosition);
  params[0] = num2474;
  partcv[0] = 1;
  Object opresult2476 = callmethod(*var_linePosition, "==", 1, partcv, params);
// compiled op node returning opresult2476 (depth = 6)
  Object if2472 = done;
  if (istrue(opresult2476)) {
// Begin line 738
  setline(738);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 732
  setline(732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2479 == NULL) {
    strlit2479 = alloc_String("#");
    gc_root(strlit2479);
  }
// compiled string node returning strlit2479 (depth = 8)
  int op_slot_right_2478 = gc_frame_newslot(strlit2479);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2478 = gc_frame_newslot(*var_c);
  params[0] = strlit2479;
  partcv[0] = 1;
  Object opresult2481 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2481 (depth = 7)
  Object if2477 = done;
  if (istrue(opresult2481)) {
// Begin line 734
  setline(734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 733
  setline(733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2482 == NULL) {
    strlit2482 = alloc_String("p");
    gc_root(strlit2482);
  }
// compiled string node returning strlit2482 (depth = 8)
  *var_mode = strlit2482;
  if (strlit2482 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 735
  setline(735);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 734
  setline(734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2477 = done;
  } else {
// Begin line 737
  setline(737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 736
  setline(736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool2485 = alloc_Boolean(0);
// compiled identifier node returning bool2485 (depth = 8)
  *var_atStart = bool2485;
  if (bool2485 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2477 = done;
  }
// compiled if node returning if2477 (depth = 6)
    gc_frame_newslot(if2477);
    if2472 = if2477;
  } else {
  }
// compiled if node returning if2472 (depth = 5)
    gc_frame_newslot(if2472);
    if2471 = if2472;
  } else {
  }
// compiled if node returning if2471 (depth = 4)
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 740
  setline(740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_inStr (depth = 5)
  Object if2487 = done;
  if (istrue(*var_inStr)) {
    gc_frame_newslot(done);
    if2487 = done;
  } else {
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 742
  setline(742);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2491 == NULL) {
    strlit2491 = alloc_String("p");
    gc_root(strlit2491);
  }
// compiled string node returning strlit2491 (depth = 8)
  int op_slot_right_2490 = gc_frame_newslot(strlit2491);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_2490 = gc_frame_newslot(*var_mode);
  params[0] = strlit2491;
  partcv[0] = 1;
  Object opresult2493 = callmethod(*var_mode, "!=", 1, partcv, params);
// compiled op node returning opresult2493 (depth = 7)
  int op_slot_right_2489 = gc_frame_newslot(opresult2493);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2496 == NULL) {
    strlit2496 = alloc_String("c");
    gc_root(strlit2496);
  }
// compiled string node returning strlit2496 (depth = 8)
  int op_slot_right_2495 = gc_frame_newslot(strlit2496);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_2495 = gc_frame_newslot(*var_mode);
  params[0] = strlit2496;
  partcv[0] = 1;
  Object opresult2498 = callmethod(*var_mode, "!=", 1, partcv, params);
// compiled op node returning opresult2498 (depth = 7)
  int op_slot_left_2489 = gc_frame_newslot(opresult2498);
  params[0] = opresult2493;
  partcv[0] = 1;
  Object opresult2499 = callmethod(opresult2498, "&&", 1, partcv, params);
// compiled op node returning opresult2499 (depth = 6)
  Object if2488 = done;
  if (istrue(opresult2499)) {
// Begin line 747
  setline(747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 744
  setline(744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2503 == NULL) {
    strlit2503 = alloc_String("d");
    gc_root(strlit2503);
  }
// compiled string node returning strlit2503 (depth = 9)
  int op_slot_right_2502 = gc_frame_newslot(strlit2503);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_2502 = gc_frame_newslot(*var_mode);
  params[0] = strlit2503;
  partcv[0] = 1;
  Object opresult2505 = callmethod(*var_mode, "!=", 1, partcv, params);
// compiled op node returning opresult2505 (depth = 8)
  int op_slot_right_2501 = gc_frame_newslot(opresult2505);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2508 == NULL) {
    strlit2508 = alloc_String(" ");
    gc_root(strlit2508);
  }
// compiled string node returning strlit2508 (depth = 9)
  int op_slot_right_2507 = gc_frame_newslot(strlit2508);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_2507 = gc_frame_newslot(*var_c);
  params[0] = strlit2508;
  partcv[0] = 1;
  Object opresult2510 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2510 (depth = 8)
  int op_slot_left_2501 = gc_frame_newslot(opresult2510);
  params[0] = opresult2505;
  partcv[0] = 1;
  Object opresult2511 = callmethod(opresult2510, "&&", 1, partcv, params);
// compiled op node returning opresult2511 (depth = 7)
  Object if2500 = done;
  if (istrue(opresult2511)) {
// Begin line 746
  setline(746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 745
  setline(745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2512 == NULL) {
    strlit2512 = alloc_String("n");
    gc_root(strlit2512);
  }
// compiled string node returning strlit2512 (depth = 8)
  *var_newmode = strlit2512;
  if (strlit2512 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2500 = done;
  } else {
  }
// compiled if node returning if2500 (depth = 6)
// Begin line 761
  setline(761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 747
  setline(747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2516 == NULL) {
    strlit2516 = alloc_String("""\x22""");
    gc_root(strlit2516);
  }
// compiled string node returning strlit2516 (depth = 8)
  int op_slot_right_2515 = gc_frame_newslot(strlit2516);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2515 = gc_frame_newslot(*var_c);
  params[0] = strlit2516;
  partcv[0] = 1;
  Object opresult2518 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2518 (depth = 7)
  Object if2514 = done;
  if (istrue(opresult2518)) {
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 749
  setline(749);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2519 == NULL) {
    strlit2519 = alloc_String("""\x22""");
    gc_root(strlit2519);
  }
// compiled string node returning strlit2519 (depth = 8)
  *var_newmode = strlit2519;
  if (strlit2519 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool2521 = alloc_Boolean(1);
// compiled identifier node returning bool2521 (depth = 8)
  *var_inStr = bool2521;
  if (bool2521 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_linePosition (depth = 8)
  *var_stringStart = *var_linePosition;
  if (*var_linePosition == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2514 = done;
  } else {
// Begin line 758
  setline(758);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2526 == NULL) {
    strlit2526 = alloc_String("""\xe2""""\x80""""\xb9""");
    gc_root(strlit2526);
  }
// compiled string node returning strlit2526 (depth = 9)
  int op_slot_right_2525 = gc_frame_newslot(strlit2526);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_2525 = gc_frame_newslot(*var_c);
  params[0] = strlit2526;
  partcv[0] = 1;
  Object opresult2528 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2528 (depth = 8)
  Object if2524 = done;
  if (istrue(opresult2528)) {
// Begin line 755
  setline(755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 754
  setline(754);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2529 == NULL) {
    strlit2529 = alloc_String("q");
    gc_root(strlit2529);
  }
// compiled string node returning strlit2529 (depth = 9)
  *var_newmode = strlit2529;
  if (strlit2529 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 756
  setline(756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 755
  setline(755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
  Object bool2531 = alloc_Boolean(1);
// compiled identifier node returning bool2531 (depth = 9)
  *var_inStr = bool2531;
  if (bool2531 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 757
  setline(757);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 756
  setline(756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lineNumber (depth = 9)
  *var_startLine = *var_lineNumber;
  if (*var_lineNumber == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 758
  setline(758);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 757
  setline(757);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_linePosition (depth = 9)
  *var_stringStart = *var_linePosition;
  if (*var_linePosition == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2524 = done;
  } else {
// Begin line 761
  setline(761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 758
  setline(758);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2536 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ordval (depth = 10)
  gc_frame_newslot(*var_ordval);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_identifierChar (depth = 10)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2537 = callmethod(*var_identifierChar, "match",
    1, partcv, params);
  gc_frame_end(callframe2536);
// compiled call node returning call2537 (depth = 9)
  Object if2535 = done;
  if (istrue(call2537)) {
// Begin line 760
  setline(760);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 759
  setline(759);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit2538 == NULL) {
    strlit2538 = alloc_String("i");
    gc_root(strlit2538);
  }
// compiled string node returning strlit2538 (depth = 10)
  *var_newmode = strlit2538;
  if (strlit2538 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if2535 = done;
  } else {
  }
// compiled if node returning if2535 (depth = 8)
    gc_frame_newslot(if2535);
    if2524 = if2535;
  }
// compiled if node returning if2524 (depth = 7)
    gc_frame_newslot(if2524);
    if2514 = if2524;
  }
// compiled if node returning if2514 (depth = 6)
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 761
  setline(761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2541 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ordval (depth = 8)
  gc_frame_newslot(*var_ordval);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_digit (depth = 8)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2542 = callmethod(*var_digit, "match",
    1, partcv, params);
  gc_frame_end(callframe2541);
// compiled call node returning call2542 (depth = 7)
  Object if2540 = done;
  if (istrue(call2542)) {
// Begin line 767
  setline(767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2545 == NULL) {
    strlit2545 = alloc_String("i");
    gc_root(strlit2545);
  }
// compiled string node returning strlit2545 (depth = 9)
  int op_slot_right_2544 = gc_frame_newslot(strlit2545);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_2544 = gc_frame_newslot(*var_mode);
  params[0] = strlit2545;
  partcv[0] = 1;
  Object opresult2547 = callmethod(*var_mode, "!=", 1, partcv, params);
// compiled op node returning opresult2547 (depth = 8)
  Object if2543 = done;
  if (istrue(opresult2547)) {
// Begin line 766
  setline(766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 765
  setline(765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2548 == NULL) {
    strlit2548 = alloc_String("m");
    gc_root(strlit2548);
  }
// compiled string node returning strlit2548 (depth = 9)
  *var_newmode = strlit2548;
  if (strlit2548 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2543 = done;
  } else {
  }
// compiled if node returning if2543 (depth = 7)
    gc_frame_newslot(if2543);
    if2540 = if2543;
  } else {
  }
// compiled if node returning if2540 (depth = 6)
// Begin line 777
  setline(777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2552 == NULL) {
    strlit2552 = alloc_String("m");
    gc_root(strlit2552);
  }
// compiled string node returning strlit2552 (depth = 8)
  int op_slot_right_2551 = gc_frame_newslot(strlit2552);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_2551 = gc_frame_newslot(*var_mode);
  params[0] = strlit2552;
  partcv[0] = 1;
  Object opresult2554 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2554 (depth = 7)
  Object if2550 = done;
  if (istrue(opresult2554)) {
// Begin line 776
  setline(776);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 769
  setline(769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2558 = alloc_Float64(122);
// compiled num node returning num2558 (depth = 10)
  int op_slot_right_2557 = gc_frame_newslot(num2558);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ordval (depth = 10)
  int op_slot_left_2557 = gc_frame_newslot(*var_ordval);
  params[0] = num2558;
  partcv[0] = 1;
  Object opresult2560 = callmethod(*var_ordval, "<=", 1, partcv, params);
// compiled op node returning opresult2560 (depth = 9)
  int op_slot_right_2556 = gc_frame_newslot(opresult2560);
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2563 = alloc_Float64(97);
// compiled num node returning num2563 (depth = 10)
  int op_slot_right_2562 = gc_frame_newslot(num2563);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ordval (depth = 10)
  int op_slot_left_2562 = gc_frame_newslot(*var_ordval);
  params[0] = num2563;
  partcv[0] = 1;
  Object opresult2565 = callmethod(*var_ordval, ">=", 1, partcv, params);
// compiled op node returning opresult2565 (depth = 9)
  int op_slot_left_2556 = gc_frame_newslot(opresult2565);
  params[0] = opresult2560;
  partcv[0] = 1;
  Object opresult2566 = callmethod(opresult2565, "&&", 1, partcv, params);
// compiled op node returning opresult2566 (depth = 8)
  Object if2555 = done;
  if (istrue(opresult2566)) {
// Begin line 771
  setline(771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 770
  setline(770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2567 == NULL) {
    strlit2567 = alloc_String("m");
    gc_root(strlit2567);
  }
// compiled string node returning strlit2567 (depth = 9)
  *var_newmode = strlit2567;
  if (strlit2567 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2555 = done;
  } else {
// Begin line 775
  setline(775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 772
  setline(772);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num2572 = alloc_Float64(90);
// compiled num node returning num2572 (depth = 11)
  int op_slot_right_2571 = gc_frame_newslot(num2572);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_ordval (depth = 11)
  int op_slot_left_2571 = gc_frame_newslot(*var_ordval);
  params[0] = num2572;
  partcv[0] = 1;
  Object opresult2574 = callmethod(*var_ordval, "<=", 1, partcv, params);
// compiled op node returning opresult2574 (depth = 10)
  int op_slot_right_2570 = gc_frame_newslot(opresult2574);
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num2577 = alloc_Float64(65);
// compiled num node returning num2577 (depth = 11)
  int op_slot_right_2576 = gc_frame_newslot(num2577);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_ordval (depth = 11)
  int op_slot_left_2576 = gc_frame_newslot(*var_ordval);
  params[0] = num2577;
  partcv[0] = 1;
  Object opresult2579 = callmethod(*var_ordval, ">=", 1, partcv, params);
// compiled op node returning opresult2579 (depth = 10)
  int op_slot_left_2570 = gc_frame_newslot(opresult2579);
  params[0] = opresult2574;
  partcv[0] = 1;
  Object opresult2580 = callmethod(opresult2579, "&&", 1, partcv, params);
// compiled op node returning opresult2580 (depth = 9)
  Object if2569 = done;
  if (istrue(opresult2580)) {
// Begin line 774
  setline(774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 773
  setline(773);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit2581 == NULL) {
    strlit2581 = alloc_String("m");
    gc_root(strlit2581);
  }
// compiled string node returning strlit2581 (depth = 10)
  *var_newmode = strlit2581;
  if (strlit2581 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if2569 = done;
  } else {
  }
// compiled if node returning if2569 (depth = 8)
    gc_frame_newslot(if2569);
    if2555 = if2569;
  }
// compiled if node returning if2555 (depth = 7)
    gc_frame_newslot(if2555);
    if2550 = if2555;
  } else {
  }
// compiled if node returning if2550 (depth = 6)
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 777
  setline(777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2586 == NULL) {
    strlit2586 = alloc_String("<");
    gc_root(strlit2586);
  }
// compiled string node returning strlit2586 (depth = 9)
  int op_slot_right_2585 = gc_frame_newslot(strlit2586);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_2585 = gc_frame_newslot(*var_c);
  params[0] = strlit2586;
  partcv[0] = 1;
  Object opresult2588 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2588 (depth = 8)
  int op_slot_right_2584 = gc_frame_newslot(opresult2588);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2591 == NULL) {
    strlit2591 = alloc_String("i");
    gc_root(strlit2591);
  }
// compiled string node returning strlit2591 (depth = 9)
  int op_slot_right_2590 = gc_frame_newslot(strlit2591);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_2590 = gc_frame_newslot(*var_mode);
  params[0] = strlit2591;
  partcv[0] = 1;
  Object opresult2593 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2593 (depth = 8)
  int op_slot_left_2584 = gc_frame_newslot(opresult2593);
  params[0] = opresult2588;
  partcv[0] = 1;
  Object opresult2594 = callmethod(opresult2593, "&&", 1, partcv, params);
// compiled op node returning opresult2594 (depth = 7)
  Object if2583 = done;
  if (istrue(opresult2594)) {
// Begin line 779
  setline(779);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2595 == NULL) {
    strlit2595 = alloc_String("<");
    gc_root(strlit2595);
  }
// compiled string node returning strlit2595 (depth = 8)
  *var_newmode = strlit2595;
  if (strlit2595 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2583 = done;
  } else {
// Begin line 785
  setline(785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 780
  setline(780);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2600 == NULL) {
    strlit2600 = alloc_String(">");
    gc_root(strlit2600);
  }
// compiled string node returning strlit2600 (depth = 10)
  int op_slot_right_2599 = gc_frame_newslot(strlit2600);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_left_2599 = gc_frame_newslot(*var_c);
  params[0] = strlit2600;
  partcv[0] = 1;
  Object opresult2602 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2602 (depth = 9)
  int op_slot_right_2598 = gc_frame_newslot(opresult2602);
// Begin line 779
  setline(779);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2604 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mode (depth = 10)
  gc_frame_newslot(*var_mode);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_iGTLT (depth = 10)
  params[0] = *var_mode;
  partcv[0] = 1;
  Object call2605 = callmethod(*var_iGTLT, "match",
    1, partcv, params);
  gc_frame_end(callframe2604);
// compiled call node returning call2605 (depth = 9)
  int op_slot_left_2598 = gc_frame_newslot(call2605);
  params[0] = opresult2602;
  partcv[0] = 1;
  Object opresult2606 = callmethod(call2605, "&&", 1, partcv, params);
// compiled op node returning opresult2606 (depth = 8)
  Object if2597 = done;
  if (istrue(opresult2606)) {
// Begin line 784
  setline(784);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2609 == NULL) {
    strlit2609 = alloc_String(">");
    gc_root(strlit2609);
  }
// compiled string node returning strlit2609 (depth = 10)
  int op_slot_right_2608 = gc_frame_newslot(strlit2609);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mode (depth = 10)
  int op_slot_left_2608 = gc_frame_newslot(*var_mode);
  params[0] = strlit2609;
  partcv[0] = 1;
  Object opresult2611 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2611 (depth = 9)
  Object if2607 = done;
  if (istrue(opresult2611)) {
// Begin line 782
  setline(782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2612 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tokens (depth = 10)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mode (depth = 10)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_accum (depth = 10)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2613 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2612);
// compiled call node returning call2613 (depth = 9)
    gc_frame_newslot(call2613);
    if2607 = call2613;
  } else {
  }
// compiled if node returning if2607 (depth = 8)
// Begin line 785
  setline(785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 784
  setline(784);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2614 == NULL) {
    strlit2614 = alloc_String(">");
    gc_root(strlit2614);
  }
// compiled string node returning strlit2614 (depth = 9)
  *var_newmode = strlit2614;
  if (strlit2614 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2597 = done;
  } else {
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 785
  setline(785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2617 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ordval (depth = 10)
  gc_frame_newslot(*var_ordval);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_operatorChar (depth = 10)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2618 = callmethod(*var_operatorChar, "match",
    1, partcv, params);
  gc_frame_end(callframe2617);
// compiled call node returning call2618 (depth = 9)
  Object if2616 = done;
  if (istrue(call2618)) {
// Begin line 787
  setline(787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 786
  setline(786);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit2619 == NULL) {
    strlit2619 = alloc_String("o");
    gc_root(strlit2619);
  }
// compiled string node returning strlit2619 (depth = 10)
  *var_newmode = strlit2619;
  if (strlit2619 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if2616 = done;
  } else {
  }
// compiled if node returning if2616 (depth = 8)
    gc_frame_newslot(if2616);
    if2597 = if2616;
  }
// compiled if node returning if2597 (depth = 7)
    gc_frame_newslot(if2597);
    if2583 = if2597;
  }
// compiled if node returning if2583 (depth = 6)
// Begin line 791
  setline(791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2622 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ordval (depth = 8)
  gc_frame_newslot(*var_ordval);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_selfModes (depth = 8)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2623 = callmethod(*var_selfModes, "match",
    1, partcv, params);
  gc_frame_end(callframe2622);
// compiled call node returning call2623 (depth = 7)
  Object if2621 = done;
  if (istrue(call2623)) {
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  *var_newmode = *var_c;
  if (*var_c == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2621 = done;
  } else {
  }
// compiled if node returning if2621 (depth = 6)
// Begin line 812
  setline(812);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 791
  setline(791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2627 == NULL) {
    strlit2627 = alloc_String("#");
    gc_root(strlit2627);
  }
// compiled string node returning strlit2627 (depth = 8)
  int op_slot_right_2626 = gc_frame_newslot(strlit2627);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2626 = gc_frame_newslot(*var_c);
  params[0] = strlit2627;
  partcv[0] = 1;
  Object opresult2629 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2629 (depth = 7)
  Object if2625 = done;
  if (istrue(opresult2629)) {
// Begin line 811
  setline(811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 792
  setline(792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2632 == NULL) {
    strlit2632 = alloc_String("p");
    gc_root(strlit2632);
  }
// compiled string node returning strlit2632 (depth = 9)
  int op_slot_right_2631 = gc_frame_newslot(strlit2632);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_2631 = gc_frame_newslot(*var_mode);
  params[0] = strlit2632;
  partcv[0] = 1;
  Object opresult2634 = callmethod(*var_mode, "!=", 1, partcv, params);
// compiled op node returning opresult2634 (depth = 8)
  Object if2630 = done;
  if (istrue(opresult2634)) {
// Begin line 810
  setline(810);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 793
  setline(793);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2637 == NULL) {
    strlit2637 = alloc_String("#pragma");
    gc_root(strlit2637);
  }
// compiled string node returning strlit2637 (depth = 10)
  int op_slot_right_2636 = gc_frame_newslot(strlit2637);
// starting to compile call node (depth = 10)
  int callframe2639 = gc_frame_new();
// starting to compile num node (depth = 11)
  Object num2640 = alloc_Float64(1);
// compiled num node returning num2640 (depth = 11)
  gc_frame_newslot(num2640);
// starting to compile num node (depth = 11)
  Object num2641 = alloc_Float64(7);
// compiled num node returning num2641 (depth = 11)
  gc_frame_newslot(num2641);
// call case 6: other member request
// starting to compile call node (depth = 11)
  int callframe2642 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lineNumber (depth = 12)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2643 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_util (depth = 14)
  partcv[0] = 0;
  Object call2644 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2643);
// compiled call node returning call2644 (depth = 13)
// compiled member node returning call2644 (depth = 12)
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call2645 = callmethod(call2644, "at",
    1, partcv, params);
  gc_frame_end(callframe2642);
// compiled call node returning call2645 (depth = 11)
  params[0] = num2640;
  params[1] = num2641;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2646 = callmethod(call2645, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe2639);
// compiled call node returning call2646 (depth = 10)
  int op_slot_left_2636 = gc_frame_newslot(call2646);
  params[0] = strlit2637;
  partcv[0] = 1;
  Object opresult2647 = callmethod(call2646, "==", 1, partcv, params);
// compiled op node returning opresult2647 (depth = 9)
  Object if2635 = done;
  if (istrue(opresult2647)) {
// Begin line 804
  setline(804);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 794
  setline(794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num2650 = alloc_Float64(0);
// compiled num node returning num2650 (depth = 11)
  int op_slot_right_2649 = gc_frame_newslot(num2650);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2652 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tokens (depth = 13)
  partcv[0] = 0;
  Object call2653 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe2652);
// compiled call node returning call2653 (depth = 12)
// compiled member node returning call2653 (depth = 11)
  int op_slot_left_2649 = gc_frame_newslot(call2653);
  params[0] = num2650;
  partcv[0] = 1;
  Object opresult2654 = callmethod(call2653, "==", 1, partcv, params);
// compiled op node returning opresult2654 (depth = 10)
  Object if2648 = done;
  if (istrue(opresult2654)) {
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 10)
// Begin line 795
  setline(795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2655 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe2656 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_errormessages (depth = 15)
  partcv[0] = 0;
  Object call2657 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2656);
// compiled call node returning call2657 (depth = 14)
// compiled member node returning call2657 (depth = 13)
  partcv[0] = 0;
  Object call2658 = callmethod(call2657, "new",
    1, partcv, params);
  gc_frame_end(callframe2655);
// compiled call node returning call2658 (depth = 12)
// compiled member node returning call2658 (depth = 11)
  *var_suggestion = call2658;
  if (call2658 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 10)
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2659 = gc_frame_new();
// starting to compile num node (depth = 11)
  Object num2660 = alloc_Float64(1);
// compiled num node returning num2660 (depth = 11)
  gc_frame_newslot(num2660);
// starting to compile call node (depth = 11)
  int callframe2661 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lineNumber (depth = 12)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2662 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_util (depth = 14)
  partcv[0] = 0;
  Object call2663 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2662);
// compiled call node returning call2663 (depth = 13)
// compiled member node returning call2663 (depth = 12)
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call2664 = callmethod(call2663, "at",
    1, partcv, params);
  gc_frame_end(callframe2661);
// compiled call node returning call2664 (depth = 11)
  gc_frame_newslot(call2664);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = num2660;
  params[1] = call2664;
  partcv[0] = 2;
  Object call2665 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2659);
// compiled call node returning call2665 (depth = 10)
// Begin line 797
  setline(797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2666 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lineNumber (depth = 11)
  gc_frame_newslot(*var_lineNumber);
// starting to compile string node (depth = 11)
  if (strlit2667 == NULL) {
    strlit2667 = alloc_String("");
    gc_root(strlit2667);
  }
// compiled string node returning strlit2667 (depth = 11)
  gc_frame_newslot(strlit2667);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = *var_lineNumber;
  params[1] = strlit2667;
  partcv[0] = 2;
  Object call2668 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2666);
// compiled call node returning call2668 (depth = 10)
// Begin line 798
  setline(798);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2669 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit2670 == NULL) {
    strlit2670 = alloc_String("Pragma directives must be at the start of the file.");
    gc_root(strlit2670);
  }
// compiled string node returning strlit2670 (depth = 11)
  gc_frame_newslot(strlit2670);
// Begin line 799
  setline(799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lineNumber (depth = 11)
  gc_frame_newslot(*var_lineNumber);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 798
  setline(798);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  params[0] = strlit2670;
  params[1] = *var_lineNumber;
  params[2] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2671 = callmethod(*var_errormessages, "syntaxError()atLine()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2669);
// compiled call node returning call2671 (depth = 10)
    gc_frame_newslot(call2671);
    if2648 = call2671;
  } else {
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2672 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit2673 == NULL) {
    strlit2673 = alloc_String("Pragma directives must be at the start of the file.");
    gc_root(strlit2673);
  }
// compiled string node returning strlit2673 (depth = 11)
  gc_frame_newslot(strlit2673);
// Begin line 802
  setline(802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lineNumber (depth = 11)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  params[0] = strlit2673;
  params[1] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2674 = callmethod(*var_errormessages, "syntaxError()atLine",
    2, partcv, params);
  gc_frame_end(callframe2672);
// compiled call node returning call2674 (depth = 10)
    gc_frame_newslot(call2674);
    if2648 = call2674;
  }
// compiled if node returning if2648 (depth = 9)
    gc_frame_newslot(if2648);
    if2635 = if2648;
  } else {
// Begin line 806
  setline(806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// Begin line 805
  setline(805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2675 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2676 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  partcv[0] = 0;
  Object call2677 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2676);
// compiled call node returning call2677 (depth = 13)
// compiled member node returning call2677 (depth = 12)
  partcv[0] = 0;
  Object call2678 = callmethod(call2677, "new",
    1, partcv, params);
  gc_frame_end(callframe2675);
// compiled call node returning call2678 (depth = 11)
// compiled member node returning call2678 (depth = 10)
  *var_suggestion = call2678;
  if (call2678 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 9)
// Begin line 806
  setline(806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2679 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_linePosition (depth = 10)
  gc_frame_newslot(*var_linePosition);
// starting to compile string node (depth = 10)
  if (strlit2680 == NULL) {
    strlit2680 = alloc_String("//");
    gc_root(strlit2680);
  }
// compiled string node returning strlit2680 (depth = 10)
  gc_frame_newslot(strlit2680);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lineNumber (depth = 10)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_linePosition;
  params[1] = strlit2680;
  params[2] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2681 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2679);
// compiled call node returning call2681 (depth = 9)
// Begin line 807
  setline(807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2682 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2683 == NULL) {
    strlit2683 = alloc_String("'#' is not allowed here. For a comment use '//'.");
    gc_root(strlit2683);
  }
// compiled string node returning strlit2683 (depth = 10)
  gc_frame_newslot(strlit2683);
// Begin line 808
  setline(808);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lineNumber (depth = 10)
  gc_frame_newslot(*var_lineNumber);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_linePosition (depth = 10)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_linePosition (depth = 10)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 807
  setline(807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit2683;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2684 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2682);
// compiled call node returning call2684 (depth = 9)
    gc_frame_newslot(call2684);
    if2635 = call2684;
  }
// compiled if node returning if2635 (depth = 8)
    gc_frame_newslot(if2635);
    if2630 = if2635;
  } else {
  }
// compiled if node returning if2630 (depth = 7)
    gc_frame_newslot(if2630);
    if2625 = if2630;
  } else {
  }
// compiled if node returning if2625 (depth = 6)
// Begin line 826
  setline(826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 812
  setline(812);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2687 == NULL) {
    strlit2687 = alloc_String(".");
    gc_root(strlit2687);
  }
// compiled string node returning strlit2687 (depth = 8)
  int op_slot_right_2686 = gc_frame_newslot(strlit2687);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2686 = gc_frame_newslot(*var_c);
  params[0] = strlit2687;
  partcv[0] = 1;
  Object opresult2689 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2689 (depth = 7)
  Object if2685 = done;
  if (istrue(opresult2689)) {
// Begin line 818
  setline(818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2692 == NULL) {
    strlit2692 = alloc_String(".");
    gc_root(strlit2692);
  }
// compiled string node returning strlit2692 (depth = 9)
  int op_slot_right_2691 = gc_frame_newslot(strlit2692);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  int op_slot_left_2691 = gc_frame_newslot(*var_accum);
  params[0] = strlit2692;
  partcv[0] = 1;
  Object opresult2694 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult2694 (depth = 8)
  Object if2690 = done;
  if (istrue(opresult2694)) {
// Begin line 816
  setline(816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 815
  setline(815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2695 == NULL) {
    strlit2695 = alloc_String("o");
    gc_root(strlit2695);
  }
// compiled string node returning strlit2695 (depth = 9)
  *var_mode = strlit2695;
  if (strlit2695 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 817
  setline(817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 816
  setline(816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2690 = done;
  } else {
  }
// compiled if node returning if2690 (depth = 7)
// Begin line 825
  setline(825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 818
  setline(818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2700 == NULL) {
    strlit2700 = alloc_String("..");
    gc_root(strlit2700);
  }
// compiled string node returning strlit2700 (depth = 9)
  int op_slot_right_2699 = gc_frame_newslot(strlit2700);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  int op_slot_left_2699 = gc_frame_newslot(*var_accum);
  params[0] = strlit2700;
  partcv[0] = 1;
  Object opresult2702 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult2702 (depth = 8)
  Object if2698 = done;
  if (istrue(opresult2702)) {
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 820
  setline(820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2703 == NULL) {
    strlit2703 = alloc_String("n");
    gc_root(strlit2703);
  }
// compiled string node returning strlit2703 (depth = 9)
  *var_mode = strlit2703;
  if (strlit2703 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2706 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 9)
  if (strlit2707 == NULL) {
    strlit2707 = alloc_String("i");
    gc_root(strlit2707);
  }
// compiled string node returning strlit2707 (depth = 9)
  gc_frame_newslot(strlit2707);
// starting to compile string node (depth = 9)
  if (strlit2708 == NULL) {
    strlit2708 = alloc_String("...");
    gc_root(strlit2708);
  }
// compiled string node returning strlit2708 (depth = 9)
  gc_frame_newslot(strlit2708);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit2707;
  params[2] = strlit2708;
  partcv[0] = 3;
  Object call2709 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2706);
// compiled call node returning call2709 (depth = 8)
// Begin line 824
  setline(824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 823
  setline(823);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2710 == NULL) {
    strlit2710 = alloc_String("");
    gc_root(strlit2710);
  }
// compiled string node returning strlit2710 (depth = 9)
  *var_accum = strlit2710;
  if (strlit2710 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2698 = done;
  } else {
  }
// compiled if node returning if2698 (depth = 7)
    gc_frame_newslot(if2698);
    if2685 = if2698;
  } else {
  }
// compiled if node returning if2685 (depth = 6)
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 826
  setline(826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2714 == NULL) {
    strlit2714 = alloc_String("/");
    gc_root(strlit2714);
  }
// compiled string node returning strlit2714 (depth = 8)
  int op_slot_right_2713 = gc_frame_newslot(strlit2714);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2713 = gc_frame_newslot(*var_c);
  params[0] = strlit2714;
  partcv[0] = 1;
  Object opresult2716 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2716 (depth = 7)
  Object if2712 = done;
  if (istrue(opresult2716)) {
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 827
  setline(827);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2719 == NULL) {
    strlit2719 = alloc_String("/");
    gc_root(strlit2719);
  }
// compiled string node returning strlit2719 (depth = 9)
  int op_slot_right_2718 = gc_frame_newslot(strlit2719);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  int op_slot_left_2718 = gc_frame_newslot(*var_accum);
  params[0] = strlit2719;
  partcv[0] = 1;
  Object opresult2721 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult2721 (depth = 8)
  Object if2717 = done;
  if (istrue(opresult2721)) {
// Begin line 830
  setline(830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2722 == NULL) {
    strlit2722 = alloc_String("c");
    gc_root(strlit2722);
  }
// compiled string node returning strlit2722 (depth = 9)
  *var_mode = strlit2722;
  if (strlit2722 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 831
  setline(831);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 830
  setline(830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2717 = done;
  } else {
  }
// compiled if node returning if2717 (depth = 7)
    gc_frame_newslot(if2717);
    if2712 = if2717;
  } else {
  }
// compiled if node returning if2712 (depth = 6)
// Begin line 852
  setline(852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2727 == NULL) {
    strlit2727 = alloc_String("n");
    gc_root(strlit2727);
  }
// compiled string node returning strlit2727 (depth = 8)
  int op_slot_right_2726 = gc_frame_newslot(strlit2727);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_2726 = gc_frame_newslot(*var_mode);
  params[0] = strlit2727;
  partcv[0] = 1;
  Object opresult2729 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2729 (depth = 7)
  Object if2725 = done;
  if (istrue(opresult2729)) {
// Begin line 851
  setline(851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 834
  setline(834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_newmode (depth = 9)
  int op_slot_right_2731 = gc_frame_newslot(*var_newmode);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_2731 = gc_frame_newslot(*var_mode);
  params[0] = *var_newmode;
  partcv[0] = 1;
  Object opresult2733 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2733 (depth = 8)
  Object if2730 = done;
  if (istrue(opresult2733)) {
// Begin line 850
  setline(850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2735 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 11)
  int callframe2736 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  gc_frame_newslot(*var_ordval);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_unicode (depth = 12)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2737 = callmethod(*var_unicode, "isSeparator",
    1, partcv, params);
  gc_frame_end(callframe2736);
// compiled call node returning call2737 (depth = 11)
  partcv[0] = 0;
  Object call2738 = callmethod(call2737, "not",
    1, partcv, params);
  gc_frame_end(callframe2735);
// compiled call node returning call2738 (depth = 10)
// compiled member node returning call2738 (depth = 9)
  Object if2734 = done;
  if (istrue(call2738)) {
// Begin line 849
  setline(849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 836
  setline(836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2740 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 12)
  int callframe2741 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_ordval (depth = 13)
  gc_frame_newslot(*var_ordval);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_unicode (depth = 13)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2742 = callmethod(*var_unicode, "isControl",
    1, partcv, params);
  gc_frame_end(callframe2741);
// compiled call node returning call2742 (depth = 12)
  partcv[0] = 0;
  Object call2743 = callmethod(call2742, "not",
    1, partcv, params);
  gc_frame_end(callframe2740);
// compiled call node returning call2743 (depth = 11)
// compiled member node returning call2743 (depth = 10)
  Object if2739 = done;
  if (istrue(call2743)) {
// Begin line 848
  setline(848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 837
  setline(837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num2746 = alloc_Float64(10);
// compiled num node returning num2746 (depth = 12)
  int op_slot_right_2745 = gc_frame_newslot(num2746);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  int op_slot_left_2745 = gc_frame_newslot(*var_ordval);
  params[0] = num2746;
  partcv[0] = 1;
  Object opresult2748 = callmethod(*var_ordval, "!=", 1, partcv, params);
// compiled op node returning opresult2748 (depth = 11)
  Object if2744 = done;
  if (istrue(opresult2748)) {
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 838
  setline(838);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num2751 = alloc_Float64(13);
// compiled num node returning num2751 (depth = 13)
  int op_slot_right_2750 = gc_frame_newslot(num2751);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_ordval (depth = 13)
  int op_slot_left_2750 = gc_frame_newslot(*var_ordval);
  params[0] = num2751;
  partcv[0] = 1;
  Object opresult2753 = callmethod(*var_ordval, "!=", 1, partcv, params);
// compiled op node returning opresult2753 (depth = 12)
  Object if2749 = done;
  if (istrue(opresult2753)) {
// Begin line 846
  setline(846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// Begin line 839
  setline(839);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile num node (depth = 14)
  Object num2756 = alloc_Float64(32);
// compiled num node returning num2756 (depth = 14)
  int op_slot_right_2755 = gc_frame_newslot(num2756);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_ordval (depth = 14)
  int op_slot_left_2755 = gc_frame_newslot(*var_ordval);
  params[0] = num2756;
  partcv[0] = 1;
  Object opresult2758 = callmethod(*var_ordval, "!=", 1, partcv, params);
// compiled op node returning opresult2758 (depth = 13)
  Object if2754 = done;
  if (istrue(opresult2758)) {
// Begin line 845
  setline(845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 13)
// Begin line 840
  setline(840);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit2761 == NULL) {
    strlit2761 = alloc_String(".");
    gc_root(strlit2761);
  }
// compiled string node returning strlit2761 (depth = 15)
  int op_slot_right_2760 = gc_frame_newslot(strlit2761);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_c (depth = 15)
  int op_slot_left_2760 = gc_frame_newslot(*var_c);
  params[0] = strlit2761;
  partcv[0] = 1;
  Object opresult2763 = callmethod(*var_c, "!=", 1, partcv, params);
// compiled op node returning opresult2763 (depth = 14)
  Object if2759 = done;
  if (istrue(opresult2763)) {
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 14)
  int callframe2764 = gc_frame_new();
// Begin line 842
  setline(842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit2766 == NULL) {
    strlit2766 = alloc_String("is not a valid character; use spaces instead.");
    gc_root(strlit2766);
  }
// compiled string node returning strlit2766 (depth = 16)
  int op_slot_right_2765 = gc_frame_newslot(strlit2766);
// starting to compile op node (depth = 16)
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 17)
  if (strlit2769 == NULL) {
    strlit2769 = alloc_String(") ");
    gc_root(strlit2769);
  }
// compiled string node returning strlit2769 (depth = 17)
  int op_slot_right_2768 = gc_frame_newslot(strlit2769);
// starting to compile op node (depth = 17)
// starting to compile call node (depth = 18)
  int callframe2772 = gc_frame_new();
// starting to compile call node (depth = 19)
  int callframe2773 = gc_frame_new();
// starting to compile num node (depth = 20)
  Object num2774 = alloc_Float64(16);
// compiled num node returning num2774 (depth = 20)
  gc_frame_newslot(num2774);
// call case 6: other member request
// starting to compile identifier node (depth = 20)
// compiled identifier node returning *var_ordval (depth = 20)
  params[0] = num2774;
  partcv[0] = 1;
  Object call2775 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2773);
// compiled call node returning call2775 (depth = 19)
  gc_frame_newslot(call2775);
// starting to compile num node (depth = 19)
  Object num2776 = alloc_Float64(4);
// compiled num node returning num2776 (depth = 19)
  gc_frame_newslot(num2776);
// starting to compile string node (depth = 19)
  if (strlit2777 == NULL) {
    strlit2777 = alloc_String("0");
    gc_root(strlit2777);
  }
// compiled string node returning strlit2777 (depth = 19)
  gc_frame_newslot(strlit2777);
// call case 2: outer request
// starting to compile member node (depth = 19)
// starting to compile call node (depth = 20)
  int callframe2778 = gc_frame_new();
// call case 3: self.outer request
  Object call2779 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2778);
// compiled call node returning call2779 (depth = 20)
// compiled member node returning call2779 (depth = 19)
  params[0] = call2775;
  params[1] = num2776;
  params[2] = strlit2777;
  partcv[0] = 3;
  Object call2780 = callmethodflags(call2779, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2772);
// compiled call node returning call2780 (depth = 18)
  int op_slot_right_2771 = gc_frame_newslot(call2780);
// starting to compile op node (depth = 18)
// starting to compile string node (depth = 19)
  if (strlit2783 == NULL) {
    strlit2783 = alloc_String(" (U+");
    gc_root(strlit2783);
  }
// compiled string node returning strlit2783 (depth = 19)
  int op_slot_right_2782 = gc_frame_newslot(strlit2783);
// starting to compile op node (depth = 19)
// starting to compile call node (depth = 20)
  int callframe2786 = gc_frame_new();
// starting to compile identifier node (depth = 21)
// compiled identifier node returning *var_c (depth = 21)
  gc_frame_newslot(*var_c);
// call case 6: other member request
// starting to compile identifier node (depth = 21)
// compiled identifier node returning *var_unicode (depth = 21)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2787 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2786);
// compiled call node returning call2787 (depth = 20)
  int op_slot_right_2785 = gc_frame_newslot(call2787);
// starting to compile string node (depth = 20)
  if (strlit2789 == NULL) {
    strlit2789 = alloc_String("");
    gc_root(strlit2789);
  }
// compiled string node returning strlit2789 (depth = 20)
  int op_slot_left_2785 = gc_frame_newslot(strlit2789);
  params[0] = call2787;
  partcv[0] = 1;
  Object opresult2790 = callmethod(strlit2789, "++", 1, partcv, params);
// compiled op node returning opresult2790 (depth = 19)
  int op_slot_left_2782 = gc_frame_newslot(opresult2790);
  params[0] = strlit2783;
  partcv[0] = 1;
  Object opresult2791 = callmethod(opresult2790, "++", 1, partcv, params);
// compiled op node returning opresult2791 (depth = 18)
  int op_slot_left_2771 = gc_frame_newslot(opresult2791);
  params[0] = call2780;
  partcv[0] = 1;
  Object opresult2792 = callmethod(opresult2791, "++", 1, partcv, params);
// compiled op node returning opresult2792 (depth = 17)
  int op_slot_left_2768 = gc_frame_newslot(opresult2792);
  params[0] = strlit2769;
  partcv[0] = 1;
  Object opresult2793 = callmethod(opresult2792, "++", 1, partcv, params);
// compiled op node returning opresult2793 (depth = 16)
  int op_slot_left_2765 = gc_frame_newslot(opresult2793);
  params[0] = strlit2766;
  partcv[0] = 1;
  Object opresult2794 = callmethod(opresult2793, "++", 1, partcv, params);
// compiled op node returning opresult2794 (depth = 15)
  gc_frame_newslot(opresult2794);
// Begin line 843
  setline(843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_lineNumber (depth = 15)
  gc_frame_newslot(*var_lineNumber);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_linePosition (depth = 15)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_linePosition (depth = 15)
  gc_frame_newslot(*var_linePosition);
// call case 6: other member request
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_errormessages (depth = 15)
  params[0] = opresult2794;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call2795 = callmethod(*var_errormessages, "syntaxError()atRange",
    2, partcv, params);
  gc_frame_end(callframe2764);
// compiled call node returning call2795 (depth = 14)
    gc_frame_newslot(call2795);
    if2759 = call2795;
  } else {
  }
// compiled if node returning if2759 (depth = 13)
    gc_frame_newslot(if2759);
    if2754 = if2759;
  } else {
  }
// compiled if node returning if2754 (depth = 12)
    gc_frame_newslot(if2754);
    if2749 = if2754;
  } else {
  }
// compiled if node returning if2749 (depth = 11)
    gc_frame_newslot(if2749);
    if2744 = if2749;
  } else {
  }
// compiled if node returning if2744 (depth = 10)
    gc_frame_newslot(if2744);
    if2739 = if2744;
  } else {
  }
// compiled if node returning if2739 (depth = 9)
    gc_frame_newslot(if2739);
    if2734 = if2739;
  } else {
  }
// compiled if node returning if2734 (depth = 8)
    gc_frame_newslot(if2734);
    if2730 = if2734;
  } else {
  }
// compiled if node returning if2730 (depth = 7)
    gc_frame_newslot(if2730);
    if2725 = if2730;
  } else {
  }
// compiled if node returning if2725 (depth = 6)
    gc_frame_newslot(if2725);
    if2488 = if2725;
  } else {
  }
// compiled if node returning if2488 (depth = 5)
    gc_frame_newslot(if2488);
    if2487 = if2488;
  }
// compiled if node returning if2487 (depth = 4)
// Begin line 874
  setline(874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2798 == NULL) {
    strlit2798 = alloc_String("""\x22""");
    gc_root(strlit2798);
  }
// compiled string node returning strlit2798 (depth = 6)
  int op_slot_right_2797 = gc_frame_newslot(strlit2798);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_mode (depth = 6)
  int op_slot_left_2797 = gc_frame_newslot(*var_mode);
  params[0] = strlit2798;
  partcv[0] = 1;
  Object opresult2800 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2800 (depth = 5)
  Object if2796 = done;
  if (istrue(opresult2800)) {
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2803 == NULL) {
    strlit2803 = alloc_String("""\x22""");
    gc_root(strlit2803);
  }
// compiled string node returning strlit2803 (depth = 7)
  int op_slot_right_2802 = gc_frame_newslot(strlit2803);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_2802 = gc_frame_newslot(*var_c);
  params[0] = strlit2803;
  partcv[0] = 1;
  Object opresult2805 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2805 (depth = 6)
  Object if2801 = done;
  if (istrue(opresult2805)) {
// Begin line 866
  setline(866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 855
  setline(855);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2807 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_escaped (depth = 9)
  partcv[0] = 0;
  Object call2808 = callmethod(*var_escaped, "not",
    1, partcv, params);
  gc_frame_end(callframe2807);
// compiled call node returning call2808 (depth = 8)
// compiled member node returning call2808 (depth = 7)
  Object if2806 = done;
  if (istrue(call2808)) {
// Begin line 858
  setline(858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2809 == NULL) {
    strlit2809 = alloc_String("n");
    gc_root(strlit2809);
  }
// compiled string node returning strlit2809 (depth = 8)
  *var_newmode = strlit2809;
  if (strlit2809 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 859
  setline(859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 858
  setline(858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool2811 = alloc_Boolean(0);
// compiled identifier node returning bool2811 (depth = 8)
  *var_inStr = bool2811;
  if (bool2811 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 865
  setline(865);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 859
  setline(859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_interpString (depth = 8)
  Object if2813 = done;
  if (istrue(*var_interpString)) {
// Begin line 860
  setline(860);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2814 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2815 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2814);
// compiled call node returning call2815 (depth = 8)
// Begin line 861
  setline(861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2816 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 9)
  if (strlit2817 == NULL) {
    strlit2817 = alloc_String(")");
    gc_root(strlit2817);
  }
// compiled string node returning strlit2817 (depth = 9)
  gc_frame_newslot(strlit2817);
// starting to compile string node (depth = 9)
  if (strlit2818 == NULL) {
    strlit2818 = alloc_String(")");
    gc_root(strlit2818);
  }
// compiled string node returning strlit2818 (depth = 9)
  gc_frame_newslot(strlit2818);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit2817;
  params[2] = strlit2818;
  partcv[0] = 3;
  Object call2819 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2816);
// compiled call node returning call2819 (depth = 8)
// Begin line 863
  setline(863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 862
  setline(862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_newmode (depth = 9)
  *var_mode = *var_newmode;
  if (*var_newmode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 864
  setline(864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 863
  setline(863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
  Object bool2821 = alloc_Boolean(0);
// compiled identifier node returning bool2821 (depth = 9)
  *var_interpString = bool2821;
  if (bool2821 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2813 = done;
  } else {
  }
// compiled if node returning if2813 (depth = 7)
    gc_frame_newslot(if2813);
    if2806 = if2813;
  } else {
  }
// compiled if node returning if2806 (depth = 6)
    gc_frame_newslot(if2806);
    if2801 = if2806;
  } else {
  }
// compiled if node returning if2801 (depth = 5)
    gc_frame_newslot(if2801);
    if2796 = if2801;
  } else {
// Begin line 874
  setline(874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2825 == NULL) {
    strlit2825 = alloc_String("q");
    gc_root(strlit2825);
  }
// compiled string node returning strlit2825 (depth = 7)
  int op_slot_right_2824 = gc_frame_newslot(strlit2825);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  int op_slot_left_2824 = gc_frame_newslot(*var_mode);
  params[0] = strlit2825;
  partcv[0] = 1;
  Object opresult2827 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2827 (depth = 6)
  Object if2823 = done;
  if (istrue(opresult2827)) {
// Begin line 873
  setline(873);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 868
  setline(868);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2830 == NULL) {
    strlit2830 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit2830);
  }
// compiled string node returning strlit2830 (depth = 8)
  int op_slot_right_2829 = gc_frame_newslot(strlit2830);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2829 = gc_frame_newslot(*var_c);
  params[0] = strlit2830;
  partcv[0] = 1;
  Object opresult2832 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2832 (depth = 7)
  Object if2828 = done;
  if (istrue(opresult2832)) {
// Begin line 871
  setline(871);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 870
  setline(870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2833 == NULL) {
    strlit2833 = alloc_String("n");
    gc_root(strlit2833);
  }
// compiled string node returning strlit2833 (depth = 8)
  *var_newmode = strlit2833;
  if (strlit2833 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 872
  setline(872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 871
  setline(871);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool2835 = alloc_Boolean(0);
// compiled identifier node returning bool2835 (depth = 8)
  *var_inStr = bool2835;
  if (bool2835 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2828 = done;
  } else {
  }
// compiled if node returning if2828 (depth = 6)
    gc_frame_newslot(if2828);
    if2823 = if2828;
  } else {
  }
// compiled if node returning if2823 (depth = 5)
    gc_frame_newslot(if2823);
    if2796 = if2823;
  }
// compiled if node returning if2796 (depth = 4)
// Begin line 1065
  setline(1065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 874
  setline(874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_mode (depth = 6)
  int op_slot_right_2838 = gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newmode (depth = 6)
  int op_slot_left_2838 = gc_frame_newslot(*var_newmode);
  params[0] = *var_mode;
  partcv[0] = 1;
  Object opresult2840 = callmethod(*var_newmode, "!=", 1, partcv, params);
// compiled op node returning opresult2840 (depth = 5)
  Object if2837 = done;
  if (istrue(opresult2840)) {
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2841 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tokens (depth = 6)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_mode (depth = 6)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_accum (depth = 6)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2842 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2841);
// compiled call node returning call2842 (depth = 5)
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 878
  setline(878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2845 = alloc_Float64(0);
// compiled num node returning num2845 (depth = 7)
  int op_slot_right_2844 = gc_frame_newslot(num2845);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_interpdepth (depth = 7)
  int op_slot_left_2844 = gc_frame_newslot(*var_interpdepth);
  params[0] = num2845;
  partcv[0] = 1;
  Object opresult2847 = callmethod(*var_interpdepth, ">", 1, partcv, params);
// compiled op node returning opresult2847 (depth = 6)
  Object if2843 = done;
  if (istrue(opresult2847)) {
// Begin line 894
  setline(894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 879
  setline(879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2850 == NULL) {
    strlit2850 = alloc_String("}");
    gc_root(strlit2850);
  }
// compiled string node returning strlit2850 (depth = 8)
  int op_slot_right_2849 = gc_frame_newslot(strlit2850);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_newmode (depth = 8)
  int op_slot_left_2849 = gc_frame_newslot(*var_newmode);
  params[0] = strlit2850;
  partcv[0] = 1;
  Object opresult2852 = callmethod(*var_newmode, "==", 1, partcv, params);
// compiled op node returning opresult2852 (depth = 7)
  Object if2848 = done;
  if (istrue(opresult2852)) {
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 882
  setline(882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2855 == NULL) {
    strlit2855 = alloc_String("lbrace");
    gc_root(strlit2855);
  }
// compiled string node returning strlit2855 (depth = 9)
  int op_slot_right_2854 = gc_frame_newslot(strlit2855);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2857 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2858 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tokens (depth = 13)
  partcv[0] = 0;
  Object call2859 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe2858);
// compiled call node returning call2859 (depth = 12)
// compiled member node returning call2859 (depth = 11)
  partcv[0] = 0;
  Object call2860 = callmethod(call2859, "kind",
    1, partcv, params);
  gc_frame_end(callframe2857);
// compiled call node returning call2860 (depth = 10)
// compiled member node returning call2860 (depth = 9)
  int op_slot_left_2854 = gc_frame_newslot(call2860);
  params[0] = strlit2855;
  partcv[0] = 1;
  Object opresult2861 = callmethod(call2860, "==", 1, partcv, params);
// compiled op node returning opresult2861 (depth = 8)
  Object if2853 = done;
  if (istrue(opresult2861)) {
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// Begin line 883
  setline(883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2862 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2863 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call2864 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2863);
// compiled call node returning call2864 (depth = 12)
// compiled member node returning call2864 (depth = 11)
  partcv[0] = 0;
  Object call2865 = callmethod(call2864, "new",
    1, partcv, params);
  gc_frame_end(callframe2862);
// compiled call node returning call2865 (depth = 10)
// compiled member node returning call2865 (depth = 9)
  *var_suggestion = call2865;
  if (call2865 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2866 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2868 = alloc_Float64(1);
// compiled num node returning num2868 (depth = 10)
  int op_slot_right_2867 = gc_frame_newslot(num2868);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_linePosition (depth = 10)
  int op_slot_left_2867 = gc_frame_newslot(*var_linePosition);
  params[0] = num2868;
  partcv[0] = 1;
  Object diff2870 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff2870 (depth = 9)
  gc_frame_newslot(diff2870);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_linePosition (depth = 9)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lineNumber (depth = 9)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = diff2870;
  params[1] = *var_linePosition;
  params[2] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2871 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe2866);
// compiled call node returning call2871 (depth = 8)
// Begin line 885
  setline(885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2872 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit2873 == NULL) {
    strlit2873 = alloc_String("A string interpolation cannot be empty.");
    gc_root(strlit2873);
  }
// compiled string node returning strlit2873 (depth = 9)
  gc_frame_newslot(strlit2873);
// Begin line 886
  setline(886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lineNumber (depth = 9)
  gc_frame_newslot(*var_lineNumber);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2874 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2875 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tokens (depth = 13)
  partcv[0] = 0;
  Object call2876 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe2875);
// compiled call node returning call2876 (depth = 12)
// compiled member node returning call2876 (depth = 11)
  partcv[0] = 0;
  Object call2877 = callmethod(call2876, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2874);
// compiled call node returning call2877 (depth = 10)
// compiled member node returning call2877 (depth = 9)
  gc_frame_newslot(call2877);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_linePosition (depth = 9)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 885
  setline(885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit2873;
  params[1] = *var_lineNumber;
  params[2] = call2877;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2878 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2872);
// compiled call node returning call2878 (depth = 8)
    gc_frame_newslot(call2878);
    if2853 = call2878;
  } else {
  }
// compiled if node returning if2853 (depth = 7)
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2879 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tokens (depth = 8)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 8)
  if (strlit2880 == NULL) {
    strlit2880 = alloc_String(")");
    gc_root(strlit2880);
  }
// compiled string node returning strlit2880 (depth = 8)
  gc_frame_newslot(strlit2880);
// starting to compile string node (depth = 8)
  if (strlit2881 == NULL) {
    strlit2881 = alloc_String(")");
    gc_root(strlit2881);
  }
// compiled string node returning strlit2881 (depth = 8)
  gc_frame_newslot(strlit2881);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit2880;
  params[2] = strlit2881;
  partcv[0] = 3;
  Object call2882 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2879);
// compiled call node returning call2882 (depth = 7)
// Begin line 889
  setline(889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2883 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tokens (depth = 8)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 8)
  if (strlit2884 == NULL) {
    strlit2884 = alloc_String("o");
    gc_root(strlit2884);
  }
// compiled string node returning strlit2884 (depth = 8)
  gc_frame_newslot(strlit2884);
// starting to compile string node (depth = 8)
  if (strlit2885 == NULL) {
    strlit2885 = alloc_String("++");
    gc_root(strlit2885);
  }
// compiled string node returning strlit2885 (depth = 8)
  gc_frame_newslot(strlit2885);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit2884;
  params[2] = strlit2885;
  partcv[0] = 3;
  Object call2886 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2883);
// compiled call node returning call2886 (depth = 7)
// Begin line 891
  setline(891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2887 == NULL) {
    strlit2887 = alloc_String("""\x22""");
    gc_root(strlit2887);
  }
// compiled string node returning strlit2887 (depth = 8)
  *var_newmode = strlit2887;
  if (strlit2887 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 891
  setline(891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool2889 = alloc_Boolean(1);
// compiled identifier node returning bool2889 (depth = 8)
  *var_inStr = bool2889;
  if (bool2889 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 893
  setline(893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 9)
  Object num2892 = alloc_Float64(1);
// compiled num node returning num2892 (depth = 9)
  int op_slot_right_2891 = gc_frame_newslot(num2892);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_interpdepth (depth = 9)
  int op_slot_left_2891 = gc_frame_newslot(*var_interpdepth);
  params[0] = num2892;
  partcv[0] = 1;
  Object diff2894 = callmethod(*var_interpdepth, "-", 1, partcv, params);
// compiled op node returning diff2894 (depth = 8)
  *var_interpdepth = diff2894;
  if (diff2894 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2848 = done;
  } else {
  }
// compiled if node returning if2848 (depth = 6)
    gc_frame_newslot(if2848);
    if2843 = if2848;
  } else {
  }
// compiled if node returning if2843 (depth = 5)
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newmode (depth = 6)
  *var_mode = *var_newmode;
  if (*var_newmode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 904
  setline(904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_inStr (depth = 6)
  Object if2897 = done;
  if (istrue(*var_inStr)) {
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 900
  setline(900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit2898 == NULL) {
    strlit2898 = alloc_String("");
    gc_root(strlit2898);
  }
// compiled string node returning strlit2898 (depth = 7)
  *var_accum = strlit2898;
  if (strlit2898 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if2897 = done;
  } else {
// Begin line 903
  setline(903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 902
  setline(902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  *var_accum = *var_c;
  if (*var_c == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if2897 = done;
  }
// compiled if node returning if2897 (depth = 5)
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 904
  setline(904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2902 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  gc_frame_newslot(*var_mode);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_brackets (depth = 7)
  params[0] = *var_mode;
  partcv[0] = 1;
  Object call2903 = callmethod(*var_brackets, "match",
    1, partcv, params);
  gc_frame_end(callframe2902);
// compiled call node returning call2903 (depth = 6)
  Object if2901 = done;
  if (istrue(call2903)) {
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2904 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tokens (depth = 7)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_accum (depth = 7)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2905 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2904);
// compiled call node returning call2905 (depth = 6)
// Begin line 907
  setline(907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 906
  setline(906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit2906 == NULL) {
    strlit2906 = alloc_String("n");
    gc_root(strlit2906);
  }
// compiled string node returning strlit2906 (depth = 7)
  *var_mode = strlit2906;
  if (strlit2906 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 907
  setline(907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit2908 == NULL) {
    strlit2908 = alloc_String("n");
    gc_root(strlit2908);
  }
// compiled string node returning strlit2908 (depth = 7)
  *var_newmode = strlit2908;
  if (strlit2908 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 909
  setline(909);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit2910 == NULL) {
    strlit2910 = alloc_String("");
    gc_root(strlit2910);
  }
// compiled string node returning strlit2910 (depth = 7)
  *var_accum = strlit2910;
  if (strlit2910 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if2901 = done;
  } else {
  }
// compiled if node returning if2901 (depth = 5)
    gc_frame_newslot(if2901);
    if2837 = if2901;
  } else {
// Begin line 1050
  setline(1050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2914 == NULL) {
    strlit2914 = alloc_String("""\x22""");
    gc_root(strlit2914);
  }
// compiled string node returning strlit2914 (depth = 7)
  int op_slot_right_2913 = gc_frame_newslot(strlit2914);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  int op_slot_left_2913 = gc_frame_newslot(*var_mode);
  params[0] = strlit2914;
  partcv[0] = 1;
  Object opresult2916 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2916 (depth = 6)
  Object if2912 = done;
  if (istrue(opresult2916)) {
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2919 == NULL) {
    strlit2919 = alloc_String("""\x0a""");
    gc_root(strlit2919);
  }
// compiled string node returning strlit2919 (depth = 8)
  int op_slot_right_2918 = gc_frame_newslot(strlit2919);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2918 = gc_frame_newslot(*var_c);
  params[0] = strlit2919;
  partcv[0] = 1;
  Object opresult2921 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2921 (depth = 7)
  Object if2917 = done;
  if (istrue(opresult2921)) {
// Begin line 976
  setline(976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 912
  setline(912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2924 = alloc_Float64(0);
// compiled num node returning num2924 (depth = 9)
  int op_slot_right_2923 = gc_frame_newslot(num2924);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_interpdepth (depth = 9)
  int op_slot_left_2923 = gc_frame_newslot(*var_interpdepth);
  params[0] = num2924;
  partcv[0] = 1;
  Object opresult2926 = callmethod(*var_interpdepth, ">", 1, partcv, params);
// compiled op node returning opresult2926 (depth = 8)
  Object if2922 = done;
  if (istrue(opresult2926)) {
// Begin line 915
  setline(915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// Begin line 914
  setline(914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lineNumber (depth = 9)
  *var_line = *var_lineNumber;
  if (*var_lineNumber == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 916
  setline(916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// Begin line 915
  setline(915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2927 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 11)
  int callframe2928 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_line (depth = 12)
  gc_frame_newslot(*var_line);
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2929 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_util (depth = 14)
  partcv[0] = 0;
  Object call2930 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2929);
// compiled call node returning call2930 (depth = 13)
// compiled member node returning call2930 (depth = 12)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call2931 = callmethod(call2930, "at",
    1, partcv, params);
  gc_frame_end(callframe2928);
// compiled call node returning call2931 (depth = 11)
  partcv[0] = 0;
  Object call2932 = callmethod(call2931, "size",
    1, partcv, params);
  gc_frame_end(callframe2927);
// compiled call node returning call2932 (depth = 10)
// compiled member node returning call2932 (depth = 9)
  *var_i = call2932;
  if (call2932 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 916
  setline(916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2933 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block2934 = alloc_Block(NULL, NULL, "lexer", 916);
  gc_frame_newslot(block2934);
// method _apply
  block_savedest(block2934);
  Object closure2935 = createclosure(4, "_apply");
  setclosureframe(closure2935, stackframe);
  addtoclosure(closure2935, var_line);
  addtoclosure(closure2935, var_util);
  addtoclosure(closure2935, var_i);
  addtoclosure(closure2935, selfslot);
  struct UserObject *uo2935 = (struct UserObject*)block2934;
  uo2935->data[0] = (Object)closure2935;
  Method *meth_meth_lexer__apply2935 = addmethod2pos(block2934, "_apply", &meth_lexer__apply2935, 0);
  int argcv_meth_lexer__apply2935[] = {0};
  meth_meth_lexer__apply2935->type = alloc_MethodType(1, argcv_meth_lexer__apply2935);
  meth_meth_lexer__apply2935->definitionModule = modulename;
  meth_meth_lexer__apply2935->definitionLine = 915;
// compiled block node returning block2934 (depth = 9)
  gc_frame_newslot(block2934);
// starting to compile block node (depth = 9)
  Object block2946 = alloc_Block(NULL, NULL, "lexer", 916);
  gc_frame_newslot(block2946);
// method _apply
  block_savedest(block2946);
  Object closure2947 = createclosure(5, "_apply");
  setclosureframe(closure2947, stackframe);
  addtoclosure(closure2947, var_i);
  addtoclosure(closure2947, var_line);
  addtoclosure(closure2947, var_lineNumber);
  addtoclosure(closure2947, var_util);
  addtoclosure(closure2947, selfslot);
  struct UserObject *uo2947 = (struct UserObject*)block2946;
  uo2947->data[0] = (Object)closure2947;
  Method *meth_meth_lexer__apply2947 = addmethod2pos(block2946, "_apply", &meth_lexer__apply2947, 0);
  int argcv_meth_lexer__apply2947[] = {0};
  meth_meth_lexer__apply2947->type = alloc_MethodType(1, argcv_meth_lexer__apply2947);
  meth_meth_lexer__apply2947->definitionModule = modulename;
  meth_meth_lexer__apply2947->definitionLine = 916;
// compiled block node returning block2946 (depth = 9)
  gc_frame_newslot(block2946);
// call case 5: prelude request
  params[0] = block2934;
  params[1] = block2946;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2971 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2933);
// compiled call node returning call2971 (depth = 8)
// Begin line 924
  setline(924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// Begin line 923
  setline(923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 9)
  Object array2972 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array2972 (depth = 9)
  *var_suggestions = array2972;
  if (array2972 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 925
  setline(925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// Begin line 924
  setline(924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2973 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2974 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call2975 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2974);
// compiled call node returning call2975 (depth = 12)
// compiled member node returning call2975 (depth = 11)
  partcv[0] = 0;
  Object call2976 = callmethod(call2975, "new",
    1, partcv, params);
  gc_frame_end(callframe2973);
// compiled call node returning call2976 (depth = 10)
// compiled member node returning call2976 (depth = 9)
  *var_suggestion = call2976;
  if (call2976 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 925
  setline(925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2977 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit2978 == NULL) {
    strlit2978 = alloc_String("\\");
    gc_root(strlit2978);
  }
// compiled string node returning strlit2978 (depth = 9)
  gc_frame_newslot(strlit2978);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  gc_frame_newslot(*var_i);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_line (depth = 9)
  gc_frame_newslot(*var_line);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit2978;
  params[1] = *var_i;
  params[2] = *var_line;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2979 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe2977);
// compiled call node returning call2979 (depth = 8)
// Begin line 926
  setline(926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2980 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call2981 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe2980);
// compiled call node returning call2981 (depth = 8)
// Begin line 937
  setline(937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 927
  setline(927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num2986 = alloc_Float64(2);
// compiled num node returning num2986 (depth = 12)
  int op_slot_right_2985 = gc_frame_newslot(num2986);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_linePosition (depth = 12)
  int op_slot_left_2985 = gc_frame_newslot(*var_linePosition);
  params[0] = num2986;
  partcv[0] = 1;
  Object diff2988 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff2988 (depth = 11)
  int op_slot_right_2984 = gc_frame_newslot(diff2988);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_i (depth = 11)
  int op_slot_left_2984 = gc_frame_newslot(*var_i);
  params[0] = diff2988;
  partcv[0] = 1;
  Object opresult2990 = callmethod(*var_i, "==", 1, partcv, params);
// compiled op node returning opresult2990 (depth = 10)
  int op_slot_right_2983 = gc_frame_newslot(opresult2990);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lineNumber (depth = 11)
  int op_slot_right_2992 = gc_frame_newslot(*var_lineNumber);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_line (depth = 11)
  int op_slot_left_2992 = gc_frame_newslot(*var_line);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object opresult2994 = callmethod(*var_line, "==", 1, partcv, params);
// compiled op node returning opresult2994 (depth = 10)
  int op_slot_left_2983 = gc_frame_newslot(opresult2994);
  params[0] = opresult2990;
  partcv[0] = 1;
  Object opresult2995 = callmethod(opresult2994, "&&", 1, partcv, params);
// compiled op node returning opresult2995 (depth = 9)
  Object if2982 = done;
  if (istrue(opresult2995)) {
// Begin line 928
  setline(928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2996 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2997 == NULL) {
    strlit2997 = alloc_String("For a '{' character in a string use '\\{'.");
    gc_root(strlit2997);
  }
// compiled string node returning strlit2997 (depth = 10)
  gc_frame_newslot(strlit2997);
// Begin line 929
  setline(929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_line (depth = 10)
  gc_frame_newslot(*var_line);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_i (depth = 10)
  gc_frame_newslot(*var_i);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 928
  setline(928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit2997;
  params[1] = *var_line;
  params[2] = *var_i;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2998 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe2996);
// compiled call node returning call2998 (depth = 9)
    gc_frame_newslot(call2998);
    if2982 = call2998;
  } else {
// Begin line 932
  setline(932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2999 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3000 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  partcv[0] = 0;
  Object call3001 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3000);
// compiled call node returning call3001 (depth = 13)
// compiled member node returning call3001 (depth = 12)
  partcv[0] = 0;
  Object call3002 = callmethod(call3001, "new",
    1, partcv, params);
  gc_frame_end(callframe2999);
// compiled call node returning call3002 (depth = 11)
// compiled member node returning call3002 (depth = 10)
  *var_suggestion = call3002;
  if (call3002 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 932
  setline(932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3004 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit3005 == NULL) {
    strlit3005 = alloc_String("}");
    gc_root(strlit3005);
  }
// compiled string node returning strlit3005 (depth = 10)
  gc_frame_newslot(strlit3005);
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3007 = alloc_Float64(1);
// compiled num node returning num3007 (depth = 11)
  int op_slot_right_3006 = gc_frame_newslot(num3007);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3010 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_accum (depth = 14)
  partcv[0] = 0;
  Object call3011 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe3010);
// compiled call node returning call3011 (depth = 13)
// compiled member node returning call3011 (depth = 12)
  int op_slot_right_3009 = gc_frame_newslot(call3011);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_linePosition (depth = 12)
  int op_slot_left_3009 = gc_frame_newslot(*var_linePosition);
  params[0] = call3011;
  partcv[0] = 1;
  Object diff3013 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff3013 (depth = 11)
  int op_slot_left_3006 = gc_frame_newslot(diff3013);
  params[0] = num3007;
  partcv[0] = 1;
  Object diff3014 = callmethod(diff3013, "-", 1, partcv, params);
// compiled op node returning diff3014 (depth = 10)
  gc_frame_newslot(diff3014);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lineNumber (depth = 10)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit3005;
  params[1] = diff3014;
  params[2] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3015 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe3004);
// compiled call node returning call3015 (depth = 9)
// Begin line 933
  setline(933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3016 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3017 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3016);
// compiled call node returning call3017 (depth = 9)
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3018 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit3019 == NULL) {
    strlit3019 = alloc_String("A string interpolation must end with a '}'. For a '{' character in a string use '\\{'.");
    gc_root(strlit3019);
  }
// compiled string node returning strlit3019 (depth = 10)
  gc_frame_newslot(strlit3019);
// Begin line 935
  setline(935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lineNumber (depth = 10)
  gc_frame_newslot(*var_lineNumber);
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3021 = alloc_Float64(1);
// compiled num node returning num3021 (depth = 11)
  int op_slot_right_3020 = gc_frame_newslot(num3021);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3024 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_accum (depth = 14)
  partcv[0] = 0;
  Object call3025 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe3024);
// compiled call node returning call3025 (depth = 13)
// compiled member node returning call3025 (depth = 12)
  int op_slot_right_3023 = gc_frame_newslot(call3025);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_linePosition (depth = 12)
  int op_slot_left_3023 = gc_frame_newslot(*var_linePosition);
  params[0] = call3025;
  partcv[0] = 1;
  Object diff3027 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compiled op node returning diff3027 (depth = 11)
  int op_slot_left_3020 = gc_frame_newslot(diff3027);
  params[0] = num3021;
  partcv[0] = 1;
  Object diff3028 = callmethod(diff3027, "-", 1, partcv, params);
// compiled op node returning diff3028 (depth = 10)
  gc_frame_newslot(diff3028);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit3019;
  params[1] = *var_lineNumber;
  params[2] = diff3028;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3029 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3018);
// compiled call node returning call3029 (depth = 9)
    gc_frame_newslot(call3029);
    if2982 = call3029;
  }
// compiled if node returning if2982 (depth = 8)
    gc_frame_newslot(if2982);
    if2922 = if2982;
  } else {
// Begin line 938
  setline(938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3030 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lineNumber (depth = 10)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3031 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_util (depth = 12)
  partcv[0] = 0;
  Object call3032 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe3031);
// compiled call node returning call3032 (depth = 11)
// compiled member node returning call3032 (depth = 10)
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call3033 = callmethod(call3032, "at",
    1, partcv, params);
  gc_frame_end(callframe3030);
// compiled call node returning call3033 (depth = 9)
  *var_errorLine = call3033;
  if (call3033 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 945
  setline(945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile if node (depth = 9)
// Begin line 939
  setline(939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num3037 = alloc_Float64(1);
// compiled num node returning num3037 (depth = 12)
  int op_slot_right_3036 = gc_frame_newslot(num3037);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lineNumber (depth = 12)
  int op_slot_left_3036 = gc_frame_newslot(*var_lineNumber);
  params[0] = num3037;
  partcv[0] = 1;
  Object sum3039 = callmethod(*var_lineNumber, "+", 1, partcv, params);
// compiled op node returning sum3039 (depth = 11)
  int op_slot_right_3035 = gc_frame_newslot(sum3039);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3041 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe3042 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_util (depth = 15)
  partcv[0] = 0;
  Object call3043 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe3042);
// compiled call node returning call3043 (depth = 14)
// compiled member node returning call3043 (depth = 13)
  partcv[0] = 0;
  Object call3044 = callmethod(call3043, "size",
    1, partcv, params);
  gc_frame_end(callframe3041);
// compiled call node returning call3044 (depth = 12)
// compiled member node returning call3044 (depth = 11)
  int op_slot_left_3035 = gc_frame_newslot(call3044);
  params[0] = sum3039;
  partcv[0] = 1;
  Object opresult3045 = callmethod(call3044, ">=", 1, partcv, params);
// compiled op node returning opresult3045 (depth = 10)
  Object if3034 = done;
struct StackFrameObject *iftmpstackframe3034 = stackframe;
  if (istrue(opresult3045)) {
stackframe = alloc_StackFrame(0, iftmpstackframe3034);
gc_frame_newslot((Object)stackframe);
// Begin line 940
  setline(940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe3046 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num3048 = alloc_Float64(1);
// compiled num node returning num3048 (depth = 12)
  int op_slot_right_3047 = gc_frame_newslot(num3048);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lineNumber (depth = 12)
  int op_slot_left_3047 = gc_frame_newslot(*var_lineNumber);
  params[0] = num3048;
  partcv[0] = 1;
  Object sum3050 = callmethod(*var_lineNumber, "+", 1, partcv, params);
// compiled op node returning sum3050 (depth = 11)
  gc_frame_newslot(sum3050);
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3051 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_util (depth = 13)
  partcv[0] = 0;
  Object call3052 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe3051);
// compiled call node returning call3052 (depth = 12)
// compiled member node returning call3052 (depth = 11)
  params[0] = sum3050;
  partcv[0] = 1;
  Object call3053 = callmethod(call3052, "at",
    1, partcv, params);
  gc_frame_end(callframe3046);
// compiled call node returning call3053 (depth = 10)
    gc_frame_newslot(call3053);
    if3034 = call3053;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe3034);
  gc_frame_newslot((Object)stackframe);
// Begin line 942
  setline(942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit3054 == NULL) {
    strlit3054 = alloc_String("");
    gc_root(strlit3054);
  }
// compiled string node returning strlit3054 (depth = 10)
    gc_frame_newslot(strlit3054);
    if3034 = strlit3054;
  }
stackframe = iftmpstackframe3034;
// compiled if node returning if3034 (depth = 9)
  *var_nextLine = if3034;
  if (if3034 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 946
  setline(946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// Begin line 945
  setline(945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 9)
  Object num3055 = alloc_Float64(1);
// compiled num node returning num3055 (depth = 9)
  *var_i = num3055;
  if (num3055 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 947
  setline(947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// Begin line 946
  setline(946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 9)
  Object num3056 = alloc_Float64(0);
// compiled num node returning num3056 (depth = 9)
  *var_count = num3056;
  if (num3056 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 947
  setline(947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3057 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block3058 = alloc_Block(NULL, NULL, "lexer", 947);
  gc_frame_newslot(block3058);
// method _apply
  block_savedest(block3058);
  Object closure3059 = createclosure(3, "_apply");
  setclosureframe(closure3059, stackframe);
  addtoclosure(closure3059, var_nextLine);
  addtoclosure(closure3059, var_i);
  addtoclosure(closure3059, selfslot);
  struct UserObject *uo3059 = (struct UserObject*)block3058;
  uo3059->data[0] = (Object)closure3059;
  Method *meth_meth_lexer__apply3059 = addmethod2pos(block3058, "_apply", &meth_lexer__apply3059, 0);
  int argcv_meth_lexer__apply3059[] = {0};
  meth_meth_lexer__apply3059->type = alloc_MethodType(1, argcv_meth_lexer__apply3059);
  meth_meth_lexer__apply3059->definitionModule = modulename;
  meth_meth_lexer__apply3059->definitionLine = 940;
// compiled block node returning block3058 (depth = 9)
  gc_frame_newslot(block3058);
// starting to compile block node (depth = 9)
  Object block3066 = alloc_Block(NULL, NULL, "lexer", 947);
  gc_frame_newslot(block3066);
// method _apply
  block_savedest(block3066);
  Object closure3067 = createclosure(4, "_apply");
  setclosureframe(closure3067, stackframe);
  addtoclosure(closure3067, var_nextLine);
  addtoclosure(closure3067, var_i);
  addtoclosure(closure3067, var_count);
  addtoclosure(closure3067, selfslot);
  struct UserObject *uo3067 = (struct UserObject*)block3066;
  uo3067->data[0] = (Object)closure3067;
  Method *meth_meth_lexer__apply3067 = addmethod2pos(block3066, "_apply", &meth_lexer__apply3067, 0);
  int argcv_meth_lexer__apply3067[] = {0};
  meth_meth_lexer__apply3067->type = alloc_MethodType(1, argcv_meth_lexer__apply3067);
  meth_meth_lexer__apply3067->definitionModule = modulename;
  meth_meth_lexer__apply3067->definitionLine = 947;
// compiled block node returning block3066 (depth = 9)
  gc_frame_newslot(block3066);
// call case 5: prelude request
  params[0] = block3058;
  params[1] = block3066;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3096 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3057);
// compiled call node returning call3096 (depth = 8)
// Begin line 975
  setline(975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 952
  setline(952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num3099 = alloc_Float64(1);
// compiled num node returning num3099 (depth = 10)
  int op_slot_right_3098 = gc_frame_newslot(num3099);
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3102 = alloc_Float64(2);
// compiled num node returning num3102 (depth = 11)
  int op_slot_right_3101 = gc_frame_newslot(num3102);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_count (depth = 11)
  int op_slot_left_3101 = gc_frame_newslot(*var_count);
  params[0] = num3102;
  partcv[0] = 1;
  Object modulus3104 = callmethod(*var_count, "%", 1, partcv, params);
// compiled op node returning modulus3104 (depth = 10)
  int op_slot_left_3098 = gc_frame_newslot(modulus3104);
  params[0] = num3099;
  partcv[0] = 1;
  Object opresult3105 = callmethod(modulus3104, "==", 1, partcv, params);
// compiled op node returning opresult3105 (depth = 9)
  Object if3097 = done;
  if (istrue(opresult3105)) {
// Begin line 954
  setline(954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 10)
  Object array3106 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3106 (depth = 10)
  *var_suggestions = array3106;
  if (array3106 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 9)
// Begin line 955
  setline(955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 9)
// Begin line 954
  setline(954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3107 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3108 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  partcv[0] = 0;
  Object call3109 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3108);
// compiled call node returning call3109 (depth = 13)
// compiled member node returning call3109 (depth = 12)
  partcv[0] = 0;
  Object call3110 = callmethod(call3109, "new",
    1, partcv, params);
  gc_frame_end(callframe3107);
// compiled call node returning call3110 (depth = 11)
// compiled member node returning call3110 (depth = 10)
  *var_suggestion = call3110;
  if (call3110 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 9)
// Begin line 955
  setline(955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3111 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lineNumber (depth = 10)
  gc_frame_newslot(*var_lineNumber);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextLine (depth = 11)
  int op_slot_right_3112 = gc_frame_newslot(*var_nextLine);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errorLine (depth = 11)
  int op_slot_left_3112 = gc_frame_newslot(*var_errorLine);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult3114 = callmethod(*var_errorLine, "++", 1, partcv, params);
// compiled op node returning opresult3114 (depth = 10)
  gc_frame_newslot(opresult3114);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_lineNumber;
  params[1] = opresult3114;
  partcv[0] = 2;
  Object call3115 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3111);
// compiled call node returning call3115 (depth = 9)
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3116 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3118 = alloc_Float64(1);
// compiled num node returning num3118 (depth = 11)
  int op_slot_right_3117 = gc_frame_newslot(num3118);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lineNumber (depth = 11)
  int op_slot_left_3117 = gc_frame_newslot(*var_lineNumber);
  params[0] = num3118;
  partcv[0] = 1;
  Object sum3120 = callmethod(*var_lineNumber, "+", 1, partcv, params);
// compiled op node returning sum3120 (depth = 10)
  gc_frame_newslot(sum3120);
// starting to compile string node (depth = 10)
  if (strlit3121 == NULL) {
    strlit3121 = alloc_String("");
    gc_root(strlit3121);
  }
// compiled string node returning strlit3121 (depth = 10)
  gc_frame_newslot(strlit3121);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = sum3120;
  params[1] = strlit3121;
  partcv[0] = 2;
  Object call3122 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3116);
// compiled call node returning call3122 (depth = 9)
// Begin line 957
  setline(957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3123 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3124 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3123);
// compiled call node returning call3124 (depth = 9)
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3125 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3126 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  partcv[0] = 0;
  Object call3127 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3126);
// compiled call node returning call3127 (depth = 13)
// compiled member node returning call3127 (depth = 12)
  partcv[0] = 0;
  Object call3128 = callmethod(call3127, "new",
    1, partcv, params);
  gc_frame_end(callframe3125);
// compiled call node returning call3128 (depth = 11)
// compiled member node returning call3128 (depth = 10)
  *var_suggestion = call3128;
  if (call3128 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3130 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lineNumber (depth = 10)
  gc_frame_newslot(*var_lineNumber);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3132 == NULL) {
    strlit3132 = alloc_String("""\x22""");
    gc_root(strlit3132);
  }
// compiled string node returning strlit3132 (depth = 11)
  int op_slot_right_3131 = gc_frame_newslot(strlit3132);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errorLine (depth = 11)
  int op_slot_left_3131 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit3132;
  partcv[0] = 1;
  Object opresult3134 = callmethod(*var_errorLine, "++", 1, partcv, params);
// compiled op node returning opresult3134 (depth = 10)
  gc_frame_newslot(opresult3134);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_lineNumber;
  params[1] = opresult3134;
  partcv[0] = 2;
  Object call3135 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3130);
// compiled call node returning call3135 (depth = 9)
// Begin line 960
  setline(960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3136 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3138 = alloc_Float64(1);
// compiled num node returning num3138 (depth = 11)
  int op_slot_right_3137 = gc_frame_newslot(num3138);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lineNumber (depth = 11)
  int op_slot_left_3137 = gc_frame_newslot(*var_lineNumber);
  params[0] = num3138;
  partcv[0] = 1;
  Object sum3140 = callmethod(*var_lineNumber, "+", 1, partcv, params);
// compiled op node returning sum3140 (depth = 10)
  gc_frame_newslot(sum3140);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextLine (depth = 11)
  int op_slot_right_3141 = gc_frame_newslot(*var_nextLine);
// starting to compile string node (depth = 11)
  if (strlit3143 == NULL) {
    strlit3143 = alloc_String("    ++ ""\x22""");
    gc_root(strlit3143);
  }
// compiled string node returning strlit3143 (depth = 11)
  int op_slot_left_3141 = gc_frame_newslot(strlit3143);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult3144 = callmethod(strlit3143, "++", 1, partcv, params);
// compiled op node returning opresult3144 (depth = 10)
  gc_frame_newslot(opresult3144);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = sum3140;
  params[1] = opresult3144;
  partcv[0] = 2;
  Object call3145 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3136);
// compiled call node returning call3145 (depth = 9)
// Begin line 961
  setline(961);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3146 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3147 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3146);
// compiled call node returning call3147 (depth = 9)
// Begin line 963
  setline(963);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 962
  setline(962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3148 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3149 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  partcv[0] = 0;
  Object call3150 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3149);
// compiled call node returning call3150 (depth = 13)
// compiled member node returning call3150 (depth = 12)
  partcv[0] = 0;
  Object call3151 = callmethod(call3150, "new",
    1, partcv, params);
  gc_frame_end(callframe3148);
// compiled call node returning call3151 (depth = 11)
// compiled member node returning call3151 (depth = 10)
  *var_suggestion = call3151;
  if (call3151 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 963
  setline(963);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3153 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lineNumber (depth = 10)
  gc_frame_newslot(*var_lineNumber);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextLine (depth = 11)
  int op_slot_right_3154 = gc_frame_newslot(*var_nextLine);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit3157 == NULL) {
    strlit3157 = alloc_String("\\n");
    gc_root(strlit3157);
  }
// compiled string node returning strlit3157 (depth = 12)
  int op_slot_right_3156 = gc_frame_newslot(strlit3157);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errorLine (depth = 12)
  int op_slot_left_3156 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit3157;
  partcv[0] = 1;
  Object opresult3159 = callmethod(*var_errorLine, "++", 1, partcv, params);
// compiled op node returning opresult3159 (depth = 11)
  int op_slot_left_3154 = gc_frame_newslot(opresult3159);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult3160 = callmethod(opresult3159, "++", 1, partcv, params);
// compiled op node returning opresult3160 (depth = 10)
  gc_frame_newslot(opresult3160);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_lineNumber;
  params[1] = opresult3160;
  partcv[0] = 2;
  Object call3161 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3153);
// compiled call node returning call3161 (depth = 9)
// Begin line 964
  setline(964);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3162 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3164 = alloc_Float64(1);
// compiled num node returning num3164 (depth = 11)
  int op_slot_right_3163 = gc_frame_newslot(num3164);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lineNumber (depth = 11)
  int op_slot_left_3163 = gc_frame_newslot(*var_lineNumber);
  params[0] = num3164;
  partcv[0] = 1;
  Object sum3166 = callmethod(*var_lineNumber, "+", 1, partcv, params);
// compiled op node returning sum3166 (depth = 10)
  gc_frame_newslot(sum3166);
// starting to compile string node (depth = 10)
  if (strlit3167 == NULL) {
    strlit3167 = alloc_String("");
    gc_root(strlit3167);
  }
// compiled string node returning strlit3167 (depth = 10)
  gc_frame_newslot(strlit3167);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = sum3166;
  params[1] = strlit3167;
  partcv[0] = 2;
  Object call3168 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3162);
// compiled call node returning call3168 (depth = 9)
// Begin line 965
  setline(965);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3169 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3170 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3169);
// compiled call node returning call3170 (depth = 9)
// Begin line 966
  setline(966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3171 = gc_frame_new();
// Begin line 967
  setline(967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3173 == NULL) {
    strlit3173 = alloc_String("To split a string over multiple lines use '++' to join strings together.");
    gc_root(strlit3173);
  }
// compiled string node returning strlit3173 (depth = 11)
  int op_slot_right_3172 = gc_frame_newslot(strlit3173);
// Begin line 966
  setline(966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit3175 == NULL) {
    strlit3175 = alloc_String("A string must end with a '""\x22""'. To insert a newline in a string use '\\n'. ");
    gc_root(strlit3175);
  }
// compiled string node returning strlit3175 (depth = 11)
  int op_slot_left_3172 = gc_frame_newslot(strlit3175);
  params[0] = strlit3173;
  partcv[0] = 1;
  Object opresult3176 = callmethod(strlit3175, "++", 1, partcv, params);
// compiled op node returning opresult3176 (depth = 10)
  gc_frame_newslot(opresult3176);
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lineNumber (depth = 10)
  gc_frame_newslot(*var_lineNumber);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_linePosition (depth = 10)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_linePosition (depth = 10)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 966
  setline(966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = opresult3176;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call3177 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3171);
// compiled call node returning call3177 (depth = 9)
    gc_frame_newslot(call3177);
    if3097 = call3177;
  } else {
// Begin line 971
  setline(971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// Begin line 970
  setline(970);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3178 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3179 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  partcv[0] = 0;
  Object call3180 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3179);
// compiled call node returning call3180 (depth = 13)
// compiled member node returning call3180 (depth = 12)
  partcv[0] = 0;
  Object call3181 = callmethod(call3180, "new",
    1, partcv, params);
  gc_frame_end(callframe3178);
// compiled call node returning call3181 (depth = 11)
// compiled member node returning call3181 (depth = 10)
  *var_suggestion = call3181;
  if (call3181 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 9)
// Begin line 971
  setline(971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3182 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lineNumber (depth = 10)
  gc_frame_newslot(*var_lineNumber);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3184 == NULL) {
    strlit3184 = alloc_String("""\x22""");
    gc_root(strlit3184);
  }
// compiled string node returning strlit3184 (depth = 11)
  int op_slot_right_3183 = gc_frame_newslot(strlit3184);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errorLine (depth = 11)
  int op_slot_left_3183 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit3184;
  partcv[0] = 1;
  Object opresult3186 = callmethod(*var_errorLine, "++", 1, partcv, params);
// compiled op node returning opresult3186 (depth = 10)
  gc_frame_newslot(opresult3186);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_lineNumber;
  params[1] = opresult3186;
  partcv[0] = 2;
  Object call3187 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3182);
// compiled call node returning call3187 (depth = 9)
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3188 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit3189 == NULL) {
    strlit3189 = alloc_String("A string must end with a '""\x22""'.");
    gc_root(strlit3189);
  }
// compiled string node returning strlit3189 (depth = 10)
  gc_frame_newslot(strlit3189);
// Begin line 973
  setline(973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lineNumber (depth = 10)
  gc_frame_newslot(*var_lineNumber);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_linePosition (depth = 10)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit3189;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3190 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3188);
// compiled call node returning call3190 (depth = 9)
    gc_frame_newslot(call3190);
    if3097 = call3190;
  }
// compiled if node returning if3097 (depth = 8)
    gc_frame_newslot(if3097);
    if2922 = if3097;
  }
// compiled if node returning if2922 (depth = 7)
    gc_frame_newslot(if2922);
    if2917 = if2922;
  } else {
  }
// compiled if node returning if2917 (depth = 6)
// Begin line 1050
  setline(1050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_escaped (depth = 7)
  Object if3191 = done;
  if (istrue(*var_escaped)) {
// Begin line 1017
  setline(1017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 978
  setline(978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3194 == NULL) {
    strlit3194 = alloc_String("n");
    gc_root(strlit3194);
  }
// compiled string node returning strlit3194 (depth = 9)
  int op_slot_right_3193 = gc_frame_newslot(strlit3194);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_3193 = gc_frame_newslot(*var_c);
  params[0] = strlit3194;
  partcv[0] = 1;
  Object opresult3196 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3196 (depth = 8)
  Object if3192 = done;
  if (istrue(opresult3196)) {
// Begin line 981
  setline(981);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// Begin line 980
  setline(980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit3198 == NULL) {
    strlit3198 = alloc_String("""\x0a""");
    gc_root(strlit3198);
  }
// compiled string node returning strlit3198 (depth = 10)
  int op_slot_right_3197 = gc_frame_newslot(strlit3198);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_accum (depth = 10)
  int op_slot_left_3197 = gc_frame_newslot(*var_accum);
  params[0] = strlit3198;
  partcv[0] = 1;
  Object opresult3200 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3200 (depth = 9)
  *var_accum = opresult3200;
  if (opresult3200 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if3192 = done;
  } else {
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 981
  setline(981);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3204 == NULL) {
    strlit3204 = alloc_String("u");
    gc_root(strlit3204);
  }
// compiled string node returning strlit3204 (depth = 10)
  int op_slot_right_3203 = gc_frame_newslot(strlit3204);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_left_3203 = gc_frame_newslot(*var_c);
  params[0] = strlit3204;
  partcv[0] = 1;
  Object opresult3206 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3206 (depth = 9)
  Object if3202 = done;
  if (istrue(opresult3206)) {
// Begin line 985
  setline(985);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 984
  setline(984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 10)
  Object num3207 = alloc_Float64(4);
// compiled num node returning num3207 (depth = 10)
  *var_unichars = num3207;
  if (num3207 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 985
  setline(985);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 10)
  Object num3209 = alloc_Float64(0);
// compiled num node returning num3209 (depth = 10)
  *var_codepoint = num3209;
  if (num3209 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if3202 = done;
  } else {
// Begin line 991
  setline(991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3213 == NULL) {
    strlit3213 = alloc_String("U");
    gc_root(strlit3213);
  }
// compiled string node returning strlit3213 (depth = 11)
  int op_slot_right_3212 = gc_frame_newslot(strlit3213);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_left_3212 = gc_frame_newslot(*var_c);
  params[0] = strlit3213;
  partcv[0] = 1;
  Object opresult3215 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3215 (depth = 10)
  Object if3211 = done;
  if (istrue(opresult3215)) {
// Begin line 990
  setline(990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// Begin line 989
  setline(989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 11)
  Object num3216 = alloc_Float64(6);
// compiled num node returning num3216 (depth = 11)
  *var_unichars = num3216;
  if (num3216 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
// Begin line 991
  setline(991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// Begin line 990
  setline(990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 11)
  Object num3218 = alloc_Float64(0);
// compiled num node returning num3218 (depth = 11)
  *var_codepoint = num3218;
  if (num3218 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if3211 = done;
  } else {
// Begin line 994
  setline(994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 991
  setline(991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit3222 == NULL) {
    strlit3222 = alloc_String("t");
    gc_root(strlit3222);
  }
// compiled string node returning strlit3222 (depth = 12)
  int op_slot_right_3221 = gc_frame_newslot(strlit3222);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  int op_slot_left_3221 = gc_frame_newslot(*var_c);
  params[0] = strlit3222;
  partcv[0] = 1;
  Object opresult3224 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3224 (depth = 11)
  Object if3220 = done;
  if (istrue(opresult3224)) {
// Begin line 994
  setline(994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// starting to compile op node (depth = 12)
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 13)
  if (strlit3226 == NULL) {
    strlit3226 = alloc_String("""\x09""");
    gc_root(strlit3226);
  }
// compiled string node returning strlit3226 (depth = 13)
  int op_slot_right_3225 = gc_frame_newslot(strlit3226);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_accum (depth = 13)
  int op_slot_left_3225 = gc_frame_newslot(*var_accum);
  params[0] = strlit3226;
  partcv[0] = 1;
  Object opresult3228 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3228 (depth = 12)
  *var_accum = opresult3228;
  if (opresult3228 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if3220 = done;
  } else {
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 994
  setline(994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit3232 == NULL) {
    strlit3232 = alloc_String("r");
    gc_root(strlit3232);
  }
// compiled string node returning strlit3232 (depth = 13)
  int op_slot_right_3231 = gc_frame_newslot(strlit3232);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  int op_slot_left_3231 = gc_frame_newslot(*var_c);
  params[0] = strlit3232;
  partcv[0] = 1;
  Object opresult3234 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3234 (depth = 12)
  Object if3230 = done;
  if (istrue(opresult3234)) {
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 12)
// starting to compile op node (depth = 13)
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 14)
  if (strlit3236 == NULL) {
    strlit3236 = alloc_String("""\x0d""");
    gc_root(strlit3236);
  }
// compiled string node returning strlit3236 (depth = 14)
  int op_slot_right_3235 = gc_frame_newslot(strlit3236);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_accum (depth = 14)
  int op_slot_left_3235 = gc_frame_newslot(*var_accum);
  params[0] = strlit3236;
  partcv[0] = 1;
  Object opresult3238 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3238 (depth = 13)
  *var_accum = opresult3238;
  if (opresult3238 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 12)
    gc_frame_newslot(done);
    if3230 = done;
  } else {
// Begin line 1000
  setline(1000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit3242 == NULL) {
    strlit3242 = alloc_String("b");
    gc_root(strlit3242);
  }
// compiled string node returning strlit3242 (depth = 14)
  int op_slot_right_3241 = gc_frame_newslot(strlit3242);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_c (depth = 14)
  int op_slot_left_3241 = gc_frame_newslot(*var_c);
  params[0] = strlit3242;
  partcv[0] = 1;
  Object opresult3244 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3244 (depth = 13)
  Object if3240 = done;
  if (istrue(opresult3244)) {
// Begin line 1000
  setline(1000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 13)
// starting to compile op node (depth = 14)
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 15)
  if (strlit3246 == NULL) {
    strlit3246 = alloc_String("""\x08""");
    gc_root(strlit3246);
  }
// compiled string node returning strlit3246 (depth = 15)
  int op_slot_right_3245 = gc_frame_newslot(strlit3246);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_accum (depth = 15)
  int op_slot_left_3245 = gc_frame_newslot(*var_accum);
  params[0] = strlit3246;
  partcv[0] = 1;
  Object opresult3248 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3248 (depth = 14)
  *var_accum = opresult3248;
  if (opresult3248 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 13)
    gc_frame_newslot(done);
    if3240 = done;
  } else {
// Begin line 1003
  setline(1003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 13)
// Begin line 1000
  setline(1000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit3252 == NULL) {
    strlit3252 = alloc_String("l");
    gc_root(strlit3252);
  }
// compiled string node returning strlit3252 (depth = 15)
  int op_slot_right_3251 = gc_frame_newslot(strlit3252);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_c (depth = 15)
  int op_slot_left_3251 = gc_frame_newslot(*var_c);
  params[0] = strlit3252;
  partcv[0] = 1;
  Object opresult3254 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3254 (depth = 14)
  Object if3250 = done;
  if (istrue(opresult3254)) {
// Begin line 1003
  setline(1003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 14)
// starting to compile op node (depth = 15)
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 16)
  if (strlit3256 == NULL) {
    strlit3256 = alloc_String("""\xe2""""\x80""""\xa8""");
    gc_root(strlit3256);
  }
// compiled string node returning strlit3256 (depth = 16)
  int op_slot_right_3255 = gc_frame_newslot(strlit3256);
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_accum (depth = 16)
  int op_slot_left_3255 = gc_frame_newslot(*var_accum);
  params[0] = strlit3256;
  partcv[0] = 1;
  Object opresult3258 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3258 (depth = 15)
  *var_accum = opresult3258;
  if (opresult3258 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 14)
    gc_frame_newslot(done);
    if3250 = done;
  } else {
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 14)
// Begin line 1003
  setline(1003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit3262 == NULL) {
    strlit3262 = alloc_String("f");
    gc_root(strlit3262);
  }
// compiled string node returning strlit3262 (depth = 16)
  int op_slot_right_3261 = gc_frame_newslot(strlit3262);
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_c (depth = 16)
  int op_slot_left_3261 = gc_frame_newslot(*var_c);
  params[0] = strlit3262;
  partcv[0] = 1;
  Object opresult3264 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3264 (depth = 15)
  Object if3260 = done;
  if (istrue(opresult3264)) {
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 15)
// starting to compile op node (depth = 16)
// Begin line 1005
  setline(1005);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 17)
  if (strlit3266 == NULL) {
    strlit3266 = alloc_String("""\x0c""");
    gc_root(strlit3266);
  }
// compiled string node returning strlit3266 (depth = 17)
  int op_slot_right_3265 = gc_frame_newslot(strlit3266);
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_accum (depth = 17)
  int op_slot_left_3265 = gc_frame_newslot(*var_accum);
  params[0] = strlit3266;
  partcv[0] = 1;
  Object opresult3268 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3268 (depth = 16)
  *var_accum = opresult3268;
  if (opresult3268 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 15)
    gc_frame_newslot(done);
    if3260 = done;
  } else {
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 15)
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 16)
// starting to compile string node (depth = 17)
  if (strlit3272 == NULL) {
    strlit3272 = alloc_String("e");
    gc_root(strlit3272);
  }
// compiled string node returning strlit3272 (depth = 17)
  int op_slot_right_3271 = gc_frame_newslot(strlit3272);
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_c (depth = 17)
  int op_slot_left_3271 = gc_frame_newslot(*var_c);
  params[0] = strlit3272;
  partcv[0] = 1;
  Object opresult3274 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3274 (depth = 16)
  Object if3270 = done;
  if (istrue(opresult3274)) {
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 16)
// starting to compile op node (depth = 17)
// Begin line 1008
  setline(1008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 18)
  if (strlit3276 == NULL) {
    strlit3276 = alloc_String("""\x1b""");
    gc_root(strlit3276);
  }
// compiled string node returning strlit3276 (depth = 18)
  int op_slot_right_3275 = gc_frame_newslot(strlit3276);
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_accum (depth = 18)
  int op_slot_left_3275 = gc_frame_newslot(*var_accum);
  params[0] = strlit3276;
  partcv[0] = 1;
  Object opresult3278 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3278 (depth = 17)
  *var_accum = opresult3278;
  if (opresult3278 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 16)
    gc_frame_newslot(done);
    if3270 = done;
  } else {
// Begin line 1012
  setline(1012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 16)
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 17)
// starting to compile string node (depth = 18)
  if (strlit3282 == NULL) {
    strlit3282 = alloc_String("_");
    gc_root(strlit3282);
  }
// compiled string node returning strlit3282 (depth = 18)
  int op_slot_right_3281 = gc_frame_newslot(strlit3282);
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_c (depth = 18)
  int op_slot_left_3281 = gc_frame_newslot(*var_c);
  params[0] = strlit3282;
  partcv[0] = 1;
  Object opresult3284 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3284 (depth = 17)
  Object if3280 = done;
  if (istrue(opresult3284)) {
// Begin line 1012
  setline(1012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 17)
// starting to compile op node (depth = 18)
// Begin line 1011
  setline(1011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 19)
  if (strlit3286 == NULL) {
    strlit3286 = alloc_String("""\xc2""""\xa0""");
    gc_root(strlit3286);
  }
// compiled string node returning strlit3286 (depth = 19)
  int op_slot_right_3285 = gc_frame_newslot(strlit3286);
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_accum (depth = 19)
  int op_slot_left_3285 = gc_frame_newslot(*var_accum);
  params[0] = strlit3286;
  partcv[0] = 1;
  Object opresult3288 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3288 (depth = 18)
  *var_accum = opresult3288;
  if (opresult3288 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 17)
    gc_frame_newslot(done);
    if3280 = done;
  } else {
// Begin line 1016
  setline(1016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 17)
// starting to compile op node (depth = 18)
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_c (depth = 19)
  int op_slot_right_3290 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_accum (depth = 19)
  int op_slot_left_3290 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult3292 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3292 (depth = 18)
  *var_accum = opresult3292;
  if (opresult3292 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 17)
    gc_frame_newslot(done);
    if3280 = done;
  }
// compiled if node returning if3280 (depth = 16)
    gc_frame_newslot(if3280);
    if3270 = if3280;
  }
// compiled if node returning if3270 (depth = 15)
    gc_frame_newslot(if3270);
    if3260 = if3270;
  }
// compiled if node returning if3260 (depth = 14)
    gc_frame_newslot(if3260);
    if3250 = if3260;
  }
// compiled if node returning if3250 (depth = 13)
    gc_frame_newslot(if3250);
    if3240 = if3250;
  }
// compiled if node returning if3240 (depth = 12)
    gc_frame_newslot(if3240);
    if3230 = if3240;
  }
// compiled if node returning if3230 (depth = 11)
    gc_frame_newslot(if3230);
    if3220 = if3230;
  }
// compiled if node returning if3220 (depth = 10)
    gc_frame_newslot(if3220);
    if3211 = if3220;
  }
// compiled if node returning if3211 (depth = 9)
    gc_frame_newslot(if3211);
    if3202 = if3211;
  }
// compiled if node returning if3202 (depth = 8)
    gc_frame_newslot(if3202);
    if3192 = if3202;
  }
// compiled if node returning if3192 (depth = 7)
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 1017
  setline(1017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool3294 = alloc_Boolean(0);
// compiled identifier node returning bool3294 (depth = 8)
  *var_escaped = bool3294;
  if (bool3294 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if3191 = done;
  } else {
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3298 == NULL) {
    strlit3298 = alloc_String("\\");
    gc_root(strlit3298);
  }
// compiled string node returning strlit3298 (depth = 9)
  int op_slot_right_3297 = gc_frame_newslot(strlit3298);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_3297 = gc_frame_newslot(*var_c);
  params[0] = strlit3298;
  partcv[0] = 1;
  Object opresult3300 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3300 (depth = 8)
  Object if3296 = done;
  if (istrue(opresult3300)) {
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 1020
  setline(1020);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
  Object bool3301 = alloc_Boolean(1);
// compiled identifier node returning bool3301 (depth = 9)
  *var_escaped = bool3301;
  if (bool3301 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if3296 = done;
  } else {
// Begin line 1034
  setline(1034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num3305 = alloc_Float64(0);
// compiled num node returning num3305 (depth = 10)
  int op_slot_right_3304 = gc_frame_newslot(num3305);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_unichars (depth = 10)
  int op_slot_left_3304 = gc_frame_newslot(*var_unichars);
  params[0] = num3305;
  partcv[0] = 1;
  Object opresult3307 = callmethod(*var_unichars, ">", 1, partcv, params);
// compiled op node returning opresult3307 (depth = 9)
  Object if3303 = done;
  if (istrue(opresult3307)) {
// Begin line 1027
  setline(1027);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// Begin line 1026
  setline(1026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 11)
  Object num3309 = alloc_Float64(1);
// compiled num node returning num3309 (depth = 11)
  int op_slot_right_3308 = gc_frame_newslot(num3309);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unichars (depth = 11)
  int op_slot_left_3308 = gc_frame_newslot(*var_unichars);
  params[0] = num3309;
  partcv[0] = 1;
  Object diff3311 = callmethod(*var_unichars, "-", 1, partcv, params);
// compiled op node returning diff3311 (depth = 10)
  *var_unichars = diff3311;
  if (diff3311 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 1028
  setline(1028);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// Begin line 1027
  setline(1027);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 11)
  Object num3314 = alloc_Float64(16);
// compiled num node returning num3314 (depth = 11)
  int op_slot_right_3313 = gc_frame_newslot(num3314);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_codepoint (depth = 11)
  int op_slot_left_3313 = gc_frame_newslot(*var_codepoint);
  params[0] = num3314;
  partcv[0] = 1;
  Object prod3316 = callmethod(*var_codepoint, "*", 1, partcv, params);
// compiled op node returning prod3316 (depth = 10)
  *var_codepoint = prod3316;
  if (prod3316 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 1028
  setline(1028);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3319 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  gc_frame_newslot(*var_c);
// call case 4: self request
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3320 = callmethodflags(self, "hexdecchar", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3319);
// compiled call node returning call3320 (depth = 11)
  int op_slot_right_3318 = gc_frame_newslot(call3320);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_codepoint (depth = 11)
  int op_slot_left_3318 = gc_frame_newslot(*var_codepoint);
  params[0] = call3320;
  partcv[0] = 1;
  Object sum3322 = callmethod(*var_codepoint, "+", 1, partcv, params);
// compiled op node returning sum3322 (depth = 10)
  *var_codepoint = sum3322;
  if (sum3322 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 1034
  setline(1034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 1029
  setline(1029);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3326 = alloc_Float64(0);
// compiled num node returning num3326 (depth = 11)
  int op_slot_right_3325 = gc_frame_newslot(num3326);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unichars (depth = 11)
  int op_slot_left_3325 = gc_frame_newslot(*var_unichars);
  params[0] = num3326;
  partcv[0] = 1;
  Object opresult3328 = callmethod(*var_unichars, "==", 1, partcv, params);
// compiled op node returning opresult3328 (depth = 10)
  Object if3324 = done;
  if (istrue(opresult3328)) {
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3330 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_codepoint (depth = 13)
  gc_frame_newslot(*var_codepoint);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_unicode (depth = 13)
  params[0] = *var_codepoint;
  partcv[0] = 1;
  Object call3331 = callmethod(*var_unicode, "create",
    1, partcv, params);
  gc_frame_end(callframe3330);
// compiled call node returning call3331 (depth = 12)
  int op_slot_right_3329 = gc_frame_newslot(call3331);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_accum (depth = 12)
  int op_slot_left_3329 = gc_frame_newslot(*var_accum);
  params[0] = call3331;
  partcv[0] = 1;
  Object opresult3333 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3333 (depth = 11)
  *var_accum = opresult3333;
  if (opresult3333 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if3324 = done;
  } else {
  }
// compiled if node returning if3324 (depth = 9)
    gc_frame_newslot(if3324);
    if3303 = if3324;
  } else {
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 1034
  setline(1034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3337 == NULL) {
    strlit3337 = alloc_String("{");
    gc_root(strlit3337);
  }
// compiled string node returning strlit3337 (depth = 11)
  int op_slot_right_3336 = gc_frame_newslot(strlit3337);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_left_3336 = gc_frame_newslot(*var_c);
  params[0] = strlit3337;
  partcv[0] = 1;
  Object opresult3339 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3339 (depth = 10)
  Object if3335 = done;
  if (istrue(opresult3339)) {
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 1035
  setline(1035);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3341 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_interpString (depth = 13)
  partcv[0] = 0;
  Object call3342 = callmethod(*var_interpString, "not",
    1, partcv, params);
  gc_frame_end(callframe3341);
// compiled call node returning call3342 (depth = 12)
// compiled member node returning call3342 (depth = 11)
  Object if3340 = done;
  if (istrue(call3342)) {
// Begin line 1036
  setline(1036);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe3343 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_tokens (depth = 12)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 12)
  if (strlit3344 == NULL) {
    strlit3344 = alloc_String("(");
    gc_root(strlit3344);
  }
// compiled string node returning strlit3344 (depth = 12)
  gc_frame_newslot(strlit3344);
// starting to compile string node (depth = 12)
  if (strlit3345 == NULL) {
    strlit3345 = alloc_String("(");
    gc_root(strlit3345);
  }
// compiled string node returning strlit3345 (depth = 12)
  gc_frame_newslot(strlit3345);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit3344;
  params[2] = strlit3345;
  partcv[0] = 3;
  Object call3346 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3343);
// compiled call node returning call3346 (depth = 11)
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// Begin line 1037
  setline(1037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 12)
  Object bool3347 = alloc_Boolean(1);
// compiled identifier node returning bool3347 (depth = 12)
  *var_interpString = bool3347;
  if (bool3347 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if3340 = done;
  } else {
  }
// compiled if node returning if3340 (depth = 10)
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe3349 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tokens (depth = 11)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_mode (depth = 11)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_accum (depth = 11)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call3350 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3349);
// compiled call node returning call3350 (depth = 10)
// Begin line 1040
  setline(1040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe3351 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tokens (depth = 11)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 11)
  if (strlit3352 == NULL) {
    strlit3352 = alloc_String("o");
    gc_root(strlit3352);
  }
// compiled string node returning strlit3352 (depth = 11)
  gc_frame_newslot(strlit3352);
// starting to compile string node (depth = 11)
  if (strlit3353 == NULL) {
    strlit3353 = alloc_String("++");
    gc_root(strlit3353);
  }
// compiled string node returning strlit3353 (depth = 11)
  gc_frame_newslot(strlit3353);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit3352;
  params[2] = strlit3353;
  partcv[0] = 3;
  Object call3354 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3351);
// compiled call node returning call3354 (depth = 10)
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe3355 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tokens (depth = 11)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 11)
  if (strlit3356 == NULL) {
    strlit3356 = alloc_String("(");
    gc_root(strlit3356);
  }
// compiled string node returning strlit3356 (depth = 11)
  gc_frame_newslot(strlit3356);
// starting to compile string node (depth = 11)
  if (strlit3357 == NULL) {
    strlit3357 = alloc_String("(");
    gc_root(strlit3357);
  }
// compiled string node returning strlit3357 (depth = 11)
  gc_frame_newslot(strlit3357);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit3356;
  params[2] = strlit3357;
  partcv[0] = 3;
  Object call3358 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3355);
// compiled call node returning call3358 (depth = 10)
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit3359 == NULL) {
    strlit3359 = alloc_String("n");
    gc_root(strlit3359);
  }
// compiled string node returning strlit3359 (depth = 11)
  *var_mode = strlit3359;
  if (strlit3359 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit3361 == NULL) {
    strlit3361 = alloc_String("n");
    gc_root(strlit3361);
  }
// compiled string node returning strlit3361 (depth = 11)
  *var_newmode = strlit3361;
  if (strlit3361 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit3363 == NULL) {
    strlit3363 = alloc_String("");
    gc_root(strlit3363);
  }
// compiled string node returning strlit3363 (depth = 11)
  *var_accum = strlit3363;
  if (strlit3363 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 11)
  Object bool3365 = alloc_Boolean(0);
// compiled identifier node returning bool3365 (depth = 11)
  *var_inStr = bool3365;
  if (bool3365 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 12)
  Object num3368 = alloc_Float64(1);
// compiled num node returning num3368 (depth = 12)
  int op_slot_right_3367 = gc_frame_newslot(num3368);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_interpdepth (depth = 12)
  int op_slot_left_3367 = gc_frame_newslot(*var_interpdepth);
  params[0] = num3368;
  partcv[0] = 1;
  Object sum3370 = callmethod(*var_interpdepth, "+", 1, partcv, params);
// compiled op node returning sum3370 (depth = 11)
  *var_interpdepth = sum3370;
  if (sum3370 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if3335 = done;
  } else {
// Begin line 1049
  setline(1049);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// Begin line 1048
  setline(1048);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  int op_slot_right_3372 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_accum (depth = 12)
  int op_slot_left_3372 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult3374 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3374 (depth = 11)
  *var_accum = opresult3374;
  if (opresult3374 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if3335 = done;
  }
// compiled if node returning if3335 (depth = 9)
    gc_frame_newslot(if3335);
    if3303 = if3335;
  }
// compiled if node returning if3303 (depth = 8)
    gc_frame_newslot(if3303);
    if3296 = if3303;
  }
// compiled if node returning if3296 (depth = 7)
    gc_frame_newslot(if3296);
    if3191 = if3296;
  }
// compiled if node returning if3191 (depth = 6)
    gc_frame_newslot(if3191);
    if2912 = if3191;
  } else {
// Begin line 1062
  setline(1062);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1050
  setline(1050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3378 == NULL) {
    strlit3378 = alloc_String("""\x0a""");
    gc_root(strlit3378);
  }
// compiled string node returning strlit3378 (depth = 8)
  int op_slot_right_3377 = gc_frame_newslot(strlit3378);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_3377 = gc_frame_newslot(*var_c);
  params[0] = strlit3378;
  partcv[0] = 1;
  Object opresult3380 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3380 (depth = 7)
  Object if3376 = done;
  if (istrue(opresult3380)) {
// Begin line 1052
  setline(1052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 1051
  setline(1051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool3381 = alloc_Boolean(1);
// compiled identifier node returning bool3381 (depth = 8)
  *var_newlineFound = bool3381;
  if (bool3381 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 1062
  setline(1062);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1052
  setline(1052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3385 == NULL) {
    strlit3385 = alloc_String("q");
    gc_root(strlit3385);
  }
// compiled string node returning strlit3385 (depth = 9)
  int op_slot_right_3384 = gc_frame_newslot(strlit3385);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_3384 = gc_frame_newslot(*var_mode);
  params[0] = strlit3385;
  partcv[0] = 1;
  Object opresult3387 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult3387 (depth = 8)
  Object if3383 = done;
  if (istrue(opresult3387)) {
// Begin line 1054
  setline(1054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// Begin line 1053
  setline(1053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_right_3388 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_accum (depth = 10)
  int op_slot_left_3388 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult3390 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3390 (depth = 9)
  *var_accum = opresult3390;
  if (opresult3390 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if3383 = done;
  } else {
// Begin line 1057
  setline(1057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 1056
  setline(1056);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
  Object bool3392 = alloc_Boolean(1);
// compiled identifier node returning bool3392 (depth = 9)
  *var_newlineFound = bool3392;
  if (bool3392 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 1057
  setline(1057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3394 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call3395 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3394);
// compiled call node returning call3395 (depth = 8)
// Begin line 1059
  setline(1059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 1058
  setline(1058);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit3396 == NULL) {
    strlit3396 = alloc_String("d");
    gc_root(strlit3396);
  }
// compiled string node returning strlit3396 (depth = 9)
  *var_mode = strlit3396;
  if (strlit3396 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 1060
  setline(1060);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 1059
  setline(1059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit3398 == NULL) {
    strlit3398 = alloc_String("d");
    gc_root(strlit3398);
  }
// compiled string node returning strlit3398 (depth = 9)
  *var_newmode = strlit3398;
  if (strlit3398 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 1061
  setline(1061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 1060
  setline(1060);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit3400 == NULL) {
    strlit3400 = alloc_String("");
    gc_root(strlit3400);
  }
// compiled string node returning strlit3400 (depth = 9)
  *var_accum = strlit3400;
  if (strlit3400 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if3383 = done;
  }
// compiled if node returning if3383 (depth = 7)
    gc_frame_newslot(if3383);
    if3376 = if3383;
  } else {
// Begin line 1064
  setline(1064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 1063
  setline(1063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_right_3402 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  int op_slot_left_3402 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult3404 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3404 (depth = 8)
  *var_accum = opresult3404;
  if (opresult3404 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if3376 = done;
  }
// compiled if node returning if3376 (depth = 6)
    gc_frame_newslot(if3376);
    if2912 = if3376;
  }
// compiled if node returning if2912 (depth = 5)
    gc_frame_newslot(if2912);
    if2837 = if2912;
  }
// compiled if node returning if2837 (depth = 4)
// Begin line 1073
  setline(1073);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1065
  setline(1065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3408 == NULL) {
    strlit3408 = alloc_String("...");
    gc_root(strlit3408);
  }
// compiled string node returning strlit3408 (depth = 6)
  int op_slot_right_3407 = gc_frame_newslot(strlit3408);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_accum (depth = 6)
  int op_slot_left_3407 = gc_frame_newslot(*var_accum);
  params[0] = strlit3408;
  partcv[0] = 1;
  Object opresult3410 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult3410 (depth = 5)
  Object if3406 = done;
  if (istrue(opresult3410)) {
// Begin line 1072
  setline(1072);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1066
  setline(1066);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3413 == NULL) {
    strlit3413 = alloc_String("o");
    gc_root(strlit3413);
  }
// compiled string node returning strlit3413 (depth = 7)
  int op_slot_right_3412 = gc_frame_newslot(strlit3413);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  int op_slot_left_3412 = gc_frame_newslot(*var_mode);
  params[0] = strlit3413;
  partcv[0] = 1;
  Object opresult3415 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult3415 (depth = 6)
  Object if3411 = done;
  if (istrue(opresult3415)) {
// Begin line 1067
  setline(1067);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3416 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tokens (depth = 7)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 7)
  if (strlit3417 == NULL) {
    strlit3417 = alloc_String("i");
    gc_root(strlit3417);
  }
// compiled string node returning strlit3417 (depth = 7)
  gc_frame_newslot(strlit3417);
// starting to compile string node (depth = 7)
  if (strlit3418 == NULL) {
    strlit3418 = alloc_String("...");
    gc_root(strlit3418);
  }
// compiled string node returning strlit3418 (depth = 7)
  gc_frame_newslot(strlit3418);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit3417;
  params[2] = strlit3418;
  partcv[0] = 3;
  Object call3419 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3416);
// compiled call node returning call3419 (depth = 6)
// Begin line 1069
  setline(1069);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 1068
  setline(1068);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit3420 == NULL) {
    strlit3420 = alloc_String("n");
    gc_root(strlit3420);
  }
// compiled string node returning strlit3420 (depth = 7)
  *var_newmode = strlit3420;
  if (strlit3420 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1070
  setline(1070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 1069
  setline(1069);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newmode (depth = 7)
  *var_mode = *var_newmode;
  if (*var_newmode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1071
  setline(1071);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 1070
  setline(1070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit3423 == NULL) {
    strlit3423 = alloc_String("");
    gc_root(strlit3423);
  }
// compiled string node returning strlit3423 (depth = 7)
  *var_accum = strlit3423;
  if (strlit3423 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if3411 = done;
  } else {
  }
// compiled if node returning if3411 (depth = 5)
    gc_frame_newslot(if3411);
    if3406 = if3411;
  } else {
  }
// compiled if node returning if3406 (depth = 4)
// Begin line 1083
  setline(1083);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1073
  setline(1073);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newlineFound (depth = 5)
  Object if3425 = done;
  if (istrue(*var_newlineFound)) {
// Begin line 1079
  setline(1079);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1078
  setline(1078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool3426 = alloc_Boolean(0);
// compiled identifier node returning bool3426 (depth = 6)
  *var_newlineFound = bool3426;
  if (bool3426 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1080
  setline(1080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1079
  setline(1079);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num3429 = alloc_Float64(1);
// compiled num node returning num3429 (depth = 7)
  int op_slot_right_3428 = gc_frame_newslot(num3429);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lineNumber (depth = 7)
  int op_slot_left_3428 = gc_frame_newslot(*var_lineNumber);
  params[0] = num3429;
  partcv[0] = 1;
  Object sum3431 = callmethod(*var_lineNumber, "+", 1, partcv, params);
// compiled op node returning sum3431 (depth = 6)
  *var_lineNumber = sum3431;
  if (sum3431 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1081
  setline(1081);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1080
  setline(1080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num3433 = alloc_Float64(0);
// compiled num node returning num3433 (depth = 6)
  *var_linePosition = num3433;
  if (num3433 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1082
  setline(1082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1081
  setline(1081);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num3435 = alloc_Float64(1);
// compiled num node returning num3435 (depth = 6)
  *var_startPosition = num3435;
  if (num3435 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if3425 = done;
  } else {
  }
// compiled if node returning if3425 (depth = 4)
  gc_frame_end(frame);
  return if3425;
}
Object meth_lexer__apply3443(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_linePosition = getfromclosure(closure, 0);
  Object *var_mode = getfromclosure(closure, 1);
  Object *var_mainBlock = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1087
  setline(1087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1086
  setline(1086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 8)
  Object num3445 = alloc_Float64(1);
// compiled num node returning num3445 (depth = 8)
  int op_slot_right_3444 = gc_frame_newslot(num3445);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_linePosition (depth = 8)
  int op_slot_left_3444 = gc_frame_newslot(*var_linePosition);
  params[0] = num3445;
  partcv[0] = 1;
  Object sum3447 = callmethod(*var_linePosition, "+", 1, partcv, params);
// compiled op node returning sum3447 (depth = 7)
  *var_linePosition = sum3447;
  if (sum3447 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1097
  setline(1097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1087
  setline(1087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3451 == NULL) {
    strlit3451 = alloc_String(" ");
    gc_root(strlit3451);
  }
// compiled string node returning strlit3451 (depth = 8)
  int op_slot_right_3450 = gc_frame_newslot(strlit3451);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ch (depth = 8)
  int op_slot_left_3450 = gc_frame_newslot(*var_ch);
  params[0] = strlit3451;
  partcv[0] = 1;
  Object opresult3453 = callmethod(*var_ch, "==", 1, partcv, params);
// compiled op node returning opresult3453 (depth = 7)
  Object if3449 = done;
  if (istrue(opresult3453)) {
// Begin line 1094
  setline(1094);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1088
  setline(1088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3456 == NULL) {
    strlit3456 = alloc_String("d");
    gc_root(strlit3456);
  }
// compiled string node returning strlit3456 (depth = 9)
  int op_slot_right_3455 = gc_frame_newslot(strlit3456);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_3455 = gc_frame_newslot(*var_mode);
  params[0] = strlit3456;
  partcv[0] = 1;
  Object opresult3458 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult3458 (depth = 8)
  Object if3454 = done;
  if (istrue(opresult3458)) {
    gc_frame_newslot(done);
    if3454 = done;
  } else {
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 1090
  setline(1090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3461 == NULL) {
    strlit3461 = alloc_String("n");
    gc_root(strlit3461);
  }
// compiled string node returning strlit3461 (depth = 10)
  int op_slot_right_3460 = gc_frame_newslot(strlit3461);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mode (depth = 10)
  int op_slot_left_3460 = gc_frame_newslot(*var_mode);
  params[0] = strlit3461;
  partcv[0] = 1;
  Object opresult3463 = callmethod(*var_mode, "!=", 1, partcv, params);
// compiled op node returning opresult3463 (depth = 9)
  Object if3459 = done;
  if (istrue(opresult3463)) {
// Begin line 1091
  setline(1091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3464 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ch (depth = 10)
  gc_frame_newslot(*var_ch);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mainBlock (depth = 10)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call3465 = callmethod(*var_mainBlock, "apply",
    1, partcv, params);
  gc_frame_end(callframe3464);
// compiled call node returning call3465 (depth = 9)
    gc_frame_newslot(call3465);
    if3459 = call3465;
  } else {
  }
// compiled if node returning if3459 (depth = 8)
    gc_frame_newslot(if3459);
    if3454 = if3459;
  }
// compiled if node returning if3454 (depth = 7)
    gc_frame_newslot(if3454);
    if3449 = if3454;
  } else {
// Begin line 1095
  setline(1095);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3466 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ch (depth = 8)
  gc_frame_newslot(*var_ch);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mainBlock (depth = 8)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call3467 = callmethod(*var_mainBlock, "apply",
    1, partcv, params);
  gc_frame_end(callframe3466);
// compiled call node returning call3467 (depth = 7)
    gc_frame_newslot(call3467);
    if3449 = call3467;
  }
// compiled if node returning if3449 (depth = 6)
  gc_frame_end(frame);
  return if3449;
}
Object meth_lexer__apply3440(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_linePosition = getfromclosure(closure, 0);
  Object *var_mode = getfromclosure(closure, 1);
  Object *var_mainBlock = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_eachLine = &(stackframe->slots[0]);
  *var_eachLine = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1085
  setline(1085);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3441 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_eachLine (depth = 5)
  gc_frame_newslot(*var_eachLine);
// starting to compile block node (depth = 5)
  Object block3442 = alloc_Block(NULL, NULL, "lexer", 1085);
  gc_frame_newslot(block3442);
// method _apply
  block_savedest(block3442);
  Object closure3443 = createclosure(4, "_apply");
  setclosureframe(closure3443, stackframe);
  addtoclosure(closure3443, var_linePosition);
  addtoclosure(closure3443, var_mode);
  addtoclosure(closure3443, var_mainBlock);
  addtoclosure(closure3443, selfslot);
  struct UserObject *uo3443 = (struct UserObject*)block3442;
  uo3443->data[0] = (Object)closure3443;
  Method *meth_meth_lexer__apply3443 = addmethod2pos(block3442, "_apply", &meth_lexer__apply3443, 0);
  int argcv_meth_lexer__apply3443[] = {1};
  meth_meth_lexer__apply3443->type = alloc_MethodType(1, argcv_meth_lexer__apply3443);
  meth_meth_lexer__apply3443->definitionModule = modulename;
  meth_meth_lexer__apply3443->definitionLine = 1035;
// compiled block node returning block3442 (depth = 5)
  gc_frame_newslot(block3442);
// call case 5: prelude request
  params[0] = *var_eachLine;
  params[1] = block3442;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3469 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3441);
// compiled call node returning call3469 (depth = 4)
// Begin line 1098
  setline(1098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3470 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3471 == NULL) {
    strlit3471 = alloc_String("""\x0a""");
    gc_root(strlit3471);
  }
// compiled string node returning strlit3471 (depth = 5)
  gc_frame_newslot(strlit3471);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_mainBlock (depth = 5)
  params[0] = strlit3471;
  partcv[0] = 1;
  Object call3472 = callmethod(*var_mainBlock, "apply",
    1, partcv, params);
  gc_frame_end(callframe3470);
// compiled call node returning call3472 (depth = 4)
  gc_frame_end(frame);
  return call3472;
}
Object meth_lexer_lexinput1835(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(26, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lexinput");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method lexinput");
  Object params[14];
  int partcv[3];
  Object *var_linePosition = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_unicode = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lineNumber = getfromclosure(closure, 4);
  Object *var_stringStart = getfromclosure(closure, 5);
  Object *var_startLine = getfromclosure(closure, 6);
  Object *var_startPosition = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lexinput (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_inputLines = &(stackframe->slots[0]);
  *var_inputLines = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for lexinput");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_tokens = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "tokens");
  Object *var_mode = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "mode");
  Object *var_newmode = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newmode");
  Object *var_inStr = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "inStr");
  Object *var_inBackticks = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "inBackticks");
  Object *var_backtickIdent = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "backtickIdent");
  Object *var_accum = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "accum");
  Object *var_escaped = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "escaped");
  Object *var_unichars = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "unichars");
  Object *var_codepoint = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "codepoint");
  Object *var_interpdepth = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "interpdepth");
  Object *var_interpString = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "interpString");
  Object *var_atStart = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "atStart");
  Object *var_newlineFound = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "newlineFound");
  Object *var_badSeparator = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "badSeparator");
  Object *var_badControl = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "badControl");
  Object *var_selfModes = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "selfModes");
  Object *var_brackets = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "brackets");
  Object *var_identifierChar = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "identifierChar");
  Object *var_digit = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "digit");
  Object *var_operatorChar = &(stackframe->slots[22]);
  setframeelementname(stackframe, 22, "operatorChar");
  Object *var_iGTLT = &(stackframe->slots[23]);
  setframeelementname(stackframe, 23, "iGTLT");
  Object *var_mainBlock = &(stackframe->slots[24]);
  setframeelementname(stackframe, 24, "mainBlock");
  Object *var_suggestion = &(stackframe->slots[25]);
  setframeelementname(stackframe, 25, "suggestion");
// Begin line 568
  setline(568);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject1836 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1836 = alloc_userobj2(13,11, objclass1836);
  gc_frame_newslot(obj1836);
// OBJECT OUTER DEC outer
  adddatum2(obj1836, self, 0);
  addmethodreal(obj1836,"outer", &reader_lexer_outer_1837);
  Object oldself1836 = self;
  struct StackFrameObject *oldstackframe1836 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1836);
  gc_frame_newslot((Object)stackframe);
  self = obj1836;
  Object *oldselfslot1836 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1836 = (*(struct UserObject *)self).data[0], lowerouter1836 = thisouter1836;
  if (inheritingObject1836) {
    struct UserObject *inho1836 = (struct UserObject *)inheritingObject1836;
    while (inho1836->super != GraceDefaultObject) inho1836 = (struct UserObject *)inho1836->super;
    inho1836->super = obj1836;
    self = inheritingObject1836;
    *selfslot = self;
    lowerouter1836 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1836;
  }
if (objclass1836 == NULL) {
  Method *reader1838 = addmethodrealflags(obj1836, "first",&reader_lexer_first_1838, 0);
  Method *writer1838 = addmethodrealflags(obj1836, "first:=",&writer_lexer_first_1838, MFLAG_CONFIDENTIAL);
  reader1838->definitionModule = modulename;
  writer1838->definitionModule = modulename;
  reader1838->definitionLine = 570;
  writer1838->definitionLine = 570;
}
obj1836->flags |= OFLAG_MUTABLE;
adddatum2(obj1836, alloc_Undefined(), 1);
if (objclass1836 == NULL) {
  Method *reader1839 = addmethodrealflags(obj1836, "last",&reader_lexer_last_1839, 0);
  Method *writer1839 = addmethodrealflags(obj1836, "last:=",&writer_lexer_last_1839, MFLAG_CONFIDENTIAL);
  reader1839->definitionModule = modulename;
  writer1839->definitionModule = modulename;
  reader1839->definitionLine = 571;
  writer1839->definitionLine = 571;
}
obj1836->flags |= OFLAG_MUTABLE;
adddatum2(obj1836, alloc_Undefined(), 2);
if (objclass1836 == NULL) {
  Method *reader1840 = addmethodrealflags(obj1836, "size'",&reader_lexer_size_39__1840, MFLAG_CONFIDENTIAL);
  Method *writer1840 = addmethodrealflags(obj1836, "size':=",&writer_lexer_size_39__1840, MFLAG_CONFIDENTIAL);
  reader1840->definitionModule = modulename;
  writer1840->definitionModule = modulename;
  reader1840->definitionLine = 573;
  writer1840->definitionLine = 573;
}
obj1836->flags |= OFLAG_MUTABLE;
adddatum2(obj1836, alloc_Undefined(), 3);
// method push
  struct UserObject *uo1841 = (struct UserObject*)obj1836;
  uo1841->data[4] = emptyclosure;
  Method *meth_meth_lexer_push1841 = addmethod2pos(obj1836, "push", &meth_lexer_push1841, 4);
  int argcv_meth_lexer_push1841[] = {1};
  meth_meth_lexer_push1841->type = alloc_MethodType(1, argcv_meth_lexer_push1841);
  meth_meth_lexer_push1841->definitionModule = modulename;
  meth_meth_lexer_push1841->definitionLine = 573;
// method pop
  struct UserObject *uo1871 = (struct UserObject*)obj1836;
  uo1871->data[5] = emptyclosure;
  Method *meth_meth_lexer_pop1871 = addmethod2pos(obj1836, "pop", &meth_lexer_pop1871, 5);
  int argcv_meth_lexer_pop1871[] = {0};
  meth_meth_lexer_pop1871->type = alloc_MethodType(1, argcv_meth_lexer_pop1871);
  meth_meth_lexer_pop1871->definitionModule = modulename;
  meth_meth_lexer_pop1871->definitionLine = 585;
// method poll
  struct UserObject *uo1905 = (struct UserObject*)obj1836;
  uo1905->data[6] = emptyclosure;
  Method *meth_meth_lexer_poll1905 = addmethod2pos(obj1836, "poll", &meth_lexer_poll1905, 6);
  int argcv_meth_lexer_poll1905[] = {0};
  meth_meth_lexer_poll1905->type = alloc_MethodType(1, argcv_meth_lexer_poll1905);
  meth_meth_lexer_poll1905->definitionModule = modulename;
  meth_meth_lexer_poll1905->definitionLine = 597;
// method size
  struct UserObject *uo1939 = (struct UserObject*)obj1836;
  uo1939->data[7] = emptyclosure;
  Method *meth_meth_lexer_size1939 = addmethod2pos(obj1836, "size", &meth_lexer_size1939, 7);
  int argcv_meth_lexer_size1939[] = {0};
  meth_meth_lexer_size1939->type = alloc_MethodType(1, argcv_meth_lexer_size1939);
  meth_meth_lexer_size1939->definitionModule = modulename;
  meth_meth_lexer_size1939->definitionLine = 609;
// method iter
  struct UserObject *uo1946 = (struct UserObject*)obj1836;
  uo1946->data[8] = emptyclosure;
  Method *meth_meth_lexer_iter1946 = addmethod2pos(obj1836, "iter", &meth_lexer_iter1946, 8);
  int argcv_meth_lexer_iter1946[] = {0};
  meth_meth_lexer_iter1946->type = alloc_MethodType(1, argcv_meth_lexer_iter1946);
  meth_meth_lexer_iter1946->definitionModule = modulename;
  meth_meth_lexer_iter1946->definitionLine = 613;
  Method *meth_meth_lexer_iter1946_object = addmethod2pos(obj1836, "iter()object", &meth_lexer_iter1946_object, 8);
  int argcv_meth_lexer_iter1946_object[] = {0};
  meth_meth_lexer_iter1946_object->type = alloc_MethodType(1, argcv_meth_lexer_iter1946_object);
  meth_meth_lexer_iter1946_object->definitionModule = modulename;
  meth_meth_lexer_iter1946_object->definitionLine = 613;
// method iterator
  struct UserObject *uo1978 = (struct UserObject*)obj1836;
  uo1978->data[9] = emptyclosure;
  Method *meth_meth_lexer_iterator1978 = addmethod2pos(obj1836, "iterator", &meth_lexer_iterator1978, 9);
  int argcv_meth_lexer_iterator1978[] = {0};
  meth_meth_lexer_iterator1978->type = alloc_MethodType(1, argcv_meth_lexer_iterator1978);
  meth_meth_lexer_iterator1978->definitionModule = modulename;
  meth_meth_lexer_iterator1978->definitionLine = 630;
  sourceObject = obj1836;
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1981 = alloc_Boolean(0);
// compiled identifier node returning bool1981 (depth = 4)
  adddatum2(obj1836, bool1981, 1);
  sourceObject = obj1836;
// Begin line 570
  setline(570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1982 = alloc_Boolean(0);
// compiled identifier node returning bool1982 (depth = 4)
  adddatum2(obj1836, bool1982, 2);
  sourceObject = obj1836;
// Begin line 571
  setline(571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num1983 = alloc_Float64(0);
// compiled num node returning num1983 (depth = 4)
  adddatum2(obj1836, num1983, 3);
  sourceObject = obj1836;
  sourceObject = obj1836;
  sourceObject = obj1836;
  sourceObject = obj1836;
  sourceObject = obj1836;
  sourceObject = obj1836;
  objclass1836 = obj1836->class;
  objclass1836->definitionModule = modulename;
  objclass1836->definitionLine = 568;
  (*(struct UserObject *)self).data[0] = lowerouter1836;
  self = oldself1836;
  selfslot = oldselfslot1836;
  stackframe = oldstackframe1836;
// compiled object node returning obj1836 (depth = 3)
  *var_tokens = obj1836;
  if (obj1836 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 636
  setline(636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 635
  setline(635);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1984 == NULL) {
    strlit1984 = alloc_String("d");
    gc_root(strlit1984);
  }
// compiled string node returning strlit1984 (depth = 3)
  *var_mode = strlit1984;
  if (strlit1984 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 636
  setline(636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_mode (depth = 3)
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 638
  setline(638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1985 = alloc_Boolean(0);
// compiled identifier node returning bool1985 (depth = 3)
  *var_inStr = bool1985;
  if (bool1985 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 639
  setline(639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 638
  setline(638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1986 = alloc_Boolean(0);
// compiled identifier node returning bool1986 (depth = 3)
  *var_inBackticks = bool1986;
  if (bool1986 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 640
  setline(640);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 639
  setline(639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1987 = alloc_Boolean(0);
// compiled identifier node returning bool1987 (depth = 3)
  *var_backtickIdent = bool1987;
  if (bool1987 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 641
  setline(641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 640
  setline(640);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1988 == NULL) {
    strlit1988 = alloc_String("");
    gc_root(strlit1988);
  }
// compiled string node returning strlit1988 (depth = 3)
  *var_accum = strlit1988;
  if (strlit1988 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 641
  setline(641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1989 = alloc_Boolean(0);
// compiled identifier node returning bool1989 (depth = 3)
  *var_escaped = bool1989;
  if (bool1989 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num1990 = alloc_Float64(0);
// compiled num node returning num1990 (depth = 3)
  *var_unichars = num1990;
  if (num1990 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 644
  setline(644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num1991 = alloc_Float64(0);
// compiled num node returning num1991 (depth = 3)
  *var_codepoint = num1991;
  if (num1991 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 645
  setline(645);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 644
  setline(644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num1992 = alloc_Float64(0);
// compiled num node returning num1992 (depth = 3)
  *var_interpdepth = num1992;
  if (num1992 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 645
  setline(645);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1993 = alloc_Boolean(0);
// compiled identifier node returning bool1993 (depth = 3)
  *var_interpString = bool1993;
  if (bool1993 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 647
  setline(647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1994 = alloc_Boolean(1);
// compiled identifier node returning bool1994 (depth = 3)
  *var_atStart = bool1994;
  if (bool1994 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 648
  setline(648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 647
  setline(647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1995 = alloc_Boolean(0);
// compiled identifier node returning bool1995 (depth = 3)
  *var_newlineFound = bool1995;
  if (bool1995 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 649
  setline(649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 648
  setline(648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num1996 = alloc_Float64(0);
// compiled num node returning num1996 (depth = 3)
  *var_linePosition = num1996;
  if (num1996 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 2)
// Begin line 649
  setline(649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1998 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit1999 == NULL) {
    strlit1999 = alloc_String("lexing.");
    gc_root(strlit1999);
  }
// compiled string node returning strlit1999 (depth = 3)
  gc_frame_newslot(strlit1999);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = strlit1999;
  partcv[0] = 1;
  Object call2000 = callmethod(*var_util, "log_verbose",
    1, partcv, params);
  gc_frame_end(callframe1998);
// compiled call node returning call2000 (depth = 2)
// Begin line 650
  setline(650);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2001 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit2002 == NULL) {
    strlit2002 = alloc_String("Z");
    gc_root(strlit2002);
  }
// compiled string node returning strlit2002 (depth = 4)
  gc_frame_newslot(strlit2002);
// starting to compile num node (depth = 4)
  Object num2003 = alloc_Float64(9);
// compiled num node returning num2003 (depth = 4)
  gc_frame_newslot(num2003);
// starting to compile num node (depth = 4)
  Object num2004 = alloc_Float64(32);
// compiled num node returning num2004 (depth = 4)
  gc_frame_newslot(num2004);
// starting to compile num node (depth = 4)
  Object num2005 = alloc_Float64(160);
// compiled num node returning num2005 (depth = 4)
  gc_frame_newslot(num2005);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = strlit2002;
  params[1] = num2003;
  params[2] = num2004;
  params[3] = num2005;
  partcv[0] = 2;
  partcv[1] = 2;
  Object call2006 = callmethod(*var_unicode, "pattern()not",
    2, partcv, params);
  gc_frame_end(callframe2001);
// compiled call node returning call2006 (depth = 3)
  *var_badSeparator = call2006;
  if (call2006 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 652
  setline(652);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2007 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit2008 == NULL) {
    strlit2008 = alloc_String("C");
    gc_root(strlit2008);
  }
// compiled string node returning strlit2008 (depth = 4)
  gc_frame_newslot(strlit2008);
// starting to compile num node (depth = 4)
  Object num2009 = alloc_Float64(10);
// compiled num node returning num2009 (depth = 4)
  gc_frame_newslot(num2009);
// starting to compile num node (depth = 4)
  Object num2010 = alloc_Float64(13);
// compiled num node returning num2010 (depth = 4)
  gc_frame_newslot(num2010);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = strlit2008;
  params[1] = num2009;
  params[2] = num2010;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call2011 = callmethod(*var_unicode, "pattern()not",
    2, partcv, params);
  gc_frame_end(callframe2007);
// compiled call node returning call2011 (depth = 3)
  *var_badControl = call2011;
  if (call2011 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 653
  setline(653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2012 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2013 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2014 == NULL) {
    strlit2014 = alloc_String("(");
    gc_root(strlit2014);
  }
// compiled string node returning strlit2014 (depth = 6)
  partcv[0] = 0;
  Object call2015 = callmethod(strlit2014, "ord",
    1, partcv, params);
  gc_frame_end(callframe2013);
// compiled call node returning call2015 (depth = 5)
// compiled member node returning call2015 (depth = 4)
  gc_frame_newslot(call2015);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2016 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2017 == NULL) {
    strlit2017 = alloc_String(")");
    gc_root(strlit2017);
  }
// compiled string node returning strlit2017 (depth = 6)
  partcv[0] = 0;
  Object call2018 = callmethod(strlit2017, "ord",
    1, partcv, params);
  gc_frame_end(callframe2016);
// compiled call node returning call2018 (depth = 5)
// compiled member node returning call2018 (depth = 4)
  gc_frame_newslot(call2018);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2019 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2020 == NULL) {
    strlit2020 = alloc_String(",");
    gc_root(strlit2020);
  }
// compiled string node returning strlit2020 (depth = 6)
  partcv[0] = 0;
  Object call2021 = callmethod(strlit2020, "ord",
    1, partcv, params);
  gc_frame_end(callframe2019);
// compiled call node returning call2021 (depth = 5)
// compiled member node returning call2021 (depth = 4)
  gc_frame_newslot(call2021);
// Begin line 654
  setline(654);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2022 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2023 == NULL) {
    strlit2023 = alloc_String(".");
    gc_root(strlit2023);
  }
// compiled string node returning strlit2023 (depth = 6)
  partcv[0] = 0;
  Object call2024 = callmethod(strlit2023, "ord",
    1, partcv, params);
  gc_frame_end(callframe2022);
// compiled call node returning call2024 (depth = 5)
// compiled member node returning call2024 (depth = 4)
  gc_frame_newslot(call2024);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2025 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2026 == NULL) {
    strlit2026 = alloc_String("{");
    gc_root(strlit2026);
  }
// compiled string node returning strlit2026 (depth = 6)
  partcv[0] = 0;
  Object call2027 = callmethod(strlit2026, "ord",
    1, partcv, params);
  gc_frame_end(callframe2025);
// compiled call node returning call2027 (depth = 5)
// compiled member node returning call2027 (depth = 4)
  gc_frame_newslot(call2027);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2028 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2029 == NULL) {
    strlit2029 = alloc_String("}");
    gc_root(strlit2029);
  }
// compiled string node returning strlit2029 (depth = 6)
  partcv[0] = 0;
  Object call2030 = callmethod(strlit2029, "ord",
    1, partcv, params);
  gc_frame_end(callframe2028);
// compiled call node returning call2030 (depth = 5)
// compiled member node returning call2030 (depth = 4)
  gc_frame_newslot(call2030);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2031 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2032 == NULL) {
    strlit2032 = alloc_String("[");
    gc_root(strlit2032);
  }
// compiled string node returning strlit2032 (depth = 6)
  partcv[0] = 0;
  Object call2033 = callmethod(strlit2032, "ord",
    1, partcv, params);
  gc_frame_end(callframe2031);
// compiled call node returning call2033 (depth = 5)
// compiled member node returning call2033 (depth = 4)
  gc_frame_newslot(call2033);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2034 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2035 == NULL) {
    strlit2035 = alloc_String("]");
    gc_root(strlit2035);
  }
// compiled string node returning strlit2035 (depth = 6)
  partcv[0] = 0;
  Object call2036 = callmethod(strlit2035, "ord",
    1, partcv, params);
  gc_frame_end(callframe2034);
// compiled call node returning call2036 (depth = 5)
// compiled member node returning call2036 (depth = 4)
  gc_frame_newslot(call2036);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2037 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2038 == NULL) {
    strlit2038 = alloc_String(";");
    gc_root(strlit2038);
  }
// compiled string node returning strlit2038 (depth = 6)
  partcv[0] = 0;
  Object call2039 = callmethod(strlit2038, "ord",
    1, partcv, params);
  gc_frame_end(callframe2037);
// compiled call node returning call2039 (depth = 5)
// compiled member node returning call2039 (depth = 4)
  gc_frame_newslot(call2039);
// call case 6: other member request
// Begin line 653
  setline(653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = call2015;
  params[1] = call2018;
  params[2] = call2021;
  params[3] = call2024;
  params[4] = call2027;
  params[5] = call2030;
  params[6] = call2033;
  params[7] = call2036;
  params[8] = call2039;
  partcv[0] = 9;
  Object call2040 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe2012);
// compiled call node returning call2040 (depth = 3)
  *var_selfModes = call2040;
  if (call2040 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 655
  setline(655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2041 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2042 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2043 == NULL) {
    strlit2043 = alloc_String("(");
    gc_root(strlit2043);
  }
// compiled string node returning strlit2043 (depth = 6)
  partcv[0] = 0;
  Object call2044 = callmethod(strlit2043, "ord",
    1, partcv, params);
  gc_frame_end(callframe2042);
// compiled call node returning call2044 (depth = 5)
// compiled member node returning call2044 (depth = 4)
  gc_frame_newslot(call2044);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2045 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2046 == NULL) {
    strlit2046 = alloc_String(")");
    gc_root(strlit2046);
  }
// compiled string node returning strlit2046 (depth = 6)
  partcv[0] = 0;
  Object call2047 = callmethod(strlit2046, "ord",
    1, partcv, params);
  gc_frame_end(callframe2045);
// compiled call node returning call2047 (depth = 5)
// compiled member node returning call2047 (depth = 4)
  gc_frame_newslot(call2047);
// Begin line 656
  setline(656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2048 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2049 == NULL) {
    strlit2049 = alloc_String("{");
    gc_root(strlit2049);
  }
// compiled string node returning strlit2049 (depth = 6)
  partcv[0] = 0;
  Object call2050 = callmethod(strlit2049, "ord",
    1, partcv, params);
  gc_frame_end(callframe2048);
// compiled call node returning call2050 (depth = 5)
// compiled member node returning call2050 (depth = 4)
  gc_frame_newslot(call2050);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2051 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2052 == NULL) {
    strlit2052 = alloc_String("}");
    gc_root(strlit2052);
  }
// compiled string node returning strlit2052 (depth = 6)
  partcv[0] = 0;
  Object call2053 = callmethod(strlit2052, "ord",
    1, partcv, params);
  gc_frame_end(callframe2051);
// compiled call node returning call2053 (depth = 5)
// compiled member node returning call2053 (depth = 4)
  gc_frame_newslot(call2053);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2054 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2055 == NULL) {
    strlit2055 = alloc_String("[");
    gc_root(strlit2055);
  }
// compiled string node returning strlit2055 (depth = 6)
  partcv[0] = 0;
  Object call2056 = callmethod(strlit2055, "ord",
    1, partcv, params);
  gc_frame_end(callframe2054);
// compiled call node returning call2056 (depth = 5)
// compiled member node returning call2056 (depth = 4)
  gc_frame_newslot(call2056);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2057 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2058 == NULL) {
    strlit2058 = alloc_String("]");
    gc_root(strlit2058);
  }
// compiled string node returning strlit2058 (depth = 6)
  partcv[0] = 0;
  Object call2059 = callmethod(strlit2058, "ord",
    1, partcv, params);
  gc_frame_end(callframe2057);
// compiled call node returning call2059 (depth = 5)
// compiled member node returning call2059 (depth = 4)
  gc_frame_newslot(call2059);
// call case 6: other member request
// Begin line 655
  setline(655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = call2044;
  params[1] = call2047;
  params[2] = call2050;
  params[3] = call2053;
  params[4] = call2056;
  params[5] = call2059;
  partcv[0] = 6;
  Object call2060 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe2041);
// compiled call node returning call2060 (depth = 3)
  *var_brackets = call2060;
  if (call2060 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2061 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit2062 == NULL) {
    strlit2062 = alloc_String("L");
    gc_root(strlit2062);
  }
// compiled string node returning strlit2062 (depth = 4)
  gc_frame_newslot(strlit2062);
// starting to compile string node (depth = 4)
  if (strlit2063 == NULL) {
    strlit2063 = alloc_String("N");
    gc_root(strlit2063);
  }
// compiled string node returning strlit2063 (depth = 4)
  gc_frame_newslot(strlit2063);
// starting to compile num node (depth = 4)
  Object num2064 = alloc_Float64(95);
// compiled num node returning num2064 (depth = 4)
  gc_frame_newslot(num2064);
// starting to compile num node (depth = 4)
  Object num2065 = alloc_Float64(39);
// compiled num node returning num2065 (depth = 4)
  gc_frame_newslot(num2065);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = strlit2062;
  params[1] = strlit2063;
  params[2] = num2064;
  params[3] = num2065;
  partcv[0] = 4;
  Object call2066 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe2061);
// compiled call node returning call2066 (depth = 3)
  *var_identifierChar = call2066;
  if (call2066 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 658
  setline(658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2067 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2068 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2069 == NULL) {
    strlit2069 = alloc_String("0");
    gc_root(strlit2069);
  }
// compiled string node returning strlit2069 (depth = 6)
  partcv[0] = 0;
  Object call2070 = callmethod(strlit2069, "ord",
    1, partcv, params);
  gc_frame_end(callframe2068);
// compiled call node returning call2070 (depth = 5)
// compiled member node returning call2070 (depth = 4)
  gc_frame_newslot(call2070);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2071 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2072 == NULL) {
    strlit2072 = alloc_String("1");
    gc_root(strlit2072);
  }
// compiled string node returning strlit2072 (depth = 6)
  partcv[0] = 0;
  Object call2073 = callmethod(strlit2072, "ord",
    1, partcv, params);
  gc_frame_end(callframe2071);
// compiled call node returning call2073 (depth = 5)
// compiled member node returning call2073 (depth = 4)
  gc_frame_newslot(call2073);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2074 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2075 == NULL) {
    strlit2075 = alloc_String("2");
    gc_root(strlit2075);
  }
// compiled string node returning strlit2075 (depth = 6)
  partcv[0] = 0;
  Object call2076 = callmethod(strlit2075, "ord",
    1, partcv, params);
  gc_frame_end(callframe2074);
// compiled call node returning call2076 (depth = 5)
// compiled member node returning call2076 (depth = 4)
  gc_frame_newslot(call2076);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2077 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2078 == NULL) {
    strlit2078 = alloc_String("3");
    gc_root(strlit2078);
  }
// compiled string node returning strlit2078 (depth = 6)
  partcv[0] = 0;
  Object call2079 = callmethod(strlit2078, "ord",
    1, partcv, params);
  gc_frame_end(callframe2077);
// compiled call node returning call2079 (depth = 5)
// compiled member node returning call2079 (depth = 4)
  gc_frame_newslot(call2079);
// Begin line 659
  setline(659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2080 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2081 == NULL) {
    strlit2081 = alloc_String("4");
    gc_root(strlit2081);
  }
// compiled string node returning strlit2081 (depth = 6)
  partcv[0] = 0;
  Object call2082 = callmethod(strlit2081, "ord",
    1, partcv, params);
  gc_frame_end(callframe2080);
// compiled call node returning call2082 (depth = 5)
// compiled member node returning call2082 (depth = 4)
  gc_frame_newslot(call2082);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2083 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2084 == NULL) {
    strlit2084 = alloc_String("5");
    gc_root(strlit2084);
  }
// compiled string node returning strlit2084 (depth = 6)
  partcv[0] = 0;
  Object call2085 = callmethod(strlit2084, "ord",
    1, partcv, params);
  gc_frame_end(callframe2083);
// compiled call node returning call2085 (depth = 5)
// compiled member node returning call2085 (depth = 4)
  gc_frame_newslot(call2085);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2086 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2087 == NULL) {
    strlit2087 = alloc_String("6");
    gc_root(strlit2087);
  }
// compiled string node returning strlit2087 (depth = 6)
  partcv[0] = 0;
  Object call2088 = callmethod(strlit2087, "ord",
    1, partcv, params);
  gc_frame_end(callframe2086);
// compiled call node returning call2088 (depth = 5)
// compiled member node returning call2088 (depth = 4)
  gc_frame_newslot(call2088);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2089 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2090 == NULL) {
    strlit2090 = alloc_String("7");
    gc_root(strlit2090);
  }
// compiled string node returning strlit2090 (depth = 6)
  partcv[0] = 0;
  Object call2091 = callmethod(strlit2090, "ord",
    1, partcv, params);
  gc_frame_end(callframe2089);
// compiled call node returning call2091 (depth = 5)
// compiled member node returning call2091 (depth = 4)
  gc_frame_newslot(call2091);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2092 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2093 == NULL) {
    strlit2093 = alloc_String("8");
    gc_root(strlit2093);
  }
// compiled string node returning strlit2093 (depth = 6)
  partcv[0] = 0;
  Object call2094 = callmethod(strlit2093, "ord",
    1, partcv, params);
  gc_frame_end(callframe2092);
// compiled call node returning call2094 (depth = 5)
// compiled member node returning call2094 (depth = 4)
  gc_frame_newslot(call2094);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2095 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2096 == NULL) {
    strlit2096 = alloc_String("9");
    gc_root(strlit2096);
  }
// compiled string node returning strlit2096 (depth = 6)
  partcv[0] = 0;
  Object call2097 = callmethod(strlit2096, "ord",
    1, partcv, params);
  gc_frame_end(callframe2095);
// compiled call node returning call2097 (depth = 5)
// compiled member node returning call2097 (depth = 4)
  gc_frame_newslot(call2097);
// call case 6: other member request
// Begin line 658
  setline(658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = call2070;
  params[1] = call2073;
  params[2] = call2076;
  params[3] = call2079;
  params[4] = call2082;
  params[5] = call2085;
  params[6] = call2088;
  params[7] = call2091;
  params[8] = call2094;
  params[9] = call2097;
  partcv[0] = 10;
  Object call2098 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe2067);
// compiled call node returning call2098 (depth = 3)
  *var_digit = call2098;
  if (call2098 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 660
  setline(660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2099 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit2100 == NULL) {
    strlit2100 = alloc_String("Sm");
    gc_root(strlit2100);
  }
// compiled string node returning strlit2100 (depth = 4)
  gc_frame_newslot(strlit2100);
// starting to compile string node (depth = 4)
  if (strlit2101 == NULL) {
    strlit2101 = alloc_String("So");
    gc_root(strlit2101);
  }
// compiled string node returning strlit2101 (depth = 4)
  gc_frame_newslot(strlit2101);
// Begin line 661
  setline(661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2102 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2103 == NULL) {
    strlit2103 = alloc_String("-");
    gc_root(strlit2103);
  }
// compiled string node returning strlit2103 (depth = 6)
  partcv[0] = 0;
  Object call2104 = callmethod(strlit2103, "ord",
    1, partcv, params);
  gc_frame_end(callframe2102);
// compiled call node returning call2104 (depth = 5)
// compiled member node returning call2104 (depth = 4)
  gc_frame_newslot(call2104);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2105 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2106 == NULL) {
    strlit2106 = alloc_String("&");
    gc_root(strlit2106);
  }
// compiled string node returning strlit2106 (depth = 6)
  partcv[0] = 0;
  Object call2107 = callmethod(strlit2106, "ord",
    1, partcv, params);
  gc_frame_end(callframe2105);
// compiled call node returning call2107 (depth = 5)
// compiled member node returning call2107 (depth = 4)
  gc_frame_newslot(call2107);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2108 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2109 == NULL) {
    strlit2109 = alloc_String("|");
    gc_root(strlit2109);
  }
// compiled string node returning strlit2109 (depth = 6)
  partcv[0] = 0;
  Object call2110 = callmethod(strlit2109, "ord",
    1, partcv, params);
  gc_frame_end(callframe2108);
// compiled call node returning call2110 (depth = 5)
// compiled member node returning call2110 (depth = 4)
  gc_frame_newslot(call2110);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2111 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2112 == NULL) {
    strlit2112 = alloc_String(":");
    gc_root(strlit2112);
  }
// compiled string node returning strlit2112 (depth = 6)
  partcv[0] = 0;
  Object call2113 = callmethod(strlit2112, "ord",
    1, partcv, params);
  gc_frame_end(callframe2111);
// compiled call node returning call2113 (depth = 5)
// compiled member node returning call2113 (depth = 4)
  gc_frame_newslot(call2113);
// Begin line 662
  setline(662);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2114 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2115 == NULL) {
    strlit2115 = alloc_String("%");
    gc_root(strlit2115);
  }
// compiled string node returning strlit2115 (depth = 6)
  partcv[0] = 0;
  Object call2116 = callmethod(strlit2115, "ord",
    1, partcv, params);
  gc_frame_end(callframe2114);
// compiled call node returning call2116 (depth = 5)
// compiled member node returning call2116 (depth = 4)
  gc_frame_newslot(call2116);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2117 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2118 == NULL) {
    strlit2118 = alloc_String("^");
    gc_root(strlit2118);
  }
// compiled string node returning strlit2118 (depth = 6)
  partcv[0] = 0;
  Object call2119 = callmethod(strlit2118, "ord",
    1, partcv, params);
  gc_frame_end(callframe2117);
// compiled call node returning call2119 (depth = 5)
// compiled member node returning call2119 (depth = 4)
  gc_frame_newslot(call2119);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2120 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2121 == NULL) {
    strlit2121 = alloc_String("@");
    gc_root(strlit2121);
  }
// compiled string node returning strlit2121 (depth = 6)
  partcv[0] = 0;
  Object call2122 = callmethod(strlit2121, "ord",
    1, partcv, params);
  gc_frame_end(callframe2120);
// compiled call node returning call2122 (depth = 5)
// compiled member node returning call2122 (depth = 4)
  gc_frame_newslot(call2122);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2123 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2124 == NULL) {
    strlit2124 = alloc_String("?");
    gc_root(strlit2124);
  }
// compiled string node returning strlit2124 (depth = 6)
  partcv[0] = 0;
  Object call2125 = callmethod(strlit2124, "ord",
    1, partcv, params);
  gc_frame_end(callframe2123);
// compiled call node returning call2125 (depth = 5)
// compiled member node returning call2125 (depth = 4)
  gc_frame_newslot(call2125);
// Begin line 663
  setline(663);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2126 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2127 == NULL) {
    strlit2127 = alloc_String("*");
    gc_root(strlit2127);
  }
// compiled string node returning strlit2127 (depth = 6)
  partcv[0] = 0;
  Object call2128 = callmethod(strlit2127, "ord",
    1, partcv, params);
  gc_frame_end(callframe2126);
// compiled call node returning call2128 (depth = 5)
// compiled member node returning call2128 (depth = 4)
  gc_frame_newslot(call2128);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2129 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2130 == NULL) {
    strlit2130 = alloc_String("/");
    gc_root(strlit2130);
  }
// compiled string node returning strlit2130 (depth = 6)
  partcv[0] = 0;
  Object call2131 = callmethod(strlit2130, "ord",
    1, partcv, params);
  gc_frame_end(callframe2129);
// compiled call node returning call2131 (depth = 5)
// compiled member node returning call2131 (depth = 4)
  gc_frame_newslot(call2131);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2132 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2133 == NULL) {
    strlit2133 = alloc_String("+");
    gc_root(strlit2133);
  }
// compiled string node returning strlit2133 (depth = 6)
  partcv[0] = 0;
  Object call2134 = callmethod(strlit2133, "ord",
    1, partcv, params);
  gc_frame_end(callframe2132);
// compiled call node returning call2134 (depth = 5)
// compiled member node returning call2134 (depth = 4)
  gc_frame_newslot(call2134);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2135 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2136 == NULL) {
    strlit2136 = alloc_String("!");
    gc_root(strlit2136);
  }
// compiled string node returning strlit2136 (depth = 6)
  partcv[0] = 0;
  Object call2137 = callmethod(strlit2136, "ord",
    1, partcv, params);
  gc_frame_end(callframe2135);
// compiled call node returning call2137 (depth = 5)
// compiled member node returning call2137 (depth = 4)
  gc_frame_newslot(call2137);
// call case 6: other member request
// Begin line 660
  setline(660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = strlit2100;
  params[1] = strlit2101;
  params[2] = call2104;
  params[3] = call2107;
  params[4] = call2110;
  params[5] = call2113;
  params[6] = call2116;
  params[7] = call2119;
  params[8] = call2122;
  params[9] = call2125;
  params[10] = call2128;
  params[11] = call2131;
  params[12] = call2134;
  params[13] = call2137;
  partcv[0] = 14;
  Object call2138 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe2099);
// compiled call node returning call2138 (depth = 3)
  *var_operatorChar = call2138;
  if (call2138 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2139 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2140 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2141 == NULL) {
    strlit2141 = alloc_String("i");
    gc_root(strlit2141);
  }
// compiled string node returning strlit2141 (depth = 6)
  partcv[0] = 0;
  Object call2142 = callmethod(strlit2141, "ord",
    1, partcv, params);
  gc_frame_end(callframe2140);
// compiled call node returning call2142 (depth = 5)
// compiled member node returning call2142 (depth = 4)
  gc_frame_newslot(call2142);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2143 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2144 == NULL) {
    strlit2144 = alloc_String("<");
    gc_root(strlit2144);
  }
// compiled string node returning strlit2144 (depth = 6)
  partcv[0] = 0;
  Object call2145 = callmethod(strlit2144, "ord",
    1, partcv, params);
  gc_frame_end(callframe2143);
// compiled call node returning call2145 (depth = 5)
// compiled member node returning call2145 (depth = 4)
  gc_frame_newslot(call2145);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2146 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2147 == NULL) {
    strlit2147 = alloc_String(">");
    gc_root(strlit2147);
  }
// compiled string node returning strlit2147 (depth = 6)
  partcv[0] = 0;
  Object call2148 = callmethod(strlit2147, "ord",
    1, partcv, params);
  gc_frame_end(callframe2146);
// compiled call node returning call2148 (depth = 5)
// compiled member node returning call2148 (depth = 4)
  gc_frame_newslot(call2148);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = call2142;
  params[1] = call2145;
  params[2] = call2148;
  partcv[0] = 3;
  Object call2149 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe2139);
// compiled call node returning call2149 (depth = 3)
  *var_iGTLT = call2149;
  if (call2149 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 666
  setline(666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile block node (depth = 3)
  Object block2150 = alloc_Block(NULL, NULL, "lexer", 666);
  gc_frame_newslot(block2150);
// method _apply
  block_savedest(block2150);
  Object closure2151 = createclosure(29, "_apply");
  setclosureframe(closure2151, stackframe);
  addtoclosure(closure2151, var_mode);
  addtoclosure(closure2151, var_badSeparator);
  addtoclosure(closure2151, var_errormessages);
  addtoclosure(closure2151, var_linePosition);
  addtoclosure(closure2151, var_lineNumber);
  addtoclosure(closure2151, var_inStr);
  addtoclosure(closure2151, var_unicode);
  addtoclosure(closure2151, var_badControl);
  addtoclosure(closure2151, var_atStart);
  addtoclosure(closure2151, var_newmode);
  addtoclosure(closure2151, var_stringStart);
  addtoclosure(closure2151, var_startLine);
  addtoclosure(closure2151, var_identifierChar);
  addtoclosure(closure2151, var_digit);
  addtoclosure(closure2151, var_iGTLT);
  addtoclosure(closure2151, var_tokens);
  addtoclosure(closure2151, var_accum);
  addtoclosure(closure2151, var_operatorChar);
  addtoclosure(closure2151, var_selfModes);
  addtoclosure(closure2151, var_util);
  addtoclosure(closure2151, var_escaped);
  addtoclosure(closure2151, var_interpString);
  addtoclosure(closure2151, var_interpdepth);
  addtoclosure(closure2151, var_brackets);
  addtoclosure(closure2151, var_unichars);
  addtoclosure(closure2151, var_codepoint);
  addtoclosure(closure2151, var_newlineFound);
  addtoclosure(closure2151, var_startPosition);
  addtoclosure(closure2151, selfslot);
  struct UserObject *uo2151 = (struct UserObject*)block2150;
  uo2151->data[0] = (Object)closure2151;
  Method *meth_meth_lexer__apply2151 = addmethod2pos(block2150, "_apply", &meth_lexer__apply2151, 0);
  int argcv_meth_lexer__apply2151[] = {1};
  meth_meth_lexer__apply2151->type = alloc_MethodType(1, argcv_meth_lexer__apply2151);
  meth_meth_lexer__apply2151->definitionModule = modulename;
  meth_meth_lexer__apply2151->definitionLine = 665;
// compiled block node returning block2150 (depth = 3)
  *var_mainBlock = block2150;
  if (block2150 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1084
  setline(1084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3438 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_inputLines (depth = 3)
  gc_frame_newslot(*var_inputLines);
// starting to compile block node (depth = 3)
  Object block3439 = alloc_Block(NULL, NULL, "lexer", 1084);
  gc_frame_newslot(block3439);
// method _apply
  block_savedest(block3439);
  Object closure3440 = createclosure(4, "_apply");
  setclosureframe(closure3440, stackframe);
  addtoclosure(closure3440, var_linePosition);
  addtoclosure(closure3440, var_mode);
  addtoclosure(closure3440, var_mainBlock);
  addtoclosure(closure3440, selfslot);
  struct UserObject *uo3440 = (struct UserObject*)block3439;
  uo3440->data[0] = (Object)closure3440;
  Method *meth_meth_lexer__apply3440 = addmethod2pos(block3439, "_apply", &meth_lexer__apply3440, 0);
  int argcv_meth_lexer__apply3440[] = {1};
  meth_meth_lexer__apply3440->type = alloc_MethodType(1, argcv_meth_lexer__apply3440);
  meth_meth_lexer__apply3440->definitionModule = modulename;
  meth_meth_lexer__apply3440->definitionLine = 1035;
// compiled block node returning block3439 (depth = 3)
  gc_frame_newslot(block3439);
// call case 5: prelude request
  params[0] = *var_inputLines;
  params[1] = block3439;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3474 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3438);
// compiled call node returning call3474 (depth = 2)
// Begin line 1101
  setline(1101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// starting to compile op node (depth = 3)
// Begin line 1100
  setline(1100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num3476 = alloc_Float64(1);
// compiled num node returning num3476 (depth = 4)
  int op_slot_right_3475 = gc_frame_newslot(num3476);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_linePosition (depth = 4)
  int op_slot_left_3475 = gc_frame_newslot(*var_linePosition);
  params[0] = num3476;
  partcv[0] = 1;
  Object sum3478 = callmethod(*var_linePosition, "+", 1, partcv, params);
// compiled op node returning sum3478 (depth = 3)
  *var_linePosition = sum3478;
  if (sum3478 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 2)
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1101
  setline(1101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_inStr (depth = 3)
  Object if3480 = done;
  if (istrue(*var_inStr)) {
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1102
  setline(1102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3483 == NULL) {
    strlit3483 = alloc_String("""\x22""");
    gc_root(strlit3483);
  }
// compiled string node returning strlit3483 (depth = 5)
  int op_slot_right_3482 = gc_frame_newslot(strlit3483);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_mode (depth = 5)
  int op_slot_left_3482 = gc_frame_newslot(*var_mode);
  params[0] = strlit3483;
  partcv[0] = 1;
  Object opresult3485 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult3485 (depth = 4)
  Object if3481 = done;
  if (istrue(opresult3485)) {
// Begin line 1104
  setline(1104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1103
  setline(1103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3486 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3487 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call3488 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3487);
// compiled call node returning call3488 (depth = 8)
// compiled member node returning call3488 (depth = 7)
  partcv[0] = 0;
  Object call3489 = callmethod(call3488, "new",
    1, partcv, params);
  gc_frame_end(callframe3486);
// compiled call node returning call3489 (depth = 6)
// compiled member node returning call3489 (depth = 5)
  *var_suggestion = call3489;
  if (call3489 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1104
  setline(1104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3490 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lineNumber (depth = 5)
  gc_frame_newslot(*var_lineNumber);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3492 == NULL) {
    strlit3492 = alloc_String("""\x22""");
    gc_root(strlit3492);
  }
// compiled string node returning strlit3492 (depth = 6)
  int op_slot_right_3491 = gc_frame_newslot(strlit3492);
// starting to compile call node (depth = 6)
  int callframe3494 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lineNumber (depth = 7)
  gc_frame_newslot(*var_lineNumber);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3495 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_util (depth = 9)
  partcv[0] = 0;
  Object call3496 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe3495);
// compiled call node returning call3496 (depth = 8)
// compiled member node returning call3496 (depth = 7)
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call3497 = callmethod(call3496, "at",
    1, partcv, params);
  gc_frame_end(callframe3494);
// compiled call node returning call3497 (depth = 6)
  int op_slot_left_3491 = gc_frame_newslot(call3497);
  params[0] = strlit3492;
  partcv[0] = 1;
  Object opresult3498 = callmethod(call3497, "++", 1, partcv, params);
// compiled op node returning opresult3498 (depth = 5)
  gc_frame_newslot(opresult3498);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = *var_lineNumber;
  params[1] = opresult3498;
  partcv[0] = 2;
  Object call3499 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3490);
// compiled call node returning call3499 (depth = 4)
// Begin line 1105
  setline(1105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3500 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3501 == NULL) {
    strlit3501 = alloc_String("A string must end with a '""\x22""'.");
    gc_root(strlit3501);
  }
// compiled string node returning strlit3501 (depth = 5)
  gc_frame_newslot(strlit3501);
// Begin line 1106
  setline(1106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lineNumber (depth = 5)
  gc_frame_newslot(*var_lineNumber);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_linePosition (depth = 5)
  gc_frame_newslot(*var_linePosition);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1105
  setline(1105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit3501;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3502 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3500);
// compiled call node returning call3502 (depth = 4)
    gc_frame_newslot(call3502);
    if3481 = call3502;
  } else {
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1107
  setline(1107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3505 == NULL) {
    strlit3505 = alloc_String("q");
    gc_root(strlit3505);
  }
// compiled string node returning strlit3505 (depth = 6)
  int op_slot_right_3504 = gc_frame_newslot(strlit3505);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_mode (depth = 6)
  int op_slot_left_3504 = gc_frame_newslot(*var_mode);
  params[0] = strlit3505;
  partcv[0] = 1;
  Object opresult3507 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult3507 (depth = 5)
  Object if3503 = done;
  if (istrue(opresult3507)) {
// Begin line 1108
  setline(1108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3508 = gc_frame_new();
// Begin line 1109
  setline(1109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3511 == NULL) {
    strlit3511 = alloc_String(" and unclosed at end of input.");
    gc_root(strlit3511);
  }
// compiled string node returning strlit3511 (depth = 8)
  int op_slot_right_3510 = gc_frame_newslot(strlit3511);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_startLine (depth = 9)
  int op_slot_right_3513 = gc_frame_newslot(*var_startLine);
// starting to compile string node (depth = 9)
  if (strlit3515 == NULL) {
    strlit3515 = alloc_String("String opened on line ");
    gc_root(strlit3515);
  }
// compiled string node returning strlit3515 (depth = 9)
  int op_slot_left_3513 = gc_frame_newslot(strlit3515);
  params[0] = *var_startLine;
  partcv[0] = 1;
  Object opresult3516 = callmethod(strlit3515, "++", 1, partcv, params);
// compiled op node returning opresult3516 (depth = 8)
  int op_slot_left_3510 = gc_frame_newslot(opresult3516);
  params[0] = strlit3511;
  partcv[0] = 1;
  Object opresult3517 = callmethod(opresult3516, "++", 1, partcv, params);
// compiled op node returning opresult3517 (depth = 7)
  int op_slot_right_3509 = gc_frame_newslot(opresult3517);
// Begin line 1108
  setline(1108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit3519 == NULL) {
    strlit3519 = alloc_String("A multi-line string must end with a '""\xe2""""\x80""""\xba""'.""\x0a""");
    gc_root(strlit3519);
  }
// compiled string node returning strlit3519 (depth = 7)
  int op_slot_left_3509 = gc_frame_newslot(strlit3519);
  params[0] = opresult3517;
  partcv[0] = 1;
  Object opresult3520 = callmethod(strlit3519, "++", 1, partcv, params);
// compiled op node returning opresult3520 (depth = 6)
  gc_frame_newslot(opresult3520);
// Begin line 1110
  setline(1110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_startLine (depth = 6)
  gc_frame_newslot(*var_startLine);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_stringStart (depth = 6)
  gc_frame_newslot(*var_stringStart);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3521 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 8)
  int callframe3522 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_startLine (depth = 9)
  gc_frame_newslot(*var_startLine);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3523 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_util (depth = 11)
  partcv[0] = 0;
  Object call3524 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe3523);
// compiled call node returning call3524 (depth = 10)
// compiled member node returning call3524 (depth = 9)
  params[0] = *var_startLine;
  partcv[0] = 1;
  Object call3525 = callmethod(call3524, "at",
    1, partcv, params);
  gc_frame_end(callframe3522);
// compiled call node returning call3525 (depth = 8)
  partcv[0] = 0;
  Object call3526 = callmethod(call3525, "size",
    1, partcv, params);
  gc_frame_end(callframe3521);
// compiled call node returning call3526 (depth = 7)
// compiled member node returning call3526 (depth = 6)
  gc_frame_newslot(call3526);
// call case 6: other member request
// Begin line 1108
  setline(1108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult3520;
  params[1] = *var_startLine;
  params[2] = *var_stringStart;
  params[3] = call3526;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call3527 = callmethod(*var_errormessages, "syntaxError()atRange",
    2, partcv, params);
  gc_frame_end(callframe3508);
// compiled call node returning call3527 (depth = 5)
    gc_frame_newslot(call3527);
    if3503 = call3527;
  } else {
  }
// compiled if node returning if3503 (depth = 4)
    gc_frame_newslot(if3503);
    if3481 = if3503;
  }
// compiled if node returning if3481 (depth = 3)
    gc_frame_newslot(if3481);
    if3480 = if3481;
  } else {
  }
// compiled if node returning if3480 (depth = 2)
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3528 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tokens (depth = 3)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_mode (depth = 3)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_accum (depth = 3)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call3529 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3528);
// compiled call node returning call3529 (depth = 2)
// Begin line 1114
  setline(1114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_tokens (depth = 2)
  gc_frame_end(frame);
  return *var_tokens;
}
Object meth_lexer_new24(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(29, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_unicode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_lineNumber = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "lineNumber");
  Object *var_linePosition = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "linePosition");
  Object *var_startPosition = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "startPosition");
  Object *var_indentLevel = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "indentLevel");
  Object *var_startLine = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "startLine");
  Object *var_stringStart = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "stringStart");
  Object *var_Token = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "Token");
  Object *var_IdentifierToken = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "IdentifierToken");
  Object *var_StringToken = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "StringToken");
  Object *var_MultiLineStringToken = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "MultiLineStringToken");
  Object *var_CommentToken = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "CommentToken");
  Object *var_LBraceToken = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "LBraceToken");
  Object *var_RBraceToken = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "RBraceToken");
  Object *var_LParenToken = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "LParenToken");
  Object *var_RParenToken = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "RParenToken");
  Object *var_LSquareToken = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "LSquareToken");
  Object *var_RSquareToken = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "RSquareToken");
  Object *var_CommaToken = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "CommaToken");
  Object *var_ColonToken = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "ColonToken");
  Object *var_DotToken = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "DotToken");
  Object *var_NumToken = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "NumToken");
  Object *var_KeywordToken = &(stackframe->slots[22]);
  setframeelementname(stackframe, 22, "KeywordToken");
  Object *var_OpToken = &(stackframe->slots[23]);
  setframeelementname(stackframe, 23, "OpToken");
  Object *var_ArrowToken = &(stackframe->slots[24]);
  setframeelementname(stackframe, 24, "ArrowToken");
  Object *var_BindToken = &(stackframe->slots[25]);
  setframeelementname(stackframe, 25, "BindToken");
  Object *var_SemicolonToken = &(stackframe->slots[26]);
  setframeelementname(stackframe, 26, "SemicolonToken");
  Object *var_LGenericToken = &(stackframe->slots[27]);
  setframeelementname(stackframe, 27, "LGenericToken");
  Object *var_RGenericToken = &(stackframe->slots[28]);
  setframeelementname(stackframe, 28, "RGenericToken");
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num25 = alloc_Float64(1);
// compiled num node returning num25 (depth = 3)
  *var_lineNumber = num25;
  if (num25 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num26 = alloc_Float64(0);
// compiled num node returning num26 (depth = 3)
  *var_linePosition = num26;
  if (num26 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num27 = alloc_Float64(1);
// compiled num node returning num27 (depth = 3)
  *var_startPosition = num27;
  if (num27 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num28 = alloc_Float64(0);
// compiled num node returning num28 (depth = 3)
  *var_indentLevel = num28;
  if (num28 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num29 = alloc_Float64(1);
// compiled num node returning num29 (depth = 3)
  *var_startLine = num29;
  if (num29 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_stringStart = undefined;
// compiled vardec node returning done (depth = 2)
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject30 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj30 = alloc_userobj2(2,4, objclass30);
  gc_frame_newslot(obj30);
// OBJECT OUTER DEC outer
  adddatum2(obj30, self, 0);
  addmethodreal(obj30,"outer", &reader_lexer_outer_31);
  Object oldself30 = self;
  struct StackFrameObject *oldstackframe30 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe30);
  gc_frame_newslot((Object)stackframe);
  self = obj30;
  Object *oldselfslot30 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter30 = (*(struct UserObject *)self).data[0], lowerouter30 = thisouter30;
  if (inheritingObject30) {
    struct UserObject *inho30 = (struct UserObject *)inheritingObject30;
    while (inho30->super != GraceDefaultObject) inho30 = (struct UserObject *)inho30->super;
    inho30->super = obj30;
    self = inheritingObject30;
    *selfslot = self;
    lowerouter30 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter30;
  }
// method new
  block_savedest(obj30);
  Object closure32 = createclosure(3, "new");
  setclosureframe(closure32, stackframe);
  addtoclosure(closure32, var_lineNumber);
  addtoclosure(closure32, var_indentLevel);
  addtoclosure(closure32, var_startPosition);
  struct UserObject *uo32 = (struct UserObject*)obj30;
  uo32->data[1] = (Object)closure32;
  Method *meth_meth_lexer_new32 = addmethod2pos(obj30, "new", &meth_lexer_new32, 1);
  int argcv_meth_lexer_new32[] = {0};
  meth_meth_lexer_new32->type = alloc_MethodType(1, argcv_meth_lexer_new32);
  meth_meth_lexer_new32->definitionModule = modulename;
  meth_meth_lexer_new32->definitionLine = 28;
  block_savedest(obj30);
  Object closure66 = createclosure(3, "new()object");
  setclosureframe(closure66, stackframe);
  addtoclosure(closure66, var_lineNumber);
  addtoclosure(closure66, var_indentLevel);
  addtoclosure(closure66, var_startPosition);
  Method *meth_meth_lexer_new32_object = addmethod2pos(obj30, "new()object", &meth_lexer_new32_object, 1);
  meth_meth_lexer_new32_object->definitionModule = modulename;
  meth_meth_lexer_new32_object->definitionLine = 28;
  sourceObject = obj30;
  objclass30 = obj30->class;
  objclass30->definitionModule = modulename;
  objclass30->definitionLine = 28;
  (*(struct UserObject *)self).data[0] = lowerouter30;
  self = oldself30;
  selfslot = oldselfslot30;
  stackframe = oldstackframe30;
// compiled object node returning obj30 (depth = 4)
  *var_Token = obj30;
  if (obj30 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject67 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj67 = alloc_userobj2(2,4, objclass67);
  gc_frame_newslot(obj67);
// OBJECT OUTER DEC outer
  adddatum2(obj67, self, 0);
  addmethodreal(obj67,"outer", &reader_lexer_outer_68);
  Object oldself67 = self;
  struct StackFrameObject *oldstackframe67 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe67);
  gc_frame_newslot((Object)stackframe);
  self = obj67;
  Object *oldselfslot67 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter67 = (*(struct UserObject *)self).data[0], lowerouter67 = thisouter67;
  if (inheritingObject67) {
    struct UserObject *inho67 = (struct UserObject *)inheritingObject67;
    while (inho67->super != GraceDefaultObject) inho67 = (struct UserObject *)inho67->super;
    inho67->super = obj67;
    self = inheritingObject67;
    *selfslot = self;
    lowerouter67 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter67;
  }
// method new
  block_savedest(obj67);
  Object closure69 = createclosure(1, "new");
  setclosureframe(closure69, stackframe);
  addtoclosure(closure69, var_Token);
  struct UserObject *uo69 = (struct UserObject*)obj67;
  uo69->data[1] = (Object)closure69;
  Method *meth_meth_lexer_new69 = addmethod2pos(obj67, "new", &meth_lexer_new69, 1);
  int argcv_meth_lexer_new69[] = {1};
  meth_meth_lexer_new69->type = alloc_MethodType(1, argcv_meth_lexer_new69);
  meth_meth_lexer_new69->definitionModule = modulename;
  meth_meth_lexer_new69->definitionLine = 46;
  block_savedest(obj67);
  Object closure80 = createclosure(1, "new()object");
  setclosureframe(closure80, stackframe);
  addtoclosure(closure80, var_Token);
  Method *meth_meth_lexer_new69_object = addmethod2pos(obj67, "new()object", &meth_lexer_new69_object, 1);
  meth_meth_lexer_new69_object->definitionModule = modulename;
  meth_meth_lexer_new69_object->definitionLine = 46;
  sourceObject = obj67;
  objclass67 = obj67->class;
  objclass67->definitionModule = modulename;
  objclass67->definitionLine = 46;
  (*(struct UserObject *)self).data[0] = lowerouter67;
  self = oldself67;
  selfslot = oldselfslot67;
  stackframe = oldstackframe67;
// compiled object node returning obj67 (depth = 4)
  *var_IdentifierToken = obj67;
  if (obj67 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject81 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj81 = alloc_userobj2(2,4, objclass81);
  gc_frame_newslot(obj81);
// OBJECT OUTER DEC outer
  adddatum2(obj81, self, 0);
  addmethodreal(obj81,"outer", &reader_lexer_outer_82);
  Object oldself81 = self;
  struct StackFrameObject *oldstackframe81 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe81);
  gc_frame_newslot((Object)stackframe);
  self = obj81;
  Object *oldselfslot81 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter81 = (*(struct UserObject *)self).data[0], lowerouter81 = thisouter81;
  if (inheritingObject81) {
    struct UserObject *inho81 = (struct UserObject *)inheritingObject81;
    while (inho81->super != GraceDefaultObject) inho81 = (struct UserObject *)inho81->super;
    inho81->super = obj81;
    self = inheritingObject81;
    *selfslot = self;
    lowerouter81 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter81;
  }
// method new
  block_savedest(obj81);
  Object closure83 = createclosure(3, "new");
  setclosureframe(closure83, stackframe);
  addtoclosure(closure83, var_Token);
  addtoclosure(closure83, var_stringStart);
  addtoclosure(closure83, var_linePosition);
  struct UserObject *uo83 = (struct UserObject*)obj81;
  uo83->data[1] = (Object)closure83;
  Method *meth_meth_lexer_new83 = addmethod2pos(obj81, "new", &meth_lexer_new83, 1);
  int argcv_meth_lexer_new83[] = {1};
  meth_meth_lexer_new83->type = alloc_MethodType(1, argcv_meth_lexer_new83);
  meth_meth_lexer_new83->definitionModule = modulename;
  meth_meth_lexer_new83->definitionLine = 52;
  block_savedest(obj81);
  Object closure99 = createclosure(3, "new()object");
  setclosureframe(closure99, stackframe);
  addtoclosure(closure99, var_Token);
  addtoclosure(closure99, var_stringStart);
  addtoclosure(closure99, var_linePosition);
  Method *meth_meth_lexer_new83_object = addmethod2pos(obj81, "new()object", &meth_lexer_new83_object, 1);
  meth_meth_lexer_new83_object->definitionModule = modulename;
  meth_meth_lexer_new83_object->definitionLine = 52;
  sourceObject = obj81;
  objclass81 = obj81->class;
  objclass81->definitionModule = modulename;
  objclass81->definitionLine = 52;
  (*(struct UserObject *)self).data[0] = lowerouter81;
  self = oldself81;
  selfslot = oldselfslot81;
  stackframe = oldstackframe81;
// compiled object node returning obj81 (depth = 4)
  *var_StringToken = obj81;
  if (obj81 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject100 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj100 = alloc_userobj2(2,4, objclass100);
  gc_frame_newslot(obj100);
// OBJECT OUTER DEC outer
  adddatum2(obj100, self, 0);
  addmethodreal(obj100,"outer", &reader_lexer_outer_101);
  Object oldself100 = self;
  struct StackFrameObject *oldstackframe100 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe100);
  gc_frame_newslot((Object)stackframe);
  self = obj100;
  Object *oldselfslot100 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter100 = (*(struct UserObject *)self).data[0], lowerouter100 = thisouter100;
  if (inheritingObject100) {
    struct UserObject *inho100 = (struct UserObject *)inheritingObject100;
    while (inho100->super != GraceDefaultObject) inho100 = (struct UserObject *)inho100->super;
    inho100->super = obj100;
    self = inheritingObject100;
    *selfslot = self;
    lowerouter100 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter100;
  }
// method new
  block_savedest(obj100);
  Object closure102 = createclosure(3, "new");
  setclosureframe(closure102, stackframe);
  addtoclosure(closure102, var_Token);
  addtoclosure(closure102, var_startLine);
  addtoclosure(closure102, var_stringStart);
  struct UserObject *uo102 = (struct UserObject*)obj100;
  uo102->data[1] = (Object)closure102;
  Method *meth_meth_lexer_new102 = addmethod2pos(obj100, "new", &meth_lexer_new102, 1);
  int argcv_meth_lexer_new102[] = {1};
  meth_meth_lexer_new102->type = alloc_MethodType(1, argcv_meth_lexer_new102);
  meth_meth_lexer_new102->definitionModule = modulename;
  meth_meth_lexer_new102->definitionLine = 58;
  block_savedest(obj100);
  Object closure125 = createclosure(3, "new()object");
  setclosureframe(closure125, stackframe);
  addtoclosure(closure125, var_Token);
  addtoclosure(closure125, var_startLine);
  addtoclosure(closure125, var_stringStart);
  Method *meth_meth_lexer_new102_object = addmethod2pos(obj100, "new()object", &meth_lexer_new102_object, 1);
  meth_meth_lexer_new102_object->definitionModule = modulename;
  meth_meth_lexer_new102_object->definitionLine = 58;
  sourceObject = obj100;
  objclass100 = obj100->class;
  objclass100->definitionModule = modulename;
  objclass100->definitionLine = 58;
  (*(struct UserObject *)self).data[0] = lowerouter100;
  self = oldself100;
  selfslot = oldselfslot100;
  stackframe = oldstackframe100;
// compiled object node returning obj100 (depth = 4)
  *var_MultiLineStringToken = obj100;
  if (obj100 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject126 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj126 = alloc_userobj2(2,4, objclass126);
  gc_frame_newslot(obj126);
// OBJECT OUTER DEC outer
  adddatum2(obj126, self, 0);
  addmethodreal(obj126,"outer", &reader_lexer_outer_127);
  Object oldself126 = self;
  struct StackFrameObject *oldstackframe126 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe126);
  gc_frame_newslot((Object)stackframe);
  self = obj126;
  Object *oldselfslot126 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter126 = (*(struct UserObject *)self).data[0], lowerouter126 = thisouter126;
  if (inheritingObject126) {
    struct UserObject *inho126 = (struct UserObject *)inheritingObject126;
    while (inho126->super != GraceDefaultObject) inho126 = (struct UserObject *)inho126->super;
    inho126->super = obj126;
    self = inheritingObject126;
    *selfslot = self;
    lowerouter126 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter126;
  }
// method new
  block_savedest(obj126);
  Object closure128 = createclosure(1, "new");
  setclosureframe(closure128, stackframe);
  addtoclosure(closure128, var_Token);
  struct UserObject *uo128 = (struct UserObject*)obj126;
  uo128->data[1] = (Object)closure128;
  Method *meth_meth_lexer_new128 = addmethod2pos(obj126, "new", &meth_lexer_new128, 1);
  int argcv_meth_lexer_new128[] = {1};
  meth_meth_lexer_new128->type = alloc_MethodType(1, argcv_meth_lexer_new128);
  meth_meth_lexer_new128->definitionModule = modulename;
  meth_meth_lexer_new128->definitionLine = 68;
  block_savedest(obj126);
  Object closure143 = createclosure(1, "new()object");
  setclosureframe(closure143, stackframe);
  addtoclosure(closure143, var_Token);
  Method *meth_meth_lexer_new128_object = addmethod2pos(obj126, "new()object", &meth_lexer_new128_object, 1);
  meth_meth_lexer_new128_object->definitionModule = modulename;
  meth_meth_lexer_new128_object->definitionLine = 68;
  sourceObject = obj126;
  objclass126 = obj126->class;
  objclass126->definitionModule = modulename;
  objclass126->definitionLine = 68;
  (*(struct UserObject *)self).data[0] = lowerouter126;
  self = oldself126;
  selfslot = oldselfslot126;
  stackframe = oldstackframe126;
// compiled object node returning obj126 (depth = 4)
  *var_CommentToken = obj126;
  if (obj126 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject144 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj144 = alloc_userobj2(2,4, objclass144);
  gc_frame_newslot(obj144);
// OBJECT OUTER DEC outer
  adddatum2(obj144, self, 0);
  addmethodreal(obj144,"outer", &reader_lexer_outer_145);
  Object oldself144 = self;
  struct StackFrameObject *oldstackframe144 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe144);
  gc_frame_newslot((Object)stackframe);
  self = obj144;
  Object *oldselfslot144 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter144 = (*(struct UserObject *)self).data[0], lowerouter144 = thisouter144;
  if (inheritingObject144) {
    struct UserObject *inho144 = (struct UserObject *)inheritingObject144;
    while (inho144->super != GraceDefaultObject) inho144 = (struct UserObject *)inho144->super;
    inho144->super = obj144;
    self = inheritingObject144;
    *selfslot = self;
    lowerouter144 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter144;
  }
// method new
  block_savedest(obj144);
  Object closure146 = createclosure(1, "new");
  setclosureframe(closure146, stackframe);
  addtoclosure(closure146, var_Token);
  struct UserObject *uo146 = (struct UserObject*)obj144;
  uo146->data[1] = (Object)closure146;
  Method *meth_meth_lexer_new146 = addmethod2pos(obj144, "new", &meth_lexer_new146, 1);
  int argcv_meth_lexer_new146[] = {0};
  meth_meth_lexer_new146->type = alloc_MethodType(1, argcv_meth_lexer_new146);
  meth_meth_lexer_new146->definitionModule = modulename;
  meth_meth_lexer_new146->definitionLine = 74;
  block_savedest(obj144);
  Object closure157 = createclosure(1, "new()object");
  setclosureframe(closure157, stackframe);
  addtoclosure(closure157, var_Token);
  Method *meth_meth_lexer_new146_object = addmethod2pos(obj144, "new()object", &meth_lexer_new146_object, 1);
  meth_meth_lexer_new146_object->definitionModule = modulename;
  meth_meth_lexer_new146_object->definitionLine = 74;
  sourceObject = obj144;
  objclass144 = obj144->class;
  objclass144->definitionModule = modulename;
  objclass144->definitionLine = 74;
  (*(struct UserObject *)self).data[0] = lowerouter144;
  self = oldself144;
  selfslot = oldselfslot144;
  stackframe = oldstackframe144;
// compiled object node returning obj144 (depth = 4)
  *var_LBraceToken = obj144;
  if (obj144 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject158 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj158 = alloc_userobj2(2,4, objclass158);
  gc_frame_newslot(obj158);
// OBJECT OUTER DEC outer
  adddatum2(obj158, self, 0);
  addmethodreal(obj158,"outer", &reader_lexer_outer_159);
  Object oldself158 = self;
  struct StackFrameObject *oldstackframe158 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe158);
  gc_frame_newslot((Object)stackframe);
  self = obj158;
  Object *oldselfslot158 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter158 = (*(struct UserObject *)self).data[0], lowerouter158 = thisouter158;
  if (inheritingObject158) {
    struct UserObject *inho158 = (struct UserObject *)inheritingObject158;
    while (inho158->super != GraceDefaultObject) inho158 = (struct UserObject *)inho158->super;
    inho158->super = obj158;
    self = inheritingObject158;
    *selfslot = self;
    lowerouter158 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter158;
  }
// method new
  block_savedest(obj158);
  Object closure160 = createclosure(1, "new");
  setclosureframe(closure160, stackframe);
  addtoclosure(closure160, var_Token);
  struct UserObject *uo160 = (struct UserObject*)obj158;
  uo160->data[1] = (Object)closure160;
  Method *meth_meth_lexer_new160 = addmethod2pos(obj158, "new", &meth_lexer_new160, 1);
  int argcv_meth_lexer_new160[] = {0};
  meth_meth_lexer_new160->type = alloc_MethodType(1, argcv_meth_lexer_new160);
  meth_meth_lexer_new160->definitionModule = modulename;
  meth_meth_lexer_new160->definitionLine = 80;
  block_savedest(obj158);
  Object closure171 = createclosure(1, "new()object");
  setclosureframe(closure171, stackframe);
  addtoclosure(closure171, var_Token);
  Method *meth_meth_lexer_new160_object = addmethod2pos(obj158, "new()object", &meth_lexer_new160_object, 1);
  meth_meth_lexer_new160_object->definitionModule = modulename;
  meth_meth_lexer_new160_object->definitionLine = 80;
  sourceObject = obj158;
  objclass158 = obj158->class;
  objclass158->definitionModule = modulename;
  objclass158->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter158;
  self = oldself158;
  selfslot = oldselfslot158;
  stackframe = oldstackframe158;
// compiled object node returning obj158 (depth = 4)
  *var_RBraceToken = obj158;
  if (obj158 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject172 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj172 = alloc_userobj2(2,4, objclass172);
  gc_frame_newslot(obj172);
// OBJECT OUTER DEC outer
  adddatum2(obj172, self, 0);
  addmethodreal(obj172,"outer", &reader_lexer_outer_173);
  Object oldself172 = self;
  struct StackFrameObject *oldstackframe172 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe172);
  gc_frame_newslot((Object)stackframe);
  self = obj172;
  Object *oldselfslot172 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter172 = (*(struct UserObject *)self).data[0], lowerouter172 = thisouter172;
  if (inheritingObject172) {
    struct UserObject *inho172 = (struct UserObject *)inheritingObject172;
    while (inho172->super != GraceDefaultObject) inho172 = (struct UserObject *)inho172->super;
    inho172->super = obj172;
    self = inheritingObject172;
    *selfslot = self;
    lowerouter172 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter172;
  }
// method new
  block_savedest(obj172);
  Object closure174 = createclosure(1, "new");
  setclosureframe(closure174, stackframe);
  addtoclosure(closure174, var_Token);
  struct UserObject *uo174 = (struct UserObject*)obj172;
  uo174->data[1] = (Object)closure174;
  Method *meth_meth_lexer_new174 = addmethod2pos(obj172, "new", &meth_lexer_new174, 1);
  int argcv_meth_lexer_new174[] = {0};
  meth_meth_lexer_new174->type = alloc_MethodType(1, argcv_meth_lexer_new174);
  meth_meth_lexer_new174->definitionModule = modulename;
  meth_meth_lexer_new174->definitionLine = 86;
  block_savedest(obj172);
  Object closure185 = createclosure(1, "new()object");
  setclosureframe(closure185, stackframe);
  addtoclosure(closure185, var_Token);
  Method *meth_meth_lexer_new174_object = addmethod2pos(obj172, "new()object", &meth_lexer_new174_object, 1);
  meth_meth_lexer_new174_object->definitionModule = modulename;
  meth_meth_lexer_new174_object->definitionLine = 86;
  sourceObject = obj172;
  objclass172 = obj172->class;
  objclass172->definitionModule = modulename;
  objclass172->definitionLine = 86;
  (*(struct UserObject *)self).data[0] = lowerouter172;
  self = oldself172;
  selfslot = oldselfslot172;
  stackframe = oldstackframe172;
// compiled object node returning obj172 (depth = 4)
  *var_LParenToken = obj172;
  if (obj172 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject186 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj186 = alloc_userobj2(2,4, objclass186);
  gc_frame_newslot(obj186);
// OBJECT OUTER DEC outer
  adddatum2(obj186, self, 0);
  addmethodreal(obj186,"outer", &reader_lexer_outer_187);
  Object oldself186 = self;
  struct StackFrameObject *oldstackframe186 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe186);
  gc_frame_newslot((Object)stackframe);
  self = obj186;
  Object *oldselfslot186 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter186 = (*(struct UserObject *)self).data[0], lowerouter186 = thisouter186;
  if (inheritingObject186) {
    struct UserObject *inho186 = (struct UserObject *)inheritingObject186;
    while (inho186->super != GraceDefaultObject) inho186 = (struct UserObject *)inho186->super;
    inho186->super = obj186;
    self = inheritingObject186;
    *selfslot = self;
    lowerouter186 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter186;
  }
// method new
  block_savedest(obj186);
  Object closure188 = createclosure(1, "new");
  setclosureframe(closure188, stackframe);
  addtoclosure(closure188, var_Token);
  struct UserObject *uo188 = (struct UserObject*)obj186;
  uo188->data[1] = (Object)closure188;
  Method *meth_meth_lexer_new188 = addmethod2pos(obj186, "new", &meth_lexer_new188, 1);
  int argcv_meth_lexer_new188[] = {0};
  meth_meth_lexer_new188->type = alloc_MethodType(1, argcv_meth_lexer_new188);
  meth_meth_lexer_new188->definitionModule = modulename;
  meth_meth_lexer_new188->definitionLine = 92;
  block_savedest(obj186);
  Object closure199 = createclosure(1, "new()object");
  setclosureframe(closure199, stackframe);
  addtoclosure(closure199, var_Token);
  Method *meth_meth_lexer_new188_object = addmethod2pos(obj186, "new()object", &meth_lexer_new188_object, 1);
  meth_meth_lexer_new188_object->definitionModule = modulename;
  meth_meth_lexer_new188_object->definitionLine = 92;
  sourceObject = obj186;
  objclass186 = obj186->class;
  objclass186->definitionModule = modulename;
  objclass186->definitionLine = 92;
  (*(struct UserObject *)self).data[0] = lowerouter186;
  self = oldself186;
  selfslot = oldselfslot186;
  stackframe = oldstackframe186;
// compiled object node returning obj186 (depth = 4)
  *var_RParenToken = obj186;
  if (obj186 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject200 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj200 = alloc_userobj2(2,4, objclass200);
  gc_frame_newslot(obj200);
// OBJECT OUTER DEC outer
  adddatum2(obj200, self, 0);
  addmethodreal(obj200,"outer", &reader_lexer_outer_201);
  Object oldself200 = self;
  struct StackFrameObject *oldstackframe200 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe200);
  gc_frame_newslot((Object)stackframe);
  self = obj200;
  Object *oldselfslot200 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter200 = (*(struct UserObject *)self).data[0], lowerouter200 = thisouter200;
  if (inheritingObject200) {
    struct UserObject *inho200 = (struct UserObject *)inheritingObject200;
    while (inho200->super != GraceDefaultObject) inho200 = (struct UserObject *)inho200->super;
    inho200->super = obj200;
    self = inheritingObject200;
    *selfslot = self;
    lowerouter200 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter200;
  }
// method new
  block_savedest(obj200);
  Object closure202 = createclosure(1, "new");
  setclosureframe(closure202, stackframe);
  addtoclosure(closure202, var_Token);
  struct UserObject *uo202 = (struct UserObject*)obj200;
  uo202->data[1] = (Object)closure202;
  Method *meth_meth_lexer_new202 = addmethod2pos(obj200, "new", &meth_lexer_new202, 1);
  int argcv_meth_lexer_new202[] = {0};
  meth_meth_lexer_new202->type = alloc_MethodType(1, argcv_meth_lexer_new202);
  meth_meth_lexer_new202->definitionModule = modulename;
  meth_meth_lexer_new202->definitionLine = 98;
  block_savedest(obj200);
  Object closure213 = createclosure(1, "new()object");
  setclosureframe(closure213, stackframe);
  addtoclosure(closure213, var_Token);
  Method *meth_meth_lexer_new202_object = addmethod2pos(obj200, "new()object", &meth_lexer_new202_object, 1);
  meth_meth_lexer_new202_object->definitionModule = modulename;
  meth_meth_lexer_new202_object->definitionLine = 98;
  sourceObject = obj200;
  objclass200 = obj200->class;
  objclass200->definitionModule = modulename;
  objclass200->definitionLine = 98;
  (*(struct UserObject *)self).data[0] = lowerouter200;
  self = oldself200;
  selfslot = oldselfslot200;
  stackframe = oldstackframe200;
// compiled object node returning obj200 (depth = 4)
  *var_LSquareToken = obj200;
  if (obj200 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject214 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj214 = alloc_userobj2(2,4, objclass214);
  gc_frame_newslot(obj214);
// OBJECT OUTER DEC outer
  adddatum2(obj214, self, 0);
  addmethodreal(obj214,"outer", &reader_lexer_outer_215);
  Object oldself214 = self;
  struct StackFrameObject *oldstackframe214 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe214);
  gc_frame_newslot((Object)stackframe);
  self = obj214;
  Object *oldselfslot214 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter214 = (*(struct UserObject *)self).data[0], lowerouter214 = thisouter214;
  if (inheritingObject214) {
    struct UserObject *inho214 = (struct UserObject *)inheritingObject214;
    while (inho214->super != GraceDefaultObject) inho214 = (struct UserObject *)inho214->super;
    inho214->super = obj214;
    self = inheritingObject214;
    *selfslot = self;
    lowerouter214 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter214;
  }
// method new
  block_savedest(obj214);
  Object closure216 = createclosure(1, "new");
  setclosureframe(closure216, stackframe);
  addtoclosure(closure216, var_Token);
  struct UserObject *uo216 = (struct UserObject*)obj214;
  uo216->data[1] = (Object)closure216;
  Method *meth_meth_lexer_new216 = addmethod2pos(obj214, "new", &meth_lexer_new216, 1);
  int argcv_meth_lexer_new216[] = {0};
  meth_meth_lexer_new216->type = alloc_MethodType(1, argcv_meth_lexer_new216);
  meth_meth_lexer_new216->definitionModule = modulename;
  meth_meth_lexer_new216->definitionLine = 104;
  block_savedest(obj214);
  Object closure227 = createclosure(1, "new()object");
  setclosureframe(closure227, stackframe);
  addtoclosure(closure227, var_Token);
  Method *meth_meth_lexer_new216_object = addmethod2pos(obj214, "new()object", &meth_lexer_new216_object, 1);
  meth_meth_lexer_new216_object->definitionModule = modulename;
  meth_meth_lexer_new216_object->definitionLine = 104;
  sourceObject = obj214;
  objclass214 = obj214->class;
  objclass214->definitionModule = modulename;
  objclass214->definitionLine = 104;
  (*(struct UserObject *)self).data[0] = lowerouter214;
  self = oldself214;
  selfslot = oldselfslot214;
  stackframe = oldstackframe214;
// compiled object node returning obj214 (depth = 4)
  *var_RSquareToken = obj214;
  if (obj214 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject228 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj228 = alloc_userobj2(2,4, objclass228);
  gc_frame_newslot(obj228);
// OBJECT OUTER DEC outer
  adddatum2(obj228, self, 0);
  addmethodreal(obj228,"outer", &reader_lexer_outer_229);
  Object oldself228 = self;
  struct StackFrameObject *oldstackframe228 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe228);
  gc_frame_newslot((Object)stackframe);
  self = obj228;
  Object *oldselfslot228 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter228 = (*(struct UserObject *)self).data[0], lowerouter228 = thisouter228;
  if (inheritingObject228) {
    struct UserObject *inho228 = (struct UserObject *)inheritingObject228;
    while (inho228->super != GraceDefaultObject) inho228 = (struct UserObject *)inho228->super;
    inho228->super = obj228;
    self = inheritingObject228;
    *selfslot = self;
    lowerouter228 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter228;
  }
// method new
  block_savedest(obj228);
  Object closure230 = createclosure(1, "new");
  setclosureframe(closure230, stackframe);
  addtoclosure(closure230, var_Token);
  struct UserObject *uo230 = (struct UserObject*)obj228;
  uo230->data[1] = (Object)closure230;
  Method *meth_meth_lexer_new230 = addmethod2pos(obj228, "new", &meth_lexer_new230, 1);
  int argcv_meth_lexer_new230[] = {0};
  meth_meth_lexer_new230->type = alloc_MethodType(1, argcv_meth_lexer_new230);
  meth_meth_lexer_new230->definitionModule = modulename;
  meth_meth_lexer_new230->definitionLine = 110;
  block_savedest(obj228);
  Object closure241 = createclosure(1, "new()object");
  setclosureframe(closure241, stackframe);
  addtoclosure(closure241, var_Token);
  Method *meth_meth_lexer_new230_object = addmethod2pos(obj228, "new()object", &meth_lexer_new230_object, 1);
  meth_meth_lexer_new230_object->definitionModule = modulename;
  meth_meth_lexer_new230_object->definitionLine = 110;
  sourceObject = obj228;
  objclass228 = obj228->class;
  objclass228->definitionModule = modulename;
  objclass228->definitionLine = 110;
  (*(struct UserObject *)self).data[0] = lowerouter228;
  self = oldself228;
  selfslot = oldselfslot228;
  stackframe = oldstackframe228;
// compiled object node returning obj228 (depth = 4)
  *var_CommaToken = obj228;
  if (obj228 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject242 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj242 = alloc_userobj2(2,4, objclass242);
  gc_frame_newslot(obj242);
// OBJECT OUTER DEC outer
  adddatum2(obj242, self, 0);
  addmethodreal(obj242,"outer", &reader_lexer_outer_243);
  Object oldself242 = self;
  struct StackFrameObject *oldstackframe242 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe242);
  gc_frame_newslot((Object)stackframe);
  self = obj242;
  Object *oldselfslot242 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter242 = (*(struct UserObject *)self).data[0], lowerouter242 = thisouter242;
  if (inheritingObject242) {
    struct UserObject *inho242 = (struct UserObject *)inheritingObject242;
    while (inho242->super != GraceDefaultObject) inho242 = (struct UserObject *)inho242->super;
    inho242->super = obj242;
    self = inheritingObject242;
    *selfslot = self;
    lowerouter242 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter242;
  }
// method new
  block_savedest(obj242);
  Object closure244 = createclosure(1, "new");
  setclosureframe(closure244, stackframe);
  addtoclosure(closure244, var_Token);
  struct UserObject *uo244 = (struct UserObject*)obj242;
  uo244->data[1] = (Object)closure244;
  Method *meth_meth_lexer_new244 = addmethod2pos(obj242, "new", &meth_lexer_new244, 1);
  int argcv_meth_lexer_new244[] = {0};
  meth_meth_lexer_new244->type = alloc_MethodType(1, argcv_meth_lexer_new244);
  meth_meth_lexer_new244->definitionModule = modulename;
  meth_meth_lexer_new244->definitionLine = 116;
  block_savedest(obj242);
  Object closure255 = createclosure(1, "new()object");
  setclosureframe(closure255, stackframe);
  addtoclosure(closure255, var_Token);
  Method *meth_meth_lexer_new244_object = addmethod2pos(obj242, "new()object", &meth_lexer_new244_object, 1);
  meth_meth_lexer_new244_object->definitionModule = modulename;
  meth_meth_lexer_new244_object->definitionLine = 116;
  sourceObject = obj242;
  objclass242 = obj242->class;
  objclass242->definitionModule = modulename;
  objclass242->definitionLine = 116;
  (*(struct UserObject *)self).data[0] = lowerouter242;
  self = oldself242;
  selfslot = oldselfslot242;
  stackframe = oldstackframe242;
// compiled object node returning obj242 (depth = 4)
  *var_ColonToken = obj242;
  if (obj242 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject256 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj256 = alloc_userobj2(2,4, objclass256);
  gc_frame_newslot(obj256);
// OBJECT OUTER DEC outer
  adddatum2(obj256, self, 0);
  addmethodreal(obj256,"outer", &reader_lexer_outer_257);
  Object oldself256 = self;
  struct StackFrameObject *oldstackframe256 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe256);
  gc_frame_newslot((Object)stackframe);
  self = obj256;
  Object *oldselfslot256 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter256 = (*(struct UserObject *)self).data[0], lowerouter256 = thisouter256;
  if (inheritingObject256) {
    struct UserObject *inho256 = (struct UserObject *)inheritingObject256;
    while (inho256->super != GraceDefaultObject) inho256 = (struct UserObject *)inho256->super;
    inho256->super = obj256;
    self = inheritingObject256;
    *selfslot = self;
    lowerouter256 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter256;
  }
// method new
  block_savedest(obj256);
  Object closure258 = createclosure(1, "new");
  setclosureframe(closure258, stackframe);
  addtoclosure(closure258, var_Token);
  struct UserObject *uo258 = (struct UserObject*)obj256;
  uo258->data[1] = (Object)closure258;
  Method *meth_meth_lexer_new258 = addmethod2pos(obj256, "new", &meth_lexer_new258, 1);
  int argcv_meth_lexer_new258[] = {0};
  meth_meth_lexer_new258->type = alloc_MethodType(1, argcv_meth_lexer_new258);
  meth_meth_lexer_new258->definitionModule = modulename;
  meth_meth_lexer_new258->definitionLine = 122;
  block_savedest(obj256);
  Object closure269 = createclosure(1, "new()object");
  setclosureframe(closure269, stackframe);
  addtoclosure(closure269, var_Token);
  Method *meth_meth_lexer_new258_object = addmethod2pos(obj256, "new()object", &meth_lexer_new258_object, 1);
  meth_meth_lexer_new258_object->definitionModule = modulename;
  meth_meth_lexer_new258_object->definitionLine = 122;
  sourceObject = obj256;
  objclass256 = obj256->class;
  objclass256->definitionModule = modulename;
  objclass256->definitionLine = 122;
  (*(struct UserObject *)self).data[0] = lowerouter256;
  self = oldself256;
  selfslot = oldselfslot256;
  stackframe = oldstackframe256;
// compiled object node returning obj256 (depth = 4)
  *var_DotToken = obj256;
  if (obj256 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject270 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj270 = alloc_userobj2(2,4, objclass270);
  gc_frame_newslot(obj270);
// OBJECT OUTER DEC outer
  adddatum2(obj270, self, 0);
  addmethodreal(obj270,"outer", &reader_lexer_outer_271);
  Object oldself270 = self;
  struct StackFrameObject *oldstackframe270 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe270);
  gc_frame_newslot((Object)stackframe);
  self = obj270;
  Object *oldselfslot270 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter270 = (*(struct UserObject *)self).data[0], lowerouter270 = thisouter270;
  if (inheritingObject270) {
    struct UserObject *inho270 = (struct UserObject *)inheritingObject270;
    while (inho270->super != GraceDefaultObject) inho270 = (struct UserObject *)inho270->super;
    inho270->super = obj270;
    self = inheritingObject270;
    *selfslot = self;
    lowerouter270 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter270;
  }
// method new
  block_savedest(obj270);
  Object closure272 = createclosure(3, "new");
  setclosureframe(closure272, stackframe);
  addtoclosure(closure272, var_Token);
  addtoclosure(closure272, var_startPosition);
  addtoclosure(closure272, var_linePosition);
  struct UserObject *uo272 = (struct UserObject*)obj270;
  uo272->data[1] = (Object)closure272;
  Method *meth_meth_lexer_new272 = addmethod2pos(obj270, "new", &meth_lexer_new272, 1);
  int argcv_meth_lexer_new272[] = {2};
  meth_meth_lexer_new272->type = alloc_MethodType(1, argcv_meth_lexer_new272);
  meth_meth_lexer_new272->definitionModule = modulename;
  meth_meth_lexer_new272->definitionLine = 128;
  block_savedest(obj270);
  Object closure285 = createclosure(3, "new()object");
  setclosureframe(closure285, stackframe);
  addtoclosure(closure285, var_Token);
  addtoclosure(closure285, var_startPosition);
  addtoclosure(closure285, var_linePosition);
  Method *meth_meth_lexer_new272_object = addmethod2pos(obj270, "new()object", &meth_lexer_new272_object, 1);
  meth_meth_lexer_new272_object->definitionModule = modulename;
  meth_meth_lexer_new272_object->definitionLine = 128;
  sourceObject = obj270;
  objclass270 = obj270->class;
  objclass270->definitionModule = modulename;
  objclass270->definitionLine = 128;
  (*(struct UserObject *)self).data[0] = lowerouter270;
  self = oldself270;
  selfslot = oldselfslot270;
  stackframe = oldstackframe270;
// compiled object node returning obj270 (depth = 4)
  *var_NumToken = obj270;
  if (obj270 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject286 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj286 = alloc_userobj2(2,4, objclass286);
  gc_frame_newslot(obj286);
// OBJECT OUTER DEC outer
  adddatum2(obj286, self, 0);
  addmethodreal(obj286,"outer", &reader_lexer_outer_287);
  Object oldself286 = self;
  struct StackFrameObject *oldstackframe286 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe286);
  gc_frame_newslot((Object)stackframe);
  self = obj286;
  Object *oldselfslot286 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter286 = (*(struct UserObject *)self).data[0], lowerouter286 = thisouter286;
  if (inheritingObject286) {
    struct UserObject *inho286 = (struct UserObject *)inheritingObject286;
    while (inho286->super != GraceDefaultObject) inho286 = (struct UserObject *)inho286->super;
    inho286->super = obj286;
    self = inheritingObject286;
    *selfslot = self;
    lowerouter286 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter286;
  }
// method new
  block_savedest(obj286);
  Object closure288 = createclosure(1, "new");
  setclosureframe(closure288, stackframe);
  addtoclosure(closure288, var_Token);
  struct UserObject *uo288 = (struct UserObject*)obj286;
  uo288->data[1] = (Object)closure288;
  Method *meth_meth_lexer_new288 = addmethod2pos(obj286, "new", &meth_lexer_new288, 1);
  int argcv_meth_lexer_new288[] = {1};
  meth_meth_lexer_new288->type = alloc_MethodType(1, argcv_meth_lexer_new288);
  meth_meth_lexer_new288->definitionModule = modulename;
  meth_meth_lexer_new288->definitionLine = 135;
  block_savedest(obj286);
  Object closure299 = createclosure(1, "new()object");
  setclosureframe(closure299, stackframe);
  addtoclosure(closure299, var_Token);
  Method *meth_meth_lexer_new288_object = addmethod2pos(obj286, "new()object", &meth_lexer_new288_object, 1);
  meth_meth_lexer_new288_object->definitionModule = modulename;
  meth_meth_lexer_new288_object->definitionLine = 135;
  sourceObject = obj286;
  objclass286 = obj286->class;
  objclass286->definitionModule = modulename;
  objclass286->definitionLine = 135;
  (*(struct UserObject *)self).data[0] = lowerouter286;
  self = oldself286;
  selfslot = oldselfslot286;
  stackframe = oldstackframe286;
// compiled object node returning obj286 (depth = 4)
  *var_KeywordToken = obj286;
  if (obj286 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject300 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj300 = alloc_userobj2(2,4, objclass300);
  gc_frame_newslot(obj300);
// OBJECT OUTER DEC outer
  adddatum2(obj300, self, 0);
  addmethodreal(obj300,"outer", &reader_lexer_outer_301);
  Object oldself300 = self;
  struct StackFrameObject *oldstackframe300 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe300);
  gc_frame_newslot((Object)stackframe);
  self = obj300;
  Object *oldselfslot300 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter300 = (*(struct UserObject *)self).data[0], lowerouter300 = thisouter300;
  if (inheritingObject300) {
    struct UserObject *inho300 = (struct UserObject *)inheritingObject300;
    while (inho300->super != GraceDefaultObject) inho300 = (struct UserObject *)inho300->super;
    inho300->super = obj300;
    self = inheritingObject300;
    *selfslot = self;
    lowerouter300 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter300;
  }
// method new
  block_savedest(obj300);
  Object closure302 = createclosure(1, "new");
  setclosureframe(closure302, stackframe);
  addtoclosure(closure302, var_Token);
  struct UserObject *uo302 = (struct UserObject*)obj300;
  uo302->data[1] = (Object)closure302;
  Method *meth_meth_lexer_new302 = addmethod2pos(obj300, "new", &meth_lexer_new302, 1);
  int argcv_meth_lexer_new302[] = {1};
  meth_meth_lexer_new302->type = alloc_MethodType(1, argcv_meth_lexer_new302);
  meth_meth_lexer_new302->definitionModule = modulename;
  meth_meth_lexer_new302->definitionLine = 141;
  block_savedest(obj300);
  Object closure313 = createclosure(1, "new()object");
  setclosureframe(closure313, stackframe);
  addtoclosure(closure313, var_Token);
  Method *meth_meth_lexer_new302_object = addmethod2pos(obj300, "new()object", &meth_lexer_new302_object, 1);
  meth_meth_lexer_new302_object->definitionModule = modulename;
  meth_meth_lexer_new302_object->definitionLine = 141;
  sourceObject = obj300;
  objclass300 = obj300->class;
  objclass300->definitionModule = modulename;
  objclass300->definitionLine = 141;
  (*(struct UserObject *)self).data[0] = lowerouter300;
  self = oldself300;
  selfslot = oldselfslot300;
  stackframe = oldstackframe300;
// compiled object node returning obj300 (depth = 4)
  *var_OpToken = obj300;
  if (obj300 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject314 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj314 = alloc_userobj2(2,4, objclass314);
  gc_frame_newslot(obj314);
// OBJECT OUTER DEC outer
  adddatum2(obj314, self, 0);
  addmethodreal(obj314,"outer", &reader_lexer_outer_315);
  Object oldself314 = self;
  struct StackFrameObject *oldstackframe314 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe314);
  gc_frame_newslot((Object)stackframe);
  self = obj314;
  Object *oldselfslot314 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter314 = (*(struct UserObject *)self).data[0], lowerouter314 = thisouter314;
  if (inheritingObject314) {
    struct UserObject *inho314 = (struct UserObject *)inheritingObject314;
    while (inho314->super != GraceDefaultObject) inho314 = (struct UserObject *)inho314->super;
    inho314->super = obj314;
    self = inheritingObject314;
    *selfslot = self;
    lowerouter314 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter314;
  }
// method new
  block_savedest(obj314);
  Object closure316 = createclosure(1, "new");
  setclosureframe(closure316, stackframe);
  addtoclosure(closure316, var_Token);
  struct UserObject *uo316 = (struct UserObject*)obj314;
  uo316->data[1] = (Object)closure316;
  Method *meth_meth_lexer_new316 = addmethod2pos(obj314, "new", &meth_lexer_new316, 1);
  int argcv_meth_lexer_new316[] = {0};
  meth_meth_lexer_new316->type = alloc_MethodType(1, argcv_meth_lexer_new316);
  meth_meth_lexer_new316->definitionModule = modulename;
  meth_meth_lexer_new316->definitionLine = 147;
  block_savedest(obj314);
  Object closure327 = createclosure(1, "new()object");
  setclosureframe(closure327, stackframe);
  addtoclosure(closure327, var_Token);
  Method *meth_meth_lexer_new316_object = addmethod2pos(obj314, "new()object", &meth_lexer_new316_object, 1);
  meth_meth_lexer_new316_object->definitionModule = modulename;
  meth_meth_lexer_new316_object->definitionLine = 147;
  sourceObject = obj314;
  objclass314 = obj314->class;
  objclass314->definitionModule = modulename;
  objclass314->definitionLine = 147;
  (*(struct UserObject *)self).data[0] = lowerouter314;
  self = oldself314;
  selfslot = oldselfslot314;
  stackframe = oldstackframe314;
// compiled object node returning obj314 (depth = 4)
  *var_ArrowToken = obj314;
  if (obj314 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject328 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj328 = alloc_userobj2(2,4, objclass328);
  gc_frame_newslot(obj328);
// OBJECT OUTER DEC outer
  adddatum2(obj328, self, 0);
  addmethodreal(obj328,"outer", &reader_lexer_outer_329);
  Object oldself328 = self;
  struct StackFrameObject *oldstackframe328 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe328);
  gc_frame_newslot((Object)stackframe);
  self = obj328;
  Object *oldselfslot328 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter328 = (*(struct UserObject *)self).data[0], lowerouter328 = thisouter328;
  if (inheritingObject328) {
    struct UserObject *inho328 = (struct UserObject *)inheritingObject328;
    while (inho328->super != GraceDefaultObject) inho328 = (struct UserObject *)inho328->super;
    inho328->super = obj328;
    self = inheritingObject328;
    *selfslot = self;
    lowerouter328 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter328;
  }
// method new
  block_savedest(obj328);
  Object closure330 = createclosure(1, "new");
  setclosureframe(closure330, stackframe);
  addtoclosure(closure330, var_Token);
  struct UserObject *uo330 = (struct UserObject*)obj328;
  uo330->data[1] = (Object)closure330;
  Method *meth_meth_lexer_new330 = addmethod2pos(obj328, "new", &meth_lexer_new330, 1);
  int argcv_meth_lexer_new330[] = {0};
  meth_meth_lexer_new330->type = alloc_MethodType(1, argcv_meth_lexer_new330);
  meth_meth_lexer_new330->definitionModule = modulename;
  meth_meth_lexer_new330->definitionLine = 153;
  block_savedest(obj328);
  Object closure341 = createclosure(1, "new()object");
  setclosureframe(closure341, stackframe);
  addtoclosure(closure341, var_Token);
  Method *meth_meth_lexer_new330_object = addmethod2pos(obj328, "new()object", &meth_lexer_new330_object, 1);
  meth_meth_lexer_new330_object->definitionModule = modulename;
  meth_meth_lexer_new330_object->definitionLine = 153;
  sourceObject = obj328;
  objclass328 = obj328->class;
  objclass328->definitionModule = modulename;
  objclass328->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter328;
  self = oldself328;
  selfslot = oldselfslot328;
  stackframe = oldstackframe328;
// compiled object node returning obj328 (depth = 4)
  *var_BindToken = obj328;
  if (obj328 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject342 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj342 = alloc_userobj2(2,4, objclass342);
  gc_frame_newslot(obj342);
// OBJECT OUTER DEC outer
  adddatum2(obj342, self, 0);
  addmethodreal(obj342,"outer", &reader_lexer_outer_343);
  Object oldself342 = self;
  struct StackFrameObject *oldstackframe342 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe342);
  gc_frame_newslot((Object)stackframe);
  self = obj342;
  Object *oldselfslot342 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter342 = (*(struct UserObject *)self).data[0], lowerouter342 = thisouter342;
  if (inheritingObject342) {
    struct UserObject *inho342 = (struct UserObject *)inheritingObject342;
    while (inho342->super != GraceDefaultObject) inho342 = (struct UserObject *)inho342->super;
    inho342->super = obj342;
    self = inheritingObject342;
    *selfslot = self;
    lowerouter342 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter342;
  }
// method new
  block_savedest(obj342);
  Object closure344 = createclosure(1, "new");
  setclosureframe(closure344, stackframe);
  addtoclosure(closure344, var_Token);
  struct UserObject *uo344 = (struct UserObject*)obj342;
  uo344->data[1] = (Object)closure344;
  Method *meth_meth_lexer_new344 = addmethod2pos(obj342, "new", &meth_lexer_new344, 1);
  int argcv_meth_lexer_new344[] = {0};
  meth_meth_lexer_new344->type = alloc_MethodType(1, argcv_meth_lexer_new344);
  meth_meth_lexer_new344->definitionModule = modulename;
  meth_meth_lexer_new344->definitionLine = 159;
  block_savedest(obj342);
  Object closure355 = createclosure(1, "new()object");
  setclosureframe(closure355, stackframe);
  addtoclosure(closure355, var_Token);
  Method *meth_meth_lexer_new344_object = addmethod2pos(obj342, "new()object", &meth_lexer_new344_object, 1);
  meth_meth_lexer_new344_object->definitionModule = modulename;
  meth_meth_lexer_new344_object->definitionLine = 159;
  sourceObject = obj342;
  objclass342 = obj342->class;
  objclass342->definitionModule = modulename;
  objclass342->definitionLine = 159;
  (*(struct UserObject *)self).data[0] = lowerouter342;
  self = oldself342;
  selfslot = oldselfslot342;
  stackframe = oldstackframe342;
// compiled object node returning obj342 (depth = 4)
  *var_SemicolonToken = obj342;
  if (obj342 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject356 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj356 = alloc_userobj2(2,4, objclass356);
  gc_frame_newslot(obj356);
// OBJECT OUTER DEC outer
  adddatum2(obj356, self, 0);
  addmethodreal(obj356,"outer", &reader_lexer_outer_357);
  Object oldself356 = self;
  struct StackFrameObject *oldstackframe356 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe356);
  gc_frame_newslot((Object)stackframe);
  self = obj356;
  Object *oldselfslot356 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter356 = (*(struct UserObject *)self).data[0], lowerouter356 = thisouter356;
  if (inheritingObject356) {
    struct UserObject *inho356 = (struct UserObject *)inheritingObject356;
    while (inho356->super != GraceDefaultObject) inho356 = (struct UserObject *)inho356->super;
    inho356->super = obj356;
    self = inheritingObject356;
    *selfslot = self;
    lowerouter356 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter356;
  }
// method new
  block_savedest(obj356);
  Object closure358 = createclosure(1, "new");
  setclosureframe(closure358, stackframe);
  addtoclosure(closure358, var_Token);
  struct UserObject *uo358 = (struct UserObject*)obj356;
  uo358->data[1] = (Object)closure358;
  Method *meth_meth_lexer_new358 = addmethod2pos(obj356, "new", &meth_lexer_new358, 1);
  int argcv_meth_lexer_new358[] = {0};
  meth_meth_lexer_new358->type = alloc_MethodType(1, argcv_meth_lexer_new358);
  meth_meth_lexer_new358->definitionModule = modulename;
  meth_meth_lexer_new358->definitionLine = 165;
  block_savedest(obj356);
  Object closure369 = createclosure(1, "new()object");
  setclosureframe(closure369, stackframe);
  addtoclosure(closure369, var_Token);
  Method *meth_meth_lexer_new358_object = addmethod2pos(obj356, "new()object", &meth_lexer_new358_object, 1);
  meth_meth_lexer_new358_object->definitionModule = modulename;
  meth_meth_lexer_new358_object->definitionLine = 165;
  sourceObject = obj356;
  objclass356 = obj356->class;
  objclass356->definitionModule = modulename;
  objclass356->definitionLine = 165;
  (*(struct UserObject *)self).data[0] = lowerouter356;
  self = oldself356;
  selfslot = oldselfslot356;
  stackframe = oldstackframe356;
// compiled object node returning obj356 (depth = 4)
  *var_LGenericToken = obj356;
  if (obj356 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject370 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj370 = alloc_userobj2(2,4, objclass370);
  gc_frame_newslot(obj370);
// OBJECT OUTER DEC outer
  adddatum2(obj370, self, 0);
  addmethodreal(obj370,"outer", &reader_lexer_outer_371);
  Object oldself370 = self;
  struct StackFrameObject *oldstackframe370 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe370);
  gc_frame_newslot((Object)stackframe);
  self = obj370;
  Object *oldselfslot370 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter370 = (*(struct UserObject *)self).data[0], lowerouter370 = thisouter370;
  if (inheritingObject370) {
    struct UserObject *inho370 = (struct UserObject *)inheritingObject370;
    while (inho370->super != GraceDefaultObject) inho370 = (struct UserObject *)inho370->super;
    inho370->super = obj370;
    self = inheritingObject370;
    *selfslot = self;
    lowerouter370 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter370;
  }
// method new
  block_savedest(obj370);
  Object closure372 = createclosure(1, "new");
  setclosureframe(closure372, stackframe);
  addtoclosure(closure372, var_Token);
  struct UserObject *uo372 = (struct UserObject*)obj370;
  uo372->data[1] = (Object)closure372;
  Method *meth_meth_lexer_new372 = addmethod2pos(obj370, "new", &meth_lexer_new372, 1);
  int argcv_meth_lexer_new372[] = {0};
  meth_meth_lexer_new372->type = alloc_MethodType(1, argcv_meth_lexer_new372);
  meth_meth_lexer_new372->definitionModule = modulename;
  meth_meth_lexer_new372->definitionLine = 171;
  block_savedest(obj370);
  Object closure383 = createclosure(1, "new()object");
  setclosureframe(closure383, stackframe);
  addtoclosure(closure383, var_Token);
  Method *meth_meth_lexer_new372_object = addmethod2pos(obj370, "new()object", &meth_lexer_new372_object, 1);
  meth_meth_lexer_new372_object->definitionModule = modulename;
  meth_meth_lexer_new372_object->definitionLine = 171;
  sourceObject = obj370;
  objclass370 = obj370->class;
  objclass370->definitionModule = modulename;
  objclass370->definitionLine = 171;
  (*(struct UserObject *)self).data[0] = lowerouter370;
  self = oldself370;
  selfslot = oldselfslot370;
  stackframe = oldstackframe370;
// compiled object node returning obj370 (depth = 4)
  *var_RGenericToken = obj370;
  if (obj370 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject384 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj384 = alloc_userobj2(8,9, objclass384);
  gc_frame_newslot(obj384);
if (objclass384 == NULL) {
  glfree(obj384->class->name);
  obj384->class->name = "self.new";
}
// OBJECT OUTER DEC outer
  adddatum2(obj384, self, 0);
  addmethodreal(obj384,"outer", &reader_lexer_outer_385);
  Object oldself384 = self;
  struct StackFrameObject *oldstackframe384 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe384);
  gc_frame_newslot((Object)stackframe);
  self = obj384;
  Object *oldselfslot384 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter384 = (*(struct UserObject *)self).data[0], lowerouter384 = thisouter384;
  if (inheritingObject384) {
    struct UserObject *inho384 = (struct UserObject *)inheritingObject384;
    while (inho384->super != GraceDefaultObject) inho384 = (struct UserObject *)inho384->super;
    inho384->super = obj384;
    self = inheritingObject384;
    *selfslot = self;
    lowerouter384 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter384;
  }
// method modechange
  block_savedest(obj384);
  Object closure386 = createclosure(27, "modechange");
  setclosureframe(closure386, stackframe);
  addtoclosure(closure386, var_IdentifierToken);
  addtoclosure(closure386, var_KeywordToken);
  addtoclosure(closure386, var_StringToken);
  addtoclosure(closure386, var_MultiLineStringToken);
  addtoclosure(closure386, var_CommaToken);
  addtoclosure(closure386, var_DotToken);
  addtoclosure(closure386, var_LBraceToken);
  addtoclosure(closure386, var_RBraceToken);
  addtoclosure(closure386, var_LParenToken);
  addtoclosure(closure386, var_RParenToken);
  addtoclosure(closure386, var_LSquareToken);
  addtoclosure(closure386, var_RSquareToken);
  addtoclosure(closure386, var_LGenericToken);
  addtoclosure(closure386, var_RGenericToken);
  addtoclosure(closure386, var_SemicolonToken);
  addtoclosure(closure386, var_NumToken);
  addtoclosure(closure386, var_errormessages);
  addtoclosure(closure386, var_linePosition);
  addtoclosure(closure386, var_lineNumber);
  addtoclosure(closure386, var_OpToken);
  addtoclosure(closure386, var_ArrowToken);
  addtoclosure(closure386, var_BindToken);
  addtoclosure(closure386, var_ColonToken);
  addtoclosure(closure386, var_indentLevel);
  addtoclosure(closure386, var_CommentToken);
  addtoclosure(closure386, var_util);
  addtoclosure(closure386, var_startPosition);
  struct UserObject *uo386 = (struct UserObject*)obj384;
  uo386->data[1] = (Object)closure386;
  Method *meth_meth_lexer_modechange386 = addmethod2pos(obj384, "modechange", &meth_lexer_modechange386, 1);
  int argcv_meth_lexer_modechange386[] = {3};
  meth_meth_lexer_modechange386->type = alloc_MethodType(1, argcv_meth_lexer_modechange386);
  meth_meth_lexer_modechange386->definitionModule = modulename;
  meth_meth_lexer_modechange386->definitionLine = 196;
// method fromBase
  block_savedest(obj384);
  Object closure1124 = createclosure(4, "fromBase");
  setclosureframe(closure1124, stackframe);
  addtoclosure(closure1124, var_errormessages);
  addtoclosure(closure1124, var_linePosition);
  addtoclosure(closure1124, var_lineNumber);
  addtoclosure(closure1124, var_unicode);
  struct UserObject *uo1124 = (struct UserObject*)obj384;
  uo1124->data[2] = (Object)closure1124;
  Method *meth_meth_lexer_fromBase1124 = addmethod2pos(obj384, "fromBase", &meth_lexer_fromBase1124, 2);
  int argcv_meth_lexer_fromBase1124[] = {2};
  meth_meth_lexer_fromBase1124->type = alloc_MethodType(1, argcv_meth_lexer_fromBase1124);
  meth_meth_lexer_fromBase1124->definitionModule = modulename;
  meth_meth_lexer_fromBase1124->definitionLine = 373;
// method hexdecchar
  block_savedest(obj384);
  Object closure1340 = createclosure(3, "hexdecchar");
  setclosureframe(closure1340, stackframe);
  addtoclosure(closure1340, var_lineNumber);
  addtoclosure(closure1340, var_linePosition);
  addtoclosure(closure1340, var_errormessages);
  struct UserObject *uo1340 = (struct UserObject*)obj384;
  uo1340->data[3] = (Object)closure1340;
  Method *meth_meth_lexer_hexdecchar1340 = addmethod2pos(obj384, "hexdecchar", &meth_lexer_hexdecchar1340, 3);
  int argcv_meth_lexer_hexdecchar1340[] = {1};
  meth_meth_lexer_hexdecchar1340->type = alloc_MethodType(1, argcv_meth_lexer_hexdecchar1340);
  meth_meth_lexer_hexdecchar1340->definitionModule = modulename;
  meth_meth_lexer_hexdecchar1340->definitionLine = 415;
// method makeNumToken
  block_savedest(obj384);
  Object closure1418 = createclosure(4, "makeNumToken");
  setclosureframe(closure1418, stackframe);
  addtoclosure(closure1418, var_errormessages);
  addtoclosure(closure1418, var_linePosition);
  addtoclosure(closure1418, var_lineNumber);
  addtoclosure(closure1418, var_NumToken);
  struct UserObject *uo1418 = (struct UserObject*)obj384;
  uo1418->data[4] = (Object)closure1418;
  Method *meth_meth_lexer_makeNumToken1418 = addmethod2pos(obj384, "makeNumToken", &meth_lexer_makeNumToken1418, 4);
  int argcv_meth_lexer_makeNumToken1418[] = {1};
  meth_meth_lexer_makeNumToken1418->type = alloc_MethodType(1, argcv_meth_lexer_makeNumToken1418);
  meth_meth_lexer_makeNumToken1418->definitionModule = modulename;
  meth_meth_lexer_makeNumToken1418->definitionLine = 433;
// method isidentifierchar
  block_savedest(obj384);
  Object closure1597 = createclosure(1, "isidentifierchar");
  setclosureframe(closure1597, stackframe);
  addtoclosure(closure1597, var_unicode);
  struct UserObject *uo1597 = (struct UserObject*)obj384;
  uo1597->data[5] = (Object)closure1597;
  Method *meth_meth_lexer_isidentifierchar1597 = addmethod2pos(obj384, "isidentifierchar", &meth_lexer_isidentifierchar1597, 5);
  int argcv_meth_lexer_isidentifierchar1597[] = {1};
  meth_meth_lexer_isidentifierchar1597->type = alloc_MethodType(1, argcv_meth_lexer_isidentifierchar1597);
  meth_meth_lexer_isidentifierchar1597->definitionModule = modulename;
  meth_meth_lexer_isidentifierchar1597->definitionLine = 478;
// method isoperatorchar
  block_savedest(obj384);
  Object closure1620 = createclosure(1, "isoperatorchar");
  setclosureframe(closure1620, stackframe);
  addtoclosure(closure1620, var_unicode);
  struct UserObject *uo1620 = (struct UserObject*)obj384;
  uo1620->data[6] = (Object)closure1620;
  Method *meth_meth_lexer_isoperatorchar1620 = addmethod2pos(obj384, "isoperatorchar", &meth_lexer_isoperatorchar1620, 6);
  int argcv_meth_lexer_isoperatorchar1620[] = {2};
  meth_meth_lexer_isoperatorchar1620->type = alloc_MethodType(1, argcv_meth_lexer_isoperatorchar1620);
  meth_meth_lexer_isoperatorchar1620->definitionModule = modulename;
  meth_meth_lexer_isoperatorchar1620->definitionLine = 494;
// method lexfile
  block_savedest(obj384);
  Object closure1714 = createclosure(1, "lexfile");
  setclosureframe(closure1714, stackframe);
  addtoclosure(closure1714, var_util);
  struct UserObject *uo1714 = (struct UserObject*)obj384;
  uo1714->data[7] = (Object)closure1714;
  Method *meth_meth_lexer_lexfile1714 = addmethod2pos(obj384, "lexfile", &meth_lexer_lexfile1714, 7);
  int argcv_meth_lexer_lexfile1714[] = {1};
  meth_meth_lexer_lexfile1714->type = alloc_MethodType(1, argcv_meth_lexer_lexfile1714);
  meth_meth_lexer_lexfile1714->definitionModule = modulename;
  meth_meth_lexer_lexfile1714->definitionLine = 511;
// method lexinput
  block_savedest(obj384);
  Object closure1835 = createclosure(8, "lexinput");
  setclosureframe(closure1835, stackframe);
  addtoclosure(closure1835, var_linePosition);
  addtoclosure(closure1835, var_util);
  addtoclosure(closure1835, var_unicode);
  addtoclosure(closure1835, var_errormessages);
  addtoclosure(closure1835, var_lineNumber);
  addtoclosure(closure1835, var_stringStart);
  addtoclosure(closure1835, var_startLine);
  addtoclosure(closure1835, var_startPosition);
  struct UserObject *uo1835 = (struct UserObject*)obj384;
  uo1835->data[8] = (Object)closure1835;
  Method *meth_meth_lexer_lexinput1835 = addmethod2pos(obj384, "lexinput", &meth_lexer_lexinput1835, 8);
  int argcv_meth_lexer_lexinput1835[] = {1};
  meth_meth_lexer_lexinput1835->type = alloc_MethodType(1, argcv_meth_lexer_lexinput1835);
  meth_meth_lexer_lexinput1835->definitionModule = modulename;
  meth_meth_lexer_lexinput1835->definitionLine = 566;
  sourceObject = obj384;
  sourceObject = obj384;
  sourceObject = obj384;
  sourceObject = obj384;
  sourceObject = obj384;
  sourceObject = obj384;
  sourceObject = obj384;
  sourceObject = obj384;
  objclass384 = obj384->class;
  objclass384->definitionModule = modulename;
  objclass384->definitionLine = 179;
  (*(struct UserObject *)self).data[0] = lowerouter384;
  self = oldself384;
  selfslot = oldselfslot384;
  stackframe = oldstackframe384;
  gc_frame_end(frame);
  return obj384;
}
Object meth_lexer_new24_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(29, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_unicode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_lineNumber = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "lineNumber");
  Object *var_linePosition = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "linePosition");
  Object *var_startPosition = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "startPosition");
  Object *var_indentLevel = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "indentLevel");
  Object *var_startLine = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "startLine");
  Object *var_stringStart = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "stringStart");
  Object *var_Token = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "Token");
  Object *var_IdentifierToken = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "IdentifierToken");
  Object *var_StringToken = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "StringToken");
  Object *var_MultiLineStringToken = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "MultiLineStringToken");
  Object *var_CommentToken = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "CommentToken");
  Object *var_LBraceToken = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "LBraceToken");
  Object *var_RBraceToken = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "RBraceToken");
  Object *var_LParenToken = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "LParenToken");
  Object *var_RParenToken = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "RParenToken");
  Object *var_LSquareToken = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "LSquareToken");
  Object *var_RSquareToken = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "RSquareToken");
  Object *var_CommaToken = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "CommaToken");
  Object *var_ColonToken = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "ColonToken");
  Object *var_DotToken = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "DotToken");
  Object *var_NumToken = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "NumToken");
  Object *var_KeywordToken = &(stackframe->slots[22]);
  setframeelementname(stackframe, 22, "KeywordToken");
  Object *var_OpToken = &(stackframe->slots[23]);
  setframeelementname(stackframe, 23, "OpToken");
  Object *var_ArrowToken = &(stackframe->slots[24]);
  setframeelementname(stackframe, 24, "ArrowToken");
  Object *var_BindToken = &(stackframe->slots[25]);
  setframeelementname(stackframe, 25, "BindToken");
  Object *var_SemicolonToken = &(stackframe->slots[26]);
  setframeelementname(stackframe, 26, "SemicolonToken");
  Object *var_LGenericToken = &(stackframe->slots[27]);
  setframeelementname(stackframe, 27, "LGenericToken");
  Object *var_RGenericToken = &(stackframe->slots[28]);
  setframeelementname(stackframe, 28, "RGenericToken");
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num25 = alloc_Float64(1);
// compiled num node returning num25 (depth = 3)
  *var_lineNumber = num25;
  if (num25 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num26 = alloc_Float64(0);
// compiled num node returning num26 (depth = 3)
  *var_linePosition = num26;
  if (num26 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num27 = alloc_Float64(1);
// compiled num node returning num27 (depth = 3)
  *var_startPosition = num27;
  if (num27 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num28 = alloc_Float64(0);
// compiled num node returning num28 (depth = 3)
  *var_indentLevel = num28;
  if (num28 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num29 = alloc_Float64(1);
// compiled num node returning num29 (depth = 3)
  *var_startLine = num29;
  if (num29 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_stringStart = undefined;
// compiled vardec node returning done (depth = 2)
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject30 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj30 = alloc_userobj2(2,4, objclass30);
  gc_frame_newslot(obj30);
// OBJECT OUTER DEC outer
  adddatum2(obj30, self, 0);
  addmethodreal(obj30,"outer", &reader_lexer_outer_31);
  Object oldself30 = self;
  struct StackFrameObject *oldstackframe30 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe30);
  gc_frame_newslot((Object)stackframe);
  self = obj30;
  Object *oldselfslot30 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter30 = (*(struct UserObject *)self).data[0], lowerouter30 = thisouter30;
  if (inheritingObject30) {
    struct UserObject *inho30 = (struct UserObject *)inheritingObject30;
    while (inho30->super != GraceDefaultObject) inho30 = (struct UserObject *)inho30->super;
    inho30->super = obj30;
    self = inheritingObject30;
    *selfslot = self;
    lowerouter30 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter30;
  }
// method new
  block_savedest(obj30);
  Object closure32 = createclosure(3, "new");
  setclosureframe(closure32, stackframe);
  addtoclosure(closure32, var_lineNumber);
  addtoclosure(closure32, var_indentLevel);
  addtoclosure(closure32, var_startPosition);
  struct UserObject *uo32 = (struct UserObject*)obj30;
  uo32->data[1] = (Object)closure32;
  Method *meth_meth_lexer_new32 = addmethod2pos(obj30, "new", &meth_lexer_new32, 1);
  int argcv_meth_lexer_new32[] = {0};
  meth_meth_lexer_new32->type = alloc_MethodType(1, argcv_meth_lexer_new32);
  meth_meth_lexer_new32->definitionModule = modulename;
  meth_meth_lexer_new32->definitionLine = 28;
  block_savedest(obj30);
  Object closure66 = createclosure(3, "new()object");
  setclosureframe(closure66, stackframe);
  addtoclosure(closure66, var_lineNumber);
  addtoclosure(closure66, var_indentLevel);
  addtoclosure(closure66, var_startPosition);
  Method *meth_meth_lexer_new32_object = addmethod2pos(obj30, "new()object", &meth_lexer_new32_object, 1);
  meth_meth_lexer_new32_object->definitionModule = modulename;
  meth_meth_lexer_new32_object->definitionLine = 28;
  sourceObject = obj30;
  objclass30 = obj30->class;
  objclass30->definitionModule = modulename;
  objclass30->definitionLine = 28;
  (*(struct UserObject *)self).data[0] = lowerouter30;
  self = oldself30;
  selfslot = oldselfslot30;
  stackframe = oldstackframe30;
// compiled object node returning obj30 (depth = 4)
  *var_Token = obj30;
  if (obj30 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject67 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj67 = alloc_userobj2(2,4, objclass67);
  gc_frame_newslot(obj67);
// OBJECT OUTER DEC outer
  adddatum2(obj67, self, 0);
  addmethodreal(obj67,"outer", &reader_lexer_outer_68);
  Object oldself67 = self;
  struct StackFrameObject *oldstackframe67 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe67);
  gc_frame_newslot((Object)stackframe);
  self = obj67;
  Object *oldselfslot67 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter67 = (*(struct UserObject *)self).data[0], lowerouter67 = thisouter67;
  if (inheritingObject67) {
    struct UserObject *inho67 = (struct UserObject *)inheritingObject67;
    while (inho67->super != GraceDefaultObject) inho67 = (struct UserObject *)inho67->super;
    inho67->super = obj67;
    self = inheritingObject67;
    *selfslot = self;
    lowerouter67 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter67;
  }
// method new
  block_savedest(obj67);
  Object closure69 = createclosure(1, "new");
  setclosureframe(closure69, stackframe);
  addtoclosure(closure69, var_Token);
  struct UserObject *uo69 = (struct UserObject*)obj67;
  uo69->data[1] = (Object)closure69;
  Method *meth_meth_lexer_new69 = addmethod2pos(obj67, "new", &meth_lexer_new69, 1);
  int argcv_meth_lexer_new69[] = {1};
  meth_meth_lexer_new69->type = alloc_MethodType(1, argcv_meth_lexer_new69);
  meth_meth_lexer_new69->definitionModule = modulename;
  meth_meth_lexer_new69->definitionLine = 46;
  block_savedest(obj67);
  Object closure80 = createclosure(1, "new()object");
  setclosureframe(closure80, stackframe);
  addtoclosure(closure80, var_Token);
  Method *meth_meth_lexer_new69_object = addmethod2pos(obj67, "new()object", &meth_lexer_new69_object, 1);
  meth_meth_lexer_new69_object->definitionModule = modulename;
  meth_meth_lexer_new69_object->definitionLine = 46;
  sourceObject = obj67;
  objclass67 = obj67->class;
  objclass67->definitionModule = modulename;
  objclass67->definitionLine = 46;
  (*(struct UserObject *)self).data[0] = lowerouter67;
  self = oldself67;
  selfslot = oldselfslot67;
  stackframe = oldstackframe67;
// compiled object node returning obj67 (depth = 4)
  *var_IdentifierToken = obj67;
  if (obj67 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject81 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj81 = alloc_userobj2(2,4, objclass81);
  gc_frame_newslot(obj81);
// OBJECT OUTER DEC outer
  adddatum2(obj81, self, 0);
  addmethodreal(obj81,"outer", &reader_lexer_outer_82);
  Object oldself81 = self;
  struct StackFrameObject *oldstackframe81 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe81);
  gc_frame_newslot((Object)stackframe);
  self = obj81;
  Object *oldselfslot81 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter81 = (*(struct UserObject *)self).data[0], lowerouter81 = thisouter81;
  if (inheritingObject81) {
    struct UserObject *inho81 = (struct UserObject *)inheritingObject81;
    while (inho81->super != GraceDefaultObject) inho81 = (struct UserObject *)inho81->super;
    inho81->super = obj81;
    self = inheritingObject81;
    *selfslot = self;
    lowerouter81 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter81;
  }
// method new
  block_savedest(obj81);
  Object closure83 = createclosure(3, "new");
  setclosureframe(closure83, stackframe);
  addtoclosure(closure83, var_Token);
  addtoclosure(closure83, var_stringStart);
  addtoclosure(closure83, var_linePosition);
  struct UserObject *uo83 = (struct UserObject*)obj81;
  uo83->data[1] = (Object)closure83;
  Method *meth_meth_lexer_new83 = addmethod2pos(obj81, "new", &meth_lexer_new83, 1);
  int argcv_meth_lexer_new83[] = {1};
  meth_meth_lexer_new83->type = alloc_MethodType(1, argcv_meth_lexer_new83);
  meth_meth_lexer_new83->definitionModule = modulename;
  meth_meth_lexer_new83->definitionLine = 52;
  block_savedest(obj81);
  Object closure99 = createclosure(3, "new()object");
  setclosureframe(closure99, stackframe);
  addtoclosure(closure99, var_Token);
  addtoclosure(closure99, var_stringStart);
  addtoclosure(closure99, var_linePosition);
  Method *meth_meth_lexer_new83_object = addmethod2pos(obj81, "new()object", &meth_lexer_new83_object, 1);
  meth_meth_lexer_new83_object->definitionModule = modulename;
  meth_meth_lexer_new83_object->definitionLine = 52;
  sourceObject = obj81;
  objclass81 = obj81->class;
  objclass81->definitionModule = modulename;
  objclass81->definitionLine = 52;
  (*(struct UserObject *)self).data[0] = lowerouter81;
  self = oldself81;
  selfslot = oldselfslot81;
  stackframe = oldstackframe81;
// compiled object node returning obj81 (depth = 4)
  *var_StringToken = obj81;
  if (obj81 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject100 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj100 = alloc_userobj2(2,4, objclass100);
  gc_frame_newslot(obj100);
// OBJECT OUTER DEC outer
  adddatum2(obj100, self, 0);
  addmethodreal(obj100,"outer", &reader_lexer_outer_101);
  Object oldself100 = self;
  struct StackFrameObject *oldstackframe100 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe100);
  gc_frame_newslot((Object)stackframe);
  self = obj100;
  Object *oldselfslot100 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter100 = (*(struct UserObject *)self).data[0], lowerouter100 = thisouter100;
  if (inheritingObject100) {
    struct UserObject *inho100 = (struct UserObject *)inheritingObject100;
    while (inho100->super != GraceDefaultObject) inho100 = (struct UserObject *)inho100->super;
    inho100->super = obj100;
    self = inheritingObject100;
    *selfslot = self;
    lowerouter100 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter100;
  }
// method new
  block_savedest(obj100);
  Object closure102 = createclosure(3, "new");
  setclosureframe(closure102, stackframe);
  addtoclosure(closure102, var_Token);
  addtoclosure(closure102, var_startLine);
  addtoclosure(closure102, var_stringStart);
  struct UserObject *uo102 = (struct UserObject*)obj100;
  uo102->data[1] = (Object)closure102;
  Method *meth_meth_lexer_new102 = addmethod2pos(obj100, "new", &meth_lexer_new102, 1);
  int argcv_meth_lexer_new102[] = {1};
  meth_meth_lexer_new102->type = alloc_MethodType(1, argcv_meth_lexer_new102);
  meth_meth_lexer_new102->definitionModule = modulename;
  meth_meth_lexer_new102->definitionLine = 58;
  block_savedest(obj100);
  Object closure125 = createclosure(3, "new()object");
  setclosureframe(closure125, stackframe);
  addtoclosure(closure125, var_Token);
  addtoclosure(closure125, var_startLine);
  addtoclosure(closure125, var_stringStart);
  Method *meth_meth_lexer_new102_object = addmethod2pos(obj100, "new()object", &meth_lexer_new102_object, 1);
  meth_meth_lexer_new102_object->definitionModule = modulename;
  meth_meth_lexer_new102_object->definitionLine = 58;
  sourceObject = obj100;
  objclass100 = obj100->class;
  objclass100->definitionModule = modulename;
  objclass100->definitionLine = 58;
  (*(struct UserObject *)self).data[0] = lowerouter100;
  self = oldself100;
  selfslot = oldselfslot100;
  stackframe = oldstackframe100;
// compiled object node returning obj100 (depth = 4)
  *var_MultiLineStringToken = obj100;
  if (obj100 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject126 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj126 = alloc_userobj2(2,4, objclass126);
  gc_frame_newslot(obj126);
// OBJECT OUTER DEC outer
  adddatum2(obj126, self, 0);
  addmethodreal(obj126,"outer", &reader_lexer_outer_127);
  Object oldself126 = self;
  struct StackFrameObject *oldstackframe126 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe126);
  gc_frame_newslot((Object)stackframe);
  self = obj126;
  Object *oldselfslot126 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter126 = (*(struct UserObject *)self).data[0], lowerouter126 = thisouter126;
  if (inheritingObject126) {
    struct UserObject *inho126 = (struct UserObject *)inheritingObject126;
    while (inho126->super != GraceDefaultObject) inho126 = (struct UserObject *)inho126->super;
    inho126->super = obj126;
    self = inheritingObject126;
    *selfslot = self;
    lowerouter126 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter126;
  }
// method new
  block_savedest(obj126);
  Object closure128 = createclosure(1, "new");
  setclosureframe(closure128, stackframe);
  addtoclosure(closure128, var_Token);
  struct UserObject *uo128 = (struct UserObject*)obj126;
  uo128->data[1] = (Object)closure128;
  Method *meth_meth_lexer_new128 = addmethod2pos(obj126, "new", &meth_lexer_new128, 1);
  int argcv_meth_lexer_new128[] = {1};
  meth_meth_lexer_new128->type = alloc_MethodType(1, argcv_meth_lexer_new128);
  meth_meth_lexer_new128->definitionModule = modulename;
  meth_meth_lexer_new128->definitionLine = 68;
  block_savedest(obj126);
  Object closure143 = createclosure(1, "new()object");
  setclosureframe(closure143, stackframe);
  addtoclosure(closure143, var_Token);
  Method *meth_meth_lexer_new128_object = addmethod2pos(obj126, "new()object", &meth_lexer_new128_object, 1);
  meth_meth_lexer_new128_object->definitionModule = modulename;
  meth_meth_lexer_new128_object->definitionLine = 68;
  sourceObject = obj126;
  objclass126 = obj126->class;
  objclass126->definitionModule = modulename;
  objclass126->definitionLine = 68;
  (*(struct UserObject *)self).data[0] = lowerouter126;
  self = oldself126;
  selfslot = oldselfslot126;
  stackframe = oldstackframe126;
// compiled object node returning obj126 (depth = 4)
  *var_CommentToken = obj126;
  if (obj126 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject144 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj144 = alloc_userobj2(2,4, objclass144);
  gc_frame_newslot(obj144);
// OBJECT OUTER DEC outer
  adddatum2(obj144, self, 0);
  addmethodreal(obj144,"outer", &reader_lexer_outer_145);
  Object oldself144 = self;
  struct StackFrameObject *oldstackframe144 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe144);
  gc_frame_newslot((Object)stackframe);
  self = obj144;
  Object *oldselfslot144 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter144 = (*(struct UserObject *)self).data[0], lowerouter144 = thisouter144;
  if (inheritingObject144) {
    struct UserObject *inho144 = (struct UserObject *)inheritingObject144;
    while (inho144->super != GraceDefaultObject) inho144 = (struct UserObject *)inho144->super;
    inho144->super = obj144;
    self = inheritingObject144;
    *selfslot = self;
    lowerouter144 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter144;
  }
// method new
  block_savedest(obj144);
  Object closure146 = createclosure(1, "new");
  setclosureframe(closure146, stackframe);
  addtoclosure(closure146, var_Token);
  struct UserObject *uo146 = (struct UserObject*)obj144;
  uo146->data[1] = (Object)closure146;
  Method *meth_meth_lexer_new146 = addmethod2pos(obj144, "new", &meth_lexer_new146, 1);
  int argcv_meth_lexer_new146[] = {0};
  meth_meth_lexer_new146->type = alloc_MethodType(1, argcv_meth_lexer_new146);
  meth_meth_lexer_new146->definitionModule = modulename;
  meth_meth_lexer_new146->definitionLine = 74;
  block_savedest(obj144);
  Object closure157 = createclosure(1, "new()object");
  setclosureframe(closure157, stackframe);
  addtoclosure(closure157, var_Token);
  Method *meth_meth_lexer_new146_object = addmethod2pos(obj144, "new()object", &meth_lexer_new146_object, 1);
  meth_meth_lexer_new146_object->definitionModule = modulename;
  meth_meth_lexer_new146_object->definitionLine = 74;
  sourceObject = obj144;
  objclass144 = obj144->class;
  objclass144->definitionModule = modulename;
  objclass144->definitionLine = 74;
  (*(struct UserObject *)self).data[0] = lowerouter144;
  self = oldself144;
  selfslot = oldselfslot144;
  stackframe = oldstackframe144;
// compiled object node returning obj144 (depth = 4)
  *var_LBraceToken = obj144;
  if (obj144 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject158 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj158 = alloc_userobj2(2,4, objclass158);
  gc_frame_newslot(obj158);
// OBJECT OUTER DEC outer
  adddatum2(obj158, self, 0);
  addmethodreal(obj158,"outer", &reader_lexer_outer_159);
  Object oldself158 = self;
  struct StackFrameObject *oldstackframe158 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe158);
  gc_frame_newslot((Object)stackframe);
  self = obj158;
  Object *oldselfslot158 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter158 = (*(struct UserObject *)self).data[0], lowerouter158 = thisouter158;
  if (inheritingObject158) {
    struct UserObject *inho158 = (struct UserObject *)inheritingObject158;
    while (inho158->super != GraceDefaultObject) inho158 = (struct UserObject *)inho158->super;
    inho158->super = obj158;
    self = inheritingObject158;
    *selfslot = self;
    lowerouter158 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter158;
  }
// method new
  block_savedest(obj158);
  Object closure160 = createclosure(1, "new");
  setclosureframe(closure160, stackframe);
  addtoclosure(closure160, var_Token);
  struct UserObject *uo160 = (struct UserObject*)obj158;
  uo160->data[1] = (Object)closure160;
  Method *meth_meth_lexer_new160 = addmethod2pos(obj158, "new", &meth_lexer_new160, 1);
  int argcv_meth_lexer_new160[] = {0};
  meth_meth_lexer_new160->type = alloc_MethodType(1, argcv_meth_lexer_new160);
  meth_meth_lexer_new160->definitionModule = modulename;
  meth_meth_lexer_new160->definitionLine = 80;
  block_savedest(obj158);
  Object closure171 = createclosure(1, "new()object");
  setclosureframe(closure171, stackframe);
  addtoclosure(closure171, var_Token);
  Method *meth_meth_lexer_new160_object = addmethod2pos(obj158, "new()object", &meth_lexer_new160_object, 1);
  meth_meth_lexer_new160_object->definitionModule = modulename;
  meth_meth_lexer_new160_object->definitionLine = 80;
  sourceObject = obj158;
  objclass158 = obj158->class;
  objclass158->definitionModule = modulename;
  objclass158->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter158;
  self = oldself158;
  selfslot = oldselfslot158;
  stackframe = oldstackframe158;
// compiled object node returning obj158 (depth = 4)
  *var_RBraceToken = obj158;
  if (obj158 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject172 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj172 = alloc_userobj2(2,4, objclass172);
  gc_frame_newslot(obj172);
// OBJECT OUTER DEC outer
  adddatum2(obj172, self, 0);
  addmethodreal(obj172,"outer", &reader_lexer_outer_173);
  Object oldself172 = self;
  struct StackFrameObject *oldstackframe172 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe172);
  gc_frame_newslot((Object)stackframe);
  self = obj172;
  Object *oldselfslot172 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter172 = (*(struct UserObject *)self).data[0], lowerouter172 = thisouter172;
  if (inheritingObject172) {
    struct UserObject *inho172 = (struct UserObject *)inheritingObject172;
    while (inho172->super != GraceDefaultObject) inho172 = (struct UserObject *)inho172->super;
    inho172->super = obj172;
    self = inheritingObject172;
    *selfslot = self;
    lowerouter172 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter172;
  }
// method new
  block_savedest(obj172);
  Object closure174 = createclosure(1, "new");
  setclosureframe(closure174, stackframe);
  addtoclosure(closure174, var_Token);
  struct UserObject *uo174 = (struct UserObject*)obj172;
  uo174->data[1] = (Object)closure174;
  Method *meth_meth_lexer_new174 = addmethod2pos(obj172, "new", &meth_lexer_new174, 1);
  int argcv_meth_lexer_new174[] = {0};
  meth_meth_lexer_new174->type = alloc_MethodType(1, argcv_meth_lexer_new174);
  meth_meth_lexer_new174->definitionModule = modulename;
  meth_meth_lexer_new174->definitionLine = 86;
  block_savedest(obj172);
  Object closure185 = createclosure(1, "new()object");
  setclosureframe(closure185, stackframe);
  addtoclosure(closure185, var_Token);
  Method *meth_meth_lexer_new174_object = addmethod2pos(obj172, "new()object", &meth_lexer_new174_object, 1);
  meth_meth_lexer_new174_object->definitionModule = modulename;
  meth_meth_lexer_new174_object->definitionLine = 86;
  sourceObject = obj172;
  objclass172 = obj172->class;
  objclass172->definitionModule = modulename;
  objclass172->definitionLine = 86;
  (*(struct UserObject *)self).data[0] = lowerouter172;
  self = oldself172;
  selfslot = oldselfslot172;
  stackframe = oldstackframe172;
// compiled object node returning obj172 (depth = 4)
  *var_LParenToken = obj172;
  if (obj172 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject186 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj186 = alloc_userobj2(2,4, objclass186);
  gc_frame_newslot(obj186);
// OBJECT OUTER DEC outer
  adddatum2(obj186, self, 0);
  addmethodreal(obj186,"outer", &reader_lexer_outer_187);
  Object oldself186 = self;
  struct StackFrameObject *oldstackframe186 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe186);
  gc_frame_newslot((Object)stackframe);
  self = obj186;
  Object *oldselfslot186 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter186 = (*(struct UserObject *)self).data[0], lowerouter186 = thisouter186;
  if (inheritingObject186) {
    struct UserObject *inho186 = (struct UserObject *)inheritingObject186;
    while (inho186->super != GraceDefaultObject) inho186 = (struct UserObject *)inho186->super;
    inho186->super = obj186;
    self = inheritingObject186;
    *selfslot = self;
    lowerouter186 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter186;
  }
// method new
  block_savedest(obj186);
  Object closure188 = createclosure(1, "new");
  setclosureframe(closure188, stackframe);
  addtoclosure(closure188, var_Token);
  struct UserObject *uo188 = (struct UserObject*)obj186;
  uo188->data[1] = (Object)closure188;
  Method *meth_meth_lexer_new188 = addmethod2pos(obj186, "new", &meth_lexer_new188, 1);
  int argcv_meth_lexer_new188[] = {0};
  meth_meth_lexer_new188->type = alloc_MethodType(1, argcv_meth_lexer_new188);
  meth_meth_lexer_new188->definitionModule = modulename;
  meth_meth_lexer_new188->definitionLine = 92;
  block_savedest(obj186);
  Object closure199 = createclosure(1, "new()object");
  setclosureframe(closure199, stackframe);
  addtoclosure(closure199, var_Token);
  Method *meth_meth_lexer_new188_object = addmethod2pos(obj186, "new()object", &meth_lexer_new188_object, 1);
  meth_meth_lexer_new188_object->definitionModule = modulename;
  meth_meth_lexer_new188_object->definitionLine = 92;
  sourceObject = obj186;
  objclass186 = obj186->class;
  objclass186->definitionModule = modulename;
  objclass186->definitionLine = 92;
  (*(struct UserObject *)self).data[0] = lowerouter186;
  self = oldself186;
  selfslot = oldselfslot186;
  stackframe = oldstackframe186;
// compiled object node returning obj186 (depth = 4)
  *var_RParenToken = obj186;
  if (obj186 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject200 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj200 = alloc_userobj2(2,4, objclass200);
  gc_frame_newslot(obj200);
// OBJECT OUTER DEC outer
  adddatum2(obj200, self, 0);
  addmethodreal(obj200,"outer", &reader_lexer_outer_201);
  Object oldself200 = self;
  struct StackFrameObject *oldstackframe200 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe200);
  gc_frame_newslot((Object)stackframe);
  self = obj200;
  Object *oldselfslot200 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter200 = (*(struct UserObject *)self).data[0], lowerouter200 = thisouter200;
  if (inheritingObject200) {
    struct UserObject *inho200 = (struct UserObject *)inheritingObject200;
    while (inho200->super != GraceDefaultObject) inho200 = (struct UserObject *)inho200->super;
    inho200->super = obj200;
    self = inheritingObject200;
    *selfslot = self;
    lowerouter200 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter200;
  }
// method new
  block_savedest(obj200);
  Object closure202 = createclosure(1, "new");
  setclosureframe(closure202, stackframe);
  addtoclosure(closure202, var_Token);
  struct UserObject *uo202 = (struct UserObject*)obj200;
  uo202->data[1] = (Object)closure202;
  Method *meth_meth_lexer_new202 = addmethod2pos(obj200, "new", &meth_lexer_new202, 1);
  int argcv_meth_lexer_new202[] = {0};
  meth_meth_lexer_new202->type = alloc_MethodType(1, argcv_meth_lexer_new202);
  meth_meth_lexer_new202->definitionModule = modulename;
  meth_meth_lexer_new202->definitionLine = 98;
  block_savedest(obj200);
  Object closure213 = createclosure(1, "new()object");
  setclosureframe(closure213, stackframe);
  addtoclosure(closure213, var_Token);
  Method *meth_meth_lexer_new202_object = addmethod2pos(obj200, "new()object", &meth_lexer_new202_object, 1);
  meth_meth_lexer_new202_object->definitionModule = modulename;
  meth_meth_lexer_new202_object->definitionLine = 98;
  sourceObject = obj200;
  objclass200 = obj200->class;
  objclass200->definitionModule = modulename;
  objclass200->definitionLine = 98;
  (*(struct UserObject *)self).data[0] = lowerouter200;
  self = oldself200;
  selfslot = oldselfslot200;
  stackframe = oldstackframe200;
// compiled object node returning obj200 (depth = 4)
  *var_LSquareToken = obj200;
  if (obj200 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject214 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj214 = alloc_userobj2(2,4, objclass214);
  gc_frame_newslot(obj214);
// OBJECT OUTER DEC outer
  adddatum2(obj214, self, 0);
  addmethodreal(obj214,"outer", &reader_lexer_outer_215);
  Object oldself214 = self;
  struct StackFrameObject *oldstackframe214 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe214);
  gc_frame_newslot((Object)stackframe);
  self = obj214;
  Object *oldselfslot214 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter214 = (*(struct UserObject *)self).data[0], lowerouter214 = thisouter214;
  if (inheritingObject214) {
    struct UserObject *inho214 = (struct UserObject *)inheritingObject214;
    while (inho214->super != GraceDefaultObject) inho214 = (struct UserObject *)inho214->super;
    inho214->super = obj214;
    self = inheritingObject214;
    *selfslot = self;
    lowerouter214 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter214;
  }
// method new
  block_savedest(obj214);
  Object closure216 = createclosure(1, "new");
  setclosureframe(closure216, stackframe);
  addtoclosure(closure216, var_Token);
  struct UserObject *uo216 = (struct UserObject*)obj214;
  uo216->data[1] = (Object)closure216;
  Method *meth_meth_lexer_new216 = addmethod2pos(obj214, "new", &meth_lexer_new216, 1);
  int argcv_meth_lexer_new216[] = {0};
  meth_meth_lexer_new216->type = alloc_MethodType(1, argcv_meth_lexer_new216);
  meth_meth_lexer_new216->definitionModule = modulename;
  meth_meth_lexer_new216->definitionLine = 104;
  block_savedest(obj214);
  Object closure227 = createclosure(1, "new()object");
  setclosureframe(closure227, stackframe);
  addtoclosure(closure227, var_Token);
  Method *meth_meth_lexer_new216_object = addmethod2pos(obj214, "new()object", &meth_lexer_new216_object, 1);
  meth_meth_lexer_new216_object->definitionModule = modulename;
  meth_meth_lexer_new216_object->definitionLine = 104;
  sourceObject = obj214;
  objclass214 = obj214->class;
  objclass214->definitionModule = modulename;
  objclass214->definitionLine = 104;
  (*(struct UserObject *)self).data[0] = lowerouter214;
  self = oldself214;
  selfslot = oldselfslot214;
  stackframe = oldstackframe214;
// compiled object node returning obj214 (depth = 4)
  *var_RSquareToken = obj214;
  if (obj214 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject228 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj228 = alloc_userobj2(2,4, objclass228);
  gc_frame_newslot(obj228);
// OBJECT OUTER DEC outer
  adddatum2(obj228, self, 0);
  addmethodreal(obj228,"outer", &reader_lexer_outer_229);
  Object oldself228 = self;
  struct StackFrameObject *oldstackframe228 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe228);
  gc_frame_newslot((Object)stackframe);
  self = obj228;
  Object *oldselfslot228 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter228 = (*(struct UserObject *)self).data[0], lowerouter228 = thisouter228;
  if (inheritingObject228) {
    struct UserObject *inho228 = (struct UserObject *)inheritingObject228;
    while (inho228->super != GraceDefaultObject) inho228 = (struct UserObject *)inho228->super;
    inho228->super = obj228;
    self = inheritingObject228;
    *selfslot = self;
    lowerouter228 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter228;
  }
// method new
  block_savedest(obj228);
  Object closure230 = createclosure(1, "new");
  setclosureframe(closure230, stackframe);
  addtoclosure(closure230, var_Token);
  struct UserObject *uo230 = (struct UserObject*)obj228;
  uo230->data[1] = (Object)closure230;
  Method *meth_meth_lexer_new230 = addmethod2pos(obj228, "new", &meth_lexer_new230, 1);
  int argcv_meth_lexer_new230[] = {0};
  meth_meth_lexer_new230->type = alloc_MethodType(1, argcv_meth_lexer_new230);
  meth_meth_lexer_new230->definitionModule = modulename;
  meth_meth_lexer_new230->definitionLine = 110;
  block_savedest(obj228);
  Object closure241 = createclosure(1, "new()object");
  setclosureframe(closure241, stackframe);
  addtoclosure(closure241, var_Token);
  Method *meth_meth_lexer_new230_object = addmethod2pos(obj228, "new()object", &meth_lexer_new230_object, 1);
  meth_meth_lexer_new230_object->definitionModule = modulename;
  meth_meth_lexer_new230_object->definitionLine = 110;
  sourceObject = obj228;
  objclass228 = obj228->class;
  objclass228->definitionModule = modulename;
  objclass228->definitionLine = 110;
  (*(struct UserObject *)self).data[0] = lowerouter228;
  self = oldself228;
  selfslot = oldselfslot228;
  stackframe = oldstackframe228;
// compiled object node returning obj228 (depth = 4)
  *var_CommaToken = obj228;
  if (obj228 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject242 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj242 = alloc_userobj2(2,4, objclass242);
  gc_frame_newslot(obj242);
// OBJECT OUTER DEC outer
  adddatum2(obj242, self, 0);
  addmethodreal(obj242,"outer", &reader_lexer_outer_243);
  Object oldself242 = self;
  struct StackFrameObject *oldstackframe242 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe242);
  gc_frame_newslot((Object)stackframe);
  self = obj242;
  Object *oldselfslot242 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter242 = (*(struct UserObject *)self).data[0], lowerouter242 = thisouter242;
  if (inheritingObject242) {
    struct UserObject *inho242 = (struct UserObject *)inheritingObject242;
    while (inho242->super != GraceDefaultObject) inho242 = (struct UserObject *)inho242->super;
    inho242->super = obj242;
    self = inheritingObject242;
    *selfslot = self;
    lowerouter242 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter242;
  }
// method new
  block_savedest(obj242);
  Object closure244 = createclosure(1, "new");
  setclosureframe(closure244, stackframe);
  addtoclosure(closure244, var_Token);
  struct UserObject *uo244 = (struct UserObject*)obj242;
  uo244->data[1] = (Object)closure244;
  Method *meth_meth_lexer_new244 = addmethod2pos(obj242, "new", &meth_lexer_new244, 1);
  int argcv_meth_lexer_new244[] = {0};
  meth_meth_lexer_new244->type = alloc_MethodType(1, argcv_meth_lexer_new244);
  meth_meth_lexer_new244->definitionModule = modulename;
  meth_meth_lexer_new244->definitionLine = 116;
  block_savedest(obj242);
  Object closure255 = createclosure(1, "new()object");
  setclosureframe(closure255, stackframe);
  addtoclosure(closure255, var_Token);
  Method *meth_meth_lexer_new244_object = addmethod2pos(obj242, "new()object", &meth_lexer_new244_object, 1);
  meth_meth_lexer_new244_object->definitionModule = modulename;
  meth_meth_lexer_new244_object->definitionLine = 116;
  sourceObject = obj242;
  objclass242 = obj242->class;
  objclass242->definitionModule = modulename;
  objclass242->definitionLine = 116;
  (*(struct UserObject *)self).data[0] = lowerouter242;
  self = oldself242;
  selfslot = oldselfslot242;
  stackframe = oldstackframe242;
// compiled object node returning obj242 (depth = 4)
  *var_ColonToken = obj242;
  if (obj242 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject256 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj256 = alloc_userobj2(2,4, objclass256);
  gc_frame_newslot(obj256);
// OBJECT OUTER DEC outer
  adddatum2(obj256, self, 0);
  addmethodreal(obj256,"outer", &reader_lexer_outer_257);
  Object oldself256 = self;
  struct StackFrameObject *oldstackframe256 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe256);
  gc_frame_newslot((Object)stackframe);
  self = obj256;
  Object *oldselfslot256 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter256 = (*(struct UserObject *)self).data[0], lowerouter256 = thisouter256;
  if (inheritingObject256) {
    struct UserObject *inho256 = (struct UserObject *)inheritingObject256;
    while (inho256->super != GraceDefaultObject) inho256 = (struct UserObject *)inho256->super;
    inho256->super = obj256;
    self = inheritingObject256;
    *selfslot = self;
    lowerouter256 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter256;
  }
// method new
  block_savedest(obj256);
  Object closure258 = createclosure(1, "new");
  setclosureframe(closure258, stackframe);
  addtoclosure(closure258, var_Token);
  struct UserObject *uo258 = (struct UserObject*)obj256;
  uo258->data[1] = (Object)closure258;
  Method *meth_meth_lexer_new258 = addmethod2pos(obj256, "new", &meth_lexer_new258, 1);
  int argcv_meth_lexer_new258[] = {0};
  meth_meth_lexer_new258->type = alloc_MethodType(1, argcv_meth_lexer_new258);
  meth_meth_lexer_new258->definitionModule = modulename;
  meth_meth_lexer_new258->definitionLine = 122;
  block_savedest(obj256);
  Object closure269 = createclosure(1, "new()object");
  setclosureframe(closure269, stackframe);
  addtoclosure(closure269, var_Token);
  Method *meth_meth_lexer_new258_object = addmethod2pos(obj256, "new()object", &meth_lexer_new258_object, 1);
  meth_meth_lexer_new258_object->definitionModule = modulename;
  meth_meth_lexer_new258_object->definitionLine = 122;
  sourceObject = obj256;
  objclass256 = obj256->class;
  objclass256->definitionModule = modulename;
  objclass256->definitionLine = 122;
  (*(struct UserObject *)self).data[0] = lowerouter256;
  self = oldself256;
  selfslot = oldselfslot256;
  stackframe = oldstackframe256;
// compiled object node returning obj256 (depth = 4)
  *var_DotToken = obj256;
  if (obj256 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject270 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj270 = alloc_userobj2(2,4, objclass270);
  gc_frame_newslot(obj270);
// OBJECT OUTER DEC outer
  adddatum2(obj270, self, 0);
  addmethodreal(obj270,"outer", &reader_lexer_outer_271);
  Object oldself270 = self;
  struct StackFrameObject *oldstackframe270 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe270);
  gc_frame_newslot((Object)stackframe);
  self = obj270;
  Object *oldselfslot270 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter270 = (*(struct UserObject *)self).data[0], lowerouter270 = thisouter270;
  if (inheritingObject270) {
    struct UserObject *inho270 = (struct UserObject *)inheritingObject270;
    while (inho270->super != GraceDefaultObject) inho270 = (struct UserObject *)inho270->super;
    inho270->super = obj270;
    self = inheritingObject270;
    *selfslot = self;
    lowerouter270 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter270;
  }
// method new
  block_savedest(obj270);
  Object closure272 = createclosure(3, "new");
  setclosureframe(closure272, stackframe);
  addtoclosure(closure272, var_Token);
  addtoclosure(closure272, var_startPosition);
  addtoclosure(closure272, var_linePosition);
  struct UserObject *uo272 = (struct UserObject*)obj270;
  uo272->data[1] = (Object)closure272;
  Method *meth_meth_lexer_new272 = addmethod2pos(obj270, "new", &meth_lexer_new272, 1);
  int argcv_meth_lexer_new272[] = {2};
  meth_meth_lexer_new272->type = alloc_MethodType(1, argcv_meth_lexer_new272);
  meth_meth_lexer_new272->definitionModule = modulename;
  meth_meth_lexer_new272->definitionLine = 128;
  block_savedest(obj270);
  Object closure285 = createclosure(3, "new()object");
  setclosureframe(closure285, stackframe);
  addtoclosure(closure285, var_Token);
  addtoclosure(closure285, var_startPosition);
  addtoclosure(closure285, var_linePosition);
  Method *meth_meth_lexer_new272_object = addmethod2pos(obj270, "new()object", &meth_lexer_new272_object, 1);
  meth_meth_lexer_new272_object->definitionModule = modulename;
  meth_meth_lexer_new272_object->definitionLine = 128;
  sourceObject = obj270;
  objclass270 = obj270->class;
  objclass270->definitionModule = modulename;
  objclass270->definitionLine = 128;
  (*(struct UserObject *)self).data[0] = lowerouter270;
  self = oldself270;
  selfslot = oldselfslot270;
  stackframe = oldstackframe270;
// compiled object node returning obj270 (depth = 4)
  *var_NumToken = obj270;
  if (obj270 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject286 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj286 = alloc_userobj2(2,4, objclass286);
  gc_frame_newslot(obj286);
// OBJECT OUTER DEC outer
  adddatum2(obj286, self, 0);
  addmethodreal(obj286,"outer", &reader_lexer_outer_287);
  Object oldself286 = self;
  struct StackFrameObject *oldstackframe286 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe286);
  gc_frame_newslot((Object)stackframe);
  self = obj286;
  Object *oldselfslot286 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter286 = (*(struct UserObject *)self).data[0], lowerouter286 = thisouter286;
  if (inheritingObject286) {
    struct UserObject *inho286 = (struct UserObject *)inheritingObject286;
    while (inho286->super != GraceDefaultObject) inho286 = (struct UserObject *)inho286->super;
    inho286->super = obj286;
    self = inheritingObject286;
    *selfslot = self;
    lowerouter286 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter286;
  }
// method new
  block_savedest(obj286);
  Object closure288 = createclosure(1, "new");
  setclosureframe(closure288, stackframe);
  addtoclosure(closure288, var_Token);
  struct UserObject *uo288 = (struct UserObject*)obj286;
  uo288->data[1] = (Object)closure288;
  Method *meth_meth_lexer_new288 = addmethod2pos(obj286, "new", &meth_lexer_new288, 1);
  int argcv_meth_lexer_new288[] = {1};
  meth_meth_lexer_new288->type = alloc_MethodType(1, argcv_meth_lexer_new288);
  meth_meth_lexer_new288->definitionModule = modulename;
  meth_meth_lexer_new288->definitionLine = 135;
  block_savedest(obj286);
  Object closure299 = createclosure(1, "new()object");
  setclosureframe(closure299, stackframe);
  addtoclosure(closure299, var_Token);
  Method *meth_meth_lexer_new288_object = addmethod2pos(obj286, "new()object", &meth_lexer_new288_object, 1);
  meth_meth_lexer_new288_object->definitionModule = modulename;
  meth_meth_lexer_new288_object->definitionLine = 135;
  sourceObject = obj286;
  objclass286 = obj286->class;
  objclass286->definitionModule = modulename;
  objclass286->definitionLine = 135;
  (*(struct UserObject *)self).data[0] = lowerouter286;
  self = oldself286;
  selfslot = oldselfslot286;
  stackframe = oldstackframe286;
// compiled object node returning obj286 (depth = 4)
  *var_KeywordToken = obj286;
  if (obj286 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject300 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj300 = alloc_userobj2(2,4, objclass300);
  gc_frame_newslot(obj300);
// OBJECT OUTER DEC outer
  adddatum2(obj300, self, 0);
  addmethodreal(obj300,"outer", &reader_lexer_outer_301);
  Object oldself300 = self;
  struct StackFrameObject *oldstackframe300 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe300);
  gc_frame_newslot((Object)stackframe);
  self = obj300;
  Object *oldselfslot300 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter300 = (*(struct UserObject *)self).data[0], lowerouter300 = thisouter300;
  if (inheritingObject300) {
    struct UserObject *inho300 = (struct UserObject *)inheritingObject300;
    while (inho300->super != GraceDefaultObject) inho300 = (struct UserObject *)inho300->super;
    inho300->super = obj300;
    self = inheritingObject300;
    *selfslot = self;
    lowerouter300 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter300;
  }
// method new
  block_savedest(obj300);
  Object closure302 = createclosure(1, "new");
  setclosureframe(closure302, stackframe);
  addtoclosure(closure302, var_Token);
  struct UserObject *uo302 = (struct UserObject*)obj300;
  uo302->data[1] = (Object)closure302;
  Method *meth_meth_lexer_new302 = addmethod2pos(obj300, "new", &meth_lexer_new302, 1);
  int argcv_meth_lexer_new302[] = {1};
  meth_meth_lexer_new302->type = alloc_MethodType(1, argcv_meth_lexer_new302);
  meth_meth_lexer_new302->definitionModule = modulename;
  meth_meth_lexer_new302->definitionLine = 141;
  block_savedest(obj300);
  Object closure313 = createclosure(1, "new()object");
  setclosureframe(closure313, stackframe);
  addtoclosure(closure313, var_Token);
  Method *meth_meth_lexer_new302_object = addmethod2pos(obj300, "new()object", &meth_lexer_new302_object, 1);
  meth_meth_lexer_new302_object->definitionModule = modulename;
  meth_meth_lexer_new302_object->definitionLine = 141;
  sourceObject = obj300;
  objclass300 = obj300->class;
  objclass300->definitionModule = modulename;
  objclass300->definitionLine = 141;
  (*(struct UserObject *)self).data[0] = lowerouter300;
  self = oldself300;
  selfslot = oldselfslot300;
  stackframe = oldstackframe300;
// compiled object node returning obj300 (depth = 4)
  *var_OpToken = obj300;
  if (obj300 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject314 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj314 = alloc_userobj2(2,4, objclass314);
  gc_frame_newslot(obj314);
// OBJECT OUTER DEC outer
  adddatum2(obj314, self, 0);
  addmethodreal(obj314,"outer", &reader_lexer_outer_315);
  Object oldself314 = self;
  struct StackFrameObject *oldstackframe314 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe314);
  gc_frame_newslot((Object)stackframe);
  self = obj314;
  Object *oldselfslot314 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter314 = (*(struct UserObject *)self).data[0], lowerouter314 = thisouter314;
  if (inheritingObject314) {
    struct UserObject *inho314 = (struct UserObject *)inheritingObject314;
    while (inho314->super != GraceDefaultObject) inho314 = (struct UserObject *)inho314->super;
    inho314->super = obj314;
    self = inheritingObject314;
    *selfslot = self;
    lowerouter314 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter314;
  }
// method new
  block_savedest(obj314);
  Object closure316 = createclosure(1, "new");
  setclosureframe(closure316, stackframe);
  addtoclosure(closure316, var_Token);
  struct UserObject *uo316 = (struct UserObject*)obj314;
  uo316->data[1] = (Object)closure316;
  Method *meth_meth_lexer_new316 = addmethod2pos(obj314, "new", &meth_lexer_new316, 1);
  int argcv_meth_lexer_new316[] = {0};
  meth_meth_lexer_new316->type = alloc_MethodType(1, argcv_meth_lexer_new316);
  meth_meth_lexer_new316->definitionModule = modulename;
  meth_meth_lexer_new316->definitionLine = 147;
  block_savedest(obj314);
  Object closure327 = createclosure(1, "new()object");
  setclosureframe(closure327, stackframe);
  addtoclosure(closure327, var_Token);
  Method *meth_meth_lexer_new316_object = addmethod2pos(obj314, "new()object", &meth_lexer_new316_object, 1);
  meth_meth_lexer_new316_object->definitionModule = modulename;
  meth_meth_lexer_new316_object->definitionLine = 147;
  sourceObject = obj314;
  objclass314 = obj314->class;
  objclass314->definitionModule = modulename;
  objclass314->definitionLine = 147;
  (*(struct UserObject *)self).data[0] = lowerouter314;
  self = oldself314;
  selfslot = oldselfslot314;
  stackframe = oldstackframe314;
// compiled object node returning obj314 (depth = 4)
  *var_ArrowToken = obj314;
  if (obj314 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject328 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj328 = alloc_userobj2(2,4, objclass328);
  gc_frame_newslot(obj328);
// OBJECT OUTER DEC outer
  adddatum2(obj328, self, 0);
  addmethodreal(obj328,"outer", &reader_lexer_outer_329);
  Object oldself328 = self;
  struct StackFrameObject *oldstackframe328 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe328);
  gc_frame_newslot((Object)stackframe);
  self = obj328;
  Object *oldselfslot328 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter328 = (*(struct UserObject *)self).data[0], lowerouter328 = thisouter328;
  if (inheritingObject328) {
    struct UserObject *inho328 = (struct UserObject *)inheritingObject328;
    while (inho328->super != GraceDefaultObject) inho328 = (struct UserObject *)inho328->super;
    inho328->super = obj328;
    self = inheritingObject328;
    *selfslot = self;
    lowerouter328 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter328;
  }
// method new
  block_savedest(obj328);
  Object closure330 = createclosure(1, "new");
  setclosureframe(closure330, stackframe);
  addtoclosure(closure330, var_Token);
  struct UserObject *uo330 = (struct UserObject*)obj328;
  uo330->data[1] = (Object)closure330;
  Method *meth_meth_lexer_new330 = addmethod2pos(obj328, "new", &meth_lexer_new330, 1);
  int argcv_meth_lexer_new330[] = {0};
  meth_meth_lexer_new330->type = alloc_MethodType(1, argcv_meth_lexer_new330);
  meth_meth_lexer_new330->definitionModule = modulename;
  meth_meth_lexer_new330->definitionLine = 153;
  block_savedest(obj328);
  Object closure341 = createclosure(1, "new()object");
  setclosureframe(closure341, stackframe);
  addtoclosure(closure341, var_Token);
  Method *meth_meth_lexer_new330_object = addmethod2pos(obj328, "new()object", &meth_lexer_new330_object, 1);
  meth_meth_lexer_new330_object->definitionModule = modulename;
  meth_meth_lexer_new330_object->definitionLine = 153;
  sourceObject = obj328;
  objclass328 = obj328->class;
  objclass328->definitionModule = modulename;
  objclass328->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter328;
  self = oldself328;
  selfslot = oldselfslot328;
  stackframe = oldstackframe328;
// compiled object node returning obj328 (depth = 4)
  *var_BindToken = obj328;
  if (obj328 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject342 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj342 = alloc_userobj2(2,4, objclass342);
  gc_frame_newslot(obj342);
// OBJECT OUTER DEC outer
  adddatum2(obj342, self, 0);
  addmethodreal(obj342,"outer", &reader_lexer_outer_343);
  Object oldself342 = self;
  struct StackFrameObject *oldstackframe342 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe342);
  gc_frame_newslot((Object)stackframe);
  self = obj342;
  Object *oldselfslot342 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter342 = (*(struct UserObject *)self).data[0], lowerouter342 = thisouter342;
  if (inheritingObject342) {
    struct UserObject *inho342 = (struct UserObject *)inheritingObject342;
    while (inho342->super != GraceDefaultObject) inho342 = (struct UserObject *)inho342->super;
    inho342->super = obj342;
    self = inheritingObject342;
    *selfslot = self;
    lowerouter342 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter342;
  }
// method new
  block_savedest(obj342);
  Object closure344 = createclosure(1, "new");
  setclosureframe(closure344, stackframe);
  addtoclosure(closure344, var_Token);
  struct UserObject *uo344 = (struct UserObject*)obj342;
  uo344->data[1] = (Object)closure344;
  Method *meth_meth_lexer_new344 = addmethod2pos(obj342, "new", &meth_lexer_new344, 1);
  int argcv_meth_lexer_new344[] = {0};
  meth_meth_lexer_new344->type = alloc_MethodType(1, argcv_meth_lexer_new344);
  meth_meth_lexer_new344->definitionModule = modulename;
  meth_meth_lexer_new344->definitionLine = 159;
  block_savedest(obj342);
  Object closure355 = createclosure(1, "new()object");
  setclosureframe(closure355, stackframe);
  addtoclosure(closure355, var_Token);
  Method *meth_meth_lexer_new344_object = addmethod2pos(obj342, "new()object", &meth_lexer_new344_object, 1);
  meth_meth_lexer_new344_object->definitionModule = modulename;
  meth_meth_lexer_new344_object->definitionLine = 159;
  sourceObject = obj342;
  objclass342 = obj342->class;
  objclass342->definitionModule = modulename;
  objclass342->definitionLine = 159;
  (*(struct UserObject *)self).data[0] = lowerouter342;
  self = oldself342;
  selfslot = oldselfslot342;
  stackframe = oldstackframe342;
// compiled object node returning obj342 (depth = 4)
  *var_SemicolonToken = obj342;
  if (obj342 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject356 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj356 = alloc_userobj2(2,4, objclass356);
  gc_frame_newslot(obj356);
// OBJECT OUTER DEC outer
  adddatum2(obj356, self, 0);
  addmethodreal(obj356,"outer", &reader_lexer_outer_357);
  Object oldself356 = self;
  struct StackFrameObject *oldstackframe356 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe356);
  gc_frame_newslot((Object)stackframe);
  self = obj356;
  Object *oldselfslot356 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter356 = (*(struct UserObject *)self).data[0], lowerouter356 = thisouter356;
  if (inheritingObject356) {
    struct UserObject *inho356 = (struct UserObject *)inheritingObject356;
    while (inho356->super != GraceDefaultObject) inho356 = (struct UserObject *)inho356->super;
    inho356->super = obj356;
    self = inheritingObject356;
    *selfslot = self;
    lowerouter356 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter356;
  }
// method new
  block_savedest(obj356);
  Object closure358 = createclosure(1, "new");
  setclosureframe(closure358, stackframe);
  addtoclosure(closure358, var_Token);
  struct UserObject *uo358 = (struct UserObject*)obj356;
  uo358->data[1] = (Object)closure358;
  Method *meth_meth_lexer_new358 = addmethod2pos(obj356, "new", &meth_lexer_new358, 1);
  int argcv_meth_lexer_new358[] = {0};
  meth_meth_lexer_new358->type = alloc_MethodType(1, argcv_meth_lexer_new358);
  meth_meth_lexer_new358->definitionModule = modulename;
  meth_meth_lexer_new358->definitionLine = 165;
  block_savedest(obj356);
  Object closure369 = createclosure(1, "new()object");
  setclosureframe(closure369, stackframe);
  addtoclosure(closure369, var_Token);
  Method *meth_meth_lexer_new358_object = addmethod2pos(obj356, "new()object", &meth_lexer_new358_object, 1);
  meth_meth_lexer_new358_object->definitionModule = modulename;
  meth_meth_lexer_new358_object->definitionLine = 165;
  sourceObject = obj356;
  objclass356 = obj356->class;
  objclass356->definitionModule = modulename;
  objclass356->definitionLine = 165;
  (*(struct UserObject *)self).data[0] = lowerouter356;
  self = oldself356;
  selfslot = oldselfslot356;
  stackframe = oldstackframe356;
// compiled object node returning obj356 (depth = 4)
  *var_LGenericToken = obj356;
  if (obj356 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 2)
// starting to compile defdec node (depth = 3)
// starting to compile object node (depth = 4)
  Object inheritingObject370 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj370 = alloc_userobj2(2,4, objclass370);
  gc_frame_newslot(obj370);
// OBJECT OUTER DEC outer
  adddatum2(obj370, self, 0);
  addmethodreal(obj370,"outer", &reader_lexer_outer_371);
  Object oldself370 = self;
  struct StackFrameObject *oldstackframe370 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe370);
  gc_frame_newslot((Object)stackframe);
  self = obj370;
  Object *oldselfslot370 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter370 = (*(struct UserObject *)self).data[0], lowerouter370 = thisouter370;
  if (inheritingObject370) {
    struct UserObject *inho370 = (struct UserObject *)inheritingObject370;
    while (inho370->super != GraceDefaultObject) inho370 = (struct UserObject *)inho370->super;
    inho370->super = obj370;
    self = inheritingObject370;
    *selfslot = self;
    lowerouter370 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter370;
  }
// method new
  block_savedest(obj370);
  Object closure372 = createclosure(1, "new");
  setclosureframe(closure372, stackframe);
  addtoclosure(closure372, var_Token);
  struct UserObject *uo372 = (struct UserObject*)obj370;
  uo372->data[1] = (Object)closure372;
  Method *meth_meth_lexer_new372 = addmethod2pos(obj370, "new", &meth_lexer_new372, 1);
  int argcv_meth_lexer_new372[] = {0};
  meth_meth_lexer_new372->type = alloc_MethodType(1, argcv_meth_lexer_new372);
  meth_meth_lexer_new372->definitionModule = modulename;
  meth_meth_lexer_new372->definitionLine = 171;
  block_savedest(obj370);
  Object closure383 = createclosure(1, "new()object");
  setclosureframe(closure383, stackframe);
  addtoclosure(closure383, var_Token);
  Method *meth_meth_lexer_new372_object = addmethod2pos(obj370, "new()object", &meth_lexer_new372_object, 1);
  meth_meth_lexer_new372_object->definitionModule = modulename;
  meth_meth_lexer_new372_object->definitionLine = 171;
  sourceObject = obj370;
  objclass370 = obj370->class;
  objclass370->definitionModule = modulename;
  objclass370->definitionLine = 171;
  (*(struct UserObject *)self).data[0] = lowerouter370;
  self = oldself370;
  selfslot = oldselfslot370;
  stackframe = oldstackframe370;
// compiled object node returning obj370 (depth = 4)
  *var_RGenericToken = obj370;
  if (obj370 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// compiled class node returning done (depth = 2)
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject384 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj384 = alloc_userobj2(8,9, objclass384);
  gc_frame_newslot(obj384);
if (objclass384 == NULL) {
  glfree(obj384->class->name);
  obj384->class->name = "self.new";
}
// OBJECT OUTER DEC outer
  adddatum2(obj384, self, 0);
  addmethodreal(obj384,"outer", &reader_lexer_outer_385);
  Object oldself384 = self;
  struct StackFrameObject *oldstackframe384 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe384);
  gc_frame_newslot((Object)stackframe);
  self = obj384;
  Object *oldselfslot384 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter384 = (*(struct UserObject *)self).data[0], lowerouter384 = thisouter384;
  if (inheritingObject384) {
    struct UserObject *inho384 = (struct UserObject *)inheritingObject384;
    while (inho384->super != GraceDefaultObject) inho384 = (struct UserObject *)inho384->super;
    inho384->super = obj384;
    self = inheritingObject384;
    *selfslot = self;
    lowerouter384 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter384;
  }
// method modechange
  block_savedest(obj384);
  Object closure386 = createclosure(27, "modechange");
  setclosureframe(closure386, stackframe);
  addtoclosure(closure386, var_IdentifierToken);
  addtoclosure(closure386, var_KeywordToken);
  addtoclosure(closure386, var_StringToken);
  addtoclosure(closure386, var_MultiLineStringToken);
  addtoclosure(closure386, var_CommaToken);
  addtoclosure(closure386, var_DotToken);
  addtoclosure(closure386, var_LBraceToken);
  addtoclosure(closure386, var_RBraceToken);
  addtoclosure(closure386, var_LParenToken);
  addtoclosure(closure386, var_RParenToken);
  addtoclosure(closure386, var_LSquareToken);
  addtoclosure(closure386, var_RSquareToken);
  addtoclosure(closure386, var_LGenericToken);
  addtoclosure(closure386, var_RGenericToken);
  addtoclosure(closure386, var_SemicolonToken);
  addtoclosure(closure386, var_NumToken);
  addtoclosure(closure386, var_errormessages);
  addtoclosure(closure386, var_linePosition);
  addtoclosure(closure386, var_lineNumber);
  addtoclosure(closure386, var_OpToken);
  addtoclosure(closure386, var_ArrowToken);
  addtoclosure(closure386, var_BindToken);
  addtoclosure(closure386, var_ColonToken);
  addtoclosure(closure386, var_indentLevel);
  addtoclosure(closure386, var_CommentToken);
  addtoclosure(closure386, var_util);
  addtoclosure(closure386, var_startPosition);
  struct UserObject *uo386 = (struct UserObject*)obj384;
  uo386->data[1] = (Object)closure386;
  Method *meth_meth_lexer_modechange386 = addmethod2pos(obj384, "modechange", &meth_lexer_modechange386, 1);
  int argcv_meth_lexer_modechange386[] = {3};
  meth_meth_lexer_modechange386->type = alloc_MethodType(1, argcv_meth_lexer_modechange386);
  meth_meth_lexer_modechange386->definitionModule = modulename;
  meth_meth_lexer_modechange386->definitionLine = 196;
// method fromBase
  block_savedest(obj384);
  Object closure1124 = createclosure(4, "fromBase");
  setclosureframe(closure1124, stackframe);
  addtoclosure(closure1124, var_errormessages);
  addtoclosure(closure1124, var_linePosition);
  addtoclosure(closure1124, var_lineNumber);
  addtoclosure(closure1124, var_unicode);
  struct UserObject *uo1124 = (struct UserObject*)obj384;
  uo1124->data[2] = (Object)closure1124;
  Method *meth_meth_lexer_fromBase1124 = addmethod2pos(obj384, "fromBase", &meth_lexer_fromBase1124, 2);
  int argcv_meth_lexer_fromBase1124[] = {2};
  meth_meth_lexer_fromBase1124->type = alloc_MethodType(1, argcv_meth_lexer_fromBase1124);
  meth_meth_lexer_fromBase1124->definitionModule = modulename;
  meth_meth_lexer_fromBase1124->definitionLine = 373;
// method hexdecchar
  block_savedest(obj384);
  Object closure1340 = createclosure(3, "hexdecchar");
  setclosureframe(closure1340, stackframe);
  addtoclosure(closure1340, var_lineNumber);
  addtoclosure(closure1340, var_linePosition);
  addtoclosure(closure1340, var_errormessages);
  struct UserObject *uo1340 = (struct UserObject*)obj384;
  uo1340->data[3] = (Object)closure1340;
  Method *meth_meth_lexer_hexdecchar1340 = addmethod2pos(obj384, "hexdecchar", &meth_lexer_hexdecchar1340, 3);
  int argcv_meth_lexer_hexdecchar1340[] = {1};
  meth_meth_lexer_hexdecchar1340->type = alloc_MethodType(1, argcv_meth_lexer_hexdecchar1340);
  meth_meth_lexer_hexdecchar1340->definitionModule = modulename;
  meth_meth_lexer_hexdecchar1340->definitionLine = 415;
// method makeNumToken
  block_savedest(obj384);
  Object closure1418 = createclosure(4, "makeNumToken");
  setclosureframe(closure1418, stackframe);
  addtoclosure(closure1418, var_errormessages);
  addtoclosure(closure1418, var_linePosition);
  addtoclosure(closure1418, var_lineNumber);
  addtoclosure(closure1418, var_NumToken);
  struct UserObject *uo1418 = (struct UserObject*)obj384;
  uo1418->data[4] = (Object)closure1418;
  Method *meth_meth_lexer_makeNumToken1418 = addmethod2pos(obj384, "makeNumToken", &meth_lexer_makeNumToken1418, 4);
  int argcv_meth_lexer_makeNumToken1418[] = {1};
  meth_meth_lexer_makeNumToken1418->type = alloc_MethodType(1, argcv_meth_lexer_makeNumToken1418);
  meth_meth_lexer_makeNumToken1418->definitionModule = modulename;
  meth_meth_lexer_makeNumToken1418->definitionLine = 433;
// method isidentifierchar
  block_savedest(obj384);
  Object closure1597 = createclosure(1, "isidentifierchar");
  setclosureframe(closure1597, stackframe);
  addtoclosure(closure1597, var_unicode);
  struct UserObject *uo1597 = (struct UserObject*)obj384;
  uo1597->data[5] = (Object)closure1597;
  Method *meth_meth_lexer_isidentifierchar1597 = addmethod2pos(obj384, "isidentifierchar", &meth_lexer_isidentifierchar1597, 5);
  int argcv_meth_lexer_isidentifierchar1597[] = {1};
  meth_meth_lexer_isidentifierchar1597->type = alloc_MethodType(1, argcv_meth_lexer_isidentifierchar1597);
  meth_meth_lexer_isidentifierchar1597->definitionModule = modulename;
  meth_meth_lexer_isidentifierchar1597->definitionLine = 478;
// method isoperatorchar
  block_savedest(obj384);
  Object closure1620 = createclosure(1, "isoperatorchar");
  setclosureframe(closure1620, stackframe);
  addtoclosure(closure1620, var_unicode);
  struct UserObject *uo1620 = (struct UserObject*)obj384;
  uo1620->data[6] = (Object)closure1620;
  Method *meth_meth_lexer_isoperatorchar1620 = addmethod2pos(obj384, "isoperatorchar", &meth_lexer_isoperatorchar1620, 6);
  int argcv_meth_lexer_isoperatorchar1620[] = {2};
  meth_meth_lexer_isoperatorchar1620->type = alloc_MethodType(1, argcv_meth_lexer_isoperatorchar1620);
  meth_meth_lexer_isoperatorchar1620->definitionModule = modulename;
  meth_meth_lexer_isoperatorchar1620->definitionLine = 494;
// method lexfile
  block_savedest(obj384);
  Object closure1714 = createclosure(1, "lexfile");
  setclosureframe(closure1714, stackframe);
  addtoclosure(closure1714, var_util);
  struct UserObject *uo1714 = (struct UserObject*)obj384;
  uo1714->data[7] = (Object)closure1714;
  Method *meth_meth_lexer_lexfile1714 = addmethod2pos(obj384, "lexfile", &meth_lexer_lexfile1714, 7);
  int argcv_meth_lexer_lexfile1714[] = {1};
  meth_meth_lexer_lexfile1714->type = alloc_MethodType(1, argcv_meth_lexer_lexfile1714);
  meth_meth_lexer_lexfile1714->definitionModule = modulename;
  meth_meth_lexer_lexfile1714->definitionLine = 511;
// method lexinput
  block_savedest(obj384);
  Object closure1835 = createclosure(8, "lexinput");
  setclosureframe(closure1835, stackframe);
  addtoclosure(closure1835, var_linePosition);
  addtoclosure(closure1835, var_util);
  addtoclosure(closure1835, var_unicode);
  addtoclosure(closure1835, var_errormessages);
  addtoclosure(closure1835, var_lineNumber);
  addtoclosure(closure1835, var_stringStart);
  addtoclosure(closure1835, var_startLine);
  addtoclosure(closure1835, var_startPosition);
  struct UserObject *uo1835 = (struct UserObject*)obj384;
  uo1835->data[8] = (Object)closure1835;
  Method *meth_meth_lexer_lexinput1835 = addmethod2pos(obj384, "lexinput", &meth_lexer_lexinput1835, 8);
  int argcv_meth_lexer_lexinput1835[] = {1};
  meth_meth_lexer_lexinput1835->type = alloc_MethodType(1, argcv_meth_lexer_lexinput1835);
  meth_meth_lexer_lexinput1835->definitionModule = modulename;
  meth_meth_lexer_lexinput1835->definitionLine = 566;
  sourceObject = obj384;
  sourceObject = obj384;
  sourceObject = obj384;
  sourceObject = obj384;
  sourceObject = obj384;
  sourceObject = obj384;
  sourceObject = obj384;
  sourceObject = obj384;
  objclass384 = obj384->class;
  objclass384->definitionModule = modulename;
  objclass384->definitionLine = 179;
  (*(struct UserObject *)self).data[0] = lowerouter384;
  self = oldself384;
  selfslot = oldselfslot384;
  stackframe = oldstackframe384;
  gc_frame_end(frame);
  return obj384;
}
Object module_lexer_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(5, 5);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_StandardPrelude_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<lexer>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_Object = alloc_var();
  *var_Object = ObjectType;
  type_Object = ObjectType;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  type_Done = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = grace_prelude();
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object params[1];
  int partcv[1];
Object *var_io = alloc_var();
Object *var_sys = alloc_var();
Object *var_util = alloc_var();
Object *var_unicode = alloc_var();
Object *var_collections = alloc_var();
Object *var_errormessages = alloc_var();
// Begin line 8
  setline(8);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method padl
  struct UserObject *uo0 = (struct UserObject*)self;
  uo0->data[1] = emptyclosure;
  Method *meth_meth_lexer_padl0 = addmethod2pos(self, "padl", &meth_lexer_padl0, 1);
  int argcv_meth_lexer_padl0[] = {3};
  meth_meth_lexer_padl0->type = alloc_MethodType(1, argcv_meth_lexer_padl0);
  meth_meth_lexer_padl0->definitionModule = modulename;
  meth_meth_lexer_padl0->definitionLine = 8;
// compiled method node returning  (depth = 1)
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method new
  block_savedest(self);
  Object closure24 = createclosure(3, "new");
  setclosureframe(closure24, stackframe);
  addtoclosure(closure24, var_errormessages);
  addtoclosure(closure24, var_util);
  addtoclosure(closure24, var_unicode);
  struct UserObject *uo24 = (struct UserObject*)self;
  uo24->data[2] = (Object)closure24;
  Method *meth_meth_lexer_new24 = addmethod2pos(self, "new", &meth_lexer_new24, 2);
  int argcv_meth_lexer_new24[] = {0};
  meth_meth_lexer_new24->type = alloc_MethodType(1, argcv_meth_lexer_new24);
  meth_meth_lexer_new24->definitionModule = modulename;
  meth_meth_lexer_new24->definitionLine = 20;
  block_savedest(self);
  Object closure3530 = createclosure(3, "new()object");
  setclosureframe(closure3530, stackframe);
  addtoclosure(closure3530, var_errormessages);
  addtoclosure(closure3530, var_util);
  addtoclosure(closure3530, var_unicode);
  Method *meth_meth_lexer_new24_object = addmethod2pos(self, "new()object", &meth_lexer_new24_object, 2);
  meth_meth_lexer_new24_object->definitionModule = modulename;
  meth_meth_lexer_new24_object->definitionLine = 20;
// compiled method node returning  (depth = 1)
// Begin line 1
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of io as io
  if (module_io == NULL)
    module_io = module_io_init();
  *var_io = module_io;
// compiled import node returning done (depth = 1)
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of sys as sys
  if (module_sys == NULL)
    module_sys = module_sys_init();
  *var_sys = module_sys;
// compiled import node returning done (depth = 1)
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of util as util
  if (module_util == NULL)
    module_util = module_util_init();
  *var_util = module_util;
// compiled import node returning done (depth = 1)
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of unicode as unicode
  if (module_unicode == NULL)
    module_unicode = dlmodule("unicode");
  *var_unicode = module_unicode;
// compiled import node returning done (depth = 1)
// Begin line 5
  setline(5);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of mgcollections as collections
  if (module_mgcollections == NULL)
    module_mgcollections = module_mgcollections_init();
  *var_collections = module_mgcollections;
// compiled import node returning done (depth = 1)
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of errormessages as errormessages
  if (module_errormessages == NULL)
    module_errormessages = module_errormessages_init();
  *var_errormessages = module_errormessages;
// compiled import node returning done (depth = 1)
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
  gc_frame_end(frame);
  return self;
}
