#include <gracelib.h>
#include <stdlib.h>
#include <math.h>
#include <float.h>
static char compilerRevision[] = "3929f71a888fe131175684285ef6f3b2ac609a76";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object ObjectType;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_Object;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object type_Type;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "parser";
Object module_StandardPrelude_init();
static char *originalSourceLines[] = {
  "#pragma DefaultVisibility=public",
  "import \"io\" as io",
  "import \"ast\" as ast",
  "import \"util\" as util",
  "import \"mgcollections\" as collections",
  "import \"errormessages\" as errormessages",
  "",
  "def don'tBreak = true",
  "var lastline := 0",
  "var linenum := 0",
  "var lastIndent := 0",
  "var indentFreePass := false",
  "var minIndentLevel := 0",
  "var statementIndent := 0",
  "var tokens := false",
  "var values := []",
  "var auto_count := 0",
  "def noBlocks = false",
  "def blocksOK = true",
  "var braceIsType := false",
  "var defaultDefVisibility := \"confidential\"",
  "var defaultVarVisibility := \"confidential\"",
  "var defaultMethodVisibility := \"public\"",
  "",
  "// Global object containing the current token",
  "var sym",
  "var lastToken := object {",
  "    var kind := \"start\"",
  "    var line := 1",
  "    var linePos := 0",
  "    var indent := 0",
  "    var value := \"\"",
  "    def size = 0",
  "}",
  "",
  "var statementToken := lastToken",
  "var comment := false",
  "",
  "// Advance to the next token in the stream, with special handling",
  "// so the magic \"line\" tokens update the line number for error output.",
  "method next {",
  "    lastToken := sym",
  "    if (tokens.size > 0) then {",
  "        lastline := linenum",
  "        lastIndent := sym.indent",
  "        sym := tokens.poll",
  "        if (sym.kind == \"comment\") then {",
  "            comment := \"\"",
  "            while {(sym.kind == \"comment\").andAlso {tokens.size > 0}} do {",
  "                comment := comment ++ sym.value",
  "                sym := tokens.poll",
  "            }",
  "        }",
  "        linenum := sym.line",
  "        util.setPosition(sym.line, sym.linePos)",
  "    } elseif { sym.kind == \"eof\" } then {",
  "        errormessages.syntaxError(\"Unexpetedly found the end of the input. This is often caused by a missing '\\}'\")",
  "            atRange(sym.line, sym.linePos, sym.linePos)",
  "    } else {",
  "        sym := object {",
  "            var kind := \"eof\"",
  "            var line := lastToken.line",
  "            var linePos := util.lines[lastToken.line].size + 1",
  "            var indent := 0",
  "            var value := \"\"",
  "            def size = 0",
  "        }",
  "    }",
  "}",
  "",
  "// Search for the next token for which the given block returns true.",
  "// Used for generating suggestions.",
  "method findNextToken(tokenMatcher) {",
  "    if(tokenMatcher.apply(sym)) then {",
  "        return sym",
  "    }",
  "    var nextTok := false",
  "    var n := sym",
  "    while {(n != false).andAlso { nextTok == false }.andAlso { n.indent >= lastToken.indent }} do {",
  "        if(tokenMatcher.apply(n)) then {",
  "            nextTok := n",
  "        }",
  "        n := n.next",
  "    }",
  "    nextTok",
  "}",
  "",
  "method findNextTokenIndentedAt(tok) {",
  "    if(((sym.line > tok.line) && (sym.indent <= tok.indent)) || (sym.kind == \"eof\")) then {",
  "        return sym",
  "    }",
  "    var nextTok := false",
  "    var n := sym",
  "    while {(n != false).andAlso { nextTok == false }} do {",
  "        if(((n.line > tok.line) && (n.indent <= tok.indent)) || (sym.kind == \"eof\")) then {",
  "            nextTok := n",
  "        }",
  "        n := n.next",
  "    }",
  "    nextTok",
  "}",
  "",
  "method findNextValidToken(*validFollowTokens) {",
  "    // Tokens that cannot start an expression.",
  "    def invalidTokens = [\"dot\", \"comma\", \"colon\", \"rparen\", \"rbrace\", \"rsquare\", \"arrow\", \"bind\"];",
  "    var validToken := sym",
  "    while {validToken.kind != \"eof\"} do {",
  "        // If the token is a valid follow token, then return that token.",
  "        if(validFollowTokens.contains(validToken.kind)) then {",
  "            return validToken",
  "        }",
  "        // If the token is not an invalid token for starting an expression, return that token.",
  "        if(!invalidTokens.contains(validToken.kind)) then {",
  "            return validToken",
  "        }",
  "        // The token is invalid, go to the next one.",
  "        validToken := validToken.next",
  "    }",
  "    return validToken",
  "}",
  "",
  "// Finds the closing brace for token (that is the beginning of a control",
  "// structure) -- an opening brace. Returns an object with two fields: found",
  "// and tok. If a closing brace is found, found is set to true, and tok is set to",
  "// the closing brace. Otherwise found is set to false, and tok is set to the",
  "// token that the closing brace should appear after.",
  "method findClosingBrace(token, inserted) {",
  "    var n := sym",
  "    var numOpening := if(inserted) then {1} else {0}",
  "    var numClosing := 0",
  "    def result = object {",
  "        var found",
  "        var tok",
  "    }",
  "    // Skip all tokens on the same line first.",
  "    while {(n.kind != \"eof\") && (n.line == token.line)} do {",
  "        if(n.kind == \"lbrace\") then { numOpening := numOpening + 1 }",
  "        elseif(n.kind == \"rbrace\") then { numClosing := numClosing + 1 }",
  "        n := n.next",
  "    }",
  "    // Skip all tokens that have greater indent than the target closing brace.",
  "    while {(n.kind != \"eof\") && (n.indent > token.indent)} do {",
  "        if(n.kind == \"lbrace\") then { numOpening := numOpening + 1 }",
  "        elseif(n.kind == \"rbrace\") then { numClosing := numClosing + 1 }",
  "        n := n.next",
  "    }",
  "    if(n.kind == \"rbrace\") then {",
  "        result.found := true",
  "        result.tok := n",
  "    } elseif((n.prev.kind == \"rbrace\") && (numOpening == numClosing)) then {",
  "        // Check that the number of opening and closing braces matches.",
  "        result.found := true",
  "        result.tok := n.prev",
  "    } else {",
  "        result.found := false",
  "        result.tok := n.prev",
  "    }",
  "    result",
  "}",
  "",
  "// True if the current token (next to be processed) is a t, where",
  "// t is \"num\", \"string\", \"method\", etc.",
  "method accept(t) {",
  "    sym.kind == t",
  "}",
  "",
  "// True if the current token is a t, and it is on the same logical",
  "// line (either because it's on the same physical line, or because",
  "// it's on an indented continuation line).",
  "method acceptSameLine(t) {",
  "    (sym.kind == t) && ((lastline == sym.line) ||",
  "        (sym.indent > lastIndent))",
  "}",
  "",
  "// True if the current token is a t, and it is on the same logical",
  "// line as a provided token.",
  "method accept(t)onLineOf(other) {",
  "    (sym.kind == t) && ((other.line == sym.line) ||",
  "        (sym.indent > other.indent))",
  "}",
  "// True if the current token is a t, and it is on the same logical",
  "// line as a provided token.",
  "method accept(t)onLineOfLastOr(other) {",
  "    (sym.kind == t) && (((other.line == sym.line) ||",
  "        (sym.indent > other.indent)) || (lastToken.line == sym.line))",
  "}",
  "// True if there is a token on the same logical line",
  "method tokenOnSameLine {",
  "    (lastline == sym.line) || (sym.indent > lastIndent)",
  "}",
  "// Check if block did consume at least one token.",
  "method didConsume(ablock) {",
  "    var sz := tokens.size",
  "    ablock.apply",
  "    tokens.size != sz",
  "}",
  "// Expect block to consume at least one token, or call fallback code.",
  "method ifConsume(ablock)then(tblock) {",
  "    var sz := tokens.size",
  "    ablock.apply",
  "    if (tokens.size != sz) then {",
  "        tblock.apply",
  "    }",
  "}",
  "",
  "// Push the current token onto the output stack as a number",
  "method pushnum {",
  "    var o := ast.numNode.new(sym.value)",
  "    values.push(o)",
  "    next",
  "}",
  "",
  "// Push the current token onto the output stack as an octet literal",
  "method pushoctets {",
  "    var o := ast.octetsNode.new(sym.value)",
  "    values.push(o)",
  "    next",
  "}",
  "",
  "// Push the current token onto the output stack as a string",
  "method pushstring {",
  "    var o := ast.stringNode.new(sym.value)",
  "    values.push(o)",
  "    next",
  "}",
  "",
  "// Push the current token onto the output stack as an identifier.",
  "// false means that this identifier has not been assigned a dtype (yet).",
  "method pushidentifier {",
  "    util.setPosition(sym.line, sym.linePos)",
  "    var o := ast.identifierNode.new(sym.value, false)",
  "    if (o.value == \"_\") then {",
  "        o.value := \"__\" ++ auto_count",
  "        o.wildcard := true",
  "        auto_count := auto_count + 1",
  "    }",
  "    values.push(o)",
  "    next",
  "}",
  "",
  "method adjustVisibilityOf(node) withSpecialDefault(sd) overriding(nd) {",
  "    // If a compiler directive has set a special default visibility, then",
  "    // translate this into an annotation.  The normal defaults are dealt with",
  "    // by methods on the ast nodes.",
  "    if (sd == nd) then { return done }",
  "    for (node.annotations) do {a->",
  "        if (a.kind == \"identifier\") then",
  "        {   if (a.value == \"public\") then { return done }",
  "            if (a.value == \"readable\") then { return done }",
  "            if (a.value == \"confidential\") then { return done }",
  "            if (a.value == \"writable\") then { return done }",
  "        }",
  "    }",
  "    def newAnn = ast.identifierNode.new(sd, false)",
  "    newAnn.parent := node",
  "    node.annotations.push(newAnn)",
  "}",
  "method checkAnnotation(ann) {",
  "    if (ann.kind == \"call\") then {",
  "        for (ann.with) do {p->",
  "            for (p.args) do {a->",
  "                if ((a.kind == \"identifier\").andAlso {a.dtype != false}) then {",
  "                    var tok := sym",
  "                    // Look back from the current token to try and find the tokens that cause this error.",
  "                    while {tok.value != \":\"} do { tok := tok.prev }",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(tok, tok.next)leading(true)trailing(false)",
  "                    errormessages.syntaxError(\"An argument to an annotation cannot have a type.\")atRange(",
  "                        tok.line, tok.linePos, tok.next.linePos + tok.next.size - 1)withSuggestion(suggestion)",
  "                }",
  "            }",
  "        }",
  "    }",
  "    ann",
  "}",
  "method doannotation {",
  "    if ((!accept(\"keyword\")).orElse {sym.value != \"is\"}) then {",
  "        return false",
  "    }",
  "    next",
  "    def anns = collections.list.new",
  "    if(didConsume({expression(noBlocks)}).not) then {",
  "        def suggestions = []",
  "        var suggestion := errormessages.suggestion.new",
  "        def nextTok = findNextValidToken(\"bind\")",
  "        if(nextTok == sym) then {",
  "            suggestion.insert(\" «annotation»\")afterToken(lastToken)",
  "        } else {",
  "            suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «annotation»\")",
  "        }",
  "        suggestions.push(suggestion)",
  "        suggestion := errormessages.suggestion.new",
  "        suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "        suggestions.push(suggestion)",
  "        errormessages.syntaxError(\"One or more annotations separated by commas must follow 'is'.\")atPosition(",
  "            lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestions(suggestions)",
  "    }",
  "    while {accept(\"comma\")} do {",
  "        anns.push(checkAnnotation(values.pop))",
  "        next",
  "        if(didConsume({expression(noBlocks)}).not) then {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"bind\")",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\" «annotation»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «annotation»\")",
  "            }",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"One or more annotations separated by commas must follow 'is'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestions(suggestions)",
  "        }",
  "    }",
  "    anns.push(checkAnnotation(values.pop))",
  "    anns",
  "}",
  "",
  "method blank {",
  "    if (sym.line > (lastToken.line + 1)) then {",
  "        if (values.size > 0) then {",
  "            if (values.last.kind != \"blank\") then {",
  "                util.setPosition(lastToken.line + 1, 0)",
  "                values.push(ast.blankNode.new)",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  "method dotypeterm {",
  "    if (accept(\"identifier\")) then {",
  "        pushidentifier",
  "        generic",
  "        dotrest(noBlocks)",
  "    } else {",
  "        if (accept(\"keyword\").andAlso { sym.value == \"type\" }) then {",
  "            dotypeLiteral",
  "        }",
  "    }",
  "}",
  "",
  "method typeexpression {",
  "    var sz := values.size",
  "    if (accept(\"lparen\")) then {",
  "        def prevStatementToken = statementToken",
  "        statementToken := sym",
  "        next",
  "        if(didConsume({typeexpression}).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"rparen\")",
  "            if (nextTok == sym) then {",
  "                suggestion.insert(\"«type expression»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«type expression»\")",
  "            }",
  "            errormessages.syntaxError(\"Parentheses must contain a valid type expression.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A type expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        statementToken := prevStatementToken",
  "        next",
  "    } else {",
  "        dotypeterm",
  "    }",
  "    if (values.size > sz) then {",
  "        dotrest(noBlocks)",
  "        typeexpressionrest",
  "    }",
  "    // TODO: check that the expression doesn't contain requests or var references.",
  "    // This has to happen in the identifier resolution phase.",
  "}",
  "",
  "method newIf(cond, thenList, elseList) {",
  "    def thenBlock = ast.blockNode.new([], thenList)",
  "    def elseBlock = ast.blockNode.new([], elseList)",
  "    ast.ifNode.new(cond, thenBlock, elseBlock)",
  "}",
  "",
  "// Accept a block",
  "method block {",
  "    if (accept(\"lbrace\")) then {",
  "        def btok = sym",
  "        next",
  "        var minInd := statementIndent + 1",
  "        var startIndent := statementIndent",
  "        var expr1",
  "        var s := sym",
  "        var tmp",
  "        var params := []",
  "        var body := []",
  "        var havearrow := true",
  "        var found := false",
  "        var i := 0",
  "        var isMatchingBlock := false",
  "        statementToken := sym",
  "        if (sym.kind == \"lparen\") then {",
  "            isMatchingBlock := true",
  "        }",
  "        // Parsing the expression ‹(a)› will return an identifierNode‹a› .",
  "        // The paren lets us distinguish parameter ‹a› from pattern ‹(a)› .",
  "        ifConsume {expression(blocksOK)} then {",
  "            if (accept(\"comma\") || accept(\"arrow\") || accept(\"colon\")) then {",
  "                // This block has parameters or patterns",
  "                expr1 := values.pop",
  "                if (accept(\"colon\")) then {",
  "                    // We allow an expression here for the case of v : T",
  "                    // patterns, where T may be \"Pair(hd, tl)\" or similar.",
  "                    next",
  "                    braceIsType := true",
  "                    if(didConsume({expression(blocksOK)}).not) then {",
  "                        def suggestions = []",
  "                        var suggestion := errormessages.suggestion.new",
  "                        def nextTok = findNextValidToken(\"arrow\", \"rbrace\")",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                        } else {",
  "                            suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                        }",
  "                        suggestions.push(suggestion)",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                        suggestions.push(suggestion)",
  "                        errormessages.syntaxError(\"A block must have an expression after the ':'.\")atPosition(",
  "                            sym.line, sym.linePos)withSuggestions(suggestions)",
  "                    }",
  "                    braceIsType := false",
  "                    expr1.dtype := values.pop",
  "                }",
  "                params.push(expr1)",
  "                if (isMatchingBlock.not && expr1.isIdentifier) then {",
  "                    expr1.isBindingOccurrence := true",
  "                } else {",
  "                    isMatchingBlock := true",
  "                }",
  "                if (isMatchingBlock && {accept(\"comma\")}) then {",
  "                    def suggestions = []",
  "                    var suggestion",
  "                    def arrow = findNextToken({ t -> t.kind == \"arrow\" })",
  "                    if(arrow != false) then {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(sym, arrow.prev)",
  "                        suggestions.push(suggestion)",
  "                    }",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.replaceToken(sym)leading(true)trailing(false)with(\" |\")",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A matching block may only have one parameter.\")atRange(",
  "                        sym.line, sym.linePos, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "                while {accept(\"comma\")} do {",
  "                    // Keep doing the above for the rest of the parameters.",
  "                    next",
  "                    pushidentifier",
  "                    expr1 := values.pop",
  "                    expr1.isBindingOccurrence := true",
  "                    expr1.dtype := optionalTypeAnnotation",
  "                    params.push(expr1)",
  "                }",
  "                if ((accept(\"arrow\")).not) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    if((sym.kind == \"bind\") || (sym.value == \"=\")) then {",
  "                        suggestion.replaceToken(sym)with(\"->\")",
  "                    } else {",
  "                        suggestion.insert(\" ->\")afterToken(lastToken)",
  "                    }",
  "                    errormessages.syntaxError(\"A block must have one or more parameters followed by '->' and an expression.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                next",
  "            } elseif (accept(\"semicolon\")) then {",
  "                body.push(values.pop)",
  "                next",
  "                if (accept(\"semicolon\")) then {",
  "                    next",
  "                    if (sym.line == lastToken.line) then {",
  "                        indentFreePass := true",
  "                    }",
  "                }",
  "            } elseif (((values.last.kind == \"member\")",
  "                || (values.last.kind == \"identifier\")",
  "                || (values.last.kind == \"index\"))",
  "                && accept(\"bind\")) then {",
  "                var lhs := values.pop",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rbrace\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A valid expression must follow ':='.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "                var rhs := values.pop",
  "                body.push(ast.bindNode.new(lhs, rhs))",
  "                if (accept(\"semicolon\")) then {",
  "                    next",
  "                    if (sym.line == lastToken.line) then {",
  "                        indentFreePass := true",
  "                    }",
  "                }",
  "            } else {",
  "                checkUnexpectedTokenAfterStatement",
  "                body.push(values.pop)",
  "            }",
  "        }",
  "        if (accept(\"arrow\")) then {",
  "            next",
  "        }",
  "        if (sym.line == lastToken.line) then {",
  "            minIndentLevel := sym.linePos - 1",
  "        } else {",
  "            minIndentLevel := minInd",
  "        }",
  "        while {(accept(\"rbrace\")).not} do {",
  "            // Take the body of the block",
  "            if(didConsume({statement}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\"}\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"A block must end with a '}'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            tmp := values.pop",
  "            body.push(tmp)",
  "        }",
  "        minIndentLevel := minInd - 1",
  "        statementIndent := startIndent",
  "        next",
  "        util.setline(btok.line)",
  "        var o := ast.blockNode.new(params, body)",
  "        if (isMatchingBlock) then {",
  "            if (params.size > 0) then {",
  "                o.matchingPattern := params.first",
  "            }",
  "        }",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "// Accept an \"if\" statement. This is a special syntactic case, rather",
  "// than just a call with a multi-part method name - it might be possible",
  "// to change that and compensate later on.",
  "method doif {",
  "    if (accept(\"identifier\") && (sym.value == \"if\")) then {",
  "        def btok = sym",
  "        next",
  "        if(sym.kind != \"lparen\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            // Look ahead for a rparen or then.",
  "            def nextTok = findNextToken({ t -> (t.line == btok.line)",
  "                && ((t.kind == \"rparen\") || (t.kind == \"lbrace\")",
  "                || ((t.kind == \"identifier\") && (t.value == \"then\"))) })",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" («expression») then \\{\")afterToken(btok)",
  "            } elseif(nextTok.kind == \"rparen\") then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"(«expression»\")beforeToken(sym)",
  "                } else {",
  "                    suggestion.insert(\"(\")beforeToken(sym)",
  "                }",
  "            } elseif(nextTok.kind == \"lbrace\") then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" («expression») then\")afterToken(btok)",
  "                } else {",
  "                    suggestion.insert(\"(\")beforeToken(sym)",
  "                    suggestion.insert(\") then\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "                }",
  "            } elseif(nextTok.kind == \"identifier\") then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"(«expression») \")beforeToken(sym)",
  "                } else {",
  "                    suggestion.insert(\"(\")beforeToken(sym)",
  "                    suggestion.insert(\")\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "                }",
  "            }",
  "            errormessages.syntaxError(\"An if statement must have an expression in parentheses after the 'if'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if(didConsume({expression(blocksOK)}).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            // Look ahead for a rparen.",
  "            var nextTok := findNextToken({ t -> (t.line == lastToken.line) && (t.kind == \"rparen\") })",
  "            if(nextTok == false) then {",
  "                nextTok := findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression») then \\{\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression») then \\{\")",
  "                }",
  "                errormessages.syntaxError(\"An if statement must have an expression in parentheses after the 'if'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            } else {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"An if statement must have an expression in parentheses after the 'if'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(false)trailing(true)with(\"«expression»\")",
  "                    errormessages.syntaxError(\"An if statement must have an expression in parentheses after the 'if'.\")atRange(",
  "                        sym.line, sym.linePos, nextTok.linePos - 1)withSuggestion(suggestion)",
  "                }",
  "            }",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        var cond := values.pop",
  "        var body := []",
  "",
  "        // These two are for else/elseif handling. elseif is turned into",
  "        // nested if statements for the AST, so curelse points to the",
  "        // most deeply-nested of those (where any eventual \"else\" block's",
  "        // statements will go). elseblock contains the statements of the",
  "        // top-level \"else\" block - if there are any elseifs, that",
  "        // consists of only one statement, another if.",
  "        var elseblock := []",
  "        var curelse := elseblock",
  "        var v",
  "        def localMin = minIndentLevel",
  "        def localStatementIndent = statementIndent",
  "        var minInd := statementIndent + 1",
  "        if (accept(\"identifier\") && (sym.value == \"then\")) then {",
  "            next",
  "            if(sym.kind != \"lbrace\") then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def closingBrace = findClosingBrace(btok, true)",
  "                if(closingBrace.found == false) then {",
  "                    if(closingBrace.tok == lastToken) then {",
  "                        suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{}\")",
  "                    } else {",
  "                        suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                        suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{\")",
  "                    }",
  "                } else {",
  "                    suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{\")",
  "                }",
  "                errormessages.syntaxError(\"An if statement must have a '\\{' after the 'then'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "            if (sym.line == lastToken.line) then {",
  "                minIndentLevel := sym.linePos - 1",
  "            } else {",
  "                minIndentLevel := minInd",
  "            }",
  "            while {(accept(\"rbrace\")).not} do {",
  "                if(didConsume({statement}).not) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    def closingBrace = findClosingBrace(btok, false)",
  "                    if(closingBrace.found == false) then {",
  "                        if(closingBrace.tok == lastToken) then {",
  "                            suggestion.insert(\"}\")afterToken(lastToken)",
  "                        } else {",
  "                            suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                        }",
  "                    }",
  "                    suggestion.deleteToken(sym)",
  "                    errormessages.syntaxError(\"An if statement must end with a '}'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                v := values.pop",
  "                body.push(v)",
  "            }",
  "            next",
  "            var econd",
  "            var eif",
  "            var newelse",
  "            var ebody",
  "            while {accept(\"identifier\") && (sym.value == \"elseif\")} do {",
  "                // Currently, the parser just accepts arbitrarily many",
  "                // \"elseifs\", turning them into ifs inside the else.",
  "                // TODO: allow blocks after elseif to contain a sequence of expressions.",
  "                statementToken := sym",
  "                next",
  "                def opener = if ((sym.kind == \"lparen\").orElse{sym.kind == \"lbrace\"}) ",
  "                                then { sym.value } else { \"-missing-\" }",
  "                def closer = if (opener == \"(\") then { \")\" }",
  "                                else { if (opener == \"\\{\") then { \"\\}\" } else { \"-nothing-\" } }",
  "                if (opener == \"-missing-\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    // Look ahead for a rparen or then.",
  "                    def nextTok = findNextToken({ t -> (t.line == statementToken.line)",
  "                        && ((t.kind == \"rparen\") || (t.kind == \"rbrace\") || (t.kind == \"lbrace\")",
  "                        || ((t.kind == \"identifier\") && (t.value == \"then\"))) })",
  "                    if(nextTok == false) then {",
  "                        suggestion.insert(\" («expression») then \\{\")afterToken(statementToken)",
  "                    } elseif(nextTok.kind == \"rparen\") then {",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\"(«expression»\")beforeToken(sym)",
  "                        } else {",
  "                            suggestion.insert(\"(\")beforeToken(sym)",
  "                        }",
  "                    } elseif(nextTok.kind == \"lbrace\") then {",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\" («expression») then\")afterToken(statementToken)",
  "                        } else {",
  "                            suggestion.insert(\"(\")beforeToken(sym)",
  "                            suggestion.insert(\") then\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "                        }",
  "                    } elseif(nextTok.kind == \"identifier\") then {",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\"(«expression») \")beforeToken(sym)",
  "                        } else {",
  "                            suggestion.insert(\"(\")beforeToken(sym)",
  "                            suggestion.insert(\")\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "                        }",
  "                    }",
  "                    errormessages.syntaxError(\"An elseif statement must have an expression in parentheses or braces after the 'elseif'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    // Look ahead for a rparen or then.",
  "                    var nextTok := findNextToken({ t -> (t.line == lastToken.line) && ",
  "                        ((t.kind == \"rparen\") || (t.kind == \"rbrace\"))})",
  "                    if(nextTok == false) then {",
  "                        nextTok := findNextValidToken(\"rparen\")",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\"«expression») then \\{\")afterToken(lastToken)",
  "                        } else {",
  "                            suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression») then \\{\")",
  "                        }",
  "                        errormessages.syntaxError(\"An elseif statement must have an expression in parentheses or braces after the 'elseif'.\")atPosition(",
  "                            sym.line, sym.linePos)withSuggestion(suggestion)",
  "                    } else {",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                            errormessages.syntaxError(\"An elseif statement must have an expression in parentheses or braces after the 'elseif'.\")atPosition(",
  "                                sym.line, sym.linePos)withSuggestion(suggestion)",
  "                        } else {",
  "                            //checkInvalidExpression",
  "                            suggestion.replaceTokenRange(sym, nextTok.prev)leading(false)trailing(true)with(\"«expression»\")",
  "                            errormessages.syntaxError(\"4: An elseif statement must have an expression in parentheses or braces after the 'elseif'.\")atRange(",
  "                                sym.line, sym.linePos, nextTok.linePos - 1)withSuggestion(suggestion)",
  "                        }",
  "                    }",
  "                }",
  "                if(sym.value != closer) then {",
  "                    checkBadOperators",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\")\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"An expression beginning with a '{opener}' must end with a '{closer}'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "                next",
  "                econd := values.pop",
  "                if ((accept(\"identifier\") &&",
  "                    (sym.value == \"then\"))) then {",
  "                    next",
  "                    ebody := []",
  "                } else {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    if(sym.kind == \"lbrace\") then {",
  "                        def closingBrace = findClosingBrace(statementToken, false)",
  "                        if(closingBrace.found == false) then {",
  "                            if(closingBrace.tok == sym) then {",
  "                                suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{}\")",
  "                            } else {",
  "                                suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{\")",
  "                                suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            }",
  "                        } else {",
  "                            suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{\")",
  "                        }",
  "                    } else {",
  "                        def closingBrace = findClosingBrace(statementToken, true)",
  "                        if(closingBrace.found == false) then {",
  "                            if(closingBrace.tok == lastToken) then {",
  "                                suggestion.insert(\" then \\{}\")afterToken(lastToken)",
  "                            } else {",
  "                                suggestion.insert(\" then \\{\")afterToken(lastToken)",
  "                                suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            }",
  "                        } else {",
  "                            suggestion.insert(\" then \\{\")afterToken(lastToken)",
  "                        }",
  "                    }",
  "                    errormessages.syntaxError(\"An elseif statement must have 'then' after the expression in parentheses.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                if(sym.kind != \"lbrace\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    def closingBrace = findClosingBrace(btok, true)",
  "                    if(closingBrace.found == false) then {",
  "                        if(closingBrace.tok == lastToken) then {",
  "                            suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{}\")",
  "                        } else {",
  "                            suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{\")",
  "                        }",
  "                    } else {",
  "                        suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{\")",
  "                    }",
  "                    errormessages.syntaxError(\"An elseif statement must have a '\\{' after the 'then'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "                next",
  "                if (sym.line == lastToken.line) then {",
  "                    minIndentLevel := sym.linePos - 1",
  "                } else {",
  "                    minIndentLevel := minInd",
  "                }",
  "                while {(accept(\"rbrace\")).not} do {",
  "                    if(didConsume({statement}).not) then {",
  "                        def suggestion = errormessages.suggestion.new",
  "                        def closingBrace = findClosingBrace(btok, false)",
  "                        if(closingBrace.found == false) then {",
  "                            if(closingBrace.tok == lastToken) then {",
  "                                suggestion.insert(\"}\")afterToken(lastToken)",
  "                            } else {",
  "                                suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            }",
  "                        }",
  "                        suggestion.deleteToken(sym)",
  "                        errormessages.syntaxError(\"An elseif statement must end with a '}'.\")atPosition(",
  "                            sym.line, sym.linePos)withSuggestion(suggestion)",
  "                    }",
  "                    v := values.pop",
  "                    ebody.push(v)",
  "                }",
  "                next",
  "                newelse := []",
  "                eif := newIf(econd, ebody, newelse)",
  "                // Construct the inner \"if\" AST node, and then push it",
  "                // inside the current \"else\" block.",
  "                curelse.push(eif)",
  "                // Update curelse to point to the new, empty, nested",
  "                // else block.",
  "                curelse := newelse",
  "            }",
  "            if (accept(\"identifier\") && (sym.value == \"else\")) then {",
  "                next",
  "                if(sym.kind != \"lbrace\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    def closingBrace = findClosingBrace(btok, true)",
  "                    if(closingBrace.found == false) then {",
  "                        if(closingBrace.tok == lastToken) then {",
  "                            suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"else \\{}\")",
  "                        } else {",
  "                            suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"else \\{\")",
  "                        }",
  "                    } else {",
  "                        suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"else \\{\")",
  "                    }",
  "                    errormessages.syntaxError(\"An else statement must have a '\\{' after the 'else'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "                next",
  "                // Just take all the statements and put them into",
  "                // curelse.",
  "                if (sym.line == lastToken.line) then {",
  "                    minIndentLevel := sym.linePos - 1",
  "                } else {",
  "                    minIndentLevel := minInd",
  "                }",
  "                while {(accept(\"rbrace\")).not} do {",
  "                    if(didConsume({statement}).not) then {",
  "                        def suggestion = errormessages.suggestion.new",
  "                        def closingBrace = findClosingBrace(btok, false)",
  "                        if(closingBrace.found == false) then {",
  "                            if(closingBrace.tok == lastToken) then {",
  "                                suggestion.insert(\"}\")afterToken(lastToken)",
  "                            } else {",
  "                                suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            }",
  "                        }",
  "                        suggestion.deleteToken(sym)",
  "                        errormessages.syntaxError(\"An else statement must end with a '}'.\")atPosition(",
  "                            sym.line, sym.linePos)withSuggestion(suggestion)",
  "                    }",
  "                    v := values.pop",
  "                    curelse.push(v)",
  "                }",
  "                next",
  "            }",
  "            var o := newIf(cond, body, elseblock)",
  "            values.push(o)",
  "        } else {",
  "            // Raise an error here, or it will spin nastily forever.",
  "            def suggestion = errormessages.suggestion.new",
  "            if(sym.kind == \"lbrace\") then {",
  "                def closingBrace = findClosingBrace(btok, false)",
  "                if(closingBrace.found == false) then {",
  "                    if(closingBrace.tok == sym) then {",
  "                        suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{}\")",
  "                    } else {",
  "                        suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{\")",
  "                        suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                    }",
  "                } else {",
  "                    suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{\")",
  "                }",
  "            } else {",
  "                def closingBrace = findClosingBrace(btok, true)",
  "                if(closingBrace.found == false) then {",
  "                    if(closingBrace.tok == lastToken) then {",
  "                        suggestion.insert(\" then \\{}\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.insert(\" then \\{\")afterToken(lastToken)",
  "                        suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                    }",
  "                } else {",
  "                    suggestion.insert(\" then \\{\")afterToken(lastToken)",
  "                }",
  "            }",
  "            errormessages.syntaxError(\"An if statement must have 'then' after the expression in parentheses.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        minIndentLevel := localMin",
  "        statementIndent := localStatementIndent",
  "    }",
  "}",
  "",
  "// Accept an identifier. Handle \"if\" specially by",
  "// passing it to the method above.",
  "method identifier {",
  "    if (accept(\"identifier\")) then {",
  "        if (sym.value == \"if\") then {",
  "            doif",
  "        } else {",
  "            pushidentifier",
  "        }",
  "    }",
  "}",
  "",
  "method prefixop {",
  "    if (accept(\"op\")) then {",
  "        var op := sym.value",
  "        var val",
  "        next",
  "        if (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"Parentheses must contain a valid expression.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            if(didConsume({term}).not) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                suggestions.push(suggestion)",
  "                if(lastToken.prev.kind == \"bind\") then {",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestion.deleteToken(lastToken.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                }",
  "                errormessages.syntaxError(\"A prefix operator must be followed by an expression.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "            }",
  "        }",
  "        dotrest(blocksOK)",
  "        callrest(blocksOK)",
  "        postfixsquare",
  "        val := values.pop",
  "        var mem := ast.memberNode.new(\"prefix\" ++ op, val)",
  "        var call := ast.callNode.new(mem, [ast.callWithPart.new(mem.value)])",
  "        values.push(call)",
  "    }",
  "}",
  "",
  "method generic {",
  "    if (accept(\"lgeneric\")) then {",
  "        def id = values.pop",
  "        def gens = list.empty",
  "        def startToken = sym",
  "        next",
  "        while {accept(\"identifier\")} do {",
  "            identifier",
  "            while {accept(\"dot\")} do {",
  "                next",
  "                def memberIn = values.pop",
  "                if(sym.kind != \"identifier\") then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    suggestion.insert(\"«type name»\")afterToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A type name must follow the '.'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + 1)withSuggestions(suggestions)",
  "                }",
  "                identifier",
  "                def memberName = values.pop",
  "                def memberNd = ast.memberNode.new(memberName.value, memberIn)",
  "                memberNd.line := memberName.line",
  "                memberNd.linePos := memberName.linePos",
  "                values.push(memberNd)",
  "            }",
  "            generic",
  "            gens.push(values.pop)",
  "            if (accept(\"comma\")) then {",
  "                next",
  "            } else {",
  "                if(sym.kind != \"rgeneric\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\">\")afterToken(lastToken)",
  "                    def suggestion2 = errormessages.suggestion.new",
  "                    suggestion2.insert(\" \")beforeToken(startToken)",
  "                    def suggestions = [suggestion, suggestion2]",
  "                    errormessages.syntaxError(\"A type containing a '<' must end with a '>', or the '<' operator must have a space before it.\")atPosition(",
  "                            lastToken.line, lastToken.linePos + lastToken.size)",
  "                        withSuggestions(suggestions)",
  "                }",
  "            }",
  "        }",
  "        if(sym.kind != \"rgeneric\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\">\")afterToken(lastToken)",
  "            def suggestion2 = errormessages.suggestion.new",
  "            suggestion2.insert(\" \")beforeToken(startToken)",
  "            def suggestions = [suggestion, suggestion2]",
  "            errormessages.syntaxError(\"A type containing a '<' must end with a '>', or the '<' operator must have a space before it.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)",
  "                withSuggestions(suggestions)",
  "        }",
  "        next",
  "        values.push(ast.genericNode.new(id, gens))",
  "    }",
  "}",
  "method trycatch {",
  "    if (!(accept(\"identifier\") && (sym.value == \"try\"))) then {",
  "        return 0",
  "    }",
  "    def localmin = minIndentLevel",
  "    def catchTok = sym",
  "    next",
  "    if (accept(\"lbrace\")) then {",
  "        block",
  "    } else {",
  "        if(sym.kind != \"lparen\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            // Look ahead for a rbrace, rparen, or catch.",
  "            def nextTok = findNextToken({ t -> (t.kind == \"rbrace\")",
  "                || ((t.kind == \"rparen\") && (t.line == catchTok.line))",
  "                || ((t.kind == \"identifier\") && (t.value == \"catch\")) })",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" \\{}\")afterToken(catchTok)",
  "            } elseif(nextTok.kind == \"rbrace\") then {",
  "                suggestion.insert(\" \\{\")afterToken(catchTok)",
  "            } elseif(nextTok.kind == \"rparen\") then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"(«expression»\")afterToken(lastToken)andTrailingSpace(true)",
  "                } else {",
  "                    suggestion.insert(\"(\")afterToken(lastToken)andTrailingSpace(true)",
  "                }",
  "            } elseif(nextTok.kind == \"identifier\") then {",
  "                suggestion.insert(\" \\{\")afterToken(catchTok)",
  "                suggestion.insert(\"\\} \")beforeToken(nextTok)",
  "            }",
  "            errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                catchTok.line, catchTok.linePos + catchTok.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if(didConsume({expression(blocksOK)}).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"rparen\")",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "            }",
  "            errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "    }",
  "    def mainblock = values.pop",
  "    def cases = []",
  "    var finally := false",
  "    while {accept(\"identifier\") && (sym.value == \"catch\")} do {",
  "        next",
  "        if (accept(\"lbrace\")) then {",
  "            block",
  "        } elseif (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A try-catch statement must have either a matching block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = []",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.last)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif(nextTok == sym) then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «match expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A try-catch statement must have either a matching block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        cases.push(values.pop)",
  "    }",
  "    if (accept(\"identifier\")onLineOf(catchTok) && (sym.value == \"case\")) then {",
  "        def suggestion = errormessages.suggestion.new",
  "        suggestion.replaceToken(sym)with(\"catch\")",
  "        errormessages.syntaxError(\"A try-catch statement starts with a \"",
  "                ++ \"'try' and then zero or more 'catch' blocks; there \"",
  "                ++ \"are no 'case' blocks.\")",
  "            atRange(sym.line, sym.linePos, sym.linePos + 3)",
  "            withSuggestion(suggestion)",
  "    }",
  "    if (accept(\"identifier\") && (sym.value == \"finally\")) then {",
  "        next",
  "        if (accept(\"lbrace\")) then {",
  "            block",
  "        } elseif (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'finally'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = []",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.first)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif(nextTok == sym) then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A try-finally statement must have either a block or an expression in parentheses after the 'finally'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        finally := values.pop",
  "    }",
  "    values.push(ast.catchCaseNode.new(mainblock, cases, finally))",
  "    minIndentLevel := localmin",
  "}",
  "method catchcase { // TODO: This construct is DEPRECATED. Remove it.",
  "    if (!(accept(\"identifier\") && (sym.value == \"catch\"))) then {",
  "        return 0",
  "    }",
  "    def localmin = minIndentLevel",
  "    def catchTok = sym",
  "    next",
  "    util.warning(\"The catch-case statement is deprecated and will be \"",
  "        ++ \"removed in a future version of the compiler. Use try-catch \"",
  "        ++ \"instead.\")",
  "    if (accept(\"lbrace\")) then {",
  "        block",
  "    } else {",
  "        if(sym.kind != \"lparen\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            // Look ahead for a rbrace, rparen, or case.",
  "            def nextTok = findNextToken({ t -> (t.kind == \"rbrace\")",
  "                || ((t.kind == \"rparen\") && (t.line == catchTok.line))",
  "                || ((t.kind == \"identifier\") && (t.value == \"case\")) })",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" \\{}\")afterToken(catchTok)",
  "            } elseif(nextTok.kind == \"rbrace\") then {",
  "                suggestion.insert(\" \\{\")afterToken(catchTok)",
  "            } elseif(nextTok.kind == \"rparen\") then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"(«expression»\")afterToken(lastToken)andTrailingSpace(true)",
  "                } else {",
  "                    suggestion.insert(\"(\")afterToken(lastToken)andTrailingSpace(true)",
  "                }",
  "            } elseif(nextTok.kind == \"identifier\") then {",
  "                suggestion.insert(\" \\{\")afterToken(catchTok)",
  "                suggestion.insert(\"\\} \")beforeToken(nextTok)",
  "            }",
  "            errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                catchTok.line, catchTok.linePos + catchTok.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if(didConsume({expression(blocksOK)}).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"rparen\")",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "            }",
  "            errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "    }",
  "    def mainblock = values.pop",
  "    def cases = []",
  "    var finally := false",
  "    while {accept(\"identifier\") && (sym.value == \"case\")} do {",
  "        next",
  "        if (accept(\"lbrace\")) then {",
  "            block",
  "        } elseif (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A catch statement must have either a matching block or an expression in parentheses after the 'case'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = []",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.last)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif(nextTok == sym) then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «match expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A catch statement must have either a matching block or an expression in parentheses after the 'case'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        cases.push(values.pop)",
  "    }",
  "    if (accept(\"identifier\") && (sym.value == \"finally\")) then {",
  "        next",
  "        if (accept(\"lbrace\")) then {",
  "            block",
  "        } elseif (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'finally'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = []",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.first)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif(nextTok == sym) then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'finally'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        finally := values.pop",
  "    }",
  "    values.push(ast.catchCaseNode.new(mainblock, cases, finally))",
  "    minIndentLevel := localmin",
  "}",
  "method matchcase {",
  "    if (!(accept(\"identifier\") && (sym.value == \"match\"))) then {",
  "        return 0",
  "    }",
  "    def localmin = minIndentLevel",
  "    def matchTok = sym",
  "    next",
  "    if(sym.kind != \"lparen\") then {",
  "        def suggestion = errormessages.suggestion.new",
  "        // Look ahead for a rparen or case.",
  "        def nextTok = findNextToken({ t -> ((t.kind == \"rparen\") && (t.line == matchTok.line))",
  "            || ((t.kind == \"identifier\") && (t.value == \"case\")) })",
  "        if(nextTok == false) then {",
  "            suggestion.insert(\"(«expression»)\")afterToken(matchTok)",
  "        } elseif(nextTok.kind == \"rparen\") then {",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"(«expression»\")beforeToken(sym)",
  "            } else {",
  "                suggestion.insert(\"(\")beforeToken(sym)",
  "            }",
  "        } elseif(nextTok.kind == \"identifier\") then {",
  "            suggestion.insert(\"(\")beforeToken(sym)",
  "            suggestion.insert(\")\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "        }",
  "        errormessages.syntaxError(\"A match statement must have an expression in parentheses after the 'match'.\")atPosition(",
  "            matchTok.line, matchTok.linePos + matchTok.size)withSuggestion(suggestion)",
  "    }",
  "    next",
  "    if(didConsume({expression(blocksOK)}).not) then {",
  "        def suggestion = errormessages.suggestion.new",
  "        def nextTok = findNextValidToken(\"rparen\")",
  "        if(nextTok == sym) then {",
  "            suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "        } else {",
  "            suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "        }",
  "        errormessages.syntaxError(\"A match statement must have an expression in parentheses after the 'match'.\")atPosition(",
  "            sym.line, sym.linePos)withSuggestion(suggestion)",
  "    }",
  "    def matchee = values.pop",
  "    if(sym.kind != \"rparen\") then {",
  "        checkBadOperators",
  "        def suggestion = errormessages.suggestion.new",
  "        suggestion.insert(\")\")afterToken(lastToken)",
  "        errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "            lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "    }",
  "    next",
  "    def cases = []",
  "    var elsecase := false",
  "    while {accept(\"identifier\") && (sym.value == \"case\")} do {",
  "        next",
  "        if (accept(\"lbrace\")) then {",
  "            block",
  "        } elseif (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A match statement must have either a matching block or an expression in parentheses after the 'case'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = []",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.last)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif(nextTok == sym) then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «match expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A match statement must have either a matching block or an expression in parentheses after the 'case'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        cases.push(values.pop)",
  "    }",
  "//    if (accept(\"identifier\") && (sym.value == \"else\")) then {",
  "//        next",
  "//        if (accept(\"lbrace\")) then {",
  "//            block",
  "//        } elseif (accept(\"lparen\")) then {",
  "//            next",
  "//            if(didConsume({expression(blocksOK)}).not) then {",
  "//                def suggestion = errormessages.suggestion.new",
  "//                def nextTok = findNextValidToken(\"rparen\")",
  "//                if(nextTok == sym) then {",
  "//                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "//                } else {",
  "//                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "//                }",
  "//                errormessages.syntaxError(\"A match statement must have either a block or an expression in parentheses after the 'else'.\")atPosition(",
  "//                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "//            }",
  "//            if(sym.kind != \"rparen\") then {",
  "//                checkBadOperators",
  "//                def suggestion = errormessages.suggestion.new",
  "//                suggestion.insert(\")\")afterToken(lastToken)",
  "//                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "//                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "//            }",
  "//            next",
  "//        } else {",
  "//            def suggestions = []",
  "//            def nextTok = findNextTokenIndentedAt(lastToken)",
  "//            var suggestion := errormessages.suggestion.new",
  "//            if(nextTok == false) then {",
  "//                suggestion.insert(\" }\")afterToken(tokens.first)",
  "//                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "//                suggestions.push(suggestion)",
  "//            } elseif(nextTok == sym) then {",
  "//                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "//                suggestions.push(suggestion)",
  "//                suggestion := errormessages.suggestion.new",
  "//                suggestion.insert(\" \\{ «expression» }\")afterToken(lastToken)",
  "//                suggestions.push(suggestion)",
  "//            } else {",
  "//                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "//                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "//                suggestions.push(suggestion)",
  "//            }",
  "//            errormessages.syntaxError(\"A match statement must have either a block or an expression in parentheses after the 'else'.\")atPosition(",
  "//                sym.line, sym.linePos)withSuggestions(suggestions)",
  "//        }",
  "//        elsecase := values.pop",
  "//    }",
  "    values.push(ast.matchCaseNode.new(matchee, cases, elsecase))",
  "    minIndentLevel := localmin",
  "}",
  "// Accept a term. Terms consist only of single syntactic units and",
  "// do not contain any operators or parentheses, unlike expression.",
  "method term {",
  "    util.setPosition(sym.line, sym.linePos)",
  "    if (accept(\"num\")) then {",
  "        pushnum",
  "    } elseif (accept(\"string\")) then {",
  "        pushstring",
  "    } elseif (accept(\"octets\")) then {",
  "        pushoctets",
  "    } elseif(accept(\"identifier\") && (sym.value == \"match\")) then {",
  "        matchcase",
  "    } elseif(accept(\"identifier\") && (sym.value == \"catch\")) then {",
  "        catchcase",
  "    } elseif(accept(\"identifier\") && (sym.value == \"try\")) then {",
  "        trycatch",
  "    } elseif (accept(\"identifier\")) then {",
  "        identifier",
  "    } elseif (accept(\"keyword\") && (sym.value == \"object\")) then {",
  "        doobject",
  "    } elseif (accept(\"keyword\").andAlso { sym.value == \"type\" }) then {",
  "        dotypeLiteral",
  "    } elseif (accept(\"lbrace\")) then {",
  "        block",
  "    } elseif (accept(\"lsquare\")) then {",
  "        doarray",
  "    } elseif (accept(\"op\")) then {",
  "        // Prefix operator",
  "        prefixop",
  "    }",
  "}",
  "",
  "// Accept an expression. Expressions may consist of parenthesised",
  "// subexpressions or terms, which may be followed by method invocations",
  "// (dotrest), postcircumfix square brackets, the rest of a method call,",
  "// or an operator expression.",
  "method expression(acceptBlocks) {",
  "    var sz := values.size",
  "    util.setPosition(sym.line, sym.linePos)",
  "    if (accept(\"lparen\")) then {",
  "        def tmpStatementToken = statementToken",
  "        statementToken := sym",
  "        util.setPosition(sym.line, sym.linePos)",
  "        next",
  "        if(didConsume({expression(acceptBlocks)}).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"rparen\")",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "            }",
  "            errormessages.syntaxError(\"Parentheses must contain a valid expression.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        statementToken := tmpStatementToken",
  "        next",
  "    } else {",
  "        term",
  "    }",
  "    if (values.size > sz) then {",
  "        dotrest(acceptBlocks)",
  "        callrest(acceptBlocks)",
  "        postfixsquare",
  "        valueexpressionrest",
  "    }",
  "}",
  "",
  "// Accept postcircumfix square brackets (as in x[y]) and replace the",
  "// preceding expression with an index node into itself.",
  "method postfixsquare {",
  "    if (acceptSameLine(\"lsquare\")) then {",
  "        next",
  "        var expr := values.pop",
  "        if(didConsume({expression(blocksOK)}).not) then {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"rsquare\")",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"«index»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«index»\")",
  "            }",
  "            suggestions.push(suggestion)",
  "            if(nextTok.kind == \"rsquare\") then {",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(lastToken, nextTok)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A '[' in an expression must be followed by another expression and a ']'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        var index := values.pop",
  "        if(sym.kind != \"rsquare\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\"]\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A '[' in an expression must be followed by another expression and a ']'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        var o := ast.indexNode.new(expr, index)",
  "        values.push(o)",
  "        dotrest(blocksOK)",
  "        callrest(blocksOK)",
  "        postfixsquare",
  "    }",
  "}",
  "",
  "// Calculate the precedence of an operator. In this case, only",
  "// multiplication and division have nontrivial precedence. Used in",
  "// expressionrest.",
  "method oprec(o) {",
  "    if (o == \"*\") then {",
  "        return 10",
  "    } elseif (o == \"/\") then {",
  "        return 10",
  "    }",
  "    return 5",
  "}",
  "",
  "// Return the precedence of the operator at the top of the \"ops\" stack.",
  "method toprec(ops) {",
  "    if (ops.size > 0) then {",
  "        var o := ops.last",
  "        return oprec(o)",
  "    }",
  "    0",
  "}",
  "",
  "",
  "method typeexpressionrest {",
  "    if (acceptSameLine(\"op\")) then {",
  "        expressionrest \"type expression\" recursingWith {typeexpression} blocks (noBlocks)",
  "    }",
  "}",
  "",
  "method valueexpressionrest {",
  "    if (accept(\"op\")) then {",
  "        expressionrest \"expression\" recursingWith {expression(blocksOK)} blocks (blocksOK)",
  "    }",
  "}",
  "",
  "method expressionrest(name) recursingWith (recurse) blocks (acceptBlocks) {",
  "    // Process the rest of an operator expression using the shunting-yard",
  "    // algorithm. This method uses the oprec and toprec methods above to",
  "    // ensure the correct precedence, and treats all operators as",
  "    // left-associative.  It is parametrised so that it",
  "    // can be used for both type- and value- expressions.",
  "    var terms := [] // List of operands yet to be used",
  "    var ops := [] // Operator stack",
  "    var o",
  "    var o2",
  "    var tmp2",
  "    var tmp := values.pop",
  "    terms.push(tmp)",
  "    var prec",
  "    var allarith := true // Consists only of arithmetic operators",
  "    var opcount := 0",
  "    var opdtype := \"\" // The single operator being used in this expression",
  "    while {accept(\"op\")onLineOfLastOr(statementToken).andAlso",
  "            {sym.value != \"=\"}} do {",
  "        opcount := opcount + 1",
  "        o := sym.value",
  "        next",
  "        prec := oprec(o)",
  "        if ((o != \"*\") && (o != \"/\") && (o != \"+\") && (o != \"-\")) then {",
  "            allarith := false",
  "        }",
  "        if ((opdtype != \"\") && (opdtype != o) && (allarith.not)) then {",
  "            // If: this is not the first operator, it is not the same",
  "            // as the last operator, and the expression has not been",
  "            // entirely arithmetic, raise a syntax error.",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(sym)",
  "            suggestion.insert(\"(\")beforeToken(lastToken.prev)",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken.prev)",
  "            suggestion.insert(\"(\")beforeToken(lastToken.prev.prev.prev)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"An expression containing both mathematical and non-mathematical operators requires parentheses.\")atPosition(",
  "                lastToken.prev.line, lastToken.prev.linePos)withSuggestions(suggestions)",
  "        }",
  "        opdtype := o",
  "        while {(ops.size > 0) && (prec <= toprec(ops))} do {",
  "            // Do the shunting: for as long as the current operator",
  "            // has lesser or equal precedence than the one on the",
  "            // top of the stack, take the operator off the stack and",
  "            // replace its two operands with the combined operator node.",
  "            // This corresponds to left-associative operators only.",
  "            o2 := ops.pop",
  "            tmp2 := terms.pop",
  "            tmp := terms.pop",
  "            tmp := ast.opNode.new(o2, tmp, tmp2)",
  "            terms.push(tmp)",
  "        }",
  "        ops.push(o)",
  "        if (accept(\"lparen\")) then {",
  "            // When a parenthesis is found, take an expression from",
  "            // *within* the parentheses and add it to the stack. Do",
  "            // not delegate entirely to expression, because it will",
  "            // then consume all the following operators and break",
  "            // precedence. Possibly parenthesised expressions could",
  "            // be allowed in term above?",
  "            next",
  "            if(didConsume(recurse).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«{name}»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«{name}»\")",
  "                }",
  "                errormessages.syntaxError(\"Parentheses must contain a valid {name}.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            if (!tokenOnSameLine) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                suggestion.deleteToken(lastToken)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" «{name}»\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \" ++ util.lines[sym.line])afterToken(lastToken)",
  "                suggestion.deleteLine(sym.line)",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"A valid expression must follow '{lastToken.value}'. This is often caused by a new line in the middle of an expression.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "            }",
  "            if(didConsume({term}).not) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"comma\", \"rparen\", \"rsquare\", \"rbrace\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «{name}»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «{name}»\")",
  "                }",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"A valid {name} must follow '{lastToken.value}'. This is often caused by a new line in the middle of an expression.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "            }",
  "        }",
  "",
  "        // Regardless of where the last value came from, it may have",
  "        // method invocations, indexes, or method call happening to it,",
  "        // which should be applied and the result put into the operands",
  "        // list.",
  "        dotrest(acceptBlocks)",
  "        callrest(acceptBlocks)",
  "        postfixsquare",
  "        tmp := values.pop",
  "        terms.push(tmp)",
  "    }",
  "    while {ops.size > 0} do {",
  "        // Shunt off any remaining operators at the end",
  "        o := ops.pop",
  "        tmp2 := terms.pop",
  "        tmp := terms.pop",
  "        tmp := ast.opNode.new(o, tmp, tmp2)",
  "        terms.push(tmp)",
  "    }",
  "    tmp := terms.pop",
  "    values.push(tmp)",
  "    if (terms.size > 0) then {",
  "        errormessages.syntaxError(\"Values left on term stack.\")atPosition(sym.line, sym.linePos)",
  "    }",
  "}",
  "",
  "// Accept a member lookup with \".\". This consumes the dot and",
  "// a following identifier, and will pass along to further lookups or",
  "// method calls on the result.",
  "method dotrest(acceptBlocks) {",
  "    if (acceptSameLine(\"dot\")) then {",
  "        util.setPosition(sym.line, sym.linePos)",
  "        var lookuptarget := values.pop",
  "        next",
  "        if (accept(\"identifier\")) then {",
  "            util.setPosition(sym.line, sym.linePos)",
  "            var dro := ast.memberNode.new(sym.value, lookuptarget)",
  "            values.push(dro)",
  "            next",
  "            if (accept(\"dot\")) then {",
  "                dotrest(acceptBlocks)",
  "            } elseif (accept(\"lparen\") || (acceptBlocks && accept(\"lbrace\"))",
  "                || accept(\"num\") || accept(\"string\") || accept(\"lsquare\")",
  "                || accept(\"lgeneric\")",
  "                ) then {",
  "                callrest(acceptBlocks)",
  "            }",
  "        } else {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.deleteToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\"«method name»\")afterToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"A field or method name must follow a '.'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "    }",
  "}",
  "",
  "// Accept a method invocation indicated by parentheses. Unparenthesised",
  "// method calls are left as \"member\" AST nodes and processed correctly at",
  "// a later stage.",
  "method callrest(acceptBlocks) {",
  "    if (values.size == 0) then {",
  "        return 0",
  "    }",
  "    var meth := values.pop",
  "    if (meth.kind != \"identifier\") then {",
  "        if (meth.kind != \"member\") then {",
  "            values.push(meth)",
  "            return 0",
  "        }",
  "    }",
  "    def lnum = meth.line",
  "    def lpos = meth.linePos",
  "    var methn := meth.value",
  "    def btok = sym",
  "    util.setPosition(sym.line, sym.linePos)",
  "    var signature := []",
  "    var part := ast.callWithPart.new",
  "    signature.push(part)",
  "    var hadcall := false",
  "    var tok := lastToken",
  "    var startInd := minIndentLevel",
  "    var genericIdents := false",
  "    if (acceptSameLine \"lgeneric\") then {",
  "        genericIdents := typeArgs",
  "    }",
  "    if (acceptSameLine(\"lparen\")) then {",
  "        part.line := sym.line",
  "        part.linePos := sym.linePos",
  "        part.name := methn",
  "        tok := sym",
  "        hadcall := true",
  "        parenthesizedArg(part)",
  "    } elseif (acceptBlocks.not && {accept(\"lbrace\")onLineOf(tok)}) then {",
  "        values.push(meth)",
  "    } elseif (accept(\"string\")onLineOf(tok) || accept(\"num\")onLineOf(tok)",
  "        || accept(\"lbrace\")onLineOf(tok)",
  "        || (accept(\"identifier\")onLineOf(tok) && ((sym.value == \"true\")",
  "                                   || (sym.value == \"false\")))) then {",
  "        tok := sym",
  "        hadcall := true",
  "        part.name := methn",
  "        term",
  "        var ar := values.pop",
  "        part.args.push(ar)",
  "    } elseif (meth.kind == \"identifier\") then {",
  "        values.push(meth)",
  "    } elseif (meth.kind == \"member\") then {",
  "        var root := meth.in",
  "        var outroot := meth",
  "        while {root.kind == \"member\"} do {",
  "            outroot := root",
  "            root := root.in",
  "        }",
  "        if (root.kind == \"identifier\") then {",
  "            values.push(meth)",
  "        } else {",
  "            meth.generics := genericIdents",
  "            values.push(meth)",
  "        }",
  "    }",
  "    if (hadcall) then {",
  "        if (accept(\"identifier\")onLineOfLastOr(tok)) then {",
  "            // Multi-part method name",
  "            def meth' = ast.identifierNode.new(methn, false)",
  "            meth'.line := lnum",
  "            meth'.linePos := lpos",
  "            methn := callmprest(meth', signature, tok)",
  "            if (meth.kind == \"member\") then {",
  "                // callmprest loses this information, so restore",
  "                // the member lookup (for x.between(3)and(10)-type",
  "                // calls).",
  "                meth := ast.memberNode.new(methn.value, meth.in)",
  "                meth.line := methn.line",
  "                meth.linePos := methn.linePos",
  "            } else {",
  "                meth := methn",
  "            }",
  "        }",
  "        util.setline(lnum)",
  "        def call = ast.callNode.new(meth, signature)",
  "        call.generics := genericIdents",
  "        values.push(call)",
  "    } elseif {genericIdents != false} then {",
  "        meth.generics := genericIdents",
  "    }",
  "    minIndentLevel := startInd",
  "    dotrest(acceptBlocks)",
  "}",
  "",
  "method parenthesizedArg(part) {",
  "    next",
  "    ifConsume {expression(blocksOK)} then {",
  "        // For matching blocks - same as below",
  "        if (accept(\"colon\")) then {",
  "            def expr = values.pop",
  "            if (expr.kind != \"identifier\") then {",
  "                def suggestion = errormessages.suggestion.new",
  "                if(sym.next.kind == \"identifier\") then {",
  "                    suggestion.deleteTokenRange(sym, sym.next)leading(true)trailing(false)",
  "                    errormessages.syntaxError(\"Only variables and constants may be followed by a ':' and a type.\")atRange(",
  "                        sym.line, sym.linePos, sym.next.linePos + sym.next.size - 1)withSuggestion(suggestion)",
  "                } else {",
  "                    suggestion.deleteToken(sym)leading(true)trailing(false)",
  "                    errormessages.syntaxError(\"Only variables and constants may be followed by a ':' and a type.\")atRange(",
  "                        sym.line, sym.linePos, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "            }",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                checkBadTypeLiteral",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «type name»\")",
  "                }",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"A type name or type expression must follow ':'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestions(suggestions)",
  "            }",
  "            expr.dtype := values.pop",
  "            values.push(expr)",
  "        }",
  "        while {accept(\"comma\")} do {",
  "            part.args.push(values.pop)",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                }",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"A method request must have an expression after a ','.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestions(suggestions)",
  "            }",
  "            // For matching blocks - same as above",
  "            if (accept(\"colon\")) then {",
  "                def arg = values.pop",
  "                if (arg.kind != \"identifier\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    if(sym.next.kind == \"identifier\") then {",
  "                        suggestion.deleteTokenRange(sym, sym.next)leading(true)trailing(false)",
  "                        errormessages.syntaxError(\"Only variables and constants may be followed by a ':' and a type.\")atRange(",
  "                            sym.line, sym.linePos, sym.next.linePos + sym.next.size - 1)withSuggestion(suggestion)",
  "                    } else {",
  "                        suggestion.deleteToken(sym)",
  "                        errormessages.syntaxError(\"Only variables and constants may be followed by a ':' and a type.\")atRange(",
  "                            sym.line, sym.linePos, sym.linePos)withSuggestion(suggestion)",
  "                    }",
  "                }",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    checkBadTypeLiteral",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rparen\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «type name»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A type name or type expression must follow ':'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "                arg.dtype := values.pop",
  "                values.push(arg)",
  "            }",
  "        }",
  "        part.args.push(values.pop)",
  "    }",
  "    if(sym.kind != \"rparen\") then {",
  "        checkBadOperators",
  "        def suggestion = errormessages.suggestion.new",
  "        suggestion.insert(\")\")afterToken(lastToken)",
  "        errormessages.syntaxError(\"A method request beginning with a '(' must end with a ')'.\")atPosition(",
  "            lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "    }",
  "    if (sym.line == part.line) then {",
  "        part.lineLength := sym.linePos - part.linePos",
  "    }",
  "    next",
  "}",
  "",
  "method typeArgs {",
  "    // Parse one or more type arguments, if present, and answer them as a list.",
  "    def startToken = sym",
  "    def args = list.empty",
  "    if (sym.kind != \"lgeneric\") then { return args }",
  "    next",
  "    while {didConsume{typeArg}} do {",
  "        args.add(values.pop)",
  "        if (sym.kind == \"comma\") then { next }",
  "    }",
  "    if(sym.kind != \"rgeneric\") then {",
  "        def suggestion = errormessages.suggestion.new",
  "        suggestion.insert(\">\")afterToken(lastToken)",
  "        def suggestion2 = errormessages.suggestion.new",
  "        suggestion2.insert(\" \")beforeToken(startToken)",
  "        def suggestions = [suggestion, suggestion2]",
  "        errormessages.syntaxError(\"A method request containing a '<' must have a matching '>'. \"",
  "            ++ \"If '<' is intended as an operator, precede it by a space.\")",
  "            atPosition(lastToken.line, lastToken.linePos + lastToken.size)",
  "            withSuggestions(suggestions)",
  "    }",
  "    next",
  "    return args",
  "}",
  "",
  "method typeArg {",
  "    // Parses a single type argument, and leave it on the values stack.",
  "    // TODO: 'identifier' could be a dotted identifier, ",
  "    //        or perhaps a type expression?",
  "    if (accept \"identifier\") then {",
  "        identifier",
  "        if (sym.kind == \"lgeneric\") then {",
  "            values.push(ast.genericNode.new(values.pop, typeArgs))",
  "        } else {",
  "            // values.push(values.pop)",
  "        }",
  "    } elseif {didConsume{dotypeLiteral}} then {",
  "        // values.push(values.pop)",
  "    }",
  "}",
  "",
  "method callmprest(meth, signature, tok) {",
  "    // Parses the rest of a multi-part method name.",
  "    // meth is an identifierNode representing the first part of the name.",
  "    // Returns a new identifierNode, representing the full method name,",
  "    // and updates signature.params with the parsed arguments.",
  "    var methname := meth.value",
  "    var nxt",
  "    var lp := meth.linePos",
  "    var part",
  "    while {accept(\"identifier\")onLineOf(tok)",
  "           || accept(\"identifier\")onLineOf(lastToken)} do {",
  "        // Each word must start on the same line as the preceding parameter",
  "        // ended.",
  "        part := ast.callWithPart.new",
  "        signature.push(part)",
  "        methname := methname ++ \"()\"",
  "        pushidentifier",
  "        nxt := values.pop",
  "        methname := methname ++ nxt.value",
  "        part.name := nxt.value",
  "        var isTerm := false",
  "        if ((accept(\"lparen\")).not && (accept(\"lbrace\")).not",
  "            && accept(\"string\").not && accept(\"num\").not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            if(sym.kind == \"identifier\") then {",
  "                suggestion.replaceToken(sym)leading(true)trailing(false)with(\"({sym.value})\")",
  "                if(methname == \"while()do\") then {",
  "                    errormessages.syntaxError(\"A while loop must have either a loop body in braces, or a block in parentheses.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                } elseif(methname == \"for()do\") then {",
  "                    errormessages.syntaxError(\"A for loop must have either a loop body in braces, or a block in parentheses.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                errormessages.syntaxError(\"Each argument list in a multi-part method request must be parenthesized, unless it is self-delimiting.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            } else {",
  "                if(methname == \"while()do\") then {",
  "                    suggestion.insert(\" \\{}\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"A while loop must have a body.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                } elseif(methname == \"for()do\") then {",
  "                    suggestion.insert(\" \\{}\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"A for loop must have a body.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                } else {",
  "                    suggestion.insert(\"()\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"A multi-part method request must end with '()'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "            }",
  "        }",
  "        if (accept(\"lbrace\")onLineOfLastOr(tok)",
  "            || accept(\"string\")onLineOfLastOr(tok)",
  "            || accept(\"num\")onLineOfLastOr(tok)",
  "            || (accept(\"identifier\")onLineOfLastOr(tok)",
  "                && ((sym.value == \"true\")",
  "                    || (sym.value == \"false\")))) then {",
  "            isTerm := true",
  "        } else {",
  "            next",
  "        }",
  "        var isEmpty := false",
  "        if (accept \"rparen\") then {",
  "            isEmpty := true",
  "        }",
  "        if (isTerm) then {",
  "            term",
  "        } else {",
  "            if(sym.kind != \"rparen\") then {",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rparen\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                        suggestions.push(suggestion)",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(sym, nextTok.prev)leading(true)trailing(false)",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A method request must have an expression or a ')' after a '('.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "            }",
  "            while {accept(\"comma\")} do {",
  "                nxt := values.pop",
  "                part.args.push(nxt)",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rparen\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A method request must have an expression after a ','.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "            }",
  "        }",
  "        if (!isEmpty) then {",
  "            nxt := values.pop",
  "            part.args.push(nxt)",
  "        }",
  "        if (isTerm.not) then {",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"A part of a multi-part method request beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "        }",
  "        if (accept(\"rparen\") && isTerm.not) then {",
  "            next",
  "        }",
  "    }",
  "    def meth' = ast.identifierNode.new(methname, false)",
  "    meth'.line := meth.line",
  "    meth'.linePos := meth.linePos",
  "    meth'",
  "}",
  "",
  "// Accept a const declaration",
  "method defdec {",
  "    if (accept(\"keyword\") && (sym.value == \"def\")) then {",
  "        def line = sym.line",
  "        def pos = sym.linePos",
  "        def defTok = sym",
  "        next",
  "        if(sym.kind != \"identifier\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextToken = findNextToken({ t -> (t.kind == \"op\")",
  "                && (t.value == \"=\") && (t.line == sym.line)})",
  "            if(nextToken == false) then {",
  "                suggestion.insert(\" «name» =\")afterToken(lastToken)",
  "            } elseif(nextToken == sym) then {",
  "                suggestion.insert(\" «name»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextToken.prev)leading(false)trailing(true)with(\"«name» \")",
  "            }",
  "            errormessages.syntaxError(\"A definition must have a name, '=', and a value after the 'def'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        pushidentifier",
  "        var val := false",
  "        var name := values.pop",
  "        name.isBindingOccurrence := true",
  "        var dtype := optionalTypeAnnotation",
  "        def anns = doannotation",
  "        if (accept(\"op\") && (sym.value == \"=\")) then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken()",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A definition must have a value after the '='.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            val := values.pop",
  "        } elseif (accept(\"bind\")) then {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.replaceToken(sym)with(\"=\")",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.replaceToken(defTok)with(\"var\")",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"A definition must use '=' instead of ':='. A variable declaration uses 'var' and ':='.\")atRange(",
  "                sym.line, sym.linePos, sym.linePos + 1)withSuggestions(suggestions)",
  "        } else {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\" = «expression»\")afterToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.replaceToken(defTok)with(\"var\")",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"A definition must have '=' and a value after the name. \"",
  "                ++ \"A variable declaration does not require a value and uses 'var' instead of 'def'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        var o := ast.defDecNode.new(name, val, dtype)",
  "        if (anns != false) then { o.annotations.extend(anns) }",
  "        adjustVisibilityOf(o) withSpecialDefault(defaultDefVisibility) overriding(\"confidential\")",
  "        o.startToken := defTok",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "// Accept a var declaration",
  "method vardec {",
  "    if (accept(\"keyword\") && (sym.value == \"var\")) then {",
  "        def line = sym.line",
  "        def pos = sym.linePos",
  "        def varTok = sym",
  "        next",
  "        if(sym.kind != \"identifier\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextToken = findNextToken({ t -> (t.kind == \"bind\")",
  "                && (t.line == sym.line)})",
  "            if((nextToken == false).orElse({nextToken == sym})) then {",
  "                suggestion.insert(\" «name»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextToken.prev)leading(false)trailing(true)with(\"«name» \")",
  "            }",
  "            errormessages.syntaxError(\"A variable declaration must have a name after the 'var'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        pushidentifier",
  "        var val := false",
  "        var name := values.pop",
  "        name.isBindingOccurrence := true",
  "        def dtype = optionalTypeAnnotation",
  "        def anns = doannotation",
  "        if (accept(\"bind\")) then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken()",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                }",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"A variable declaration must have a value after the ':='. \"",
  "                    ++ \"A variable without a value can be declared with 'var' followed only by the variable name.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "            }",
  "            val := values.pop",
  "        } else {",
  "            if (accept(\"op\") && (sym.value == \"=\")) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                suggestion.replaceToken(sym)with(\":=\")",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.replaceToken(varTok)with(\"def\")",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"A variable declaration must use ':=' instead of '='. A definition uses 'def' and '='.\")",
  "                    atRange(sym.line, sym.linePos, sym.linePos)",
  "                    withSuggestions(suggestions)",
  "            }",
  "        }",
  "        def o = ast.varDecNode.new(name, val, dtype)",
  "        if (anns != false) then { o.annotations.extend(anns) }",
  "        adjustVisibilityOf(o) withSpecialDefault(defaultVarVisibility) overriding(\"confidential\")",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "// Accept a square-bracketed list literal like [1,2,3].",
  "method doarray {",
  "    if (accept(\"lsquare\")) then {",
  "        next",
  "        var tmp",
  "        var params := []",
  "        ifConsume {expression(blocksOK)} then {",
  "            while {accept(\"comma\")} do {",
  "                tmp := values.pop",
  "                params.push(tmp)",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rsquare\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A list must contain zero or more valid expressions separated by commas.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "            }",
  "            tmp := values.pop",
  "            params.push(tmp)",
  "        }",
  "        if(sym.kind != \"rsquare\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\"]\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A list beginning with a '[' must end with a ']'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        var o := ast.arrayNode.new(params)",
  "        values.push(o)",
  "        next",
  "    }",
  "}",
  "",
  "// Accept \"dialect \"X\"\"",
  "method dodialect {",
  "    if (accept(\"keyword\") && (sym.value == \"dialect\")) then {",
  "        next",
  "        if(sym.kind != \"string\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            var errorPos",
  "            if((sym.kind == \"identifier\") && (sym.line == lastToken.line)) then {",
  "                suggestion.replaceToken(sym)with(\"\\\"{sym.value}\\\"\")",
  "                errorPos := sym.linePos",
  "            } else {",
  "                suggestion.insert(\" \\\"«dialect name»\\\"\")afterToken(lastToken)",
  "                errorPos := lastToken.linePos + lastToken.size + 1",
  "            }",
  "            errormessages.syntaxError(\"A dialect statement must have the name of the dialect in quotes after the 'dialect'.\")atPosition(",
  "                lastToken.line, errorPos)withSuggestion(suggestion)",
  "        }",
  "        values.push(ast.dialectNode.new(sym.value))",
  "        next",
  "    }",
  "}",
  "",
  "// Accept \"inherits X.new\"",
  "method inheritsdec {",
  "    if (accept(\"keyword\") && (sym.value == \"inherits\")) then {",
  "        def btok = sym",
  "        checkIndent",
  "        next",
  "        if(didConsume({expression(noBlocks)}).not) then {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"rsquare\")",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\" «parent»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «parent»\")",
  "            }",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"The inherits keyword must be followed by an expression that creates the object being inherited.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestions(suggestions)",
  "        }",
  "        util.setPosition(btok.line, btok.linePos)",
  "        def inhNode = ast.inheritsNode.new(values.pop)",
  "        values.push(inhNode)",
  "    }",
  "}",
  "",
  "// Accept an object literal.",
  "method doobject {",
  "    // doobject because \"object\" is a keyword",
  "    if (accept(\"keyword\") && (sym.value == \"object\")) then {",
  "        def btok = sym",
  "        def localMinIndentLevel = minIndentLevel",
  "        next",
  "        if(sym.kind != \"lbrace\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextTok = findNextToken({ t -> t.kind == \"rbrace\" })",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" \\{}\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "            }",
  "            errormessages.syntaxError(\"An object literal must have a '\\{' after the 'object'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        values.push(object {",
  "            var kind := \"lbrace\"",
  "            var register := \"\"",
  "        })",
  "        next",
  "        if (sym.line == statementToken.line) then {",
  "            minIndentLevel := sym.linePos - 1",
  "        } else {",
  "            minIndentLevel := statementToken.indent + 1",
  "        }",
  "        var sz := values.size",
  "        while {(accept(\"rbrace\")).not} do {",
  "            // An object body contains zero or more var declarations,",
  "            // const declarations, and method declarations. If anything",
  "            // else appears before the closing brace, it is a syntax error.",
  "            methoddec",
  "            inheritsdec",
  "            statement",
  "            if (sym.kind == \"eof\") then {",
  "                if(sym.kind != \"rbrace\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\"}\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"An object literal must end with a '}'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "            } elseif ((values.size == sz) && (lastToken.kind != \"semicolon\")) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.deleteToken(sym)",
  "                errormessages.syntaxError(\"An object literal can contain only definitions, variable and method declarations, and statements.\")atRange(",
  "                    sym.line, sym.linePos, sym.linePos + sym.size - 1)withSuggestion(suggestion)",
  "            }",
  "            sz := values.size",
  "        }",
  "        next",
  "        var rbody := []",
  "        var n := values.pop",
  "        while {n.kind != \"lbrace\"} do {",
  "            rbody.push(n)",
  "            n := values.pop",
  "        }",
  "        var body := []",
  "        for (rbody.indices) do { x ->",
  "            // Reorder the list",
  "            var p := rbody.pop",
  "            body.push(p)",
  "        }",
  "        util.setline(btok.line)",
  "        var o := ast.objectNode.new(body, false)",
  "        values.push(o)",
  "        minIndentLevel := localMinIndentLevel",
  "    }",
  "}",
  "",
  "// Accept a class declaration",
  "// Class declarations are currently of the form:",
  "//   class classname.methodName (param1, param2) {",
  "//     inherits foo.new(...)",
  "//     var x",
  "//     method y(z) { ... }",
  "//   }",
  "method doclass {",
  "    if (accept(\"keyword\") && (sym.value == \"class\")) then {",
  "        def btok = sym",
  "        next",
  "        def localMinIndentLevel = minIndentLevel",
  "        if(sym.kind != \"identifier\") then {",
  "            def suggestions = []",
  "            if(sym.kind == \"lbrace\") then {",
  "                var suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" «class name».new\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.replaceToken(lastToken)with(\"object\")",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\" «class name».new \\{}\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A class must have a name after the 'class'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestions(suggestions)",
  "        }",
  "        def cname = if (tokens.first.kind == \"dot\") then {",
  "            pushidentifier // A class must have a name",
  "            def cname' = values.pop",
  "            cname'.isBindingOccurrence := true",
  "            if (!accept(\"dot\")) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.replaceToken(sym) with(\".\")",
  "                errormessages.syntaxError \"A class must have a dot after the object name.\"",
  "                    atPosition(lastToken.line, lastToken.linePos + lastToken.size + 1)",
  "                    withSuggestion(suggestion)",
  "            }",
  "            next",
  "            cname'",
  "        } else {",
  "            false",
  "        }",
  "        var s := methodsignature(false)",
  "        var csig := s.sig",
  "        var methodName := s.m",
  "        methodName.isBindingOccurrence := true",
  "        def dtype = s.rtype",
  "        def anns = doannotation",
  "        if (!accept(\"lbrace\")) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\" \\{\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A class must have a '\\{' after the method name.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if (sym.line == statementToken.line) then {",
  "            minIndentLevel := sym.linePos - 1",
  "        } else {",
  "            minIndentLevel := statementToken.indent + 1",
  "        }",
  "        def body = []",
  "        while {(accept(\"rbrace\")).not.andAlso{sym.kind != \"eof\"}} do {",
  "            ifConsume {methoddec} then {",
  "                body.push(values.pop)",
  "            }",
  "            ifConsume {inheritsdec} then {",
  "                body.push(values.pop)",
  "            }",
  "            ifConsume {statement} then {",
  "                body.push(values.pop)",
  "            }",
  "        }",
  "        next",
  "        util.setline(btok.line)",
  "        def o = if (false == cname) then {",
  "            ast.methodNode.new(methodName, csig,",
  "                [ast.objectNode.new(body, false)], false)",
  "        } else {",
  "            ast.classNode.new(cname, csig, body, false, methodName, dtype)",
  "        }",
  "        o.generics := s.generics",
  "        if (false != anns) then {",
  "            o.annotations.extend(anns)",
  "        } else {",
  "            if (defaultMethodVisibility == \"confidential\") then {",
  "                o.annotations.push(ast.identifierNode.new(\"confidential\",",
  "                    false))",
  "            }",
  "        }",
  "        values.push(o)",
  "        minIndentLevel := localMinIndentLevel",
  "    }",
  "}",
  "",
  "// Accept a factory method declaration",
  "method dofactoryMethod {",
  "    if ((accept(\"keyword\") && (sym.value == \"factory\")).andAlso{",
  "            tokens.first.kind == \"keyword\"}.andAlso{",
  "            tokens.first.value == \"method\"}) then {",
  "        def btok = sym",
  "        next",
  "        next",
  "        def localMinIndentLevel = minIndentLevel",
  "        if(sym.kind != \"identifier\") then {",
  "            def suggestions = []",
  "            if(sym.kind == \"lbrace\") then {",
  "                var suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" «method name»\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.replaceToken(lastToken)with(\"object\")",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\" «method name» \\{}\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A factory method must have a name after the 'method'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestions(suggestions)",
  "        }",
  "        var s := methodsignature(false)",
  "        var csig := s.sig",
  "        var methodName := s.m",
  "        methodName.isBindingOccurrence := true",
  "        def dtype = s.rtype",
  "        def anns = doannotation",
  "        if (!accept(\"lbrace\")) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\" \\{\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A factory method must have a '\\{' after the name.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if (sym.line == statementToken.line) then {",
  "            minIndentLevel := sym.linePos - 1",
  "        } else {",
  "            minIndentLevel := statementToken.indent + 1",
  "        }",
  "        def body = []",
  "        while {(accept(\"rbrace\")).not} do {",
  "            ifConsume {methoddec} then {",
  "                body.push(values.pop)",
  "            }",
  "            ifConsume {inheritsdec} then {",
  "                body.push(values.pop)",
  "            }",
  "            ifConsume {statement} then {",
  "                body.push(values.pop)",
  "            }",
  "        }",
  "        next",
  "        util.setline(btok.line)",
  "        def obj = ast.objectNode.new(body, false)",
  "        def meth = ast.methodNode.new(methodName, csig,",
  "            collections.list.new(obj), dtype)",
  "        meth.generics := s.generics",
  "        if (false != anns) then {",
  "            meth.annotations.extend(anns)",
  "        } else {",
  "            if (defaultMethodVisibility == \"confidential\") then {",
  "                meth.annotations.push(ast.identifierNode.new(\"confidential\",",
  "                    false))",
  "            }",
  "        }",
  "        values.push(meth)",
  "        minIndentLevel := localMinIndentLevel",
  "    }",
  "}",
  "",
  "// Accept a method declaration",
  "method methoddec {",
  "    if (accept(\"keyword\") && (sym.value == \"method\")) then {",
  "        def btok = sym",
  "        checkIndent",
  "        statementToken := sym",
  "        var stok := sym",
  "        next",
  "        var m := methodsignature(false)",
  "        var meth := m.m",
  "        var signature := m.sig",
  "        def dtype = m.rtype",
  "        var varargs := m.v",
  "        var generics := m.generics",
  "        var body := []",
  "        var localMin",
  "        def anns = doannotation",
  "        if (accept(\"lbrace\")) then {",
  "            next",
  "            localMin := minIndentLevel",
  "            if (sym.line == stok.line) then {",
  "                minIndentLevel := sym.linePos - 1",
  "            } else {",
  "                minIndentLevel := stok.indent + 1",
  "            }",
  "            values.push(object {",
  "                var kind := \"lbrace\"",
  "                var register := \"\"",
  "            })",
  "            statement",
  "            var s := values.pop",
  "            while {s.kind != \"lbrace\"} do {",
  "                // The body is a sequence of statements, and",
  "                // the method ends when no further statement",
  "                // is found.",
  "                body.push(s)",
  "                statement",
  "                s := values.pop",
  "            }",
  "            if(sym.kind != \"rbrace\") then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def closingBrace = findClosingBrace(btok, false)",
  "                if(closingBrace.found == false) then {",
  "                    if(closingBrace.tok == sym) then {",
  "                        suggestion.insert(\"}\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                    }",
  "                }",
  "                suggestion.deleteToken(sym)",
  "                errormessages.syntaxError(\"A method must end with a '}'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            next",
  "            minIndentLevel := localMin",
  "        } else {",
  "            def suggestion = errormessages.suggestion.new",
  "            def closingBrace = findClosingBrace(btok, true)",
  "            if(closingBrace.found == false) then {",
  "                if(closingBrace.tok == lastToken) then {",
  "                    suggestion.insert(\" \\{}\")afterToken(lastToken)andTrailingSpace(true)",
  "                } else {",
  "                    suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                    suggestion.insert(\" \\{\")afterToken(lastToken)andTrailingSpace(true)",
  "                }",
  "            } else {",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)andTrailingSpace(true)",
  "            }",
  "            errormessages.syntaxError(\"A method must have a '\\{' after the name.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        util.setline(btok.line)",
  "        var o := ast.methodNode.new(meth, signature, body, dtype)",
  "        if (varargs) then {",
  "            o.varargs := true",
  "        }",
  "        o.generics := generics",
  "        if (anns != false) then { o.annotations.extend(anns) }",
  "        adjustVisibilityOf(o) withSpecialDefault(defaultMethodVisibility) overriding(\"public\")",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "// Process the declaration of a multi-part method name. These follow",
  "// mostly the same rules as calls, but aren't strictly enforced to be on",
  "// a single line (because they are ended by \"{\" or \"->\"). ",
  "// tm is a methodNode.  This method",
  "// returns a replacement method name identifier and modifies tm.params in",
  "// place.",
  "method parsempmndecrest(tm, sameline) {",
  "    var methname := tm.value.value",
  "    var signature := tm.signature",
  "    var nxt",
  "    while {(!sameline && accept(\"identifier\")) || acceptSameLine(\"identifier\")} do {",
  "        methname := methname ++ \"()\"",
  "        var part := ast.signaturePart.new",
  "        pushidentifier",
  "        nxt := values.pop",
  "        methname := methname ++ nxt.value",
  "        part.name := nxt.value",
  "        var vararg := false",
  "        if ((accept(\"lparen\")).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\"()\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A multi-part method must have parentheses around each parameter list.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        var comma := false",
  "        while {accept(\"identifier\")",
  "                || (accept(\"op\") && (sym.value == \"*\"))} do {",
  "            if (accept(\"op\")) then {",
  "                next",
  "                vararg := true",
  "                if(sym.kind != \"identifier\") then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    suggestion.insert(\"«parameter name»\")afterToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    if(comma == false) then {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteToken(lastToken)",
  "                        suggestions.push(suggestion)",
  "                    } else {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(comma, lastToken)",
  "                        suggestions.push(suggestion)",
  "                    }",
  "                    errormessages.syntaxError(\"A variable length parameter (a parameter beginning with '*') must have a name after the '*'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "                }",
  "            }",
  "            pushidentifier",
  "            nxt := values.pop",
  "            nxt.isBindingOccurrence := true",
  "            nxt.dtype := optionalTypeAnnotation",
  "            if (vararg) then {",
  "                part.vararg := nxt",
  "                tm.varargs := true",
  "                if(sym.kind != \"rparen\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\")\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"A part of a multi-part method beginning with a '(' must end with a ')'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "            } else {",
  "                part.params.push(nxt)",
  "            }",
  "            if (accept(\"comma\")) then {",
  "                comma := sym",
  "                next",
  "            }",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A part of a multi-part method beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        signature.push(part)",
  "    }",
  "    def newName = ast.identifierNode.new(methname, false)",
  "    newName.isBindingOccurrence := true",
  "    newName",
  "}",
  "",
  "method optionalTypeAnnotation {",
  "    // Accept a type annotation if present.",
  "    // Returns the type, or false if there is no annotation",
  "    if (accept(\"colon\")) then {",
  "        next",
  "        if (didConsume { typeexpression }) then {",
  "            values.pop",
  "        } else {",
  "            checkBadTypeLiteral",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.deleteToken(lastToken)leading(true)trailing(false)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"A type name or type expression must follow ':'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "    } else {",
  "        false",
  "    }",
  "}",
  "method methodsignature(sameline) {",
  "    // Accept a method signature",
  "    if((sym.kind != \"identifier\") && (sym.kind != \"op\") && (sym.kind != \"lsquare\")) then {",
  "        def suggestion = errormessages.suggestion.new",
  "        suggestion.insert(\" «method name»\")afterToken(lastToken)",
  "        errormessages.syntaxError(\"A method name must start with an identifier, an operator, or '[]'.\")atPosition(",
  "            lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "    }",
  "    pushidentifier",
  "    var meth := values.pop",
  "    meth.isBindingOccurrence := true",
  "    var signature := list.empty",
  "    var part := ast.signaturePart.new(meth.value)",
  "    var genericIdents := list.empty",
  "    signature.push(part)",
  "    if (meth.value == \"[\") then {",
  "        if(sym.kind != \"rsquare\") then {",
  "            if((sym.kind == \"identifier\") && ((tokens.size == 0).orElse",
  "                {tokens.first.kind == \"rsquare\"})) then {",
  "                def suggestions = list.empty",
  "                def suggestion = errormessages.suggestion.new",
  "                if(tokens.size == 0) then {",
  "                    suggestion.replaceToken(sym)with(\"]({sym.value})\")",
  "                    suggestions.push(suggestion)",
  "                } elseif(tokens.first.line == meth.line) then {",
  "                    suggestion.replaceTokenRange(sym, tokens.first)with(\"]({sym.value})\")",
  "                    suggestions.push(suggestion)",
  "                }",
  "                errormessages.syntaxError(\"A declaration of a method named '[]' must have the parameter name in parentheses after the '[]'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "            } else {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\"]\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"A method name must start with either an identifier or '[]'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "        }",
  "        next",
  "        meth.value := \"[]\"",
  "    }",
  "    if (accept(\"lgeneric\")) then {",
  "        // Generic!",
  "        next",
  "        genericIdents := part.generics",
  "        while {accept(\"identifier\")} do {",
  "            identifier",
  "            def id = values.pop",
  "            id.isBindingOccurrence := true",
  "            genericIdents.push(id)",
  "            if (accept(\"comma\")) then {",
  "                next",
  "            }",
  "        }",
  "        if(sym.kind != \"rgeneric\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\">\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A type containing a '<' must end with a '>'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "    }",
  "    if (accept(\"bind\")) then {",
  "        next",
  "        meth.value := meth.value ++ \":=\"",
  "        part.name := part.name ++ \":=\"",
  "    } elseif (accept(\"op\") && (meth.value == \"prefix\")) then {",
  "        meth.value := meth.value ++ sym.value",
  "        part.name := part.name ++ sym.value",
  "        next",
  "    }",
  "    var dtype := false",
  "    var varargs := false",
  "    var vararg := false",
  "    if (accept(\"lparen\")) then {",
  "        def lparen = sym",
  "        part.linePos := sym.linePos",
  "        next",
  "        var id",
  "        var comma := false",
  "        while {accept(\"identifier\") ||",
  "                (accept(\"op\") && (sym.value == \"*\"))} do {",
  "            // Parse the parameter list, including optional dtype",
  "            // annotations.",
  "            if (accept(\"op\")) then {",
  "                next",
  "                if(sym.kind != \"identifier\") then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    suggestion.insert(\"«parameter name»\")afterToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    if(comma == false) then {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteToken(lastToken)",
  "                        suggestions.push(suggestion)",
  "                    } else {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(comma, lastToken)",
  "                        suggestions.push(suggestion)",
  "                    }",
  "                    errormessages.syntaxError(\"A variable length parameter (a parameter beginning with a '*') must have a name after the '*'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "                }",
  "                vararg := true",
  "                varargs := true",
  "            }",
  "            pushidentifier",
  "            id := values.pop",
  "            id.isBindingOccurrence := true",
  "            dtype := optionalTypeAnnotation",
  "            id.dtype := dtype",
  "            if (vararg) then {",
  "                part.vararg := id",
  "                if(sym.kind != \"rparen\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    def rparen = findNextToken({ t -> (t.kind == \"rparen\") && (t.line == sym.line) })",
  "                    if((sym.kind == \"comma\") && (rparen != false)) then {",
  "                        suggestion.insert(\",*{id.value}\")beforeToken(rparen)",
  "                        suggestion.deleteTokenRange(lparen.next, sym)leading(true)trailing(false)",
  "                        errormessages.syntaxError(\"A variable length parameter (a parameter beginning with a '*') cannot have any more parameters after it.\")atRange(",
  "                            lastToken.line, sym.linePos, rparen.linePos - 1)withSuggestion(suggestion)",
  "                    } else {",
  "                        suggestion.insert(\")\")afterToken(lastToken)",
  "                        errormessages.syntaxError(\"A part of a method beginning with a '(' must end with a ')'.\")atPosition(",
  "                            lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                    }",
  "                }",
  "            } else {",
  "                part.params.push(id)",
  "            }",
  "            if (accept(\"comma\")) then {",
  "                comma := sym",
  "                next",
  "            } elseif (sym.kind != \"rparen\") then {",
  "                if(sym.kind != \"rparen\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\")\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"A part of a method beginning with a '(' must end with a ')'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "            }",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def rparen = findNextToken({ t -> (t.kind == \"rparen\") && (t.line == lastToken.line) })",
  "            if(rparen == false) then {",
  "                suggestion.replaceToken(lastToken)with(\")\")",
  "            } else {",
  "                suggestion.deleteToken(sym)",
  "            }",
  "            errormessages.syntaxError(\"A part of a method beginning with a '(' must end with a ')'.\")atRange(",
  "                lastToken.line, lastToken.linePos, lastToken.linePos)withSuggestion(suggestion)",
  "        }",
  "        if (sym.line == part.line) then {",
  "            part.lineLength := sym.linePos - part.linePos",
  "        }",
  "        next",
  "        if ((!sameline && accept(\"identifier\")) ||",
  "            acceptSameLine(\"identifier\")) then {",
  "            // The presence of an identifier here means",
  "            // a multi-part method name.",
  "            var tm := ast.methodNode.new(meth, signature, [], false)",
  "            meth := parsempmndecrest(tm, sameline)",
  "            varargs := varargs || tm.varargs",
  "        }",
  "    }",
  "    if (accept(\"arrow\")) then {",
  "        // Return dtype",
  "        next",
  "        typeexpression",
  "        dtype := values.pop",
  "    } else {",
  "        dtype := false",
  "    }",
  "    var o := object {",
  "        var m := meth",
  "        var sig := signature",
  "        var rtype := dtype",
  "        var v := varargs",
  "        var generics := genericIdents",
  "    }",
  "    o",
  "}",
  "",
  "method doimport {",
  "    // Accept an import statement, which has the form",
  "    //      import ‹string› as ‹identifier›:‹type expression› is ‹annotation›",
  "    if (accept(\"keyword\") && (sym.value == \"import\")) then {",
  "        def importline = sym.line",
  "        next",
  "        if(sym.kind != \"string\") then {",
  "            var suggestion := errormessages.suggestion.new",
  "            var errorPos",
  "            if((sym.kind == \"identifier\") && (sym.line == lastToken.line)) then {",
  "                suggestion.replaceToken(sym)with(\"\\\"{sym.value}\\\"\")",
  "                errorPos := sym.linePos",
  "            } else {",
  "                suggestion.insert(\" \\\"«module name»\\\"\")afterToken(lastToken)",
  "                errorPos := lastToken.linePos + lastToken.size + 1",
  "            }",
  "            errormessages.syntaxError(\"An import statement must have the name of the module in quotes, 'as', and an identifier after 'import'.\")atPosition(",
  "                lastToken.line, errorPos)withSuggestion(suggestion)",
  "        }",
  "        pushstring",
  "        def p = values.pop",
  "        if((sym.kind != \"identifier\") || (sym.value != \"as\")) then {",
  "            var suggestion := errormessages.suggestion.new",
  "            if((sym.kind == \"identifier\") && (sym.line == lastToken.line)) then {",
  "                suggestion.insert(\" as\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.insert(\" as {p.value}\")afterToken(lastToken)",
  "            }",
  "            errormessages.syntaxError(\"An import statement must have 'as', and an identifier after the name of the module in quotes.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if(sym.kind != \"identifier\") then {",
  "            var suggestion := errormessages.suggestion.new",
  "            var errorPos",
  "            if((sym.kind == \"string\") && (sym.line == lastToken.line)) then {",
  "                suggestion.replaceToken(sym)with(\"{sym.value}\")",
  "                errorPos := sym.linePos",
  "            } else {",
  "                suggestion.insert(\" {p.value}\")afterToken(lastToken)",
  "                errorPos := lastToken.linePos + lastToken.size + 1",
  "            }",
  "            errormessages.syntaxError(\"An import statement must have an identifier after 'as'.\")atPosition(",
  "                lastToken.line, errorPos)withSuggestion(suggestion)",
  "        }",
  "        pushidentifier",
  "        def name = values.pop",
  "        name.isBindingOccurrence := true",
  "        def dtype = optionalTypeAnnotation",
  "        util.setline(importline)",
  "        def o = ast.importNode.new(p.value, name, dtype)",
  "        def anns = doannotation",
  "        if (anns != false) then { o.annotations.extend(anns) }",
  "        adjustVisibilityOf(o) withSpecialDefault(defaultDefVisibility) overriding(\"confidential\")",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "// Accept a return statement. return takes a mandatory argument,",
  "// of the form \"return x\". x may be any expression.",
  "method doreturn {",
  "    if (accept(\"keyword\") && (sym.value == \"return\")) then {",
  "        next",
  "        var retval",
  "        if ((tokenOnSameLine).andAlso{accept(\"rbrace\").not}) then {",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rbrace\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteToken(sym)leading(true)trailing(false)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(sym, nextTok.prev)leading(true)trailing(false)",
  "                }",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"A return statement must have either an expression or a new-line after 'return'.\")atRange(",
  "                    sym.line, sym.linePos, sym.linePos + sym.size - 1)withSuggestions(suggestions)",
  "            }",
  "            retval := values.pop",
  "        } else {",
  "            retval := ast.identifierNode.new(\"done\", false)",
  "        }",
  "        var o := ast.returnNode.new(retval)",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "method domethodtype {",
  "    // parses a method in a type literal",
  "    var m := methodsignature(true)",
  "    var meth := m.m",
  "    var signature := m.sig",
  "    var dtype := m.rtype",
  "    var varargs := m.v",
  "    if (dtype == false) then {",
  "        dtype := ast.identifierNode.new(\"Done\", false)",
  "    }",
  "    var o := ast.methodTypeNode.new(meth.value, signature, dtype)",
  "    o.generics := m.generics",
  "    values.push(o)",
  "    if (accept(\"semicolon\")) then {",
  "        next",
  "    } else {",
  "        if (!accept(\"rbrace\")) then {",
  "            if (lastToken.line == sym.line) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def newLine = util.lines[sym.line].substringFrom(1)to(lastToken.linePos - 1) ++ sym.value",
  "                suggestion.addLine(sym.line + 0.1, newLine)",
  "                suggestion.deleteToken(sym)leading(true)trailing(true)",
  "                errormessages.syntaxError(\"Methods in a type literal must be on separate lines, or separated by semicolons.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  "method dotypeLiteral {",
  "    // parses a type literal between braces, with optional leading 'type' keyword.",
  "    if (accept(\"keyword\").andAlso { sym.value == \"type\" }) then {",
  "        next",
  "        if (!accept(\"lbrace\")) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.replaceToken(sym) with(\"\\{\")",
  "            errormessages.syntaxError \"type literals must open with a brace.\"",
  "                atPosition(sym.line, sym.linePos) withSuggestion(suggestion)",
  "            return",
  "        }",
  "    }",
  "    if (accept(\"lbrace\")) then {",
  "        def meths = []",
  "        def types = []",
  "        def mc = auto_count",
  "        auto_count := auto_count + 1",
  "        next",
  "        while {accept(\"rbrace\").not} do {",
  "            if (accept(\"keyword\").andAlso { sym.value == \"type\" }) then {",
  "                typedec",
  "                types.push(values.pop)",
  "            } else {",
  "                domethodtype",
  "                meths.push(values.pop)",
  "            }",
  "        }",
  "        next",
  "        def t = ast.typeLiteralNode.new(meths, types)",
  "        values.push(t)",
  "    }",
  "}",
  "",
  "method typedec {",
  "    // Accept a declaration: 'type = <type expression>'",
  "    if (accept(\"keyword\") && (sym.value == \"type\")) then {",
  "        def line = sym.line",
  "        def pos = sym.linePos",
  "        next",
  "        if(sym.kind != \"identifier\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A type declaration must have a name after the 'type'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestion(suggestion)",
  "        }",
  "        pushidentifier",
  "        generic",
  "        var p := values.pop",
  "        var gens := sequence.empty",
  "        if (p.kind == \"generic\") then {",
  "            gens := p.params",
  "            p := p.value",
  "        }",
  "        p.isBindingOccurrence := true",
  "        gens.do { each -> each.isBindingOccurrence := true }",
  "        def anns = doannotation",
  "        if((sym.kind != \"op\") || (sym.value != \"=\")) then {",
  "            var suggestion := errormessages.suggestion.new",
  "            def nextTok = findNextToken({ t -> t.kind == \"lbrace\" })",
  "            if((nextTok == false).orElse({nextTok == sym})) then {",
  "                suggestion.insert(\" =\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)with(\"=\")",
  "            }",
  "            errormessages.syntaxError(\"A type declaration must have a '=' after the type name.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        // Special case for type Literals without leading 'type' keyword.",
  "        if (accept(\"lbrace\")) then {",
  "            dotypeLiteral",
  "        } else {",
  "            expression(noBlocks)",
  "        }",
  "        def nt = ast.typeDecNode.new(p, values.pop)",
  "        nt.generics := gens",
  "        if (false != anns) then {",
  "            nt.annotations.extend(anns)",
  "        }",
  "        values.push(nt)",
  "    }",
  "}",
  "",
  "method checkIndent {",
  "    if (indentFreePass) then {",
  "        indentFreePass := false",
  "    } elseif (sym.kind == \"semicolon\") then {",
  "        // pass",
  "    } elseif ((sym.kind == \"rbrace\") || (sym.kind == \"rparen\")",
  "        || (sym.kind == \"rsquare\")) then {",
  "        // pass",
  "    } elseif (sym.kind == \"eof\") then {",
  "    } elseif (sym.indent < minIndentLevel) then {",
  "        if ((sym.linePos - 1) != minIndentLevel) then {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            for(1..(minIndentLevel - (sym.linePos - 1))) do { _ ->",
  "                suggestion.insert(\" \")atPosition(1)onLine(sym.line)",
  "            }",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            // Find the indent level for the opening brace.",
  "            var tok := lastToken",
  "            while {(tok.linePos != (tok.indent + 1)) || (tok.indent >= minIndentLevel)} do { tok := tok.prev }",
  "            var line := \"\"",
  "            for(1..(tok.indent)) do { _ ->",
  "                line := line ++ \" \"",
  "            }",
  "            line := line ++ \"}\"",
  "            suggestion.addLine(sym.line - 0.9, line)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"The indentation for this line must be at least {minIndentLevel}. This is often caused by a missing '}'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "    } elseif (sym.indent > minIndentLevel) then {",
  "        minIndentLevel := sym.indent",
  "    }",
  "}",
  "",
  "// Accept a statement. A statement is any of the above that may exist",
  "// at the top level, and includes expressions.",
  "// A statement may also be a bind statement x := y, which creates a",
  "// bind AST node out of the expressions on either side (which at this point",
  "// can be any arbitrary expression).",
  "method statement {",
  "    statementIndent := sym.indent",
  "    statementToken := sym",
  "    checkIndent",
  "    if (accept(\"keyword\")) then {",
  "        if (sym.value == \"var\") then {",
  "            vardec",
  "        } elseif (sym.value == \"def\") then {",
  "            defdec",
  "        } elseif (sym.value == \"import\") then {",
  "            doimport",
  "        } elseif (sym.value == \"dialect\") then {",
  "            dodialect",
  "        } elseif (sym.value == \"type\") then {",
  "            typedec",
  "        } elseif (sym.value == \"class\") then {",
  "            doclass",
  "        } elseif (sym.value == \"factory\") then {",
  "            dofactoryMethod",
  "        } elseif (sym.value == \"return\") then {",
  "            doreturn",
  "        } else {",
  "            expression(blocksOK)",
  "        }",
  "    } else {",
  "        ifConsume {expression(blocksOK)} then {",
  "            if (((values.last.kind == \"identifier\")",
  "                || (values.last.kind == \"member\")",
  "                || (values.last.kind == \"index\"))",
  "                && accept(\"bind\")) then {",
  "                var dest := values.pop",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rbrace\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A valid expression must follow ':='.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "                var val := values.pop",
  "                var o := ast.bindNode.new(dest, val)",
  "                values.push(o)",
  "            }",
  "        }",
  "    }",
  "    if (accept(\"eof\")) then {",
  "        return true",
  "    }",
  "    if (accept(\"semicolon\")) then {",
  "        def oldLine = sym.line",
  "        next",
  "        if (sym.line == oldLine) then {",
  "            indentFreePass := true",
  "        }",
  "    } else {",
  "        checkUnexpectedTokenAfterStatement",
  "    }",
  "}",
  "",
  "method checkBadOperators {",
  "    if (sym.value == \"=\") then {",
  "        def sugg = errormessages.suggestion.new",
  "        sugg.insert(\"=\")afterToken(sym)",
  "        errormessages.syntaxError(\"Use '==' to test equality, not '='.\")",
  "            atRange(sym.line, sym.linePos, sym.linePos)",
  "            withSuggestion(sugg)",
  "    }",
  "    if (sym.kind == \"rgeneric\") then {",
  "        def sugg = errormessages.suggestion.new",
  "        sugg.insert(\" \")beforeToken(sym)",
  "        errormessages.syntaxError(\"The '>' operator must be preceded by a space.\")",
  "            atRange(sym.line, sym.linePos, sym.linePos)",
  "            withSuggestion(sugg)",
  "    }",
  "}",
  "",
  "method checkBadTypeLiteral {",
  "    if (sym.kind == \"lbrace\") then {",
  "        def sugg = errormessages.suggestion.new",
  "        sugg.insert(\"type \") beforeToken(sym)",
  "        errormessages.syntaxError(\"type literals must start with the keyword 'type'.\")",
  "            atRange(sym.line, sym.linePos, sym.linePos)",
  "            withSuggestion(sugg)",
  "    }",
  "}",
  "",
  "method checkUnexpectedTokenAfterStatement {",
  "    if (sym.line == lastToken.line) then {",
  "        if ((sym.kind == \"op\") && (sym.value == \"=\")",
  "            && (lastToken.kind == \"identifier\")) then {",
  "            def sugg = errormessages.suggestion.new",
  "            def suggestions = []",
  "            sugg.replaceToken(sym)leading(false)trailing(false)with(\":=\")",
  "            suggestions.push(sugg)",
  "            def sugg2 = errormessages.suggestion.new",
  "            sugg2.replaceToken(sym)leading(false)trailing(false)with \"==\"",
  "            suggestions.push(sugg2)",
  "            errormessages.syntaxError(\"Assignment uses ':=', not '='.\")",
  "                atRange(sym.line, sym.linePos, sym.linePos)",
  "                withSuggestions (suggestions)",
  "        }",
  "        if (sym.kind == \"rgeneric\") then {",
  "            def sugg = errormessages.suggestion.new",
  "            sugg.insert(\" \")atPosition(sym.linePos)onLine(sym.line)",
  "            errormessages.syntaxError(",
  "                    \"The '>' operator must have a space before it.\")",
  "                atRange(sym.line, sym.linePos, sym.linePos)",
  "                withSuggestion(sugg)",
  "        }",
  "        if (sym.kind != \"rbrace\") then {",
  "            def suggestions = []",
  "            var suggestion",
  "            if ((values.size > 0).andAlso {",
  "                    (values.last.kind == \"identifier\").orElse {",
  "                        values.last.kind == \"member\"",
  "                    }.andAlso {",
  "                        sym.kind == \"identifier\"",
  "                    }",
  "                }) then {",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.replaceToken(sym)leading(true)trailing(false)with(\"({sym.value})\")",
  "                suggestions.push(suggestion)",
  "                if (false != sym.next) then {",
  "                    def n = sym.next",
  "                    if (n.line == sym.line) then {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.replaceToken(sym)leading(true)trailing(false)with(\"({sym.value}\")",
  "                        suggestion.append \")\" onLine(sym.line)",
  "                        suggestions.push(suggestion)",
  "                    }",
  "                }",
  "                if (values.last.kind == \"identifier\") then {",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.replaceToken(sym)leading(false)trailing(false)with(\"\\\"{sym.value}\\\"\")",
  "                    suggestions.push(suggestion)",
  "                }",
  "            }",
  "            def nextTok = findNextValidToken(\"rbrace\")",
  "            if(nextTok == sym) then {",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.addLine(lastToken.line, util.lines[lastToken.line].substringFrom(1)to(lastToken.linePos + lastToken.size - 1))",
  "                def newLine = util.lines[sym.line].substringFrom(sym.linePos)to(util.lines[sym.line].size)",
  "                suggestion.addLine(lastToken.line + 0.1, newLine)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(sym, nextTok.prev)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"Multiple statements must be separated by a newline or a semicolon. This is often caused by missing parentheses.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "    }",
  "}",
  "",
  "// Parse the given list of tokens, returning a list of AST nodes",
  "// corresponding to it.",
  "method parse(toks) {",
  "    util.log_verbose(\"processing tokens.\")",
  "    values := []",
  "    if (util.extensions.contains(\"DefaultVisibility\")) then {",
  "        defaultDefVisibility := util.extensions.get(\"DefaultVisibility\")",
  "        defaultVarVisibility := util.extensions.get(\"DefaultVisibility\")",
  "        defaultMethodVisibility := util.extensions.get(\"DefaultVisibility\")",
  "    }",
  "    if (util.extensions.contains(\"DefaultDefVisibility\")) then {",
  "        defaultDefVisibility := util.extensions.get(\"DefaultDefVisibility\")",
  "    }",
  "    if (util.extensions.contains(\"DefaultVarVisibility\")) then {",
  "        defaultVarVisibility := util.extensions.get(\"DefaultVarVisibility\")",
  "    }",
  "    if (util.extensions.contains(\"DefaultMethodVisibility\")) then {",
  "        defaultMethodVisibility := util.extensions.get(\"DefaultMethodVisibility\")",
  "    }",
  "    if (toks.size == 0) then {",
  "        return []",
  "    }",
  "    tokens := toks",
  "    sym := tokens.first",
  "    if (sym.indent > 0) then {",
  "        def sugg = errormessages.suggestion.new",
  "        sugg.deleteRange(1, sym.indent) onLine(sym.line)",
  "        errormessages.syntaxError(\"The first line must not be indented.\")",
  "            atRange(sym.line, 1, sym.indent)",
  "            withSuggestion(sugg)",
  "    }",
  "    sym.prev := lastToken",
  "// TODO: Do this in lexer.",
  "    tokens.push(object {",
  "        var kind := \"eof\"",
  "        var line := tokens.last.line",
  "        var linePos := util.lines[tokens.last.line].size + 1",
  "        var indent := 0",
  "        var value := \"\"",
  "        def size = 0",
  "        var next := false",
  "        var prev := false",
  "    })",
  "    util.log_verbose(\"parsing.\")",
  "    linenum := 1",
  "    next",
  "    var oldlength := tokens.size",
  "    while {tokens.size > 0} do {",
  "        blank",
  "        methoddec",
  "        blank",
  "        inheritsdec",
  "        blank",
  "        statement",
  "        if (tokens.size == oldlength) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.deleteToken(sym)",
  "            errormessages.syntaxError(\"Invalid statement. This is often caused by an extra '}', ')', or ']'.\")atRange(",
  "                sym.line, sym.linePos, sym.linePos + sym.size - 1)withSuggestion(suggestion)",
  "        }",
  "        oldlength := tokens.size",
  "    }",
  "    statement",
  "    values",
  "}",
  NULL
};
Object reader_parser_outer_85(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_kind_86(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_kind_86(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_line_87(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_line_87(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_linePos_88(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_parser_linePos_88(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_parser_indent_89(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_parser_indent_89(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_parser_value_90(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_parser_value_90(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_parser_size_91(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object reader_parser_outer_281(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_found_282(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_found_282(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_tok_283(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_tok_283(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_outer_7963(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_kind_7964(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_kind_7964(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_register_7965(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_register_7965(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_outer_8794(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_kind_8795(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_kind_8795(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_register_8796(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_register_8796(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_outer_9953(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_m_9954(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_m_9954(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_sig_9955(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_sig_9955(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_rtype_9956(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_parser_rtype_9956(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_parser_v_9957(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_parser_v_9957(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_parser_generics_9958(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_parser_generics_9958(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_parser_outer_11620(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_kind_11621(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_kind_11621(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_line_11622(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_line_11622(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_linePos_11623(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_parser_linePos_11623(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_parser_indent_11624(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_parser_indent_11624(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_parser_value_11625(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_parser_value_11625(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_parser_size_11626(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object reader_parser_next_11627(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_parser_next_11627(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_parser_prev_11628(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_parser_prev_11628(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_parser_outer_11785(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_kind_11786(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_kind_11786(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_line_11787(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_line_11787(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_linePos_11788(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_parser_linePos_11788(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_parser_indent_11789(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_parser_indent_11789(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_parser_value_11790(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_parser_value_11790(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_parser_size_11791(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
static Object strlit18;
static Object strlit23;
static Object strlit39;
static Object strlit70;
static Object strlit76;
static ClassData objclass84;
static Object strlit92;
static Object strlit107;
static Object strlit159;
static Object strlit206;
static Object strlit238;
static Object strlit239;
static Object strlit240;
static Object strlit241;
static Object strlit242;
static Object strlit243;
static Object strlit244;
static Object strlit245;
static Object strlit250;
static ClassData objclass280;
static Object strlit297;
static Object strlit308;
static Object strlit320;
static Object strlit348;
static Object strlit359;
static Object strlit371;
static Object strlit388;
static Object strlit405;
static Object strlit603;
static Object strlit611;
static Object strlit638;
static Object strlit645;
static Object strlit652;
static Object strlit659;
static Object strlit666;
static Object strlit687;
static Object strlit714;
static Object strlit724;
static Object strlit748;
static Object strlit779;
static Object strlit787;
static Object strlit814;
static Object strlit821;
static Object strlit828;
static Object strlit846;
static Object strlit865;
static Object strlit894;
static Object strlit901;
static Object strlit908;
static Object strlit926;
static Object strlit971;
static Object strlit996;
static Object strlit1009;
static Object strlit1016;
static Object strlit1026;
static Object strlit1046;
static Object strlit1053;
static Object strlit1060;
static Object strlit1063;
static Object strlit1071;
static Object strlit1083;
static Object strlit1086;
static Object strlit1130;
static Object strlit1147;
static Object strlit1165;
static Object strlit1170;
static Object strlit1174;
static Object strlit1183;
static Object strlit1205;
static Object strlit1206;
static Object strlit1213;
static Object strlit1220;
static Object strlit1238;
static Object strlit1270;
static Object strlit1280;
static Object strlit1311;
static Object strlit1316;
static Object strlit1328;
static Object strlit1354;
static Object strlit1364;
static Object strlit1371;
static Object strlit1378;
static Object strlit1381;
static Object strlit1384;
static Object strlit1394;
static Object strlit1404;
static Object strlit1421;
static Object strlit1426;
static Object strlit1436;
static Object strlit1445;
static Object strlit1475;
static Object strlit1482;
static Object strlit1489;
static Object strlit1507;
static Object strlit1523;
static Object strlit1547;
static Object strlit1572;
static Object strlit1593;
static Object strlit1596;
static Object strlit1643;
static Object strlit1650;
static Object strlit1657;
static Object strlit1673;
static Object strlit1680;
static Object strlit1689;
static Object strlit1696;
static Object strlit1720;
static Object strlit1724;
static Object strlit1734;
static Object strlit1737;
static Object strlit1741;
static Object strlit1751;
static Object strlit1754;
static Object strlit1757;
static Object strlit1764;
static Object strlit1774;
static Object strlit1777;
static Object strlit1780;
static Object strlit1786;
static Object strlit1813;
static Object strlit1835;
static Object strlit1843;
static Object strlit1850;
static Object strlit1853;
static Object strlit1864;
static Object strlit1867;
static Object strlit1878;
static Object strlit1881;
static Object strlit1895;
static Object strlit1907;
static Object strlit1910;
static Object strlit1934;
static Object strlit1941;
static Object strlit1948;
static Object strlit1976;
static Object strlit1987;
static Object strlit1992;
static Object strlit1997;
static Object strlit2000;
static Object strlit2034;
static Object strlit2071;
static Object strlit2082;
static Object strlit2087;
static Object strlit2107;
static Object strlit2114;
static Object strlit2128;
static Object strlit2135;
static Object strlit2143;
static Object strlit2146;
static Object strlit2149;
static Object strlit2152;
static Object strlit2155;
static Object strlit2156;
static Object strlit2159;
static Object strlit2173;
static Object strlit2180;
static Object strlit2189;
static Object strlit2197;
static Object strlit2204;
static Object strlit2229;
static Object strlit2233;
static Object strlit2243;
static Object strlit2246;
static Object strlit2250;
static Object strlit2260;
static Object strlit2263;
static Object strlit2266;
static Object strlit2273;
static Object strlit2283;
static Object strlit2286;
static Object strlit2289;
static Object strlit2295;
static Object strlit2323;
static Object strlit2330;
static Object strlit2353;
static Object strlit2361;
static Object strlit2368;
static Object strlit2371;
static Object strlit2382;
static Object strlit2385;
static Object strlit2396;
static Object strlit2399;
static Object strlit2424;
static Object strlit2428;
static Object strlit2433;
static Object strlit2437;
static Object strlit2460;
static Object strlit2467;
static Object strlit2480;
static Object strlit2504;
static Object strlit2509;
static Object strlit2520;
static Object strlit2525;
static Object strlit2544;
static Object strlit2547;
static Object strlit2558;
static Object strlit2561;
static Object strlit2564;
static Object strlit2572;
static Object strlit2600;
static Object strlit2611;
static Object strlit2616;
static Object strlit2621;
static Object strlit2624;
static Object strlit2658;
static Object strlit2695;
static Object strlit2706;
static Object strlit2711;
static Object strlit2739;
static Object strlit2746;
static Object strlit2753;
static Object strlit2781;
static Object strlit2792;
static Object strlit2797;
static Object strlit2802;
static Object strlit2805;
static Object strlit2839;
static Object strlit2876;
static Object strlit2887;
static Object strlit2892;
static Object strlit2917;
static Object strlit2941;
static Object strlit2946;
static Object strlit2957;
static Object strlit2962;
static Object strlit2981;
static Object strlit2984;
static Object strlit2995;
static Object strlit2998;
static Object strlit3001;
static Object strlit3012;
static Object strlit3016;
static Object strlit3028;
static Object strlit3036;
static Object strlit3055;
static Object strlit3062;
static Object strlit3069;
static Object strlit3072;
static Object strlit3080;
static Object strlit3092;
static Object strlit3095;
static Object strlit3124;
static Object strlit3131;
static Object strlit3138;
static Object strlit3144;
static Object strlit3171;
static Object strlit3194;
static Object strlit3215;
static Object strlit3229;
static Object strlit3240;
static Object strlit3251;
static Object strlit3262;
static Object strlit3276;
static Object strlit3316;
static Object strlit3322;
static Object strlit3332;
static Object strlit3339;
static Object strlit3343;
static Object strlit3358;
static Object strlit3368;
static Object strlit3375;
static Object strlit3379;
static Object strlit3403;
static Object strlit3410;
static Object strlit3419;
static Object strlit3425;
static Object strlit3440;
static Object strlit3447;
static Object strlit3465;
static Object strlit3473;
static Object strlit3488;
static Object strlit3492;
static Object strlit3498;
static Object strlit3502;
static Object strlit3512;
static Object strlit3516;
static Object strlit3521;
static Object strlit3527;
static Object strlit3530;
static Object strlit3533;
static Object strlit3565;
static Object strlit3572;
static Object strlit3579;
static Object strlit3582;
static Object strlit3590;
static Object strlit3602;
static Object strlit3605;
static Object strlit3627;
static Object strlit3634;
static Object strlit3644;
static Object strlit3650;
static Object strlit3669;
static Object strlit3676;
static Object strlit3683;
static Object strlit3686;
static Object strlit3694;
static Object strlit3706;
static Object strlit3709;
static Object strlit3735;
static Object strlit3740;
static Object strlit3749;
static Object strlit3759;
static Object strlit3764;
static Object strlit3769;
static Object strlit3774;
static Object strlit3789;
static Object strlit3796;
static Object strlit3804;
static Object strlit3808;
static Object strlit3811;
static Object strlit3813;
static Object strlit3830;
static Object strlit3837;
static Object strlit3844;
static Object strlit3850;
static Object strlit3869;
static Object strlit3876;
static Object strlit3883;
static Object strlit3886;
static Object strlit3894;
static Object strlit3906;
static Object strlit3909;
static Object strlit3935;
static Object strlit3940;
static Object strlit3949;
static Object strlit3959;
static Object strlit3964;
static Object strlit3969;
static Object strlit3974;
static Object strlit3995;
static Object strlit4002;
static Object strlit4011;
static Object strlit4014;
static Object strlit4016;
static Object strlit4022;
static Object strlit4028;
static Object strlit4043;
static Object strlit4050;
static Object strlit4068;
static Object strlit4076;
static Object strlit4091;
static Object strlit4095;
static Object strlit4101;
static Object strlit4105;
static Object strlit4115;
static Object strlit4119;
static Object strlit4124;
static Object strlit4130;
static Object strlit4133;
static Object strlit4136;
static Object strlit4168;
static Object strlit4175;
static Object strlit4182;
static Object strlit4185;
static Object strlit4193;
static Object strlit4205;
static Object strlit4208;
static Object strlit4230;
static Object strlit4237;
static Object strlit4247;
static Object strlit4253;
static Object strlit4272;
static Object strlit4279;
static Object strlit4286;
static Object strlit4289;
static Object strlit4297;
static Object strlit4309;
static Object strlit4312;
static Object strlit4338;
static Object strlit4343;
static Object strlit4352;
static Object strlit4362;
static Object strlit4367;
static Object strlit4372;
static Object strlit4377;
static Object strlit4392;
static Object strlit4399;
static Object strlit4406;
static Object strlit4412;
static Object strlit4431;
static Object strlit4438;
static Object strlit4445;
static Object strlit4448;
static Object strlit4456;
static Object strlit4468;
static Object strlit4471;
static Object strlit4497;
static Object strlit4502;
static Object strlit4511;
static Object strlit4521;
static Object strlit4526;
static Object strlit4531;
static Object strlit4536;
static Object strlit4557;
static Object strlit4564;
static Object strlit4573;
static Object strlit4588;
static Object strlit4595;
static Object strlit4612;
static Object strlit4627;
static Object strlit4631;
static Object strlit4641;
static Object strlit4644;
static Object strlit4648;
static Object strlit4654;
static Object strlit4657;
static Object strlit4663;
static Object strlit4691;
static Object strlit4698;
static Object strlit4705;
static Object strlit4708;
static Object strlit4718;
static Object strlit4730;
static Object strlit4733;
static Object strlit4753;
static Object strlit4760;
static Object strlit4770;
static Object strlit4776;
static Object strlit4795;
static Object strlit4802;
static Object strlit4809;
static Object strlit4812;
static Object strlit4820;
static Object strlit4832;
static Object strlit4835;
static Object strlit4861;
static Object strlit4866;
static Object strlit4875;
static Object strlit4885;
static Object strlit4890;
static Object strlit4895;
static Object strlit4900;
static Object strlit4928;
static Object strlit4934;
static Object strlit4940;
static Object strlit4947;
static Object strlit4954;
static Object strlit4962;
static Object strlit4969;
static Object strlit4977;
static Object strlit4984;
static Object strlit4991;
static Object strlit4998;
static Object strlit5005;
static Object strlit5015;
static Object strlit5022;
static Object strlit5029;
static Object strlit5035;
static Object strlit5041;
static Object strlit5056;
static Object strlit5082;
static Object strlit5089;
static Object strlit5096;
static Object strlit5099;
static Object strlit5107;
static Object strlit5119;
static Object strlit5122;
static Object strlit5155;
static Object strlit5177;
static Object strlit5184;
static Object strlit5191;
static Object strlit5197;
static Object strlit5214;
static Object strlit5224;
static Object strlit5234;
static Object strlit5237;
static Object strlit5265;
static Object strlit5271;
static Object strlit5292;
static Object strlit5295;
static Object strlit5305;
static Object strlit5308;
static Object strlit5324;
static Object strlit5332;
static Object strlit5339;
static Object strlit5361;
static Object strlit5367;
static Object strlit5373;
static Object strlit5378;
static Object strlit5397;
static Object strlit5408;
static Object strlit5411;
static Object strlit5423;
static Object strlit5428;
static Object strlit5439;
static Object strlit5492;
static Object strlit5506;
static Object strlit5514;
static Object strlit5518;
static Object strlit5528;
static Object strlit5532;
static Object strlit5538;
static Object strlit5542;
static Object strlit5552;
static Object strlit5564;
static Object strlit5567;
static Object strlit5603;
static Object strlit5607;
static Object strlit5626;
static Object strlit5637;
static Object strlit5643;
static Object strlit5672;
static Object strlit5673;
static Object strlit5674;
static Object strlit5675;
static Object strlit5683;
static Object strlit5687;
static Object strlit5697;
static Object strlit5701;
static Object strlit5722;
static Object strlit5729;
static Object strlit5733;
static Object strlit5804;
static Object strlit5813;
static Object strlit5827;
static Object strlit5847;
static Object strlit5854;
static Object strlit5859;
static Object strlit5864;
static Object strlit5869;
static Object strlit5875;
static Object strlit5881;
static Object strlit5905;
static Object strlit5910;
static Object strlit5929;
static Object strlit5936;
static Object strlit5967;
static Object strlit5974;
static Object strlit5996;
static Object strlit6010;
static Object strlit6017;
static Object strlit6025;
static Object strlit6031;
static Object strlit6036;
static Object strlit6040;
static Object strlit6060;
static Object strlit6069;
static Object strlit6080;
static Object strlit6096;
static Object strlit6110;
static Object strlit6126;
static Object strlit6182;
static Object strlit6188;
static Object strlit6199;
static Object strlit6213;
static Object strlit6239;
static Object strlit6267;
static Object strlit6274;
static Object strlit6281;
static Object strlit6299;
static Object strlit6315;
static Object strlit6344;
static Object strlit6351;
static Object strlit6358;
static Object strlit6376;
static Object strlit6384;
static Object strlit6390;
static Object strlit6401;
static Object strlit6415;
static Object strlit6439;
static Object strlit6467;
static Object strlit6474;
static Object strlit6481;
static Object strlit6499;
static Object strlit6523;
static Object strlit6535;
static Object strlit6538;
static Object strlit6575;
static Object strlit6601;
static Object strlit6612;
static Object strlit6622;
static Object strlit6629;
static Object strlit6634;
static Object strlit6636;
static Object strlit6653;
static Object strlit6659;
static Object strlit6692;
static Object strlit6696;
static Object strlit6710;
static Object strlit6734;
static Object strlit6741;
static Object strlit6748;
static Object strlit6754;
static Object strlit6766;
static Object strlit6775;
static Object strlit6781;
static Object strlit6787;
static Object strlit6791;
static Object strlit6799;
static Object strlit6803;
static Object strlit6810;
static Object strlit6818;
static Object strlit6822;
static Object strlit6825;
static Object strlit6833;
static Object strlit6837;
static Object strlit6840;
static Object strlit6847;
static Object strlit6850;
static Object strlit6861;
static Object strlit6868;
static Object strlit6876;
static Object strlit6882;
static Object strlit6887;
static Object strlit6891;
static Object strlit6903;
static Object strlit6912;
static Object strlit6933;
static Object strlit6940;
static Object strlit6947;
static Object strlit6965;
static Object strlit6975;
static Object strlit7005;
static Object strlit7012;
static Object strlit7019;
static Object strlit7037;
static Object strlit7060;
static Object strlit7072;
static Object strlit7075;
static Object strlit7092;
static Object strlit7116;
static Object strlit7123;
static Object strlit7134;
static Object strlit7157;
static Object strlit7164;
static Object strlit7179;
static Object strlit7186;
static Object strlit7193;
static Object strlit7196;
static Object strlit7217;
static Object strlit7224;
static Object strlit7250;
static Object strlit7257;
static Object strlit7260;
static Object strlit7276;
static Object strlit7284;
static Object strlit7294;
static Object strlit7299;
static Object strlit7317;
static Object strlit7327;
static Object strlit7333;
static Object strlit7335;
static Object strlit7356;
static Object strlit7366;
static Object strlit7373;
static Object strlit7384;
static Object strlit7406;
static Object strlit7428;
static Object strlit7435;
static Object strlit7438;
static Object strlit7458;
static Object strlit7484;
static Object strlit7491;
static Object strlit7510;
static Object strlit7512;
static Object strlit7530;
static Object strlit7537;
static Object strlit7546;
static Object strlit7556;
static Object strlit7561;
static Object strlit7583;
static Object strlit7590;
static Object strlit7607;
static Object strlit7635;
static Object strlit7642;
static Object strlit7649;
static Object strlit7667;
static Object strlit7684;
static Object strlit7694;
static Object strlit7697;
static Object strlit7720;
static Object strlit7727;
static Object strlit7734;
static Object strlit7754;
static Object strlit7762;
static Object strlit7768;
static Object strlit7776;
static Object strlit7791;
static Object strlit7809;
static Object strlit7816;
static Object strlit7839;
static Object strlit7846;
static Object strlit7853;
static Object strlit7871;
static Object strlit7904;
static Object strlit7911;
static Object strlit7918;
static Object strlit7931;
static Object strlit7944;
static Object strlit7947;
static Object strlit7950;
static ClassData objclass7962;
static Object strlit7966;
static Object strlit7967;
static Object strlit8000;
static Object strlit8014;
static Object strlit8021;
static Object strlit8031;
static Object strlit8034;
static Object strlit8048;
static Object strlit8067;
static Object strlit8098;
static Object strlit8141;
static Object strlit8148;
static Object strlit8155;
static Object strlit8163;
static Object strlit8173;
static Object strlit8183;
static Object strlit8192;
static Object strlit8197;
static Object strlit8214;
static Object strlit8231;
static Object strlit8239;
static Object strlit8242;
static Object strlit8277;
static Object strlit8285;
static Object strlit8288;
static Object strlit8335;
static Object strlit8343;
static Object strlit8436;
static Object strlit8441;
static Object strlit8458;
static Object strlit8470;
static Object strlit8480;
static Object strlit8487;
static Object strlit8498;
static Object strlit8506;
static Object strlit8516;
static Object strlit8526;
static Object strlit8535;
static Object strlit8540;
static Object strlit8572;
static Object strlit8580;
static Object strlit8583;
static Object strlit8628;
static Object strlit8712;
static Object strlit8717;
static Object strlit8732;
static Object strlit8739;
static Object strlit8765;
static ClassData objclass8793;
static Object strlit8797;
static Object strlit8798;
static Object strlit8808;
static Object strlit8827;
static Object strlit8853;
static Object strlit8864;
static Object strlit8869;
static Object strlit8899;
static Object strlit8911;
static Object strlit8914;
static Object strlit8918;
static Object strlit8922;
static Object strlit8957;
static Object strlit8973;
static Object strlit8978;
static Object strlit8989;
static Object strlit9016;
static Object strlit9024;
static Object strlit9027;
static Object strlit9042;
static Object strlit9049;
static Object strlit9054;
static Object strlit9062;
static Object strlit9070;
static Object strlit9081;
static Object strlit9109;
static Object strlit9140;
static Object strlit9150;
static Object strlit9153;
static Object strlit9170;
static Object strlit9179;
static Object strlit9189;
static Object strlit9192;
static Object strlit9220;
static Object strlit9242;
static Object strlit9258;
static Object strlit9269;
static Object strlit9277;
static Object strlit9284;
static Object strlit9296;
static Object strlit9299;
static Object strlit9335;
static Object strlit9342;
static Object strlit9353;
static Object strlit9370;
static Object strlit9393;
static Object strlit9399;
static Object strlit9419;
static Object strlit9425;
static Object strlit9432;
static Object strlit9448;
static Object strlit9451;
static Object strlit9465;
static Object strlit9469;
static Object strlit9480;
static Object strlit9496;
static Object strlit9504;
static Object strlit9514;
static Object strlit9517;
static Object strlit9532;
static Object strlit9538;
static Object strlit9546;
static Object strlit9555;
static Object strlit9562;
static Object strlit9590;
static Object strlit9605;
static Object strlit9612;
static Object strlit9617;
static Object strlit9625;
static Object strlit9631;
static Object strlit9642;
static Object strlit9670;
static Object strlit9703;
static Object strlit9725;
static Object strlit9741;
static Object strlit9749;
static Object strlit9755;
static Object strlit9766;
static Object strlit9779;
static Object strlit9782;
static Object strlit9799;
static Object strlit9806;
static Object strlit9813;
static Object strlit9823;
static Object strlit9826;
static Object strlit9841;
static Object strlit9863;
static Object strlit9877;
static Object strlit9882;
static Object strlit9912;
static Object strlit9917;
static Object strlit9941;
static ClassData objclass9952;
static Object strlit9963;
static Object strlit9970;
static Object strlit9979;
static Object strlit9999;
static Object strlit10007;
static Object strlit10013;
static Object strlit10021;
static Object strlit10036;
static Object strlit10047;
static Object strlit10054;
static Object strlit10075;
static Object strlit10082;
static Object strlit10086;
static Object strlit10092;
static Object strlit10097;
static Object strlit10116;
static Object strlit10136;
static Object strlit10144;
static Object strlit10150;
static Object strlit10159;
static Object strlit10165;
static Object strlit10182;
static Object strlit10215;
static Object strlit10223;
static Object strlit10230;
static Object strlit10241;
static Object strlit10264;
static Object strlit10271;
static Object strlit10289;
static Object strlit10307;
static Object strlit10328;
static Object strlit10358;
static Object strlit10378;
static Object strlit10385;
static Object strlit10432;
static Object strlit10444;
static Object strlit10451;
static Object strlit10459;
static Object strlit10467;
static Object strlit10470;
static Object strlit10478;
static Object strlit10494;
static Object strlit10505;
static Object strlit10512;
static Object strlit10541;
static Object strlit10548;
static Object strlit10559;
static Object strlit10569;
static Object strlit10572;
static Object strlit10599;
static Object strlit10626;
static Object strlit10633;
static Object strlit10647;
static Object strlit10668;
static Object strlit10673;
static Object strlit10676;
static Object strlit10695;
static Object strlit10726;
static Object strlit10734;
static Object strlit10742;
static Object strlit10749;
static Object strlit10758;
static Object strlit10801;
static Object strlit10845;
static Object strlit10856;
static Object strlit10863;
static Object strlit10879;
static Object strlit10883;
static Object strlit10909;
static Object strlit10913;
static Object strlit10922;
static Object strlit10931;
static Object strlit10940;
static Object strlit10949;
static Object strlit10958;
static Object strlit10967;
static Object strlit10976;
static Object strlit10996;
static Object strlit11001;
static Object strlit11011;
static Object strlit11020;
static Object strlit11050;
static Object strlit11057;
static Object strlit11064;
static Object strlit11082;
static Object strlit11100;
static Object strlit11105;
static Object strlit11124;
static Object strlit11134;
static Object strlit11137;
static Object strlit11147;
static Object strlit11157;
static Object strlit11160;
static Object strlit11171;
static Object strlit11181;
static Object strlit11184;
static Object strlit11204;
static Object strlit11212;
static Object strlit11219;
static Object strlit11234;
static Object strlit11245;
static Object strlit11250;
static Object strlit11260;
static Object strlit11270;
static Object strlit11277;
static Object strlit11287;
static Object strlit11301;
static Object strlit11311;
static Object strlit11320;
static Object strlit11346;
static Object strlit11352;
static Object strlit11384;
static Object strlit11390;
static Object strlit11395;
static Object strlit11403;
static Object strlit11419;
static Object strlit11425;
static Object strlit11432;
static Object strlit11506;
static Object strlit11514;
static Object strlit11520;
static Object strlit11525;
static Object strlit11531;
static Object strlit11537;
static Object strlit11544;
static Object strlit11549;
static Object strlit11556;
static Object strlit11561;
static Object strlit11568;
static Object strlit11573;
static Object strlit11609;
static ClassData objclass11619;
static Object strlit11629;
static Object strlit11648;
static Object strlit11654;
static Object strlit11699;
Object module_io;
Object module_io_init();
Object module_ast;
Object module_ast_init();
Object module_util;
Object module_util_init();
Object module_mgcollections;
Object module_mgcollections_init();
Object module_errormessages;
Object module_errormessages_init();
static Object strlit11769;
static Object strlit11773;
static Object strlit11777;
static ClassData objclass11784;
static Object strlit11792;
static Object strlit11796;
Object meth_parser__apply30(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num32 = alloc_Float64(0);
// compiled num node returning num32 (depth = 9)
  int op_slot_right_31 = gc_frame_newslot(num32);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe34 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tokens (depth = 11)
  partcv[0] = 0;
  Object call35 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe34);
// compiled call node returning call35 (depth = 10)
// compiled member node returning call35 (depth = 9)
  int op_slot_left_31 = gc_frame_newslot(call35);
  params[0] = num32;
  partcv[0] = 1;
  Object opresult36 = callmethod(call35, ">", 1, partcv, params);
// compiled op node returning opresult36 (depth = 8)
  gc_frame_end(frame);
  return opresult36;
}
Object meth_parser__apply27(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe28 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block29 = alloc_Block(NULL, NULL, "parser", 49);
  gc_frame_newslot(block29);
// method _apply
  block_savedest(block29);
  Object closure30 = createclosure(2, "_apply");
  setclosureframe(closure30, stackframe);
  addtoclosure(closure30, var_tokens);
  addtoclosure(closure30, selfslot);
  struct UserObject *uo30 = (struct UserObject*)block29;
  uo30->data[0] = (Object)closure30;
  Method *meth_meth_parser__apply30 = addmethod2pos(block29, "_apply", &meth_parser__apply30, 0);
  int argcv_meth_parser__apply30[] = {0};
  meth_meth_parser__apply30->type = alloc_MethodType(1, argcv_meth_parser__apply30);
  meth_meth_parser__apply30->definitionModule = modulename;
  meth_meth_parser__apply30->definitionLine = 47;
// compiled block node returning block29 (depth = 7)
  gc_frame_newslot(block29);
// call case 6: other member request
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit39 == NULL) {
    strlit39 = alloc_String("comment");
    gc_root(strlit39);
  }
// compiled string node returning strlit39 (depth = 8)
  int op_slot_right_38 = gc_frame_newslot(strlit39);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe41 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call42 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe41);
// compiled call node returning call42 (depth = 9)
// compiled member node returning call42 (depth = 8)
  int op_slot_left_38 = gc_frame_newslot(call42);
  params[0] = strlit39;
  partcv[0] = 1;
  Object opresult43 = callmethod(call42, "==", 1, partcv, params);
// compiled op node returning opresult43 (depth = 7)
  params[0] = block29;
  partcv[0] = 1;
  Object call44 = callmethod(opresult43, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe28);
// compiled call node returning call44 (depth = 6)
  gc_frame_end(frame);
  return call44;
}
Object meth_parser__apply47(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_comment = getfromclosure(closure, 1);
  Object *var_tokens = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe49 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call50 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe49);
// compiled call node returning call50 (depth = 9)
// compiled member node returning call50 (depth = 8)
  int op_slot_right_48 = gc_frame_newslot(call50);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_comment (depth = 8)
  int op_slot_left_48 = gc_frame_newslot(*var_comment);
  params[0] = call50;
  partcv[0] = 1;
  Object opresult52 = callmethod(*var_comment, "++", 1, partcv, params);
// compiled op node returning opresult52 (depth = 7)
  *var_comment = opresult52;
  if (opresult52 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe54 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  partcv[0] = 0;
  Object call55 = callmethod(*var_tokens, "poll",
    1, partcv, params);
  gc_frame_end(callframe54);
// compiled call node returning call55 (depth = 8)
// compiled member node returning call55 (depth = 7)
  *var_sym = call55;
  if (call55 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_next0(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  Object *var_tokens = getfromclosure(closure, 2);
  Object *var_linenum = getfromclosure(closure, 3);
  Object *var_lastline = getfromclosure(closure, 4);
  Object *var_lastIndent = getfromclosure(closure, 5);
  Object *var_comment = getfromclosure(closure, 6);
  Object *var_util = getfromclosure(closure, 7);
  Object *var_errormessages = getfromclosure(closure, 8);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for next (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for next");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_lastToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 2)
// Begin line 69
  setline(69);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4 = alloc_Float64(0);
// compiled num node returning num4 (depth = 4)
  int op_slot_right_3 = gc_frame_newslot(num4);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tokens (depth = 6)
  partcv[0] = 0;
  Object call7 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe6);
// compiled call node returning call7 (depth = 5)
// compiled member node returning call7 (depth = 4)
  int op_slot_left_3 = gc_frame_newslot(call7);
  params[0] = num4;
  partcv[0] = 1;
  Object opresult8 = callmethod(call7, ">", 1, partcv, params);
// compiled op node returning opresult8 (depth = 3)
  Object if2 = done;
  if (istrue(opresult8)) {
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_linenum (depth = 4)
  *var_lastline = *var_linenum;
  if (*var_linenum == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe10);
// compiled call node returning call11 (depth = 5)
// compiled member node returning call11 (depth = 4)
  *var_lastIndent = call11;
  if (call11 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe13 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tokens (depth = 6)
  partcv[0] = 0;
  Object call14 = callmethod(*var_tokens, "poll",
    1, partcv, params);
  gc_frame_end(callframe13);
// compiled call node returning call14 (depth = 5)
// compiled member node returning call14 (depth = 4)
  *var_sym = call14;
  if (call14 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit18 == NULL) {
    strlit18 = alloc_String("comment");
    gc_root(strlit18);
  }
// compiled string node returning strlit18 (depth = 5)
  int op_slot_right_17 = gc_frame_newslot(strlit18);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe20 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call21 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe20);
// compiled call node returning call21 (depth = 6)
// compiled member node returning call21 (depth = 5)
  int op_slot_left_17 = gc_frame_newslot(call21);
  params[0] = strlit18;
  partcv[0] = 1;
  Object opresult22 = callmethod(call21, "==", 1, partcv, params);
// compiled op node returning opresult22 (depth = 4)
  Object if16 = done;
  if (istrue(opresult22)) {
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 48
  setline(48);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit23 == NULL) {
    strlit23 = alloc_String("");
    gc_root(strlit23);
  }
// compiled string node returning strlit23 (depth = 5)
  *var_comment = strlit23;
  if (strlit23 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe25 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block26 = alloc_Block(NULL, NULL, "parser", 49);
  gc_frame_newslot(block26);
// method _apply
  block_savedest(block26);
  Object closure27 = createclosure(3, "_apply");
  setclosureframe(closure27, stackframe);
  addtoclosure(closure27, var_tokens);
  addtoclosure(closure27, var_sym);
  addtoclosure(closure27, selfslot);
  struct UserObject *uo27 = (struct UserObject*)block26;
  uo27->data[0] = (Object)closure27;
  Method *meth_meth_parser__apply27 = addmethod2pos(block26, "_apply", &meth_parser__apply27, 0);
  int argcv_meth_parser__apply27[] = {0};
  meth_meth_parser__apply27->type = alloc_MethodType(1, argcv_meth_parser__apply27);
  meth_meth_parser__apply27->definitionModule = modulename;
  meth_meth_parser__apply27->definitionLine = 47;
// compiled block node returning block26 (depth = 5)
  gc_frame_newslot(block26);
// starting to compile block node (depth = 5)
  Object block46 = alloc_Block(NULL, NULL, "parser", 49);
  gc_frame_newslot(block46);
// method _apply
  block_savedest(block46);
  Object closure47 = createclosure(4, "_apply");
  setclosureframe(closure47, stackframe);
  addtoclosure(closure47, var_sym);
  addtoclosure(closure47, var_comment);
  addtoclosure(closure47, var_tokens);
  addtoclosure(closure47, selfslot);
  struct UserObject *uo47 = (struct UserObject*)block46;
  uo47->data[0] = (Object)closure47;
  Method *meth_meth_parser__apply47 = addmethod2pos(block46, "_apply", &meth_parser__apply47, 0);
  int argcv_meth_parser__apply47[] = {0};
  meth_meth_parser__apply47->type = alloc_MethodType(1, argcv_meth_parser__apply47);
  meth_meth_parser__apply47->definitionModule = modulename;
  meth_meth_parser__apply47->definitionLine = 49;
// compiled block node returning block46 (depth = 5)
  gc_frame_newslot(block46);
// call case 5: prelude request
  params[0] = block26;
  params[1] = block46;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call58 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe25);
// compiled call node returning call58 (depth = 4)
    gc_frame_newslot(call58);
    if16 = call58;
  } else {
  }
// compiled if node returning if16 (depth = 3)
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe59 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call60 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe59);
// compiled call node returning call60 (depth = 5)
// compiled member node returning call60 (depth = 4)
  *var_linenum = call60;
  if (call60 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe62 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe63 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call64 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe63);
// compiled call node returning call64 (depth = 5)
// compiled member node returning call64 (depth = 4)
  gc_frame_newslot(call64);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe65 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call66 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe65);
// compiled call node returning call66 (depth = 5)
// compiled member node returning call66 (depth = 4)
  gc_frame_newslot(call66);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call64;
  params[1] = call66;
  partcv[0] = 2;
  Object call67 = callmethod(*var_util, "setPosition",
    1, partcv, params);
  gc_frame_end(callframe62);
// compiled call node returning call67 (depth = 3)
    gc_frame_newslot(call67);
    if2 = call67;
  } else {
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit70 == NULL) {
    strlit70 = alloc_String("eof");
    gc_root(strlit70);
  }
// compiled string node returning strlit70 (depth = 5)
  int op_slot_right_69 = gc_frame_newslot(strlit70);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe72 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call73 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe72);
// compiled call node returning call73 (depth = 6)
// compiled member node returning call73 (depth = 5)
  int op_slot_left_69 = gc_frame_newslot(call73);
  params[0] = strlit70;
  partcv[0] = 1;
  Object opresult74 = callmethod(call73, "==", 1, partcv, params);
// compiled op node returning opresult74 (depth = 4)
  Object if68 = done;
  if (istrue(opresult74)) {
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe75 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit76 == NULL) {
    strlit76 = alloc_String("Unexpetedly found the end of the input. This is often caused by a missing '}'");
    gc_root(strlit76);
  }
// compiled string node returning strlit76 (depth = 5)
  gc_frame_newslot(strlit76);
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe77 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call78 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe77);
// compiled call node returning call78 (depth = 6)
// compiled member node returning call78 (depth = 5)
  gc_frame_newslot(call78);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe79 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call80 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe79);
// compiled call node returning call80 (depth = 6)
// compiled member node returning call80 (depth = 5)
  gc_frame_newslot(call80);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe81 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call82 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe81);
// compiled call node returning call82 (depth = 6)
// compiled member node returning call82 (depth = 5)
  gc_frame_newslot(call82);
// call case 6: other member request
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit76;
  params[1] = call78;
  params[2] = call80;
  params[3] = call82;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call83 = callmethod(*var_errormessages, "syntaxError()atRange",
    2, partcv, params);
  gc_frame_end(callframe75);
// compiled call node returning call83 (depth = 4)
    gc_frame_newslot(call83);
    if68 = call83;
  } else {
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile object node (depth = 5)
  Object inheritingObject84 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj84 = alloc_userobj2(11,7, objclass84);
  gc_frame_newslot(obj84);
// OBJECT OUTER DEC outer
  adddatum2(obj84, self, 0);
  addmethodreal(obj84,"outer", &reader_parser_outer_85);
  Object oldself84 = self;
  struct StackFrameObject *oldstackframe84 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe84);
  gc_frame_newslot((Object)stackframe);
  self = obj84;
  Object *oldselfslot84 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter84 = (*(struct UserObject *)self).data[0], lowerouter84 = thisouter84;
  if (inheritingObject84) {
    struct UserObject *inho84 = (struct UserObject *)inheritingObject84;
    while (inho84->super != GraceDefaultObject) inho84 = (struct UserObject *)inho84->super;
    inho84->super = obj84;
    self = inheritingObject84;
    *selfslot = self;
    lowerouter84 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter84;
  }
if (objclass84 == NULL) {
  Method *reader86 = addmethodrealflags(obj84, "kind",&reader_parser_kind_86, 0);
  Method *writer86 = addmethodrealflags(obj84, "kind:=",&writer_parser_kind_86, 0);
  reader86->definitionModule = modulename;
  writer86->definitionModule = modulename;
  reader86->definitionLine = 62;
  writer86->definitionLine = 62;
}
obj84->flags |= OFLAG_MUTABLE;
adddatum2(obj84, alloc_Undefined(), 1);
if (objclass84 == NULL) {
  Method *reader87 = addmethodrealflags(obj84, "line",&reader_parser_line_87, 0);
  Method *writer87 = addmethodrealflags(obj84, "line:=",&writer_parser_line_87, 0);
  reader87->definitionModule = modulename;
  writer87->definitionModule = modulename;
  reader87->definitionLine = 63;
  writer87->definitionLine = 63;
}
obj84->flags |= OFLAG_MUTABLE;
adddatum2(obj84, alloc_Undefined(), 2);
if (objclass84 == NULL) {
  Method *reader88 = addmethodrealflags(obj84, "linePos",&reader_parser_linePos_88, 0);
  Method *writer88 = addmethodrealflags(obj84, "linePos:=",&writer_parser_linePos_88, 0);
  reader88->definitionModule = modulename;
  writer88->definitionModule = modulename;
  reader88->definitionLine = 64;
  writer88->definitionLine = 64;
}
obj84->flags |= OFLAG_MUTABLE;
adddatum2(obj84, alloc_Undefined(), 3);
if (objclass84 == NULL) {
  Method *reader89 = addmethodrealflags(obj84, "indent",&reader_parser_indent_89, 0);
  Method *writer89 = addmethodrealflags(obj84, "indent:=",&writer_parser_indent_89, 0);
  reader89->definitionModule = modulename;
  writer89->definitionModule = modulename;
  reader89->definitionLine = 65;
  writer89->definitionLine = 65;
}
obj84->flags |= OFLAG_MUTABLE;
adddatum2(obj84, alloc_Undefined(), 4);
if (objclass84 == NULL) {
  Method *reader90 = addmethodrealflags(obj84, "value",&reader_parser_value_90, 0);
  Method *writer90 = addmethodrealflags(obj84, "value:=",&writer_parser_value_90, 0);
  reader90->definitionModule = modulename;
  writer90->definitionModule = modulename;
  reader90->definitionLine = 66;
  writer90->definitionLine = 66;
}
obj84->flags |= OFLAG_MUTABLE;
adddatum2(obj84, alloc_Undefined(), 5);
if (objclass84 == NULL) {
  Method *reader91 = addmethodrealflags(obj84, "size",&reader_parser_size_91, MFLAG_DEF);
  reader91->definitionModule = modulename;
  reader91->definitionLine = 67;
}
adddatum2(obj84, alloc_Undefined(), 6);
  sourceObject = obj84;
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit92 == NULL) {
    strlit92 = alloc_String("eof");
    gc_root(strlit92);
  }
// compiled string node returning strlit92 (depth = 6)
  adddatum2(obj84, strlit92, 1);
  sourceObject = obj84;
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe93 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call94 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe93);
// compiled call node returning call94 (depth = 7)
// compiled member node returning call94 (depth = 6)
  adddatum2(obj84, call94, 2);
  sourceObject = obj84;
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num96 = alloc_Float64(1);
// compiled num node returning num96 (depth = 7)
  int op_slot_right_95 = gc_frame_newslot(num96);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe98 = gc_frame_new();
// call case 6: other member request
// starting to compile index node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe99 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_util (depth = 12)
  partcv[0] = 0;
  Object call100 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe99);
// compiled call node returning call100 (depth = 11)
// compiled member node returning call100 (depth = 10)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe101 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lastToken (depth = 12)
  partcv[0] = 0;
  Object call102 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe101);
// compiled call node returning call102 (depth = 11)
// compiled member node returning call102 (depth = 10)
  params[0] = call102;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres103 = callmethod(call100, "[]", 1, partcv, params);
// compiled index node returning idxres103 (depth = 9)
  partcv[0] = 0;
  Object call104 = callmethod(idxres103, "size",
    1, partcv, params);
  gc_frame_end(callframe98);
// compiled call node returning call104 (depth = 8)
// compiled member node returning call104 (depth = 7)
  int op_slot_left_95 = gc_frame_newslot(call104);
  params[0] = num96;
  partcv[0] = 1;
  Object sum105 = callmethod(call104, "+", 1, partcv, params);
// compiled op node returning sum105 (depth = 6)
  adddatum2(obj84, sum105, 3);
  sourceObject = obj84;
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num106 = alloc_Float64(0);
// compiled num node returning num106 (depth = 6)
  adddatum2(obj84, num106, 4);
  sourceObject = obj84;
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit107 == NULL) {
    strlit107 = alloc_String("");
    gc_root(strlit107);
  }
// compiled string node returning strlit107 (depth = 6)
  adddatum2(obj84, strlit107, 5);
  sourceObject = obj84;
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num108 = alloc_Float64(0);
// compiled num node returning num108 (depth = 6)
  adddatum2(obj84, num108, 6);
  objclass84 = obj84->class;
  objclass84->definitionModule = modulename;
  objclass84->definitionLine = 60;
  (*(struct UserObject *)self).data[0] = lowerouter84;
  self = oldself84;
  selfslot = oldselfslot84;
  stackframe = oldstackframe84;
// compiled object node returning obj84 (depth = 5)
  *var_sym = obj84;
  if (obj84 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if68 = done;
  }
// compiled if node returning if68 (depth = 3)
    gc_frame_newslot(if68);
    if2 = if68;
  }
// compiled if node returning if2 (depth = 2)
  gc_frame_end(frame);
  return if2;
}
Object meth_parser__apply120(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe122 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call123 = callmethod(*var_lastToken, "indent",
    1, partcv, params);
  gc_frame_end(callframe122);
// compiled call node returning call123 (depth = 8)
// compiled member node returning call123 (depth = 7)
  int op_slot_right_121 = gc_frame_newslot(call123);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe125 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_n (depth = 9)
  partcv[0] = 0;
  Object call126 = callmethod(*var_n, "indent",
    1, partcv, params);
  gc_frame_end(callframe125);
// compiled call node returning call126 (depth = 8)
// compiled member node returning call126 (depth = 7)
  int op_slot_left_121 = gc_frame_newslot(call126);
  params[0] = call123;
  partcv[0] = 1;
  Object opresult127 = callmethod(call126, ">=", 1, partcv, params);
// compiled op node returning opresult127 (depth = 6)
  gc_frame_end(frame);
  return opresult127;
}
Object meth_parser__apply131(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool133 = alloc_Boolean(0);
// compiled identifier node returning bool133 (depth = 8)
  int op_slot_right_132 = gc_frame_newslot(bool133);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_132 = gc_frame_newslot(*var_nextTok);
  params[0] = bool133;
  partcv[0] = 1;
  Object opresult135 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult135 (depth = 7)
  gc_frame_end(frame);
  return opresult135;
}
Object meth_parser__apply117(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object *var_nextTok = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe118 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block119 = alloc_Block(NULL, NULL, "parser", 79);
  gc_frame_newslot(block119);
// method _apply
  block_savedest(block119);
  Object closure120 = createclosure(3, "_apply");
  setclosureframe(closure120, stackframe);
  addtoclosure(closure120, var_lastToken);
  addtoclosure(closure120, var_n);
  addtoclosure(closure120, selfslot);
  struct UserObject *uo120 = (struct UserObject*)block119;
  uo120->data[0] = (Object)closure120;
  Method *meth_meth_parser__apply120 = addmethod2pos(block119, "_apply", &meth_parser__apply120, 0);
  int argcv_meth_parser__apply120[] = {0};
  meth_meth_parser__apply120->type = alloc_MethodType(1, argcv_meth_parser__apply120);
  meth_meth_parser__apply120->definitionModule = modulename;
  meth_meth_parser__apply120->definitionLine = 63;
// compiled block node returning block119 (depth = 5)
  gc_frame_newslot(block119);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe129 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block130 = alloc_Block(NULL, NULL, "parser", 79);
  gc_frame_newslot(block130);
// method _apply
  block_savedest(block130);
  Object closure131 = createclosure(2, "_apply");
  setclosureframe(closure131, stackframe);
  addtoclosure(closure131, var_nextTok);
  addtoclosure(closure131, selfslot);
  struct UserObject *uo131 = (struct UserObject*)block130;
  uo131->data[0] = (Object)closure131;
  Method *meth_meth_parser__apply131 = addmethod2pos(block130, "_apply", &meth_parser__apply131, 0);
  int argcv_meth_parser__apply131[] = {0};
  meth_meth_parser__apply131->type = alloc_MethodType(1, argcv_meth_parser__apply131);
  meth_meth_parser__apply131->definitionModule = modulename;
  meth_meth_parser__apply131->definitionLine = 79;
// compiled block node returning block130 (depth = 6)
  gc_frame_newslot(block130);
// call case 6: other member request
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool138 = alloc_Boolean(0);
// compiled identifier node returning bool138 (depth = 7)
  int op_slot_right_137 = gc_frame_newslot(bool138);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_137 = gc_frame_newslot(*var_n);
  params[0] = bool138;
  partcv[0] = 1;
  Object opresult140 = callmethod(*var_n, "!=", 1, partcv, params);
// compiled op node returning opresult140 (depth = 6)
  params[0] = block130;
  partcv[0] = 1;
  Object call141 = callmethod(opresult140, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe129);
// compiled call node returning call141 (depth = 5)
  params[0] = block119;
  partcv[0] = 1;
  Object call142 = callmethod(call141, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe118);
// compiled call node returning call142 (depth = 4)
  gc_frame_end(frame);
  return call142;
}
Object meth_parser__apply145(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_tokenMatcher = getfromclosure(closure, 1);
  Object *var_nextTok = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe147 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tokenMatcher (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call148 = callmethod(*var_tokenMatcher, "apply",
    1, partcv, params);
  gc_frame_end(callframe147);
// compiled call node returning call148 (depth = 5)
  Object if146 = done;
  if (istrue(call148)) {
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  *var_nextTok = *var_n;
  if (*var_n == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if146 = done;
  } else {
  }
// compiled if node returning if146 (depth = 4)
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe150 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  partcv[0] = 0;
  Object call151 = callmethod(*var_n, "next",
    1, partcv, params);
  gc_frame_end(callframe150);
// compiled call node returning call151 (depth = 6)
// compiled member node returning call151 (depth = 5)
  *var_n = call151;
  if (call151 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_findNextToken110(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findNextToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method findNextToken");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findNextToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tokenMatcher = &(stackframe->slots[0]);
  *var_tokenMatcher = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for findNextToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe112 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tokenMatcher (depth = 4)
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call113 = callmethod(*var_tokenMatcher, "apply",
    1, partcv, params);
  gc_frame_end(callframe112);
// compiled call node returning call113 (depth = 3)
  Object if111 = done;
  if (istrue(call113)) {
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  return *var_sym;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if111 = undefined;
  } else {
  }
// compiled if node returning if111 (depth = 2)
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool114 = alloc_Boolean(0);
// compiled identifier node returning bool114 (depth = 3)
  *var_nextTok = bool114;
  if (bool114 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_n = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe115 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block116 = alloc_Block(NULL, NULL, "parser", 79);
  gc_frame_newslot(block116);
// method _apply
  block_savedest(block116);
  Object closure117 = createclosure(4, "_apply");
  setclosureframe(closure117, stackframe);
  addtoclosure(closure117, var_lastToken);
  addtoclosure(closure117, var_n);
  addtoclosure(closure117, var_nextTok);
  addtoclosure(closure117, selfslot);
  struct UserObject *uo117 = (struct UserObject*)block116;
  uo117->data[0] = (Object)closure117;
  Method *meth_meth_parser__apply117 = addmethod2pos(block116, "_apply", &meth_parser__apply117, 0);
  int argcv_meth_parser__apply117[] = {0};
  meth_meth_parser__apply117->type = alloc_MethodType(1, argcv_meth_parser__apply117);
  meth_meth_parser__apply117->definitionModule = modulename;
  meth_meth_parser__apply117->definitionLine = 63;
// compiled block node returning block116 (depth = 3)
  gc_frame_newslot(block116);
// starting to compile block node (depth = 3)
  Object block144 = alloc_Block(NULL, NULL, "parser", 79);
  gc_frame_newslot(block144);
// method _apply
  block_savedest(block144);
  Object closure145 = createclosure(4, "_apply");
  setclosureframe(closure145, stackframe);
  addtoclosure(closure145, var_n);
  addtoclosure(closure145, var_tokenMatcher);
  addtoclosure(closure145, var_nextTok);
  addtoclosure(closure145, selfslot);
  struct UserObject *uo145 = (struct UserObject*)block144;
  uo145->data[0] = (Object)closure145;
  Method *meth_meth_parser__apply145 = addmethod2pos(block144, "_apply", &meth_parser__apply145, 0);
  int argcv_meth_parser__apply145[] = {0};
  meth_meth_parser__apply145->type = alloc_MethodType(1, argcv_meth_parser__apply145);
  meth_meth_parser__apply145->definitionModule = modulename;
  meth_meth_parser__apply145->definitionLine = 79;
// compiled block node returning block144 (depth = 3)
  gc_frame_newslot(block144);
// call case 5: prelude request
  params[0] = block116;
  params[1] = block144;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call154 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe115);
// compiled call node returning call154 (depth = 2)
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_nextTok (depth = 2)
  gc_frame_end(frame);
  return *var_nextTok;
}
Object meth_parser__apply189(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool191 = alloc_Boolean(0);
// compiled identifier node returning bool191 (depth = 7)
  int op_slot_right_190 = gc_frame_newslot(bool191);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_190 = gc_frame_newslot(*var_nextTok);
  params[0] = bool191;
  partcv[0] = 1;
  Object opresult193 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult193 (depth = 6)
  gc_frame_end(frame);
  return opresult193;
}
Object meth_parser__apply186(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextTok = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe187 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block188 = alloc_Block(NULL, NULL, "parser", 94);
  gc_frame_newslot(block188);
// method _apply
  block_savedest(block188);
  Object closure189 = createclosure(2, "_apply");
  setclosureframe(closure189, stackframe);
  addtoclosure(closure189, var_nextTok);
  addtoclosure(closure189, selfslot);
  struct UserObject *uo189 = (struct UserObject*)block188;
  uo189->data[0] = (Object)closure189;
  Method *meth_meth_parser__apply189 = addmethod2pos(block188, "_apply", &meth_parser__apply189, 0);
  int argcv_meth_parser__apply189[] = {0};
  meth_meth_parser__apply189->type = alloc_MethodType(1, argcv_meth_parser__apply189);
  meth_meth_parser__apply189->definitionModule = modulename;
  meth_meth_parser__apply189->definitionLine = 89;
// compiled block node returning block188 (depth = 5)
  gc_frame_newslot(block188);
// call case 6: other member request
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool196 = alloc_Boolean(0);
// compiled identifier node returning bool196 (depth = 6)
  int op_slot_right_195 = gc_frame_newslot(bool196);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  int op_slot_left_195 = gc_frame_newslot(*var_n);
  params[0] = bool196;
  partcv[0] = 1;
  Object opresult198 = callmethod(*var_n, "!=", 1, partcv, params);
// compiled op node returning opresult198 (depth = 5)
  params[0] = block188;
  partcv[0] = 1;
  Object call199 = callmethod(opresult198, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe187);
// compiled call node returning call199 (depth = 4)
  gc_frame_end(frame);
  return call199;
}
Object meth_parser__apply202(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_tok = getfromclosure(closure, 1);
  Object *var_n = getfromclosure(closure, 2);
  Object *var_nextTok = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit206 == NULL) {
    strlit206 = alloc_String("eof");
    gc_root(strlit206);
  }
// compiled string node returning strlit206 (depth = 7)
  int op_slot_right_205 = gc_frame_newslot(strlit206);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe208 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call209 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe208);
// compiled call node returning call209 (depth = 8)
// compiled member node returning call209 (depth = 7)
  int op_slot_left_205 = gc_frame_newslot(call209);
  params[0] = strlit206;
  partcv[0] = 1;
  Object opresult210 = callmethod(call209, "==", 1, partcv, params);
// compiled op node returning opresult210 (depth = 6)
  int op_slot_right_204 = gc_frame_newslot(opresult210);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe214 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tok (depth = 10)
  partcv[0] = 0;
  Object call215 = callmethod(*var_tok, "indent",
    1, partcv, params);
  gc_frame_end(callframe214);
// compiled call node returning call215 (depth = 9)
// compiled member node returning call215 (depth = 8)
  int op_slot_right_213 = gc_frame_newslot(call215);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe217 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_n (depth = 10)
  partcv[0] = 0;
  Object call218 = callmethod(*var_n, "indent",
    1, partcv, params);
  gc_frame_end(callframe217);
// compiled call node returning call218 (depth = 9)
// compiled member node returning call218 (depth = 8)
  int op_slot_left_213 = gc_frame_newslot(call218);
  params[0] = call215;
  partcv[0] = 1;
  Object opresult219 = callmethod(call218, "<=", 1, partcv, params);
// compiled op node returning opresult219 (depth = 7)
  int op_slot_right_212 = gc_frame_newslot(opresult219);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe222 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tok (depth = 10)
  partcv[0] = 0;
  Object call223 = callmethod(*var_tok, "line",
    1, partcv, params);
  gc_frame_end(callframe222);
// compiled call node returning call223 (depth = 9)
// compiled member node returning call223 (depth = 8)
  int op_slot_right_221 = gc_frame_newslot(call223);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe225 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_n (depth = 10)
  partcv[0] = 0;
  Object call226 = callmethod(*var_n, "line",
    1, partcv, params);
  gc_frame_end(callframe225);
// compiled call node returning call226 (depth = 9)
// compiled member node returning call226 (depth = 8)
  int op_slot_left_221 = gc_frame_newslot(call226);
  params[0] = call223;
  partcv[0] = 1;
  Object opresult227 = callmethod(call226, ">", 1, partcv, params);
// compiled op node returning opresult227 (depth = 7)
  int op_slot_left_212 = gc_frame_newslot(opresult227);
  params[0] = opresult219;
  partcv[0] = 1;
  Object opresult228 = callmethod(opresult227, "&&", 1, partcv, params);
// compiled op node returning opresult228 (depth = 6)
  int op_slot_left_204 = gc_frame_newslot(opresult228);
  params[0] = opresult210;
  partcv[0] = 1;
  Object opresult229 = callmethod(opresult228, "||", 1, partcv, params);
// compiled op node returning opresult229 (depth = 5)
  Object if203 = done;
  if (istrue(opresult229)) {
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  *var_nextTok = *var_n;
  if (*var_n == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if203 = done;
  } else {
  }
// compiled if node returning if203 (depth = 4)
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe231 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  partcv[0] = 0;
  Object call232 = callmethod(*var_n, "next",
    1, partcv, params);
  gc_frame_end(callframe231);
// compiled call node returning call232 (depth = 6)
// compiled member node returning call232 (depth = 5)
  *var_n = call232;
  if (call232 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_findNextTokenIndentedAt155(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findNextTokenIndentedAt");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method findNextTokenIndentedAt");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findNextTokenIndentedAt (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tok = &(stackframe->slots[0]);
  *var_tok = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for findNextTokenIndentedAt");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit159 == NULL) {
    strlit159 = alloc_String("eof");
    gc_root(strlit159);
  }
// compiled string node returning strlit159 (depth = 5)
  int op_slot_right_158 = gc_frame_newslot(strlit159);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe161 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call162 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe161);
// compiled call node returning call162 (depth = 6)
// compiled member node returning call162 (depth = 5)
  int op_slot_left_158 = gc_frame_newslot(call162);
  params[0] = strlit159;
  partcv[0] = 1;
  Object opresult163 = callmethod(call162, "==", 1, partcv, params);
// compiled op node returning opresult163 (depth = 4)
  int op_slot_right_157 = gc_frame_newslot(opresult163);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe167 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tok (depth = 8)
  partcv[0] = 0;
  Object call168 = callmethod(*var_tok, "indent",
    1, partcv, params);
  gc_frame_end(callframe167);
// compiled call node returning call168 (depth = 7)
// compiled member node returning call168 (depth = 6)
  int op_slot_right_166 = gc_frame_newslot(call168);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe170 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call171 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe170);
// compiled call node returning call171 (depth = 7)
// compiled member node returning call171 (depth = 6)
  int op_slot_left_166 = gc_frame_newslot(call171);
  params[0] = call168;
  partcv[0] = 1;
  Object opresult172 = callmethod(call171, "<=", 1, partcv, params);
// compiled op node returning opresult172 (depth = 5)
  int op_slot_right_165 = gc_frame_newslot(opresult172);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe175 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tok (depth = 8)
  partcv[0] = 0;
  Object call176 = callmethod(*var_tok, "line",
    1, partcv, params);
  gc_frame_end(callframe175);
// compiled call node returning call176 (depth = 7)
// compiled member node returning call176 (depth = 6)
  int op_slot_right_174 = gc_frame_newslot(call176);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe178 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call179 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe178);
// compiled call node returning call179 (depth = 7)
// compiled member node returning call179 (depth = 6)
  int op_slot_left_174 = gc_frame_newslot(call179);
  params[0] = call176;
  partcv[0] = 1;
  Object opresult180 = callmethod(call179, ">", 1, partcv, params);
// compiled op node returning opresult180 (depth = 5)
  int op_slot_left_165 = gc_frame_newslot(opresult180);
  params[0] = opresult172;
  partcv[0] = 1;
  Object opresult181 = callmethod(opresult180, "&&", 1, partcv, params);
// compiled op node returning opresult181 (depth = 4)
  int op_slot_left_157 = gc_frame_newslot(opresult181);
  params[0] = opresult163;
  partcv[0] = 1;
  Object opresult182 = callmethod(opresult181, "||", 1, partcv, params);
// compiled op node returning opresult182 (depth = 3)
  Object if156 = done;
  if (istrue(opresult182)) {
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  return *var_sym;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if156 = undefined;
  } else {
  }
// compiled if node returning if156 (depth = 2)
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool183 = alloc_Boolean(0);
// compiled identifier node returning bool183 (depth = 3)
  *var_nextTok = bool183;
  if (bool183 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_n = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe184 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block185 = alloc_Block(NULL, NULL, "parser", 94);
  gc_frame_newslot(block185);
// method _apply
  block_savedest(block185);
  Object closure186 = createclosure(3, "_apply");
  setclosureframe(closure186, stackframe);
  addtoclosure(closure186, var_nextTok);
  addtoclosure(closure186, var_n);
  addtoclosure(closure186, selfslot);
  struct UserObject *uo186 = (struct UserObject*)block185;
  uo186->data[0] = (Object)closure186;
  Method *meth_meth_parser__apply186 = addmethod2pos(block185, "_apply", &meth_parser__apply186, 0);
  int argcv_meth_parser__apply186[] = {0};
  meth_meth_parser__apply186->type = alloc_MethodType(1, argcv_meth_parser__apply186);
  meth_meth_parser__apply186->definitionModule = modulename;
  meth_meth_parser__apply186->definitionLine = 89;
// compiled block node returning block185 (depth = 3)
  gc_frame_newslot(block185);
// starting to compile block node (depth = 3)
  Object block201 = alloc_Block(NULL, NULL, "parser", 94);
  gc_frame_newslot(block201);
// method _apply
  block_savedest(block201);
  Object closure202 = createclosure(5, "_apply");
  setclosureframe(closure202, stackframe);
  addtoclosure(closure202, var_sym);
  addtoclosure(closure202, var_tok);
  addtoclosure(closure202, var_n);
  addtoclosure(closure202, var_nextTok);
  addtoclosure(closure202, selfslot);
  struct UserObject *uo202 = (struct UserObject*)block201;
  uo202->data[0] = (Object)closure202;
  Method *meth_meth_parser__apply202 = addmethod2pos(block201, "_apply", &meth_parser__apply202, 0);
  int argcv_meth_parser__apply202[] = {0};
  meth_meth_parser__apply202->type = alloc_MethodType(1, argcv_meth_parser__apply202);
  meth_meth_parser__apply202->definitionModule = modulename;
  meth_meth_parser__apply202->definitionLine = 89;
// compiled block node returning block201 (depth = 3)
  gc_frame_newslot(block201);
// call case 5: prelude request
  params[0] = block185;
  params[1] = block201;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call235 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe184);
// compiled call node returning call235 (depth = 2)
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_nextTok (depth = 2)
  gc_frame_end(frame);
  return *var_nextTok;
}
Object meth_parser__apply248(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_validToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit250 == NULL) {
    strlit250 = alloc_String("eof");
    gc_root(strlit250);
  }
// compiled string node returning strlit250 (depth = 5)
  int op_slot_right_249 = gc_frame_newslot(strlit250);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe252 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_validToken (depth = 7)
  partcv[0] = 0;
  Object call253 = callmethod(*var_validToken, "kind",
    1, partcv, params);
  gc_frame_end(callframe252);
// compiled call node returning call253 (depth = 6)
// compiled member node returning call253 (depth = 5)
  int op_slot_left_249 = gc_frame_newslot(call253);
  params[0] = strlit250;
  partcv[0] = 1;
  Object opresult254 = callmethod(call253, "!=", 1, partcv, params);
// compiled op node returning opresult254 (depth = 4)
  gc_frame_end(frame);
  return opresult254;
}
Object meth_parser__apply257(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_validToken = getfromclosure(closure, 0);
  Object *var_validFollowTokens = getfromclosure(closure, 1);
  Object *var_invalidTokens = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe259 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe260 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_validToken (depth = 8)
  partcv[0] = 0;
  Object call261 = callmethod(*var_validToken, "kind",
    1, partcv, params);
  gc_frame_end(callframe260);
// compiled call node returning call261 (depth = 7)
// compiled member node returning call261 (depth = 6)
  gc_frame_newslot(call261);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_validFollowTokens (depth = 6)
  params[0] = call261;
  partcv[0] = 1;
  Object call262 = callmethod(*var_validFollowTokens, "contains",
    1, partcv, params);
  gc_frame_end(callframe259);
// compiled call node returning call262 (depth = 5)
  Object if258 = done;
  if (istrue(call262)) {
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_validToken (depth = 6)
  block_return(realself, *var_validToken);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if258 = undefined;
  } else {
  }
// compiled if node returning if258 (depth = 4)
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe264 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 6)
  int callframe265 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe266 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_validToken (depth = 9)
  partcv[0] = 0;
  Object call267 = callmethod(*var_validToken, "kind",
    1, partcv, params);
  gc_frame_end(callframe266);
// compiled call node returning call267 (depth = 8)
// compiled member node returning call267 (depth = 7)
  gc_frame_newslot(call267);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_invalidTokens (depth = 7)
  params[0] = call267;
  partcv[0] = 1;
  Object call268 = callmethod(*var_invalidTokens, "contains",
    1, partcv, params);
  gc_frame_end(callframe265);
// compiled call node returning call268 (depth = 6)
  partcv[0] = 0;
  Object call269 = callmethod(call268, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe264);
// compiled call node returning call269 (depth = 5)
  Object if263 = done;
  if (istrue(call269)) {
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_validToken (depth = 6)
  block_return(realself, *var_validToken);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if263 = undefined;
  } else {
  }
// compiled if node returning if263 (depth = 4)
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe270 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_validToken (depth = 7)
  partcv[0] = 0;
  Object call271 = callmethod(*var_validToken, "next",
    1, partcv, params);
  gc_frame_end(callframe270);
// compiled call node returning call271 (depth = 6)
// compiled member node returning call271 (depth = 5)
  *var_validToken = call271;
  if (call271 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_findNextValidToken236(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findNextValidToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findNextValidToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_validFollowTokens = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_validFollowTokens, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_validFollowTokens = &(stackframe->slots[0]);
  *var_validFollowTokens = var_init_validFollowTokens;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_invalidTokens = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "invalidTokens");
  Object *var_validToken = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "validToken");
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile array node (depth = 3)
  Object array237 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 4)
  if (strlit238 == NULL) {
    strlit238 = alloc_String("dot");
    gc_root(strlit238);
  }
// compiled string node returning strlit238 (depth = 4)
  params[0] = strlit238;
  partcv[0] = 1;
  callmethod(array237, "push", 1, partcv, params);
// starting to compile string node (depth = 4)
  if (strlit239 == NULL) {
    strlit239 = alloc_String("comma");
    gc_root(strlit239);
  }
// compiled string node returning strlit239 (depth = 4)
  params[0] = strlit239;
  partcv[0] = 1;
  callmethod(array237, "push", 1, partcv, params);
// starting to compile string node (depth = 4)
  if (strlit240 == NULL) {
    strlit240 = alloc_String("colon");
    gc_root(strlit240);
  }
// compiled string node returning strlit240 (depth = 4)
  params[0] = strlit240;
  partcv[0] = 1;
  callmethod(array237, "push", 1, partcv, params);
// starting to compile string node (depth = 4)
  if (strlit241 == NULL) {
    strlit241 = alloc_String("rparen");
    gc_root(strlit241);
  }
// compiled string node returning strlit241 (depth = 4)
  params[0] = strlit241;
  partcv[0] = 1;
  callmethod(array237, "push", 1, partcv, params);
// starting to compile string node (depth = 4)
  if (strlit242 == NULL) {
    strlit242 = alloc_String("rbrace");
    gc_root(strlit242);
  }
// compiled string node returning strlit242 (depth = 4)
  params[0] = strlit242;
  partcv[0] = 1;
  callmethod(array237, "push", 1, partcv, params);
// starting to compile string node (depth = 4)
  if (strlit243 == NULL) {
    strlit243 = alloc_String("rsquare");
    gc_root(strlit243);
  }
// compiled string node returning strlit243 (depth = 4)
  params[0] = strlit243;
  partcv[0] = 1;
  callmethod(array237, "push", 1, partcv, params);
// starting to compile string node (depth = 4)
  if (strlit244 == NULL) {
    strlit244 = alloc_String("arrow");
    gc_root(strlit244);
  }
// compiled string node returning strlit244 (depth = 4)
  params[0] = strlit244;
  partcv[0] = 1;
  callmethod(array237, "push", 1, partcv, params);
// starting to compile string node (depth = 4)
  if (strlit245 == NULL) {
    strlit245 = alloc_String("bind");
    gc_root(strlit245);
  }
// compiled string node returning strlit245 (depth = 4)
  params[0] = strlit245;
  partcv[0] = 1;
  callmethod(array237, "push", 1, partcv, params);
  gc_unpause();
// compiled array node returning array237 (depth = 3)
  *var_invalidTokens = array237;
  if (array237 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_validToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe246 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block247 = alloc_Block(NULL, NULL, "parser", 107);
  gc_frame_newslot(block247);
// method _apply
  block_savedest(block247);
  Object closure248 = createclosure(2, "_apply");
  setclosureframe(closure248, stackframe);
  addtoclosure(closure248, var_validToken);
  addtoclosure(closure248, selfslot);
  struct UserObject *uo248 = (struct UserObject*)block247;
  uo248->data[0] = (Object)closure248;
  Method *meth_meth_parser__apply248 = addmethod2pos(block247, "_apply", &meth_parser__apply248, 0);
  int argcv_meth_parser__apply248[] = {0};
  meth_meth_parser__apply248->type = alloc_MethodType(1, argcv_meth_parser__apply248);
  meth_meth_parser__apply248->definitionModule = modulename;
  meth_meth_parser__apply248->definitionLine = 98;
// compiled block node returning block247 (depth = 3)
  gc_frame_newslot(block247);
// starting to compile block node (depth = 3)
  Object block256 = alloc_Block(NULL, NULL, "parser", 107);
  gc_frame_newslot(block256);
// method _apply
  block_savedest(block256);
  Object closure257 = createclosure(4, "_apply");
  setclosureframe(closure257, stackframe);
  addtoclosure(closure257, var_validToken);
  addtoclosure(closure257, var_validFollowTokens);
  addtoclosure(closure257, var_invalidTokens);
  addtoclosure(closure257, selfslot);
  struct UserObject *uo257 = (struct UserObject*)block256;
  uo257->data[0] = (Object)closure257;
  Method *meth_meth_parser__apply257 = addmethod2pos(block256, "_apply", &meth_parser__apply257, 0);
  int argcv_meth_parser__apply257[] = {0};
  meth_meth_parser__apply257->type = alloc_MethodType(1, argcv_meth_parser__apply257);
  meth_meth_parser__apply257->definitionModule = modulename;
  meth_meth_parser__apply257->definitionLine = 107;
// compiled block node returning block256 (depth = 3)
  gc_frame_newslot(block256);
// call case 5: prelude request
  params[0] = block247;
  params[1] = block256;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call274 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe246);
// compiled call node returning call274 (depth = 2)
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_validToken (depth = 3)
  return *var_validToken;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_parser__apply286(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_token = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe289 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_token (depth = 8)
  partcv[0] = 0;
  Object call290 = callmethod(*var_token, "line",
    1, partcv, params);
  gc_frame_end(callframe289);
// compiled call node returning call290 (depth = 7)
// compiled member node returning call290 (depth = 6)
  int op_slot_right_288 = gc_frame_newslot(call290);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe292 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  partcv[0] = 0;
  Object call293 = callmethod(*var_n, "line",
    1, partcv, params);
  gc_frame_end(callframe292);
// compiled call node returning call293 (depth = 7)
// compiled member node returning call293 (depth = 6)
  int op_slot_left_288 = gc_frame_newslot(call293);
  params[0] = call290;
  partcv[0] = 1;
  Object opresult294 = callmethod(call293, "==", 1, partcv, params);
// compiled op node returning opresult294 (depth = 5)
  int op_slot_right_287 = gc_frame_newslot(opresult294);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit297 == NULL) {
    strlit297 = alloc_String("eof");
    gc_root(strlit297);
  }
// compiled string node returning strlit297 (depth = 6)
  int op_slot_right_296 = gc_frame_newslot(strlit297);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe299 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  partcv[0] = 0;
  Object call300 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe299);
// compiled call node returning call300 (depth = 7)
// compiled member node returning call300 (depth = 6)
  int op_slot_left_296 = gc_frame_newslot(call300);
  params[0] = strlit297;
  partcv[0] = 1;
  Object opresult301 = callmethod(call300, "!=", 1, partcv, params);
// compiled op node returning opresult301 (depth = 5)
  int op_slot_left_287 = gc_frame_newslot(opresult301);
  params[0] = opresult294;
  partcv[0] = 1;
  Object opresult302 = callmethod(opresult301, "&&", 1, partcv, params);
// compiled op node returning opresult302 (depth = 4)
  gc_frame_end(frame);
  return opresult302;
}
Object meth_parser__apply305(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_numOpening = getfromclosure(closure, 1);
  Object *var_numClosing = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit308 == NULL) {
    strlit308 = alloc_String("lbrace");
    gc_root(strlit308);
  }
// compiled string node returning strlit308 (depth = 6)
  int op_slot_right_307 = gc_frame_newslot(strlit308);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe310 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  partcv[0] = 0;
  Object call311 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe310);
// compiled call node returning call311 (depth = 7)
// compiled member node returning call311 (depth = 6)
  int op_slot_left_307 = gc_frame_newslot(call311);
  params[0] = strlit308;
  partcv[0] = 1;
  Object opresult312 = callmethod(call311, "==", 1, partcv, params);
// compiled op node returning opresult312 (depth = 5)
  Object if306 = done;
  if (istrue(opresult312)) {
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num314 = alloc_Float64(1);
// compiled num node returning num314 (depth = 7)
  int op_slot_right_313 = gc_frame_newslot(num314);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_numOpening (depth = 7)
  int op_slot_left_313 = gc_frame_newslot(*var_numOpening);
  params[0] = num314;
  partcv[0] = 1;
  Object sum316 = callmethod(*var_numOpening, "+", 1, partcv, params);
// compiled op node returning sum316 (depth = 6)
  *var_numOpening = sum316;
  if (sum316 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if306 = done;
  } else {
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit320 == NULL) {
    strlit320 = alloc_String("rbrace");
    gc_root(strlit320);
  }
// compiled string node returning strlit320 (depth = 7)
  int op_slot_right_319 = gc_frame_newslot(strlit320);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe322 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_n (depth = 9)
  partcv[0] = 0;
  Object call323 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe322);
// compiled call node returning call323 (depth = 8)
// compiled member node returning call323 (depth = 7)
  int op_slot_left_319 = gc_frame_newslot(call323);
  params[0] = strlit320;
  partcv[0] = 1;
  Object opresult324 = callmethod(call323, "==", 1, partcv, params);
// compiled op node returning opresult324 (depth = 6)
  Object if318 = done;
  if (istrue(opresult324)) {
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num326 = alloc_Float64(1);
// compiled num node returning num326 (depth = 8)
  int op_slot_right_325 = gc_frame_newslot(num326);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_numClosing (depth = 8)
  int op_slot_left_325 = gc_frame_newslot(*var_numClosing);
  params[0] = num326;
  partcv[0] = 1;
  Object sum328 = callmethod(*var_numClosing, "+", 1, partcv, params);
// compiled op node returning sum328 (depth = 7)
  *var_numClosing = sum328;
  if (sum328 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if318 = done;
  } else {
  }
// compiled if node returning if318 (depth = 5)
    gc_frame_newslot(if318);
    if306 = if318;
  }
// compiled if node returning if306 (depth = 4)
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe330 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  partcv[0] = 0;
  Object call331 = callmethod(*var_n, "next",
    1, partcv, params);
  gc_frame_end(callframe330);
// compiled call node returning call331 (depth = 6)
// compiled member node returning call331 (depth = 5)
  *var_n = call331;
  if (call331 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply337(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_token = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe340 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_token (depth = 8)
  partcv[0] = 0;
  Object call341 = callmethod(*var_token, "indent",
    1, partcv, params);
  gc_frame_end(callframe340);
// compiled call node returning call341 (depth = 7)
// compiled member node returning call341 (depth = 6)
  int op_slot_right_339 = gc_frame_newslot(call341);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe343 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  partcv[0] = 0;
  Object call344 = callmethod(*var_n, "indent",
    1, partcv, params);
  gc_frame_end(callframe343);
// compiled call node returning call344 (depth = 7)
// compiled member node returning call344 (depth = 6)
  int op_slot_left_339 = gc_frame_newslot(call344);
  params[0] = call341;
  partcv[0] = 1;
  Object opresult345 = callmethod(call344, ">", 1, partcv, params);
// compiled op node returning opresult345 (depth = 5)
  int op_slot_right_338 = gc_frame_newslot(opresult345);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit348 == NULL) {
    strlit348 = alloc_String("eof");
    gc_root(strlit348);
  }
// compiled string node returning strlit348 (depth = 6)
  int op_slot_right_347 = gc_frame_newslot(strlit348);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe350 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  partcv[0] = 0;
  Object call351 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe350);
// compiled call node returning call351 (depth = 7)
// compiled member node returning call351 (depth = 6)
  int op_slot_left_347 = gc_frame_newslot(call351);
  params[0] = strlit348;
  partcv[0] = 1;
  Object opresult352 = callmethod(call351, "!=", 1, partcv, params);
// compiled op node returning opresult352 (depth = 5)
  int op_slot_left_338 = gc_frame_newslot(opresult352);
  params[0] = opresult345;
  partcv[0] = 1;
  Object opresult353 = callmethod(opresult352, "&&", 1, partcv, params);
// compiled op node returning opresult353 (depth = 4)
  gc_frame_end(frame);
  return opresult353;
}
Object meth_parser__apply356(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_numOpening = getfromclosure(closure, 1);
  Object *var_numClosing = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit359 == NULL) {
    strlit359 = alloc_String("lbrace");
    gc_root(strlit359);
  }
// compiled string node returning strlit359 (depth = 6)
  int op_slot_right_358 = gc_frame_newslot(strlit359);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe361 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  partcv[0] = 0;
  Object call362 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe361);
// compiled call node returning call362 (depth = 7)
// compiled member node returning call362 (depth = 6)
  int op_slot_left_358 = gc_frame_newslot(call362);
  params[0] = strlit359;
  partcv[0] = 1;
  Object opresult363 = callmethod(call362, "==", 1, partcv, params);
// compiled op node returning opresult363 (depth = 5)
  Object if357 = done;
  if (istrue(opresult363)) {
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num365 = alloc_Float64(1);
// compiled num node returning num365 (depth = 7)
  int op_slot_right_364 = gc_frame_newslot(num365);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_numOpening (depth = 7)
  int op_slot_left_364 = gc_frame_newslot(*var_numOpening);
  params[0] = num365;
  partcv[0] = 1;
  Object sum367 = callmethod(*var_numOpening, "+", 1, partcv, params);
// compiled op node returning sum367 (depth = 6)
  *var_numOpening = sum367;
  if (sum367 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if357 = done;
  } else {
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit371 == NULL) {
    strlit371 = alloc_String("rbrace");
    gc_root(strlit371);
  }
// compiled string node returning strlit371 (depth = 7)
  int op_slot_right_370 = gc_frame_newslot(strlit371);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe373 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_n (depth = 9)
  partcv[0] = 0;
  Object call374 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe373);
// compiled call node returning call374 (depth = 8)
// compiled member node returning call374 (depth = 7)
  int op_slot_left_370 = gc_frame_newslot(call374);
  params[0] = strlit371;
  partcv[0] = 1;
  Object opresult375 = callmethod(call374, "==", 1, partcv, params);
// compiled op node returning opresult375 (depth = 6)
  Object if369 = done;
  if (istrue(opresult375)) {
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num377 = alloc_Float64(1);
// compiled num node returning num377 (depth = 8)
  int op_slot_right_376 = gc_frame_newslot(num377);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_numClosing (depth = 8)
  int op_slot_left_376 = gc_frame_newslot(*var_numClosing);
  params[0] = num377;
  partcv[0] = 1;
  Object sum379 = callmethod(*var_numClosing, "+", 1, partcv, params);
// compiled op node returning sum379 (depth = 7)
  *var_numClosing = sum379;
  if (sum379 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if369 = done;
  } else {
  }
// compiled if node returning if369 (depth = 5)
    gc_frame_newslot(if369);
    if357 = if369;
  }
// compiled if node returning if357 (depth = 4)
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe381 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  partcv[0] = 0;
  Object call382 = callmethod(*var_n, "next",
    1, partcv, params);
  gc_frame_end(callframe381);
// compiled call node returning call382 (depth = 6)
// compiled member node returning call382 (depth = 5)
  *var_n = call382;
  if (call382 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_findClosingBrace275(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findClosingBrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method findClosingBrace");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findClosingBrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_token = &(stackframe->slots[0]);
  *var_token = args[curarg];
  curarg++;
  Object *var_inserted = &(stackframe->slots[1]);
  *var_inserted = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for findClosingBrace");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_numOpening = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "numOpening");
  Object *var_numClosing = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "numClosing");
  Object *var_result = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "result");
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_n = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile if node (depth = 3)
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_inserted (depth = 4)
  Object if276 = done;
struct StackFrameObject *iftmpstackframe276 = stackframe;
  if (istrue(*var_inserted)) {
stackframe = alloc_StackFrame(0, iftmpstackframe276);
gc_frame_newslot((Object)stackframe);
// starting to compile num node (depth = 4)
  Object num277 = alloc_Float64(1);
// compiled num node returning num277 (depth = 4)
    gc_frame_newslot(num277);
    if276 = num277;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe276);
  gc_frame_newslot((Object)stackframe);
// starting to compile num node (depth = 4)
  Object num278 = alloc_Float64(0);
// compiled num node returning num278 (depth = 4)
    gc_frame_newslot(num278);
    if276 = num278;
  }
stackframe = iftmpstackframe276;
// compiled if node returning if276 (depth = 3)
  *var_numOpening = if276;
  if (if276 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num279 = alloc_Float64(0);
// compiled num node returning num279 (depth = 3)
  *var_numClosing = num279;
  if (num279 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject280 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj280 = alloc_userobj2(4,4, objclass280);
  gc_frame_newslot(obj280);
// OBJECT OUTER DEC outer
  adddatum2(obj280, self, 0);
  addmethodreal(obj280,"outer", &reader_parser_outer_281);
  Object oldself280 = self;
  struct StackFrameObject *oldstackframe280 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe280);
  gc_frame_newslot((Object)stackframe);
  self = obj280;
  Object *oldselfslot280 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter280 = (*(struct UserObject *)self).data[0], lowerouter280 = thisouter280;
  if (inheritingObject280) {
    struct UserObject *inho280 = (struct UserObject *)inheritingObject280;
    while (inho280->super != GraceDefaultObject) inho280 = (struct UserObject *)inho280->super;
    inho280->super = obj280;
    self = inheritingObject280;
    *selfslot = self;
    lowerouter280 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter280;
  }
if (objclass280 == NULL) {
  Method *reader282 = addmethodrealflags(obj280, "found",&reader_parser_found_282, 0);
  Method *writer282 = addmethodrealflags(obj280, "found:=",&writer_parser_found_282, 0);
  reader282->definitionModule = modulename;
  writer282->definitionModule = modulename;
  reader282->definitionLine = 133;
  writer282->definitionLine = 133;
}
obj280->flags |= OFLAG_MUTABLE;
adddatum2(obj280, alloc_Undefined(), 1);
if (objclass280 == NULL) {
  Method *reader283 = addmethodrealflags(obj280, "tok",&reader_parser_tok_283, 0);
  Method *writer283 = addmethodrealflags(obj280, "tok:=",&writer_parser_tok_283, 0);
  reader283->definitionModule = modulename;
  writer283->definitionModule = modulename;
  reader283->definitionLine = 134;
  writer283->definitionLine = 134;
}
obj280->flags |= OFLAG_MUTABLE;
adddatum2(obj280, alloc_Undefined(), 2);
  sourceObject = obj280;
  adddatum2(obj280, undefined, 1);
  sourceObject = obj280;
  adddatum2(obj280, undefined, 2);
  objclass280 = obj280->class;
  objclass280->definitionModule = modulename;
  objclass280->definitionLine = 131;
  (*(struct UserObject *)self).data[0] = lowerouter280;
  self = oldself280;
  selfslot = oldselfslot280;
  stackframe = oldstackframe280;
// compiled object node returning obj280 (depth = 3)
  *var_result = obj280;
  if (obj280 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe284 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block285 = alloc_Block(NULL, NULL, "parser", 136);
  gc_frame_newslot(block285);
// method _apply
  block_savedest(block285);
  Object closure286 = createclosure(3, "_apply");
  setclosureframe(closure286, stackframe);
  addtoclosure(closure286, var_token);
  addtoclosure(closure286, var_n);
  addtoclosure(closure286, selfslot);
  struct UserObject *uo286 = (struct UserObject*)block285;
  uo286->data[0] = (Object)closure286;
  Method *meth_meth_parser__apply286 = addmethod2pos(block285, "_apply", &meth_parser__apply286, 0);
  int argcv_meth_parser__apply286[] = {0};
  meth_meth_parser__apply286->type = alloc_MethodType(1, argcv_meth_parser__apply286);
  meth_meth_parser__apply286->definitionModule = modulename;
  meth_meth_parser__apply286->definitionLine = 117;
// compiled block node returning block285 (depth = 3)
  gc_frame_newslot(block285);
// starting to compile block node (depth = 3)
  Object block304 = alloc_Block(NULL, NULL, "parser", 136);
  gc_frame_newslot(block304);
// method _apply
  block_savedest(block304);
  Object closure305 = createclosure(4, "_apply");
  setclosureframe(closure305, stackframe);
  addtoclosure(closure305, var_n);
  addtoclosure(closure305, var_numOpening);
  addtoclosure(closure305, var_numClosing);
  addtoclosure(closure305, selfslot);
  struct UserObject *uo305 = (struct UserObject*)block304;
  uo305->data[0] = (Object)closure305;
  Method *meth_meth_parser__apply305 = addmethod2pos(block304, "_apply", &meth_parser__apply305, 0);
  int argcv_meth_parser__apply305[] = {0};
  meth_meth_parser__apply305->type = alloc_MethodType(1, argcv_meth_parser__apply305);
  meth_meth_parser__apply305->definitionModule = modulename;
  meth_meth_parser__apply305->definitionLine = 136;
// compiled block node returning block304 (depth = 3)
  gc_frame_newslot(block304);
// call case 5: prelude request
  params[0] = block285;
  params[1] = block304;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call334 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe284);
// compiled call node returning call334 (depth = 2)
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe335 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block336 = alloc_Block(NULL, NULL, "parser", 142);
  gc_frame_newslot(block336);
// method _apply
  block_savedest(block336);
  Object closure337 = createclosure(3, "_apply");
  setclosureframe(closure337, stackframe);
  addtoclosure(closure337, var_token);
  addtoclosure(closure337, var_n);
  addtoclosure(closure337, selfslot);
  struct UserObject *uo337 = (struct UserObject*)block336;
  uo337->data[0] = (Object)closure337;
  Method *meth_meth_parser__apply337 = addmethod2pos(block336, "_apply", &meth_parser__apply337, 0);
  int argcv_meth_parser__apply337[] = {0};
  meth_meth_parser__apply337->type = alloc_MethodType(1, argcv_meth_parser__apply337);
  meth_meth_parser__apply337->definitionModule = modulename;
  meth_meth_parser__apply337->definitionLine = 139;
// compiled block node returning block336 (depth = 3)
  gc_frame_newslot(block336);
// starting to compile block node (depth = 3)
  Object block355 = alloc_Block(NULL, NULL, "parser", 142);
  gc_frame_newslot(block355);
// method _apply
  block_savedest(block355);
  Object closure356 = createclosure(4, "_apply");
  setclosureframe(closure356, stackframe);
  addtoclosure(closure356, var_n);
  addtoclosure(closure356, var_numOpening);
  addtoclosure(closure356, var_numClosing);
  addtoclosure(closure356, selfslot);
  struct UserObject *uo356 = (struct UserObject*)block355;
  uo356->data[0] = (Object)closure356;
  Method *meth_meth_parser__apply356 = addmethod2pos(block355, "_apply", &meth_parser__apply356, 0);
  int argcv_meth_parser__apply356[] = {0};
  meth_meth_parser__apply356->type = alloc_MethodType(1, argcv_meth_parser__apply356);
  meth_meth_parser__apply356->definitionModule = modulename;
  meth_meth_parser__apply356->definitionLine = 142;
// compiled block node returning block355 (depth = 3)
  gc_frame_newslot(block355);
// call case 5: prelude request
  params[0] = block336;
  params[1] = block355;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call385 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe335);
// compiled call node returning call385 (depth = 2)
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit388 == NULL) {
    strlit388 = alloc_String("rbrace");
    gc_root(strlit388);
  }
// compiled string node returning strlit388 (depth = 4)
  int op_slot_right_387 = gc_frame_newslot(strlit388);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe390 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  partcv[0] = 0;
  Object call391 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe390);
// compiled call node returning call391 (depth = 5)
// compiled member node returning call391 (depth = 4)
  int op_slot_left_387 = gc_frame_newslot(call391);
  params[0] = strlit388;
  partcv[0] = 1;
  Object opresult392 = callmethod(call391, "==", 1, partcv, params);
// compiled op node returning opresult392 (depth = 3)
  Object if386 = done;
  if (istrue(opresult392)) {
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe393 = gc_frame_new();
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool394 = alloc_Boolean(1);
// compiled identifier node returning bool394 (depth = 5)
  gc_frame_newslot(bool394);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_result (depth = 5)
  params[0] = bool394;
  partcv[0] = 1;
  Object call395 = callmethod(*var_result, "found:=",
    1, partcv, params);
  gc_frame_end(callframe393);
// compiled call node returning call395 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe396 = gc_frame_new();
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_result (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call397 = callmethod(*var_result, "tok:=",
    1, partcv, params);
  gc_frame_end(callframe396);
// compiled call node returning call397 (depth = 4)
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if386 = done;
  } else {
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_numClosing (depth = 6)
  int op_slot_right_400 = gc_frame_newslot(*var_numClosing);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_numOpening (depth = 6)
  int op_slot_left_400 = gc_frame_newslot(*var_numOpening);
  params[0] = *var_numClosing;
  partcv[0] = 1;
  Object opresult402 = callmethod(*var_numOpening, "==", 1, partcv, params);
// compiled op node returning opresult402 (depth = 5)
  int op_slot_right_399 = gc_frame_newslot(opresult402);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit405 == NULL) {
    strlit405 = alloc_String("rbrace");
    gc_root(strlit405);
  }
// compiled string node returning strlit405 (depth = 6)
  int op_slot_right_404 = gc_frame_newslot(strlit405);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe407 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe408 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_n (depth = 10)
  partcv[0] = 0;
  Object call409 = callmethod(*var_n, "prev",
    1, partcv, params);
  gc_frame_end(callframe408);
// compiled call node returning call409 (depth = 9)
// compiled member node returning call409 (depth = 8)
  partcv[0] = 0;
  Object call410 = callmethod(call409, "kind",
    1, partcv, params);
  gc_frame_end(callframe407);
// compiled call node returning call410 (depth = 7)
// compiled member node returning call410 (depth = 6)
  int op_slot_left_404 = gc_frame_newslot(call410);
  params[0] = strlit405;
  partcv[0] = 1;
  Object opresult411 = callmethod(call410, "==", 1, partcv, params);
// compiled op node returning opresult411 (depth = 5)
  int op_slot_left_399 = gc_frame_newslot(opresult411);
  params[0] = opresult402;
  partcv[0] = 1;
  Object opresult412 = callmethod(opresult411, "&&", 1, partcv, params);
// compiled op node returning opresult412 (depth = 4)
  Object if398 = done;
  if (istrue(opresult412)) {
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe413 = gc_frame_new();
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool414 = alloc_Boolean(1);
// compiled identifier node returning bool414 (depth = 6)
  gc_frame_newslot(bool414);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_result (depth = 6)
  params[0] = bool414;
  partcv[0] = 1;
  Object call415 = callmethod(*var_result, "found:=",
    1, partcv, params);
  gc_frame_end(callframe413);
// compiled call node returning call415 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe416 = gc_frame_new();
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe417 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  partcv[0] = 0;
  Object call418 = callmethod(*var_n, "prev",
    1, partcv, params);
  gc_frame_end(callframe417);
// compiled call node returning call418 (depth = 7)
// compiled member node returning call418 (depth = 6)
  gc_frame_newslot(call418);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_result (depth = 6)
  params[0] = call418;
  partcv[0] = 1;
  Object call419 = callmethod(*var_result, "tok:=",
    1, partcv, params);
  gc_frame_end(callframe416);
// compiled call node returning call419 (depth = 5)
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if398 = done;
  } else {
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe420 = gc_frame_new();
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool421 = alloc_Boolean(0);
// compiled identifier node returning bool421 (depth = 6)
  gc_frame_newslot(bool421);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_result (depth = 6)
  params[0] = bool421;
  partcv[0] = 1;
  Object call422 = callmethod(*var_result, "found:=",
    1, partcv, params);
  gc_frame_end(callframe420);
// compiled call node returning call422 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe423 = gc_frame_new();
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe424 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  partcv[0] = 0;
  Object call425 = callmethod(*var_n, "prev",
    1, partcv, params);
  gc_frame_end(callframe424);
// compiled call node returning call425 (depth = 7)
// compiled member node returning call425 (depth = 6)
  gc_frame_newslot(call425);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_result (depth = 6)
  params[0] = call425;
  partcv[0] = 1;
  Object call426 = callmethod(*var_result, "tok:=",
    1, partcv, params);
  gc_frame_end(callframe423);
// compiled call node returning call426 (depth = 5)
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if398 = done;
  }
// compiled if node returning if398 (depth = 3)
    gc_frame_newslot(if398);
    if386 = if398;
  }
// compiled if node returning if386 (depth = 2)
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_result (depth = 2)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_parser_accept427(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_t (depth = 3)
  int op_slot_right_428 = gc_frame_newslot(*var_t);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe430 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  partcv[0] = 0;
  Object call431 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe430);
// compiled call node returning call431 (depth = 4)
// compiled member node returning call431 (depth = 3)
  int op_slot_left_428 = gc_frame_newslot(call431);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult432 = callmethod(call431, "==", 1, partcv, params);
// compiled op node returning opresult432 (depth = 2)
  gc_frame_end(frame);
  return opresult432;
}
Object meth_parser_acceptSameLine433(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "acceptSameLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method acceptSameLine");
  Object params[1];
  int partcv[1];
  Object *var_lastIndent = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_lastline = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for acceptSameLine (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for acceptSameLine");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// Begin line 172
  setline(172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastIndent (depth = 5)
  int op_slot_right_436 = gc_frame_newslot(*var_lastIndent);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe438 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call439 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe438);
// compiled call node returning call439 (depth = 6)
// compiled member node returning call439 (depth = 5)
  int op_slot_left_436 = gc_frame_newslot(call439);
  params[0] = *var_lastIndent;
  partcv[0] = 1;
  Object opresult440 = callmethod(call439, ">", 1, partcv, params);
// compiled op node returning opresult440 (depth = 4)
  int op_slot_right_435 = gc_frame_newslot(opresult440);
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe443 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call444 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe443);
// compiled call node returning call444 (depth = 6)
// compiled member node returning call444 (depth = 5)
  int op_slot_right_442 = gc_frame_newslot(call444);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastline (depth = 5)
  int op_slot_left_442 = gc_frame_newslot(*var_lastline);
  params[0] = call444;
  partcv[0] = 1;
  Object opresult446 = callmethod(*var_lastline, "==", 1, partcv, params);
// compiled op node returning opresult446 (depth = 4)
  int op_slot_left_435 = gc_frame_newslot(opresult446);
  params[0] = opresult440;
  partcv[0] = 1;
  Object opresult447 = callmethod(opresult446, "||", 1, partcv, params);
// compiled op node returning opresult447 (depth = 3)
  int op_slot_right_434 = gc_frame_newslot(opresult447);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_t (depth = 4)
  int op_slot_right_449 = gc_frame_newslot(*var_t);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe451 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call452 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe451);
// compiled call node returning call452 (depth = 5)
// compiled member node returning call452 (depth = 4)
  int op_slot_left_449 = gc_frame_newslot(call452);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult453 = callmethod(call452, "==", 1, partcv, params);
// compiled op node returning opresult453 (depth = 3)
  int op_slot_left_434 = gc_frame_newslot(opresult453);
  params[0] = opresult447;
  partcv[0] = 1;
  Object opresult454 = callmethod(opresult453, "&&", 1, partcv, params);
// compiled op node returning opresult454 (depth = 2)
  gc_frame_end(frame);
  return opresult454;
}
Object meth_parser_accept_40__41_onLineOf455(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "accept()onLineOf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()onLineOf");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()onLineOf");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()onLineOf (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_other = &(stackframe->slots[1]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for onLineOf");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe459 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_other (depth = 7)
  partcv[0] = 0;
  Object call460 = callmethod(*var_other, "indent",
    1, partcv, params);
  gc_frame_end(callframe459);
// compiled call node returning call460 (depth = 6)
// compiled member node returning call460 (depth = 5)
  int op_slot_right_458 = gc_frame_newslot(call460);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe462 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call463 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe462);
// compiled call node returning call463 (depth = 6)
// compiled member node returning call463 (depth = 5)
  int op_slot_left_458 = gc_frame_newslot(call463);
  params[0] = call460;
  partcv[0] = 1;
  Object opresult464 = callmethod(call463, ">", 1, partcv, params);
// compiled op node returning opresult464 (depth = 4)
  int op_slot_right_457 = gc_frame_newslot(opresult464);
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe467 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call468 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe467);
// compiled call node returning call468 (depth = 6)
// compiled member node returning call468 (depth = 5)
  int op_slot_right_466 = gc_frame_newslot(call468);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe470 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_other (depth = 7)
  partcv[0] = 0;
  Object call471 = callmethod(*var_other, "line",
    1, partcv, params);
  gc_frame_end(callframe470);
// compiled call node returning call471 (depth = 6)
// compiled member node returning call471 (depth = 5)
  int op_slot_left_466 = gc_frame_newslot(call471);
  params[0] = call468;
  partcv[0] = 1;
  Object opresult472 = callmethod(call471, "==", 1, partcv, params);
// compiled op node returning opresult472 (depth = 4)
  int op_slot_left_457 = gc_frame_newslot(opresult472);
  params[0] = opresult464;
  partcv[0] = 1;
  Object opresult473 = callmethod(opresult472, "||", 1, partcv, params);
// compiled op node returning opresult473 (depth = 3)
  int op_slot_right_456 = gc_frame_newslot(opresult473);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_t (depth = 4)
  int op_slot_right_475 = gc_frame_newslot(*var_t);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe477 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call478 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe477);
// compiled call node returning call478 (depth = 5)
// compiled member node returning call478 (depth = 4)
  int op_slot_left_475 = gc_frame_newslot(call478);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult479 = callmethod(call478, "==", 1, partcv, params);
// compiled op node returning opresult479 (depth = 3)
  int op_slot_left_456 = gc_frame_newslot(opresult479);
  params[0] = opresult473;
  partcv[0] = 1;
  Object opresult480 = callmethod(opresult479, "&&", 1, partcv, params);
// compiled op node returning opresult480 (depth = 2)
  gc_frame_end(frame);
  return opresult480;
}
Object meth_parser_accept_40__41_onLineOfLastOr481(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "accept()onLineOfLastOr");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()onLineOfLastOr");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()onLineOfLastOr");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()onLineOfLastOr (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_other = &(stackframe->slots[1]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for onLineOfLastOr");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 186
  setline(186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// Begin line 185
  setline(185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe485 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call486 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe485);
// compiled call node returning call486 (depth = 6)
// compiled member node returning call486 (depth = 5)
  int op_slot_right_484 = gc_frame_newslot(call486);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe488 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call489 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe488);
// compiled call node returning call489 (depth = 6)
// compiled member node returning call489 (depth = 5)
  int op_slot_left_484 = gc_frame_newslot(call489);
  params[0] = call486;
  partcv[0] = 1;
  Object opresult490 = callmethod(call489, "==", 1, partcv, params);
// compiled op node returning opresult490 (depth = 4)
  int op_slot_right_483 = gc_frame_newslot(opresult490);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe494 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call495 = callmethod(*var_other, "indent",
    1, partcv, params);
  gc_frame_end(callframe494);
// compiled call node returning call495 (depth = 7)
// compiled member node returning call495 (depth = 6)
  int op_slot_right_493 = gc_frame_newslot(call495);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe497 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call498 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe497);
// compiled call node returning call498 (depth = 7)
// compiled member node returning call498 (depth = 6)
  int op_slot_left_493 = gc_frame_newslot(call498);
  params[0] = call495;
  partcv[0] = 1;
  Object opresult499 = callmethod(call498, ">", 1, partcv, params);
// compiled op node returning opresult499 (depth = 5)
  int op_slot_right_492 = gc_frame_newslot(opresult499);
// Begin line 184
  setline(184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe502 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call503 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe502);
// compiled call node returning call503 (depth = 7)
// compiled member node returning call503 (depth = 6)
  int op_slot_right_501 = gc_frame_newslot(call503);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe505 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call506 = callmethod(*var_other, "line",
    1, partcv, params);
  gc_frame_end(callframe505);
// compiled call node returning call506 (depth = 7)
// compiled member node returning call506 (depth = 6)
  int op_slot_left_501 = gc_frame_newslot(call506);
  params[0] = call503;
  partcv[0] = 1;
  Object opresult507 = callmethod(call506, "==", 1, partcv, params);
// compiled op node returning opresult507 (depth = 5)
  int op_slot_left_492 = gc_frame_newslot(opresult507);
  params[0] = opresult499;
  partcv[0] = 1;
  Object opresult508 = callmethod(opresult507, "||", 1, partcv, params);
// compiled op node returning opresult508 (depth = 4)
  int op_slot_left_483 = gc_frame_newslot(opresult508);
  params[0] = opresult490;
  partcv[0] = 1;
  Object opresult509 = callmethod(opresult508, "||", 1, partcv, params);
// compiled op node returning opresult509 (depth = 3)
  int op_slot_right_482 = gc_frame_newslot(opresult509);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_t (depth = 4)
  int op_slot_right_511 = gc_frame_newslot(*var_t);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe513 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call514 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe513);
// compiled call node returning call514 (depth = 5)
// compiled member node returning call514 (depth = 4)
  int op_slot_left_511 = gc_frame_newslot(call514);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult515 = callmethod(call514, "==", 1, partcv, params);
// compiled op node returning opresult515 (depth = 3)
  int op_slot_left_482 = gc_frame_newslot(opresult515);
  params[0] = opresult509;
  partcv[0] = 1;
  Object opresult516 = callmethod(opresult515, "&&", 1, partcv, params);
// compiled op node returning opresult516 (depth = 2)
  gc_frame_end(frame);
  return opresult516;
}
Object meth_parser_tokenOnSameLine517(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "tokenOnSameLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastIndent = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_lastline = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for tokenOnSameLine (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for tokenOnSameLine");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lastIndent (depth = 4)
  int op_slot_right_519 = gc_frame_newslot(*var_lastIndent);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe521 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call522 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe521);
// compiled call node returning call522 (depth = 5)
// compiled member node returning call522 (depth = 4)
  int op_slot_left_519 = gc_frame_newslot(call522);
  params[0] = *var_lastIndent;
  partcv[0] = 1;
  Object opresult523 = callmethod(call522, ">", 1, partcv, params);
// compiled op node returning opresult523 (depth = 3)
  int op_slot_right_518 = gc_frame_newslot(opresult523);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe526 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call527 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe526);
// compiled call node returning call527 (depth = 5)
// compiled member node returning call527 (depth = 4)
  int op_slot_right_525 = gc_frame_newslot(call527);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lastline (depth = 4)
  int op_slot_left_525 = gc_frame_newslot(*var_lastline);
  params[0] = call527;
  partcv[0] = 1;
  Object opresult529 = callmethod(*var_lastline, "==", 1, partcv, params);
// compiled op node returning opresult529 (depth = 3)
  int op_slot_left_518 = gc_frame_newslot(opresult529);
  params[0] = opresult523;
  partcv[0] = 1;
  Object opresult530 = callmethod(opresult529, "||", 1, partcv, params);
// compiled op node returning opresult530 (depth = 2)
  gc_frame_end(frame);
  return opresult530;
}
Object meth_parser_didConsume531(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "didConsume");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method didConsume");
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for didConsume (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ablock = &(stackframe->slots[0]);
  *var_ablock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for didConsume");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sz = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "sz");
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 193
  setline(193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe532 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tokens (depth = 5)
  partcv[0] = 0;
  Object call533 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe532);
// compiled call node returning call533 (depth = 4)
// compiled member node returning call533 (depth = 3)
  *var_sz = call533;
  if (call533 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe534 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ablock (depth = 4)
  partcv[0] = 0;
  Object call535 = callmethod(*var_ablock, "apply",
    1, partcv, params);
  gc_frame_end(callframe534);
// compiled call node returning call535 (depth = 3)
// compiled member node returning call535 (depth = 2)
// Begin line 196
  setline(196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// Begin line 195
  setline(195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sz (depth = 3)
  int op_slot_right_536 = gc_frame_newslot(*var_sz);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe538 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tokens (depth = 5)
  partcv[0] = 0;
  Object call539 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe538);
// compiled call node returning call539 (depth = 4)
// compiled member node returning call539 (depth = 3)
  int op_slot_left_536 = gc_frame_newslot(call539);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult540 = callmethod(call539, "!=", 1, partcv, params);
// compiled op node returning opresult540 (depth = 2)
  gc_frame_end(frame);
  return opresult540;
}
Object meth_parser_ifConsume_40__41_then541(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ifConsume()then");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method ifConsume()then");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method ifConsume()then");
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for ifConsume()then (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_ablock = &(stackframe->slots[0]);
  *var_ablock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for ifConsume");
  Object *var_tblock = &(stackframe->slots[1]);
  *var_tblock = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for then");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sz = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "sz");
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 199
  setline(199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe542 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tokens (depth = 5)
  partcv[0] = 0;
  Object call543 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe542);
// compiled call node returning call543 (depth = 4)
// compiled member node returning call543 (depth = 3)
  *var_sz = call543;
  if (call543 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe544 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ablock (depth = 4)
  partcv[0] = 0;
  Object call545 = callmethod(*var_ablock, "apply",
    1, partcv, params);
  gc_frame_end(callframe544);
// compiled call node returning call545 (depth = 3)
// compiled member node returning call545 (depth = 2)
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 201
  setline(201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sz (depth = 4)
  int op_slot_right_547 = gc_frame_newslot(*var_sz);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe549 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tokens (depth = 6)
  partcv[0] = 0;
  Object call550 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe549);
// compiled call node returning call550 (depth = 5)
// compiled member node returning call550 (depth = 4)
  int op_slot_left_547 = gc_frame_newslot(call550);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult551 = callmethod(call550, "!=", 1, partcv, params);
// compiled op node returning opresult551 (depth = 3)
  Object if546 = done;
  if (istrue(opresult551)) {
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe552 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tblock (depth = 5)
  partcv[0] = 0;
  Object call553 = callmethod(*var_tblock, "apply",
    1, partcv, params);
  gc_frame_end(callframe552);
// compiled call node returning call553 (depth = 4)
// compiled member node returning call553 (depth = 3)
    gc_frame_newslot(call553);
    if546 = call553;
  } else {
  }
// compiled if node returning if546 (depth = 2)
  gc_frame_end(frame);
  return if546;
}
Object meth_parser_pushnum554(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pushnum");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pushnum (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for pushnum");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "o");
// Begin line 208
  setline(208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe555 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe556 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call557 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe556);
// compiled call node returning call557 (depth = 5)
// compiled member node returning call557 (depth = 4)
  gc_frame_newslot(call557);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe558 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  partcv[0] = 0;
  Object call559 = callmethod(*var_ast, "numNode",
    1, partcv, params);
  gc_frame_end(callframe558);
// compiled call node returning call559 (depth = 5)
// compiled member node returning call559 (depth = 4)
  params[0] = call557;
  partcv[0] = 1;
  Object call560 = callmethod(call559, "new",
    1, partcv, params);
  gc_frame_end(callframe555);
// compiled call node returning call560 (depth = 3)
  *var_o = call560;
  if (call560 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 209
  setline(209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe561 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call562 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe561);
// compiled call node returning call562 (depth = 2)
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe563 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call564 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe563);
// compiled call node returning call564 (depth = 3)
// compiled member node returning call564 (depth = 2)
  gc_frame_end(frame);
  return call564;
}
Object meth_parser_pushoctets565(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pushoctets");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pushoctets (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for pushoctets");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "o");
// Begin line 215
  setline(215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe566 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe567 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call568 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe567);
// compiled call node returning call568 (depth = 5)
// compiled member node returning call568 (depth = 4)
  gc_frame_newslot(call568);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe569 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  partcv[0] = 0;
  Object call570 = callmethod(*var_ast, "octetsNode",
    1, partcv, params);
  gc_frame_end(callframe569);
// compiled call node returning call570 (depth = 5)
// compiled member node returning call570 (depth = 4)
  params[0] = call568;
  partcv[0] = 1;
  Object call571 = callmethod(call570, "new",
    1, partcv, params);
  gc_frame_end(callframe566);
// compiled call node returning call571 (depth = 3)
  *var_o = call571;
  if (call571 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 216
  setline(216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe572 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call573 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe572);
// compiled call node returning call573 (depth = 2)
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe574 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call575 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe574);
// compiled call node returning call575 (depth = 3)
// compiled member node returning call575 (depth = 2)
  gc_frame_end(frame);
  return call575;
}
Object meth_parser_pushstring576(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pushstring");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pushstring (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for pushstring");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "o");
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe577 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe578 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call579 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe578);
// compiled call node returning call579 (depth = 5)
// compiled member node returning call579 (depth = 4)
  gc_frame_newslot(call579);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe580 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  partcv[0] = 0;
  Object call581 = callmethod(*var_ast, "stringNode",
    1, partcv, params);
  gc_frame_end(callframe580);
// compiled call node returning call581 (depth = 5)
// compiled member node returning call581 (depth = 4)
  params[0] = call579;
  partcv[0] = 1;
  Object call582 = callmethod(call581, "new",
    1, partcv, params);
  gc_frame_end(callframe577);
// compiled call node returning call582 (depth = 3)
  *var_o = call582;
  if (call582 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe583 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call584 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe583);
// compiled call node returning call584 (depth = 2)
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe585 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call586 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe585);
// compiled call node returning call586 (depth = 3)
// compiled member node returning call586 (depth = 2)
  gc_frame_end(frame);
  return call586;
}
Object meth_parser_pushidentifier587(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pushidentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_ast = getfromclosure(closure, 2);
  Object *var_auto_count = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pushidentifier (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for pushidentifier");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "o");
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe588 = gc_frame_new();
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe589 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  partcv[0] = 0;
  Object call590 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe589);
// compiled call node returning call590 (depth = 4)
// compiled member node returning call590 (depth = 3)
  gc_frame_newslot(call590);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe591 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  partcv[0] = 0;
  Object call592 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe591);
// compiled call node returning call592 (depth = 4)
// compiled member node returning call592 (depth = 3)
  gc_frame_newslot(call592);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = call590;
  params[1] = call592;
  partcv[0] = 2;
  Object call593 = callmethod(*var_util, "setPosition",
    1, partcv, params);
  gc_frame_end(callframe588);
// compiled call node returning call593 (depth = 2)
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe594 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe595 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call596 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe595);
// compiled call node returning call596 (depth = 5)
// compiled member node returning call596 (depth = 4)
  gc_frame_newslot(call596);
// starting to compile identifier node (depth = 4)
  Object bool597 = alloc_Boolean(0);
// compiled identifier node returning bool597 (depth = 4)
  gc_frame_newslot(bool597);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe598 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  partcv[0] = 0;
  Object call599 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe598);
// compiled call node returning call599 (depth = 5)
// compiled member node returning call599 (depth = 4)
  params[0] = call596;
  params[1] = bool597;
  partcv[0] = 2;
  Object call600 = callmethod(call599, "new",
    1, partcv, params);
  gc_frame_end(callframe594);
// compiled call node returning call600 (depth = 3)
  *var_o = call600;
  if (call600 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit603 == NULL) {
    strlit603 = alloc_String("_");
    gc_root(strlit603);
  }
// compiled string node returning strlit603 (depth = 4)
  int op_slot_right_602 = gc_frame_newslot(strlit603);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe605 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_o (depth = 6)
  partcv[0] = 0;
  Object call606 = callmethod(*var_o, "value",
    1, partcv, params);
  gc_frame_end(callframe605);
// compiled call node returning call606 (depth = 5)
// compiled member node returning call606 (depth = 4)
  int op_slot_left_602 = gc_frame_newslot(call606);
  params[0] = strlit603;
  partcv[0] = 1;
  Object opresult607 = callmethod(call606, "==", 1, partcv, params);
// compiled op node returning opresult607 (depth = 3)
  Object if601 = done;
  if (istrue(opresult607)) {
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe608 = gc_frame_new();
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_auto_count (depth = 6)
  int op_slot_right_609 = gc_frame_newslot(*var_auto_count);
// starting to compile string node (depth = 6)
  if (strlit611 == NULL) {
    strlit611 = alloc_String("__");
    gc_root(strlit611);
  }
// compiled string node returning strlit611 (depth = 6)
  int op_slot_left_609 = gc_frame_newslot(strlit611);
  params[0] = *var_auto_count;
  partcv[0] = 1;
  Object opresult612 = callmethod(strlit611, "++", 1, partcv, params);
// compiled op node returning opresult612 (depth = 5)
  gc_frame_newslot(opresult612);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  params[0] = opresult612;
  partcv[0] = 1;
  Object call613 = callmethod(*var_o, "value:=",
    1, partcv, params);
  gc_frame_end(callframe608);
// compiled call node returning call613 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe614 = gc_frame_new();
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool615 = alloc_Boolean(1);
// compiled identifier node returning bool615 (depth = 5)
  gc_frame_newslot(bool615);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  params[0] = bool615;
  partcv[0] = 1;
  Object call616 = callmethod(*var_o, "wildcard:=",
    1, partcv, params);
  gc_frame_end(callframe614);
// compiled call node returning call616 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num618 = alloc_Float64(1);
// compiled num node returning num618 (depth = 5)
  int op_slot_right_617 = gc_frame_newslot(num618);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_auto_count (depth = 5)
  int op_slot_left_617 = gc_frame_newslot(*var_auto_count);
  params[0] = num618;
  partcv[0] = 1;
  Object sum620 = callmethod(*var_auto_count, "+", 1, partcv, params);
// compiled op node returning sum620 (depth = 4)
  *var_auto_count = sum620;
  if (sum620 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if601 = done;
  } else {
  }
// compiled if node returning if601 (depth = 2)
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe622 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call623 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe622);
// compiled call node returning call623 (depth = 2)
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe624 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call625 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe624);
// compiled call node returning call625 (depth = 3)
// compiled member node returning call625 (depth = 2)
  gc_frame_end(frame);
  return call625;
}
Object meth_parser__apply635(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_done = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 247
  setline(247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit638 == NULL) {
    strlit638 = alloc_String("identifier");
    gc_root(strlit638);
  }
// compiled string node returning strlit638 (depth = 6)
  int op_slot_right_637 = gc_frame_newslot(strlit638);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe640 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  partcv[0] = 0;
  Object call641 = callmethod(*var_a, "kind",
    1, partcv, params);
  gc_frame_end(callframe640);
// compiled call node returning call641 (depth = 7)
// compiled member node returning call641 (depth = 6)
  int op_slot_left_637 = gc_frame_newslot(call641);
  params[0] = strlit638;
  partcv[0] = 1;
  Object opresult642 = callmethod(call641, "==", 1, partcv, params);
// compiled op node returning opresult642 (depth = 5)
  Object if636 = done;
  if (istrue(opresult642)) {
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit645 == NULL) {
    strlit645 = alloc_String("public");
    gc_root(strlit645);
  }
// compiled string node returning strlit645 (depth = 7)
  int op_slot_right_644 = gc_frame_newslot(strlit645);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe647 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_a (depth = 9)
  partcv[0] = 0;
  Object call648 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe647);
// compiled call node returning call648 (depth = 8)
// compiled member node returning call648 (depth = 7)
  int op_slot_left_644 = gc_frame_newslot(call648);
  params[0] = strlit645;
  partcv[0] = 1;
  Object opresult649 = callmethod(call648, "==", 1, partcv, params);
// compiled op node returning opresult649 (depth = 6)
  Object if643 = done;
  if (istrue(opresult649)) {
// starting to compile return node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_done (depth = 7)
  block_return(realself, *var_done);
// compiled return node returning undefined (depth = 6)
    gc_frame_newslot(undefined);
    if643 = undefined;
  } else {
  }
// compiled if node returning if643 (depth = 5)
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit652 == NULL) {
    strlit652 = alloc_String("readable");
    gc_root(strlit652);
  }
// compiled string node returning strlit652 (depth = 7)
  int op_slot_right_651 = gc_frame_newslot(strlit652);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe654 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_a (depth = 9)
  partcv[0] = 0;
  Object call655 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe654);
// compiled call node returning call655 (depth = 8)
// compiled member node returning call655 (depth = 7)
  int op_slot_left_651 = gc_frame_newslot(call655);
  params[0] = strlit652;
  partcv[0] = 1;
  Object opresult656 = callmethod(call655, "==", 1, partcv, params);
// compiled op node returning opresult656 (depth = 6)
  Object if650 = done;
  if (istrue(opresult656)) {
// starting to compile return node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_done (depth = 7)
  block_return(realself, *var_done);
// compiled return node returning undefined (depth = 6)
    gc_frame_newslot(undefined);
    if650 = undefined;
  } else {
  }
// compiled if node returning if650 (depth = 5)
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit659 == NULL) {
    strlit659 = alloc_String("confidential");
    gc_root(strlit659);
  }
// compiled string node returning strlit659 (depth = 7)
  int op_slot_right_658 = gc_frame_newslot(strlit659);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe661 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_a (depth = 9)
  partcv[0] = 0;
  Object call662 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe661);
// compiled call node returning call662 (depth = 8)
// compiled member node returning call662 (depth = 7)
  int op_slot_left_658 = gc_frame_newslot(call662);
  params[0] = strlit659;
  partcv[0] = 1;
  Object opresult663 = callmethod(call662, "==", 1, partcv, params);
// compiled op node returning opresult663 (depth = 6)
  Object if657 = done;
  if (istrue(opresult663)) {
// starting to compile return node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_done (depth = 7)
  block_return(realself, *var_done);
// compiled return node returning undefined (depth = 6)
    gc_frame_newslot(undefined);
    if657 = undefined;
  } else {
  }
// compiled if node returning if657 (depth = 5)
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit666 == NULL) {
    strlit666 = alloc_String("writable");
    gc_root(strlit666);
  }
// compiled string node returning strlit666 (depth = 7)
  int op_slot_right_665 = gc_frame_newslot(strlit666);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe668 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_a (depth = 9)
  partcv[0] = 0;
  Object call669 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe668);
// compiled call node returning call669 (depth = 8)
// compiled member node returning call669 (depth = 7)
  int op_slot_left_665 = gc_frame_newslot(call669);
  params[0] = strlit666;
  partcv[0] = 1;
  Object opresult670 = callmethod(call669, "==", 1, partcv, params);
// compiled op node returning opresult670 (depth = 6)
  Object if664 = done;
  if (istrue(opresult670)) {
// starting to compile return node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_done (depth = 7)
  block_return(realself, *var_done);
// compiled return node returning undefined (depth = 6)
    gc_frame_newslot(undefined);
    if664 = undefined;
  } else {
  }
// compiled if node returning if664 (depth = 5)
    gc_frame_newslot(if664);
    if636 = if664;
  } else {
  }
// compiled if node returning if636 (depth = 4)
  gc_frame_end(frame);
  return if636;
}
Object meth_parser_adjustVisibilityOf_40__41_withSpecialDefault_40__41_overriding626(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "adjustVisibilityOf()withSpecialDefault()overriding");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method adjustVisibilityOf()withSpecialDefault()overriding");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method adjustVisibilityOf()withSpecialDefault()overriding");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method adjustVisibilityOf()withSpecialDefault()overriding");
  Object params[2];
  int partcv[2];
  Object *var_done = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for adjustVisibilityOf()withSpecialDefault()overriding (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_node = &(stackframe->slots[0]);
  *var_node = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for adjustVisibilityOf");
  Object *var_sd = &(stackframe->slots[1]);
  *var_sd = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for withSpecialDefault");
  Object *var_nd = &(stackframe->slots[2]);
  *var_nd = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for overriding");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newAnn = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newAnn");
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nd (depth = 4)
  int op_slot_right_628 = gc_frame_newslot(*var_nd);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sd (depth = 4)
  int op_slot_left_628 = gc_frame_newslot(*var_sd);
  params[0] = *var_nd;
  partcv[0] = 1;
  Object opresult630 = callmethod(*var_sd, "==", 1, partcv, params);
// compiled op node returning opresult630 (depth = 3)
  Object if627 = done;
  if (istrue(opresult630)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_done (depth = 4)
  return *var_done;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if627 = undefined;
  } else {
  }
// compiled if node returning if627 (depth = 2)
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe631 = gc_frame_new();
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe632 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_node (depth = 5)
  partcv[0] = 0;
  Object call633 = callmethod(*var_node, "annotations",
    1, partcv, params);
  gc_frame_end(callframe632);
// compiled call node returning call633 (depth = 4)
// compiled member node returning call633 (depth = 3)
  gc_frame_newslot(call633);
// starting to compile block node (depth = 3)
  Object block634 = alloc_Block(NULL, NULL, "parser", 246);
  gc_frame_newslot(block634);
// method _apply
  block_savedest(block634);
  Object closure635 = createclosure(2, "_apply");
  setclosureframe(closure635, stackframe);
  addtoclosure(closure635, var_done);
  addtoclosure(closure635, selfslot);
  struct UserObject *uo635 = (struct UserObject*)block634;
  uo635->data[0] = (Object)closure635;
  Method *meth_meth_parser__apply635 = addmethod2pos(block634, "_apply", &meth_parser__apply635, 0);
  int argcv_meth_parser__apply635[] = {1};
  meth_meth_parser__apply635->type = alloc_MethodType(1, argcv_meth_parser__apply635);
  meth_meth_parser__apply635->definitionModule = modulename;
  meth_meth_parser__apply635->definitionLine = 246;
// compiled block node returning block634 (depth = 3)
  gc_frame_newslot(block634);
// call case 5: prelude request
  params[0] = call633;
  params[1] = block634;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call672 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe631);
// compiled call node returning call672 (depth = 2)
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe673 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sd (depth = 4)
  gc_frame_newslot(*var_sd);
// starting to compile identifier node (depth = 4)
  Object bool674 = alloc_Boolean(0);
// compiled identifier node returning bool674 (depth = 4)
  gc_frame_newslot(bool674);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe675 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  partcv[0] = 0;
  Object call676 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe675);
// compiled call node returning call676 (depth = 5)
// compiled member node returning call676 (depth = 4)
  params[0] = *var_sd;
  params[1] = bool674;
  partcv[0] = 2;
  Object call677 = callmethod(call676, "new",
    1, partcv, params);
  gc_frame_end(callframe673);
// compiled call node returning call677 (depth = 3)
  *var_newAnn = call677;
  if (call677 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe678 = gc_frame_new();
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_node (depth = 4)
  gc_frame_newslot(*var_node);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_newAnn (depth = 4)
  params[0] = *var_node;
  partcv[0] = 1;
  Object call679 = callmethod(*var_newAnn, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe678);
// compiled call node returning call679 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe680 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_newAnn (depth = 3)
  gc_frame_newslot(*var_newAnn);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe681 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_node (depth = 5)
  partcv[0] = 0;
  Object call682 = callmethod(*var_node, "annotations",
    1, partcv, params);
  gc_frame_end(callframe681);
// compiled call node returning call682 (depth = 4)
// compiled member node returning call682 (depth = 3)
  params[0] = *var_newAnn;
  partcv[0] = 1;
  Object call683 = callmethod(call682, "push",
    1, partcv, params);
  gc_frame_end(callframe680);
// compiled call node returning call683 (depth = 2)
  gc_frame_end(frame);
  return call683;
}
Object meth_parser__apply705(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
  Object bool707 = alloc_Boolean(0);
// compiled identifier node returning bool707 (depth = 11)
  int op_slot_right_706 = gc_frame_newslot(bool707);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe709 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_a (depth = 13)
  partcv[0] = 0;
  Object call710 = callmethod(*var_a, "dtype",
    1, partcv, params);
  gc_frame_end(callframe709);
// compiled call node returning call710 (depth = 12)
// compiled member node returning call710 (depth = 11)
  int op_slot_left_706 = gc_frame_newslot(call710);
  params[0] = bool707;
  partcv[0] = 1;
  Object opresult711 = callmethod(call710, "!=", 1, partcv, params);
// compiled op node returning opresult711 (depth = 10)
  gc_frame_end(frame);
  return opresult711;
}
Object meth_parser__apply722(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit724 == NULL) {
    strlit724 = alloc_String(":");
    gc_root(strlit724);
  }
// compiled string node returning strlit724 (depth = 11)
  int op_slot_right_723 = gc_frame_newslot(strlit724);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe726 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tok (depth = 13)
  partcv[0] = 0;
  Object call727 = callmethod(*var_tok, "value",
    1, partcv, params);
  gc_frame_end(callframe726);
// compiled call node returning call727 (depth = 12)
// compiled member node returning call727 (depth = 11)
  int op_slot_left_723 = gc_frame_newslot(call727);
  params[0] = strlit724;
  partcv[0] = 1;
  Object opresult728 = callmethod(call727, "!=", 1, partcv, params);
// compiled op node returning opresult728 (depth = 10)
  gc_frame_end(frame);
  return opresult728;
}
Object meth_parser__apply731(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 10)
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe732 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tok (depth = 13)
  partcv[0] = 0;
  Object call733 = callmethod(*var_tok, "prev",
    1, partcv, params);
  gc_frame_end(callframe732);
// compiled call node returning call733 (depth = 12)
// compiled member node returning call733 (depth = 11)
  *var_tok = call733;
  if (call733 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply701(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_tok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "tok");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe703 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block704 = alloc_Block(NULL, NULL, "parser", 262);
  gc_frame_newslot(block704);
// method _apply
  block_savedest(block704);
  Object closure705 = createclosure(2, "_apply");
  setclosureframe(closure705, stackframe);
  addtoclosure(closure705, var_a);
  addtoclosure(closure705, selfslot);
  struct UserObject *uo705 = (struct UserObject*)block704;
  uo705->data[0] = (Object)closure705;
  Method *meth_meth_parser__apply705 = addmethod2pos(block704, "_apply", &meth_parser__apply705, 0);
  int argcv_meth_parser__apply705[] = {0};
  meth_meth_parser__apply705->type = alloc_MethodType(1, argcv_meth_parser__apply705);
  meth_meth_parser__apply705->definitionModule = modulename;
  meth_meth_parser__apply705->definitionLine = 261;
// compiled block node returning block704 (depth = 9)
  gc_frame_newslot(block704);
// call case 6: other member request
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit714 == NULL) {
    strlit714 = alloc_String("identifier");
    gc_root(strlit714);
  }
// compiled string node returning strlit714 (depth = 10)
  int op_slot_right_713 = gc_frame_newslot(strlit714);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe716 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_a (depth = 12)
  partcv[0] = 0;
  Object call717 = callmethod(*var_a, "kind",
    1, partcv, params);
  gc_frame_end(callframe716);
// compiled call node returning call717 (depth = 11)
// compiled member node returning call717 (depth = 10)
  int op_slot_left_713 = gc_frame_newslot(call717);
  params[0] = strlit714;
  partcv[0] = 1;
  Object opresult718 = callmethod(call717, "==", 1, partcv, params);
// compiled op node returning opresult718 (depth = 9)
  params[0] = block704;
  partcv[0] = 1;
  Object call719 = callmethod(opresult718, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe703);
// compiled call node returning call719 (depth = 8)
  Object if702 = done;
  if (istrue(call719)) {
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  *var_tok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe720 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block721 = alloc_Block(NULL, NULL, "parser", 265);
  gc_frame_newslot(block721);
// method _apply
  block_savedest(block721);
  Object closure722 = createclosure(2, "_apply");
  setclosureframe(closure722, stackframe);
  addtoclosure(closure722, var_tok);
  addtoclosure(closure722, selfslot);
  struct UserObject *uo722 = (struct UserObject*)block721;
  uo722->data[0] = (Object)closure722;
  Method *meth_meth_parser__apply722 = addmethod2pos(block721, "_apply", &meth_parser__apply722, 0);
  int argcv_meth_parser__apply722[] = {0};
  meth_meth_parser__apply722->type = alloc_MethodType(1, argcv_meth_parser__apply722);
  meth_meth_parser__apply722->definitionModule = modulename;
  meth_meth_parser__apply722->definitionLine = 262;
// compiled block node returning block721 (depth = 9)
  gc_frame_newslot(block721);
// starting to compile block node (depth = 9)
  Object block730 = alloc_Block(NULL, NULL, "parser", 265);
  gc_frame_newslot(block730);
// method _apply
  block_savedest(block730);
  Object closure731 = createclosure(2, "_apply");
  setclosureframe(closure731, stackframe);
  addtoclosure(closure731, var_tok);
  addtoclosure(closure731, selfslot);
  struct UserObject *uo731 = (struct UserObject*)block730;
  uo731->data[0] = (Object)closure731;
  Method *meth_meth_parser__apply731 = addmethod2pos(block730, "_apply", &meth_parser__apply731, 0);
  int argcv_meth_parser__apply731[] = {0};
  meth_meth_parser__apply731->type = alloc_MethodType(1, argcv_meth_parser__apply731);
  meth_meth_parser__apply731->definitionModule = modulename;
  meth_meth_parser__apply731->definitionLine = 265;
// compiled block node returning block730 (depth = 9)
  gc_frame_newslot(block730);
// call case 5: prelude request
  params[0] = block721;
  params[1] = block730;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call736 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe720);
// compiled call node returning call736 (depth = 8)
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe737 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe738 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call739 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe738);
// compiled call node returning call739 (depth = 12)
// compiled member node returning call739 (depth = 11)
  partcv[0] = 0;
  Object call740 = callmethod(call739, "new",
    1, partcv, params);
  gc_frame_end(callframe737);
// compiled call node returning call740 (depth = 10)
// compiled member node returning call740 (depth = 9)
  *var_suggestion = call740;
  if (call740 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe741 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tok (depth = 9)
  gc_frame_newslot(*var_tok);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe742 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tok (depth = 11)
  partcv[0] = 0;
  Object call743 = callmethod(*var_tok, "next",
    1, partcv, params);
  gc_frame_end(callframe742);
// compiled call node returning call743 (depth = 10)
// compiled member node returning call743 (depth = 9)
  gc_frame_newslot(call743);
// starting to compile identifier node (depth = 9)
  Object bool744 = alloc_Boolean(1);
// compiled identifier node returning bool744 (depth = 9)
  gc_frame_newslot(bool744);
// starting to compile identifier node (depth = 9)
  Object bool745 = alloc_Boolean(0);
// compiled identifier node returning bool745 (depth = 9)
  gc_frame_newslot(bool745);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_tok;
  params[1] = call743;
  params[2] = bool744;
  params[3] = bool745;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call746 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe741);
// compiled call node returning call746 (depth = 8)
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe747 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit748 == NULL) {
    strlit748 = alloc_String("An argument to an annotation cannot have a type.");
    gc_root(strlit748);
  }
// compiled string node returning strlit748 (depth = 9)
  gc_frame_newslot(strlit748);
// Begin line 269
  setline(269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe749 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tok (depth = 11)
  partcv[0] = 0;
  Object call750 = callmethod(*var_tok, "line",
    1, partcv, params);
  gc_frame_end(callframe749);
// compiled call node returning call750 (depth = 10)
// compiled member node returning call750 (depth = 9)
  gc_frame_newslot(call750);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe751 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tok (depth = 11)
  partcv[0] = 0;
  Object call752 = callmethod(*var_tok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe751);
// compiled call node returning call752 (depth = 10)
// compiled member node returning call752 (depth = 9)
  gc_frame_newslot(call752);
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num754 = alloc_Float64(1);
// compiled num node returning num754 (depth = 10)
  int op_slot_right_753 = gc_frame_newslot(num754);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe757 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe758 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_tok (depth = 15)
  partcv[0] = 0;
  Object call759 = callmethod(*var_tok, "next",
    1, partcv, params);
  gc_frame_end(callframe758);
// compiled call node returning call759 (depth = 14)
// compiled member node returning call759 (depth = 13)
  partcv[0] = 0;
  Object call760 = callmethod(call759, "size",
    1, partcv, params);
  gc_frame_end(callframe757);
// compiled call node returning call760 (depth = 12)
// compiled member node returning call760 (depth = 11)
  int op_slot_right_756 = gc_frame_newslot(call760);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe762 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe763 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_tok (depth = 15)
  partcv[0] = 0;
  Object call764 = callmethod(*var_tok, "next",
    1, partcv, params);
  gc_frame_end(callframe763);
// compiled call node returning call764 (depth = 14)
// compiled member node returning call764 (depth = 13)
  partcv[0] = 0;
  Object call765 = callmethod(call764, "linePos",
    1, partcv, params);
  gc_frame_end(callframe762);
// compiled call node returning call765 (depth = 12)
// compiled member node returning call765 (depth = 11)
  int op_slot_left_756 = gc_frame_newslot(call765);
  params[0] = call760;
  partcv[0] = 1;
  Object sum766 = callmethod(call765, "+", 1, partcv, params);
// compiled op node returning sum766 (depth = 10)
  int op_slot_left_753 = gc_frame_newslot(sum766);
  params[0] = num754;
  partcv[0] = 1;
  Object diff767 = callmethod(sum766, "-", 1, partcv, params);
// compiled op node returning diff767 (depth = 9)
  gc_frame_newslot(diff767);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit748;
  params[1] = call750;
  params[2] = call752;
  params[3] = diff767;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call768 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe747);
// compiled call node returning call768 (depth = 8)
    gc_frame_newslot(call768);
    if702 = call768;
  } else {
  }
// compiled if node returning if702 (depth = 7)
  gc_frame_end(frame);
  return if702;
}
Object meth_parser__apply696(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe697 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe698 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_p (depth = 8)
  partcv[0] = 0;
  Object call699 = callmethod(*var_p, "args",
    1, partcv, params);
  gc_frame_end(callframe698);
// compiled call node returning call699 (depth = 7)
// compiled member node returning call699 (depth = 6)
  gc_frame_newslot(call699);
// starting to compile block node (depth = 6)
  Object block700 = alloc_Block(NULL, NULL, "parser", 261);
  gc_frame_newslot(block700);
// method _apply
  block_savedest(block700);
  Object closure701 = createclosure(3, "_apply");
  setclosureframe(closure701, stackframe);
  addtoclosure(closure701, var_sym);
  addtoclosure(closure701, var_errormessages);
  addtoclosure(closure701, selfslot);
  struct UserObject *uo701 = (struct UserObject*)block700;
  uo701->data[0] = (Object)closure701;
  Method *meth_meth_parser__apply701 = addmethod2pos(block700, "_apply", &meth_parser__apply701, 0);
  int argcv_meth_parser__apply701[] = {1};
  meth_meth_parser__apply701->type = alloc_MethodType(1, argcv_meth_parser__apply701);
  meth_meth_parser__apply701->definitionModule = modulename;
  meth_meth_parser__apply701->definitionLine = 261;
// compiled block node returning block700 (depth = 6)
  gc_frame_newslot(block700);
// call case 5: prelude request
  params[0] = call699;
  params[1] = block700;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call770 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe697);
// compiled call node returning call770 (depth = 5)
  gc_frame_end(frame);
  return call770;
}
Object meth_parser_checkAnnotation684(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkAnnotation");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method checkAnnotation");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for checkAnnotation (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for checkAnnotation");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 259
  setline(259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit687 == NULL) {
    strlit687 = alloc_String("call");
    gc_root(strlit687);
  }
// compiled string node returning strlit687 (depth = 4)
  int op_slot_right_686 = gc_frame_newslot(strlit687);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe689 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ann (depth = 6)
  partcv[0] = 0;
  Object call690 = callmethod(*var_ann, "kind",
    1, partcv, params);
  gc_frame_end(callframe689);
// compiled call node returning call690 (depth = 5)
// compiled member node returning call690 (depth = 4)
  int op_slot_left_686 = gc_frame_newslot(call690);
  params[0] = strlit687;
  partcv[0] = 1;
  Object opresult691 = callmethod(call690, "==", 1, partcv, params);
// compiled op node returning opresult691 (depth = 3)
  Object if685 = done;
  if (istrue(opresult691)) {
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe692 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe693 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ann (depth = 6)
  partcv[0] = 0;
  Object call694 = callmethod(*var_ann, "with",
    1, partcv, params);
  gc_frame_end(callframe693);
// compiled call node returning call694 (depth = 5)
// compiled member node returning call694 (depth = 4)
  gc_frame_newslot(call694);
// starting to compile block node (depth = 4)
  Object block695 = alloc_Block(NULL, NULL, "parser", 260);
  gc_frame_newslot(block695);
// method _apply
  block_savedest(block695);
  Object closure696 = createclosure(3, "_apply");
  setclosureframe(closure696, stackframe);
  addtoclosure(closure696, var_sym);
  addtoclosure(closure696, var_errormessages);
  addtoclosure(closure696, selfslot);
  struct UserObject *uo696 = (struct UserObject*)block695;
  uo696->data[0] = (Object)closure696;
  Method *meth_meth_parser__apply696 = addmethod2pos(block695, "_apply", &meth_parser__apply696, 0);
  int argcv_meth_parser__apply696[] = {1};
  meth_meth_parser__apply696->type = alloc_MethodType(1, argcv_meth_parser__apply696);
  meth_meth_parser__apply696->definitionModule = modulename;
  meth_meth_parser__apply696->definitionLine = 260;
// compiled block node returning block695 (depth = 4)
  gc_frame_newslot(block695);
// call case 5: prelude request
  params[0] = call694;
  params[1] = block695;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call772 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe692);
// compiled call node returning call772 (depth = 3)
    gc_frame_newslot(call772);
    if685 = call772;
  } else {
  }
// compiled if node returning if685 (depth = 2)
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_ann (depth = 2)
  gc_frame_end(frame);
  return *var_ann;
}
Object meth_parser__apply777(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit779 == NULL) {
    strlit779 = alloc_String("is");
    gc_root(strlit779);
  }
// compiled string node returning strlit779 (depth = 6)
  int op_slot_right_778 = gc_frame_newslot(strlit779);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe781 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call782 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe781);
// compiled call node returning call782 (depth = 7)
// compiled member node returning call782 (depth = 6)
  int op_slot_left_778 = gc_frame_newslot(call782);
  params[0] = strlit779;
  partcv[0] = 1;
  Object opresult783 = callmethod(call782, "!=", 1, partcv, params);
// compiled op node returning opresult783 (depth = 5)
  gc_frame_end(frame);
  return opresult783;
}
Object meth_parser__apply802(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_noBlocks = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe803 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_noBlocks (depth = 8)
  gc_frame_newslot(*var_noBlocks);
// call case 4: self request
  params[0] = *var_noBlocks;
  partcv[0] = 1;
  Object call804 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe803);
// compiled call node returning call804 (depth = 7)
  gc_frame_end(frame);
  return call804;
}
Object meth_parser__apply863(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe864 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit865 == NULL) {
    strlit865 = alloc_String("comma");
    gc_root(strlit865);
  }
// compiled string node returning strlit865 (depth = 5)
  gc_frame_newslot(strlit865);
// call case 4: self request
  params[0] = strlit865;
  partcv[0] = 1;
  Object call866 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe864);
// compiled call node returning call866 (depth = 4)
  gc_frame_end(frame);
  return call866;
}
Object meth_parser__apply882(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_noBlocks = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 9)
  int callframe883 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_noBlocks (depth = 10)
  gc_frame_newslot(*var_noBlocks);
// call case 4: self request
  params[0] = *var_noBlocks;
  partcv[0] = 1;
  Object call884 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe883);
// compiled call node returning call884 (depth = 9)
  gc_frame_end(frame);
  return call884;
}
Object meth_parser__apply869(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_anns = getfromclosure(closure, 1);
  Object *var_noBlocks = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// Begin line 299
  setline(299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe870 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe871 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe872 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call873 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe872);
// compiled call node returning call873 (depth = 7)
// compiled member node returning call873 (depth = 6)
  gc_frame_newslot(call873);
// call case 4: self request
  params[0] = call873;
  partcv[0] = 1;
  Object call874 = callmethodflags(self, "checkAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe871);
// compiled call node returning call874 (depth = 5)
  gc_frame_newslot(call874);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  params[0] = call874;
  partcv[0] = 1;
  Object call875 = callmethod(*var_anns, "push",
    1, partcv, params);
  gc_frame_end(callframe870);
// compiled call node returning call875 (depth = 4)
// Begin line 300
  setline(300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe876 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call877 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe876);
// compiled call node returning call877 (depth = 5)
// compiled member node returning call877 (depth = 4)
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 301
  setline(301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe879 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 7)
  int callframe880 = gc_frame_new();
// starting to compile block node (depth = 8)
  Object block881 = alloc_Block(NULL, NULL, "parser", 301);
  gc_frame_newslot(block881);
// method _apply
  block_savedest(block881);
  Object closure882 = createclosure(2, "_apply");
  setclosureframe(closure882, stackframe);
  addtoclosure(closure882, var_noBlocks);
  addtoclosure(closure882, selfslot);
  struct UserObject *uo882 = (struct UserObject*)block881;
  uo882->data[0] = (Object)closure882;
  Method *meth_meth_parser__apply882 = addmethod2pos(block881, "_apply", &meth_parser__apply882, 0);
  int argcv_meth_parser__apply882[] = {0};
  meth_meth_parser__apply882->type = alloc_MethodType(1, argcv_meth_parser__apply882);
  meth_meth_parser__apply882->definitionModule = modulename;
  meth_meth_parser__apply882->definitionLine = 301;
// compiled block node returning block881 (depth = 8)
  gc_frame_newslot(block881);
// call case 4: self request
  params[0] = block881;
  partcv[0] = 1;
  Object call886 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe880);
// compiled call node returning call886 (depth = 7)
  partcv[0] = 0;
  Object call887 = callmethod(call886, "not",
    1, partcv, params);
  gc_frame_end(callframe879);
// compiled call node returning call887 (depth = 6)
// compiled member node returning call887 (depth = 5)
  Object if878 = done;
  if (istrue(call887)) {
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 6)
  Object array888 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array888 (depth = 6)
  *var_suggestions = array888;
  if (array888 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe889 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe890 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call891 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe890);
// compiled call node returning call891 (depth = 9)
// compiled member node returning call891 (depth = 8)
  partcv[0] = 0;
  Object call892 = callmethod(call891, "new",
    1, partcv, params);
  gc_frame_end(callframe889);
// compiled call node returning call892 (depth = 7)
// compiled member node returning call892 (depth = 6)
  *var_suggestion = call892;
  if (call892 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe893 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit894 == NULL) {
    strlit894 = alloc_String("bind");
    gc_root(strlit894);
  }
// compiled string node returning strlit894 (depth = 7)
  gc_frame_newslot(strlit894);
// call case 4: self request
  params[0] = strlit894;
  partcv[0] = 1;
  Object call895 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe893);
// compiled call node returning call895 (depth = 6)
  *var_nextTok = call895;
  if (call895 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 305
  setline(305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_897 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_897 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult899 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult899 (depth = 6)
  Object if896 = done;
  if (istrue(opresult899)) {
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe900 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit901 == NULL) {
    strlit901 = alloc_String(" ""\xc2""""\xab""annotation""\xc2""""\xbb""");
    gc_root(strlit901);
  }
// compiled string node returning strlit901 (depth = 7)
  gc_frame_newslot(strlit901);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit901;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call902 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe900);
// compiled call node returning call902 (depth = 6)
    gc_frame_newslot(call902);
    if896 = call902;
  } else {
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe903 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe904 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  partcv[0] = 0;
  Object call905 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe904);
// compiled call node returning call905 (depth = 8)
// compiled member node returning call905 (depth = 7)
  gc_frame_newslot(call905);
// starting to compile identifier node (depth = 7)
  Object bool906 = alloc_Boolean(1);
// compiled identifier node returning bool906 (depth = 7)
  gc_frame_newslot(bool906);
// starting to compile identifier node (depth = 7)
  Object bool907 = alloc_Boolean(0);
// compiled identifier node returning bool907 (depth = 7)
  gc_frame_newslot(bool907);
// starting to compile string node (depth = 7)
  if (strlit908 == NULL) {
    strlit908 = alloc_String(" ""\xc2""""\xab""annotation""\xc2""""\xbb""");
    gc_root(strlit908);
  }
// compiled string node returning strlit908 (depth = 7)
  gc_frame_newslot(strlit908);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call905;
  params[2] = bool906;
  params[3] = bool907;
  params[4] = strlit908;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call909 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe903);
// compiled call node returning call909 (depth = 6)
    gc_frame_newslot(call909);
    if896 = call909;
  }
// compiled if node returning if896 (depth = 5)
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe910 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call911 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe910);
// compiled call node returning call911 (depth = 5)
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 311
  setline(311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe912 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe913 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call914 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe913);
// compiled call node returning call914 (depth = 9)
// compiled member node returning call914 (depth = 8)
  partcv[0] = 0;
  Object call915 = callmethod(call914, "new",
    1, partcv, params);
  gc_frame_end(callframe912);
// compiled call node returning call915 (depth = 7)
// compiled member node returning call915 (depth = 6)
  *var_suggestion = call915;
  if (call915 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe917 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe918 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  partcv[0] = 0;
  Object call919 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe918);
// compiled call node returning call919 (depth = 7)
// compiled member node returning call919 (depth = 6)
  gc_frame_newslot(call919);
// starting to compile identifier node (depth = 6)
  Object bool920 = alloc_Boolean(1);
// compiled identifier node returning bool920 (depth = 6)
  gc_frame_newslot(bool920);
// starting to compile identifier node (depth = 6)
  Object bool921 = alloc_Boolean(0);
// compiled identifier node returning bool921 (depth = 6)
  gc_frame_newslot(bool921);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_lastToken;
  params[1] = call919;
  params[2] = bool920;
  params[3] = bool921;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call922 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe917);
// compiled call node returning call922 (depth = 5)
// Begin line 313
  setline(313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe923 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call924 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe923);
// compiled call node returning call924 (depth = 5)
// Begin line 314
  setline(314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe925 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit926 == NULL) {
    strlit926 = alloc_String("One or more annotations separated by commas must follow 'is'.");
    gc_root(strlit926);
  }
// compiled string node returning strlit926 (depth = 6)
  gc_frame_newslot(strlit926);
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe927 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call928 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe927);
// compiled call node returning call928 (depth = 7)
// compiled member node returning call928 (depth = 6)
  gc_frame_newslot(call928);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num930 = alloc_Float64(1);
// compiled num node returning num930 (depth = 7)
  int op_slot_right_929 = gc_frame_newslot(num930);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe933 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call934 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe933);
// compiled call node returning call934 (depth = 9)
// compiled member node returning call934 (depth = 8)
  int op_slot_right_932 = gc_frame_newslot(call934);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe936 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call937 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe936);
// compiled call node returning call937 (depth = 9)
// compiled member node returning call937 (depth = 8)
  int op_slot_left_932 = gc_frame_newslot(call937);
  params[0] = call934;
  partcv[0] = 1;
  Object sum938 = callmethod(call937, "+", 1, partcv, params);
// compiled op node returning sum938 (depth = 7)
  int op_slot_left_929 = gc_frame_newslot(sum938);
  params[0] = num930;
  partcv[0] = 1;
  Object sum939 = callmethod(sum938, "+", 1, partcv, params);
// compiled op node returning sum939 (depth = 6)
  gc_frame_newslot(sum939);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 314
  setline(314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit926;
  params[1] = call928;
  params[2] = sum939;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call940 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe925);
// compiled call node returning call940 (depth = 5)
    gc_frame_newslot(call940);
    if878 = call940;
  } else {
  }
// compiled if node returning if878 (depth = 4)
  gc_frame_end(frame);
  return if878;
}
Object meth_parser_doannotation773(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doannotation");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_collections = getfromclosure(closure, 1);
  Object *var_noBlocks = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doannotation (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for doannotation");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_anns = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "anns");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe775 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block776 = alloc_Block(NULL, NULL, "parser", 277);
  gc_frame_newslot(block776);
// method _apply
  block_savedest(block776);
  Object closure777 = createclosure(2, "_apply");
  setclosureframe(closure777, stackframe);
  addtoclosure(closure777, var_sym);
  addtoclosure(closure777, selfslot);
  struct UserObject *uo777 = (struct UserObject*)block776;
  uo777->data[0] = (Object)closure777;
  Method *meth_meth_parser__apply777 = addmethod2pos(block776, "_apply", &meth_parser__apply777, 0);
  int argcv_meth_parser__apply777[] = {0};
  meth_meth_parser__apply777->type = alloc_MethodType(1, argcv_meth_parser__apply777);
  meth_meth_parser__apply777->definitionModule = modulename;
  meth_meth_parser__apply777->definitionLine = 269;
// compiled block node returning block776 (depth = 4)
  gc_frame_newslot(block776);
// call case 6: other member request
// starting to compile call node (depth = 4)
  int callframe785 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe786 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit787 == NULL) {
    strlit787 = alloc_String("keyword");
    gc_root(strlit787);
  }
// compiled string node returning strlit787 (depth = 6)
  gc_frame_newslot(strlit787);
// call case 4: self request
  params[0] = strlit787;
  partcv[0] = 1;
  Object call788 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe786);
// compiled call node returning call788 (depth = 5)
  partcv[0] = 0;
  Object call789 = callmethod(call788, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe785);
// compiled call node returning call789 (depth = 4)
  params[0] = block776;
  partcv[0] = 1;
  Object call790 = callmethod(call789, "orElse",
    1, partcv, params);
  gc_frame_end(callframe775);
// compiled call node returning call790 (depth = 3)
  Object if774 = done;
  if (istrue(call790)) {
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool791 = alloc_Boolean(0);
// compiled identifier node returning bool791 (depth = 4)
  return bool791;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if774 = undefined;
  } else {
  }
// compiled if node returning if774 (depth = 2)
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe792 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call793 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe792);
// compiled call node returning call793 (depth = 3)
// compiled member node returning call793 (depth = 2)
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe794 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe795 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_collections (depth = 7)
  partcv[0] = 0;
  Object call796 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe795);
// compiled call node returning call796 (depth = 6)
// compiled member node returning call796 (depth = 5)
  partcv[0] = 0;
  Object call797 = callmethod(call796, "new",
    1, partcv, params);
  gc_frame_end(callframe794);
// compiled call node returning call797 (depth = 4)
// compiled member node returning call797 (depth = 3)
  *var_anns = call797;
  if (call797 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe799 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe800 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block801 = alloc_Block(NULL, NULL, "parser", 282);
  gc_frame_newslot(block801);
// method _apply
  block_savedest(block801);
  Object closure802 = createclosure(2, "_apply");
  setclosureframe(closure802, stackframe);
  addtoclosure(closure802, var_noBlocks);
  addtoclosure(closure802, selfslot);
  struct UserObject *uo802 = (struct UserObject*)block801;
  uo802->data[0] = (Object)closure802;
  Method *meth_meth_parser__apply802 = addmethod2pos(block801, "_apply", &meth_parser__apply802, 0);
  int argcv_meth_parser__apply802[] = {0};
  meth_meth_parser__apply802->type = alloc_MethodType(1, argcv_meth_parser__apply802);
  meth_meth_parser__apply802->definitionModule = modulename;
  meth_meth_parser__apply802->definitionLine = 282;
// compiled block node returning block801 (depth = 6)
  gc_frame_newslot(block801);
// call case 4: self request
  params[0] = block801;
  partcv[0] = 1;
  Object call806 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe800);
// compiled call node returning call806 (depth = 5)
  partcv[0] = 0;
  Object call807 = callmethod(call806, "not",
    1, partcv, params);
  gc_frame_end(callframe799);
// compiled call node returning call807 (depth = 4)
// compiled member node returning call807 (depth = 3)
  Object if798 = done;
  if (istrue(call807)) {
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 283
  setline(283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array808 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array808 (depth = 4)
  *var_suggestions = array808;
  if (array808 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe809 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe810 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  partcv[0] = 0;
  Object call811 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe810);
// compiled call node returning call811 (depth = 7)
// compiled member node returning call811 (depth = 6)
  partcv[0] = 0;
  Object call812 = callmethod(call811, "new",
    1, partcv, params);
  gc_frame_end(callframe809);
// compiled call node returning call812 (depth = 5)
// compiled member node returning call812 (depth = 4)
  *var_suggestion = call812;
  if (call812 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe813 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit814 == NULL) {
    strlit814 = alloc_String("bind");
    gc_root(strlit814);
  }
// compiled string node returning strlit814 (depth = 5)
  gc_frame_newslot(strlit814);
// call case 4: self request
  params[0] = strlit814;
  partcv[0] = 1;
  Object call815 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe813);
// compiled call node returning call815 (depth = 4)
  *var_nextTok = call815;
  if (call815 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  int op_slot_right_817 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nextTok (depth = 5)
  int op_slot_left_817 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult819 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult819 (depth = 4)
  Object if816 = done;
  if (istrue(opresult819)) {
// Begin line 287
  setline(287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe820 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit821 == NULL) {
    strlit821 = alloc_String(" ""\xc2""""\xab""annotation""\xc2""""\xbb""");
    gc_root(strlit821);
  }
// compiled string node returning strlit821 (depth = 5)
  gc_frame_newslot(strlit821);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit821;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call822 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe820);
// compiled call node returning call822 (depth = 4)
    gc_frame_newslot(call822);
    if816 = call822;
  } else {
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe823 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe824 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  partcv[0] = 0;
  Object call825 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe824);
// compiled call node returning call825 (depth = 6)
// compiled member node returning call825 (depth = 5)
  gc_frame_newslot(call825);
// starting to compile identifier node (depth = 5)
  Object bool826 = alloc_Boolean(1);
// compiled identifier node returning bool826 (depth = 5)
  gc_frame_newslot(bool826);
// starting to compile identifier node (depth = 5)
  Object bool827 = alloc_Boolean(0);
// compiled identifier node returning bool827 (depth = 5)
  gc_frame_newslot(bool827);
// starting to compile string node (depth = 5)
  if (strlit828 == NULL) {
    strlit828 = alloc_String(" ""\xc2""""\xab""annotation""\xc2""""\xbb""");
    gc_root(strlit828);
  }
// compiled string node returning strlit828 (depth = 5)
  gc_frame_newslot(strlit828);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = *var_sym;
  params[1] = call825;
  params[2] = bool826;
  params[3] = bool827;
  params[4] = strlit828;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call829 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe823);
// compiled call node returning call829 (depth = 4)
    gc_frame_newslot(call829);
    if816 = call829;
  }
// compiled if node returning if816 (depth = 3)
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe830 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call831 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe830);
// compiled call node returning call831 (depth = 3)
// Begin line 293
  setline(293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe832 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe833 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  partcv[0] = 0;
  Object call834 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe833);
// compiled call node returning call834 (depth = 7)
// compiled member node returning call834 (depth = 6)
  partcv[0] = 0;
  Object call835 = callmethod(call834, "new",
    1, partcv, params);
  gc_frame_end(callframe832);
// compiled call node returning call835 (depth = 5)
// compiled member node returning call835 (depth = 4)
  *var_suggestion = call835;
  if (call835 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 293
  setline(293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe837 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lastToken (depth = 4)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe838 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  partcv[0] = 0;
  Object call839 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe838);
// compiled call node returning call839 (depth = 5)
// compiled member node returning call839 (depth = 4)
  gc_frame_newslot(call839);
// starting to compile identifier node (depth = 4)
  Object bool840 = alloc_Boolean(1);
// compiled identifier node returning bool840 (depth = 4)
  gc_frame_newslot(bool840);
// starting to compile identifier node (depth = 4)
  Object bool841 = alloc_Boolean(0);
// compiled identifier node returning bool841 (depth = 4)
  gc_frame_newslot(bool841);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = *var_lastToken;
  params[1] = call839;
  params[2] = bool840;
  params[3] = bool841;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call842 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe837);
// compiled call node returning call842 (depth = 3)
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe843 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call844 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe843);
// compiled call node returning call844 (depth = 3)
// Begin line 295
  setline(295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe845 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit846 == NULL) {
    strlit846 = alloc_String("One or more annotations separated by commas must follow 'is'.");
    gc_root(strlit846);
  }
// compiled string node returning strlit846 (depth = 4)
  gc_frame_newslot(strlit846);
// Begin line 296
  setline(296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe847 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  partcv[0] = 0;
  Object call848 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe847);
// compiled call node returning call848 (depth = 5)
// compiled member node returning call848 (depth = 4)
  gc_frame_newslot(call848);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num850 = alloc_Float64(1);
// compiled num node returning num850 (depth = 5)
  int op_slot_right_849 = gc_frame_newslot(num850);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe853 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call854 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe853);
// compiled call node returning call854 (depth = 7)
// compiled member node returning call854 (depth = 6)
  int op_slot_right_852 = gc_frame_newslot(call854);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe856 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call857 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe856);
// compiled call node returning call857 (depth = 7)
// compiled member node returning call857 (depth = 6)
  int op_slot_left_852 = gc_frame_newslot(call857);
  params[0] = call854;
  partcv[0] = 1;
  Object sum858 = callmethod(call857, "+", 1, partcv, params);
// compiled op node returning sum858 (depth = 5)
  int op_slot_left_849 = gc_frame_newslot(sum858);
  params[0] = num850;
  partcv[0] = 1;
  Object sum859 = callmethod(sum858, "+", 1, partcv, params);
// compiled op node returning sum859 (depth = 4)
  gc_frame_newslot(sum859);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 295
  setline(295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit846;
  params[1] = call848;
  params[2] = sum859;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call860 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe845);
// compiled call node returning call860 (depth = 3)
    gc_frame_newslot(call860);
    if798 = call860;
  } else {
  }
// compiled if node returning if798 (depth = 2)
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe861 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block862 = alloc_Block(NULL, NULL, "parser", 298);
  gc_frame_newslot(block862);
// method _apply
  block_savedest(block862);
  Object closure863 = createclosure(1, "_apply");
  setclosureframe(closure863, stackframe);
  addtoclosure(closure863, selfslot);
  struct UserObject *uo863 = (struct UserObject*)block862;
  uo863->data[0] = (Object)closure863;
  Method *meth_meth_parser__apply863 = addmethod2pos(block862, "_apply", &meth_parser__apply863, 0);
  int argcv_meth_parser__apply863[] = {0};
  meth_meth_parser__apply863->type = alloc_MethodType(1, argcv_meth_parser__apply863);
  meth_meth_parser__apply863->definitionModule = modulename;
  meth_meth_parser__apply863->definitionLine = 296;
// compiled block node returning block862 (depth = 3)
  gc_frame_newslot(block862);
// starting to compile block node (depth = 3)
  Object block868 = alloc_Block(NULL, NULL, "parser", 298);
  gc_frame_newslot(block868);
// method _apply
  block_savedest(block868);
  Object closure869 = createclosure(7, "_apply");
  setclosureframe(closure869, stackframe);
  addtoclosure(closure869, var_values);
  addtoclosure(closure869, var_anns);
  addtoclosure(closure869, var_noBlocks);
  addtoclosure(closure869, var_errormessages);
  addtoclosure(closure869, var_sym);
  addtoclosure(closure869, var_lastToken);
  addtoclosure(closure869, selfslot);
  struct UserObject *uo869 = (struct UserObject*)block868;
  uo869->data[0] = (Object)closure869;
  Method *meth_meth_parser__apply869 = addmethod2pos(block868, "_apply", &meth_parser__apply869, 0);
  int argcv_meth_parser__apply869[] = {0};
  meth_meth_parser__apply869->type = alloc_MethodType(1, argcv_meth_parser__apply869);
  meth_meth_parser__apply869->definitionModule = modulename;
  meth_meth_parser__apply869->definitionLine = 296;
// compiled block node returning block868 (depth = 3)
  gc_frame_newslot(block868);
// call case 5: prelude request
  params[0] = block862;
  params[1] = block868;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call942 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe861);
// compiled call node returning call942 (depth = 2)
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe943 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe944 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe945 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call946 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe945);
// compiled call node returning call946 (depth = 5)
// compiled member node returning call946 (depth = 4)
  gc_frame_newslot(call946);
// call case 4: self request
  params[0] = call946;
  partcv[0] = 1;
  Object call947 = callmethodflags(self, "checkAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe944);
// compiled call node returning call947 (depth = 3)
  gc_frame_newslot(call947);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_anns (depth = 3)
  params[0] = call947;
  partcv[0] = 1;
  Object call948 = callmethod(*var_anns, "push",
    1, partcv, params);
  gc_frame_end(callframe943);
// compiled call node returning call948 (depth = 2)
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_anns (depth = 2)
  gc_frame_end(frame);
  return *var_anns;
}
Object meth_parser_blank949(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "blank");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object *var_util = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for blank (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for blank");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num953 = alloc_Float64(1);
// compiled num node returning num953 (depth = 5)
  int op_slot_right_952 = gc_frame_newslot(num953);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe955 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call956 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe955);
// compiled call node returning call956 (depth = 6)
// compiled member node returning call956 (depth = 5)
  int op_slot_left_952 = gc_frame_newslot(call956);
  params[0] = num953;
  partcv[0] = 1;
  Object sum957 = callmethod(call956, "+", 1, partcv, params);
// compiled op node returning sum957 (depth = 4)
  int op_slot_right_951 = gc_frame_newslot(sum957);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe959 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call960 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe959);
// compiled call node returning call960 (depth = 5)
// compiled member node returning call960 (depth = 4)
  int op_slot_left_951 = gc_frame_newslot(call960);
  params[0] = sum957;
  partcv[0] = 1;
  Object opresult961 = callmethod(call960, ">", 1, partcv, params);
// compiled op node returning opresult961 (depth = 3)
  Object if950 = done;
  if (istrue(opresult961)) {
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num964 = alloc_Float64(0);
// compiled num node returning num964 (depth = 5)
  int op_slot_right_963 = gc_frame_newslot(num964);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe966 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  partcv[0] = 0;
  Object call967 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe966);
// compiled call node returning call967 (depth = 6)
// compiled member node returning call967 (depth = 5)
  int op_slot_left_963 = gc_frame_newslot(call967);
  params[0] = num964;
  partcv[0] = 1;
  Object opresult968 = callmethod(call967, ">", 1, partcv, params);
// compiled op node returning opresult968 (depth = 4)
  Object if962 = done;
  if (istrue(opresult968)) {
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit971 == NULL) {
    strlit971 = alloc_String("blank");
    gc_root(strlit971);
  }
// compiled string node returning strlit971 (depth = 6)
  int op_slot_right_970 = gc_frame_newslot(strlit971);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe973 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe974 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  partcv[0] = 0;
  Object call975 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe974);
// compiled call node returning call975 (depth = 9)
// compiled member node returning call975 (depth = 8)
  partcv[0] = 0;
  Object call976 = callmethod(call975, "kind",
    1, partcv, params);
  gc_frame_end(callframe973);
// compiled call node returning call976 (depth = 7)
// compiled member node returning call976 (depth = 6)
  int op_slot_left_970 = gc_frame_newslot(call976);
  params[0] = strlit971;
  partcv[0] = 1;
  Object opresult977 = callmethod(call976, "!=", 1, partcv, params);
// compiled op node returning opresult977 (depth = 5)
  Object if969 = done;
  if (istrue(opresult977)) {
// Begin line 326
  setline(326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe978 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num980 = alloc_Float64(1);
// compiled num node returning num980 (depth = 7)
  int op_slot_right_979 = gc_frame_newslot(num980);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe982 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call983 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe982);
// compiled call node returning call983 (depth = 8)
// compiled member node returning call983 (depth = 7)
  int op_slot_left_979 = gc_frame_newslot(call983);
  params[0] = num980;
  partcv[0] = 1;
  Object sum984 = callmethod(call983, "+", 1, partcv, params);
// compiled op node returning sum984 (depth = 6)
  gc_frame_newslot(sum984);
// starting to compile num node (depth = 6)
  Object num985 = alloc_Float64(0);
// compiled num node returning num985 (depth = 6)
  gc_frame_newslot(num985);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  params[0] = sum984;
  params[1] = num985;
  partcv[0] = 2;
  Object call986 = callmethod(*var_util, "setPosition",
    1, partcv, params);
  gc_frame_end(callframe978);
// compiled call node returning call986 (depth = 5)
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe987 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe988 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe989 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ast (depth = 10)
  partcv[0] = 0;
  Object call990 = callmethod(*var_ast, "blankNode",
    1, partcv, params);
  gc_frame_end(callframe989);
// compiled call node returning call990 (depth = 9)
// compiled member node returning call990 (depth = 8)
  partcv[0] = 0;
  Object call991 = callmethod(call990, "new",
    1, partcv, params);
  gc_frame_end(callframe988);
// compiled call node returning call991 (depth = 7)
// compiled member node returning call991 (depth = 6)
  gc_frame_newslot(call991);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  params[0] = call991;
  partcv[0] = 1;
  Object call992 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe987);
// compiled call node returning call992 (depth = 5)
    gc_frame_newslot(call992);
    if969 = call992;
  } else {
  }
// compiled if node returning if969 (depth = 4)
    gc_frame_newslot(if969);
    if962 = if969;
  } else {
  }
// compiled if node returning if962 (depth = 3)
    gc_frame_newslot(if962);
    if950 = if962;
  } else {
  }
// compiled if node returning if950 (depth = 2)
  gc_frame_end(frame);
  return if950;
}
Object meth_parser__apply1007(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1009 == NULL) {
    strlit1009 = alloc_String("type");
    gc_root(strlit1009);
  }
// compiled string node returning strlit1009 (depth = 7)
  int op_slot_right_1008 = gc_frame_newslot(strlit1009);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1011 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call1012 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe1011);
// compiled call node returning call1012 (depth = 8)
// compiled member node returning call1012 (depth = 7)
  int op_slot_left_1008 = gc_frame_newslot(call1012);
  params[0] = strlit1009;
  partcv[0] = 1;
  Object opresult1013 = callmethod(call1012, "==", 1, partcv, params);
// compiled op node returning opresult1013 (depth = 6)
  gc_frame_end(frame);
  return opresult1013;
}
Object meth_parser_dotypeterm993(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dotypeterm");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_noBlocks = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dotypeterm (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for dotypeterm");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 343
  setline(343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe995 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit996 == NULL) {
    strlit996 = alloc_String("identifier");
    gc_root(strlit996);
  }
// compiled string node returning strlit996 (depth = 4)
  gc_frame_newslot(strlit996);
// call case 4: self request
  params[0] = strlit996;
  partcv[0] = 1;
  Object call997 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe995);
// compiled call node returning call997 (depth = 3)
  Object if994 = done;
  if (istrue(call997)) {
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe998 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call999 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe998);
// compiled call node returning call999 (depth = 4)
// compiled member node returning call999 (depth = 3)
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1000 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1001 = callmethodflags(self, "generic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1000);
// compiled call node returning call1001 (depth = 4)
// compiled member node returning call1001 (depth = 3)
// Begin line 337
  setline(337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1002 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_noBlocks (depth = 4)
  gc_frame_newslot(*var_noBlocks);
// call case 4: self request
  params[0] = *var_noBlocks;
  partcv[0] = 1;
  Object call1003 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1002);
// compiled call node returning call1003 (depth = 3)
    gc_frame_newslot(call1003);
    if994 = call1003;
  } else {
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 339
  setline(339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1005 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block1006 = alloc_Block(NULL, NULL, "parser", 339);
  gc_frame_newslot(block1006);
// method _apply
  block_savedest(block1006);
  Object closure1007 = createclosure(2, "_apply");
  setclosureframe(closure1007, stackframe);
  addtoclosure(closure1007, var_sym);
  addtoclosure(closure1007, selfslot);
  struct UserObject *uo1007 = (struct UserObject*)block1006;
  uo1007->data[0] = (Object)closure1007;
  Method *meth_meth_parser__apply1007 = addmethod2pos(block1006, "_apply", &meth_parser__apply1007, 0);
  int argcv_meth_parser__apply1007[] = {0};
  meth_meth_parser__apply1007->type = alloc_MethodType(1, argcv_meth_parser__apply1007);
  meth_meth_parser__apply1007->definitionModule = modulename;
  meth_meth_parser__apply1007->definitionLine = 336;
// compiled block node returning block1006 (depth = 5)
  gc_frame_newslot(block1006);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe1015 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit1016 == NULL) {
    strlit1016 = alloc_String("keyword");
    gc_root(strlit1016);
  }
// compiled string node returning strlit1016 (depth = 6)
  gc_frame_newslot(strlit1016);
// call case 4: self request
  params[0] = strlit1016;
  partcv[0] = 1;
  Object call1017 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1015);
// compiled call node returning call1017 (depth = 5)
  params[0] = block1006;
  partcv[0] = 1;
  Object call1018 = callmethod(call1017, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe1005);
// compiled call node returning call1018 (depth = 4)
  Object if1004 = done;
  if (istrue(call1018)) {
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1019 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1020 = callmethodflags(self, "dotypeLiteral", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1019);
// compiled call node returning call1020 (depth = 5)
// compiled member node returning call1020 (depth = 4)
    gc_frame_newslot(call1020);
    if1004 = call1020;
  } else {
  }
// compiled if node returning if1004 (depth = 3)
    gc_frame_newslot(if1004);
    if994 = if1004;
  }
// compiled if node returning if994 (depth = 2)
  gc_frame_end(frame);
  return if994;
}
Object meth_parser__apply1035(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1036 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1037 = callmethodflags(self, "typeexpression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1036);
// compiled call node returning call1037 (depth = 9)
// compiled member node returning call1037 (depth = 8)
  gc_frame_end(frame);
  return call1037;
}
Object meth_parser_typeexpression1021(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeexpression");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_statementToken = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_noBlocks = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for typeexpression (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for typeexpression");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sz = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sz");
  Object *var_prevStatementToken = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "prevStatementToken");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1022 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  partcv[0] = 0;
  Object call1023 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe1022);
// compiled call node returning call1023 (depth = 4)
// compiled member node returning call1023 (depth = 3)
  *var_sz = call1023;
  if (call1023 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1025 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit1026 == NULL) {
    strlit1026 = alloc_String("lparen");
    gc_root(strlit1026);
  }
// compiled string node returning strlit1026 (depth = 4)
  gc_frame_newslot(strlit1026);
// call case 4: self request
  params[0] = strlit1026;
  partcv[0] = 1;
  Object call1027 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1025);
// compiled call node returning call1027 (depth = 3)
  Object if1024 = done;
  if (istrue(call1027)) {
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_statementToken (depth = 4)
  *var_prevStatementToken = *var_statementToken;
  if (*var_statementToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1029 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1030 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1029);
// compiled call node returning call1030 (depth = 4)
// compiled member node returning call1030 (depth = 3)
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1032 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 6)
  int callframe1033 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block1034 = alloc_Block(NULL, NULL, "parser", 351);
  gc_frame_newslot(block1034);
// method _apply
  block_savedest(block1034);
  Object closure1035 = createclosure(1, "_apply");
  setclosureframe(closure1035, stackframe);
  addtoclosure(closure1035, selfslot);
  struct UserObject *uo1035 = (struct UserObject*)block1034;
  uo1035->data[0] = (Object)closure1035;
  Method *meth_meth_parser__apply1035 = addmethod2pos(block1034, "_apply", &meth_parser__apply1035, 0);
  int argcv_meth_parser__apply1035[] = {0};
  meth_meth_parser__apply1035->type = alloc_MethodType(1, argcv_meth_parser__apply1035);
  meth_meth_parser__apply1035->definitionModule = modulename;
  meth_meth_parser__apply1035->definitionLine = 351;
// compiled block node returning block1034 (depth = 7)
  gc_frame_newslot(block1034);
// call case 4: self request
  params[0] = block1034;
  partcv[0] = 1;
  Object call1039 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1033);
// compiled call node returning call1039 (depth = 6)
  partcv[0] = 0;
  Object call1040 = callmethod(call1039, "not",
    1, partcv, params);
  gc_frame_end(callframe1032);
// compiled call node returning call1040 (depth = 5)
// compiled member node returning call1040 (depth = 4)
  Object if1031 = done;
  if (istrue(call1040)) {
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1041 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1042 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call1043 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1042);
// compiled call node returning call1043 (depth = 8)
// compiled member node returning call1043 (depth = 7)
  partcv[0] = 0;
  Object call1044 = callmethod(call1043, "new",
    1, partcv, params);
  gc_frame_end(callframe1041);
// compiled call node returning call1044 (depth = 6)
// compiled member node returning call1044 (depth = 5)
  *var_suggestion = call1044;
  if (call1044 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1045 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit1046 == NULL) {
    strlit1046 = alloc_String("rparen");
    gc_root(strlit1046);
  }
// compiled string node returning strlit1046 (depth = 6)
  gc_frame_newslot(strlit1046);
// call case 4: self request
  params[0] = strlit1046;
  partcv[0] = 1;
  Object call1047 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1045);
// compiled call node returning call1047 (depth = 5)
  *var_nextTok = call1047;
  if (call1047 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  int op_slot_right_1049 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_left_1049 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1051 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult1051 (depth = 5)
  Object if1048 = done;
  if (istrue(opresult1051)) {
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1052 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit1053 == NULL) {
    strlit1053 = alloc_String("""\xc2""""\xab""type expression""\xc2""""\xbb""");
    gc_root(strlit1053);
  }
// compiled string node returning strlit1053 (depth = 6)
  gc_frame_newslot(strlit1053);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit1053;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1054 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1052);
// compiled call node returning call1054 (depth = 5)
    gc_frame_newslot(call1054);
    if1048 = call1054;
  } else {
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1055 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1056 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  partcv[0] = 0;
  Object call1057 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1056);
// compiled call node returning call1057 (depth = 7)
// compiled member node returning call1057 (depth = 6)
  gc_frame_newslot(call1057);
// starting to compile identifier node (depth = 6)
  Object bool1058 = alloc_Boolean(1);
// compiled identifier node returning bool1058 (depth = 6)
  gc_frame_newslot(bool1058);
// starting to compile identifier node (depth = 6)
  Object bool1059 = alloc_Boolean(0);
// compiled identifier node returning bool1059 (depth = 6)
  gc_frame_newslot(bool1059);
// starting to compile string node (depth = 6)
  if (strlit1060 == NULL) {
    strlit1060 = alloc_String("""\xc2""""\xab""type expression""\xc2""""\xbb""");
    gc_root(strlit1060);
  }
// compiled string node returning strlit1060 (depth = 6)
  gc_frame_newslot(strlit1060);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = call1057;
  params[2] = bool1058;
  params[3] = bool1059;
  params[4] = strlit1060;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1061 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1055);
// compiled call node returning call1061 (depth = 5)
    gc_frame_newslot(call1061);
    if1048 = call1061;
  }
// compiled if node returning if1048 (depth = 4)
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1062 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1063 == NULL) {
    strlit1063 = alloc_String("Parentheses must contain a valid type expression.");
    gc_root(strlit1063);
  }
// compiled string node returning strlit1063 (depth = 5)
  gc_frame_newslot(strlit1063);
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1064 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call1065 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1064);
// compiled call node returning call1065 (depth = 6)
// compiled member node returning call1065 (depth = 5)
  gc_frame_newslot(call1065);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1066 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call1067 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1066);
// compiled call node returning call1067 (depth = 6)
// compiled member node returning call1067 (depth = 5)
  gc_frame_newslot(call1067);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit1063;
  params[1] = call1065;
  params[2] = call1067;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1068 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1062);
// compiled call node returning call1068 (depth = 4)
    gc_frame_newslot(call1068);
    if1031 = call1068;
  } else {
  }
// compiled if node returning if1031 (depth = 3)
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1071 == NULL) {
    strlit1071 = alloc_String("rparen");
    gc_root(strlit1071);
  }
// compiled string node returning strlit1071 (depth = 5)
  int op_slot_right_1070 = gc_frame_newslot(strlit1071);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1073 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call1074 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe1073);
// compiled call node returning call1074 (depth = 6)
// compiled member node returning call1074 (depth = 5)
  int op_slot_left_1070 = gc_frame_newslot(call1074);
  params[0] = strlit1071;
  partcv[0] = 1;
  Object opresult1075 = callmethod(call1074, "!=", 1, partcv, params);
// compiled op node returning opresult1075 (depth = 4)
  Object if1069 = done;
  if (istrue(opresult1075)) {
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1076 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1077 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1076);
// compiled call node returning call1077 (depth = 5)
// compiled member node returning call1077 (depth = 4)
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1078 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1079 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call1080 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1079);
// compiled call node returning call1080 (depth = 8)
// compiled member node returning call1080 (depth = 7)
  partcv[0] = 0;
  Object call1081 = callmethod(call1080, "new",
    1, partcv, params);
  gc_frame_end(callframe1078);
// compiled call node returning call1081 (depth = 6)
// compiled member node returning call1081 (depth = 5)
  *var_suggestion = call1081;
  if (call1081 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1082 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1083 == NULL) {
    strlit1083 = alloc_String(")");
    gc_root(strlit1083);
  }
// compiled string node returning strlit1083 (depth = 5)
  gc_frame_newslot(strlit1083);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit1083;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1084 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1082);
// compiled call node returning call1084 (depth = 4)
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1085 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1086 == NULL) {
    strlit1086 = alloc_String("A type expression beginning with a '(' must end with a ')'.");
    gc_root(strlit1086);
  }
// compiled string node returning strlit1086 (depth = 5)
  gc_frame_newslot(strlit1086);
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1087 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call1088 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe1087);
// compiled call node returning call1088 (depth = 6)
// compiled member node returning call1088 (depth = 5)
  gc_frame_newslot(call1088);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1090 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call1091 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe1090);
// compiled call node returning call1091 (depth = 7)
// compiled member node returning call1091 (depth = 6)
  int op_slot_right_1089 = gc_frame_newslot(call1091);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1093 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call1094 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1093);
// compiled call node returning call1094 (depth = 7)
// compiled member node returning call1094 (depth = 6)
  int op_slot_left_1089 = gc_frame_newslot(call1094);
  params[0] = call1091;
  partcv[0] = 1;
  Object sum1095 = callmethod(call1094, "+", 1, partcv, params);
// compiled op node returning sum1095 (depth = 5)
  gc_frame_newslot(sum1095);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit1086;
  params[1] = call1088;
  params[2] = sum1095;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1096 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1085);
// compiled call node returning call1096 (depth = 4)
    gc_frame_newslot(call1096);
    if1069 = call1096;
  } else {
  }
// compiled if node returning if1069 (depth = 3)
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_prevStatementToken (depth = 4)
  *var_statementToken = *var_prevStatementToken;
  if (*var_prevStatementToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1098 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1099 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1098);
// compiled call node returning call1099 (depth = 4)
// compiled member node returning call1099 (depth = 3)
    gc_frame_newslot(call1099);
    if1024 = call1099;
  } else {
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1100 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1101 = callmethodflags(self, "dotypeterm", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1100);
// compiled call node returning call1101 (depth = 4)
// compiled member node returning call1101 (depth = 3)
    gc_frame_newslot(call1101);
    if1024 = call1101;
  }
// compiled if node returning if1024 (depth = 2)
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sz (depth = 4)
  int op_slot_right_1103 = gc_frame_newslot(*var_sz);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1105 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call1106 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe1105);
// compiled call node returning call1106 (depth = 5)
// compiled member node returning call1106 (depth = 4)
  int op_slot_left_1103 = gc_frame_newslot(call1106);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult1107 = callmethod(call1106, ">", 1, partcv, params);
// compiled op node returning opresult1107 (depth = 3)
  Object if1102 = done;
  if (istrue(opresult1107)) {
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1108 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_noBlocks (depth = 4)
  gc_frame_newslot(*var_noBlocks);
// call case 4: self request
  params[0] = *var_noBlocks;
  partcv[0] = 1;
  Object call1109 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1108);
// compiled call node returning call1109 (depth = 3)
// Begin line 376
  setline(376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1110 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1111 = callmethodflags(self, "typeexpressionrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1110);
// compiled call node returning call1111 (depth = 4)
// compiled member node returning call1111 (depth = 3)
    gc_frame_newslot(call1111);
    if1102 = call1111;
  } else {
  }
// compiled if node returning if1102 (depth = 2)
  gc_frame_end(frame);
  return if1102;
}
Object meth_parser_newIf1112(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "newIf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method newIf");
  Object params[3];
  int partcv[1];
  Object *var_ast = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for newIf (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cond = &(stackframe->slots[0]);
  *var_cond = args[curarg];
  curarg++;
  Object *var_thenList = &(stackframe->slots[1]);
  *var_thenList = args[curarg];
  curarg++;
  Object *var_elseList = &(stackframe->slots[2]);
  *var_elseList = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for newIf");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_thenBlock = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "thenBlock");
  Object *var_elseBlock = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "elseBlock");
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1113 = gc_frame_new();
// starting to compile array node (depth = 4)
  Object array1114 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1114 (depth = 4)
  gc_frame_newslot(array1114);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_thenList (depth = 4)
  gc_frame_newslot(*var_thenList);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1115 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  partcv[0] = 0;
  Object call1116 = callmethod(*var_ast, "blockNode",
    1, partcv, params);
  gc_frame_end(callframe1115);
// compiled call node returning call1116 (depth = 5)
// compiled member node returning call1116 (depth = 4)
  params[0] = array1114;
  params[1] = *var_thenList;
  partcv[0] = 2;
  Object call1117 = callmethod(call1116, "new",
    1, partcv, params);
  gc_frame_end(callframe1113);
// compiled call node returning call1117 (depth = 3)
  *var_thenBlock = call1117;
  if (call1117 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1118 = gc_frame_new();
// starting to compile array node (depth = 4)
  Object array1119 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1119 (depth = 4)
  gc_frame_newslot(array1119);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_elseList (depth = 4)
  gc_frame_newslot(*var_elseList);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1120 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  partcv[0] = 0;
  Object call1121 = callmethod(*var_ast, "blockNode",
    1, partcv, params);
  gc_frame_end(callframe1120);
// compiled call node returning call1121 (depth = 5)
// compiled member node returning call1121 (depth = 4)
  params[0] = array1119;
  params[1] = *var_elseList;
  partcv[0] = 2;
  Object call1122 = callmethod(call1121, "new",
    1, partcv, params);
  gc_frame_end(callframe1118);
// compiled call node returning call1122 (depth = 3)
  *var_elseBlock = call1122;
  if (call1122 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1123 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cond (depth = 3)
  gc_frame_newslot(*var_cond);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_thenBlock (depth = 3)
  gc_frame_newslot(*var_thenBlock);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elseBlock (depth = 3)
  gc_frame_newslot(*var_elseBlock);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1124 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ast (depth = 5)
  partcv[0] = 0;
  Object call1125 = callmethod(*var_ast, "ifNode",
    1, partcv, params);
  gc_frame_end(callframe1124);
// compiled call node returning call1125 (depth = 4)
// compiled member node returning call1125 (depth = 3)
  params[0] = *var_cond;
  params[1] = *var_thenBlock;
  params[2] = *var_elseBlock;
  partcv[0] = 3;
  Object call1126 = callmethod(call1125, "new",
    1, partcv, params);
  gc_frame_end(callframe1123);
// compiled call node returning call1126 (depth = 2)
  gc_frame_end(frame);
  return call1126;
}
Object meth_parser__apply1156(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 5)
  int callframe1157 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blocksOK (depth = 6)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call1158 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1157);
// compiled call node returning call1158 (depth = 5)
  gc_frame_end(frame);
  return call1158;
}
Object meth_parser__apply1193(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 12)
  int callframe1194 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_blocksOK (depth = 13)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call1195 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1194);
// compiled call node returning call1195 (depth = 12)
  gc_frame_end(frame);
  return call1195;
}
Object meth_parser__apply1268(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 9)
  int callframe1269 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit1270 == NULL) {
    strlit1270 = alloc_String("comma");
    gc_root(strlit1270);
  }
// compiled string node returning strlit1270 (depth = 10)
  gc_frame_newslot(strlit1270);
// call case 4: self request
  params[0] = strlit1270;
  partcv[0] = 1;
  Object call1271 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1269);
// compiled call node returning call1271 (depth = 9)
  gc_frame_end(frame);
  return call1271;
}
Object meth_parser__apply1278(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1280 == NULL) {
    strlit1280 = alloc_String("arrow");
    gc_root(strlit1280);
  }
// compiled string node returning strlit1280 (depth = 11)
  int op_slot_right_1279 = gc_frame_newslot(strlit1280);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe1282 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_t (depth = 13)
  partcv[0] = 0;
  Object call1283 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe1282);
// compiled call node returning call1283 (depth = 12)
// compiled member node returning call1283 (depth = 11)
  int op_slot_left_1279 = gc_frame_newslot(call1283);
  params[0] = strlit1280;
  partcv[0] = 1;
  Object opresult1284 = callmethod(call1283, "==", 1, partcv, params);
// compiled op node returning opresult1284 (depth = 10)
  gc_frame_end(frame);
  return opresult1284;
}
Object meth_parser__apply1326(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe1327 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1328 == NULL) {
    strlit1328 = alloc_String("comma");
    gc_root(strlit1328);
  }
// compiled string node returning strlit1328 (depth = 9)
  gc_frame_newslot(strlit1328);
// call case 4: self request
  params[0] = strlit1328;
  partcv[0] = 1;
  Object call1329 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1327);
// compiled call node returning call1329 (depth = 8)
  gc_frame_end(frame);
  return call1329;
}
Object meth_parser__apply1332(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_expr1 = getfromclosure(closure, 1);
  Object *var_params = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 461
  setline(461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1333 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1334 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1333);
// compiled call node returning call1334 (depth = 9)
// compiled member node returning call1334 (depth = 8)
// Begin line 462
  setline(462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1335 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1336 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1335);
// compiled call node returning call1336 (depth = 9)
// compiled member node returning call1336 (depth = 8)
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 463
  setline(463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1337 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_values (depth = 11)
  partcv[0] = 0;
  Object call1338 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1337);
// compiled call node returning call1338 (depth = 10)
// compiled member node returning call1338 (depth = 9)
  *var_expr1 = call1338;
  if (call1338 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 465
  setline(465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 463
  setline(463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1340 = gc_frame_new();
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
  Object bool1341 = alloc_Boolean(1);
// compiled identifier node returning bool1341 (depth = 10)
  gc_frame_newslot(bool1341);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_expr1 (depth = 10)
  params[0] = bool1341;
  partcv[0] = 1;
  Object call1342 = callmethod(*var_expr1, "isBindingOccurrence:=",
    1, partcv, params);
  gc_frame_end(callframe1340);
// compiled call node returning call1342 (depth = 9)
// compiled bind node returning done (depth = 8)
// Begin line 466
  setline(466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 463
  setline(463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1343 = gc_frame_new();
// Begin line 465
  setline(465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1344 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1345 = callmethodflags(self, "optionalTypeAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1344);
// compiled call node returning call1345 (depth = 11)
// compiled member node returning call1345 (depth = 10)
  gc_frame_newslot(call1345);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_expr1 (depth = 10)
  params[0] = call1345;
  partcv[0] = 1;
  Object call1346 = callmethod(*var_expr1, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe1343);
// compiled call node returning call1346 (depth = 9)
// compiled bind node returning done (depth = 8)
// Begin line 466
  setline(466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1347 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_expr1 (depth = 9)
  gc_frame_newslot(*var_expr1);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_params (depth = 9)
  params[0] = *var_expr1;
  partcv[0] = 1;
  Object call1348 = callmethod(*var_params, "push",
    1, partcv, params);
  gc_frame_end(callframe1347);
// compiled call node returning call1348 (depth = 8)
  gc_frame_end(frame);
  return call1348;
}
Object meth_parser__apply1463(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 13)
  int callframe1464 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_blocksOK (depth = 14)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call1465 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1464);
// compiled call node returning call1465 (depth = 13)
  gc_frame_end(frame);
  return call1465;
}
Object meth_parser__apply1161(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(13, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_expr1 = getfromclosure(closure, 1);
  Object *var_braceIsType = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_sym = getfromclosure(closure, 5);
  Object *var_lastToken = getfromclosure(closure, 6);
  Object *var_params = getfromclosure(closure, 7);
  Object *var_isMatchingBlock = getfromclosure(closure, 8);
  Object *var_body = getfromclosure(closure, 9);
  Object *var_indentFreePass = getfromclosure(closure, 10);
  Object *var_ast = getfromclosure(closure, 11);
  Object self = *(getfromclosure(closure, 12));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
  Object *var_arrow = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "arrow");
  Object *var_lhs = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "lhs");
  Object *var_rhs = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "rhs");
// Begin line 522
  setline(522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 411
  setline(411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1164 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit1165 == NULL) {
    strlit1165 = alloc_String("colon");
    gc_root(strlit1165);
  }
// compiled string node returning strlit1165 (depth = 8)
  gc_frame_newslot(strlit1165);
// call case 4: self request
  params[0] = strlit1165;
  partcv[0] = 1;
  Object call1166 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1164);
// compiled call node returning call1166 (depth = 7)
  int op_slot_right_1163 = gc_frame_newslot(call1166);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1169 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1170 == NULL) {
    strlit1170 = alloc_String("arrow");
    gc_root(strlit1170);
  }
// compiled string node returning strlit1170 (depth = 9)
  gc_frame_newslot(strlit1170);
// call case 4: self request
  params[0] = strlit1170;
  partcv[0] = 1;
  Object call1171 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1169);
// compiled call node returning call1171 (depth = 8)
  int op_slot_right_1168 = gc_frame_newslot(call1171);
// starting to compile call node (depth = 8)
  int callframe1173 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1174 == NULL) {
    strlit1174 = alloc_String("comma");
    gc_root(strlit1174);
  }
// compiled string node returning strlit1174 (depth = 9)
  gc_frame_newslot(strlit1174);
// call case 4: self request
  params[0] = strlit1174;
  partcv[0] = 1;
  Object call1175 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1173);
// compiled call node returning call1175 (depth = 8)
  int op_slot_left_1168 = gc_frame_newslot(call1175);
  params[0] = call1171;
  partcv[0] = 1;
  Object opresult1176 = callmethod(call1175, "||", 1, partcv, params);
// compiled op node returning opresult1176 (depth = 7)
  int op_slot_left_1163 = gc_frame_newslot(opresult1176);
  params[0] = call1166;
  partcv[0] = 1;
  Object opresult1177 = callmethod(opresult1176, "||", 1, partcv, params);
// compiled op node returning opresult1177 (depth = 6)
  Object if1162 = done;
  if (istrue(opresult1177)) {
// Begin line 414
  setline(414);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1178 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  partcv[0] = 0;
  Object call1179 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1178);
// compiled call node returning call1179 (depth = 8)
// compiled member node returning call1179 (depth = 7)
  *var_expr1 = call1179;
  if (call1179 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 438
  setline(438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 414
  setline(414);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1182 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit1183 == NULL) {
    strlit1183 = alloc_String("colon");
    gc_root(strlit1183);
  }
// compiled string node returning strlit1183 (depth = 8)
  gc_frame_newslot(strlit1183);
// call case 4: self request
  params[0] = strlit1183;
  partcv[0] = 1;
  Object call1184 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1182);
// compiled call node returning call1184 (depth = 7)
  Object if1181 = done;
  if (istrue(call1184)) {
// Begin line 417
  setline(417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1185 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1186 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1185);
// compiled call node returning call1186 (depth = 8)
// compiled member node returning call1186 (depth = 7)
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 418
  setline(418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool1187 = alloc_Boolean(1);
// compiled identifier node returning bool1187 (depth = 8)
  *var_braceIsType = bool1187;
  if (bool1187 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1190 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 10)
  int callframe1191 = gc_frame_new();
// starting to compile block node (depth = 11)
  Object block1192 = alloc_Block(NULL, NULL, "parser", 419);
  gc_frame_newslot(block1192);
// method _apply
  block_savedest(block1192);
  Object closure1193 = createclosure(2, "_apply");
  setclosureframe(closure1193, stackframe);
  addtoclosure(closure1193, var_blocksOK);
  addtoclosure(closure1193, selfslot);
  struct UserObject *uo1193 = (struct UserObject*)block1192;
  uo1193->data[0] = (Object)closure1193;
  Method *meth_meth_parser__apply1193 = addmethod2pos(block1192, "_apply", &meth_parser__apply1193, 0);
  int argcv_meth_parser__apply1193[] = {0};
  meth_meth_parser__apply1193->type = alloc_MethodType(1, argcv_meth_parser__apply1193);
  meth_meth_parser__apply1193->definitionModule = modulename;
  meth_meth_parser__apply1193->definitionLine = 419;
// compiled block node returning block1192 (depth = 11)
  gc_frame_newslot(block1192);
// call case 4: self request
  params[0] = block1192;
  partcv[0] = 1;
  Object call1197 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1191);
// compiled call node returning call1197 (depth = 10)
  partcv[0] = 0;
  Object call1198 = callmethod(call1197, "not",
    1, partcv, params);
  gc_frame_end(callframe1190);
// compiled call node returning call1198 (depth = 9)
// compiled member node returning call1198 (depth = 8)
  Object if1189 = done;
  if (istrue(call1198)) {
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 9)
  Object array1199 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1199 (depth = 9)
  *var_suggestions = array1199;
  if (array1199 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1200 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe1201 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call1202 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1201);
// compiled call node returning call1202 (depth = 12)
// compiled member node returning call1202 (depth = 11)
  partcv[0] = 0;
  Object call1203 = callmethod(call1202, "new",
    1, partcv, params);
  gc_frame_end(callframe1200);
// compiled call node returning call1203 (depth = 10)
// compiled member node returning call1203 (depth = 9)
  *var_suggestion = call1203;
  if (call1203 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1204 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit1205 == NULL) {
    strlit1205 = alloc_String("arrow");
    gc_root(strlit1205);
  }
// compiled string node returning strlit1205 (depth = 10)
  gc_frame_newslot(strlit1205);
// starting to compile string node (depth = 10)
  if (strlit1206 == NULL) {
    strlit1206 = alloc_String("rbrace");
    gc_root(strlit1206);
  }
// compiled string node returning strlit1206 (depth = 10)
  gc_frame_newslot(strlit1206);
// call case 4: self request
  params[0] = strlit1205;
  params[1] = strlit1206;
  partcv[0] = 2;
  Object call1207 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1204);
// compiled call node returning call1207 (depth = 9)
  *var_nextTok = call1207;
  if (call1207 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  int op_slot_right_1209 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  int op_slot_left_1209 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1211 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult1211 (depth = 9)
  Object if1208 = done;
  if (istrue(opresult1211)) {
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1212 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit1213 == NULL) {
    strlit1213 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1213);
  }
// compiled string node returning strlit1213 (depth = 10)
  gc_frame_newslot(strlit1213);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit1213;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1214 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1212);
// compiled call node returning call1214 (depth = 9)
    gc_frame_newslot(call1214);
    if1208 = call1214;
  } else {
// Begin line 426
  setline(426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1215 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1216 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_nextTok (depth = 12)
  partcv[0] = 0;
  Object call1217 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1216);
// compiled call node returning call1217 (depth = 11)
// compiled member node returning call1217 (depth = 10)
  gc_frame_newslot(call1217);
// starting to compile identifier node (depth = 10)
  Object bool1218 = alloc_Boolean(1);
// compiled identifier node returning bool1218 (depth = 10)
  gc_frame_newslot(bool1218);
// starting to compile identifier node (depth = 10)
  Object bool1219 = alloc_Boolean(0);
// compiled identifier node returning bool1219 (depth = 10)
  gc_frame_newslot(bool1219);
// starting to compile string node (depth = 10)
  if (strlit1220 == NULL) {
    strlit1220 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1220);
  }
// compiled string node returning strlit1220 (depth = 10)
  gc_frame_newslot(strlit1220);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  params[1] = call1217;
  params[2] = bool1218;
  params[3] = bool1219;
  params[4] = strlit1220;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1221 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1215);
// compiled call node returning call1221 (depth = 9)
    gc_frame_newslot(call1221);
    if1208 = call1221;
  }
// compiled if node returning if1208 (depth = 8)
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1222 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1223 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1222);
// compiled call node returning call1223 (depth = 8)
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1224 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe1225 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call1226 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1225);
// compiled call node returning call1226 (depth = 12)
// compiled member node returning call1226 (depth = 11)
  partcv[0] = 0;
  Object call1227 = callmethod(call1226, "new",
    1, partcv, params);
  gc_frame_end(callframe1224);
// compiled call node returning call1227 (depth = 10)
// compiled member node returning call1227 (depth = 9)
  *var_suggestion = call1227;
  if (call1227 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1229 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1230 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  partcv[0] = 0;
  Object call1231 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1230);
// compiled call node returning call1231 (depth = 10)
// compiled member node returning call1231 (depth = 9)
  gc_frame_newslot(call1231);
// starting to compile identifier node (depth = 9)
  Object bool1232 = alloc_Boolean(1);
// compiled identifier node returning bool1232 (depth = 9)
  gc_frame_newslot(bool1232);
// starting to compile identifier node (depth = 9)
  Object bool1233 = alloc_Boolean(0);
// compiled identifier node returning bool1233 (depth = 9)
  gc_frame_newslot(bool1233);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_lastToken;
  params[1] = call1231;
  params[2] = bool1232;
  params[3] = bool1233;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1234 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe1229);
// compiled call node returning call1234 (depth = 8)
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1235 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1236 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1235);
// compiled call node returning call1236 (depth = 8)
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1237 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1238 == NULL) {
    strlit1238 = alloc_String("A block must have an expression after the ':'.");
    gc_root(strlit1238);
  }
// compiled string node returning strlit1238 (depth = 9)
  gc_frame_newslot(strlit1238);
// Begin line 433
  setline(433);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1239 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call1240 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1239);
// compiled call node returning call1240 (depth = 10)
// compiled member node returning call1240 (depth = 9)
  gc_frame_newslot(call1240);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1241 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call1242 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1241);
// compiled call node returning call1242 (depth = 10)
// compiled member node returning call1242 (depth = 9)
  gc_frame_newslot(call1242);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit1238;
  params[1] = call1240;
  params[2] = call1242;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1243 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1237);
// compiled call node returning call1243 (depth = 8)
    gc_frame_newslot(call1243);
    if1189 = call1243;
  } else {
  }
// compiled if node returning if1189 (depth = 7)
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool1244 = alloc_Boolean(0);
// compiled identifier node returning bool1244 (depth = 8)
  *var_braceIsType = bool1244;
  if (bool1244 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 433
  setline(433);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1246 = gc_frame_new();
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1247 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_values (depth = 11)
  partcv[0] = 0;
  Object call1248 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1247);
// compiled call node returning call1248 (depth = 10)
// compiled member node returning call1248 (depth = 9)
  gc_frame_newslot(call1248);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_expr1 (depth = 9)
  params[0] = call1248;
  partcv[0] = 1;
  Object call1249 = callmethod(*var_expr1, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe1246);
// compiled call node returning call1249 (depth = 8)
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1181 = done;
  } else {
  }
// compiled if node returning if1181 (depth = 6)
// Begin line 438
  setline(438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1250 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_expr1 (depth = 7)
  gc_frame_newslot(*var_expr1);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_params (depth = 7)
  params[0] = *var_expr1;
  partcv[0] = 1;
  Object call1251 = callmethod(*var_params, "push",
    1, partcv, params);
  gc_frame_end(callframe1250);
// compiled call node returning call1251 (depth = 6)
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 439
  setline(439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1254 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_expr1 (depth = 10)
  partcv[0] = 0;
  Object call1255 = callmethod(*var_expr1, "isIdentifier",
    1, partcv, params);
  gc_frame_end(callframe1254);
// compiled call node returning call1255 (depth = 9)
// compiled member node returning call1255 (depth = 8)
  int op_slot_right_1253 = gc_frame_newslot(call1255);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1257 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_isMatchingBlock (depth = 10)
  partcv[0] = 0;
  Object call1258 = callmethod(*var_isMatchingBlock, "not",
    1, partcv, params);
  gc_frame_end(callframe1257);
// compiled call node returning call1258 (depth = 9)
// compiled member node returning call1258 (depth = 8)
  int op_slot_left_1253 = gc_frame_newslot(call1258);
  params[0] = call1255;
  partcv[0] = 1;
  Object opresult1259 = callmethod(call1258, "&&", 1, partcv, params);
// compiled op node returning opresult1259 (depth = 7)
  Object if1252 = done;
  if (istrue(opresult1259)) {
// Begin line 441
  setline(441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 439
  setline(439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1260 = gc_frame_new();
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
  Object bool1261 = alloc_Boolean(1);
// compiled identifier node returning bool1261 (depth = 9)
  gc_frame_newslot(bool1261);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_expr1 (depth = 9)
  params[0] = bool1261;
  partcv[0] = 1;
  Object call1262 = callmethod(*var_expr1, "isBindingOccurrence:=",
    1, partcv, params);
  gc_frame_end(callframe1260);
// compiled call node returning call1262 (depth = 8)
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1252 = done;
  } else {
// Begin line 443
  setline(443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool1263 = alloc_Boolean(1);
// compiled identifier node returning bool1263 (depth = 8)
  *var_isMatchingBlock = bool1263;
  if (bool1263 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1252 = done;
  }
// compiled if node returning if1252 (depth = 6)
// Begin line 459
  setline(459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile block node (depth = 8)
  Object block1267 = alloc_Block(NULL, NULL, "parser", 444);
  gc_frame_newslot(block1267);
// method _apply
  block_savedest(block1267);
  Object closure1268 = createclosure(1, "_apply");
  setclosureframe(closure1268, stackframe);
  addtoclosure(closure1268, selfslot);
  struct UserObject *uo1268 = (struct UserObject*)block1267;
  uo1268->data[0] = (Object)closure1268;
  Method *meth_meth_parser__apply1268 = addmethod2pos(block1267, "_apply", &meth_parser__apply1268, 0);
  int argcv_meth_parser__apply1268[] = {0};
  meth_meth_parser__apply1268->type = alloc_MethodType(1, argcv_meth_parser__apply1268);
  meth_meth_parser__apply1268->definitionModule = modulename;
  meth_meth_parser__apply1268->definitionLine = 439;
// compiled block node returning block1267 (depth = 8)
  int op_slot_right_1266 = gc_frame_newslot(block1267);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_isMatchingBlock (depth = 8)
  int op_slot_left_1266 = gc_frame_newslot(*var_isMatchingBlock);
  params[0] = block1267;
  partcv[0] = 1;
  Object opresult1274 = callmethod(*var_isMatchingBlock, "&&", 1, partcv, params);
// compiled op node returning opresult1274 (depth = 7)
  Object if1265 = done;
  if (istrue(opresult1274)) {
// Begin line 446
  setline(446);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 445
  setline(445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 8)
  Object array1275 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1275 (depth = 8)
  *var_suggestions = array1275;
  if (array1275 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 447
  setline(447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 7)
  *var_suggestion = undefined;
// compiled vardec node returning done (depth = 7)
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1276 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block1277 = alloc_Block(NULL, NULL, "parser", 447);
  gc_frame_newslot(block1277);
// method _apply
  block_savedest(block1277);
  Object closure1278 = createclosure(1, "_apply");
  setclosureframe(closure1278, stackframe);
  addtoclosure(closure1278, selfslot);
  struct UserObject *uo1278 = (struct UserObject*)block1277;
  uo1278->data[0] = (Object)closure1278;
  Method *meth_meth_parser__apply1278 = addmethod2pos(block1277, "_apply", &meth_parser__apply1278, 0);
  int argcv_meth_parser__apply1278[] = {1};
  meth_meth_parser__apply1278->type = alloc_MethodType(1, argcv_meth_parser__apply1278);
  meth_meth_parser__apply1278->definitionModule = modulename;
  meth_meth_parser__apply1278->definitionLine = 439;
// compiled block node returning block1277 (depth = 9)
  gc_frame_newslot(block1277);
// call case 4: self request
  params[0] = block1277;
  partcv[0] = 1;
  Object call1286 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1276);
// compiled call node returning call1286 (depth = 8)
  *var_arrow = call1286;
  if (call1286 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool1289 = alloc_Boolean(0);
// compiled identifier node returning bool1289 (depth = 9)
  int op_slot_right_1288 = gc_frame_newslot(bool1289);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_arrow (depth = 9)
  int op_slot_left_1288 = gc_frame_newslot(*var_arrow);
  params[0] = bool1289;
  partcv[0] = 1;
  Object opresult1291 = callmethod(*var_arrow, "!=", 1, partcv, params);
// compiled op node returning opresult1291 (depth = 8)
  Object if1287 = done;
  if (istrue(opresult1291)) {
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1292 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe1293 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call1294 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1293);
// compiled call node returning call1294 (depth = 12)
// compiled member node returning call1294 (depth = 11)
  partcv[0] = 0;
  Object call1295 = callmethod(call1294, "new",
    1, partcv, params);
  gc_frame_end(callframe1292);
// compiled call node returning call1295 (depth = 10)
// compiled member node returning call1295 (depth = 9)
  *var_suggestion = call1295;
  if (call1295 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1297 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1298 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_arrow (depth = 11)
  partcv[0] = 0;
  Object call1299 = callmethod(*var_arrow, "prev",
    1, partcv, params);
  gc_frame_end(callframe1298);
// compiled call node returning call1299 (depth = 10)
// compiled member node returning call1299 (depth = 9)
  gc_frame_newslot(call1299);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  params[1] = call1299;
  partcv[0] = 2;
  Object call1300 = callmethod(*var_suggestion, "deleteTokenRange",
    1, partcv, params);
  gc_frame_end(callframe1297);
// compiled call node returning call1300 (depth = 8)
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1301 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1302 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1301);
// compiled call node returning call1302 (depth = 8)
    gc_frame_newslot(call1302);
    if1287 = call1302;
  } else {
  }
// compiled if node returning if1287 (depth = 7)
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1303 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1304 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call1305 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1304);
// compiled call node returning call1305 (depth = 11)
// compiled member node returning call1305 (depth = 10)
  partcv[0] = 0;
  Object call1306 = callmethod(call1305, "new",
    1, partcv, params);
  gc_frame_end(callframe1303);
// compiled call node returning call1306 (depth = 9)
// compiled member node returning call1306 (depth = 8)
  *var_suggestion = call1306;
  if (call1306 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1308 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
  Object bool1309 = alloc_Boolean(1);
// compiled identifier node returning bool1309 (depth = 8)
  gc_frame_newslot(bool1309);
// starting to compile identifier node (depth = 8)
  Object bool1310 = alloc_Boolean(0);
// compiled identifier node returning bool1310 (depth = 8)
  gc_frame_newslot(bool1310);
// starting to compile string node (depth = 8)
  if (strlit1311 == NULL) {
    strlit1311 = alloc_String(" |");
    gc_root(strlit1311);
  }
// compiled string node returning strlit1311 (depth = 8)
  gc_frame_newslot(strlit1311);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = bool1309;
  params[2] = bool1310;
  params[3] = strlit1311;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1312 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1308);
// compiled call node returning call1312 (depth = 7)
// Begin line 455
  setline(455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1313 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1314 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1313);
// compiled call node returning call1314 (depth = 7)
// Begin line 456
  setline(456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1315 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit1316 == NULL) {
    strlit1316 = alloc_String("A matching block may only have one parameter.");
    gc_root(strlit1316);
  }
// compiled string node returning strlit1316 (depth = 8)
  gc_frame_newslot(strlit1316);
// Begin line 457
  setline(457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1317 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call1318 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1317);
// compiled call node returning call1318 (depth = 9)
// compiled member node returning call1318 (depth = 8)
  gc_frame_newslot(call1318);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1319 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call1320 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1319);
// compiled call node returning call1320 (depth = 9)
// compiled member node returning call1320 (depth = 8)
  gc_frame_newslot(call1320);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1321 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call1322 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1321);
// compiled call node returning call1322 (depth = 9)
// compiled member node returning call1322 (depth = 8)
  gc_frame_newslot(call1322);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 456
  setline(456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit1316;
  params[1] = call1318;
  params[2] = call1320;
  params[3] = call1322;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1323 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1315);
// compiled call node returning call1323 (depth = 7)
    gc_frame_newslot(call1323);
    if1265 = call1323;
  } else {
  }
// compiled if node returning if1265 (depth = 6)
// Begin line 459
  setline(459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1324 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block1325 = alloc_Block(NULL, NULL, "parser", 459);
  gc_frame_newslot(block1325);
// method _apply
  block_savedest(block1325);
  Object closure1326 = createclosure(1, "_apply");
  setclosureframe(closure1326, stackframe);
  addtoclosure(closure1326, selfslot);
  struct UserObject *uo1326 = (struct UserObject*)block1325;
  uo1326->data[0] = (Object)closure1326;
  Method *meth_meth_parser__apply1326 = addmethod2pos(block1325, "_apply", &meth_parser__apply1326, 0);
  int argcv_meth_parser__apply1326[] = {0};
  meth_meth_parser__apply1326->type = alloc_MethodType(1, argcv_meth_parser__apply1326);
  meth_meth_parser__apply1326->definitionModule = modulename;
  meth_meth_parser__apply1326->definitionLine = 457;
// compiled block node returning block1325 (depth = 7)
  gc_frame_newslot(block1325);
// starting to compile block node (depth = 7)
  Object block1331 = alloc_Block(NULL, NULL, "parser", 459);
  gc_frame_newslot(block1331);
// method _apply
  block_savedest(block1331);
  Object closure1332 = createclosure(4, "_apply");
  setclosureframe(closure1332, stackframe);
  addtoclosure(closure1332, var_values);
  addtoclosure(closure1332, var_expr1);
  addtoclosure(closure1332, var_params);
  addtoclosure(closure1332, selfslot);
  struct UserObject *uo1332 = (struct UserObject*)block1331;
  uo1332->data[0] = (Object)closure1332;
  Method *meth_meth_parser__apply1332 = addmethod2pos(block1331, "_apply", &meth_parser__apply1332, 0);
  int argcv_meth_parser__apply1332[] = {0};
  meth_meth_parser__apply1332->type = alloc_MethodType(1, argcv_meth_parser__apply1332);
  meth_meth_parser__apply1332->definitionModule = modulename;
  meth_meth_parser__apply1332->definitionLine = 457;
// compiled block node returning block1331 (depth = 7)
  gc_frame_newslot(block1331);
// call case 5: prelude request
  params[0] = block1325;
  params[1] = block1331;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1350 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1324);
// compiled call node returning call1350 (depth = 6)
// Begin line 478
  setline(478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 468
  setline(468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1352 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 9)
  int callframe1353 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit1354 == NULL) {
    strlit1354 = alloc_String("arrow");
    gc_root(strlit1354);
  }
// compiled string node returning strlit1354 (depth = 10)
  gc_frame_newslot(strlit1354);
// call case 4: self request
  params[0] = strlit1354;
  partcv[0] = 1;
  Object call1355 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1353);
// compiled call node returning call1355 (depth = 9)
  partcv[0] = 0;
  Object call1356 = callmethod(call1355, "not",
    1, partcv, params);
  gc_frame_end(callframe1352);
// compiled call node returning call1356 (depth = 8)
// compiled member node returning call1356 (depth = 7)
  Object if1351 = done;
  if (istrue(call1356)) {
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 469
  setline(469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1357 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1358 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call1359 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1358);
// compiled call node returning call1359 (depth = 11)
// compiled member node returning call1359 (depth = 10)
  partcv[0] = 0;
  Object call1360 = callmethod(call1359, "new",
    1, partcv, params);
  gc_frame_end(callframe1357);
// compiled call node returning call1360 (depth = 9)
// compiled member node returning call1360 (depth = 8)
  *var_suggestion = call1360;
  if (call1360 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 475
  setline(475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1364 == NULL) {
    strlit1364 = alloc_String("=");
    gc_root(strlit1364);
  }
// compiled string node returning strlit1364 (depth = 10)
  int op_slot_right_1363 = gc_frame_newslot(strlit1364);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1366 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call1367 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe1366);
// compiled call node returning call1367 (depth = 11)
// compiled member node returning call1367 (depth = 10)
  int op_slot_left_1363 = gc_frame_newslot(call1367);
  params[0] = strlit1364;
  partcv[0] = 1;
  Object opresult1368 = callmethod(call1367, "==", 1, partcv, params);
// compiled op node returning opresult1368 (depth = 9)
  int op_slot_right_1362 = gc_frame_newslot(opresult1368);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1371 == NULL) {
    strlit1371 = alloc_String("bind");
    gc_root(strlit1371);
  }
// compiled string node returning strlit1371 (depth = 10)
  int op_slot_right_1370 = gc_frame_newslot(strlit1371);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1373 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call1374 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe1373);
// compiled call node returning call1374 (depth = 11)
// compiled member node returning call1374 (depth = 10)
  int op_slot_left_1370 = gc_frame_newslot(call1374);
  params[0] = strlit1371;
  partcv[0] = 1;
  Object opresult1375 = callmethod(call1374, "==", 1, partcv, params);
// compiled op node returning opresult1375 (depth = 9)
  int op_slot_left_1362 = gc_frame_newslot(opresult1375);
  params[0] = opresult1368;
  partcv[0] = 1;
  Object opresult1376 = callmethod(opresult1375, "||", 1, partcv, params);
// compiled op node returning opresult1376 (depth = 8)
  Object if1361 = done;
  if (istrue(opresult1376)) {
// Begin line 471
  setline(471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1377 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// starting to compile string node (depth = 9)
  if (strlit1378 == NULL) {
    strlit1378 = alloc_String("->");
    gc_root(strlit1378);
  }
// compiled string node returning strlit1378 (depth = 9)
  gc_frame_newslot(strlit1378);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  params[1] = strlit1378;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1379 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe1377);
// compiled call node returning call1379 (depth = 8)
    gc_frame_newslot(call1379);
    if1361 = call1379;
  } else {
// Begin line 473
  setline(473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1380 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1381 == NULL) {
    strlit1381 = alloc_String(" ->");
    gc_root(strlit1381);
  }
// compiled string node returning strlit1381 (depth = 9)
  gc_frame_newslot(strlit1381);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit1381;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1382 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1380);
// compiled call node returning call1382 (depth = 8)
    gc_frame_newslot(call1382);
    if1361 = call1382;
  }
// compiled if node returning if1361 (depth = 7)
// Begin line 475
  setline(475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1383 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit1384 == NULL) {
    strlit1384 = alloc_String("A block must have one or more parameters followed by '->' and an expression.");
    gc_root(strlit1384);
  }
// compiled string node returning strlit1384 (depth = 8)
  gc_frame_newslot(strlit1384);
// Begin line 476
  setline(476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1385 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call1386 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1385);
// compiled call node returning call1386 (depth = 9)
// compiled member node returning call1386 (depth = 8)
  gc_frame_newslot(call1386);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1387 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call1388 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1387);
// compiled call node returning call1388 (depth = 9)
// compiled member node returning call1388 (depth = 8)
  gc_frame_newslot(call1388);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 475
  setline(475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit1384;
  params[1] = call1386;
  params[2] = call1388;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1389 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1383);
// compiled call node returning call1389 (depth = 7)
    gc_frame_newslot(call1389);
    if1351 = call1389;
  } else {
  }
// compiled if node returning if1351 (depth = 6)
// Begin line 478
  setline(478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1390 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1391 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1390);
// compiled call node returning call1391 (depth = 7)
// compiled member node returning call1391 (depth = 6)
    gc_frame_newslot(call1391);
    if1162 = call1391;
  } else {
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 479
  setline(479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1393 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit1394 == NULL) {
    strlit1394 = alloc_String("semicolon");
    gc_root(strlit1394);
  }
// compiled string node returning strlit1394 (depth = 8)
  gc_frame_newslot(strlit1394);
// call case 4: self request
  params[0] = strlit1394;
  partcv[0] = 1;
  Object call1395 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1393);
// compiled call node returning call1395 (depth = 7)
  Object if1392 = done;
  if (istrue(call1395)) {
// Begin line 480
  setline(480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1396 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1397 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  partcv[0] = 0;
  Object call1398 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1397);
// compiled call node returning call1398 (depth = 9)
// compiled member node returning call1398 (depth = 8)
  gc_frame_newslot(call1398);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_body (depth = 8)
  params[0] = call1398;
  partcv[0] = 1;
  Object call1399 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe1396);
// compiled call node returning call1399 (depth = 7)
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1400 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1401 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1400);
// compiled call node returning call1401 (depth = 8)
// compiled member node returning call1401 (depth = 7)
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 482
  setline(482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1403 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1404 == NULL) {
    strlit1404 = alloc_String("semicolon");
    gc_root(strlit1404);
  }
// compiled string node returning strlit1404 (depth = 9)
  gc_frame_newslot(strlit1404);
// call case 4: self request
  params[0] = strlit1404;
  partcv[0] = 1;
  Object call1405 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1403);
// compiled call node returning call1405 (depth = 8)
  Object if1402 = done;
  if (istrue(call1405)) {
// Begin line 483
  setline(483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1406 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1407 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1406);
// compiled call node returning call1407 (depth = 9)
// compiled member node returning call1407 (depth = 8)
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 484
  setline(484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1410 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lastToken (depth = 12)
  partcv[0] = 0;
  Object call1411 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe1410);
// compiled call node returning call1411 (depth = 11)
// compiled member node returning call1411 (depth = 10)
  int op_slot_right_1409 = gc_frame_newslot(call1411);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1413 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call1414 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1413);
// compiled call node returning call1414 (depth = 11)
// compiled member node returning call1414 (depth = 10)
  int op_slot_left_1409 = gc_frame_newslot(call1414);
  params[0] = call1411;
  partcv[0] = 1;
  Object opresult1415 = callmethod(call1414, "==", 1, partcv, params);
// compiled op node returning opresult1415 (depth = 9)
  Object if1408 = done;
  if (istrue(opresult1415)) {
// Begin line 486
  setline(486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
  Object bool1416 = alloc_Boolean(1);
// compiled identifier node returning bool1416 (depth = 10)
  *var_indentFreePass = bool1416;
  if (bool1416 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if1408 = done;
  } else {
  }
// compiled if node returning if1408 (depth = 8)
    gc_frame_newslot(if1408);
    if1402 = if1408;
  } else {
  }
// compiled if node returning if1402 (depth = 7)
    gc_frame_newslot(if1402);
    if1392 = if1402;
  } else {
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 491
  setline(491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1420 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit1421 == NULL) {
    strlit1421 = alloc_String("bind");
    gc_root(strlit1421);
  }
// compiled string node returning strlit1421 (depth = 10)
  gc_frame_newslot(strlit1421);
// call case 4: self request
  params[0] = strlit1421;
  partcv[0] = 1;
  Object call1422 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1420);
// compiled call node returning call1422 (depth = 9)
  int op_slot_right_1419 = gc_frame_newslot(call1422);
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1426 == NULL) {
    strlit1426 = alloc_String("index");
    gc_root(strlit1426);
  }
// compiled string node returning strlit1426 (depth = 11)
  int op_slot_right_1425 = gc_frame_newslot(strlit1426);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe1428 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe1429 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_values (depth = 15)
  partcv[0] = 0;
  Object call1430 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe1429);
// compiled call node returning call1430 (depth = 14)
// compiled member node returning call1430 (depth = 13)
  partcv[0] = 0;
  Object call1431 = callmethod(call1430, "kind",
    1, partcv, params);
  gc_frame_end(callframe1428);
// compiled call node returning call1431 (depth = 12)
// compiled member node returning call1431 (depth = 11)
  int op_slot_left_1425 = gc_frame_newslot(call1431);
  params[0] = strlit1426;
  partcv[0] = 1;
  Object opresult1432 = callmethod(call1431, "==", 1, partcv, params);
// compiled op node returning opresult1432 (depth = 10)
  int op_slot_right_1424 = gc_frame_newslot(opresult1432);
// starting to compile op node (depth = 10)
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1436 == NULL) {
    strlit1436 = alloc_String("identifier");
    gc_root(strlit1436);
  }
// compiled string node returning strlit1436 (depth = 12)
  int op_slot_right_1435 = gc_frame_newslot(strlit1436);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe1438 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe1439 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_values (depth = 16)
  partcv[0] = 0;
  Object call1440 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe1439);
// compiled call node returning call1440 (depth = 15)
// compiled member node returning call1440 (depth = 14)
  partcv[0] = 0;
  Object call1441 = callmethod(call1440, "kind",
    1, partcv, params);
  gc_frame_end(callframe1438);
// compiled call node returning call1441 (depth = 13)
// compiled member node returning call1441 (depth = 12)
  int op_slot_left_1435 = gc_frame_newslot(call1441);
  params[0] = strlit1436;
  partcv[0] = 1;
  Object opresult1442 = callmethod(call1441, "==", 1, partcv, params);
// compiled op node returning opresult1442 (depth = 11)
  int op_slot_right_1434 = gc_frame_newslot(opresult1442);
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1445 == NULL) {
    strlit1445 = alloc_String("member");
    gc_root(strlit1445);
  }
// compiled string node returning strlit1445 (depth = 12)
  int op_slot_right_1444 = gc_frame_newslot(strlit1445);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe1447 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe1448 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_values (depth = 16)
  partcv[0] = 0;
  Object call1449 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe1448);
// compiled call node returning call1449 (depth = 15)
// compiled member node returning call1449 (depth = 14)
  partcv[0] = 0;
  Object call1450 = callmethod(call1449, "kind",
    1, partcv, params);
  gc_frame_end(callframe1447);
// compiled call node returning call1450 (depth = 13)
// compiled member node returning call1450 (depth = 12)
  int op_slot_left_1444 = gc_frame_newslot(call1450);
  params[0] = strlit1445;
  partcv[0] = 1;
  Object opresult1451 = callmethod(call1450, "==", 1, partcv, params);
// compiled op node returning opresult1451 (depth = 11)
  int op_slot_left_1434 = gc_frame_newslot(opresult1451);
  params[0] = opresult1442;
  partcv[0] = 1;
  Object opresult1452 = callmethod(opresult1451, "||", 1, partcv, params);
// compiled op node returning opresult1452 (depth = 10)
  int op_slot_left_1424 = gc_frame_newslot(opresult1452);
  params[0] = opresult1432;
  partcv[0] = 1;
  Object opresult1453 = callmethod(opresult1452, "||", 1, partcv, params);
// compiled op node returning opresult1453 (depth = 9)
  int op_slot_left_1419 = gc_frame_newslot(opresult1453);
  params[0] = call1422;
  partcv[0] = 1;
  Object opresult1454 = callmethod(opresult1453, "&&", 1, partcv, params);
// compiled op node returning opresult1454 (depth = 8)
  Object if1418 = done;
  if (istrue(opresult1454)) {
// Begin line 493
  setline(493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// Begin line 492
  setline(492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1455 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_values (depth = 11)
  partcv[0] = 0;
  Object call1456 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1455);
// compiled call node returning call1456 (depth = 10)
// compiled member node returning call1456 (depth = 9)
  *var_lhs = call1456;
  if (call1456 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 493
  setline(493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1457 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1458 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1457);
// compiled call node returning call1458 (depth = 9)
// compiled member node returning call1458 (depth = 8)
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 494
  setline(494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1460 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 11)
  int callframe1461 = gc_frame_new();
// starting to compile block node (depth = 12)
  Object block1462 = alloc_Block(NULL, NULL, "parser", 494);
  gc_frame_newslot(block1462);
// method _apply
  block_savedest(block1462);
  Object closure1463 = createclosure(2, "_apply");
  setclosureframe(closure1463, stackframe);
  addtoclosure(closure1463, var_blocksOK);
  addtoclosure(closure1463, selfslot);
  struct UserObject *uo1463 = (struct UserObject*)block1462;
  uo1463->data[0] = (Object)closure1463;
  Method *meth_meth_parser__apply1463 = addmethod2pos(block1462, "_apply", &meth_parser__apply1463, 0);
  int argcv_meth_parser__apply1463[] = {0};
  meth_meth_parser__apply1463->type = alloc_MethodType(1, argcv_meth_parser__apply1463);
  meth_meth_parser__apply1463->definitionModule = modulename;
  meth_meth_parser__apply1463->definitionLine = 494;
// compiled block node returning block1462 (depth = 12)
  gc_frame_newslot(block1462);
// call case 4: self request
  params[0] = block1462;
  partcv[0] = 1;
  Object call1467 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1461);
// compiled call node returning call1467 (depth = 11)
  partcv[0] = 0;
  Object call1468 = callmethod(call1467, "not",
    1, partcv, params);
  gc_frame_end(callframe1460);
// compiled call node returning call1468 (depth = 10)
// compiled member node returning call1468 (depth = 9)
  Object if1459 = done;
  if (istrue(call1468)) {
// Begin line 496
  setline(496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// Begin line 495
  setline(495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 10)
  Object array1469 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1469 (depth = 10)
  *var_suggestions = array1469;
  if (array1469 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 9)
// Begin line 497
  setline(497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 9)
// Begin line 496
  setline(496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1470 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe1471 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  partcv[0] = 0;
  Object call1472 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1471);
// compiled call node returning call1472 (depth = 13)
// compiled member node returning call1472 (depth = 12)
  partcv[0] = 0;
  Object call1473 = callmethod(call1472, "new",
    1, partcv, params);
  gc_frame_end(callframe1470);
// compiled call node returning call1473 (depth = 11)
// compiled member node returning call1473 (depth = 10)
  *var_suggestion = call1473;
  if (call1473 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 9)
// Begin line 497
  setline(497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1474 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit1475 == NULL) {
    strlit1475 = alloc_String("rbrace");
    gc_root(strlit1475);
  }
// compiled string node returning strlit1475 (depth = 11)
  gc_frame_newslot(strlit1475);
// call case 4: self request
  params[0] = strlit1475;
  partcv[0] = 1;
  Object call1476 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1474);
// compiled call node returning call1476 (depth = 10)
  *var_nextTok = call1476;
  if (call1476 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 9)
// Begin line 503
  setline(503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  int op_slot_right_1478 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  int op_slot_left_1478 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1480 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult1480 (depth = 10)
  Object if1477 = done;
  if (istrue(opresult1480)) {
// Begin line 499
  setline(499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe1481 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit1482 == NULL) {
    strlit1482 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1482);
  }
// compiled string node returning strlit1482 (depth = 11)
  gc_frame_newslot(strlit1482);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = strlit1482;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1483 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1481);
// compiled call node returning call1483 (depth = 10)
    gc_frame_newslot(call1483);
    if1477 = call1483;
  } else {
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe1484 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe1485 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_nextTok (depth = 13)
  partcv[0] = 0;
  Object call1486 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1485);
// compiled call node returning call1486 (depth = 12)
// compiled member node returning call1486 (depth = 11)
  gc_frame_newslot(call1486);
// starting to compile identifier node (depth = 11)
  Object bool1487 = alloc_Boolean(1);
// compiled identifier node returning bool1487 (depth = 11)
  gc_frame_newslot(bool1487);
// starting to compile identifier node (depth = 11)
  Object bool1488 = alloc_Boolean(0);
// compiled identifier node returning bool1488 (depth = 11)
  gc_frame_newslot(bool1488);
// starting to compile string node (depth = 11)
  if (strlit1489 == NULL) {
    strlit1489 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1489);
  }
// compiled string node returning strlit1489 (depth = 11)
  gc_frame_newslot(strlit1489);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = *var_sym;
  params[1] = call1486;
  params[2] = bool1487;
  params[3] = bool1488;
  params[4] = strlit1489;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1490 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1484);
// compiled call node returning call1490 (depth = 10)
    gc_frame_newslot(call1490);
    if1477 = call1490;
  }
// compiled if node returning if1477 (depth = 9)
// Begin line 503
  setline(503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1491 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1492 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1491);
// compiled call node returning call1492 (depth = 9)
// Begin line 505
  setline(505);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 504
  setline(504);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1493 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe1494 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  partcv[0] = 0;
  Object call1495 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1494);
// compiled call node returning call1495 (depth = 13)
// compiled member node returning call1495 (depth = 12)
  partcv[0] = 0;
  Object call1496 = callmethod(call1495, "new",
    1, partcv, params);
  gc_frame_end(callframe1493);
// compiled call node returning call1496 (depth = 11)
// compiled member node returning call1496 (depth = 10)
  *var_suggestion = call1496;
  if (call1496 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 505
  setline(505);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1498 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1499 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_nextTok (depth = 12)
  partcv[0] = 0;
  Object call1500 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1499);
// compiled call node returning call1500 (depth = 11)
// compiled member node returning call1500 (depth = 10)
  gc_frame_newslot(call1500);
// starting to compile identifier node (depth = 10)
  Object bool1501 = alloc_Boolean(1);
// compiled identifier node returning bool1501 (depth = 10)
  gc_frame_newslot(bool1501);
// starting to compile identifier node (depth = 10)
  Object bool1502 = alloc_Boolean(0);
// compiled identifier node returning bool1502 (depth = 10)
  gc_frame_newslot(bool1502);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_lastToken;
  params[1] = call1500;
  params[2] = bool1501;
  params[3] = bool1502;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1503 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe1498);
// compiled call node returning call1503 (depth = 9)
// Begin line 506
  setline(506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1504 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1505 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1504);
// compiled call node returning call1505 (depth = 9)
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1506 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit1507 == NULL) {
    strlit1507 = alloc_String("A valid expression must follow ':='.");
    gc_root(strlit1507);
  }
// compiled string node returning strlit1507 (depth = 10)
  gc_frame_newslot(strlit1507);
// Begin line 508
  setline(508);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1508 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call1509 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1508);
// compiled call node returning call1509 (depth = 11)
// compiled member node returning call1509 (depth = 10)
  gc_frame_newslot(call1509);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1510 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call1511 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1510);
// compiled call node returning call1511 (depth = 11)
// compiled member node returning call1511 (depth = 10)
  gc_frame_newslot(call1511);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit1507;
  params[1] = call1509;
  params[2] = call1511;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1512 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1506);
// compiled call node returning call1512 (depth = 9)
    gc_frame_newslot(call1512);
    if1459 = call1512;
  } else {
  }
// compiled if node returning if1459 (depth = 8)
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1513 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_values (depth = 11)
  partcv[0] = 0;
  Object call1514 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1513);
// compiled call node returning call1514 (depth = 10)
// compiled member node returning call1514 (depth = 9)
  *var_rhs = call1514;
  if (call1514 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1515 = gc_frame_new();
// starting to compile call node (depth = 9)
  int callframe1516 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lhs (depth = 10)
  gc_frame_newslot(*var_lhs);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_rhs (depth = 10)
  gc_frame_newslot(*var_rhs);
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1517 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ast (depth = 12)
  partcv[0] = 0;
  Object call1518 = callmethod(*var_ast, "bindNode",
    1, partcv, params);
  gc_frame_end(callframe1517);
// compiled call node returning call1518 (depth = 11)
// compiled member node returning call1518 (depth = 10)
  params[0] = *var_lhs;
  params[1] = *var_rhs;
  partcv[0] = 2;
  Object call1519 = callmethod(call1518, "new",
    1, partcv, params);
  gc_frame_end(callframe1516);
// compiled call node returning call1519 (depth = 9)
  gc_frame_newslot(call1519);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_body (depth = 9)
  params[0] = call1519;
  partcv[0] = 1;
  Object call1520 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe1515);
// compiled call node returning call1520 (depth = 8)
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1522 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit1523 == NULL) {
    strlit1523 = alloc_String("semicolon");
    gc_root(strlit1523);
  }
// compiled string node returning strlit1523 (depth = 10)
  gc_frame_newslot(strlit1523);
// call case 4: self request
  params[0] = strlit1523;
  partcv[0] = 1;
  Object call1524 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1522);
// compiled call node returning call1524 (depth = 9)
  Object if1521 = done;
  if (istrue(call1524)) {
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1525 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1526 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1525);
// compiled call node returning call1526 (depth = 10)
// compiled member node returning call1526 (depth = 9)
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe1529 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_lastToken (depth = 13)
  partcv[0] = 0;
  Object call1530 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe1529);
// compiled call node returning call1530 (depth = 12)
// compiled member node returning call1530 (depth = 11)
  int op_slot_right_1528 = gc_frame_newslot(call1530);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe1532 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_sym (depth = 13)
  partcv[0] = 0;
  Object call1533 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1532);
// compiled call node returning call1533 (depth = 12)
// compiled member node returning call1533 (depth = 11)
  int op_slot_left_1528 = gc_frame_newslot(call1533);
  params[0] = call1530;
  partcv[0] = 1;
  Object opresult1534 = callmethod(call1533, "==", 1, partcv, params);
// compiled op node returning opresult1534 (depth = 10)
  Object if1527 = done;
  if (istrue(opresult1534)) {
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 11)
  Object bool1535 = alloc_Boolean(1);
// compiled identifier node returning bool1535 (depth = 11)
  *var_indentFreePass = bool1535;
  if (bool1535 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if1527 = done;
  } else {
  }
// compiled if node returning if1527 (depth = 9)
    gc_frame_newslot(if1527);
    if1521 = if1527;
  } else {
  }
// compiled if node returning if1521 (depth = 8)
    gc_frame_newslot(if1521);
    if1418 = if1521;
  } else {
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1537 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1538 = callmethodflags(self, "checkUnexpectedTokenAfterStatement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1537);
// compiled call node returning call1538 (depth = 9)
// compiled member node returning call1538 (depth = 8)
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1539 = gc_frame_new();
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1540 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_values (depth = 11)
  partcv[0] = 0;
  Object call1541 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1540);
// compiled call node returning call1541 (depth = 10)
// compiled member node returning call1541 (depth = 9)
  gc_frame_newslot(call1541);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_body (depth = 9)
  params[0] = call1541;
  partcv[0] = 1;
  Object call1542 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe1539);
// compiled call node returning call1542 (depth = 8)
    gc_frame_newslot(call1542);
    if1418 = call1542;
  }
// compiled if node returning if1418 (depth = 7)
    gc_frame_newslot(if1418);
    if1392 = if1418;
  }
// compiled if node returning if1392 (depth = 6)
    gc_frame_newslot(if1392);
    if1162 = if1392;
  }
// compiled if node returning if1162 (depth = 5)
  gc_frame_end(frame);
  return if1162;
}
Object meth_parser__apply1569(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1570 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 7)
  int callframe1571 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit1572 == NULL) {
    strlit1572 = alloc_String("rbrace");
    gc_root(strlit1572);
  }
// compiled string node returning strlit1572 (depth = 8)
  gc_frame_newslot(strlit1572);
// call case 4: self request
  params[0] = strlit1572;
  partcv[0] = 1;
  Object call1573 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1571);
// compiled call node returning call1573 (depth = 7)
  partcv[0] = 0;
  Object call1574 = callmethod(call1573, "not",
    1, partcv, params);
  gc_frame_end(callframe1570);
// compiled call node returning call1574 (depth = 6)
// compiled member node returning call1574 (depth = 5)
  gc_frame_end(frame);
  return call1574;
}
Object meth_parser__apply1582(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1583 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1584 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1583);
// compiled call node returning call1584 (depth = 11)
// compiled member node returning call1584 (depth = 10)
  gc_frame_end(frame);
  return call1584;
}
Object meth_parser__apply1577(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_tmp = getfromclosure(closure, 4);
  Object *var_body = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
// Begin line 539
  setline(539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 533
  setline(533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1579 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 8)
  int callframe1580 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block1581 = alloc_Block(NULL, NULL, "parser", 533);
  gc_frame_newslot(block1581);
// method _apply
  block_savedest(block1581);
  Object closure1582 = createclosure(1, "_apply");
  setclosureframe(closure1582, stackframe);
  addtoclosure(closure1582, selfslot);
  struct UserObject *uo1582 = (struct UserObject*)block1581;
  uo1582->data[0] = (Object)closure1582;
  Method *meth_meth_parser__apply1582 = addmethod2pos(block1581, "_apply", &meth_parser__apply1582, 0);
  int argcv_meth_parser__apply1582[] = {0};
  meth_meth_parser__apply1582->type = alloc_MethodType(1, argcv_meth_parser__apply1582);
  meth_meth_parser__apply1582->definitionModule = modulename;
  meth_meth_parser__apply1582->definitionLine = 533;
// compiled block node returning block1581 (depth = 9)
  gc_frame_newslot(block1581);
// call case 4: self request
  params[0] = block1581;
  partcv[0] = 1;
  Object call1586 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1580);
// compiled call node returning call1586 (depth = 8)
  partcv[0] = 0;
  Object call1587 = callmethod(call1586, "not",
    1, partcv, params);
  gc_frame_end(callframe1579);
// compiled call node returning call1587 (depth = 7)
// compiled member node returning call1587 (depth = 6)
  Object if1578 = done;
  if (istrue(call1587)) {
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 534
  setline(534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1588 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1589 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call1590 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1589);
// compiled call node returning call1590 (depth = 10)
// compiled member node returning call1590 (depth = 9)
  partcv[0] = 0;
  Object call1591 = callmethod(call1590, "new",
    1, partcv, params);
  gc_frame_end(callframe1588);
// compiled call node returning call1591 (depth = 8)
// compiled member node returning call1591 (depth = 7)
  *var_suggestion = call1591;
  if (call1591 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1592 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1593 == NULL) {
    strlit1593 = alloc_String("}");
    gc_root(strlit1593);
  }
// compiled string node returning strlit1593 (depth = 7)
  gc_frame_newslot(strlit1593);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit1593;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1594 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1592);
// compiled call node returning call1594 (depth = 6)
// Begin line 536
  setline(536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1595 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1596 == NULL) {
    strlit1596 = alloc_String("A block must end with a '}'.");
    gc_root(strlit1596);
  }
// compiled string node returning strlit1596 (depth = 7)
  gc_frame_newslot(strlit1596);
// Begin line 537
  setline(537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1597 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call1598 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1597);
// compiled call node returning call1598 (depth = 8)
// compiled member node returning call1598 (depth = 7)
  gc_frame_newslot(call1598);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1599 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call1600 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1599);
// compiled call node returning call1600 (depth = 8)
// compiled member node returning call1600 (depth = 7)
  gc_frame_newslot(call1600);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 536
  setline(536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit1596;
  params[1] = call1598;
  params[2] = call1600;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1601 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1595);
// compiled call node returning call1601 (depth = 6)
    gc_frame_newslot(call1601);
    if1578 = call1601;
  } else {
  }
// compiled if node returning if1578 (depth = 5)
// Begin line 540
  setline(540);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 539
  setline(539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1602 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call1603 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1602);
// compiled call node returning call1603 (depth = 7)
// compiled member node returning call1603 (depth = 6)
  *var_tmp = call1603;
  if (call1603 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 540
  setline(540);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1605 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tmp (depth = 6)
  gc_frame_newslot(*var_tmp);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_body (depth = 6)
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call1606 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe1605);
// compiled call node returning call1606 (depth = 5)
  gc_frame_end(frame);
  return call1606;
}
Object meth_parser_block1127(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(14, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "block");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementIndent = getfromclosure(closure, 1);
  Object *var_statementToken = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_braceIsType = getfromclosure(closure, 5);
  Object *var_errormessages = getfromclosure(closure, 6);
  Object *var_lastToken = getfromclosure(closure, 7);
  Object *var_indentFreePass = getfromclosure(closure, 8);
  Object *var_ast = getfromclosure(closure, 9);
  Object *var_minIndentLevel = getfromclosure(closure, 10);
  Object *var_util = getfromclosure(closure, 11);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for block (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for block");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_minInd = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "minInd");
  Object *var_startIndent = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "startIndent");
  Object *var_expr1 = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "expr1");
  Object *var_s = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "s");
  Object *var_tmp = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "tmp");
  Object *var_params = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "params");
  Object *var_body = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "body");
  Object *var_havearrow = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "havearrow");
  Object *var_found = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "found");
  Object *var_i = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "i");
  Object *var_isMatchingBlock = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "isMatchingBlock");
  Object *var_o = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "o");
// Begin line 554
  setline(554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1129 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit1130 == NULL) {
    strlit1130 = alloc_String("lbrace");
    gc_root(strlit1130);
  }
// compiled string node returning strlit1130 (depth = 4)
  gc_frame_newslot(strlit1130);
// call case 4: self request
  params[0] = strlit1130;
  partcv[0] = 1;
  Object call1131 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1129);
// compiled call node returning call1131 (depth = 3)
  Object if1128 = done;
  if (istrue(call1131)) {
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1132 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1133 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1132);
// compiled call node returning call1133 (depth = 4)
// compiled member node returning call1133 (depth = 3)
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num1135 = alloc_Float64(1);
// compiled num node returning num1135 (depth = 5)
  int op_slot_right_1134 = gc_frame_newslot(num1135);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_statementIndent (depth = 5)
  int op_slot_left_1134 = gc_frame_newslot(*var_statementIndent);
  params[0] = num1135;
  partcv[0] = 1;
  Object sum1137 = callmethod(*var_statementIndent, "+", 1, partcv, params);
// compiled op node returning sum1137 (depth = 4)
  *var_minInd = sum1137;
  if (sum1137 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_statementIndent (depth = 4)
  *var_startIndent = *var_statementIndent;
  if (*var_statementIndent == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_expr1 = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_s = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_tmp = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array1138 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1138 (depth = 4)
  *var_params = array1138;
  if (array1138 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array1139 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1139 (depth = 4)
  *var_body = array1139;
  if (array1139 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 401
  setline(401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1140 = alloc_Boolean(1);
// compiled identifier node returning bool1140 (depth = 4)
  *var_havearrow = bool1140;
  if (bool1140 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 401
  setline(401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1141 = alloc_Boolean(0);
// compiled identifier node returning bool1141 (depth = 4)
  *var_found = bool1141;
  if (bool1141 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 403
  setline(403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num1142 = alloc_Float64(0);
// compiled num node returning num1142 (depth = 4)
  *var_i = num1142;
  if (num1142 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 403
  setline(403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1143 = alloc_Boolean(0);
// compiled identifier node returning bool1143 (depth = 4)
  *var_isMatchingBlock = bool1143;
  if (bool1143 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 410
  setline(410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1147 == NULL) {
    strlit1147 = alloc_String("lparen");
    gc_root(strlit1147);
  }
// compiled string node returning strlit1147 (depth = 5)
  int op_slot_right_1146 = gc_frame_newslot(strlit1147);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1149 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call1150 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe1149);
// compiled call node returning call1150 (depth = 6)
// compiled member node returning call1150 (depth = 5)
  int op_slot_left_1146 = gc_frame_newslot(call1150);
  params[0] = strlit1147;
  partcv[0] = 1;
  Object opresult1151 = callmethod(call1150, "==", 1, partcv, params);
// compiled op node returning opresult1151 (depth = 4)
  Object if1145 = done;
  if (istrue(opresult1151)) {
// Begin line 407
  setline(407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 406
  setline(406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool1152 = alloc_Boolean(1);
// compiled identifier node returning bool1152 (depth = 5)
  *var_isMatchingBlock = bool1152;
  if (bool1152 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if1145 = done;
  } else {
  }
// compiled if node returning if1145 (depth = 3)
// Begin line 410
  setline(410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1154 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block1155 = alloc_Block(NULL, NULL, "parser", 410);
  gc_frame_newslot(block1155);
// method _apply
  block_savedest(block1155);
  Object closure1156 = createclosure(2, "_apply");
  setclosureframe(closure1156, stackframe);
  addtoclosure(closure1156, var_blocksOK);
  addtoclosure(closure1156, selfslot);
  struct UserObject *uo1156 = (struct UserObject*)block1155;
  uo1156->data[0] = (Object)closure1156;
  Method *meth_meth_parser__apply1156 = addmethod2pos(block1155, "_apply", &meth_parser__apply1156, 0);
  int argcv_meth_parser__apply1156[] = {0};
  meth_meth_parser__apply1156->type = alloc_MethodType(1, argcv_meth_parser__apply1156);
  meth_meth_parser__apply1156->definitionModule = modulename;
  meth_meth_parser__apply1156->definitionLine = 405;
// compiled block node returning block1155 (depth = 4)
  gc_frame_newslot(block1155);
// starting to compile block node (depth = 4)
  Object block1160 = alloc_Block(NULL, NULL, "parser", 410);
  gc_frame_newslot(block1160);
// method _apply
  block_savedest(block1160);
  Object closure1161 = createclosure(13, "_apply");
  setclosureframe(closure1161, stackframe);
  addtoclosure(closure1161, var_values);
  addtoclosure(closure1161, var_expr1);
  addtoclosure(closure1161, var_braceIsType);
  addtoclosure(closure1161, var_blocksOK);
  addtoclosure(closure1161, var_errormessages);
  addtoclosure(closure1161, var_sym);
  addtoclosure(closure1161, var_lastToken);
  addtoclosure(closure1161, var_params);
  addtoclosure(closure1161, var_isMatchingBlock);
  addtoclosure(closure1161, var_body);
  addtoclosure(closure1161, var_indentFreePass);
  addtoclosure(closure1161, var_ast);
  addtoclosure(closure1161, selfslot);
  struct UserObject *uo1161 = (struct UserObject*)block1160;
  uo1161->data[0] = (Object)closure1161;
  Method *meth_meth_parser__apply1161 = addmethod2pos(block1160, "_apply", &meth_parser__apply1161, 0);
  int argcv_meth_parser__apply1161[] = {0};
  meth_meth_parser__apply1161->type = alloc_MethodType(1, argcv_meth_parser__apply1161);
  meth_meth_parser__apply1161->definitionModule = modulename;
  meth_meth_parser__apply1161->definitionLine = 405;
// compiled block node returning block1160 (depth = 4)
  gc_frame_newslot(block1160);
// call case 4: self request
  params[0] = block1155;
  params[1] = block1160;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1544 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1154);
// compiled call node returning call1544 (depth = 3)
// Begin line 526
  setline(526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 523
  setline(523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1546 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1547 == NULL) {
    strlit1547 = alloc_String("arrow");
    gc_root(strlit1547);
  }
// compiled string node returning strlit1547 (depth = 5)
  gc_frame_newslot(strlit1547);
// call case 4: self request
  params[0] = strlit1547;
  partcv[0] = 1;
  Object call1548 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1546);
// compiled call node returning call1548 (depth = 4)
  Object if1545 = done;
  if (istrue(call1548)) {
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1549 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1550 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1549);
// compiled call node returning call1550 (depth = 5)
// compiled member node returning call1550 (depth = 4)
    gc_frame_newslot(call1550);
    if1545 = call1550;
  } else {
  }
// compiled if node returning if1545 (depth = 3)
// Begin line 531
  setline(531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 526
  setline(526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1553 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call1554 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe1553);
// compiled call node returning call1554 (depth = 6)
// compiled member node returning call1554 (depth = 5)
  int op_slot_right_1552 = gc_frame_newslot(call1554);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1556 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call1557 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1556);
// compiled call node returning call1557 (depth = 6)
// compiled member node returning call1557 (depth = 5)
  int op_slot_left_1552 = gc_frame_newslot(call1557);
  params[0] = call1554;
  partcv[0] = 1;
  Object opresult1558 = callmethod(call1557, "==", 1, partcv, params);
// compiled op node returning opresult1558 (depth = 4)
  Object if1551 = done;
  if (istrue(opresult1558)) {
// Begin line 528
  setline(528);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 527
  setline(527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num1560 = alloc_Float64(1);
// compiled num node returning num1560 (depth = 6)
  int op_slot_right_1559 = gc_frame_newslot(num1560);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1562 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call1563 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1562);
// compiled call node returning call1563 (depth = 7)
// compiled member node returning call1563 (depth = 6)
  int op_slot_left_1559 = gc_frame_newslot(call1563);
  params[0] = num1560;
  partcv[0] = 1;
  Object diff1564 = callmethod(call1563, "-", 1, partcv, params);
// compiled op node returning diff1564 (depth = 5)
  *var_minIndentLevel = diff1564;
  if (diff1564 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if1551 = done;
  } else {
// Begin line 530
  setline(530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 529
  setline(529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_minInd (depth = 5)
  *var_minIndentLevel = *var_minInd;
  if (*var_minInd == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if1551 = done;
  }
// compiled if node returning if1551 (depth = 3)
// Begin line 531
  setline(531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1567 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block1568 = alloc_Block(NULL, NULL, "parser", 531);
  gc_frame_newslot(block1568);
// method _apply
  block_savedest(block1568);
  Object closure1569 = createclosure(1, "_apply");
  setclosureframe(closure1569, stackframe);
  addtoclosure(closure1569, selfslot);
  struct UserObject *uo1569 = (struct UserObject*)block1568;
  uo1569->data[0] = (Object)closure1569;
  Method *meth_meth_parser__apply1569 = addmethod2pos(block1568, "_apply", &meth_parser__apply1569, 0);
  int argcv_meth_parser__apply1569[] = {0};
  meth_meth_parser__apply1569->type = alloc_MethodType(1, argcv_meth_parser__apply1569);
  meth_meth_parser__apply1569->definitionModule = modulename;
  meth_meth_parser__apply1569->definitionLine = 527;
// compiled block node returning block1568 (depth = 4)
  gc_frame_newslot(block1568);
// starting to compile block node (depth = 4)
  Object block1576 = alloc_Block(NULL, NULL, "parser", 531);
  gc_frame_newslot(block1576);
// method _apply
  block_savedest(block1576);
  Object closure1577 = createclosure(7, "_apply");
  setclosureframe(closure1577, stackframe);
  addtoclosure(closure1577, var_errormessages);
  addtoclosure(closure1577, var_lastToken);
  addtoclosure(closure1577, var_sym);
  addtoclosure(closure1577, var_values);
  addtoclosure(closure1577, var_tmp);
  addtoclosure(closure1577, var_body);
  addtoclosure(closure1577, selfslot);
  struct UserObject *uo1577 = (struct UserObject*)block1576;
  uo1577->data[0] = (Object)closure1577;
  Method *meth_meth_parser__apply1577 = addmethod2pos(block1576, "_apply", &meth_parser__apply1577, 0);
  int argcv_meth_parser__apply1577[] = {0};
  meth_meth_parser__apply1577->type = alloc_MethodType(1, argcv_meth_parser__apply1577);
  meth_meth_parser__apply1577->definitionModule = modulename;
  meth_meth_parser__apply1577->definitionLine = 531;
// compiled block node returning block1576 (depth = 4)
  gc_frame_newslot(block1576);
// call case 5: prelude request
  params[0] = block1568;
  params[1] = block1576;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1608 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1567);
// compiled call node returning call1608 (depth = 3)
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// Begin line 542
  setline(542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num1610 = alloc_Float64(1);
// compiled num node returning num1610 (depth = 5)
  int op_slot_right_1609 = gc_frame_newslot(num1610);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_minInd (depth = 5)
  int op_slot_left_1609 = gc_frame_newslot(*var_minInd);
  params[0] = num1610;
  partcv[0] = 1;
  Object diff1612 = callmethod(*var_minInd, "-", 1, partcv, params);
// compiled op node returning diff1612 (depth = 4)
  *var_minIndentLevel = diff1612;
  if (diff1612 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_startIndent (depth = 4)
  *var_statementIndent = *var_startIndent;
  if (*var_startIndent == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1615 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1616 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1615);
// compiled call node returning call1616 (depth = 4)
// compiled member node returning call1616 (depth = 3)
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1617 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1618 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_btok (depth = 6)
  partcv[0] = 0;
  Object call1619 = callmethod(*var_btok, "line",
    1, partcv, params);
  gc_frame_end(callframe1618);
// compiled call node returning call1619 (depth = 5)
// compiled member node returning call1619 (depth = 4)
  gc_frame_newslot(call1619);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call1619;
  partcv[0] = 1;
  Object call1620 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe1617);
// compiled call node returning call1620 (depth = 3)
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1621 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_params (depth = 5)
  gc_frame_newslot(*var_params);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_body (depth = 5)
  gc_frame_newslot(*var_body);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1622 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call1623 = callmethod(*var_ast, "blockNode",
    1, partcv, params);
  gc_frame_end(callframe1622);
// compiled call node returning call1623 (depth = 6)
// compiled member node returning call1623 (depth = 5)
  params[0] = *var_params;
  params[1] = *var_body;
  partcv[0] = 2;
  Object call1624 = callmethod(call1623, "new",
    1, partcv, params);
  gc_frame_end(callframe1621);
// compiled call node returning call1624 (depth = 4)
  *var_o = call1624;
  if (call1624 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_isMatchingBlock (depth = 4)
  Object if1625 = done;
  if (istrue(*var_isMatchingBlock)) {
// Begin line 551
  setline(551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 548
  setline(548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1628 = alloc_Float64(0);
// compiled num node returning num1628 (depth = 6)
  int op_slot_right_1627 = gc_frame_newslot(num1628);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1630 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_params (depth = 8)
  partcv[0] = 0;
  Object call1631 = callmethod(*var_params, "size",
    1, partcv, params);
  gc_frame_end(callframe1630);
// compiled call node returning call1631 (depth = 7)
// compiled member node returning call1631 (depth = 6)
  int op_slot_left_1627 = gc_frame_newslot(call1631);
  params[0] = num1628;
  partcv[0] = 1;
  Object opresult1632 = callmethod(call1631, ">", 1, partcv, params);
// compiled op node returning opresult1632 (depth = 5)
  Object if1626 = done;
  if (istrue(opresult1632)) {
// Begin line 550
  setline(550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 548
  setline(548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1633 = gc_frame_new();
// Begin line 549
  setline(549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1634 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_params (depth = 9)
  partcv[0] = 0;
  Object call1635 = callmethod(*var_params, "first",
    1, partcv, params);
  gc_frame_end(callframe1634);
// compiled call node returning call1635 (depth = 8)
// compiled member node returning call1635 (depth = 7)
  gc_frame_newslot(call1635);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  params[0] = call1635;
  partcv[0] = 1;
  Object call1636 = callmethod(*var_o, "matchingPattern:=",
    1, partcv, params);
  gc_frame_end(callframe1633);
// compiled call node returning call1636 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1626 = done;
  } else {
  }
// compiled if node returning if1626 (depth = 4)
    gc_frame_newslot(if1626);
    if1625 = if1626;
  } else {
  }
// compiled if node returning if1625 (depth = 3)
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1637 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1638 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe1637);
// compiled call node returning call1638 (depth = 3)
    gc_frame_newslot(call1638);
    if1128 = call1638;
  } else {
  }
// compiled if node returning if1128 (depth = 2)
  gc_frame_end(frame);
  return if1128;
}
Object meth_parser__apply1668(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_btok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 568
  setline(568);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1673 == NULL) {
    strlit1673 = alloc_String("then");
    gc_root(strlit1673);
  }
// compiled string node returning strlit1673 (depth = 11)
  int op_slot_right_1672 = gc_frame_newslot(strlit1673);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe1675 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_t (depth = 13)
  partcv[0] = 0;
  Object call1676 = callmethod(*var_t, "value",
    1, partcv, params);
  gc_frame_end(callframe1675);
// compiled call node returning call1676 (depth = 12)
// compiled member node returning call1676 (depth = 11)
  int op_slot_left_1672 = gc_frame_newslot(call1676);
  params[0] = strlit1673;
  partcv[0] = 1;
  Object opresult1677 = callmethod(call1676, "==", 1, partcv, params);
// compiled op node returning opresult1677 (depth = 10)
  int op_slot_right_1671 = gc_frame_newslot(opresult1677);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1680 == NULL) {
    strlit1680 = alloc_String("identifier");
    gc_root(strlit1680);
  }
// compiled string node returning strlit1680 (depth = 11)
  int op_slot_right_1679 = gc_frame_newslot(strlit1680);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe1682 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_t (depth = 13)
  partcv[0] = 0;
  Object call1683 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe1682);
// compiled call node returning call1683 (depth = 12)
// compiled member node returning call1683 (depth = 11)
  int op_slot_left_1679 = gc_frame_newslot(call1683);
  params[0] = strlit1680;
  partcv[0] = 1;
  Object opresult1684 = callmethod(call1683, "==", 1, partcv, params);
// compiled op node returning opresult1684 (depth = 10)
  int op_slot_left_1671 = gc_frame_newslot(opresult1684);
  params[0] = opresult1677;
  partcv[0] = 1;
  Object opresult1685 = callmethod(opresult1684, "&&", 1, partcv, params);
// compiled op node returning opresult1685 (depth = 9)
  int op_slot_right_1670 = gc_frame_newslot(opresult1685);
// starting to compile op node (depth = 9)
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1689 == NULL) {
    strlit1689 = alloc_String("lbrace");
    gc_root(strlit1689);
  }
// compiled string node returning strlit1689 (depth = 11)
  int op_slot_right_1688 = gc_frame_newslot(strlit1689);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe1691 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_t (depth = 13)
  partcv[0] = 0;
  Object call1692 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe1691);
// compiled call node returning call1692 (depth = 12)
// compiled member node returning call1692 (depth = 11)
  int op_slot_left_1688 = gc_frame_newslot(call1692);
  params[0] = strlit1689;
  partcv[0] = 1;
  Object opresult1693 = callmethod(call1692, "==", 1, partcv, params);
// compiled op node returning opresult1693 (depth = 10)
  int op_slot_right_1687 = gc_frame_newslot(opresult1693);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1696 == NULL) {
    strlit1696 = alloc_String("rparen");
    gc_root(strlit1696);
  }
// compiled string node returning strlit1696 (depth = 11)
  int op_slot_right_1695 = gc_frame_newslot(strlit1696);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe1698 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_t (depth = 13)
  partcv[0] = 0;
  Object call1699 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe1698);
// compiled call node returning call1699 (depth = 12)
// compiled member node returning call1699 (depth = 11)
  int op_slot_left_1695 = gc_frame_newslot(call1699);
  params[0] = strlit1696;
  partcv[0] = 1;
  Object opresult1700 = callmethod(call1699, "==", 1, partcv, params);
// compiled op node returning opresult1700 (depth = 10)
  int op_slot_left_1687 = gc_frame_newslot(opresult1700);
  params[0] = opresult1693;
  partcv[0] = 1;
  Object opresult1701 = callmethod(opresult1700, "||", 1, partcv, params);
// compiled op node returning opresult1701 (depth = 9)
  int op_slot_left_1670 = gc_frame_newslot(opresult1701);
  params[0] = opresult1685;
  partcv[0] = 1;
  Object opresult1702 = callmethod(opresult1701, "||", 1, partcv, params);
// compiled op node returning opresult1702 (depth = 8)
  int op_slot_right_1669 = gc_frame_newslot(opresult1702);
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1705 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_btok (depth = 11)
  partcv[0] = 0;
  Object call1706 = callmethod(*var_btok, "line",
    1, partcv, params);
  gc_frame_end(callframe1705);
// compiled call node returning call1706 (depth = 10)
// compiled member node returning call1706 (depth = 9)
  int op_slot_right_1704 = gc_frame_newslot(call1706);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1708 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_t (depth = 11)
  partcv[0] = 0;
  Object call1709 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe1708);
// compiled call node returning call1709 (depth = 10)
// compiled member node returning call1709 (depth = 9)
  int op_slot_left_1704 = gc_frame_newslot(call1709);
  params[0] = call1706;
  partcv[0] = 1;
  Object opresult1710 = callmethod(call1709, "==", 1, partcv, params);
// compiled op node returning opresult1710 (depth = 8)
  int op_slot_left_1669 = gc_frame_newslot(opresult1710);
  params[0] = opresult1702;
  partcv[0] = 1;
  Object opresult1711 = callmethod(opresult1710, "&&", 1, partcv, params);
// compiled op node returning opresult1711 (depth = 7)
  gc_frame_end(frame);
  return opresult1711;
}
Object meth_parser__apply1798(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe1799 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_blocksOK (depth = 9)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call1800 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1799);
// compiled call node returning call1800 (depth = 8)
  gc_frame_end(frame);
  return call1800;
}
Object meth_parser__apply1810(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1813 == NULL) {
    strlit1813 = alloc_String("rparen");
    gc_root(strlit1813);
  }
// compiled string node returning strlit1813 (depth = 9)
  int op_slot_right_1812 = gc_frame_newslot(strlit1813);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1815 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_t (depth = 11)
  partcv[0] = 0;
  Object call1816 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe1815);
// compiled call node returning call1816 (depth = 10)
// compiled member node returning call1816 (depth = 9)
  int op_slot_left_1812 = gc_frame_newslot(call1816);
  params[0] = strlit1813;
  partcv[0] = 1;
  Object opresult1817 = callmethod(call1816, "==", 1, partcv, params);
// compiled op node returning opresult1817 (depth = 8)
  int op_slot_right_1811 = gc_frame_newslot(opresult1817);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1820 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call1821 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe1820);
// compiled call node returning call1821 (depth = 10)
// compiled member node returning call1821 (depth = 9)
  int op_slot_right_1819 = gc_frame_newslot(call1821);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1823 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_t (depth = 11)
  partcv[0] = 0;
  Object call1824 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe1823);
// compiled call node returning call1824 (depth = 10)
// compiled member node returning call1824 (depth = 9)
  int op_slot_left_1819 = gc_frame_newslot(call1824);
  params[0] = call1821;
  partcv[0] = 1;
  Object opresult1825 = callmethod(call1824, "==", 1, partcv, params);
// compiled op node returning opresult1825 (depth = 8)
  int op_slot_left_1811 = gc_frame_newslot(opresult1825);
  params[0] = opresult1817;
  partcv[0] = 1;
  Object opresult1826 = callmethod(opresult1825, "&&", 1, partcv, params);
// compiled op node returning opresult1826 (depth = 7)
  gc_frame_end(frame);
  return opresult1826;
}
Object meth_parser__apply2031(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2032 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 8)
  int callframe2033 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit2034 == NULL) {
    strlit2034 = alloc_String("rbrace");
    gc_root(strlit2034);
  }
// compiled string node returning strlit2034 (depth = 9)
  gc_frame_newslot(strlit2034);
// call case 4: self request
  params[0] = strlit2034;
  partcv[0] = 1;
  Object call2035 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2033);
// compiled call node returning call2035 (depth = 8)
  partcv[0] = 0;
  Object call2036 = callmethod(call2035, "not",
    1, partcv, params);
  gc_frame_end(callframe2032);
// compiled call node returning call2036 (depth = 7)
// compiled member node returning call2036 (depth = 6)
  gc_frame_end(frame);
  return call2036;
}
Object meth_parser__apply2044(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2045 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2046 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2045);
// compiled call node returning call2046 (depth = 12)
// compiled member node returning call2046 (depth = 11)
  gc_frame_end(frame);
  return call2046;
}
Object meth_parser__apply2039(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_btok = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_v = getfromclosure(closure, 5);
  Object *var_body = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_closingBrace = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "closingBrace");
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 669
  setline(669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2041 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 9)
  int callframe2042 = gc_frame_new();
// starting to compile block node (depth = 10)
  Object block2043 = alloc_Block(NULL, NULL, "parser", 669);
  gc_frame_newslot(block2043);
// method _apply
  block_savedest(block2043);
  Object closure2044 = createclosure(1, "_apply");
  setclosureframe(closure2044, stackframe);
  addtoclosure(closure2044, selfslot);
  struct UserObject *uo2044 = (struct UserObject*)block2043;
  uo2044->data[0] = (Object)closure2044;
  Method *meth_meth_parser__apply2044 = addmethod2pos(block2043, "_apply", &meth_parser__apply2044, 0);
  int argcv_meth_parser__apply2044[] = {0};
  meth_meth_parser__apply2044->type = alloc_MethodType(1, argcv_meth_parser__apply2044);
  meth_meth_parser__apply2044->definitionModule = modulename;
  meth_meth_parser__apply2044->definitionLine = 669;
// compiled block node returning block2043 (depth = 10)
  gc_frame_newslot(block2043);
// call case 4: self request
  params[0] = block2043;
  partcv[0] = 1;
  Object call2048 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2042);
// compiled call node returning call2048 (depth = 9)
  partcv[0] = 0;
  Object call2049 = callmethod(call2048, "not",
    1, partcv, params);
  gc_frame_end(callframe2041);
// compiled call node returning call2049 (depth = 8)
// compiled member node returning call2049 (depth = 7)
  Object if2040 = done;
  if (istrue(call2049)) {
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2050 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2051 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call2052 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2051);
// compiled call node returning call2052 (depth = 11)
// compiled member node returning call2052 (depth = 10)
  partcv[0] = 0;
  Object call2053 = callmethod(call2052, "new",
    1, partcv, params);
  gc_frame_end(callframe2050);
// compiled call node returning call2053 (depth = 9)
// compiled member node returning call2053 (depth = 8)
  *var_suggestion = call2053;
  if (call2053 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2054 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_btok (depth = 9)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 9)
  Object bool2055 = alloc_Boolean(0);
// compiled identifier node returning bool2055 (depth = 9)
  gc_frame_newslot(bool2055);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool2055;
  partcv[0] = 2;
  Object call2056 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2054);
// compiled call node returning call2056 (depth = 8)
  *var_closingBrace = call2056;
  if (call2056 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 672
  setline(672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool2059 = alloc_Boolean(0);
// compiled identifier node returning bool2059 (depth = 9)
  int op_slot_right_2058 = gc_frame_newslot(bool2059);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2061 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_closingBrace (depth = 11)
  partcv[0] = 0;
  Object call2062 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2061);
// compiled call node returning call2062 (depth = 10)
// compiled member node returning call2062 (depth = 9)
  int op_slot_left_2058 = gc_frame_newslot(call2062);
  params[0] = bool2059;
  partcv[0] = 1;
  Object opresult2063 = callmethod(call2062, "==", 1, partcv, params);
// compiled op node returning opresult2063 (depth = 8)
  Object if2057 = done;
  if (istrue(opresult2063)) {
// Begin line 678
  setline(678);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 673
  setline(673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  int op_slot_right_2065 = gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2067 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_closingBrace (depth = 12)
  partcv[0] = 0;
  Object call2068 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2067);
// compiled call node returning call2068 (depth = 11)
// compiled member node returning call2068 (depth = 10)
  int op_slot_left_2065 = gc_frame_newslot(call2068);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2069 = callmethod(call2068, "==", 1, partcv, params);
// compiled op node returning opresult2069 (depth = 9)
  Object if2064 = done;
  if (istrue(opresult2069)) {
// Begin line 674
  setline(674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2070 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2071 == NULL) {
    strlit2071 = alloc_String("}");
    gc_root(strlit2071);
  }
// compiled string node returning strlit2071 (depth = 10)
  gc_frame_newslot(strlit2071);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit2071;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2072 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2070);
// compiled call node returning call2072 (depth = 9)
    gc_frame_newslot(call2072);
    if2064 = call2072;
  } else {
// Begin line 676
  setline(676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2073 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num2075 = alloc_Float64(0.1);
// compiled num node returning num2075 (depth = 11)
  int op_slot_right_2074 = gc_frame_newslot(num2075);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2077 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe2078 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_closingBrace (depth = 15)
  partcv[0] = 0;
  Object call2079 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2078);
// compiled call node returning call2079 (depth = 14)
// compiled member node returning call2079 (depth = 13)
  partcv[0] = 0;
  Object call2080 = callmethod(call2079, "line",
    1, partcv, params);
  gc_frame_end(callframe2077);
// compiled call node returning call2080 (depth = 12)
// compiled member node returning call2080 (depth = 11)
  int op_slot_left_2074 = gc_frame_newslot(call2080);
  params[0] = num2075;
  partcv[0] = 1;
  Object sum2081 = callmethod(call2080, "+", 1, partcv, params);
// compiled op node returning sum2081 (depth = 10)
  gc_frame_newslot(sum2081);
// starting to compile string node (depth = 10)
  if (strlit2082 == NULL) {
    strlit2082 = alloc_String("}");
    gc_root(strlit2082);
  }
// compiled string node returning strlit2082 (depth = 10)
  gc_frame_newslot(strlit2082);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = sum2081;
  params[1] = strlit2082;
  partcv[0] = 2;
  Object call2083 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2073);
// compiled call node returning call2083 (depth = 9)
    gc_frame_newslot(call2083);
    if2064 = call2083;
  }
// compiled if node returning if2064 (depth = 8)
    gc_frame_newslot(if2064);
    if2057 = if2064;
  } else {
  }
// compiled if node returning if2057 (depth = 7)
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2084 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call2085 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe2084);
// compiled call node returning call2085 (depth = 7)
// Begin line 680
  setline(680);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2086 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit2087 == NULL) {
    strlit2087 = alloc_String("An if statement must end with a '}'.");
    gc_root(strlit2087);
  }
// compiled string node returning strlit2087 (depth = 8)
  gc_frame_newslot(strlit2087);
// Begin line 681
  setline(681);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2088 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call2089 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2088);
// compiled call node returning call2089 (depth = 9)
// compiled member node returning call2089 (depth = 8)
  gc_frame_newslot(call2089);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2090 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call2091 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2090);
// compiled call node returning call2091 (depth = 9)
// compiled member node returning call2091 (depth = 8)
  gc_frame_newslot(call2091);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 680
  setline(680);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit2087;
  params[1] = call2089;
  params[2] = call2091;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2092 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2086);
// compiled call node returning call2092 (depth = 7)
    gc_frame_newslot(call2092);
    if2040 = call2092;
  } else {
  }
// compiled if node returning if2040 (depth = 6)
// Begin line 684
  setline(684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2093 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  partcv[0] = 0;
  Object call2094 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe2093);
// compiled call node returning call2094 (depth = 8)
// compiled member node returning call2094 (depth = 7)
  *var_v = call2094;
  if (call2094 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 684
  setline(684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2096 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_v (depth = 7)
  gc_frame_newslot(*var_v);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_body (depth = 7)
  params[0] = *var_v;
  partcv[0] = 1;
  Object call2097 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe2096);
// compiled call node returning call2097 (depth = 6)
  gc_frame_end(frame);
  return call2097;
}
Object meth_parser__apply2104(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2107 == NULL) {
    strlit2107 = alloc_String("elseif");
    gc_root(strlit2107);
  }
// compiled string node returning strlit2107 (depth = 8)
  int op_slot_right_2106 = gc_frame_newslot(strlit2107);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2109 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call2110 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe2109);
// compiled call node returning call2110 (depth = 9)
// compiled member node returning call2110 (depth = 8)
  int op_slot_left_2106 = gc_frame_newslot(call2110);
  params[0] = strlit2107;
  partcv[0] = 1;
  Object opresult2111 = callmethod(call2110, "==", 1, partcv, params);
// compiled op node returning opresult2111 (depth = 7)
  int op_slot_right_2105 = gc_frame_newslot(opresult2111);
// starting to compile call node (depth = 7)
  int callframe2113 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit2114 == NULL) {
    strlit2114 = alloc_String("identifier");
    gc_root(strlit2114);
  }
// compiled string node returning strlit2114 (depth = 8)
  gc_frame_newslot(strlit2114);
// call case 4: self request
  params[0] = strlit2114;
  partcv[0] = 1;
  Object call2115 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2113);
// compiled call node returning call2115 (depth = 7)
  int op_slot_left_2105 = gc_frame_newslot(call2115);
  params[0] = opresult2111;
  partcv[0] = 1;
  Object opresult2116 = callmethod(call2115, "&&", 1, partcv, params);
// compiled op node returning opresult2116 (depth = 6)
  gc_frame_end(frame);
  return opresult2116;
}
Object meth_parser__apply2126(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2128 == NULL) {
    strlit2128 = alloc_String("lbrace");
    gc_root(strlit2128);
  }
// compiled string node returning strlit2128 (depth = 11)
  int op_slot_right_2127 = gc_frame_newslot(strlit2128);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2130 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_sym (depth = 13)
  partcv[0] = 0;
  Object call2131 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2130);
// compiled call node returning call2131 (depth = 12)
// compiled member node returning call2131 (depth = 11)
  int op_slot_left_2127 = gc_frame_newslot(call2131);
  params[0] = strlit2128;
  partcv[0] = 1;
  Object opresult2132 = callmethod(call2131, "==", 1, partcv, params);
// compiled op node returning opresult2132 (depth = 10)
  gc_frame_end(frame);
  return opresult2132;
}
Object meth_parser__apply2168(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_statementToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 706
  setline(706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile op node (depth = 12)
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit2173 == NULL) {
    strlit2173 = alloc_String("then");
    gc_root(strlit2173);
  }
// compiled string node returning strlit2173 (depth = 14)
  int op_slot_right_2172 = gc_frame_newslot(strlit2173);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe2175 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_t (depth = 16)
  partcv[0] = 0;
  Object call2176 = callmethod(*var_t, "value",
    1, partcv, params);
  gc_frame_end(callframe2175);
// compiled call node returning call2176 (depth = 15)
// compiled member node returning call2176 (depth = 14)
  int op_slot_left_2172 = gc_frame_newslot(call2176);
  params[0] = strlit2173;
  partcv[0] = 1;
  Object opresult2177 = callmethod(call2176, "==", 1, partcv, params);
// compiled op node returning opresult2177 (depth = 13)
  int op_slot_right_2171 = gc_frame_newslot(opresult2177);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit2180 == NULL) {
    strlit2180 = alloc_String("identifier");
    gc_root(strlit2180);
  }
// compiled string node returning strlit2180 (depth = 14)
  int op_slot_right_2179 = gc_frame_newslot(strlit2180);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe2182 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_t (depth = 16)
  partcv[0] = 0;
  Object call2183 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe2182);
// compiled call node returning call2183 (depth = 15)
// compiled member node returning call2183 (depth = 14)
  int op_slot_left_2179 = gc_frame_newslot(call2183);
  params[0] = strlit2180;
  partcv[0] = 1;
  Object opresult2184 = callmethod(call2183, "==", 1, partcv, params);
// compiled op node returning opresult2184 (depth = 13)
  int op_slot_left_2171 = gc_frame_newslot(opresult2184);
  params[0] = opresult2177;
  partcv[0] = 1;
  Object opresult2185 = callmethod(opresult2184, "&&", 1, partcv, params);
// compiled op node returning opresult2185 (depth = 12)
  int op_slot_right_2170 = gc_frame_newslot(opresult2185);
// starting to compile op node (depth = 12)
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit2189 == NULL) {
    strlit2189 = alloc_String("lbrace");
    gc_root(strlit2189);
  }
// compiled string node returning strlit2189 (depth = 14)
  int op_slot_right_2188 = gc_frame_newslot(strlit2189);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe2191 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_t (depth = 16)
  partcv[0] = 0;
  Object call2192 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe2191);
// compiled call node returning call2192 (depth = 15)
// compiled member node returning call2192 (depth = 14)
  int op_slot_left_2188 = gc_frame_newslot(call2192);
  params[0] = strlit2189;
  partcv[0] = 1;
  Object opresult2193 = callmethod(call2192, "==", 1, partcv, params);
// compiled op node returning opresult2193 (depth = 13)
  int op_slot_right_2187 = gc_frame_newslot(opresult2193);
// starting to compile op node (depth = 13)
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit2197 == NULL) {
    strlit2197 = alloc_String("rbrace");
    gc_root(strlit2197);
  }
// compiled string node returning strlit2197 (depth = 15)
  int op_slot_right_2196 = gc_frame_newslot(strlit2197);
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe2199 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_t (depth = 17)
  partcv[0] = 0;
  Object call2200 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe2199);
// compiled call node returning call2200 (depth = 16)
// compiled member node returning call2200 (depth = 15)
  int op_slot_left_2196 = gc_frame_newslot(call2200);
  params[0] = strlit2197;
  partcv[0] = 1;
  Object opresult2201 = callmethod(call2200, "==", 1, partcv, params);
// compiled op node returning opresult2201 (depth = 14)
  int op_slot_right_2195 = gc_frame_newslot(opresult2201);
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit2204 == NULL) {
    strlit2204 = alloc_String("rparen");
    gc_root(strlit2204);
  }
// compiled string node returning strlit2204 (depth = 15)
  int op_slot_right_2203 = gc_frame_newslot(strlit2204);
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe2206 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_t (depth = 17)
  partcv[0] = 0;
  Object call2207 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe2206);
// compiled call node returning call2207 (depth = 16)
// compiled member node returning call2207 (depth = 15)
  int op_slot_left_2203 = gc_frame_newslot(call2207);
  params[0] = strlit2204;
  partcv[0] = 1;
  Object opresult2208 = callmethod(call2207, "==", 1, partcv, params);
// compiled op node returning opresult2208 (depth = 14)
  int op_slot_left_2195 = gc_frame_newslot(opresult2208);
  params[0] = opresult2201;
  partcv[0] = 1;
  Object opresult2209 = callmethod(opresult2208, "||", 1, partcv, params);
// compiled op node returning opresult2209 (depth = 13)
  int op_slot_left_2187 = gc_frame_newslot(opresult2209);
  params[0] = opresult2193;
  partcv[0] = 1;
  Object opresult2210 = callmethod(opresult2209, "||", 1, partcv, params);
// compiled op node returning opresult2210 (depth = 12)
  int op_slot_left_2170 = gc_frame_newslot(opresult2210);
  params[0] = opresult2185;
  partcv[0] = 1;
  Object opresult2211 = callmethod(opresult2210, "||", 1, partcv, params);
// compiled op node returning opresult2211 (depth = 11)
  int op_slot_right_2169 = gc_frame_newslot(opresult2211);
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2214 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_statementToken (depth = 14)
  partcv[0] = 0;
  Object call2215 = callmethod(*var_statementToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2214);
// compiled call node returning call2215 (depth = 13)
// compiled member node returning call2215 (depth = 12)
  int op_slot_right_2213 = gc_frame_newslot(call2215);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2217 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_t (depth = 14)
  partcv[0] = 0;
  Object call2218 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe2217);
// compiled call node returning call2218 (depth = 13)
// compiled member node returning call2218 (depth = 12)
  int op_slot_left_2213 = gc_frame_newslot(call2218);
  params[0] = call2215;
  partcv[0] = 1;
  Object opresult2219 = callmethod(call2218, "==", 1, partcv, params);
// compiled op node returning opresult2219 (depth = 11)
  int op_slot_left_2169 = gc_frame_newslot(opresult2219);
  params[0] = opresult2211;
  partcv[0] = 1;
  Object opresult2220 = callmethod(opresult2219, "&&", 1, partcv, params);
// compiled op node returning opresult2220 (depth = 10)
  gc_frame_end(frame);
  return opresult2220;
}
Object meth_parser__apply2307(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 11)
  int callframe2308 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_blocksOK (depth = 12)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call2309 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2308);
// compiled call node returning call2309 (depth = 11)
  gc_frame_end(frame);
  return call2309;
}
Object meth_parser__apply2319(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 738
  setline(738);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit2323 == NULL) {
    strlit2323 = alloc_String("rbrace");
    gc_root(strlit2323);
  }
// compiled string node returning strlit2323 (depth = 13)
  int op_slot_right_2322 = gc_frame_newslot(strlit2323);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe2325 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_t (depth = 15)
  partcv[0] = 0;
  Object call2326 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe2325);
// compiled call node returning call2326 (depth = 14)
// compiled member node returning call2326 (depth = 13)
  int op_slot_left_2322 = gc_frame_newslot(call2326);
  params[0] = strlit2323;
  partcv[0] = 1;
  Object opresult2327 = callmethod(call2326, "==", 1, partcv, params);
// compiled op node returning opresult2327 (depth = 12)
  int op_slot_right_2321 = gc_frame_newslot(opresult2327);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit2330 == NULL) {
    strlit2330 = alloc_String("rparen");
    gc_root(strlit2330);
  }
// compiled string node returning strlit2330 (depth = 13)
  int op_slot_right_2329 = gc_frame_newslot(strlit2330);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe2332 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_t (depth = 15)
  partcv[0] = 0;
  Object call2333 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe2332);
// compiled call node returning call2333 (depth = 14)
// compiled member node returning call2333 (depth = 13)
  int op_slot_left_2329 = gc_frame_newslot(call2333);
  params[0] = strlit2330;
  partcv[0] = 1;
  Object opresult2334 = callmethod(call2333, "==", 1, partcv, params);
// compiled op node returning opresult2334 (depth = 12)
  int op_slot_left_2321 = gc_frame_newslot(opresult2334);
  params[0] = opresult2327;
  partcv[0] = 1;
  Object opresult2335 = callmethod(opresult2334, "||", 1, partcv, params);
// compiled op node returning opresult2335 (depth = 11)
  int op_slot_right_2320 = gc_frame_newslot(opresult2335);
// Begin line 737
  setline(737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2338 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_lastToken (depth = 14)
  partcv[0] = 0;
  Object call2339 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2338);
// compiled call node returning call2339 (depth = 13)
// compiled member node returning call2339 (depth = 12)
  int op_slot_right_2337 = gc_frame_newslot(call2339);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2341 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_t (depth = 14)
  partcv[0] = 0;
  Object call2342 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe2341);
// compiled call node returning call2342 (depth = 13)
// compiled member node returning call2342 (depth = 12)
  int op_slot_left_2337 = gc_frame_newslot(call2342);
  params[0] = call2339;
  partcv[0] = 1;
  Object opresult2343 = callmethod(call2342, "==", 1, partcv, params);
// compiled op node returning opresult2343 (depth = 11)
  int op_slot_left_2320 = gc_frame_newslot(opresult2343);
  params[0] = opresult2335;
  partcv[0] = 1;
  Object opresult2344 = callmethod(opresult2343, "&&", 1, partcv, params);
// compiled op node returning opresult2344 (depth = 10)
  gc_frame_end(frame);
  return opresult2344;
}
Object meth_parser__apply2655(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2656 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 10)
  int callframe2657 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit2658 == NULL) {
    strlit2658 = alloc_String("rbrace");
    gc_root(strlit2658);
  }
// compiled string node returning strlit2658 (depth = 11)
  gc_frame_newslot(strlit2658);
// call case 4: self request
  params[0] = strlit2658;
  partcv[0] = 1;
  Object call2659 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2657);
// compiled call node returning call2659 (depth = 10)
  partcv[0] = 0;
  Object call2660 = callmethod(call2659, "not",
    1, partcv, params);
  gc_frame_end(callframe2656);
// compiled call node returning call2660 (depth = 9)
// compiled member node returning call2660 (depth = 8)
  gc_frame_end(frame);
  return call2660;
}
Object meth_parser__apply2668(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe2669 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2670 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2669);
// compiled call node returning call2670 (depth = 14)
// compiled member node returning call2670 (depth = 13)
  gc_frame_end(frame);
  return call2670;
}
Object meth_parser__apply2663(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_btok = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_v = getfromclosure(closure, 5);
  Object *var_ebody = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_closingBrace = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "closingBrace");
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 827
  setline(827);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2665 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 11)
  int callframe2666 = gc_frame_new();
// starting to compile block node (depth = 12)
  Object block2667 = alloc_Block(NULL, NULL, "parser", 827);
  gc_frame_newslot(block2667);
// method _apply
  block_savedest(block2667);
  Object closure2668 = createclosure(1, "_apply");
  setclosureframe(closure2668, stackframe);
  addtoclosure(closure2668, selfslot);
  struct UserObject *uo2668 = (struct UserObject*)block2667;
  uo2668->data[0] = (Object)closure2668;
  Method *meth_meth_parser__apply2668 = addmethod2pos(block2667, "_apply", &meth_parser__apply2668, 0);
  int argcv_meth_parser__apply2668[] = {0};
  meth_meth_parser__apply2668->type = alloc_MethodType(1, argcv_meth_parser__apply2668);
  meth_meth_parser__apply2668->definitionModule = modulename;
  meth_meth_parser__apply2668->definitionLine = 827;
// compiled block node returning block2667 (depth = 12)
  gc_frame_newslot(block2667);
// call case 4: self request
  params[0] = block2667;
  partcv[0] = 1;
  Object call2672 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2666);
// compiled call node returning call2672 (depth = 11)
  partcv[0] = 0;
  Object call2673 = callmethod(call2672, "not",
    1, partcv, params);
  gc_frame_end(callframe2665);
// compiled call node returning call2673 (depth = 10)
// compiled member node returning call2673 (depth = 9)
  Object if2664 = done;
  if (istrue(call2673)) {
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// Begin line 828
  setline(828);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2674 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2675 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  partcv[0] = 0;
  Object call2676 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2675);
// compiled call node returning call2676 (depth = 13)
// compiled member node returning call2676 (depth = 12)
  partcv[0] = 0;
  Object call2677 = callmethod(call2676, "new",
    1, partcv, params);
  gc_frame_end(callframe2674);
// compiled call node returning call2677 (depth = 11)
// compiled member node returning call2677 (depth = 10)
  *var_suggestion = call2677;
  if (call2677 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 9)
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2678 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_btok (depth = 11)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 11)
  Object bool2679 = alloc_Boolean(0);
// compiled identifier node returning bool2679 (depth = 11)
  gc_frame_newslot(bool2679);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool2679;
  partcv[0] = 2;
  Object call2680 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2678);
// compiled call node returning call2680 (depth = 10)
  *var_closingBrace = call2680;
  if (call2680 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 9)
// Begin line 837
  setline(837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 830
  setline(830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
  Object bool2683 = alloc_Boolean(0);
// compiled identifier node returning bool2683 (depth = 11)
  int op_slot_right_2682 = gc_frame_newslot(bool2683);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2685 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_closingBrace (depth = 13)
  partcv[0] = 0;
  Object call2686 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2685);
// compiled call node returning call2686 (depth = 12)
// compiled member node returning call2686 (depth = 11)
  int op_slot_left_2682 = gc_frame_newslot(call2686);
  params[0] = bool2683;
  partcv[0] = 1;
  Object opresult2687 = callmethod(call2686, "==", 1, partcv, params);
// compiled op node returning opresult2687 (depth = 10)
  Object if2681 = done;
  if (istrue(opresult2687)) {
// Begin line 836
  setline(836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 831
  setline(831);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lastToken (depth = 12)
  int op_slot_right_2689 = gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2691 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_closingBrace (depth = 14)
  partcv[0] = 0;
  Object call2692 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2691);
// compiled call node returning call2692 (depth = 13)
// compiled member node returning call2692 (depth = 12)
  int op_slot_left_2689 = gc_frame_newslot(call2692);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2693 = callmethod(call2692, "==", 1, partcv, params);
// compiled op node returning opresult2693 (depth = 11)
  Object if2688 = done;
  if (istrue(opresult2693)) {
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe2694 = gc_frame_new();
// starting to compile string node (depth = 12)
  if (strlit2695 == NULL) {
    strlit2695 = alloc_String("}");
    gc_root(strlit2695);
  }
// compiled string node returning strlit2695 (depth = 12)
  gc_frame_newslot(strlit2695);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lastToken (depth = 12)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestion (depth = 12)
  params[0] = strlit2695;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2696 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2694);
// compiled call node returning call2696 (depth = 11)
    gc_frame_newslot(call2696);
    if2688 = call2696;
  } else {
// Begin line 834
  setline(834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe2697 = gc_frame_new();
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num2699 = alloc_Float64(0.1);
// compiled num node returning num2699 (depth = 13)
  int op_slot_right_2698 = gc_frame_newslot(num2699);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe2701 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe2702 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_closingBrace (depth = 17)
  partcv[0] = 0;
  Object call2703 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2702);
// compiled call node returning call2703 (depth = 16)
// compiled member node returning call2703 (depth = 15)
  partcv[0] = 0;
  Object call2704 = callmethod(call2703, "line",
    1, partcv, params);
  gc_frame_end(callframe2701);
// compiled call node returning call2704 (depth = 14)
// compiled member node returning call2704 (depth = 13)
  int op_slot_left_2698 = gc_frame_newslot(call2704);
  params[0] = num2699;
  partcv[0] = 1;
  Object sum2705 = callmethod(call2704, "+", 1, partcv, params);
// compiled op node returning sum2705 (depth = 12)
  gc_frame_newslot(sum2705);
// starting to compile string node (depth = 12)
  if (strlit2706 == NULL) {
    strlit2706 = alloc_String("}");
    gc_root(strlit2706);
  }
// compiled string node returning strlit2706 (depth = 12)
  gc_frame_newslot(strlit2706);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestion (depth = 12)
  params[0] = sum2705;
  params[1] = strlit2706;
  partcv[0] = 2;
  Object call2707 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2697);
// compiled call node returning call2707 (depth = 11)
    gc_frame_newslot(call2707);
    if2688 = call2707;
  }
// compiled if node returning if2688 (depth = 10)
    gc_frame_newslot(if2688);
    if2681 = if2688;
  } else {
  }
// compiled if node returning if2681 (depth = 9)
// Begin line 837
  setline(837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2708 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call2709 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe2708);
// compiled call node returning call2709 (depth = 9)
// Begin line 838
  setline(838);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2710 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2711 == NULL) {
    strlit2711 = alloc_String("An elseif statement must end with a '}'.");
    gc_root(strlit2711);
  }
// compiled string node returning strlit2711 (depth = 10)
  gc_frame_newslot(strlit2711);
// Begin line 839
  setline(839);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2712 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call2713 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2712);
// compiled call node returning call2713 (depth = 11)
// compiled member node returning call2713 (depth = 10)
  gc_frame_newslot(call2713);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2714 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call2715 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2714);
// compiled call node returning call2715 (depth = 11)
// compiled member node returning call2715 (depth = 10)
  gc_frame_newslot(call2715);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 838
  setline(838);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit2711;
  params[1] = call2713;
  params[2] = call2715;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2716 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2710);
// compiled call node returning call2716 (depth = 9)
    gc_frame_newslot(call2716);
    if2664 = call2716;
  } else {
  }
// compiled if node returning if2664 (depth = 8)
// Begin line 842
  setline(842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2717 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_values (depth = 11)
  partcv[0] = 0;
  Object call2718 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe2717);
// compiled call node returning call2718 (depth = 10)
// compiled member node returning call2718 (depth = 9)
  *var_v = call2718;
  if (call2718 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 842
  setline(842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2720 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_v (depth = 9)
  gc_frame_newslot(*var_v);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ebody (depth = 9)
  params[0] = *var_v;
  partcv[0] = 1;
  Object call2721 = callmethod(*var_ebody, "push",
    1, partcv, params);
  gc_frame_end(callframe2720);
// compiled call node returning call2721 (depth = 8)
  gc_frame_end(frame);
  return call2721;
}
Object meth_parser__apply2119(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(13, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementToken = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_econd = getfromclosure(closure, 6);
  Object *var_ebody = getfromclosure(closure, 7);
  Object *var_btok = getfromclosure(closure, 8);
  Object *var_minIndentLevel = getfromclosure(closure, 9);
  Object *var_minInd = getfromclosure(closure, 10);
  Object *var_v = getfromclosure(closure, 11);
  Object *var_newelse = getfromclosure(closure, 12);
  Object *var_eif = getfromclosure(closure, 13);
  Object *var_curelse = getfromclosure(closure, 14);
  Object self = *(getfromclosure(closure, 15));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_opener = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "opener");
  Object *var_closer = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "closer");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_closingBrace = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "closingBrace");
// Begin line 696
  setline(696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 696
  setline(696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2121 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2122 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2121);
// compiled call node returning call2122 (depth = 7)
// compiled member node returning call2122 (depth = 6)
// Begin line 699
  setline(699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile if node (depth = 7)
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2124 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block2125 = alloc_Block(NULL, NULL, "parser", 697);
  gc_frame_newslot(block2125);
// method _apply
  block_savedest(block2125);
  Object closure2126 = createclosure(2, "_apply");
  setclosureframe(closure2126, stackframe);
  addtoclosure(closure2126, var_sym);
  addtoclosure(closure2126, selfslot);
  struct UserObject *uo2126 = (struct UserObject*)block2125;
  uo2126->data[0] = (Object)closure2126;
  Method *meth_meth_parser__apply2126 = addmethod2pos(block2125, "_apply", &meth_parser__apply2126, 0);
  int argcv_meth_parser__apply2126[] = {0};
  meth_meth_parser__apply2126->type = alloc_MethodType(1, argcv_meth_parser__apply2126);
  meth_meth_parser__apply2126->definitionModule = modulename;
  meth_meth_parser__apply2126->definitionLine = 696;
// compiled block node returning block2125 (depth = 9)
  gc_frame_newslot(block2125);
// call case 6: other member request
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2135 == NULL) {
    strlit2135 = alloc_String("lparen");
    gc_root(strlit2135);
  }
// compiled string node returning strlit2135 (depth = 10)
  int op_slot_right_2134 = gc_frame_newslot(strlit2135);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2137 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call2138 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2137);
// compiled call node returning call2138 (depth = 11)
// compiled member node returning call2138 (depth = 10)
  int op_slot_left_2134 = gc_frame_newslot(call2138);
  params[0] = strlit2135;
  partcv[0] = 1;
  Object opresult2139 = callmethod(call2138, "==", 1, partcv, params);
// compiled op node returning opresult2139 (depth = 9)
  params[0] = block2125;
  partcv[0] = 1;
  Object call2140 = callmethod(opresult2139, "orElse",
    1, partcv, params);
  gc_frame_end(callframe2124);
// compiled call node returning call2140 (depth = 8)
  Object if2123 = done;
struct StackFrameObject *iftmpstackframe2123 = stackframe;
  if (istrue(call2140)) {
stackframe = alloc_StackFrame(0, iftmpstackframe2123);
gc_frame_newslot((Object)stackframe);
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2141 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call2142 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe2141);
// compiled call node returning call2142 (depth = 9)
// compiled member node returning call2142 (depth = 8)
    gc_frame_newslot(call2142);
    if2123 = call2142;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe2123);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 8)
  if (strlit2143 == NULL) {
    strlit2143 = alloc_String("-missing-");
    gc_root(strlit2143);
  }
// compiled string node returning strlit2143 (depth = 8)
    gc_frame_newslot(strlit2143);
    if2123 = strlit2143;
  }
stackframe = iftmpstackframe2123;
// compiled if node returning if2123 (depth = 7)
  *var_opener = if2123;
  if (if2123 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile if node (depth = 7)
// Begin line 699
  setline(699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2146 == NULL) {
    strlit2146 = alloc_String("(");
    gc_root(strlit2146);
  }
// compiled string node returning strlit2146 (depth = 9)
  int op_slot_right_2145 = gc_frame_newslot(strlit2146);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_opener (depth = 9)
  int op_slot_left_2145 = gc_frame_newslot(*var_opener);
  params[0] = strlit2146;
  partcv[0] = 1;
  Object opresult2148 = callmethod(*var_opener, "==", 1, partcv, params);
// compiled op node returning opresult2148 (depth = 8)
  Object if2144 = done;
struct StackFrameObject *iftmpstackframe2144 = stackframe;
  if (istrue(opresult2148)) {
stackframe = alloc_StackFrame(0, iftmpstackframe2144);
gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 8)
  if (strlit2149 == NULL) {
    strlit2149 = alloc_String(")");
    gc_root(strlit2149);
  }
// compiled string node returning strlit2149 (depth = 8)
    gc_frame_newslot(strlit2149);
    if2144 = strlit2149;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe2144);
  gc_frame_newslot((Object)stackframe);
// Begin line 700
  setline(700);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2152 == NULL) {
    strlit2152 = alloc_String("{");
    gc_root(strlit2152);
  }
// compiled string node returning strlit2152 (depth = 10)
  int op_slot_right_2151 = gc_frame_newslot(strlit2152);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_opener (depth = 10)
  int op_slot_left_2151 = gc_frame_newslot(*var_opener);
  params[0] = strlit2152;
  partcv[0] = 1;
  Object opresult2154 = callmethod(*var_opener, "==", 1, partcv, params);
// compiled op node returning opresult2154 (depth = 9)
  Object if2150 = done;
  if (istrue(opresult2154)) {
// starting to compile string node (depth = 9)
  if (strlit2155 == NULL) {
    strlit2155 = alloc_String("}");
    gc_root(strlit2155);
  }
// compiled string node returning strlit2155 (depth = 9)
    gc_frame_newslot(strlit2155);
    if2150 = strlit2155;
  } else {
// starting to compile string node (depth = 9)
  if (strlit2156 == NULL) {
    strlit2156 = alloc_String("-nothing-");
    gc_root(strlit2156);
  }
// compiled string node returning strlit2156 (depth = 9)
    gc_frame_newslot(strlit2156);
    if2150 = strlit2156;
  }
// compiled if node returning if2150 (depth = 8)
    gc_frame_newslot(if2150);
    if2144 = if2150;
  }
stackframe = iftmpstackframe2144;
// compiled if node returning if2144 (depth = 7)
  *var_closer = if2144;
  if (if2144 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 733
  setline(733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2159 == NULL) {
    strlit2159 = alloc_String("-missing-");
    gc_root(strlit2159);
  }
// compiled string node returning strlit2159 (depth = 8)
  int op_slot_right_2158 = gc_frame_newslot(strlit2159);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_opener (depth = 8)
  int op_slot_left_2158 = gc_frame_newslot(*var_opener);
  params[0] = strlit2159;
  partcv[0] = 1;
  Object opresult2161 = callmethod(*var_opener, "==", 1, partcv, params);
// compiled op node returning opresult2161 (depth = 7)
  Object if2157 = done;
  if (istrue(opresult2161)) {
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 702
  setline(702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2162 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2163 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call2164 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2163);
// compiled call node returning call2164 (depth = 11)
// compiled member node returning call2164 (depth = 10)
  partcv[0] = 0;
  Object call2165 = callmethod(call2164, "new",
    1, partcv, params);
  gc_frame_end(callframe2162);
// compiled call node returning call2165 (depth = 9)
// compiled member node returning call2165 (depth = 8)
  *var_suggestion = call2165;
  if (call2165 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2166 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block2167 = alloc_Block(NULL, NULL, "parser", 704);
  gc_frame_newslot(block2167);
// method _apply
  block_savedest(block2167);
  Object closure2168 = createclosure(2, "_apply");
  setclosureframe(closure2168, stackframe);
  addtoclosure(closure2168, var_statementToken);
  addtoclosure(closure2168, selfslot);
  struct UserObject *uo2168 = (struct UserObject*)block2167;
  uo2168->data[0] = (Object)closure2168;
  Method *meth_meth_parser__apply2168 = addmethod2pos(block2167, "_apply", &meth_parser__apply2168, 0);
  int argcv_meth_parser__apply2168[] = {1};
  meth_meth_parser__apply2168->type = alloc_MethodType(1, argcv_meth_parser__apply2168);
  meth_meth_parser__apply2168->definitionModule = modulename;
  meth_meth_parser__apply2168->definitionLine = 702;
// compiled block node returning block2167 (depth = 9)
  gc_frame_newslot(block2167);
// call case 4: self request
  params[0] = block2167;
  partcv[0] = 1;
  Object call2222 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2166);
// compiled call node returning call2222 (depth = 8)
  *var_nextTok = call2222;
  if (call2222 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 730
  setline(730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool2225 = alloc_Boolean(0);
// compiled identifier node returning bool2225 (depth = 9)
  int op_slot_right_2224 = gc_frame_newslot(bool2225);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_2224 = gc_frame_newslot(*var_nextTok);
  params[0] = bool2225;
  partcv[0] = 1;
  Object opresult2227 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult2227 (depth = 8)
  Object if2223 = done;
  if (istrue(opresult2227)) {
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2228 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit2229 == NULL) {
    strlit2229 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit2229);
  }
// compiled string node returning strlit2229 (depth = 9)
  gc_frame_newslot(strlit2229);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_statementToken (depth = 9)
  gc_frame_newslot(*var_statementToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit2229;
  params[1] = *var_statementToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2230 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2228);
// compiled call node returning call2230 (depth = 8)
    gc_frame_newslot(call2230);
    if2223 = call2230;
  } else {
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 709
  setline(709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2233 == NULL) {
    strlit2233 = alloc_String("rparen");
    gc_root(strlit2233);
  }
// compiled string node returning strlit2233 (depth = 10)
  int op_slot_right_2232 = gc_frame_newslot(strlit2233);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2235 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_nextTok (depth = 12)
  partcv[0] = 0;
  Object call2236 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe2235);
// compiled call node returning call2236 (depth = 11)
// compiled member node returning call2236 (depth = 10)
  int op_slot_left_2232 = gc_frame_newslot(call2236);
  params[0] = strlit2233;
  partcv[0] = 1;
  Object opresult2237 = callmethod(call2236, "==", 1, partcv, params);
// compiled op node returning opresult2237 (depth = 9)
  Object if2231 = done;
  if (istrue(opresult2237)) {
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 710
  setline(710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  int op_slot_right_2239 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  int op_slot_left_2239 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2241 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult2241 (depth = 10)
  Object if2238 = done;
  if (istrue(opresult2241)) {
// Begin line 711
  setline(711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2242 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit2243 == NULL) {
    strlit2243 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit2243);
  }
// compiled string node returning strlit2243 (depth = 11)
  gc_frame_newslot(strlit2243);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = strlit2243;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2244 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe2242);
// compiled call node returning call2244 (depth = 10)
    gc_frame_newslot(call2244);
    if2238 = call2244;
  } else {
// Begin line 713
  setline(713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2245 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit2246 == NULL) {
    strlit2246 = alloc_String("(");
    gc_root(strlit2246);
  }
// compiled string node returning strlit2246 (depth = 11)
  gc_frame_newslot(strlit2246);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = strlit2246;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2247 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe2245);
// compiled call node returning call2247 (depth = 10)
    gc_frame_newslot(call2247);
    if2238 = call2247;
  }
// compiled if node returning if2238 (depth = 9)
    gc_frame_newslot(if2238);
    if2231 = if2238;
  } else {
// Begin line 722
  setline(722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2250 == NULL) {
    strlit2250 = alloc_String("lbrace");
    gc_root(strlit2250);
  }
// compiled string node returning strlit2250 (depth = 11)
  int op_slot_right_2249 = gc_frame_newslot(strlit2250);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2252 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_nextTok (depth = 13)
  partcv[0] = 0;
  Object call2253 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe2252);
// compiled call node returning call2253 (depth = 12)
// compiled member node returning call2253 (depth = 11)
  int op_slot_left_2249 = gc_frame_newslot(call2253);
  params[0] = strlit2250;
  partcv[0] = 1;
  Object opresult2254 = callmethod(call2253, "==", 1, partcv, params);
// compiled op node returning opresult2254 (depth = 10)
  Object if2248 = done;
  if (istrue(opresult2254)) {
// Begin line 722
  setline(722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  int op_slot_right_2256 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_nextTok (depth = 12)
  int op_slot_left_2256 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2258 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult2258 (depth = 11)
  Object if2255 = done;
  if (istrue(opresult2258)) {
// Begin line 717
  setline(717);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe2259 = gc_frame_new();
// starting to compile string node (depth = 12)
  if (strlit2260 == NULL) {
    strlit2260 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"") then");
    gc_root(strlit2260);
  }
// compiled string node returning strlit2260 (depth = 12)
  gc_frame_newslot(strlit2260);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_statementToken (depth = 12)
  gc_frame_newslot(*var_statementToken);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestion (depth = 12)
  params[0] = strlit2260;
  params[1] = *var_statementToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2261 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2259);
// compiled call node returning call2261 (depth = 11)
    gc_frame_newslot(call2261);
    if2255 = call2261;
  } else {
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe2262 = gc_frame_new();
// starting to compile string node (depth = 12)
  if (strlit2263 == NULL) {
    strlit2263 = alloc_String("(");
    gc_root(strlit2263);
  }
// compiled string node returning strlit2263 (depth = 12)
  gc_frame_newslot(strlit2263);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestion (depth = 12)
  params[0] = strlit2263;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2264 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe2262);
// compiled call node returning call2264 (depth = 11)
// Begin line 720
  setline(720);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe2265 = gc_frame_new();
// starting to compile string node (depth = 12)
  if (strlit2266 == NULL) {
    strlit2266 = alloc_String(") then");
    gc_root(strlit2266);
  }
// compiled string node returning strlit2266 (depth = 12)
  gc_frame_newslot(strlit2266);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2267 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_nextTok (depth = 14)
  partcv[0] = 0;
  Object call2268 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe2267);
// compiled call node returning call2268 (depth = 13)
// compiled member node returning call2268 (depth = 12)
  gc_frame_newslot(call2268);
// starting to compile identifier node (depth = 12)
  Object bool2269 = alloc_Boolean(1);
// compiled identifier node returning bool2269 (depth = 12)
  gc_frame_newslot(bool2269);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestion (depth = 12)
  params[0] = strlit2266;
  params[1] = call2268;
  params[2] = bool2269;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2270 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe2265);
// compiled call node returning call2270 (depth = 11)
    gc_frame_newslot(call2270);
    if2255 = call2270;
  }
// compiled if node returning if2255 (depth = 10)
    gc_frame_newslot(if2255);
    if2248 = if2255;
  } else {
// Begin line 730
  setline(730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 722
  setline(722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2273 == NULL) {
    strlit2273 = alloc_String("identifier");
    gc_root(strlit2273);
  }
// compiled string node returning strlit2273 (depth = 12)
  int op_slot_right_2272 = gc_frame_newslot(strlit2273);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2275 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_nextTok (depth = 14)
  partcv[0] = 0;
  Object call2276 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe2275);
// compiled call node returning call2276 (depth = 13)
// compiled member node returning call2276 (depth = 12)
  int op_slot_left_2272 = gc_frame_newslot(call2276);
  params[0] = strlit2273;
  partcv[0] = 1;
  Object opresult2277 = callmethod(call2276, "==", 1, partcv, params);
// compiled op node returning opresult2277 (depth = 11)
  Object if2271 = done;
  if (istrue(opresult2277)) {
// Begin line 729
  setline(729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 723
  setline(723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_sym (depth = 13)
  int op_slot_right_2279 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_nextTok (depth = 13)
  int op_slot_left_2279 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2281 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult2281 (depth = 12)
  Object if2278 = done;
  if (istrue(opresult2281)) {
// Begin line 724
  setline(724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe2282 = gc_frame_new();
// starting to compile string node (depth = 13)
  if (strlit2283 == NULL) {
    strlit2283 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb"") ");
    gc_root(strlit2283);
  }
// compiled string node returning strlit2283 (depth = 13)
  gc_frame_newslot(strlit2283);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_sym (depth = 13)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_suggestion (depth = 13)
  params[0] = strlit2283;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2284 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe2282);
// compiled call node returning call2284 (depth = 12)
    gc_frame_newslot(call2284);
    if2278 = call2284;
  } else {
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe2285 = gc_frame_new();
// starting to compile string node (depth = 13)
  if (strlit2286 == NULL) {
    strlit2286 = alloc_String("(");
    gc_root(strlit2286);
  }
// compiled string node returning strlit2286 (depth = 13)
  gc_frame_newslot(strlit2286);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_sym (depth = 13)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_suggestion (depth = 13)
  params[0] = strlit2286;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2287 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe2285);
// compiled call node returning call2287 (depth = 12)
// Begin line 727
  setline(727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe2288 = gc_frame_new();
// starting to compile string node (depth = 13)
  if (strlit2289 == NULL) {
    strlit2289 = alloc_String(")");
    gc_root(strlit2289);
  }
// compiled string node returning strlit2289 (depth = 13)
  gc_frame_newslot(strlit2289);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe2290 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_nextTok (depth = 15)
  partcv[0] = 0;
  Object call2291 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe2290);
// compiled call node returning call2291 (depth = 14)
// compiled member node returning call2291 (depth = 13)
  gc_frame_newslot(call2291);
// starting to compile identifier node (depth = 13)
  Object bool2292 = alloc_Boolean(1);
// compiled identifier node returning bool2292 (depth = 13)
  gc_frame_newslot(bool2292);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_suggestion (depth = 13)
  params[0] = strlit2289;
  params[1] = call2291;
  params[2] = bool2292;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2293 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe2288);
// compiled call node returning call2293 (depth = 12)
    gc_frame_newslot(call2293);
    if2278 = call2293;
  }
// compiled if node returning if2278 (depth = 11)
    gc_frame_newslot(if2278);
    if2271 = if2278;
  } else {
  }
// compiled if node returning if2271 (depth = 10)
    gc_frame_newslot(if2271);
    if2248 = if2271;
  }
// compiled if node returning if2248 (depth = 9)
    gc_frame_newslot(if2248);
    if2231 = if2248;
  }
// compiled if node returning if2231 (depth = 8)
    gc_frame_newslot(if2231);
    if2223 = if2231;
  }
// compiled if node returning if2223 (depth = 7)
// Begin line 730
  setline(730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2294 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit2295 == NULL) {
    strlit2295 = alloc_String("An elseif statement must have an expression in parentheses or braces after the 'elseif'.");
    gc_root(strlit2295);
  }
// compiled string node returning strlit2295 (depth = 8)
  gc_frame_newslot(strlit2295);
// Begin line 731
  setline(731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2296 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call2297 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2296);
// compiled call node returning call2297 (depth = 9)
// compiled member node returning call2297 (depth = 8)
  gc_frame_newslot(call2297);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2298 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call2299 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2298);
// compiled call node returning call2299 (depth = 9)
// compiled member node returning call2299 (depth = 8)
  gc_frame_newslot(call2299);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 730
  setline(730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit2295;
  params[1] = call2297;
  params[2] = call2299;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2300 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2294);
// compiled call node returning call2300 (depth = 7)
    gc_frame_newslot(call2300);
    if2157 = call2300;
  } else {
  }
// compiled if node returning if2157 (depth = 6)
// Begin line 733
  setline(733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2301 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2302 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2301);
// compiled call node returning call2302 (depth = 7)
// compiled member node returning call2302 (depth = 6)
// Begin line 761
  setline(761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 734
  setline(734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2304 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 9)
  int callframe2305 = gc_frame_new();
// starting to compile block node (depth = 10)
  Object block2306 = alloc_Block(NULL, NULL, "parser", 734);
  gc_frame_newslot(block2306);
// method _apply
  block_savedest(block2306);
  Object closure2307 = createclosure(2, "_apply");
  setclosureframe(closure2307, stackframe);
  addtoclosure(closure2307, var_blocksOK);
  addtoclosure(closure2307, selfslot);
  struct UserObject *uo2307 = (struct UserObject*)block2306;
  uo2307->data[0] = (Object)closure2307;
  Method *meth_meth_parser__apply2307 = addmethod2pos(block2306, "_apply", &meth_parser__apply2307, 0);
  int argcv_meth_parser__apply2307[] = {0};
  meth_meth_parser__apply2307->type = alloc_MethodType(1, argcv_meth_parser__apply2307);
  meth_meth_parser__apply2307->definitionModule = modulename;
  meth_meth_parser__apply2307->definitionLine = 734;
// compiled block node returning block2306 (depth = 10)
  gc_frame_newslot(block2306);
// call case 4: self request
  params[0] = block2306;
  partcv[0] = 1;
  Object call2311 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2305);
// compiled call node returning call2311 (depth = 9)
  partcv[0] = 0;
  Object call2312 = callmethod(call2311, "not",
    1, partcv, params);
  gc_frame_end(callframe2304);
// compiled call node returning call2312 (depth = 8)
// compiled member node returning call2312 (depth = 7)
  Object if2303 = done;
  if (istrue(call2312)) {
// Begin line 737
  setline(737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 735
  setline(735);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2313 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2314 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call2315 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2314);
// compiled call node returning call2315 (depth = 11)
// compiled member node returning call2315 (depth = 10)
  partcv[0] = 0;
  Object call2316 = callmethod(call2315, "new",
    1, partcv, params);
  gc_frame_end(callframe2313);
// compiled call node returning call2316 (depth = 9)
// compiled member node returning call2316 (depth = 8)
  *var_suggestion = call2316;
  if (call2316 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 737
  setline(737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2317 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block2318 = alloc_Block(NULL, NULL, "parser", 737);
  gc_frame_newslot(block2318);
// method _apply
  block_savedest(block2318);
  Object closure2319 = createclosure(2, "_apply");
  setclosureframe(closure2319, stackframe);
  addtoclosure(closure2319, var_lastToken);
  addtoclosure(closure2319, selfslot);
  struct UserObject *uo2319 = (struct UserObject*)block2318;
  uo2319->data[0] = (Object)closure2319;
  Method *meth_meth_parser__apply2319 = addmethod2pos(block2318, "_apply", &meth_parser__apply2319, 0);
  int argcv_meth_parser__apply2319[] = {1};
  meth_meth_parser__apply2319->type = alloc_MethodType(1, argcv_meth_parser__apply2319);
  meth_meth_parser__apply2319->definitionModule = modulename;
  meth_meth_parser__apply2319->definitionLine = 735;
// compiled block node returning block2318 (depth = 9)
  gc_frame_newslot(block2318);
// call case 4: self request
  params[0] = block2318;
  partcv[0] = 1;
  Object call2346 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2317);
// compiled call node returning call2346 (depth = 8)
  *var_nextTok = call2346;
  if (call2346 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 7)
// Begin line 760
  setline(760);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 739
  setline(739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool2349 = alloc_Boolean(0);
// compiled identifier node returning bool2349 (depth = 9)
  int op_slot_right_2348 = gc_frame_newslot(bool2349);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_2348 = gc_frame_newslot(*var_nextTok);
  params[0] = bool2349;
  partcv[0] = 1;
  Object opresult2351 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult2351 (depth = 8)
  Object if2347 = done;
  if (istrue(opresult2351)) {
// Begin line 740
  setline(740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2352 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2353 == NULL) {
    strlit2353 = alloc_String("rparen");
    gc_root(strlit2353);
  }
// compiled string node returning strlit2353 (depth = 10)
  gc_frame_newslot(strlit2353);
// call case 4: self request
  params[0] = strlit2353;
  partcv[0] = 1;
  Object call2354 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2352);
// compiled call node returning call2354 (depth = 9)
  *var_nextTok = call2354;
  if (call2354 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 746
  setline(746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 741
  setline(741);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  int op_slot_right_2357 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  int op_slot_left_2357 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2359 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult2359 (depth = 9)
  Object if2356 = done;
  if (istrue(opresult2359)) {
// Begin line 742
  setline(742);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2360 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2361 == NULL) {
    strlit2361 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit2361);
  }
// compiled string node returning strlit2361 (depth = 10)
  gc_frame_newslot(strlit2361);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit2361;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2362 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2360);
// compiled call node returning call2362 (depth = 9)
    gc_frame_newslot(call2362);
    if2356 = call2362;
  } else {
// Begin line 744
  setline(744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2363 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2364 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_nextTok (depth = 12)
  partcv[0] = 0;
  Object call2365 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe2364);
// compiled call node returning call2365 (depth = 11)
// compiled member node returning call2365 (depth = 10)
  gc_frame_newslot(call2365);
// starting to compile identifier node (depth = 10)
  Object bool2366 = alloc_Boolean(1);
// compiled identifier node returning bool2366 (depth = 10)
  gc_frame_newslot(bool2366);
// starting to compile identifier node (depth = 10)
  Object bool2367 = alloc_Boolean(0);
// compiled identifier node returning bool2367 (depth = 10)
  gc_frame_newslot(bool2367);
// starting to compile string node (depth = 10)
  if (strlit2368 == NULL) {
    strlit2368 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit2368);
  }
// compiled string node returning strlit2368 (depth = 10)
  gc_frame_newslot(strlit2368);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  params[1] = call2365;
  params[2] = bool2366;
  params[3] = bool2367;
  params[4] = strlit2368;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2369 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2363);
// compiled call node returning call2369 (depth = 9)
    gc_frame_newslot(call2369);
    if2356 = call2369;
  }
// compiled if node returning if2356 (depth = 8)
// Begin line 746
  setline(746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2370 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit2371 == NULL) {
    strlit2371 = alloc_String("An elseif statement must have an expression in parentheses or braces after the 'elseif'.");
    gc_root(strlit2371);
  }
// compiled string node returning strlit2371 (depth = 9)
  gc_frame_newslot(strlit2371);
// Begin line 747
  setline(747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2372 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call2373 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2372);
// compiled call node returning call2373 (depth = 10)
// compiled member node returning call2373 (depth = 9)
  gc_frame_newslot(call2373);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2374 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call2375 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2374);
// compiled call node returning call2375 (depth = 10)
// compiled member node returning call2375 (depth = 9)
  gc_frame_newslot(call2375);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 746
  setline(746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit2371;
  params[1] = call2373;
  params[2] = call2375;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2376 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2370);
// compiled call node returning call2376 (depth = 8)
    gc_frame_newslot(call2376);
    if2347 = call2376;
  } else {
// Begin line 759
  setline(759);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 749
  setline(749);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  int op_slot_right_2378 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  int op_slot_left_2378 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2380 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult2380 (depth = 9)
  Object if2377 = done;
  if (istrue(opresult2380)) {
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2381 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2382 == NULL) {
    strlit2382 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit2382);
  }
// compiled string node returning strlit2382 (depth = 10)
  gc_frame_newslot(strlit2382);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit2382;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2383 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2381);
// compiled call node returning call2383 (depth = 9)
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2384 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2385 == NULL) {
    strlit2385 = alloc_String("An elseif statement must have an expression in parentheses or braces after the 'elseif'.");
    gc_root(strlit2385);
  }
// compiled string node returning strlit2385 (depth = 10)
  gc_frame_newslot(strlit2385);
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2386 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call2387 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2386);
// compiled call node returning call2387 (depth = 11)
// compiled member node returning call2387 (depth = 10)
  gc_frame_newslot(call2387);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2388 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call2389 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2388);
// compiled call node returning call2389 (depth = 11)
// compiled member node returning call2389 (depth = 10)
  gc_frame_newslot(call2389);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit2385;
  params[1] = call2387;
  params[2] = call2389;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2390 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2384);
// compiled call node returning call2390 (depth = 9)
    gc_frame_newslot(call2390);
    if2377 = call2390;
  } else {
// Begin line 755
  setline(755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2391 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2392 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_nextTok (depth = 12)
  partcv[0] = 0;
  Object call2393 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe2392);
// compiled call node returning call2393 (depth = 11)
// compiled member node returning call2393 (depth = 10)
  gc_frame_newslot(call2393);
// starting to compile identifier node (depth = 10)
  Object bool2394 = alloc_Boolean(0);
// compiled identifier node returning bool2394 (depth = 10)
  gc_frame_newslot(bool2394);
// starting to compile identifier node (depth = 10)
  Object bool2395 = alloc_Boolean(1);
// compiled identifier node returning bool2395 (depth = 10)
  gc_frame_newslot(bool2395);
// starting to compile string node (depth = 10)
  if (strlit2396 == NULL) {
    strlit2396 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit2396);
  }
// compiled string node returning strlit2396 (depth = 10)
  gc_frame_newslot(strlit2396);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  params[1] = call2393;
  params[2] = bool2394;
  params[3] = bool2395;
  params[4] = strlit2396;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2397 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2391);
// compiled call node returning call2397 (depth = 9)
// Begin line 756
  setline(756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2398 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2399 == NULL) {
    strlit2399 = alloc_String("4: An elseif statement must have an expression in parentheses or braces after the 'elseif'.");
    gc_root(strlit2399);
  }
// compiled string node returning strlit2399 (depth = 10)
  gc_frame_newslot(strlit2399);
// Begin line 757
  setline(757);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2400 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call2401 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2400);
// compiled call node returning call2401 (depth = 11)
// compiled member node returning call2401 (depth = 10)
  gc_frame_newslot(call2401);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2402 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call2403 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2402);
// compiled call node returning call2403 (depth = 11)
// compiled member node returning call2403 (depth = 10)
  gc_frame_newslot(call2403);
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num2405 = alloc_Float64(1);
// compiled num node returning num2405 (depth = 11)
  int op_slot_right_2404 = gc_frame_newslot(num2405);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2407 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_nextTok (depth = 13)
  partcv[0] = 0;
  Object call2408 = callmethod(*var_nextTok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2407);
// compiled call node returning call2408 (depth = 12)
// compiled member node returning call2408 (depth = 11)
  int op_slot_left_2404 = gc_frame_newslot(call2408);
  params[0] = num2405;
  partcv[0] = 1;
  Object diff2409 = callmethod(call2408, "-", 1, partcv, params);
// compiled op node returning diff2409 (depth = 10)
  gc_frame_newslot(diff2409);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 756
  setline(756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit2399;
  params[1] = call2401;
  params[2] = call2403;
  params[3] = diff2409;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2410 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2398);
// compiled call node returning call2410 (depth = 9)
    gc_frame_newslot(call2410);
    if2377 = call2410;
  }
// compiled if node returning if2377 (depth = 8)
    gc_frame_newslot(if2377);
    if2347 = if2377;
  }
// compiled if node returning if2347 (depth = 7)
    gc_frame_newslot(if2347);
    if2303 = if2347;
  } else {
  }
// compiled if node returning if2303 (depth = 6)
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 761
  setline(761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_closer (depth = 8)
  int op_slot_right_2412 = gc_frame_newslot(*var_closer);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2414 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call2415 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe2414);
// compiled call node returning call2415 (depth = 9)
// compiled member node returning call2415 (depth = 8)
  int op_slot_left_2412 = gc_frame_newslot(call2415);
  params[0] = *var_closer;
  partcv[0] = 1;
  Object opresult2416 = callmethod(call2415, "!=", 1, partcv, params);
// compiled op node returning opresult2416 (depth = 7)
  Object if2411 = done;
  if (istrue(opresult2416)) {
// Begin line 762
  setline(762);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2417 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2418 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2417);
// compiled call node returning call2418 (depth = 8)
// compiled member node returning call2418 (depth = 7)
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 763
  setline(763);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2419 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2420 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call2421 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2420);
// compiled call node returning call2421 (depth = 11)
// compiled member node returning call2421 (depth = 10)
  partcv[0] = 0;
  Object call2422 = callmethod(call2421, "new",
    1, partcv, params);
  gc_frame_end(callframe2419);
// compiled call node returning call2422 (depth = 9)
// compiled member node returning call2422 (depth = 8)
  *var_suggestion = call2422;
  if (call2422 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2423 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit2424 == NULL) {
    strlit2424 = alloc_String(")");
    gc_root(strlit2424);
  }
// compiled string node returning strlit2424 (depth = 8)
  gc_frame_newslot(strlit2424);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit2424;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2425 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2423);
// compiled call node returning call2425 (depth = 7)
// Begin line 765
  setline(765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2426 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2428 == NULL) {
    strlit2428 = alloc_String("'.");
    gc_root(strlit2428);
  }
// compiled string node returning strlit2428 (depth = 9)
  int op_slot_right_2427 = gc_frame_newslot(strlit2428);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_closer (depth = 10)
  int op_slot_right_2430 = gc_frame_newslot(*var_closer);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2433 == NULL) {
    strlit2433 = alloc_String("' must end with a '");
    gc_root(strlit2433);
  }
// compiled string node returning strlit2433 (depth = 11)
  int op_slot_right_2432 = gc_frame_newslot(strlit2433);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_opener (depth = 12)
  int op_slot_right_2435 = gc_frame_newslot(*var_opener);
// starting to compile string node (depth = 12)
  if (strlit2437 == NULL) {
    strlit2437 = alloc_String("An expression beginning with a '");
    gc_root(strlit2437);
  }
// compiled string node returning strlit2437 (depth = 12)
  int op_slot_left_2435 = gc_frame_newslot(strlit2437);
  params[0] = *var_opener;
  partcv[0] = 1;
  Object opresult2438 = callmethod(strlit2437, "++", 1, partcv, params);
// compiled op node returning opresult2438 (depth = 11)
  int op_slot_left_2432 = gc_frame_newslot(opresult2438);
  params[0] = strlit2433;
  partcv[0] = 1;
  Object opresult2439 = callmethod(opresult2438, "++", 1, partcv, params);
// compiled op node returning opresult2439 (depth = 10)
  int op_slot_left_2430 = gc_frame_newslot(opresult2439);
  params[0] = *var_closer;
  partcv[0] = 1;
  Object opresult2440 = callmethod(opresult2439, "++", 1, partcv, params);
// compiled op node returning opresult2440 (depth = 9)
  int op_slot_left_2427 = gc_frame_newslot(opresult2440);
  params[0] = strlit2428;
  partcv[0] = 1;
  Object opresult2441 = callmethod(opresult2440, "++", 1, partcv, params);
// compiled op node returning opresult2441 (depth = 8)
  gc_frame_newslot(opresult2441);
// Begin line 766
  setline(766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2442 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call2443 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2442);
// compiled call node returning call2443 (depth = 9)
// compiled member node returning call2443 (depth = 8)
  gc_frame_newslot(call2443);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2445 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call2446 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe2445);
// compiled call node returning call2446 (depth = 10)
// compiled member node returning call2446 (depth = 9)
  int op_slot_right_2444 = gc_frame_newslot(call2446);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2448 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call2449 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2448);
// compiled call node returning call2449 (depth = 10)
// compiled member node returning call2449 (depth = 9)
  int op_slot_left_2444 = gc_frame_newslot(call2449);
  params[0] = call2446;
  partcv[0] = 1;
  Object sum2450 = callmethod(call2449, "+", 1, partcv, params);
// compiled op node returning sum2450 (depth = 8)
  gc_frame_newslot(sum2450);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 765
  setline(765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = opresult2441;
  params[1] = call2443;
  params[2] = sum2450;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2451 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2426);
// compiled call node returning call2451 (depth = 7)
    gc_frame_newslot(call2451);
    if2411 = call2451;
  } else {
  }
// compiled if node returning if2411 (depth = 6)
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2452 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2453 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2452);
// compiled call node returning call2453 (depth = 7)
// compiled member node returning call2453 (depth = 6)
// Begin line 770
  setline(770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 769
  setline(769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2454 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  partcv[0] = 0;
  Object call2455 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe2454);
// compiled call node returning call2455 (depth = 8)
// compiled member node returning call2455 (depth = 7)
  *var_econd = call2455;
  if (call2455 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 804
  setline(804);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 771
  setline(771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2460 == NULL) {
    strlit2460 = alloc_String("then");
    gc_root(strlit2460);
  }
// compiled string node returning strlit2460 (depth = 9)
  int op_slot_right_2459 = gc_frame_newslot(strlit2460);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2462 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call2463 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe2462);
// compiled call node returning call2463 (depth = 10)
// compiled member node returning call2463 (depth = 9)
  int op_slot_left_2459 = gc_frame_newslot(call2463);
  params[0] = strlit2460;
  partcv[0] = 1;
  Object opresult2464 = callmethod(call2463, "==", 1, partcv, params);
// compiled op node returning opresult2464 (depth = 8)
  int op_slot_right_2458 = gc_frame_newslot(opresult2464);
// Begin line 770
  setline(770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2466 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit2467 == NULL) {
    strlit2467 = alloc_String("identifier");
    gc_root(strlit2467);
  }
// compiled string node returning strlit2467 (depth = 9)
  gc_frame_newslot(strlit2467);
// call case 4: self request
  params[0] = strlit2467;
  partcv[0] = 1;
  Object call2468 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2466);
// compiled call node returning call2468 (depth = 8)
  int op_slot_left_2458 = gc_frame_newslot(call2468);
  params[0] = opresult2464;
  partcv[0] = 1;
  Object opresult2469 = callmethod(call2468, "&&", 1, partcv, params);
// compiled op node returning opresult2469 (depth = 7)
  Object if2457 = done;
  if (istrue(opresult2469)) {
// Begin line 772
  setline(772);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2470 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2471 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2470);
// compiled call node returning call2471 (depth = 8)
// compiled member node returning call2471 (depth = 7)
// Begin line 774
  setline(774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 773
  setline(773);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 8)
  Object array2472 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array2472 (depth = 8)
  *var_ebody = array2472;
  if (array2472 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2457 = done;
  } else {
// Begin line 776
  setline(776);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 775
  setline(775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2474 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2475 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call2476 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2475);
// compiled call node returning call2476 (depth = 11)
// compiled member node returning call2476 (depth = 10)
  partcv[0] = 0;
  Object call2477 = callmethod(call2476, "new",
    1, partcv, params);
  gc_frame_end(callframe2474);
// compiled call node returning call2477 (depth = 9)
// compiled member node returning call2477 (depth = 8)
  *var_suggestion = call2477;
  if (call2477 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 776
  setline(776);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2480 == NULL) {
    strlit2480 = alloc_String("lbrace");
    gc_root(strlit2480);
  }
// compiled string node returning strlit2480 (depth = 9)
  int op_slot_right_2479 = gc_frame_newslot(strlit2480);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2482 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call2483 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2482);
// compiled call node returning call2483 (depth = 10)
// compiled member node returning call2483 (depth = 9)
  int op_slot_left_2479 = gc_frame_newslot(call2483);
  params[0] = strlit2480;
  partcv[0] = 1;
  Object opresult2484 = callmethod(call2483, "==", 1, partcv, params);
// compiled op node returning opresult2484 (depth = 8)
  Object if2478 = done;
  if (istrue(opresult2484)) {
// Begin line 777
  setline(777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2485 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_statementToken (depth = 10)
  gc_frame_newslot(*var_statementToken);
// starting to compile identifier node (depth = 10)
  Object bool2486 = alloc_Boolean(0);
// compiled identifier node returning bool2486 (depth = 10)
  gc_frame_newslot(bool2486);
// call case 4: self request
  params[0] = *var_statementToken;
  params[1] = bool2486;
  partcv[0] = 2;
  Object call2487 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2485);
// compiled call node returning call2487 (depth = 9)
  *var_closingBrace = call2487;
  if (call2487 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool2490 = alloc_Boolean(0);
// compiled identifier node returning bool2490 (depth = 10)
  int op_slot_right_2489 = gc_frame_newslot(bool2490);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2492 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_closingBrace (depth = 12)
  partcv[0] = 0;
  Object call2493 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2492);
// compiled call node returning call2493 (depth = 11)
// compiled member node returning call2493 (depth = 10)
  int op_slot_left_2489 = gc_frame_newslot(call2493);
  params[0] = bool2490;
  partcv[0] = 1;
  Object opresult2494 = callmethod(call2493, "==", 1, partcv, params);
// compiled op node returning opresult2494 (depth = 9)
  Object if2488 = done;
  if (istrue(opresult2494)) {
// Begin line 785
  setline(785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 779
  setline(779);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  int op_slot_right_2496 = gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2498 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_closingBrace (depth = 13)
  partcv[0] = 0;
  Object call2499 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2498);
// compiled call node returning call2499 (depth = 12)
// compiled member node returning call2499 (depth = 11)
  int op_slot_left_2496 = gc_frame_newslot(call2499);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2500 = callmethod(call2499, "==", 1, partcv, params);
// compiled op node returning opresult2500 (depth = 10)
  Object if2495 = done;
  if (istrue(opresult2500)) {
// Begin line 780
  setline(780);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2501 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 11)
  Object bool2502 = alloc_Boolean(1);
// compiled identifier node returning bool2502 (depth = 11)
  gc_frame_newslot(bool2502);
// starting to compile identifier node (depth = 11)
  Object bool2503 = alloc_Boolean(0);
// compiled identifier node returning bool2503 (depth = 11)
  gc_frame_newslot(bool2503);
// starting to compile string node (depth = 11)
  if (strlit2504 == NULL) {
    strlit2504 = alloc_String(" then {}");
    gc_root(strlit2504);
  }
// compiled string node returning strlit2504 (depth = 11)
  gc_frame_newslot(strlit2504);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = *var_sym;
  params[1] = bool2502;
  params[2] = bool2503;
  params[3] = strlit2504;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2505 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2501);
// compiled call node returning call2505 (depth = 10)
    gc_frame_newslot(call2505);
    if2495 = call2505;
  } else {
// Begin line 782
  setline(782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2506 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 11)
  Object bool2507 = alloc_Boolean(1);
// compiled identifier node returning bool2507 (depth = 11)
  gc_frame_newslot(bool2507);
// starting to compile identifier node (depth = 11)
  Object bool2508 = alloc_Boolean(0);
// compiled identifier node returning bool2508 (depth = 11)
  gc_frame_newslot(bool2508);
// starting to compile string node (depth = 11)
  if (strlit2509 == NULL) {
    strlit2509 = alloc_String(" then {");
    gc_root(strlit2509);
  }
// compiled string node returning strlit2509 (depth = 11)
  gc_frame_newslot(strlit2509);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = *var_sym;
  params[1] = bool2507;
  params[2] = bool2508;
  params[3] = strlit2509;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2510 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2506);
// compiled call node returning call2510 (depth = 10)
// Begin line 783
  setline(783);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2511 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num2513 = alloc_Float64(0.1);
// compiled num node returning num2513 (depth = 12)
  int op_slot_right_2512 = gc_frame_newslot(num2513);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2515 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe2516 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_closingBrace (depth = 16)
  partcv[0] = 0;
  Object call2517 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2516);
// compiled call node returning call2517 (depth = 15)
// compiled member node returning call2517 (depth = 14)
  partcv[0] = 0;
  Object call2518 = callmethod(call2517, "line",
    1, partcv, params);
  gc_frame_end(callframe2515);
// compiled call node returning call2518 (depth = 13)
// compiled member node returning call2518 (depth = 12)
  int op_slot_left_2512 = gc_frame_newslot(call2518);
  params[0] = num2513;
  partcv[0] = 1;
  Object sum2519 = callmethod(call2518, "+", 1, partcv, params);
// compiled op node returning sum2519 (depth = 11)
  gc_frame_newslot(sum2519);
// starting to compile string node (depth = 11)
  if (strlit2520 == NULL) {
    strlit2520 = alloc_String("}");
    gc_root(strlit2520);
  }
// compiled string node returning strlit2520 (depth = 11)
  gc_frame_newslot(strlit2520);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = sum2519;
  params[1] = strlit2520;
  partcv[0] = 2;
  Object call2521 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2511);
// compiled call node returning call2521 (depth = 10)
    gc_frame_newslot(call2521);
    if2495 = call2521;
  }
// compiled if node returning if2495 (depth = 9)
    gc_frame_newslot(if2495);
    if2488 = if2495;
  } else {
// Begin line 786
  setline(786);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2522 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 10)
  Object bool2523 = alloc_Boolean(1);
// compiled identifier node returning bool2523 (depth = 10)
  gc_frame_newslot(bool2523);
// starting to compile identifier node (depth = 10)
  Object bool2524 = alloc_Boolean(0);
// compiled identifier node returning bool2524 (depth = 10)
  gc_frame_newslot(bool2524);
// starting to compile string node (depth = 10)
  if (strlit2525 == NULL) {
    strlit2525 = alloc_String(" then {");
    gc_root(strlit2525);
  }
// compiled string node returning strlit2525 (depth = 10)
  gc_frame_newslot(strlit2525);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  params[1] = bool2523;
  params[2] = bool2524;
  params[3] = strlit2525;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2526 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2522);
// compiled call node returning call2526 (depth = 9)
    gc_frame_newslot(call2526);
    if2488 = call2526;
  }
// compiled if node returning if2488 (depth = 8)
    gc_frame_newslot(if2488);
    if2478 = if2488;
  } else {
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2527 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_statementToken (depth = 10)
  gc_frame_newslot(*var_statementToken);
// starting to compile identifier node (depth = 10)
  Object bool2528 = alloc_Boolean(1);
// compiled identifier node returning bool2528 (depth = 10)
  gc_frame_newslot(bool2528);
// call case 4: self request
  params[0] = *var_statementToken;
  params[1] = bool2528;
  partcv[0] = 2;
  Object call2529 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2527);
// compiled call node returning call2529 (depth = 9)
  *var_closingBrace = call2529;
  if (call2529 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 800
  setline(800);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool2532 = alloc_Boolean(0);
// compiled identifier node returning bool2532 (depth = 10)
  int op_slot_right_2531 = gc_frame_newslot(bool2532);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2534 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_closingBrace (depth = 12)
  partcv[0] = 0;
  Object call2535 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2534);
// compiled call node returning call2535 (depth = 11)
// compiled member node returning call2535 (depth = 10)
  int op_slot_left_2531 = gc_frame_newslot(call2535);
  params[0] = bool2532;
  partcv[0] = 1;
  Object opresult2536 = callmethod(call2535, "==", 1, partcv, params);
// compiled op node returning opresult2536 (depth = 9)
  Object if2530 = done;
  if (istrue(opresult2536)) {
// Begin line 797
  setline(797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 791
  setline(791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  int op_slot_right_2538 = gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2540 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_closingBrace (depth = 13)
  partcv[0] = 0;
  Object call2541 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2540);
// compiled call node returning call2541 (depth = 12)
// compiled member node returning call2541 (depth = 11)
  int op_slot_left_2538 = gc_frame_newslot(call2541);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2542 = callmethod(call2541, "==", 1, partcv, params);
// compiled op node returning opresult2542 (depth = 10)
  Object if2537 = done;
  if (istrue(opresult2542)) {
// Begin line 792
  setline(792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2543 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit2544 == NULL) {
    strlit2544 = alloc_String(" then {}");
    gc_root(strlit2544);
  }
// compiled string node returning strlit2544 (depth = 11)
  gc_frame_newslot(strlit2544);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = strlit2544;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2545 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2543);
// compiled call node returning call2545 (depth = 10)
    gc_frame_newslot(call2545);
    if2537 = call2545;
  } else {
// Begin line 794
  setline(794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2546 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit2547 == NULL) {
    strlit2547 = alloc_String(" then {");
    gc_root(strlit2547);
  }
// compiled string node returning strlit2547 (depth = 11)
  gc_frame_newslot(strlit2547);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = strlit2547;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2548 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2546);
// compiled call node returning call2548 (depth = 10)
// Begin line 795
  setline(795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2549 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num2551 = alloc_Float64(0.1);
// compiled num node returning num2551 (depth = 12)
  int op_slot_right_2550 = gc_frame_newslot(num2551);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2553 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe2554 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_closingBrace (depth = 16)
  partcv[0] = 0;
  Object call2555 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2554);
// compiled call node returning call2555 (depth = 15)
// compiled member node returning call2555 (depth = 14)
  partcv[0] = 0;
  Object call2556 = callmethod(call2555, "line",
    1, partcv, params);
  gc_frame_end(callframe2553);
// compiled call node returning call2556 (depth = 13)
// compiled member node returning call2556 (depth = 12)
  int op_slot_left_2550 = gc_frame_newslot(call2556);
  params[0] = num2551;
  partcv[0] = 1;
  Object sum2557 = callmethod(call2556, "+", 1, partcv, params);
// compiled op node returning sum2557 (depth = 11)
  gc_frame_newslot(sum2557);
// starting to compile string node (depth = 11)
  if (strlit2558 == NULL) {
    strlit2558 = alloc_String("}");
    gc_root(strlit2558);
  }
// compiled string node returning strlit2558 (depth = 11)
  gc_frame_newslot(strlit2558);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = sum2557;
  params[1] = strlit2558;
  partcv[0] = 2;
  Object call2559 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2549);
// compiled call node returning call2559 (depth = 10)
    gc_frame_newslot(call2559);
    if2537 = call2559;
  }
// compiled if node returning if2537 (depth = 9)
    gc_frame_newslot(if2537);
    if2530 = if2537;
  } else {
// Begin line 798
  setline(798);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2560 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2561 == NULL) {
    strlit2561 = alloc_String(" then {");
    gc_root(strlit2561);
  }
// compiled string node returning strlit2561 (depth = 10)
  gc_frame_newslot(strlit2561);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit2561;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2562 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2560);
// compiled call node returning call2562 (depth = 9)
    gc_frame_newslot(call2562);
    if2530 = call2562;
  }
// compiled if node returning if2530 (depth = 8)
    gc_frame_newslot(if2530);
    if2478 = if2530;
  }
// compiled if node returning if2478 (depth = 7)
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2563 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit2564 == NULL) {
    strlit2564 = alloc_String("An elseif statement must have 'then' after the expression in parentheses.");
    gc_root(strlit2564);
  }
// compiled string node returning strlit2564 (depth = 8)
  gc_frame_newslot(strlit2564);
// Begin line 802
  setline(802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2565 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call2566 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2565);
// compiled call node returning call2566 (depth = 9)
// compiled member node returning call2566 (depth = 8)
  gc_frame_newslot(call2566);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2567 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call2568 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2567);
// compiled call node returning call2568 (depth = 9)
// compiled member node returning call2568 (depth = 8)
  gc_frame_newslot(call2568);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit2564;
  params[1] = call2566;
  params[2] = call2568;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2569 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2563);
// compiled call node returning call2569 (depth = 7)
    gc_frame_newslot(call2569);
    if2457 = call2569;
  }
// compiled if node returning if2457 (depth = 6)
// Begin line 820
  setline(820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 804
  setline(804);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2572 == NULL) {
    strlit2572 = alloc_String("lbrace");
    gc_root(strlit2572);
  }
// compiled string node returning strlit2572 (depth = 8)
  int op_slot_right_2571 = gc_frame_newslot(strlit2572);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2574 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call2575 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2574);
// compiled call node returning call2575 (depth = 9)
// compiled member node returning call2575 (depth = 8)
  int op_slot_left_2571 = gc_frame_newslot(call2575);
  params[0] = strlit2572;
  partcv[0] = 1;
  Object opresult2576 = callmethod(call2575, "!=", 1, partcv, params);
// compiled op node returning opresult2576 (depth = 7)
  Object if2570 = done;
  if (istrue(opresult2576)) {
// Begin line 806
  setline(806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 805
  setline(805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2577 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2578 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call2579 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2578);
// compiled call node returning call2579 (depth = 11)
// compiled member node returning call2579 (depth = 10)
  partcv[0] = 0;
  Object call2580 = callmethod(call2579, "new",
    1, partcv, params);
  gc_frame_end(callframe2577);
// compiled call node returning call2580 (depth = 9)
// compiled member node returning call2580 (depth = 8)
  *var_suggestion = call2580;
  if (call2580 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 806
  setline(806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2581 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_btok (depth = 9)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 9)
  Object bool2582 = alloc_Boolean(1);
// compiled identifier node returning bool2582 (depth = 9)
  gc_frame_newslot(bool2582);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool2582;
  partcv[0] = 2;
  Object call2583 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2581);
// compiled call node returning call2583 (depth = 8)
  *var_closingBrace = call2583;
  if (call2583 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 817
  setline(817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 807
  setline(807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool2586 = alloc_Boolean(0);
// compiled identifier node returning bool2586 (depth = 9)
  int op_slot_right_2585 = gc_frame_newslot(bool2586);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2588 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_closingBrace (depth = 11)
  partcv[0] = 0;
  Object call2589 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2588);
// compiled call node returning call2589 (depth = 10)
// compiled member node returning call2589 (depth = 9)
  int op_slot_left_2585 = gc_frame_newslot(call2589);
  params[0] = bool2586;
  partcv[0] = 1;
  Object opresult2590 = callmethod(call2589, "==", 1, partcv, params);
// compiled op node returning opresult2590 (depth = 8)
  Object if2584 = done;
  if (istrue(opresult2590)) {
// Begin line 814
  setline(814);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 808
  setline(808);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  int op_slot_right_2592 = gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2594 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_closingBrace (depth = 12)
  partcv[0] = 0;
  Object call2595 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2594);
// compiled call node returning call2595 (depth = 11)
// compiled member node returning call2595 (depth = 10)
  int op_slot_left_2592 = gc_frame_newslot(call2595);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2596 = callmethod(call2595, "==", 1, partcv, params);
// compiled op node returning opresult2596 (depth = 9)
  Object if2591 = done;
  if (istrue(opresult2596)) {
// Begin line 809
  setline(809);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2597 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 10)
  Object bool2598 = alloc_Boolean(0);
// compiled identifier node returning bool2598 (depth = 10)
  gc_frame_newslot(bool2598);
// starting to compile identifier node (depth = 10)
  Object bool2599 = alloc_Boolean(1);
// compiled identifier node returning bool2599 (depth = 10)
  gc_frame_newslot(bool2599);
// starting to compile string node (depth = 10)
  if (strlit2600 == NULL) {
    strlit2600 = alloc_String("then {}");
    gc_root(strlit2600);
  }
// compiled string node returning strlit2600 (depth = 10)
  gc_frame_newslot(strlit2600);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_lastToken;
  params[1] = bool2598;
  params[2] = bool2599;
  params[3] = strlit2600;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2601 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2597);
// compiled call node returning call2601 (depth = 9)
    gc_frame_newslot(call2601);
    if2591 = call2601;
  } else {
// Begin line 811
  setline(811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2602 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num2604 = alloc_Float64(0.1);
// compiled num node returning num2604 (depth = 11)
  int op_slot_right_2603 = gc_frame_newslot(num2604);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2606 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe2607 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_closingBrace (depth = 15)
  partcv[0] = 0;
  Object call2608 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2607);
// compiled call node returning call2608 (depth = 14)
// compiled member node returning call2608 (depth = 13)
  partcv[0] = 0;
  Object call2609 = callmethod(call2608, "line",
    1, partcv, params);
  gc_frame_end(callframe2606);
// compiled call node returning call2609 (depth = 12)
// compiled member node returning call2609 (depth = 11)
  int op_slot_left_2603 = gc_frame_newslot(call2609);
  params[0] = num2604;
  partcv[0] = 1;
  Object sum2610 = callmethod(call2609, "+", 1, partcv, params);
// compiled op node returning sum2610 (depth = 10)
  gc_frame_newslot(sum2610);
// starting to compile string node (depth = 10)
  if (strlit2611 == NULL) {
    strlit2611 = alloc_String("}");
    gc_root(strlit2611);
  }
// compiled string node returning strlit2611 (depth = 10)
  gc_frame_newslot(strlit2611);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = sum2610;
  params[1] = strlit2611;
  partcv[0] = 2;
  Object call2612 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2602);
// compiled call node returning call2612 (depth = 9)
// Begin line 812
  setline(812);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2613 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 10)
  Object bool2614 = alloc_Boolean(0);
// compiled identifier node returning bool2614 (depth = 10)
  gc_frame_newslot(bool2614);
// starting to compile identifier node (depth = 10)
  Object bool2615 = alloc_Boolean(1);
// compiled identifier node returning bool2615 (depth = 10)
  gc_frame_newslot(bool2615);
// starting to compile string node (depth = 10)
  if (strlit2616 == NULL) {
    strlit2616 = alloc_String("then {");
    gc_root(strlit2616);
  }
// compiled string node returning strlit2616 (depth = 10)
  gc_frame_newslot(strlit2616);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_lastToken;
  params[1] = bool2614;
  params[2] = bool2615;
  params[3] = strlit2616;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2617 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2613);
// compiled call node returning call2617 (depth = 9)
    gc_frame_newslot(call2617);
    if2591 = call2617;
  }
// compiled if node returning if2591 (depth = 8)
    gc_frame_newslot(if2591);
    if2584 = if2591;
  } else {
// Begin line 815
  setline(815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2618 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 9)
  Object bool2619 = alloc_Boolean(0);
// compiled identifier node returning bool2619 (depth = 9)
  gc_frame_newslot(bool2619);
// starting to compile identifier node (depth = 9)
  Object bool2620 = alloc_Boolean(1);
// compiled identifier node returning bool2620 (depth = 9)
  gc_frame_newslot(bool2620);
// starting to compile string node (depth = 9)
  if (strlit2621 == NULL) {
    strlit2621 = alloc_String("then {");
    gc_root(strlit2621);
  }
// compiled string node returning strlit2621 (depth = 9)
  gc_frame_newslot(strlit2621);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_lastToken;
  params[1] = bool2619;
  params[2] = bool2620;
  params[3] = strlit2621;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2622 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2618);
// compiled call node returning call2622 (depth = 8)
    gc_frame_newslot(call2622);
    if2584 = call2622;
  }
// compiled if node returning if2584 (depth = 7)
// Begin line 817
  setline(817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2623 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit2624 == NULL) {
    strlit2624 = alloc_String("An elseif statement must have a '{' after the 'then'.");
    gc_root(strlit2624);
  }
// compiled string node returning strlit2624 (depth = 8)
  gc_frame_newslot(strlit2624);
// Begin line 818
  setline(818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2625 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call2626 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2625);
// compiled call node returning call2626 (depth = 9)
// compiled member node returning call2626 (depth = 8)
  gc_frame_newslot(call2626);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2628 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call2629 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe2628);
// compiled call node returning call2629 (depth = 10)
// compiled member node returning call2629 (depth = 9)
  int op_slot_right_2627 = gc_frame_newslot(call2629);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2631 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call2632 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2631);
// compiled call node returning call2632 (depth = 10)
// compiled member node returning call2632 (depth = 9)
  int op_slot_left_2627 = gc_frame_newslot(call2632);
  params[0] = call2629;
  partcv[0] = 1;
  Object sum2633 = callmethod(call2632, "+", 1, partcv, params);
// compiled op node returning sum2633 (depth = 8)
  gc_frame_newslot(sum2633);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 817
  setline(817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit2624;
  params[1] = call2626;
  params[2] = sum2633;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2634 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2623);
// compiled call node returning call2634 (depth = 7)
    gc_frame_newslot(call2634);
    if2570 = call2634;
  } else {
  }
// compiled if node returning if2570 (depth = 6)
// Begin line 820
  setline(820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2635 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2636 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2635);
// compiled call node returning call2636 (depth = 7)
// compiled member node returning call2636 (depth = 6)
// Begin line 826
  setline(826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2639 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call2640 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2639);
// compiled call node returning call2640 (depth = 9)
// compiled member node returning call2640 (depth = 8)
  int op_slot_right_2638 = gc_frame_newslot(call2640);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2642 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call2643 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2642);
// compiled call node returning call2643 (depth = 9)
// compiled member node returning call2643 (depth = 8)
  int op_slot_left_2638 = gc_frame_newslot(call2643);
  params[0] = call2640;
  partcv[0] = 1;
  Object opresult2644 = callmethod(call2643, "==", 1, partcv, params);
// compiled op node returning opresult2644 (depth = 7)
  Object if2637 = done;
  if (istrue(opresult2644)) {
// Begin line 823
  setline(823);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 9)
  Object num2646 = alloc_Float64(1);
// compiled num node returning num2646 (depth = 9)
  int op_slot_right_2645 = gc_frame_newslot(num2646);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2648 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call2649 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2648);
// compiled call node returning call2649 (depth = 10)
// compiled member node returning call2649 (depth = 9)
  int op_slot_left_2645 = gc_frame_newslot(call2649);
  params[0] = num2646;
  partcv[0] = 1;
  Object diff2650 = callmethod(call2649, "-", 1, partcv, params);
// compiled op node returning diff2650 (depth = 8)
  *var_minIndentLevel = diff2650;
  if (diff2650 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2637 = done;
  } else {
// Begin line 825
  setline(825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 824
  setline(824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_minInd (depth = 8)
  *var_minIndentLevel = *var_minInd;
  if (*var_minInd == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2637 = done;
  }
// compiled if node returning if2637 (depth = 6)
// Begin line 826
  setline(826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2653 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block2654 = alloc_Block(NULL, NULL, "parser", 826);
  gc_frame_newslot(block2654);
// method _apply
  block_savedest(block2654);
  Object closure2655 = createclosure(1, "_apply");
  setclosureframe(closure2655, stackframe);
  addtoclosure(closure2655, selfslot);
  struct UserObject *uo2655 = (struct UserObject*)block2654;
  uo2655->data[0] = (Object)closure2655;
  Method *meth_meth_parser__apply2655 = addmethod2pos(block2654, "_apply", &meth_parser__apply2655, 0);
  int argcv_meth_parser__apply2655[] = {0};
  meth_meth_parser__apply2655->type = alloc_MethodType(1, argcv_meth_parser__apply2655);
  meth_meth_parser__apply2655->definitionModule = modulename;
  meth_meth_parser__apply2655->definitionLine = 822;
// compiled block node returning block2654 (depth = 7)
  gc_frame_newslot(block2654);
// starting to compile block node (depth = 7)
  Object block2662 = alloc_Block(NULL, NULL, "parser", 826);
  gc_frame_newslot(block2662);
// method _apply
  block_savedest(block2662);
  Object closure2663 = createclosure(8, "_apply");
  setclosureframe(closure2663, stackframe);
  addtoclosure(closure2663, var_errormessages);
  addtoclosure(closure2663, var_btok);
  addtoclosure(closure2663, var_lastToken);
  addtoclosure(closure2663, var_sym);
  addtoclosure(closure2663, var_values);
  addtoclosure(closure2663, var_v);
  addtoclosure(closure2663, var_ebody);
  addtoclosure(closure2663, selfslot);
  struct UserObject *uo2663 = (struct UserObject*)block2662;
  uo2663->data[0] = (Object)closure2663;
  Method *meth_meth_parser__apply2663 = addmethod2pos(block2662, "_apply", &meth_parser__apply2663, 0);
  int argcv_meth_parser__apply2663[] = {0};
  meth_meth_parser__apply2663->type = alloc_MethodType(1, argcv_meth_parser__apply2663);
  meth_meth_parser__apply2663->definitionModule = modulename;
  meth_meth_parser__apply2663->definitionLine = 826;
// compiled block node returning block2662 (depth = 7)
  gc_frame_newslot(block2662);
// call case 5: prelude request
  params[0] = block2654;
  params[1] = block2662;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2723 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2653);
// compiled call node returning call2723 (depth = 6)
// Begin line 844
  setline(844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2724 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2725 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2724);
// compiled call node returning call2725 (depth = 7)
// compiled member node returning call2725 (depth = 6)
// Begin line 846
  setline(846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 845
  setline(845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 7)
  Object array2726 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array2726 (depth = 7)
  *var_newelse = array2726;
  if (array2726 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 846
  setline(846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2728 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_econd (depth = 8)
  gc_frame_newslot(*var_econd);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ebody (depth = 8)
  gc_frame_newslot(*var_ebody);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_newelse (depth = 8)
  gc_frame_newslot(*var_newelse);
// call case 4: self request
  params[0] = *var_econd;
  params[1] = *var_ebody;
  params[2] = *var_newelse;
  partcv[0] = 3;
  Object call2729 = callmethodflags(self, "newIf", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2728);
// compiled call node returning call2729 (depth = 7)
  *var_eif = call2729;
  if (call2729 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 849
  setline(849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2731 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_eif (depth = 7)
  gc_frame_newslot(*var_eif);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_curelse (depth = 7)
  params[0] = *var_eif;
  partcv[0] = 1;
  Object call2732 = callmethod(*var_curelse, "push",
    1, partcv, params);
  gc_frame_end(callframe2731);
// compiled call node returning call2732 (depth = 6)
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 852
  setline(852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newelse (depth = 7)
  *var_curelse = *var_newelse;
  if (*var_newelse == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply2836(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2837 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 9)
  int callframe2838 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2839 == NULL) {
    strlit2839 = alloc_String("rbrace");
    gc_root(strlit2839);
  }
// compiled string node returning strlit2839 (depth = 10)
  gc_frame_newslot(strlit2839);
// call case 4: self request
  params[0] = strlit2839;
  partcv[0] = 1;
  Object call2840 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2838);
// compiled call node returning call2840 (depth = 9)
  partcv[0] = 0;
  Object call2841 = callmethod(call2840, "not",
    1, partcv, params);
  gc_frame_end(callframe2837);
// compiled call node returning call2841 (depth = 8)
// compiled member node returning call2841 (depth = 7)
  gc_frame_end(frame);
  return call2841;
}
Object meth_parser__apply2849(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2850 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2851 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2850);
// compiled call node returning call2851 (depth = 13)
// compiled member node returning call2851 (depth = 12)
  gc_frame_end(frame);
  return call2851;
}
Object meth_parser__apply2844(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_btok = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_v = getfromclosure(closure, 5);
  Object *var_curelse = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_closingBrace = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "closingBrace");
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 881
  setline(881);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2846 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 10)
  int callframe2847 = gc_frame_new();
// starting to compile block node (depth = 11)
  Object block2848 = alloc_Block(NULL, NULL, "parser", 881);
  gc_frame_newslot(block2848);
// method _apply
  block_savedest(block2848);
  Object closure2849 = createclosure(1, "_apply");
  setclosureframe(closure2849, stackframe);
  addtoclosure(closure2849, selfslot);
  struct UserObject *uo2849 = (struct UserObject*)block2848;
  uo2849->data[0] = (Object)closure2849;
  Method *meth_meth_parser__apply2849 = addmethod2pos(block2848, "_apply", &meth_parser__apply2849, 0);
  int argcv_meth_parser__apply2849[] = {0};
  meth_meth_parser__apply2849->type = alloc_MethodType(1, argcv_meth_parser__apply2849);
  meth_meth_parser__apply2849->definitionModule = modulename;
  meth_meth_parser__apply2849->definitionLine = 881;
// compiled block node returning block2848 (depth = 11)
  gc_frame_newslot(block2848);
// call case 4: self request
  params[0] = block2848;
  partcv[0] = 1;
  Object call2853 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2847);
// compiled call node returning call2853 (depth = 10)
  partcv[0] = 0;
  Object call2854 = callmethod(call2853, "not",
    1, partcv, params);
  gc_frame_end(callframe2846);
// compiled call node returning call2854 (depth = 9)
// compiled member node returning call2854 (depth = 8)
  Object if2845 = done;
  if (istrue(call2854)) {
// Begin line 883
  setline(883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// Begin line 882
  setline(882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2855 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2856 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call2857 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2856);
// compiled call node returning call2857 (depth = 12)
// compiled member node returning call2857 (depth = 11)
  partcv[0] = 0;
  Object call2858 = callmethod(call2857, "new",
    1, partcv, params);
  gc_frame_end(callframe2855);
// compiled call node returning call2858 (depth = 10)
// compiled member node returning call2858 (depth = 9)
  *var_suggestion = call2858;
  if (call2858 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 883
  setline(883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2859 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_btok (depth = 10)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 10)
  Object bool2860 = alloc_Boolean(0);
// compiled identifier node returning bool2860 (depth = 10)
  gc_frame_newslot(bool2860);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool2860;
  partcv[0] = 2;
  Object call2861 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2859);
// compiled call node returning call2861 (depth = 9)
  *var_closingBrace = call2861;
  if (call2861 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 891
  setline(891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool2864 = alloc_Boolean(0);
// compiled identifier node returning bool2864 (depth = 10)
  int op_slot_right_2863 = gc_frame_newslot(bool2864);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2866 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_closingBrace (depth = 12)
  partcv[0] = 0;
  Object call2867 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2866);
// compiled call node returning call2867 (depth = 11)
// compiled member node returning call2867 (depth = 10)
  int op_slot_left_2863 = gc_frame_newslot(call2867);
  params[0] = bool2864;
  partcv[0] = 1;
  Object opresult2868 = callmethod(call2867, "==", 1, partcv, params);
// compiled op node returning opresult2868 (depth = 9)
  Object if2862 = done;
  if (istrue(opresult2868)) {
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 885
  setline(885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  int op_slot_right_2870 = gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2872 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_closingBrace (depth = 13)
  partcv[0] = 0;
  Object call2873 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2872);
// compiled call node returning call2873 (depth = 12)
// compiled member node returning call2873 (depth = 11)
  int op_slot_left_2870 = gc_frame_newslot(call2873);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2874 = callmethod(call2873, "==", 1, partcv, params);
// compiled op node returning opresult2874 (depth = 10)
  Object if2869 = done;
  if (istrue(opresult2874)) {
// Begin line 886
  setline(886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2875 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit2876 == NULL) {
    strlit2876 = alloc_String("}");
    gc_root(strlit2876);
  }
// compiled string node returning strlit2876 (depth = 11)
  gc_frame_newslot(strlit2876);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = strlit2876;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2877 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2875);
// compiled call node returning call2877 (depth = 10)
    gc_frame_newslot(call2877);
    if2869 = call2877;
  } else {
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2878 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num2880 = alloc_Float64(0.1);
// compiled num node returning num2880 (depth = 12)
  int op_slot_right_2879 = gc_frame_newslot(num2880);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2882 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe2883 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_closingBrace (depth = 16)
  partcv[0] = 0;
  Object call2884 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2883);
// compiled call node returning call2884 (depth = 15)
// compiled member node returning call2884 (depth = 14)
  partcv[0] = 0;
  Object call2885 = callmethod(call2884, "line",
    1, partcv, params);
  gc_frame_end(callframe2882);
// compiled call node returning call2885 (depth = 13)
// compiled member node returning call2885 (depth = 12)
  int op_slot_left_2879 = gc_frame_newslot(call2885);
  params[0] = num2880;
  partcv[0] = 1;
  Object sum2886 = callmethod(call2885, "+", 1, partcv, params);
// compiled op node returning sum2886 (depth = 11)
  gc_frame_newslot(sum2886);
// starting to compile string node (depth = 11)
  if (strlit2887 == NULL) {
    strlit2887 = alloc_String("}");
    gc_root(strlit2887);
  }
// compiled string node returning strlit2887 (depth = 11)
  gc_frame_newslot(strlit2887);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = sum2886;
  params[1] = strlit2887;
  partcv[0] = 2;
  Object call2888 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2878);
// compiled call node returning call2888 (depth = 10)
    gc_frame_newslot(call2888);
    if2869 = call2888;
  }
// compiled if node returning if2869 (depth = 9)
    gc_frame_newslot(if2869);
    if2862 = if2869;
  } else {
  }
// compiled if node returning if2862 (depth = 8)
// Begin line 891
  setline(891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2889 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call2890 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe2889);
// compiled call node returning call2890 (depth = 8)
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2891 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit2892 == NULL) {
    strlit2892 = alloc_String("An else statement must end with a '}'.");
    gc_root(strlit2892);
  }
// compiled string node returning strlit2892 (depth = 9)
  gc_frame_newslot(strlit2892);
// Begin line 893
  setline(893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2893 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call2894 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2893);
// compiled call node returning call2894 (depth = 10)
// compiled member node returning call2894 (depth = 9)
  gc_frame_newslot(call2894);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2895 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call2896 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2895);
// compiled call node returning call2896 (depth = 10)
// compiled member node returning call2896 (depth = 9)
  gc_frame_newslot(call2896);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit2892;
  params[1] = call2894;
  params[2] = call2896;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2897 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2891);
// compiled call node returning call2897 (depth = 8)
    gc_frame_newslot(call2897);
    if2845 = call2897;
  } else {
  }
// compiled if node returning if2845 (depth = 7)
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2898 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  partcv[0] = 0;
  Object call2899 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe2898);
// compiled call node returning call2899 (depth = 9)
// compiled member node returning call2899 (depth = 8)
  *var_v = call2899;
  if (call2899 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2901 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_v (depth = 8)
  gc_frame_newslot(*var_v);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_curelse (depth = 8)
  params[0] = *var_v;
  partcv[0] = 1;
  Object call2902 = callmethod(*var_curelse, "push",
    1, partcv, params);
  gc_frame_end(callframe2901);
// compiled call node returning call2902 (depth = 7)
  gc_frame_end(frame);
  return call2902;
}
Object meth_parser_doif1639(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 25, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(27, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doif");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_blocksOK = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_minIndentLevel = getfromclosure(closure, 5);
  Object *var_statementIndent = getfromclosure(closure, 6);
  Object *var_statementToken = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doif (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for doif");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
  Object *var_cond = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "cond");
  Object *var_body = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "body");
  Object *var_elseblock = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "elseblock");
  Object *var_curelse = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "curelse");
  Object *var_v = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "v");
  Object *var_localMin = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "localMin");
  Object *var_localStatementIndent = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "localStatementIndent");
  Object *var_minInd = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "minInd");
  Object *var_closingBrace = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "closingBrace");
  Object *var_econd = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "econd");
  Object *var_eif = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "eif");
  Object *var_newelse = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "newelse");
  Object *var_ebody = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "ebody");
  Object *var_o = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "o");
// Begin line 936
  setline(936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 560
  setline(560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1643 == NULL) {
    strlit1643 = alloc_String("if");
    gc_root(strlit1643);
  }
// compiled string node returning strlit1643 (depth = 5)
  int op_slot_right_1642 = gc_frame_newslot(strlit1643);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1645 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call1646 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe1645);
// compiled call node returning call1646 (depth = 6)
// compiled member node returning call1646 (depth = 5)
  int op_slot_left_1642 = gc_frame_newslot(call1646);
  params[0] = strlit1643;
  partcv[0] = 1;
  Object opresult1647 = callmethod(call1646, "==", 1, partcv, params);
// compiled op node returning opresult1647 (depth = 4)
  int op_slot_right_1641 = gc_frame_newslot(opresult1647);
// starting to compile call node (depth = 4)
  int callframe1649 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1650 == NULL) {
    strlit1650 = alloc_String("identifier");
    gc_root(strlit1650);
  }
// compiled string node returning strlit1650 (depth = 5)
  gc_frame_newslot(strlit1650);
// call case 4: self request
  params[0] = strlit1650;
  partcv[0] = 1;
  Object call1651 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1649);
// compiled call node returning call1651 (depth = 4)
  int op_slot_left_1641 = gc_frame_newslot(call1651);
  params[0] = opresult1647;
  partcv[0] = 1;
  Object opresult1652 = callmethod(call1651, "&&", 1, partcv, params);
// compiled op node returning opresult1652 (depth = 3)
  Object if1640 = done;
  if (istrue(opresult1652)) {
// Begin line 562
  setline(562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 561
  setline(561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 562
  setline(562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1653 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1654 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1653);
// compiled call node returning call1654 (depth = 4)
// compiled member node returning call1654 (depth = 3)
// Begin line 595
  setline(595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 563
  setline(563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1657 == NULL) {
    strlit1657 = alloc_String("lparen");
    gc_root(strlit1657);
  }
// compiled string node returning strlit1657 (depth = 5)
  int op_slot_right_1656 = gc_frame_newslot(strlit1657);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1659 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call1660 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe1659);
// compiled call node returning call1660 (depth = 6)
// compiled member node returning call1660 (depth = 5)
  int op_slot_left_1656 = gc_frame_newslot(call1660);
  params[0] = strlit1657;
  partcv[0] = 1;
  Object opresult1661 = callmethod(call1660, "!=", 1, partcv, params);
// compiled op node returning opresult1661 (depth = 4)
  Object if1655 = done;
  if (istrue(opresult1661)) {
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1662 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1663 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call1664 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1663);
// compiled call node returning call1664 (depth = 8)
// compiled member node returning call1664 (depth = 7)
  partcv[0] = 0;
  Object call1665 = callmethod(call1664, "new",
    1, partcv, params);
  gc_frame_end(callframe1662);
// compiled call node returning call1665 (depth = 6)
// compiled member node returning call1665 (depth = 5)
  *var_suggestion = call1665;
  if (call1665 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1666 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block1667 = alloc_Block(NULL, NULL, "parser", 566);
  gc_frame_newslot(block1667);
// method _apply
  block_savedest(block1667);
  Object closure1668 = createclosure(2, "_apply");
  setclosureframe(closure1668, stackframe);
  addtoclosure(closure1668, var_btok);
  addtoclosure(closure1668, selfslot);
  struct UserObject *uo1668 = (struct UserObject*)block1667;
  uo1668->data[0] = (Object)closure1668;
  Method *meth_meth_parser__apply1668 = addmethod2pos(block1667, "_apply", &meth_parser__apply1668, 0);
  int argcv_meth_parser__apply1668[] = {1};
  meth_meth_parser__apply1668->type = alloc_MethodType(1, argcv_meth_parser__apply1668);
  meth_meth_parser__apply1668->definitionModule = modulename;
  meth_meth_parser__apply1668->definitionLine = 564;
// compiled block node returning block1667 (depth = 6)
  gc_frame_newslot(block1667);
// call case 4: self request
  params[0] = block1667;
  partcv[0] = 1;
  Object call1713 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1666);
// compiled call node returning call1713 (depth = 5)
  *var_nextTok = call1713;
  if (call1713 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1716 = alloc_Boolean(0);
// compiled identifier node returning bool1716 (depth = 6)
  int op_slot_right_1715 = gc_frame_newslot(bool1716);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_left_1715 = gc_frame_newslot(*var_nextTok);
  params[0] = bool1716;
  partcv[0] = 1;
  Object opresult1718 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult1718 (depth = 5)
  Object if1714 = done;
  if (istrue(opresult1718)) {
// Begin line 570
  setline(570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1719 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit1720 == NULL) {
    strlit1720 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit1720);
  }
// compiled string node returning strlit1720 (depth = 6)
  gc_frame_newslot(strlit1720);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_btok (depth = 6)
  gc_frame_newslot(*var_btok);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit1720;
  params[1] = *var_btok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1721 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1719);
// compiled call node returning call1721 (depth = 5)
    gc_frame_newslot(call1721);
    if1714 = call1721;
  } else {
// Begin line 577
  setline(577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 571
  setline(571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1724 == NULL) {
    strlit1724 = alloc_String("rparen");
    gc_root(strlit1724);
  }
// compiled string node returning strlit1724 (depth = 7)
  int op_slot_right_1723 = gc_frame_newslot(strlit1724);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1726 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  partcv[0] = 0;
  Object call1727 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe1726);
// compiled call node returning call1727 (depth = 8)
// compiled member node returning call1727 (depth = 7)
  int op_slot_left_1723 = gc_frame_newslot(call1727);
  params[0] = strlit1724;
  partcv[0] = 1;
  Object opresult1728 = callmethod(call1727, "==", 1, partcv, params);
// compiled op node returning opresult1728 (depth = 6)
  Object if1722 = done;
  if (istrue(opresult1728)) {
// Begin line 577
  setline(577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 572
  setline(572);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_1730 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_1730 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1732 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult1732 (depth = 7)
  Object if1729 = done;
  if (istrue(opresult1732)) {
// Begin line 573
  setline(573);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1733 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit1734 == NULL) {
    strlit1734 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1734);
  }
// compiled string node returning strlit1734 (depth = 8)
  gc_frame_newslot(strlit1734);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit1734;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1735 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe1733);
// compiled call node returning call1735 (depth = 7)
    gc_frame_newslot(call1735);
    if1729 = call1735;
  } else {
// Begin line 575
  setline(575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1736 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit1737 == NULL) {
    strlit1737 = alloc_String("(");
    gc_root(strlit1737);
  }
// compiled string node returning strlit1737 (depth = 8)
  gc_frame_newslot(strlit1737);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit1737;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1738 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe1736);
// compiled call node returning call1738 (depth = 7)
    gc_frame_newslot(call1738);
    if1729 = call1738;
  }
// compiled if node returning if1729 (depth = 6)
    gc_frame_newslot(if1729);
    if1722 = if1729;
  } else {
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 577
  setline(577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1741 == NULL) {
    strlit1741 = alloc_String("lbrace");
    gc_root(strlit1741);
  }
// compiled string node returning strlit1741 (depth = 8)
  int op_slot_right_1740 = gc_frame_newslot(strlit1741);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1743 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  partcv[0] = 0;
  Object call1744 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe1743);
// compiled call node returning call1744 (depth = 9)
// compiled member node returning call1744 (depth = 8)
  int op_slot_left_1740 = gc_frame_newslot(call1744);
  params[0] = strlit1741;
  partcv[0] = 1;
  Object opresult1745 = callmethod(call1744, "==", 1, partcv, params);
// compiled op node returning opresult1745 (depth = 7)
  Object if1739 = done;
  if (istrue(opresult1745)) {
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 578
  setline(578);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_1747 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_1747 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1749 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult1749 (depth = 8)
  Object if1746 = done;
  if (istrue(opresult1749)) {
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1750 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1751 == NULL) {
    strlit1751 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"") then");
    gc_root(strlit1751);
  }
// compiled string node returning strlit1751 (depth = 9)
  gc_frame_newslot(strlit1751);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_btok (depth = 9)
  gc_frame_newslot(*var_btok);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit1751;
  params[1] = *var_btok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1752 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1750);
// compiled call node returning call1752 (depth = 8)
    gc_frame_newslot(call1752);
    if1746 = call1752;
  } else {
// Begin line 581
  setline(581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1753 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1754 == NULL) {
    strlit1754 = alloc_String("(");
    gc_root(strlit1754);
  }
// compiled string node returning strlit1754 (depth = 9)
  gc_frame_newslot(strlit1754);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit1754;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1755 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe1753);
// compiled call node returning call1755 (depth = 8)
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1756 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1757 == NULL) {
    strlit1757 = alloc_String(") then");
    gc_root(strlit1757);
  }
// compiled string node returning strlit1757 (depth = 9)
  gc_frame_newslot(strlit1757);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1758 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  partcv[0] = 0;
  Object call1759 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1758);
// compiled call node returning call1759 (depth = 10)
// compiled member node returning call1759 (depth = 9)
  gc_frame_newslot(call1759);
// starting to compile identifier node (depth = 9)
  Object bool1760 = alloc_Boolean(1);
// compiled identifier node returning bool1760 (depth = 9)
  gc_frame_newslot(bool1760);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit1757;
  params[1] = call1759;
  params[2] = bool1760;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1761 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe1756);
// compiled call node returning call1761 (depth = 8)
    gc_frame_newslot(call1761);
    if1746 = call1761;
  }
// compiled if node returning if1746 (depth = 7)
    gc_frame_newslot(if1746);
    if1739 = if1746;
  } else {
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1764 == NULL) {
    strlit1764 = alloc_String("identifier");
    gc_root(strlit1764);
  }
// compiled string node returning strlit1764 (depth = 9)
  int op_slot_right_1763 = gc_frame_newslot(strlit1764);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1766 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  partcv[0] = 0;
  Object call1767 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe1766);
// compiled call node returning call1767 (depth = 10)
// compiled member node returning call1767 (depth = 9)
  int op_slot_left_1763 = gc_frame_newslot(call1767);
  params[0] = strlit1764;
  partcv[0] = 1;
  Object opresult1768 = callmethod(call1767, "==", 1, partcv, params);
// compiled op node returning opresult1768 (depth = 8)
  Object if1762 = done;
  if (istrue(opresult1768)) {
// Begin line 591
  setline(591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 585
  setline(585);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  int op_slot_right_1770 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  int op_slot_left_1770 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1772 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult1772 (depth = 9)
  Object if1769 = done;
  if (istrue(opresult1772)) {
// Begin line 586
  setline(586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1773 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit1774 == NULL) {
    strlit1774 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb"") ");
    gc_root(strlit1774);
  }
// compiled string node returning strlit1774 (depth = 10)
  gc_frame_newslot(strlit1774);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit1774;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1775 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe1773);
// compiled call node returning call1775 (depth = 9)
    gc_frame_newslot(call1775);
    if1769 = call1775;
  } else {
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1776 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit1777 == NULL) {
    strlit1777 = alloc_String("(");
    gc_root(strlit1777);
  }
// compiled string node returning strlit1777 (depth = 10)
  gc_frame_newslot(strlit1777);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit1777;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1778 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe1776);
// compiled call node returning call1778 (depth = 9)
// Begin line 589
  setline(589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1779 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit1780 == NULL) {
    strlit1780 = alloc_String(")");
    gc_root(strlit1780);
  }
// compiled string node returning strlit1780 (depth = 10)
  gc_frame_newslot(strlit1780);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1781 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_nextTok (depth = 12)
  partcv[0] = 0;
  Object call1782 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1781);
// compiled call node returning call1782 (depth = 11)
// compiled member node returning call1782 (depth = 10)
  gc_frame_newslot(call1782);
// starting to compile identifier node (depth = 10)
  Object bool1783 = alloc_Boolean(1);
// compiled identifier node returning bool1783 (depth = 10)
  gc_frame_newslot(bool1783);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit1780;
  params[1] = call1782;
  params[2] = bool1783;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1784 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe1779);
// compiled call node returning call1784 (depth = 9)
    gc_frame_newslot(call1784);
    if1769 = call1784;
  }
// compiled if node returning if1769 (depth = 8)
    gc_frame_newslot(if1769);
    if1762 = if1769;
  } else {
  }
// compiled if node returning if1762 (depth = 7)
    gc_frame_newslot(if1762);
    if1739 = if1762;
  }
// compiled if node returning if1739 (depth = 6)
    gc_frame_newslot(if1739);
    if1722 = if1739;
  }
// compiled if node returning if1722 (depth = 5)
    gc_frame_newslot(if1722);
    if1714 = if1722;
  }
// compiled if node returning if1714 (depth = 4)
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1785 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1786 == NULL) {
    strlit1786 = alloc_String("An if statement must have an expression in parentheses after the 'if'.");
    gc_root(strlit1786);
  }
// compiled string node returning strlit1786 (depth = 5)
  gc_frame_newslot(strlit1786);
// Begin line 593
  setline(593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1787 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call1788 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1787);
// compiled call node returning call1788 (depth = 6)
// compiled member node returning call1788 (depth = 5)
  gc_frame_newslot(call1788);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1789 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call1790 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1789);
// compiled call node returning call1790 (depth = 6)
// compiled member node returning call1790 (depth = 5)
  gc_frame_newslot(call1790);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit1786;
  params[1] = call1788;
  params[2] = call1790;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1791 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1785);
// compiled call node returning call1791 (depth = 4)
    gc_frame_newslot(call1791);
    if1655 = call1791;
  } else {
  }
// compiled if node returning if1655 (depth = 3)
// Begin line 595
  setline(595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1792 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1793 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1792);
// compiled call node returning call1793 (depth = 4)
// compiled member node returning call1793 (depth = 3)
// Begin line 621
  setline(621);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 596
  setline(596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1795 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 6)
  int callframe1796 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block1797 = alloc_Block(NULL, NULL, "parser", 596);
  gc_frame_newslot(block1797);
// method _apply
  block_savedest(block1797);
  Object closure1798 = createclosure(2, "_apply");
  setclosureframe(closure1798, stackframe);
  addtoclosure(closure1798, var_blocksOK);
  addtoclosure(closure1798, selfslot);
  struct UserObject *uo1798 = (struct UserObject*)block1797;
  uo1798->data[0] = (Object)closure1798;
  Method *meth_meth_parser__apply1798 = addmethod2pos(block1797, "_apply", &meth_parser__apply1798, 0);
  int argcv_meth_parser__apply1798[] = {0};
  meth_meth_parser__apply1798->type = alloc_MethodType(1, argcv_meth_parser__apply1798);
  meth_meth_parser__apply1798->definitionModule = modulename;
  meth_meth_parser__apply1798->definitionLine = 596;
// compiled block node returning block1797 (depth = 7)
  gc_frame_newslot(block1797);
// call case 4: self request
  params[0] = block1797;
  partcv[0] = 1;
  Object call1802 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1796);
// compiled call node returning call1802 (depth = 6)
  partcv[0] = 0;
  Object call1803 = callmethod(call1802, "not",
    1, partcv, params);
  gc_frame_end(callframe1795);
// compiled call node returning call1803 (depth = 5)
// compiled member node returning call1803 (depth = 4)
  Object if1794 = done;
  if (istrue(call1803)) {
// Begin line 599
  setline(599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 597
  setline(597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1804 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1805 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call1806 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1805);
// compiled call node returning call1806 (depth = 8)
// compiled member node returning call1806 (depth = 7)
  partcv[0] = 0;
  Object call1807 = callmethod(call1806, "new",
    1, partcv, params);
  gc_frame_end(callframe1804);
// compiled call node returning call1807 (depth = 6)
// compiled member node returning call1807 (depth = 5)
  *var_suggestion = call1807;
  if (call1807 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 599
  setline(599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1808 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block1809 = alloc_Block(NULL, NULL, "parser", 599);
  gc_frame_newslot(block1809);
// method _apply
  block_savedest(block1809);
  Object closure1810 = createclosure(2, "_apply");
  setclosureframe(closure1810, stackframe);
  addtoclosure(closure1810, var_lastToken);
  addtoclosure(closure1810, selfslot);
  struct UserObject *uo1810 = (struct UserObject*)block1809;
  uo1810->data[0] = (Object)closure1810;
  Method *meth_meth_parser__apply1810 = addmethod2pos(block1809, "_apply", &meth_parser__apply1810, 0);
  int argcv_meth_parser__apply1810[] = {1};
  meth_meth_parser__apply1810->type = alloc_MethodType(1, argcv_meth_parser__apply1810);
  meth_meth_parser__apply1810->definitionModule = modulename;
  meth_meth_parser__apply1810->definitionLine = 597;
// compiled block node returning block1809 (depth = 6)
  gc_frame_newslot(block1809);
// call case 4: self request
  params[0] = block1809;
  partcv[0] = 1;
  Object call1828 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1808);
// compiled call node returning call1828 (depth = 5)
  *var_nextTok = call1828;
  if (call1828 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 620
  setline(620);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 600
  setline(600);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1831 = alloc_Boolean(0);
// compiled identifier node returning bool1831 (depth = 6)
  int op_slot_right_1830 = gc_frame_newslot(bool1831);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_left_1830 = gc_frame_newslot(*var_nextTok);
  params[0] = bool1831;
  partcv[0] = 1;
  Object opresult1833 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult1833 (depth = 5)
  Object if1829 = done;
  if (istrue(opresult1833)) {
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1834 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1835 == NULL) {
    strlit1835 = alloc_String("rparen");
    gc_root(strlit1835);
  }
// compiled string node returning strlit1835 (depth = 7)
  gc_frame_newslot(strlit1835);
// call case 4: self request
  params[0] = strlit1835;
  partcv[0] = 1;
  Object call1836 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1834);
// compiled call node returning call1836 (depth = 6)
  *var_nextTok = call1836;
  if (call1836 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 607
  setline(607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 602
  setline(602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_1839 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_1839 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1841 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult1841 (depth = 6)
  Object if1838 = done;
  if (istrue(opresult1841)) {
// Begin line 603
  setline(603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1842 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1843 == NULL) {
    strlit1843 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit1843);
  }
// compiled string node returning strlit1843 (depth = 7)
  gc_frame_newslot(strlit1843);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit1843;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1844 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1842);
// compiled call node returning call1844 (depth = 6)
    gc_frame_newslot(call1844);
    if1838 = call1844;
  } else {
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1845 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1846 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  partcv[0] = 0;
  Object call1847 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1846);
// compiled call node returning call1847 (depth = 8)
// compiled member node returning call1847 (depth = 7)
  gc_frame_newslot(call1847);
// starting to compile identifier node (depth = 7)
  Object bool1848 = alloc_Boolean(1);
// compiled identifier node returning bool1848 (depth = 7)
  gc_frame_newslot(bool1848);
// starting to compile identifier node (depth = 7)
  Object bool1849 = alloc_Boolean(0);
// compiled identifier node returning bool1849 (depth = 7)
  gc_frame_newslot(bool1849);
// starting to compile string node (depth = 7)
  if (strlit1850 == NULL) {
    strlit1850 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit1850);
  }
// compiled string node returning strlit1850 (depth = 7)
  gc_frame_newslot(strlit1850);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call1847;
  params[2] = bool1848;
  params[3] = bool1849;
  params[4] = strlit1850;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1851 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1845);
// compiled call node returning call1851 (depth = 6)
    gc_frame_newslot(call1851);
    if1838 = call1851;
  }
// compiled if node returning if1838 (depth = 5)
// Begin line 607
  setline(607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1852 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit1853 == NULL) {
    strlit1853 = alloc_String("An if statement must have an expression in parentheses after the 'if'.");
    gc_root(strlit1853);
  }
// compiled string node returning strlit1853 (depth = 6)
  gc_frame_newslot(strlit1853);
// Begin line 608
  setline(608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1854 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call1855 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1854);
// compiled call node returning call1855 (depth = 7)
// compiled member node returning call1855 (depth = 6)
  gc_frame_newslot(call1855);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1856 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call1857 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1856);
// compiled call node returning call1857 (depth = 7)
// compiled member node returning call1857 (depth = 6)
  gc_frame_newslot(call1857);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 607
  setline(607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit1853;
  params[1] = call1855;
  params[2] = call1857;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1858 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1852);
// compiled call node returning call1858 (depth = 5)
    gc_frame_newslot(call1858);
    if1829 = call1858;
  } else {
// Begin line 619
  setline(619);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_1860 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_1860 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1862 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult1862 (depth = 6)
  Object if1859 = done;
  if (istrue(opresult1862)) {
// Begin line 611
  setline(611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1863 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1864 == NULL) {
    strlit1864 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1864);
  }
// compiled string node returning strlit1864 (depth = 7)
  gc_frame_newslot(strlit1864);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit1864;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1865 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1863);
// compiled call node returning call1865 (depth = 6)
// Begin line 612
  setline(612);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1866 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1867 == NULL) {
    strlit1867 = alloc_String("An if statement must have an expression in parentheses after the 'if'.");
    gc_root(strlit1867);
  }
// compiled string node returning strlit1867 (depth = 7)
  gc_frame_newslot(strlit1867);
// Begin line 613
  setline(613);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1868 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call1869 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1868);
// compiled call node returning call1869 (depth = 8)
// compiled member node returning call1869 (depth = 7)
  gc_frame_newslot(call1869);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1870 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call1871 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1870);
// compiled call node returning call1871 (depth = 8)
// compiled member node returning call1871 (depth = 7)
  gc_frame_newslot(call1871);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 612
  setline(612);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit1867;
  params[1] = call1869;
  params[2] = call1871;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1872 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1866);
// compiled call node returning call1872 (depth = 6)
    gc_frame_newslot(call1872);
    if1859 = call1872;
  } else {
// Begin line 615
  setline(615);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1873 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1874 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  partcv[0] = 0;
  Object call1875 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1874);
// compiled call node returning call1875 (depth = 8)
// compiled member node returning call1875 (depth = 7)
  gc_frame_newslot(call1875);
// starting to compile identifier node (depth = 7)
  Object bool1876 = alloc_Boolean(0);
// compiled identifier node returning bool1876 (depth = 7)
  gc_frame_newslot(bool1876);
// starting to compile identifier node (depth = 7)
  Object bool1877 = alloc_Boolean(1);
// compiled identifier node returning bool1877 (depth = 7)
  gc_frame_newslot(bool1877);
// starting to compile string node (depth = 7)
  if (strlit1878 == NULL) {
    strlit1878 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1878);
  }
// compiled string node returning strlit1878 (depth = 7)
  gc_frame_newslot(strlit1878);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call1875;
  params[2] = bool1876;
  params[3] = bool1877;
  params[4] = strlit1878;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1879 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1873);
// compiled call node returning call1879 (depth = 6)
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1880 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1881 == NULL) {
    strlit1881 = alloc_String("An if statement must have an expression in parentheses after the 'if'.");
    gc_root(strlit1881);
  }
// compiled string node returning strlit1881 (depth = 7)
  gc_frame_newslot(strlit1881);
// Begin line 617
  setline(617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1882 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call1883 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1882);
// compiled call node returning call1883 (depth = 8)
// compiled member node returning call1883 (depth = 7)
  gc_frame_newslot(call1883);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1884 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call1885 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1884);
// compiled call node returning call1885 (depth = 8)
// compiled member node returning call1885 (depth = 7)
  gc_frame_newslot(call1885);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1887 = alloc_Float64(1);
// compiled num node returning num1887 (depth = 8)
  int op_slot_right_1886 = gc_frame_newslot(num1887);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1889 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  partcv[0] = 0;
  Object call1890 = callmethod(*var_nextTok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1889);
// compiled call node returning call1890 (depth = 9)
// compiled member node returning call1890 (depth = 8)
  int op_slot_left_1886 = gc_frame_newslot(call1890);
  params[0] = num1887;
  partcv[0] = 1;
  Object diff1891 = callmethod(call1890, "-", 1, partcv, params);
// compiled op node returning diff1891 (depth = 7)
  gc_frame_newslot(diff1891);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit1881;
  params[1] = call1883;
  params[2] = call1885;
  params[3] = diff1891;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1892 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1880);
// compiled call node returning call1892 (depth = 6)
    gc_frame_newslot(call1892);
    if1859 = call1892;
  }
// compiled if node returning if1859 (depth = 5)
    gc_frame_newslot(if1859);
    if1829 = if1859;
  }
// compiled if node returning if1829 (depth = 4)
    gc_frame_newslot(if1829);
    if1794 = if1829;
  } else {
  }
// compiled if node returning if1794 (depth = 3)
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 621
  setline(621);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1895 == NULL) {
    strlit1895 = alloc_String("rparen");
    gc_root(strlit1895);
  }
// compiled string node returning strlit1895 (depth = 5)
  int op_slot_right_1894 = gc_frame_newslot(strlit1895);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1897 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call1898 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe1897);
// compiled call node returning call1898 (depth = 6)
// compiled member node returning call1898 (depth = 5)
  int op_slot_left_1894 = gc_frame_newslot(call1898);
  params[0] = strlit1895;
  partcv[0] = 1;
  Object opresult1899 = callmethod(call1898, "!=", 1, partcv, params);
// compiled op node returning opresult1899 (depth = 4)
  Object if1893 = done;
  if (istrue(opresult1899)) {
// Begin line 622
  setline(622);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1900 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1901 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1900);
// compiled call node returning call1901 (depth = 5)
// compiled member node returning call1901 (depth = 4)
// Begin line 624
  setline(624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1902 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1903 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call1904 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1903);
// compiled call node returning call1904 (depth = 8)
// compiled member node returning call1904 (depth = 7)
  partcv[0] = 0;
  Object call1905 = callmethod(call1904, "new",
    1, partcv, params);
  gc_frame_end(callframe1902);
// compiled call node returning call1905 (depth = 6)
// compiled member node returning call1905 (depth = 5)
  *var_suggestion = call1905;
  if (call1905 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 624
  setline(624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1906 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1907 == NULL) {
    strlit1907 = alloc_String(")");
    gc_root(strlit1907);
  }
// compiled string node returning strlit1907 (depth = 5)
  gc_frame_newslot(strlit1907);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit1907;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1908 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1906);
// compiled call node returning call1908 (depth = 4)
// Begin line 625
  setline(625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1909 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1910 == NULL) {
    strlit1910 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit1910);
  }
// compiled string node returning strlit1910 (depth = 5)
  gc_frame_newslot(strlit1910);
// Begin line 626
  setline(626);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1911 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call1912 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe1911);
// compiled call node returning call1912 (depth = 6)
// compiled member node returning call1912 (depth = 5)
  gc_frame_newslot(call1912);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1914 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call1915 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe1914);
// compiled call node returning call1915 (depth = 7)
// compiled member node returning call1915 (depth = 6)
  int op_slot_right_1913 = gc_frame_newslot(call1915);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1917 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call1918 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1917);
// compiled call node returning call1918 (depth = 7)
// compiled member node returning call1918 (depth = 6)
  int op_slot_left_1913 = gc_frame_newslot(call1918);
  params[0] = call1915;
  partcv[0] = 1;
  Object sum1919 = callmethod(call1918, "+", 1, partcv, params);
// compiled op node returning sum1919 (depth = 5)
  gc_frame_newslot(sum1919);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 625
  setline(625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit1910;
  params[1] = call1912;
  params[2] = sum1919;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1920 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1909);
// compiled call node returning call1920 (depth = 4)
    gc_frame_newslot(call1920);
    if1893 = call1920;
  } else {
  }
// compiled if node returning if1893 (depth = 3)
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1921 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1922 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1921);
// compiled call node returning call1922 (depth = 4)
// compiled member node returning call1922 (depth = 3)
// Begin line 630
  setline(630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 629
  setline(629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1923 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call1924 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1923);
// compiled call node returning call1924 (depth = 5)
// compiled member node returning call1924 (depth = 4)
  *var_cond = call1924;
  if (call1924 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 638
  setline(638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 630
  setline(630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array1925 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1925 (depth = 4)
  *var_body = array1925;
  if (array1925 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 639
  setline(639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 638
  setline(638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array1926 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1926 (depth = 4)
  *var_elseblock = array1926;
  if (array1926 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 640
  setline(640);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 639
  setline(639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_elseblock (depth = 4)
  *var_curelse = *var_elseblock;
  if (*var_elseblock == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 641
  setline(641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_v = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 641
  setline(641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_minIndentLevel (depth = 4)
  *var_localMin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_statementIndent (depth = 4)
  *var_localStatementIndent = *var_statementIndent;
  if (*var_statementIndent == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 644
  setline(644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num1928 = alloc_Float64(1);
// compiled num node returning num1928 (depth = 5)
  int op_slot_right_1927 = gc_frame_newslot(num1928);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_statementIndent (depth = 5)
  int op_slot_left_1927 = gc_frame_newslot(*var_statementIndent);
  params[0] = num1928;
  partcv[0] = 1;
  Object sum1930 = callmethod(*var_statementIndent, "+", 1, partcv, params);
// compiled op node returning sum1930 (depth = 4)
  *var_minInd = sum1930;
  if (sum1930 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 933
  setline(933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 644
  setline(644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1934 == NULL) {
    strlit1934 = alloc_String("then");
    gc_root(strlit1934);
  }
// compiled string node returning strlit1934 (depth = 6)
  int op_slot_right_1933 = gc_frame_newslot(strlit1934);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1936 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call1937 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe1936);
// compiled call node returning call1937 (depth = 7)
// compiled member node returning call1937 (depth = 6)
  int op_slot_left_1933 = gc_frame_newslot(call1937);
  params[0] = strlit1934;
  partcv[0] = 1;
  Object opresult1938 = callmethod(call1937, "==", 1, partcv, params);
// compiled op node returning opresult1938 (depth = 5)
  int op_slot_right_1932 = gc_frame_newslot(opresult1938);
// starting to compile call node (depth = 5)
  int callframe1940 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit1941 == NULL) {
    strlit1941 = alloc_String("identifier");
    gc_root(strlit1941);
  }
// compiled string node returning strlit1941 (depth = 6)
  gc_frame_newslot(strlit1941);
// call case 4: self request
  params[0] = strlit1941;
  partcv[0] = 1;
  Object call1942 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1940);
// compiled call node returning call1942 (depth = 5)
  int op_slot_left_1932 = gc_frame_newslot(call1942);
  params[0] = opresult1938;
  partcv[0] = 1;
  Object opresult1943 = callmethod(call1942, "&&", 1, partcv, params);
// compiled op node returning opresult1943 (depth = 4)
  Object if1931 = done;
  if (istrue(opresult1943)) {
// Begin line 645
  setline(645);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1944 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1945 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1944);
// compiled call node returning call1945 (depth = 5)
// compiled member node returning call1945 (depth = 4)
// Begin line 662
  setline(662);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1948 == NULL) {
    strlit1948 = alloc_String("lbrace");
    gc_root(strlit1948);
  }
// compiled string node returning strlit1948 (depth = 6)
  int op_slot_right_1947 = gc_frame_newslot(strlit1948);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1950 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call1951 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe1950);
// compiled call node returning call1951 (depth = 7)
// compiled member node returning call1951 (depth = 6)
  int op_slot_left_1947 = gc_frame_newslot(call1951);
  params[0] = strlit1948;
  partcv[0] = 1;
  Object opresult1952 = callmethod(call1951, "!=", 1, partcv, params);
// compiled op node returning opresult1952 (depth = 5)
  Object if1946 = done;
  if (istrue(opresult1952)) {
// Begin line 648
  setline(648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 647
  setline(647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1953 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1954 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call1955 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1954);
// compiled call node returning call1955 (depth = 9)
// compiled member node returning call1955 (depth = 8)
  partcv[0] = 0;
  Object call1956 = callmethod(call1955, "new",
    1, partcv, params);
  gc_frame_end(callframe1953);
// compiled call node returning call1956 (depth = 7)
// compiled member node returning call1956 (depth = 6)
  *var_suggestion = call1956;
  if (call1956 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 648
  setline(648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1957 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_btok (depth = 7)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 7)
  Object bool1958 = alloc_Boolean(1);
// compiled identifier node returning bool1958 (depth = 7)
  gc_frame_newslot(bool1958);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool1958;
  partcv[0] = 2;
  Object call1959 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1957);
// compiled call node returning call1959 (depth = 6)
  *var_closingBrace = call1959;
  if (call1959 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 659
  setline(659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 649
  setline(649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1962 = alloc_Boolean(0);
// compiled identifier node returning bool1962 (depth = 7)
  int op_slot_right_1961 = gc_frame_newslot(bool1962);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1964 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_closingBrace (depth = 9)
  partcv[0] = 0;
  Object call1965 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe1964);
// compiled call node returning call1965 (depth = 8)
// compiled member node returning call1965 (depth = 7)
  int op_slot_left_1961 = gc_frame_newslot(call1965);
  params[0] = bool1962;
  partcv[0] = 1;
  Object opresult1966 = callmethod(call1965, "==", 1, partcv, params);
// compiled op node returning opresult1966 (depth = 6)
  Object if1960 = done;
  if (istrue(opresult1966)) {
// Begin line 656
  setline(656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 650
  setline(650);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  int op_slot_right_1968 = gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1970 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_closingBrace (depth = 10)
  partcv[0] = 0;
  Object call1971 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe1970);
// compiled call node returning call1971 (depth = 9)
// compiled member node returning call1971 (depth = 8)
  int op_slot_left_1968 = gc_frame_newslot(call1971);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult1972 = callmethod(call1971, "==", 1, partcv, params);
// compiled op node returning opresult1972 (depth = 7)
  Object if1967 = done;
  if (istrue(opresult1972)) {
// Begin line 651
  setline(651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1973 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 8)
  Object bool1974 = alloc_Boolean(0);
// compiled identifier node returning bool1974 (depth = 8)
  gc_frame_newslot(bool1974);
// starting to compile identifier node (depth = 8)
  Object bool1975 = alloc_Boolean(1);
// compiled identifier node returning bool1975 (depth = 8)
  gc_frame_newslot(bool1975);
// starting to compile string node (depth = 8)
  if (strlit1976 == NULL) {
    strlit1976 = alloc_String("then {}");
    gc_root(strlit1976);
  }
// compiled string node returning strlit1976 (depth = 8)
  gc_frame_newslot(strlit1976);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_lastToken;
  params[1] = bool1974;
  params[2] = bool1975;
  params[3] = strlit1976;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1977 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1973);
// compiled call node returning call1977 (depth = 7)
    gc_frame_newslot(call1977);
    if1967 = call1977;
  } else {
// Begin line 653
  setline(653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1978 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1980 = alloc_Float64(0.1);
// compiled num node returning num1980 (depth = 9)
  int op_slot_right_1979 = gc_frame_newslot(num1980);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1982 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe1983 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_closingBrace (depth = 13)
  partcv[0] = 0;
  Object call1984 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe1983);
// compiled call node returning call1984 (depth = 12)
// compiled member node returning call1984 (depth = 11)
  partcv[0] = 0;
  Object call1985 = callmethod(call1984, "line",
    1, partcv, params);
  gc_frame_end(callframe1982);
// compiled call node returning call1985 (depth = 10)
// compiled member node returning call1985 (depth = 9)
  int op_slot_left_1979 = gc_frame_newslot(call1985);
  params[0] = num1980;
  partcv[0] = 1;
  Object sum1986 = callmethod(call1985, "+", 1, partcv, params);
// compiled op node returning sum1986 (depth = 8)
  gc_frame_newslot(sum1986);
// starting to compile string node (depth = 8)
  if (strlit1987 == NULL) {
    strlit1987 = alloc_String("}");
    gc_root(strlit1987);
  }
// compiled string node returning strlit1987 (depth = 8)
  gc_frame_newslot(strlit1987);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = sum1986;
  params[1] = strlit1987;
  partcv[0] = 2;
  Object call1988 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe1978);
// compiled call node returning call1988 (depth = 7)
// Begin line 654
  setline(654);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1989 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 8)
  Object bool1990 = alloc_Boolean(0);
// compiled identifier node returning bool1990 (depth = 8)
  gc_frame_newslot(bool1990);
// starting to compile identifier node (depth = 8)
  Object bool1991 = alloc_Boolean(1);
// compiled identifier node returning bool1991 (depth = 8)
  gc_frame_newslot(bool1991);
// starting to compile string node (depth = 8)
  if (strlit1992 == NULL) {
    strlit1992 = alloc_String("then {");
    gc_root(strlit1992);
  }
// compiled string node returning strlit1992 (depth = 8)
  gc_frame_newslot(strlit1992);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_lastToken;
  params[1] = bool1990;
  params[2] = bool1991;
  params[3] = strlit1992;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1993 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1989);
// compiled call node returning call1993 (depth = 7)
    gc_frame_newslot(call1993);
    if1967 = call1993;
  }
// compiled if node returning if1967 (depth = 6)
    gc_frame_newslot(if1967);
    if1960 = if1967;
  } else {
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1994 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 7)
  Object bool1995 = alloc_Boolean(0);
// compiled identifier node returning bool1995 (depth = 7)
  gc_frame_newslot(bool1995);
// starting to compile identifier node (depth = 7)
  Object bool1996 = alloc_Boolean(1);
// compiled identifier node returning bool1996 (depth = 7)
  gc_frame_newslot(bool1996);
// starting to compile string node (depth = 7)
  if (strlit1997 == NULL) {
    strlit1997 = alloc_String("then {");
    gc_root(strlit1997);
  }
// compiled string node returning strlit1997 (depth = 7)
  gc_frame_newslot(strlit1997);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_lastToken;
  params[1] = bool1995;
  params[2] = bool1996;
  params[3] = strlit1997;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1998 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1994);
// compiled call node returning call1998 (depth = 6)
    gc_frame_newslot(call1998);
    if1960 = call1998;
  }
// compiled if node returning if1960 (depth = 5)
// Begin line 659
  setline(659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1999 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit2000 == NULL) {
    strlit2000 = alloc_String("An if statement must have a '{' after the 'then'.");
    gc_root(strlit2000);
  }
// compiled string node returning strlit2000 (depth = 6)
  gc_frame_newslot(strlit2000);
// Begin line 660
  setline(660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2001 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call2002 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2001);
// compiled call node returning call2002 (depth = 7)
// compiled member node returning call2002 (depth = 6)
  gc_frame_newslot(call2002);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2004 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call2005 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe2004);
// compiled call node returning call2005 (depth = 8)
// compiled member node returning call2005 (depth = 7)
  int op_slot_right_2003 = gc_frame_newslot(call2005);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2007 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call2008 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2007);
// compiled call node returning call2008 (depth = 8)
// compiled member node returning call2008 (depth = 7)
  int op_slot_left_2003 = gc_frame_newslot(call2008);
  params[0] = call2005;
  partcv[0] = 1;
  Object sum2009 = callmethod(call2008, "+", 1, partcv, params);
// compiled op node returning sum2009 (depth = 6)
  gc_frame_newslot(sum2009);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 659
  setline(659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit2000;
  params[1] = call2002;
  params[2] = sum2009;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2010 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1999);
// compiled call node returning call2010 (depth = 5)
    gc_frame_newslot(call2010);
    if1946 = call2010;
  } else {
  }
// compiled if node returning if1946 (depth = 4)
// Begin line 662
  setline(662);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2011 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2012 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2011);
// compiled call node returning call2012 (depth = 5)
// compiled member node returning call2012 (depth = 4)
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 663
  setline(663);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2015 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call2016 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2015);
// compiled call node returning call2016 (depth = 7)
// compiled member node returning call2016 (depth = 6)
  int op_slot_right_2014 = gc_frame_newslot(call2016);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2018 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call2019 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2018);
// compiled call node returning call2019 (depth = 7)
// compiled member node returning call2019 (depth = 6)
  int op_slot_left_2014 = gc_frame_newslot(call2019);
  params[0] = call2016;
  partcv[0] = 1;
  Object opresult2020 = callmethod(call2019, "==", 1, partcv, params);
// compiled op node returning opresult2020 (depth = 5)
  Object if2013 = done;
  if (istrue(opresult2020)) {
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 664
  setline(664);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num2022 = alloc_Float64(1);
// compiled num node returning num2022 (depth = 7)
  int op_slot_right_2021 = gc_frame_newslot(num2022);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2024 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call2025 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2024);
// compiled call node returning call2025 (depth = 8)
// compiled member node returning call2025 (depth = 7)
  int op_slot_left_2021 = gc_frame_newslot(call2025);
  params[0] = num2022;
  partcv[0] = 1;
  Object diff2026 = callmethod(call2025, "-", 1, partcv, params);
// compiled op node returning diff2026 (depth = 6)
  *var_minIndentLevel = diff2026;
  if (diff2026 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2013 = done;
  } else {
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 666
  setline(666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_minInd (depth = 6)
  *var_minIndentLevel = *var_minInd;
  if (*var_minInd == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2013 = done;
  }
// compiled if node returning if2013 (depth = 4)
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2029 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block2030 = alloc_Block(NULL, NULL, "parser", 668);
  gc_frame_newslot(block2030);
// method _apply
  block_savedest(block2030);
  Object closure2031 = createclosure(1, "_apply");
  setclosureframe(closure2031, stackframe);
  addtoclosure(closure2031, selfslot);
  struct UserObject *uo2031 = (struct UserObject*)block2030;
  uo2031->data[0] = (Object)closure2031;
  Method *meth_meth_parser__apply2031 = addmethod2pos(block2030, "_apply", &meth_parser__apply2031, 0);
  int argcv_meth_parser__apply2031[] = {0};
  meth_meth_parser__apply2031->type = alloc_MethodType(1, argcv_meth_parser__apply2031);
  meth_meth_parser__apply2031->definitionModule = modulename;
  meth_meth_parser__apply2031->definitionLine = 664;
// compiled block node returning block2030 (depth = 5)
  gc_frame_newslot(block2030);
// starting to compile block node (depth = 5)
  Object block2038 = alloc_Block(NULL, NULL, "parser", 668);
  gc_frame_newslot(block2038);
// method _apply
  block_savedest(block2038);
  Object closure2039 = createclosure(8, "_apply");
  setclosureframe(closure2039, stackframe);
  addtoclosure(closure2039, var_errormessages);
  addtoclosure(closure2039, var_btok);
  addtoclosure(closure2039, var_lastToken);
  addtoclosure(closure2039, var_sym);
  addtoclosure(closure2039, var_values);
  addtoclosure(closure2039, var_v);
  addtoclosure(closure2039, var_body);
  addtoclosure(closure2039, selfslot);
  struct UserObject *uo2039 = (struct UserObject*)block2038;
  uo2039->data[0] = (Object)closure2039;
  Method *meth_meth_parser__apply2039 = addmethod2pos(block2038, "_apply", &meth_parser__apply2039, 0);
  int argcv_meth_parser__apply2039[] = {0};
  meth_meth_parser__apply2039->type = alloc_MethodType(1, argcv_meth_parser__apply2039);
  meth_meth_parser__apply2039->definitionModule = modulename;
  meth_meth_parser__apply2039->definitionLine = 668;
// compiled block node returning block2038 (depth = 5)
  gc_frame_newslot(block2038);
// call case 5: prelude request
  params[0] = block2030;
  params[1] = block2038;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2099 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2029);
// compiled call node returning call2099 (depth = 4)
// Begin line 686
  setline(686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2100 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2101 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2100);
// compiled call node returning call2101 (depth = 5)
// compiled member node returning call2101 (depth = 4)
// Begin line 688
  setline(688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
  *var_econd = undefined;
// compiled vardec node returning done (depth = 4)
// Begin line 689
  setline(689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
  *var_eif = undefined;
// compiled vardec node returning done (depth = 4)
// Begin line 690
  setline(690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
  *var_newelse = undefined;
// compiled vardec node returning done (depth = 4)
// Begin line 691
  setline(691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
  *var_ebody = undefined;
// compiled vardec node returning done (depth = 4)
// starting to compile call node (depth = 4)
  int callframe2102 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block2103 = alloc_Block(NULL, NULL, "parser", 691);
  gc_frame_newslot(block2103);
// method _apply
  block_savedest(block2103);
  Object closure2104 = createclosure(2, "_apply");
  setclosureframe(closure2104, stackframe);
  addtoclosure(closure2104, var_sym);
  addtoclosure(closure2104, selfslot);
  struct UserObject *uo2104 = (struct UserObject*)block2103;
  uo2104->data[0] = (Object)closure2104;
  Method *meth_meth_parser__apply2104 = addmethod2pos(block2103, "_apply", &meth_parser__apply2104, 0);
  int argcv_meth_parser__apply2104[] = {0};
  meth_meth_parser__apply2104->type = alloc_MethodType(1, argcv_meth_parser__apply2104);
  meth_meth_parser__apply2104->definitionModule = modulename;
  meth_meth_parser__apply2104->definitionLine = 686;
// compiled block node returning block2103 (depth = 5)
  gc_frame_newslot(block2103);
// starting to compile block node (depth = 5)
  Object block2118 = alloc_Block(NULL, NULL, "parser", 691);
  gc_frame_newslot(block2118);
// method _apply
  block_savedest(block2118);
  Object closure2119 = createclosure(16, "_apply");
  setclosureframe(closure2119, stackframe);
  addtoclosure(closure2119, var_sym);
  addtoclosure(closure2119, var_statementToken);
  addtoclosure(closure2119, var_errormessages);
  addtoclosure(closure2119, var_blocksOK);
  addtoclosure(closure2119, var_lastToken);
  addtoclosure(closure2119, var_values);
  addtoclosure(closure2119, var_econd);
  addtoclosure(closure2119, var_ebody);
  addtoclosure(closure2119, var_btok);
  addtoclosure(closure2119, var_minIndentLevel);
  addtoclosure(closure2119, var_minInd);
  addtoclosure(closure2119, var_v);
  addtoclosure(closure2119, var_newelse);
  addtoclosure(closure2119, var_eif);
  addtoclosure(closure2119, var_curelse);
  addtoclosure(closure2119, selfslot);
  struct UserObject *uo2119 = (struct UserObject*)block2118;
  uo2119->data[0] = (Object)closure2119;
  Method *meth_meth_parser__apply2119 = addmethod2pos(block2118, "_apply", &meth_parser__apply2119, 0);
  int argcv_meth_parser__apply2119[] = {0};
  meth_meth_parser__apply2119->type = alloc_MethodType(1, argcv_meth_parser__apply2119);
  meth_meth_parser__apply2119->definitionModule = modulename;
  meth_meth_parser__apply2119->definitionLine = 691;
// compiled block node returning block2118 (depth = 5)
  gc_frame_newslot(block2118);
// call case 5: prelude request
  params[0] = block2103;
  params[1] = block2118;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2735 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2102);
// compiled call node returning call2735 (depth = 4)
// Begin line 900
  setline(900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2739 == NULL) {
    strlit2739 = alloc_String("else");
    gc_root(strlit2739);
  }
// compiled string node returning strlit2739 (depth = 7)
  int op_slot_right_2738 = gc_frame_newslot(strlit2739);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2741 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call2742 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe2741);
// compiled call node returning call2742 (depth = 8)
// compiled member node returning call2742 (depth = 7)
  int op_slot_left_2738 = gc_frame_newslot(call2742);
  params[0] = strlit2739;
  partcv[0] = 1;
  Object opresult2743 = callmethod(call2742, "==", 1, partcv, params);
// compiled op node returning opresult2743 (depth = 6)
  int op_slot_right_2737 = gc_frame_newslot(opresult2743);
// starting to compile call node (depth = 6)
  int callframe2745 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit2746 == NULL) {
    strlit2746 = alloc_String("identifier");
    gc_root(strlit2746);
  }
// compiled string node returning strlit2746 (depth = 7)
  gc_frame_newslot(strlit2746);
// call case 4: self request
  params[0] = strlit2746;
  partcv[0] = 1;
  Object call2747 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2745);
// compiled call node returning call2747 (depth = 6)
  int op_slot_left_2737 = gc_frame_newslot(call2747);
  params[0] = opresult2743;
  partcv[0] = 1;
  Object opresult2748 = callmethod(call2747, "&&", 1, partcv, params);
// compiled op node returning opresult2748 (depth = 5)
  Object if2736 = done;
  if (istrue(opresult2748)) {
// Begin line 855
  setline(855);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2749 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2750 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2749);
// compiled call node returning call2750 (depth = 6)
// compiled member node returning call2750 (depth = 5)
// Begin line 872
  setline(872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 856
  setline(856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2753 == NULL) {
    strlit2753 = alloc_String("lbrace");
    gc_root(strlit2753);
  }
// compiled string node returning strlit2753 (depth = 7)
  int op_slot_right_2752 = gc_frame_newslot(strlit2753);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2755 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call2756 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2755);
// compiled call node returning call2756 (depth = 8)
// compiled member node returning call2756 (depth = 7)
  int op_slot_left_2752 = gc_frame_newslot(call2756);
  params[0] = strlit2753;
  partcv[0] = 1;
  Object opresult2757 = callmethod(call2756, "!=", 1, partcv, params);
// compiled op node returning opresult2757 (depth = 6)
  Object if2751 = done;
  if (istrue(opresult2757)) {
// Begin line 858
  setline(858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2758 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2759 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call2760 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2759);
// compiled call node returning call2760 (depth = 10)
// compiled member node returning call2760 (depth = 9)
  partcv[0] = 0;
  Object call2761 = callmethod(call2760, "new",
    1, partcv, params);
  gc_frame_end(callframe2758);
// compiled call node returning call2761 (depth = 8)
// compiled member node returning call2761 (depth = 7)
  *var_suggestion = call2761;
  if (call2761 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 858
  setline(858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2762 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_btok (depth = 8)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 8)
  Object bool2763 = alloc_Boolean(1);
// compiled identifier node returning bool2763 (depth = 8)
  gc_frame_newslot(bool2763);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool2763;
  partcv[0] = 2;
  Object call2764 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2762);
// compiled call node returning call2764 (depth = 7)
  *var_closingBrace = call2764;
  if (call2764 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 869
  setline(869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 859
  setline(859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool2767 = alloc_Boolean(0);
// compiled identifier node returning bool2767 (depth = 8)
  int op_slot_right_2766 = gc_frame_newslot(bool2767);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2769 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_closingBrace (depth = 10)
  partcv[0] = 0;
  Object call2770 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2769);
// compiled call node returning call2770 (depth = 9)
// compiled member node returning call2770 (depth = 8)
  int op_slot_left_2766 = gc_frame_newslot(call2770);
  params[0] = bool2767;
  partcv[0] = 1;
  Object opresult2771 = callmethod(call2770, "==", 1, partcv, params);
// compiled op node returning opresult2771 (depth = 7)
  Object if2765 = done;
  if (istrue(opresult2771)) {
// Begin line 866
  setline(866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 860
  setline(860);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  int op_slot_right_2773 = gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2775 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_closingBrace (depth = 11)
  partcv[0] = 0;
  Object call2776 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2775);
// compiled call node returning call2776 (depth = 10)
// compiled member node returning call2776 (depth = 9)
  int op_slot_left_2773 = gc_frame_newslot(call2776);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2777 = callmethod(call2776, "==", 1, partcv, params);
// compiled op node returning opresult2777 (depth = 8)
  Object if2772 = done;
  if (istrue(opresult2777)) {
// Begin line 861
  setline(861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2778 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 9)
  Object bool2779 = alloc_Boolean(0);
// compiled identifier node returning bool2779 (depth = 9)
  gc_frame_newslot(bool2779);
// starting to compile identifier node (depth = 9)
  Object bool2780 = alloc_Boolean(1);
// compiled identifier node returning bool2780 (depth = 9)
  gc_frame_newslot(bool2780);
// starting to compile string node (depth = 9)
  if (strlit2781 == NULL) {
    strlit2781 = alloc_String("else {}");
    gc_root(strlit2781);
  }
// compiled string node returning strlit2781 (depth = 9)
  gc_frame_newslot(strlit2781);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_lastToken;
  params[1] = bool2779;
  params[2] = bool2780;
  params[3] = strlit2781;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2782 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2778);
// compiled call node returning call2782 (depth = 8)
    gc_frame_newslot(call2782);
    if2772 = call2782;
  } else {
// Begin line 863
  setline(863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2783 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2785 = alloc_Float64(0.1);
// compiled num node returning num2785 (depth = 10)
  int op_slot_right_2784 = gc_frame_newslot(num2785);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2787 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2788 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_closingBrace (depth = 14)
  partcv[0] = 0;
  Object call2789 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2788);
// compiled call node returning call2789 (depth = 13)
// compiled member node returning call2789 (depth = 12)
  partcv[0] = 0;
  Object call2790 = callmethod(call2789, "line",
    1, partcv, params);
  gc_frame_end(callframe2787);
// compiled call node returning call2790 (depth = 11)
// compiled member node returning call2790 (depth = 10)
  int op_slot_left_2784 = gc_frame_newslot(call2790);
  params[0] = num2785;
  partcv[0] = 1;
  Object sum2791 = callmethod(call2790, "+", 1, partcv, params);
// compiled op node returning sum2791 (depth = 9)
  gc_frame_newslot(sum2791);
// starting to compile string node (depth = 9)
  if (strlit2792 == NULL) {
    strlit2792 = alloc_String("}");
    gc_root(strlit2792);
  }
// compiled string node returning strlit2792 (depth = 9)
  gc_frame_newslot(strlit2792);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = sum2791;
  params[1] = strlit2792;
  partcv[0] = 2;
  Object call2793 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2783);
// compiled call node returning call2793 (depth = 8)
// Begin line 864
  setline(864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2794 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 9)
  Object bool2795 = alloc_Boolean(0);
// compiled identifier node returning bool2795 (depth = 9)
  gc_frame_newslot(bool2795);
// starting to compile identifier node (depth = 9)
  Object bool2796 = alloc_Boolean(1);
// compiled identifier node returning bool2796 (depth = 9)
  gc_frame_newslot(bool2796);
// starting to compile string node (depth = 9)
  if (strlit2797 == NULL) {
    strlit2797 = alloc_String("else {");
    gc_root(strlit2797);
  }
// compiled string node returning strlit2797 (depth = 9)
  gc_frame_newslot(strlit2797);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_lastToken;
  params[1] = bool2795;
  params[2] = bool2796;
  params[3] = strlit2797;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2798 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2794);
// compiled call node returning call2798 (depth = 8)
    gc_frame_newslot(call2798);
    if2772 = call2798;
  }
// compiled if node returning if2772 (depth = 7)
    gc_frame_newslot(if2772);
    if2765 = if2772;
  } else {
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2799 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 8)
  Object bool2800 = alloc_Boolean(0);
// compiled identifier node returning bool2800 (depth = 8)
  gc_frame_newslot(bool2800);
// starting to compile identifier node (depth = 8)
  Object bool2801 = alloc_Boolean(1);
// compiled identifier node returning bool2801 (depth = 8)
  gc_frame_newslot(bool2801);
// starting to compile string node (depth = 8)
  if (strlit2802 == NULL) {
    strlit2802 = alloc_String("else {");
    gc_root(strlit2802);
  }
// compiled string node returning strlit2802 (depth = 8)
  gc_frame_newslot(strlit2802);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_lastToken;
  params[1] = bool2800;
  params[2] = bool2801;
  params[3] = strlit2802;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2803 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2799);
// compiled call node returning call2803 (depth = 7)
    gc_frame_newslot(call2803);
    if2765 = call2803;
  }
// compiled if node returning if2765 (depth = 6)
// Begin line 869
  setline(869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2804 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit2805 == NULL) {
    strlit2805 = alloc_String("An else statement must have a '{' after the 'else'.");
    gc_root(strlit2805);
  }
// compiled string node returning strlit2805 (depth = 7)
  gc_frame_newslot(strlit2805);
// Begin line 870
  setline(870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2806 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call2807 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2806);
// compiled call node returning call2807 (depth = 8)
// compiled member node returning call2807 (depth = 7)
  gc_frame_newslot(call2807);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2809 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call2810 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe2809);
// compiled call node returning call2810 (depth = 9)
// compiled member node returning call2810 (depth = 8)
  int op_slot_right_2808 = gc_frame_newslot(call2810);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2812 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call2813 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2812);
// compiled call node returning call2813 (depth = 9)
// compiled member node returning call2813 (depth = 8)
  int op_slot_left_2808 = gc_frame_newslot(call2813);
  params[0] = call2810;
  partcv[0] = 1;
  Object sum2814 = callmethod(call2813, "+", 1, partcv, params);
// compiled op node returning sum2814 (depth = 7)
  gc_frame_newslot(sum2814);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 869
  setline(869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit2805;
  params[1] = call2807;
  params[2] = sum2814;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2815 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2804);
// compiled call node returning call2815 (depth = 6)
    gc_frame_newslot(call2815);
    if2751 = call2815;
  } else {
  }
// compiled if node returning if2751 (depth = 5)
// Begin line 872
  setline(872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2816 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2817 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2816);
// compiled call node returning call2817 (depth = 6)
// compiled member node returning call2817 (depth = 5)
// Begin line 880
  setline(880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 875
  setline(875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2820 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call2821 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2820);
// compiled call node returning call2821 (depth = 8)
// compiled member node returning call2821 (depth = 7)
  int op_slot_right_2819 = gc_frame_newslot(call2821);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2823 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call2824 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2823);
// compiled call node returning call2824 (depth = 8)
// compiled member node returning call2824 (depth = 7)
  int op_slot_left_2819 = gc_frame_newslot(call2824);
  params[0] = call2821;
  partcv[0] = 1;
  Object opresult2825 = callmethod(call2824, "==", 1, partcv, params);
// compiled op node returning opresult2825 (depth = 6)
  Object if2818 = done;
  if (istrue(opresult2825)) {
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 876
  setline(876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 8)
  Object num2827 = alloc_Float64(1);
// compiled num node returning num2827 (depth = 8)
  int op_slot_right_2826 = gc_frame_newslot(num2827);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2829 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call2830 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2829);
// compiled call node returning call2830 (depth = 9)
// compiled member node returning call2830 (depth = 8)
  int op_slot_left_2826 = gc_frame_newslot(call2830);
  params[0] = num2827;
  partcv[0] = 1;
  Object diff2831 = callmethod(call2830, "-", 1, partcv, params);
// compiled op node returning diff2831 (depth = 7)
  *var_minIndentLevel = diff2831;
  if (diff2831 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if2818 = done;
  } else {
// Begin line 879
  setline(879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 878
  setline(878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_minInd (depth = 7)
  *var_minIndentLevel = *var_minInd;
  if (*var_minInd == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if2818 = done;
  }
// compiled if node returning if2818 (depth = 5)
// Begin line 880
  setline(880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2834 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block2835 = alloc_Block(NULL, NULL, "parser", 880);
  gc_frame_newslot(block2835);
// method _apply
  block_savedest(block2835);
  Object closure2836 = createclosure(1, "_apply");
  setclosureframe(closure2836, stackframe);
  addtoclosure(closure2836, selfslot);
  struct UserObject *uo2836 = (struct UserObject*)block2835;
  uo2836->data[0] = (Object)closure2836;
  Method *meth_meth_parser__apply2836 = addmethod2pos(block2835, "_apply", &meth_parser__apply2836, 0);
  int argcv_meth_parser__apply2836[] = {0};
  meth_meth_parser__apply2836->type = alloc_MethodType(1, argcv_meth_parser__apply2836);
  meth_meth_parser__apply2836->definitionModule = modulename;
  meth_meth_parser__apply2836->definitionLine = 876;
// compiled block node returning block2835 (depth = 6)
  gc_frame_newslot(block2835);
// starting to compile block node (depth = 6)
  Object block2843 = alloc_Block(NULL, NULL, "parser", 880);
  gc_frame_newslot(block2843);
// method _apply
  block_savedest(block2843);
  Object closure2844 = createclosure(8, "_apply");
  setclosureframe(closure2844, stackframe);
  addtoclosure(closure2844, var_errormessages);
  addtoclosure(closure2844, var_btok);
  addtoclosure(closure2844, var_lastToken);
  addtoclosure(closure2844, var_sym);
  addtoclosure(closure2844, var_values);
  addtoclosure(closure2844, var_v);
  addtoclosure(closure2844, var_curelse);
  addtoclosure(closure2844, selfslot);
  struct UserObject *uo2844 = (struct UserObject*)block2843;
  uo2844->data[0] = (Object)closure2844;
  Method *meth_meth_parser__apply2844 = addmethod2pos(block2843, "_apply", &meth_parser__apply2844, 0);
  int argcv_meth_parser__apply2844[] = {0};
  meth_meth_parser__apply2844->type = alloc_MethodType(1, argcv_meth_parser__apply2844);
  meth_meth_parser__apply2844->definitionModule = modulename;
  meth_meth_parser__apply2844->definitionLine = 880;
// compiled block node returning block2843 (depth = 6)
  gc_frame_newslot(block2843);
// call case 5: prelude request
  params[0] = block2835;
  params[1] = block2843;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2904 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2834);
// compiled call node returning call2904 (depth = 5)
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2905 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2906 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2905);
// compiled call node returning call2906 (depth = 6)
// compiled member node returning call2906 (depth = 5)
    gc_frame_newslot(call2906);
    if2736 = call2906;
  } else {
  }
// compiled if node returning if2736 (depth = 4)
// Begin line 900
  setline(900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2907 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cond (depth = 6)
  gc_frame_newslot(*var_cond);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_body (depth = 6)
  gc_frame_newslot(*var_body);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_elseblock (depth = 6)
  gc_frame_newslot(*var_elseblock);
// call case 4: self request
  params[0] = *var_cond;
  params[1] = *var_body;
  params[2] = *var_elseblock;
  partcv[0] = 3;
  Object call2908 = callmethodflags(self, "newIf", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2907);
// compiled call node returning call2908 (depth = 5)
  *var_o = call2908;
  if (call2908 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2909 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call2910 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe2909);
// compiled call node returning call2910 (depth = 4)
    gc_frame_newslot(call2910);
    if1931 = call2910;
  } else {
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 904
  setline(904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2911 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2912 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call2913 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2912);
// compiled call node returning call2913 (depth = 8)
// compiled member node returning call2913 (depth = 7)
  partcv[0] = 0;
  Object call2914 = callmethod(call2913, "new",
    1, partcv, params);
  gc_frame_end(callframe2911);
// compiled call node returning call2914 (depth = 6)
// compiled member node returning call2914 (depth = 5)
  *var_suggestion = call2914;
  if (call2914 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2917 == NULL) {
    strlit2917 = alloc_String("lbrace");
    gc_root(strlit2917);
  }
// compiled string node returning strlit2917 (depth = 6)
  int op_slot_right_2916 = gc_frame_newslot(strlit2917);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2919 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call2920 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2919);
// compiled call node returning call2920 (depth = 7)
// compiled member node returning call2920 (depth = 6)
  int op_slot_left_2916 = gc_frame_newslot(call2920);
  params[0] = strlit2917;
  partcv[0] = 1;
  Object opresult2921 = callmethod(call2920, "==", 1, partcv, params);
// compiled op node returning opresult2921 (depth = 5)
  Object if2915 = done;
  if (istrue(opresult2921)) {
// Begin line 906
  setline(906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2922 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_btok (depth = 7)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 7)
  Object bool2923 = alloc_Boolean(0);
// compiled identifier node returning bool2923 (depth = 7)
  gc_frame_newslot(bool2923);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool2923;
  partcv[0] = 2;
  Object call2924 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2922);
// compiled call node returning call2924 (depth = 6)
  *var_closingBrace = call2924;
  if (call2924 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 917
  setline(917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 907
  setline(907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool2927 = alloc_Boolean(0);
// compiled identifier node returning bool2927 (depth = 7)
  int op_slot_right_2926 = gc_frame_newslot(bool2927);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2929 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_closingBrace (depth = 9)
  partcv[0] = 0;
  Object call2930 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2929);
// compiled call node returning call2930 (depth = 8)
// compiled member node returning call2930 (depth = 7)
  int op_slot_left_2926 = gc_frame_newslot(call2930);
  params[0] = bool2927;
  partcv[0] = 1;
  Object opresult2931 = callmethod(call2930, "==", 1, partcv, params);
// compiled op node returning opresult2931 (depth = 6)
  Object if2925 = done;
  if (istrue(opresult2931)) {
// Begin line 914
  setline(914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_2933 = gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2935 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_closingBrace (depth = 10)
  partcv[0] = 0;
  Object call2936 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2935);
// compiled call node returning call2936 (depth = 9)
// compiled member node returning call2936 (depth = 8)
  int op_slot_left_2933 = gc_frame_newslot(call2936);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2937 = callmethod(call2936, "==", 1, partcv, params);
// compiled op node returning opresult2937 (depth = 7)
  Object if2932 = done;
  if (istrue(opresult2937)) {
// Begin line 909
  setline(909);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2938 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
  Object bool2939 = alloc_Boolean(1);
// compiled identifier node returning bool2939 (depth = 8)
  gc_frame_newslot(bool2939);
// starting to compile identifier node (depth = 8)
  Object bool2940 = alloc_Boolean(0);
// compiled identifier node returning bool2940 (depth = 8)
  gc_frame_newslot(bool2940);
// starting to compile string node (depth = 8)
  if (strlit2941 == NULL) {
    strlit2941 = alloc_String(" then {}");
    gc_root(strlit2941);
  }
// compiled string node returning strlit2941 (depth = 8)
  gc_frame_newslot(strlit2941);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = bool2939;
  params[2] = bool2940;
  params[3] = strlit2941;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2942 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2938);
// compiled call node returning call2942 (depth = 7)
    gc_frame_newslot(call2942);
    if2932 = call2942;
  } else {
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2943 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
  Object bool2944 = alloc_Boolean(1);
// compiled identifier node returning bool2944 (depth = 8)
  gc_frame_newslot(bool2944);
// starting to compile identifier node (depth = 8)
  Object bool2945 = alloc_Boolean(0);
// compiled identifier node returning bool2945 (depth = 8)
  gc_frame_newslot(bool2945);
// starting to compile string node (depth = 8)
  if (strlit2946 == NULL) {
    strlit2946 = alloc_String(" then {");
    gc_root(strlit2946);
  }
// compiled string node returning strlit2946 (depth = 8)
  gc_frame_newslot(strlit2946);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = bool2944;
  params[2] = bool2945;
  params[3] = strlit2946;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2947 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2943);
// compiled call node returning call2947 (depth = 7)
// Begin line 912
  setline(912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2948 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2950 = alloc_Float64(0.1);
// compiled num node returning num2950 (depth = 9)
  int op_slot_right_2949 = gc_frame_newslot(num2950);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2952 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2953 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_closingBrace (depth = 13)
  partcv[0] = 0;
  Object call2954 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2953);
// compiled call node returning call2954 (depth = 12)
// compiled member node returning call2954 (depth = 11)
  partcv[0] = 0;
  Object call2955 = callmethod(call2954, "line",
    1, partcv, params);
  gc_frame_end(callframe2952);
// compiled call node returning call2955 (depth = 10)
// compiled member node returning call2955 (depth = 9)
  int op_slot_left_2949 = gc_frame_newslot(call2955);
  params[0] = num2950;
  partcv[0] = 1;
  Object sum2956 = callmethod(call2955, "+", 1, partcv, params);
// compiled op node returning sum2956 (depth = 8)
  gc_frame_newslot(sum2956);
// starting to compile string node (depth = 8)
  if (strlit2957 == NULL) {
    strlit2957 = alloc_String("}");
    gc_root(strlit2957);
  }
// compiled string node returning strlit2957 (depth = 8)
  gc_frame_newslot(strlit2957);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = sum2956;
  params[1] = strlit2957;
  partcv[0] = 2;
  Object call2958 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2948);
// compiled call node returning call2958 (depth = 7)
    gc_frame_newslot(call2958);
    if2932 = call2958;
  }
// compiled if node returning if2932 (depth = 6)
    gc_frame_newslot(if2932);
    if2925 = if2932;
  } else {
// Begin line 915
  setline(915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2959 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
  Object bool2960 = alloc_Boolean(1);
// compiled identifier node returning bool2960 (depth = 7)
  gc_frame_newslot(bool2960);
// starting to compile identifier node (depth = 7)
  Object bool2961 = alloc_Boolean(0);
// compiled identifier node returning bool2961 (depth = 7)
  gc_frame_newslot(bool2961);
// starting to compile string node (depth = 7)
  if (strlit2962 == NULL) {
    strlit2962 = alloc_String(" then {");
    gc_root(strlit2962);
  }
// compiled string node returning strlit2962 (depth = 7)
  gc_frame_newslot(strlit2962);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = bool2960;
  params[2] = bool2961;
  params[3] = strlit2962;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2963 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2959);
// compiled call node returning call2963 (depth = 6)
    gc_frame_newslot(call2963);
    if2925 = call2963;
  }
// compiled if node returning if2925 (depth = 5)
    gc_frame_newslot(if2925);
    if2915 = if2925;
  } else {
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2964 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_btok (depth = 7)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 7)
  Object bool2965 = alloc_Boolean(1);
// compiled identifier node returning bool2965 (depth = 7)
  gc_frame_newslot(bool2965);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool2965;
  partcv[0] = 2;
  Object call2966 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2964);
// compiled call node returning call2966 (depth = 6)
  *var_closingBrace = call2966;
  if (call2966 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 929
  setline(929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 919
  setline(919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool2969 = alloc_Boolean(0);
// compiled identifier node returning bool2969 (depth = 7)
  int op_slot_right_2968 = gc_frame_newslot(bool2969);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2971 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_closingBrace (depth = 9)
  partcv[0] = 0;
  Object call2972 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2971);
// compiled call node returning call2972 (depth = 8)
// compiled member node returning call2972 (depth = 7)
  int op_slot_left_2968 = gc_frame_newslot(call2972);
  params[0] = bool2969;
  partcv[0] = 1;
  Object opresult2973 = callmethod(call2972, "==", 1, partcv, params);
// compiled op node returning opresult2973 (depth = 6)
  Object if2967 = done;
  if (istrue(opresult2973)) {
// Begin line 926
  setline(926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 920
  setline(920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  int op_slot_right_2975 = gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2977 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_closingBrace (depth = 10)
  partcv[0] = 0;
  Object call2978 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2977);
// compiled call node returning call2978 (depth = 9)
// compiled member node returning call2978 (depth = 8)
  int op_slot_left_2975 = gc_frame_newslot(call2978);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2979 = callmethod(call2978, "==", 1, partcv, params);
// compiled op node returning opresult2979 (depth = 7)
  Object if2974 = done;
  if (istrue(opresult2979)) {
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2980 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit2981 == NULL) {
    strlit2981 = alloc_String(" then {}");
    gc_root(strlit2981);
  }
// compiled string node returning strlit2981 (depth = 8)
  gc_frame_newslot(strlit2981);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit2981;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2982 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2980);
// compiled call node returning call2982 (depth = 7)
    gc_frame_newslot(call2982);
    if2974 = call2982;
  } else {
// Begin line 923
  setline(923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2983 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit2984 == NULL) {
    strlit2984 = alloc_String(" then {");
    gc_root(strlit2984);
  }
// compiled string node returning strlit2984 (depth = 8)
  gc_frame_newslot(strlit2984);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit2984;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2985 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2983);
// compiled call node returning call2985 (depth = 7)
// Begin line 924
  setline(924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2986 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2988 = alloc_Float64(0.1);
// compiled num node returning num2988 (depth = 9)
  int op_slot_right_2987 = gc_frame_newslot(num2988);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2990 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2991 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_closingBrace (depth = 13)
  partcv[0] = 0;
  Object call2992 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2991);
// compiled call node returning call2992 (depth = 12)
// compiled member node returning call2992 (depth = 11)
  partcv[0] = 0;
  Object call2993 = callmethod(call2992, "line",
    1, partcv, params);
  gc_frame_end(callframe2990);
// compiled call node returning call2993 (depth = 10)
// compiled member node returning call2993 (depth = 9)
  int op_slot_left_2987 = gc_frame_newslot(call2993);
  params[0] = num2988;
  partcv[0] = 1;
  Object sum2994 = callmethod(call2993, "+", 1, partcv, params);
// compiled op node returning sum2994 (depth = 8)
  gc_frame_newslot(sum2994);
// starting to compile string node (depth = 8)
  if (strlit2995 == NULL) {
    strlit2995 = alloc_String("}");
    gc_root(strlit2995);
  }
// compiled string node returning strlit2995 (depth = 8)
  gc_frame_newslot(strlit2995);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = sum2994;
  params[1] = strlit2995;
  partcv[0] = 2;
  Object call2996 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2986);
// compiled call node returning call2996 (depth = 7)
    gc_frame_newslot(call2996);
    if2974 = call2996;
  }
// compiled if node returning if2974 (depth = 6)
    gc_frame_newslot(if2974);
    if2967 = if2974;
  } else {
// Begin line 927
  setline(927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2997 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit2998 == NULL) {
    strlit2998 = alloc_String(" then {");
    gc_root(strlit2998);
  }
// compiled string node returning strlit2998 (depth = 7)
  gc_frame_newslot(strlit2998);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit2998;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2999 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2997);
// compiled call node returning call2999 (depth = 6)
    gc_frame_newslot(call2999);
    if2967 = call2999;
  }
// compiled if node returning if2967 (depth = 5)
    gc_frame_newslot(if2967);
    if2915 = if2967;
  }
// compiled if node returning if2915 (depth = 4)
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3000 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3001 == NULL) {
    strlit3001 = alloc_String("An if statement must have 'then' after the expression in parentheses.");
    gc_root(strlit3001);
  }
// compiled string node returning strlit3001 (depth = 5)
  gc_frame_newslot(strlit3001);
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3002 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call3003 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3002);
// compiled call node returning call3003 (depth = 6)
// compiled member node returning call3003 (depth = 5)
  gc_frame_newslot(call3003);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3004 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call3005 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3004);
// compiled call node returning call3005 (depth = 6)
// compiled member node returning call3005 (depth = 5)
  gc_frame_newslot(call3005);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit3001;
  params[1] = call3003;
  params[2] = call3005;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3006 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3000);
// compiled call node returning call3006 (depth = 4)
    gc_frame_newslot(call3006);
    if1931 = call3006;
  }
// compiled if node returning if1931 (depth = 3)
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 933
  setline(933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_localMin (depth = 4)
  *var_minIndentLevel = *var_localMin;
  if (*var_localMin == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 935
  setline(935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_localStatementIndent (depth = 4)
  *var_statementIndent = *var_localStatementIndent;
  if (*var_localStatementIndent == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if1640 = done;
  } else {
  }
// compiled if node returning if1640 (depth = 2)
  gc_frame_end(frame);
  return if1640;
}
Object meth_parser_identifier3009(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "identifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for identifier (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for identifier");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 948
  setline(948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 941
  setline(941);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3011 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit3012 == NULL) {
    strlit3012 = alloc_String("identifier");
    gc_root(strlit3012);
  }
// compiled string node returning strlit3012 (depth = 4)
  gc_frame_newslot(strlit3012);
// call case 4: self request
  params[0] = strlit3012;
  partcv[0] = 1;
  Object call3013 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3011);
// compiled call node returning call3013 (depth = 3)
  Object if3010 = done;
  if (istrue(call3013)) {
// Begin line 947
  setline(947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 942
  setline(942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3016 == NULL) {
    strlit3016 = alloc_String("if");
    gc_root(strlit3016);
  }
// compiled string node returning strlit3016 (depth = 5)
  int op_slot_right_3015 = gc_frame_newslot(strlit3016);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3018 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call3019 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe3018);
// compiled call node returning call3019 (depth = 6)
// compiled member node returning call3019 (depth = 5)
  int op_slot_left_3015 = gc_frame_newslot(call3019);
  params[0] = strlit3016;
  partcv[0] = 1;
  Object opresult3020 = callmethod(call3019, "==", 1, partcv, params);
// compiled op node returning opresult3020 (depth = 4)
  Object if3014 = done;
  if (istrue(opresult3020)) {
// Begin line 943
  setline(943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3021 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3022 = callmethodflags(self, "doif", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3021);
// compiled call node returning call3022 (depth = 5)
// compiled member node returning call3022 (depth = 4)
    gc_frame_newslot(call3022);
    if3014 = call3022;
  } else {
// Begin line 945
  setline(945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3023 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3024 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3023);
// compiled call node returning call3024 (depth = 5)
// compiled member node returning call3024 (depth = 4)
    gc_frame_newslot(call3024);
    if3014 = call3024;
  }
// compiled if node returning if3014 (depth = 3)
    gc_frame_newslot(if3014);
    if3010 = if3014;
  } else {
  }
// compiled if node returning if3010 (depth = 2)
  gc_frame_end(frame);
  return if3010;
}
Object meth_parser__apply3044(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 9)
  int callframe3045 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_blocksOK (depth = 10)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call3046 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3045);
// compiled call node returning call3046 (depth = 9)
  gc_frame_end(frame);
  return call3046;
}
Object meth_parser__apply3112(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3113 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3114 = callmethodflags(self, "term", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3113);
// compiled call node returning call3114 (depth = 10)
// compiled member node returning call3114 (depth = 9)
  gc_frame_end(frame);
  return call3114;
}
Object meth_parser_prefixop3025(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "prefixop");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_blocksOK = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for prefixop (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for prefixop");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_op = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "op");
  Object *var_val = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "val");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_suggestions = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "suggestions");
  Object *var_mem = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "mem");
  Object *var_call = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "call");
// Begin line 1005
  setline(1005);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 951
  setline(951);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3027 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit3028 == NULL) {
    strlit3028 = alloc_String("op");
    gc_root(strlit3028);
  }
// compiled string node returning strlit3028 (depth = 4)
  gc_frame_newslot(strlit3028);
// call case 4: self request
  params[0] = strlit3028;
  partcv[0] = 1;
  Object call3029 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3027);
// compiled call node returning call3029 (depth = 3)
  Object if3026 = done;
  if (istrue(call3029)) {
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 952
  setline(952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3030 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call3031 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe3030);
// compiled call node returning call3031 (depth = 5)
// compiled member node returning call3031 (depth = 4)
  *var_op = call3031;
  if (call3031 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 954
  setline(954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_val = undefined;
// compiled vardec node returning done (depth = 3)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3032 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3033 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3032);
// compiled call node returning call3033 (depth = 4)
// compiled member node returning call3033 (depth = 3)
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 955
  setline(955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3035 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3036 == NULL) {
    strlit3036 = alloc_String("lparen");
    gc_root(strlit3036);
  }
// compiled string node returning strlit3036 (depth = 5)
  gc_frame_newslot(strlit3036);
// call case 4: self request
  params[0] = strlit3036;
  partcv[0] = 1;
  Object call3037 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3035);
// compiled call node returning call3037 (depth = 4)
  Object if3034 = done;
  if (istrue(call3037)) {
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3038 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3039 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3038);
// compiled call node returning call3039 (depth = 5)
// compiled member node returning call3039 (depth = 4)
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 957
  setline(957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3041 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 7)
  int callframe3042 = gc_frame_new();
// starting to compile block node (depth = 8)
  Object block3043 = alloc_Block(NULL, NULL, "parser", 957);
  gc_frame_newslot(block3043);
// method _apply
  block_savedest(block3043);
  Object closure3044 = createclosure(2, "_apply");
  setclosureframe(closure3044, stackframe);
  addtoclosure(closure3044, var_blocksOK);
  addtoclosure(closure3044, selfslot);
  struct UserObject *uo3044 = (struct UserObject*)block3043;
  uo3044->data[0] = (Object)closure3044;
  Method *meth_meth_parser__apply3044 = addmethod2pos(block3043, "_apply", &meth_parser__apply3044, 0);
  int argcv_meth_parser__apply3044[] = {0};
  meth_meth_parser__apply3044->type = alloc_MethodType(1, argcv_meth_parser__apply3044);
  meth_meth_parser__apply3044->definitionModule = modulename;
  meth_meth_parser__apply3044->definitionLine = 957;
// compiled block node returning block3043 (depth = 8)
  gc_frame_newslot(block3043);
// call case 4: self request
  params[0] = block3043;
  partcv[0] = 1;
  Object call3048 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3042);
// compiled call node returning call3048 (depth = 7)
  partcv[0] = 0;
  Object call3049 = callmethod(call3048, "not",
    1, partcv, params);
  gc_frame_end(callframe3041);
// compiled call node returning call3049 (depth = 6)
// compiled member node returning call3049 (depth = 5)
  Object if3040 = done;
  if (istrue(call3049)) {
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3050 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3051 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call3052 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3051);
// compiled call node returning call3052 (depth = 9)
// compiled member node returning call3052 (depth = 8)
  partcv[0] = 0;
  Object call3053 = callmethod(call3052, "new",
    1, partcv, params);
  gc_frame_end(callframe3050);
// compiled call node returning call3053 (depth = 7)
// compiled member node returning call3053 (depth = 6)
  *var_suggestion = call3053;
  if (call3053 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3054 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3055 == NULL) {
    strlit3055 = alloc_String("rparen");
    gc_root(strlit3055);
  }
// compiled string node returning strlit3055 (depth = 7)
  gc_frame_newslot(strlit3055);
// call case 4: self request
  params[0] = strlit3055;
  partcv[0] = 1;
  Object call3056 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3054);
// compiled call node returning call3056 (depth = 6)
  *var_nextTok = call3056;
  if (call3056 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 965
  setline(965);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 960
  setline(960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_3058 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_3058 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3060 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult3060 (depth = 6)
  Object if3057 = done;
  if (istrue(opresult3060)) {
// Begin line 961
  setline(961);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3061 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3062 == NULL) {
    strlit3062 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3062);
  }
// compiled string node returning strlit3062 (depth = 7)
  gc_frame_newslot(strlit3062);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit3062;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3063 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3061);
// compiled call node returning call3063 (depth = 6)
    gc_frame_newslot(call3063);
    if3057 = call3063;
  } else {
// Begin line 963
  setline(963);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3064 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3065 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  partcv[0] = 0;
  Object call3066 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3065);
// compiled call node returning call3066 (depth = 8)
// compiled member node returning call3066 (depth = 7)
  gc_frame_newslot(call3066);
// starting to compile identifier node (depth = 7)
  Object bool3067 = alloc_Boolean(1);
// compiled identifier node returning bool3067 (depth = 7)
  gc_frame_newslot(bool3067);
// starting to compile identifier node (depth = 7)
  Object bool3068 = alloc_Boolean(0);
// compiled identifier node returning bool3068 (depth = 7)
  gc_frame_newslot(bool3068);
// starting to compile string node (depth = 7)
  if (strlit3069 == NULL) {
    strlit3069 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3069);
  }
// compiled string node returning strlit3069 (depth = 7)
  gc_frame_newslot(strlit3069);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call3066;
  params[2] = bool3067;
  params[3] = bool3068;
  params[4] = strlit3069;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3070 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe3064);
// compiled call node returning call3070 (depth = 6)
    gc_frame_newslot(call3070);
    if3057 = call3070;
  }
// compiled if node returning if3057 (depth = 5)
// Begin line 965
  setline(965);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3071 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3072 == NULL) {
    strlit3072 = alloc_String("Parentheses must contain a valid expression.");
    gc_root(strlit3072);
  }
// compiled string node returning strlit3072 (depth = 6)
  gc_frame_newslot(strlit3072);
// Begin line 966
  setline(966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3073 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call3074 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3073);
// compiled call node returning call3074 (depth = 7)
// compiled member node returning call3074 (depth = 6)
  gc_frame_newslot(call3074);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3075 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call3076 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3075);
// compiled call node returning call3076 (depth = 7)
// compiled member node returning call3076 (depth = 6)
  gc_frame_newslot(call3076);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 965
  setline(965);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit3072;
  params[1] = call3074;
  params[2] = call3076;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3077 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3071);
// compiled call node returning call3077 (depth = 5)
    gc_frame_newslot(call3077);
    if3040 = call3077;
  } else {
  }
// compiled if node returning if3040 (depth = 4)
// Begin line 975
  setline(975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3080 == NULL) {
    strlit3080 = alloc_String("rparen");
    gc_root(strlit3080);
  }
// compiled string node returning strlit3080 (depth = 6)
  int op_slot_right_3079 = gc_frame_newslot(strlit3080);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3082 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call3083 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3082);
// compiled call node returning call3083 (depth = 7)
// compiled member node returning call3083 (depth = 6)
  int op_slot_left_3079 = gc_frame_newslot(call3083);
  params[0] = strlit3080;
  partcv[0] = 1;
  Object opresult3084 = callmethod(call3083, "!=", 1, partcv, params);
// compiled op node returning opresult3084 (depth = 5)
  Object if3078 = done;
  if (istrue(opresult3084)) {
// Begin line 969
  setline(969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3085 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3086 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3085);
// compiled call node returning call3086 (depth = 6)
// compiled member node returning call3086 (depth = 5)
// Begin line 971
  setline(971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 970
  setline(970);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3087 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3088 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call3089 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3088);
// compiled call node returning call3089 (depth = 9)
// compiled member node returning call3089 (depth = 8)
  partcv[0] = 0;
  Object call3090 = callmethod(call3089, "new",
    1, partcv, params);
  gc_frame_end(callframe3087);
// compiled call node returning call3090 (depth = 7)
// compiled member node returning call3090 (depth = 6)
  *var_suggestion = call3090;
  if (call3090 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 971
  setline(971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3091 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3092 == NULL) {
    strlit3092 = alloc_String(")");
    gc_root(strlit3092);
  }
// compiled string node returning strlit3092 (depth = 6)
  gc_frame_newslot(strlit3092);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit3092;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3093 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3091);
// compiled call node returning call3093 (depth = 5)
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3094 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3095 == NULL) {
    strlit3095 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit3095);
  }
// compiled string node returning strlit3095 (depth = 6)
  gc_frame_newslot(strlit3095);
// Begin line 973
  setline(973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3096 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call3097 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3096);
// compiled call node returning call3097 (depth = 7)
// compiled member node returning call3097 (depth = 6)
  gc_frame_newslot(call3097);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3099 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call3100 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3099);
// compiled call node returning call3100 (depth = 8)
// compiled member node returning call3100 (depth = 7)
  int op_slot_right_3098 = gc_frame_newslot(call3100);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3102 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call3103 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3102);
// compiled call node returning call3103 (depth = 8)
// compiled member node returning call3103 (depth = 7)
  int op_slot_left_3098 = gc_frame_newslot(call3103);
  params[0] = call3100;
  partcv[0] = 1;
  Object sum3104 = callmethod(call3103, "+", 1, partcv, params);
// compiled op node returning sum3104 (depth = 6)
  gc_frame_newslot(sum3104);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit3095;
  params[1] = call3097;
  params[2] = sum3104;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3105 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3094);
// compiled call node returning call3105 (depth = 5)
    gc_frame_newslot(call3105);
    if3078 = call3105;
  } else {
  }
// compiled if node returning if3078 (depth = 4)
// Begin line 975
  setline(975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3106 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3107 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3106);
// compiled call node returning call3107 (depth = 5)
// compiled member node returning call3107 (depth = 4)
    gc_frame_newslot(call3107);
    if3034 = call3107;
  } else {
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3109 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 7)
  int callframe3110 = gc_frame_new();
// starting to compile block node (depth = 8)
  Object block3111 = alloc_Block(NULL, NULL, "parser", 977);
  gc_frame_newslot(block3111);
// method _apply
  block_savedest(block3111);
  Object closure3112 = createclosure(1, "_apply");
  setclosureframe(closure3112, stackframe);
  addtoclosure(closure3112, selfslot);
  struct UserObject *uo3112 = (struct UserObject*)block3111;
  uo3112->data[0] = (Object)closure3112;
  Method *meth_meth_parser__apply3112 = addmethod2pos(block3111, "_apply", &meth_parser__apply3112, 0);
  int argcv_meth_parser__apply3112[] = {0};
  meth_meth_parser__apply3112->type = alloc_MethodType(1, argcv_meth_parser__apply3112);
  meth_meth_parser__apply3112->definitionModule = modulename;
  meth_meth_parser__apply3112->definitionLine = 977;
// compiled block node returning block3111 (depth = 8)
  gc_frame_newslot(block3111);
// call case 4: self request
  params[0] = block3111;
  partcv[0] = 1;
  Object call3116 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3110);
// compiled call node returning call3116 (depth = 7)
  partcv[0] = 0;
  Object call3117 = callmethod(call3116, "not",
    1, partcv, params);
  gc_frame_end(callframe3109);
// compiled call node returning call3117 (depth = 6)
// compiled member node returning call3117 (depth = 5)
  Object if3108 = done;
  if (istrue(call3117)) {
// Begin line 979
  setline(979);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 978
  setline(978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 6)
  Object array3118 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3118 (depth = 6)
  *var_suggestions = array3118;
  if (array3118 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 980
  setline(980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// Begin line 979
  setline(979);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3119 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3120 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call3121 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3120);
// compiled call node returning call3121 (depth = 9)
// compiled member node returning call3121 (depth = 8)
  partcv[0] = 0;
  Object call3122 = callmethod(call3121, "new",
    1, partcv, params);
  gc_frame_end(callframe3119);
// compiled call node returning call3122 (depth = 7)
// compiled member node returning call3122 (depth = 6)
  *var_suggestion = call3122;
  if (call3122 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 980
  setline(980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3123 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3124 == NULL) {
    strlit3124 = alloc_String("rparen");
    gc_root(strlit3124);
  }
// compiled string node returning strlit3124 (depth = 7)
  gc_frame_newslot(strlit3124);
// call case 4: self request
  params[0] = strlit3124;
  partcv[0] = 1;
  Object call3125 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3123);
// compiled call node returning call3125 (depth = 6)
  *var_nextTok = call3125;
  if (call3125 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 981
  setline(981);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_3127 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_3127 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3129 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult3129 (depth = 6)
  Object if3126 = done;
  if (istrue(opresult3129)) {
// Begin line 982
  setline(982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3130 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3131 == NULL) {
    strlit3131 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3131);
  }
// compiled string node returning strlit3131 (depth = 7)
  gc_frame_newslot(strlit3131);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit3131;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3132 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3130);
// compiled call node returning call3132 (depth = 6)
    gc_frame_newslot(call3132);
    if3126 = call3132;
  } else {
// Begin line 984
  setline(984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3133 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3134 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  partcv[0] = 0;
  Object call3135 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3134);
// compiled call node returning call3135 (depth = 8)
// compiled member node returning call3135 (depth = 7)
  gc_frame_newslot(call3135);
// starting to compile identifier node (depth = 7)
  Object bool3136 = alloc_Boolean(1);
// compiled identifier node returning bool3136 (depth = 7)
  gc_frame_newslot(bool3136);
// starting to compile identifier node (depth = 7)
  Object bool3137 = alloc_Boolean(0);
// compiled identifier node returning bool3137 (depth = 7)
  gc_frame_newslot(bool3137);
// starting to compile string node (depth = 7)
  if (strlit3138 == NULL) {
    strlit3138 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3138);
  }
// compiled string node returning strlit3138 (depth = 7)
  gc_frame_newslot(strlit3138);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call3135;
  params[2] = bool3136;
  params[3] = bool3137;
  params[4] = strlit3138;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3139 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe3133);
// compiled call node returning call3139 (depth = 6)
    gc_frame_newslot(call3139);
    if3126 = call3139;
  }
// compiled if node returning if3126 (depth = 5)
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3140 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3141 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3140);
// compiled call node returning call3141 (depth = 5)
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 987
  setline(987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3144 == NULL) {
    strlit3144 = alloc_String("bind");
    gc_root(strlit3144);
  }
// compiled string node returning strlit3144 (depth = 7)
  int op_slot_right_3143 = gc_frame_newslot(strlit3144);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3146 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3147 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call3148 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe3147);
// compiled call node returning call3148 (depth = 10)
// compiled member node returning call3148 (depth = 9)
  partcv[0] = 0;
  Object call3149 = callmethod(call3148, "kind",
    1, partcv, params);
  gc_frame_end(callframe3146);
// compiled call node returning call3149 (depth = 8)
// compiled member node returning call3149 (depth = 7)
  int op_slot_left_3143 = gc_frame_newslot(call3149);
  params[0] = strlit3144;
  partcv[0] = 1;
  Object opresult3150 = callmethod(call3149, "==", 1, partcv, params);
// compiled op node returning opresult3150 (depth = 6)
  Object if3142 = done;
  if (istrue(opresult3150)) {
// Begin line 989
  setline(989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 988
  setline(988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3151 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3152 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call3153 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3152);
// compiled call node returning call3153 (depth = 10)
// compiled member node returning call3153 (depth = 9)
  partcv[0] = 0;
  Object call3154 = callmethod(call3153, "new",
    1, partcv, params);
  gc_frame_end(callframe3151);
// compiled call node returning call3154 (depth = 8)
// compiled member node returning call3154 (depth = 7)
  *var_suggestion = call3154;
  if (call3154 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 989
  setline(989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3156 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3157 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  partcv[0] = 0;
  Object call3158 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3157);
// compiled call node returning call3158 (depth = 8)
// compiled member node returning call3158 (depth = 7)
  gc_frame_newslot(call3158);
// starting to compile identifier node (depth = 7)
  Object bool3159 = alloc_Boolean(1);
// compiled identifier node returning bool3159 (depth = 7)
  gc_frame_newslot(bool3159);
// starting to compile identifier node (depth = 7)
  Object bool3160 = alloc_Boolean(0);
// compiled identifier node returning bool3160 (depth = 7)
  gc_frame_newslot(bool3160);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_lastToken;
  params[1] = call3158;
  params[2] = bool3159;
  params[3] = bool3160;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3161 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe3156);
// compiled call node returning call3161 (depth = 6)
// Begin line 990
  setline(990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3162 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3163 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call3164 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe3163);
// compiled call node returning call3164 (depth = 8)
// compiled member node returning call3164 (depth = 7)
  gc_frame_newslot(call3164);
// starting to compile identifier node (depth = 7)
  Object bool3165 = alloc_Boolean(1);
// compiled identifier node returning bool3165 (depth = 7)
  gc_frame_newslot(bool3165);
// starting to compile identifier node (depth = 7)
  Object bool3166 = alloc_Boolean(0);
// compiled identifier node returning bool3166 (depth = 7)
  gc_frame_newslot(bool3166);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = call3164;
  params[1] = bool3165;
  params[2] = bool3166;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3167 = callmethod(*var_suggestion, "deleteToken()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe3162);
// compiled call node returning call3167 (depth = 6)
// Begin line 991
  setline(991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3168 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3169 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3168);
// compiled call node returning call3169 (depth = 6)
    gc_frame_newslot(call3169);
    if3142 = call3169;
  } else {
  }
// compiled if node returning if3142 (depth = 5)
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3170 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3171 == NULL) {
    strlit3171 = alloc_String("A prefix operator must be followed by an expression.");
    gc_root(strlit3171);
  }
// compiled string node returning strlit3171 (depth = 6)
  gc_frame_newslot(strlit3171);
// Begin line 994
  setline(994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3172 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call3173 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3172);
// compiled call node returning call3173 (depth = 7)
// compiled member node returning call3173 (depth = 6)
  gc_frame_newslot(call3173);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3175 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call3176 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3175);
// compiled call node returning call3176 (depth = 8)
// compiled member node returning call3176 (depth = 7)
  int op_slot_right_3174 = gc_frame_newslot(call3176);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3178 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call3179 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3178);
// compiled call node returning call3179 (depth = 8)
// compiled member node returning call3179 (depth = 7)
  int op_slot_left_3174 = gc_frame_newslot(call3179);
  params[0] = call3176;
  partcv[0] = 1;
  Object sum3180 = callmethod(call3179, "+", 1, partcv, params);
// compiled op node returning sum3180 (depth = 6)
  gc_frame_newslot(sum3180);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit3171;
  params[1] = call3173;
  params[2] = sum3180;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3181 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3170);
// compiled call node returning call3181 (depth = 5)
    gc_frame_newslot(call3181);
    if3108 = call3181;
  } else {
  }
// compiled if node returning if3108 (depth = 4)
    gc_frame_newslot(if3108);
    if3034 = if3108;
  }
// compiled if node returning if3034 (depth = 3)
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3182 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blocksOK (depth = 4)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call3183 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3182);
// compiled call node returning call3183 (depth = 3)
// Begin line 998
  setline(998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3184 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blocksOK (depth = 4)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call3185 = callmethodflags(self, "callrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3184);
// compiled call node returning call3185 (depth = 3)
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3186 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3187 = callmethodflags(self, "postfixsquare", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3186);
// compiled call node returning call3187 (depth = 4)
// compiled member node returning call3187 (depth = 3)
// Begin line 1001
  setline(1001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 1000
  setline(1000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3188 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call3189 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3188);
// compiled call node returning call3189 (depth = 5)
// compiled member node returning call3189 (depth = 4)
  *var_val = call3189;
  if (call3189 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 1001
  setline(1001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3191 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_op (depth = 6)
  int op_slot_right_3192 = gc_frame_newslot(*var_op);
// starting to compile string node (depth = 6)
  if (strlit3194 == NULL) {
    strlit3194 = alloc_String("prefix");
    gc_root(strlit3194);
  }
// compiled string node returning strlit3194 (depth = 6)
  int op_slot_left_3192 = gc_frame_newslot(strlit3194);
  params[0] = *var_op;
  partcv[0] = 1;
  Object opresult3195 = callmethod(strlit3194, "++", 1, partcv, params);
// compiled op node returning opresult3195 (depth = 5)
  gc_frame_newslot(opresult3195);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  gc_frame_newslot(*var_val);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3196 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call3197 = callmethod(*var_ast, "memberNode",
    1, partcv, params);
  gc_frame_end(callframe3196);
// compiled call node returning call3197 (depth = 6)
// compiled member node returning call3197 (depth = 5)
  params[0] = opresult3195;
  params[1] = *var_val;
  partcv[0] = 2;
  Object call3198 = callmethod(call3197, "new",
    1, partcv, params);
  gc_frame_end(callframe3191);
// compiled call node returning call3198 (depth = 4)
  *var_mem = call3198;
  if (call3198 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3199 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_mem (depth = 5)
  gc_frame_newslot(*var_mem);
// starting to compile array node (depth = 5)
  Object array3200 = alloc_BuiltinList();
  gc_pause();
// starting to compile call node (depth = 6)
  int callframe3201 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3202 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mem (depth = 9)
  partcv[0] = 0;
  Object call3203 = callmethod(*var_mem, "value",
    1, partcv, params);
  gc_frame_end(callframe3202);
// compiled call node returning call3203 (depth = 8)
// compiled member node returning call3203 (depth = 7)
  gc_frame_newslot(call3203);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3204 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ast (depth = 9)
  partcv[0] = 0;
  Object call3205 = callmethod(*var_ast, "callWithPart",
    1, partcv, params);
  gc_frame_end(callframe3204);
// compiled call node returning call3205 (depth = 8)
// compiled member node returning call3205 (depth = 7)
  params[0] = call3203;
  partcv[0] = 1;
  Object call3206 = callmethod(call3205, "new",
    1, partcv, params);
  gc_frame_end(callframe3201);
// compiled call node returning call3206 (depth = 6)
  params[0] = call3206;
  partcv[0] = 1;
  callmethod(array3200, "push", 1, partcv, params);
  gc_unpause();
// compiled array node returning array3200 (depth = 5)
  gc_frame_newslot(array3200);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3207 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call3208 = callmethod(*var_ast, "callNode",
    1, partcv, params);
  gc_frame_end(callframe3207);
// compiled call node returning call3208 (depth = 6)
// compiled member node returning call3208 (depth = 5)
  params[0] = *var_mem;
  params[1] = array3200;
  partcv[0] = 2;
  Object call3209 = callmethod(call3208, "new",
    1, partcv, params);
  gc_frame_end(callframe3199);
// compiled call node returning call3209 (depth = 4)
  *var_call = call3209;
  if (call3209 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1003
  setline(1003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3210 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_call (depth = 4)
  gc_frame_newslot(*var_call);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_call;
  partcv[0] = 1;
  Object call3211 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe3210);
// compiled call node returning call3211 (depth = 3)
    gc_frame_newslot(call3211);
    if3026 = call3211;
  } else {
  }
// compiled if node returning if3026 (depth = 2)
  gc_frame_end(frame);
  return if3026;
}
Object meth_parser__apply3227(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 5)
  int callframe3228 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3229 == NULL) {
    strlit3229 = alloc_String("identifier");
    gc_root(strlit3229);
  }
// compiled string node returning strlit3229 (depth = 6)
  gc_frame_newslot(strlit3229);
// call case 4: self request
  params[0] = strlit3229;
  partcv[0] = 1;
  Object call3230 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3228);
// compiled call node returning call3230 (depth = 5)
  gc_frame_end(frame);
  return call3230;
}
Object meth_parser__apply3238(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe3239 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3240 == NULL) {
    strlit3240 = alloc_String("dot");
    gc_root(strlit3240);
  }
// compiled string node returning strlit3240 (depth = 8)
  gc_frame_newslot(strlit3240);
// call case 4: self request
  params[0] = strlit3240;
  partcv[0] = 1;
  Object call3241 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3239);
// compiled call node returning call3241 (depth = 7)
  gc_frame_end(frame);
  return call3241;
}
Object meth_parser__apply3244(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_memberIn = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "memberIn");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_memberName = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "memberName");
  Object *var_memberNd = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "memberNd");
// Begin line 1016
  setline(1016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3245 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3246 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3245);
// compiled call node returning call3246 (depth = 8)
// compiled member node returning call3246 (depth = 7)
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 1017
  setline(1017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3247 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  partcv[0] = 0;
  Object call3248 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3247);
// compiled call node returning call3248 (depth = 9)
// compiled member node returning call3248 (depth = 8)
  *var_memberIn = call3248;
  if (call3248 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 1029
  setline(1029);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3251 == NULL) {
    strlit3251 = alloc_String("identifier");
    gc_root(strlit3251);
  }
// compiled string node returning strlit3251 (depth = 9)
  int op_slot_right_3250 = gc_frame_newslot(strlit3251);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3253 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call3254 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3253);
// compiled call node returning call3254 (depth = 10)
// compiled member node returning call3254 (depth = 9)
  int op_slot_left_3250 = gc_frame_newslot(call3254);
  params[0] = strlit3251;
  partcv[0] = 1;
  Object opresult3255 = callmethod(call3254, "!=", 1, partcv, params);
// compiled op node returning opresult3255 (depth = 8)
  Object if3249 = done;
  if (istrue(opresult3255)) {
// Begin line 1020
  setline(1020);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// Begin line 1019
  setline(1019);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 9)
  Object array3256 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3256 (depth = 9)
  *var_suggestions = array3256;
  if (array3256 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// Begin line 1020
  setline(1020);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3257 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3258 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call3259 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3258);
// compiled call node returning call3259 (depth = 12)
// compiled member node returning call3259 (depth = 11)
  partcv[0] = 0;
  Object call3260 = callmethod(call3259, "new",
    1, partcv, params);
  gc_frame_end(callframe3257);
// compiled call node returning call3260 (depth = 10)
// compiled member node returning call3260 (depth = 9)
  *var_suggestion = call3260;
  if (call3260 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3261 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3262 == NULL) {
    strlit3262 = alloc_String("""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit3262);
  }
// compiled string node returning strlit3262 (depth = 9)
  gc_frame_newslot(strlit3262);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3262;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3263 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3261);
// compiled call node returning call3263 (depth = 8)
// Begin line 1022
  setline(1022);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3264 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3265 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3264);
// compiled call node returning call3265 (depth = 8)
// Begin line 1024
  setline(1024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 1023
  setline(1023);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3266 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3267 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call3268 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3267);
// compiled call node returning call3268 (depth = 12)
// compiled member node returning call3268 (depth = 11)
  partcv[0] = 0;
  Object call3269 = callmethod(call3268, "new",
    1, partcv, params);
  gc_frame_end(callframe3266);
// compiled call node returning call3269 (depth = 10)
// compiled member node returning call3269 (depth = 9)
  *var_suggestion = call3269;
  if (call3269 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 1024
  setline(1024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3271 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call3272 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe3271);
// compiled call node returning call3272 (depth = 8)
// Begin line 1025
  setline(1025);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3273 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3274 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3273);
// compiled call node returning call3274 (depth = 8)
// Begin line 1026
  setline(1026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3275 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3276 == NULL) {
    strlit3276 = alloc_String("A type name must follow the '.'.");
    gc_root(strlit3276);
  }
// compiled string node returning strlit3276 (depth = 9)
  gc_frame_newslot(strlit3276);
// Begin line 1027
  setline(1027);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3277 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call3278 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3277);
// compiled call node returning call3278 (depth = 10)
// compiled member node returning call3278 (depth = 9)
  gc_frame_newslot(call3278);
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num3280 = alloc_Float64(1);
// compiled num node returning num3280 (depth = 10)
  int op_slot_right_3279 = gc_frame_newslot(num3280);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3282 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lastToken (depth = 12)
  partcv[0] = 0;
  Object call3283 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3282);
// compiled call node returning call3283 (depth = 11)
// compiled member node returning call3283 (depth = 10)
  int op_slot_left_3279 = gc_frame_newslot(call3283);
  params[0] = num3280;
  partcv[0] = 1;
  Object sum3284 = callmethod(call3283, "+", 1, partcv, params);
// compiled op node returning sum3284 (depth = 9)
  gc_frame_newslot(sum3284);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 1026
  setline(1026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit3276;
  params[1] = call3278;
  params[2] = sum3284;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3285 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3275);
// compiled call node returning call3285 (depth = 8)
    gc_frame_newslot(call3285);
    if3249 = call3285;
  } else {
  }
// compiled if node returning if3249 (depth = 7)
// Begin line 1029
  setline(1029);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3286 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3287 = callmethodflags(self, "identifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3286);
// compiled call node returning call3287 (depth = 8)
// compiled member node returning call3287 (depth = 7)
// Begin line 1031
  setline(1031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 1030
  setline(1030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3288 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  partcv[0] = 0;
  Object call3289 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3288);
// compiled call node returning call3289 (depth = 9)
// compiled member node returning call3289 (depth = 8)
  *var_memberName = call3289;
  if (call3289 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 1031
  setline(1031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3290 = gc_frame_new();
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3291 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_memberName (depth = 11)
  partcv[0] = 0;
  Object call3292 = callmethod(*var_memberName, "value",
    1, partcv, params);
  gc_frame_end(callframe3291);
// compiled call node returning call3292 (depth = 10)
// compiled member node returning call3292 (depth = 9)
  gc_frame_newslot(call3292);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_memberIn (depth = 9)
  gc_frame_newslot(*var_memberIn);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3293 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_ast (depth = 11)
  partcv[0] = 0;
  Object call3294 = callmethod(*var_ast, "memberNode",
    1, partcv, params);
  gc_frame_end(callframe3293);
// compiled call node returning call3294 (depth = 10)
// compiled member node returning call3294 (depth = 9)
  params[0] = call3292;
  params[1] = *var_memberIn;
  partcv[0] = 2;
  Object call3295 = callmethod(call3294, "new",
    1, partcv, params);
  gc_frame_end(callframe3290);
// compiled call node returning call3295 (depth = 8)
  *var_memberNd = call3295;
  if (call3295 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 1033
  setline(1033);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 1031
  setline(1031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3296 = gc_frame_new();
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3297 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_memberName (depth = 11)
  partcv[0] = 0;
  Object call3298 = callmethod(*var_memberName, "line",
    1, partcv, params);
  gc_frame_end(callframe3297);
// compiled call node returning call3298 (depth = 10)
// compiled member node returning call3298 (depth = 9)
  gc_frame_newslot(call3298);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_memberNd (depth = 9)
  params[0] = call3298;
  partcv[0] = 1;
  Object call3299 = callmethod(*var_memberNd, "line:=",
    1, partcv, params);
  gc_frame_end(callframe3296);
// compiled call node returning call3299 (depth = 8)
// compiled bind node returning done (depth = 7)
// Begin line 1034
  setline(1034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3300 = gc_frame_new();
// Begin line 1033
  setline(1033);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3301 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_memberName (depth = 11)
  partcv[0] = 0;
  Object call3302 = callmethod(*var_memberName, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3301);
// compiled call node returning call3302 (depth = 10)
// compiled member node returning call3302 (depth = 9)
  gc_frame_newslot(call3302);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_memberNd (depth = 9)
  params[0] = call3302;
  partcv[0] = 1;
  Object call3303 = callmethod(*var_memberNd, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe3300);
// compiled call node returning call3303 (depth = 8)
// compiled bind node returning done (depth = 7)
// Begin line 1034
  setline(1034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3304 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_memberNd (depth = 8)
  gc_frame_newslot(*var_memberNd);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  params[0] = *var_memberNd;
  partcv[0] = 1;
  Object call3305 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe3304);
// compiled call node returning call3305 (depth = 7)
  gc_frame_end(frame);
  return call3305;
}
Object meth_parser__apply3233(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  Object *var_gens = getfromclosure(closure, 5);
  Object *var_startToken = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_suggestion2 = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion2");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
// Begin line 1014
  setline(1014);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3234 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3235 = callmethodflags(self, "identifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3234);
// compiled call node returning call3235 (depth = 6)
// compiled member node returning call3235 (depth = 5)
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3236 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block3237 = alloc_Block(NULL, NULL, "parser", 1015);
  gc_frame_newslot(block3237);
// method _apply
  block_savedest(block3237);
  Object closure3238 = createclosure(1, "_apply");
  setclosureframe(closure3238, stackframe);
  addtoclosure(closure3238, selfslot);
  struct UserObject *uo3238 = (struct UserObject*)block3237;
  uo3238->data[0] = (Object)closure3238;
  Method *meth_meth_parser__apply3238 = addmethod2pos(block3237, "_apply", &meth_parser__apply3238, 0);
  int argcv_meth_parser__apply3238[] = {0};
  meth_meth_parser__apply3238->type = alloc_MethodType(1, argcv_meth_parser__apply3238);
  meth_meth_parser__apply3238->definitionModule = modulename;
  meth_meth_parser__apply3238->definitionLine = 1014;
// compiled block node returning block3237 (depth = 6)
  gc_frame_newslot(block3237);
// starting to compile block node (depth = 6)
  Object block3243 = alloc_Block(NULL, NULL, "parser", 1015);
  gc_frame_newslot(block3243);
// method _apply
  block_savedest(block3243);
  Object closure3244 = createclosure(6, "_apply");
  setclosureframe(closure3244, stackframe);
  addtoclosure(closure3244, var_values);
  addtoclosure(closure3244, var_sym);
  addtoclosure(closure3244, var_errormessages);
  addtoclosure(closure3244, var_lastToken);
  addtoclosure(closure3244, var_ast);
  addtoclosure(closure3244, selfslot);
  struct UserObject *uo3244 = (struct UserObject*)block3243;
  uo3244->data[0] = (Object)closure3244;
  Method *meth_meth_parser__apply3244 = addmethod2pos(block3243, "_apply", &meth_parser__apply3244, 0);
  int argcv_meth_parser__apply3244[] = {0};
  meth_meth_parser__apply3244->type = alloc_MethodType(1, argcv_meth_parser__apply3244);
  meth_meth_parser__apply3244->definitionModule = modulename;
  meth_meth_parser__apply3244->definitionLine = 1014;
// compiled block node returning block3243 (depth = 6)
  gc_frame_newslot(block3243);
// call case 5: prelude request
  params[0] = block3237;
  params[1] = block3243;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3307 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3236);
// compiled call node returning call3307 (depth = 5)
// Begin line 1036
  setline(1036);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3308 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3309 = callmethodflags(self, "generic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3308);
// compiled call node returning call3309 (depth = 6)
// compiled member node returning call3309 (depth = 5)
// Begin line 1037
  setline(1037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3310 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3311 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call3312 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3311);
// compiled call node returning call3312 (depth = 7)
// compiled member node returning call3312 (depth = 6)
  gc_frame_newslot(call3312);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_gens (depth = 6)
  params[0] = call3312;
  partcv[0] = 1;
  Object call3313 = callmethod(*var_gens, "push",
    1, partcv, params);
  gc_frame_end(callframe3310);
// compiled call node returning call3313 (depth = 5)
// Begin line 1052
  setline(1052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3315 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3316 == NULL) {
    strlit3316 = alloc_String("comma");
    gc_root(strlit3316);
  }
// compiled string node returning strlit3316 (depth = 7)
  gc_frame_newslot(strlit3316);
// call case 4: self request
  params[0] = strlit3316;
  partcv[0] = 1;
  Object call3317 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3315);
// compiled call node returning call3317 (depth = 6)
  Object if3314 = done;
  if (istrue(call3317)) {
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3318 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3319 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3318);
// compiled call node returning call3319 (depth = 7)
// compiled member node returning call3319 (depth = 6)
    gc_frame_newslot(call3319);
    if3314 = call3319;
  } else {
// Begin line 1051
  setline(1051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3322 == NULL) {
    strlit3322 = alloc_String("rgeneric");
    gc_root(strlit3322);
  }
// compiled string node returning strlit3322 (depth = 8)
  int op_slot_right_3321 = gc_frame_newslot(strlit3322);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3324 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call3325 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3324);
// compiled call node returning call3325 (depth = 9)
// compiled member node returning call3325 (depth = 8)
  int op_slot_left_3321 = gc_frame_newslot(call3325);
  params[0] = strlit3322;
  partcv[0] = 1;
  Object opresult3326 = callmethod(call3325, "!=", 1, partcv, params);
// compiled op node returning opresult3326 (depth = 7)
  Object if3320 = done;
  if (istrue(opresult3326)) {
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3327 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3328 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call3329 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3328);
// compiled call node returning call3329 (depth = 11)
// compiled member node returning call3329 (depth = 10)
  partcv[0] = 0;
  Object call3330 = callmethod(call3329, "new",
    1, partcv, params);
  gc_frame_end(callframe3327);
// compiled call node returning call3330 (depth = 9)
// compiled member node returning call3330 (depth = 8)
  *var_suggestion = call3330;
  if (call3330 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3331 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3332 == NULL) {
    strlit3332 = alloc_String(">");
    gc_root(strlit3332);
  }
// compiled string node returning strlit3332 (depth = 8)
  gc_frame_newslot(strlit3332);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit3332;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3333 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3331);
// compiled call node returning call3333 (depth = 7)
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3334 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3335 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call3336 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3335);
// compiled call node returning call3336 (depth = 11)
// compiled member node returning call3336 (depth = 10)
  partcv[0] = 0;
  Object call3337 = callmethod(call3336, "new",
    1, partcv, params);
  gc_frame_end(callframe3334);
// compiled call node returning call3337 (depth = 9)
// compiled member node returning call3337 (depth = 8)
  *var_suggestion2 = call3337;
  if (call3337 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3338 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3339 == NULL) {
    strlit3339 = alloc_String(" ");
    gc_root(strlit3339);
  }
// compiled string node returning strlit3339 (depth = 8)
  gc_frame_newslot(strlit3339);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_startToken (depth = 8)
  gc_frame_newslot(*var_startToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion2 (depth = 8)
  params[0] = strlit3339;
  params[1] = *var_startToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3340 = callmethod(*var_suggestion2, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe3338);
// compiled call node returning call3340 (depth = 7)
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 8)
  Object array3341 = alloc_BuiltinList();
  gc_pause();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  callmethod(array3341, "push", 1, partcv, params);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion2 (depth = 9)
  params[0] = *var_suggestion2;
  partcv[0] = 1;
  callmethod(array3341, "push", 1, partcv, params);
  gc_unpause();
// compiled array node returning array3341 (depth = 8)
  *var_suggestions = array3341;
  if (array3341 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3342 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3343 == NULL) {
    strlit3343 = alloc_String("A type containing a '<' must end with a '>', or the '<' operator must have a space before it.");
    gc_root(strlit3343);
  }
// compiled string node returning strlit3343 (depth = 8)
  gc_frame_newslot(strlit3343);
// Begin line 1048
  setline(1048);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3344 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call3345 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3344);
// compiled call node returning call3345 (depth = 9)
// compiled member node returning call3345 (depth = 8)
  gc_frame_newslot(call3345);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3347 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call3348 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3347);
// compiled call node returning call3348 (depth = 10)
// compiled member node returning call3348 (depth = 9)
  int op_slot_right_3346 = gc_frame_newslot(call3348);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3350 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call3351 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3350);
// compiled call node returning call3351 (depth = 10)
// compiled member node returning call3351 (depth = 9)
  int op_slot_left_3346 = gc_frame_newslot(call3351);
  params[0] = call3348;
  partcv[0] = 1;
  Object sum3352 = callmethod(call3351, "+", 1, partcv, params);
// compiled op node returning sum3352 (depth = 8)
  gc_frame_newslot(sum3352);
// Begin line 1049
  setline(1049);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit3343;
  params[1] = call3345;
  params[2] = sum3352;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3353 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3342);
// compiled call node returning call3353 (depth = 7)
    gc_frame_newslot(call3353);
    if3320 = call3353;
  } else {
  }
// compiled if node returning if3320 (depth = 6)
    gc_frame_newslot(if3320);
    if3314 = if3320;
  }
// compiled if node returning if3314 (depth = 5)
  gc_frame_end(frame);
  return if3314;
}
Object meth_parser_generic3212(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "generic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for generic (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for generic");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_id = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "id");
  Object *var_gens = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "gens");
  Object *var_startToken = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "startToken");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_suggestion2 = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "suggestion2");
  Object *var_suggestions = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "suggestions");
// Begin line 1066
  setline(1066);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1008
  setline(1008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3214 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit3215 == NULL) {
    strlit3215 = alloc_String("lgeneric");
    gc_root(strlit3215);
  }
// compiled string node returning strlit3215 (depth = 4)
  gc_frame_newslot(strlit3215);
// call case 4: self request
  params[0] = strlit3215;
  partcv[0] = 1;
  Object call3216 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3214);
// compiled call node returning call3216 (depth = 3)
  Object if3213 = done;
  if (istrue(call3216)) {
// Begin line 1010
  setline(1010);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3217 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call3218 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3217);
// compiled call node returning call3218 (depth = 5)
// compiled member node returning call3218 (depth = 4)
  *var_id = call3218;
  if (call3218 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 1011
  setline(1011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 1010
  setline(1010);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3219 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3220 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3221 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3220);
// compiled call node returning call3221 (depth = 7)
// compiled member node returning call3221 (depth = 6)
  partcv[0] = 0;
  Object call3222 = callmethod(call3221, "empty",
    1, partcv, params);
  gc_frame_end(callframe3219);
// compiled call node returning call3222 (depth = 5)
// compiled member node returning call3222 (depth = 4)
  *var_gens = call3222;
  if (call3222 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 1012
  setline(1012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 1011
  setline(1011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_startToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 1012
  setline(1012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3223 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3224 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3223);
// compiled call node returning call3224 (depth = 4)
// compiled member node returning call3224 (depth = 3)
// Begin line 1013
  setline(1013);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3225 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block3226 = alloc_Block(NULL, NULL, "parser", 1013);
  gc_frame_newslot(block3226);
// method _apply
  block_savedest(block3226);
  Object closure3227 = createclosure(1, "_apply");
  setclosureframe(closure3227, stackframe);
  addtoclosure(closure3227, selfslot);
  struct UserObject *uo3227 = (struct UserObject*)block3226;
  uo3227->data[0] = (Object)closure3227;
  Method *meth_meth_parser__apply3227 = addmethod2pos(block3226, "_apply", &meth_parser__apply3227, 0);
  int argcv_meth_parser__apply3227[] = {0};
  meth_meth_parser__apply3227->type = alloc_MethodType(1, argcv_meth_parser__apply3227);
  meth_meth_parser__apply3227->definitionModule = modulename;
  meth_meth_parser__apply3227->definitionLine = 1012;
// compiled block node returning block3226 (depth = 4)
  gc_frame_newslot(block3226);
// starting to compile block node (depth = 4)
  Object block3232 = alloc_Block(NULL, NULL, "parser", 1013);
  gc_frame_newslot(block3232);
// method _apply
  block_savedest(block3232);
  Object closure3233 = createclosure(8, "_apply");
  setclosureframe(closure3233, stackframe);
  addtoclosure(closure3233, var_values);
  addtoclosure(closure3233, var_sym);
  addtoclosure(closure3233, var_errormessages);
  addtoclosure(closure3233, var_lastToken);
  addtoclosure(closure3233, var_ast);
  addtoclosure(closure3233, var_gens);
  addtoclosure(closure3233, var_startToken);
  addtoclosure(closure3233, selfslot);
  struct UserObject *uo3233 = (struct UserObject*)block3232;
  uo3233->data[0] = (Object)closure3233;
  Method *meth_meth_parser__apply3233 = addmethod2pos(block3232, "_apply", &meth_parser__apply3233, 0);
  int argcv_meth_parser__apply3233[] = {0};
  meth_meth_parser__apply3233->type = alloc_MethodType(1, argcv_meth_parser__apply3233);
  meth_meth_parser__apply3233->definitionModule = modulename;
  meth_meth_parser__apply3233->definitionLine = 1012;
// compiled block node returning block3232 (depth = 4)
  gc_frame_newslot(block3232);
// call case 5: prelude request
  params[0] = block3226;
  params[1] = block3232;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3355 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3225);
// compiled call node returning call3355 (depth = 3)
// Begin line 1063
  setline(1063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1053
  setline(1053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3358 == NULL) {
    strlit3358 = alloc_String("rgeneric");
    gc_root(strlit3358);
  }
// compiled string node returning strlit3358 (depth = 5)
  int op_slot_right_3357 = gc_frame_newslot(strlit3358);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3360 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call3361 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3360);
// compiled call node returning call3361 (depth = 6)
// compiled member node returning call3361 (depth = 5)
  int op_slot_left_3357 = gc_frame_newslot(call3361);
  params[0] = strlit3358;
  partcv[0] = 1;
  Object opresult3362 = callmethod(call3361, "!=", 1, partcv, params);
// compiled op node returning opresult3362 (depth = 4)
  Object if3356 = done;
  if (istrue(opresult3362)) {
// Begin line 1055
  setline(1055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1054
  setline(1054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3363 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3364 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call3365 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3364);
// compiled call node returning call3365 (depth = 8)
// compiled member node returning call3365 (depth = 7)
  partcv[0] = 0;
  Object call3366 = callmethod(call3365, "new",
    1, partcv, params);
  gc_frame_end(callframe3363);
// compiled call node returning call3366 (depth = 6)
// compiled member node returning call3366 (depth = 5)
  *var_suggestion = call3366;
  if (call3366 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1055
  setline(1055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3367 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3368 == NULL) {
    strlit3368 = alloc_String(">");
    gc_root(strlit3368);
  }
// compiled string node returning strlit3368 (depth = 5)
  gc_frame_newslot(strlit3368);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit3368;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3369 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3367);
// compiled call node returning call3369 (depth = 4)
// Begin line 1057
  setline(1057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1056
  setline(1056);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3370 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3371 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call3372 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3371);
// compiled call node returning call3372 (depth = 8)
// compiled member node returning call3372 (depth = 7)
  partcv[0] = 0;
  Object call3373 = callmethod(call3372, "new",
    1, partcv, params);
  gc_frame_end(callframe3370);
// compiled call node returning call3373 (depth = 6)
// compiled member node returning call3373 (depth = 5)
  *var_suggestion2 = call3373;
  if (call3373 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1057
  setline(1057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3374 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3375 == NULL) {
    strlit3375 = alloc_String(" ");
    gc_root(strlit3375);
  }
// compiled string node returning strlit3375 (depth = 5)
  gc_frame_newslot(strlit3375);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_startToken (depth = 5)
  gc_frame_newslot(*var_startToken);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion2 (depth = 5)
  params[0] = strlit3375;
  params[1] = *var_startToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3376 = callmethod(*var_suggestion2, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe3374);
// compiled call node returning call3376 (depth = 4)
// Begin line 1059
  setline(1059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1058
  setline(1058);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 5)
  Object array3377 = alloc_BuiltinList();
  gc_pause();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  callmethod(array3377, "push", 1, partcv, params);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion2 (depth = 6)
  params[0] = *var_suggestion2;
  partcv[0] = 1;
  callmethod(array3377, "push", 1, partcv, params);
  gc_unpause();
// compiled array node returning array3377 (depth = 5)
  *var_suggestions = array3377;
  if (array3377 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1059
  setline(1059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3378 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3379 == NULL) {
    strlit3379 = alloc_String("A type containing a '<' must end with a '>', or the '<' operator must have a space before it.");
    gc_root(strlit3379);
  }
// compiled string node returning strlit3379 (depth = 5)
  gc_frame_newslot(strlit3379);
// Begin line 1060
  setline(1060);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3380 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call3381 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3380);
// compiled call node returning call3381 (depth = 6)
// compiled member node returning call3381 (depth = 5)
  gc_frame_newslot(call3381);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3383 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call3384 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3383);
// compiled call node returning call3384 (depth = 7)
// compiled member node returning call3384 (depth = 6)
  int op_slot_right_3382 = gc_frame_newslot(call3384);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3386 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call3387 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3386);
// compiled call node returning call3387 (depth = 7)
// compiled member node returning call3387 (depth = 6)
  int op_slot_left_3382 = gc_frame_newslot(call3387);
  params[0] = call3384;
  partcv[0] = 1;
  Object sum3388 = callmethod(call3387, "+", 1, partcv, params);
// compiled op node returning sum3388 (depth = 5)
  gc_frame_newslot(sum3388);
// Begin line 1061
  setline(1061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 1059
  setline(1059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit3379;
  params[1] = call3381;
  params[2] = sum3388;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3389 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3378);
// compiled call node returning call3389 (depth = 4)
    gc_frame_newslot(call3389);
    if3356 = call3389;
  } else {
  }
// compiled if node returning if3356 (depth = 3)
// Begin line 1063
  setline(1063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3390 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3391 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3390);
// compiled call node returning call3391 (depth = 4)
// compiled member node returning call3391 (depth = 3)
// Begin line 1064
  setline(1064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3392 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3393 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_id (depth = 5)
  gc_frame_newslot(*var_id);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_gens (depth = 5)
  gc_frame_newslot(*var_gens);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3394 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call3395 = callmethod(*var_ast, "genericNode",
    1, partcv, params);
  gc_frame_end(callframe3394);
// compiled call node returning call3395 (depth = 6)
// compiled member node returning call3395 (depth = 5)
  params[0] = *var_id;
  params[1] = *var_gens;
  partcv[0] = 2;
  Object call3396 = callmethod(call3395, "new",
    1, partcv, params);
  gc_frame_end(callframe3393);
// compiled call node returning call3396 (depth = 4)
  gc_frame_newslot(call3396);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = call3396;
  partcv[0] = 1;
  Object call3397 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe3392);
// compiled call node returning call3397 (depth = 3)
    gc_frame_newslot(call3397);
    if3213 = call3397;
  } else {
  }
// compiled if node returning if3213 (depth = 2)
  gc_frame_end(frame);
  return if3213;
}
Object meth_parser__apply3436(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_catchTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1082
  setline(1082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3440 == NULL) {
    strlit3440 = alloc_String("catch");
    gc_root(strlit3440);
  }
// compiled string node returning strlit3440 (depth = 10)
  int op_slot_right_3439 = gc_frame_newslot(strlit3440);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3442 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_t (depth = 12)
  partcv[0] = 0;
  Object call3443 = callmethod(*var_t, "value",
    1, partcv, params);
  gc_frame_end(callframe3442);
// compiled call node returning call3443 (depth = 11)
// compiled member node returning call3443 (depth = 10)
  int op_slot_left_3439 = gc_frame_newslot(call3443);
  params[0] = strlit3440;
  partcv[0] = 1;
  Object opresult3444 = callmethod(call3443, "==", 1, partcv, params);
// compiled op node returning opresult3444 (depth = 9)
  int op_slot_right_3438 = gc_frame_newslot(opresult3444);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3447 == NULL) {
    strlit3447 = alloc_String("identifier");
    gc_root(strlit3447);
  }
// compiled string node returning strlit3447 (depth = 10)
  int op_slot_right_3446 = gc_frame_newslot(strlit3447);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3449 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_t (depth = 12)
  partcv[0] = 0;
  Object call3450 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe3449);
// compiled call node returning call3450 (depth = 11)
// compiled member node returning call3450 (depth = 10)
  int op_slot_left_3446 = gc_frame_newslot(call3450);
  params[0] = strlit3447;
  partcv[0] = 1;
  Object opresult3451 = callmethod(call3450, "==", 1, partcv, params);
// compiled op node returning opresult3451 (depth = 9)
  int op_slot_left_3438 = gc_frame_newslot(opresult3451);
  params[0] = opresult3444;
  partcv[0] = 1;
  Object opresult3452 = callmethod(opresult3451, "&&", 1, partcv, params);
// compiled op node returning opresult3452 (depth = 8)
  int op_slot_right_3437 = gc_frame_newslot(opresult3452);
// starting to compile op node (depth = 8)
// Begin line 1081
  setline(1081);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3457 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_catchTok (depth = 13)
  partcv[0] = 0;
  Object call3458 = callmethod(*var_catchTok, "line",
    1, partcv, params);
  gc_frame_end(callframe3457);
// compiled call node returning call3458 (depth = 12)
// compiled member node returning call3458 (depth = 11)
  int op_slot_right_3456 = gc_frame_newslot(call3458);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3460 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_t (depth = 13)
  partcv[0] = 0;
  Object call3461 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe3460);
// compiled call node returning call3461 (depth = 12)
// compiled member node returning call3461 (depth = 11)
  int op_slot_left_3456 = gc_frame_newslot(call3461);
  params[0] = call3458;
  partcv[0] = 1;
  Object opresult3462 = callmethod(call3461, "==", 1, partcv, params);
// compiled op node returning opresult3462 (depth = 10)
  int op_slot_right_3455 = gc_frame_newslot(opresult3462);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3465 == NULL) {
    strlit3465 = alloc_String("rparen");
    gc_root(strlit3465);
  }
// compiled string node returning strlit3465 (depth = 11)
  int op_slot_right_3464 = gc_frame_newslot(strlit3465);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3467 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_t (depth = 13)
  partcv[0] = 0;
  Object call3468 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe3467);
// compiled call node returning call3468 (depth = 12)
// compiled member node returning call3468 (depth = 11)
  int op_slot_left_3464 = gc_frame_newslot(call3468);
  params[0] = strlit3465;
  partcv[0] = 1;
  Object opresult3469 = callmethod(call3468, "==", 1, partcv, params);
// compiled op node returning opresult3469 (depth = 10)
  int op_slot_left_3455 = gc_frame_newslot(opresult3469);
  params[0] = opresult3462;
  partcv[0] = 1;
  Object opresult3470 = callmethod(opresult3469, "&&", 1, partcv, params);
// compiled op node returning opresult3470 (depth = 9)
  int op_slot_right_3454 = gc_frame_newslot(opresult3470);
// Begin line 1080
  setline(1080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3473 == NULL) {
    strlit3473 = alloc_String("rbrace");
    gc_root(strlit3473);
  }
// compiled string node returning strlit3473 (depth = 10)
  int op_slot_right_3472 = gc_frame_newslot(strlit3473);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3475 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_t (depth = 12)
  partcv[0] = 0;
  Object call3476 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe3475);
// compiled call node returning call3476 (depth = 11)
// compiled member node returning call3476 (depth = 10)
  int op_slot_left_3472 = gc_frame_newslot(call3476);
  params[0] = strlit3473;
  partcv[0] = 1;
  Object opresult3477 = callmethod(call3476, "==", 1, partcv, params);
// compiled op node returning opresult3477 (depth = 9)
  int op_slot_left_3454 = gc_frame_newslot(opresult3477);
  params[0] = opresult3470;
  partcv[0] = 1;
  Object opresult3478 = callmethod(opresult3477, "||", 1, partcv, params);
// compiled op node returning opresult3478 (depth = 8)
  int op_slot_left_3437 = gc_frame_newslot(opresult3478);
  params[0] = opresult3452;
  partcv[0] = 1;
  Object opresult3479 = callmethod(opresult3478, "||", 1, partcv, params);
// compiled op node returning opresult3479 (depth = 7)
  gc_frame_end(frame);
  return opresult3479;
}
Object meth_parser__apply3554(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe3555 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_blocksOK (depth = 9)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call3556 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3555);
// compiled call node returning call3556 (depth = 8)
  gc_frame_end(frame);
  return call3556;
}
Object meth_parser__apply3624(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3627 == NULL) {
    strlit3627 = alloc_String("catch");
    gc_root(strlit3627);
  }
// compiled string node returning strlit3627 (depth = 6)
  int op_slot_right_3626 = gc_frame_newslot(strlit3627);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3629 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call3630 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe3629);
// compiled call node returning call3630 (depth = 7)
// compiled member node returning call3630 (depth = 6)
  int op_slot_left_3626 = gc_frame_newslot(call3630);
  params[0] = strlit3627;
  partcv[0] = 1;
  Object opresult3631 = callmethod(call3630, "==", 1, partcv, params);
// compiled op node returning opresult3631 (depth = 5)
  int op_slot_right_3625 = gc_frame_newslot(opresult3631);
// starting to compile call node (depth = 5)
  int callframe3633 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3634 == NULL) {
    strlit3634 = alloc_String("identifier");
    gc_root(strlit3634);
  }
// compiled string node returning strlit3634 (depth = 6)
  gc_frame_newslot(strlit3634);
// call case 4: self request
  params[0] = strlit3634;
  partcv[0] = 1;
  Object call3635 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3633);
// compiled call node returning call3635 (depth = 5)
  int op_slot_left_3625 = gc_frame_newslot(call3635);
  params[0] = opresult3631;
  partcv[0] = 1;
  Object opresult3636 = callmethod(call3635, "&&", 1, partcv, params);
// compiled op node returning opresult3636 (depth = 4)
  gc_frame_end(frame);
  return opresult3636;
}
Object meth_parser__apply3658(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 11)
  int callframe3659 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_blocksOK (depth = 12)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call3660 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3659);
// compiled call node returning call3660 (depth = 11)
  gc_frame_end(frame);
  return call3660;
}
Object meth_parser__apply3639(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_tokens = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_cases = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
// Begin line 1125
  setline(1125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3640 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3641 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3640);
// compiled call node returning call3641 (depth = 5)
// compiled member node returning call3641 (depth = 4)
// Begin line 1171
  setline(1171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1126
  setline(1126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3643 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3644 == NULL) {
    strlit3644 = alloc_String("lbrace");
    gc_root(strlit3644);
  }
// compiled string node returning strlit3644 (depth = 6)
  gc_frame_newslot(strlit3644);
// call case 4: self request
  params[0] = strlit3644;
  partcv[0] = 1;
  Object call3645 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3643);
// compiled call node returning call3645 (depth = 5)
  Object if3642 = done;
  if (istrue(call3645)) {
// Begin line 1127
  setline(1127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3646 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3647 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3646);
// compiled call node returning call3647 (depth = 6)
// compiled member node returning call3647 (depth = 5)
    gc_frame_newslot(call3647);
    if3642 = call3647;
  } else {
// Begin line 1149
  setline(1149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1128
  setline(1128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3649 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3650 == NULL) {
    strlit3650 = alloc_String("lparen");
    gc_root(strlit3650);
  }
// compiled string node returning strlit3650 (depth = 7)
  gc_frame_newslot(strlit3650);
// call case 4: self request
  params[0] = strlit3650;
  partcv[0] = 1;
  Object call3651 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3649);
// compiled call node returning call3651 (depth = 6)
  Object if3648 = done;
  if (istrue(call3651)) {
// Begin line 1129
  setline(1129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3652 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3653 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3652);
// compiled call node returning call3653 (depth = 7)
// compiled member node returning call3653 (depth = 6)
// Begin line 1141
  setline(1141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1130
  setline(1130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3655 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 9)
  int callframe3656 = gc_frame_new();
// starting to compile block node (depth = 10)
  Object block3657 = alloc_Block(NULL, NULL, "parser", 1130);
  gc_frame_newslot(block3657);
// method _apply
  block_savedest(block3657);
  Object closure3658 = createclosure(2, "_apply");
  setclosureframe(closure3658, stackframe);
  addtoclosure(closure3658, var_blocksOK);
  addtoclosure(closure3658, selfslot);
  struct UserObject *uo3658 = (struct UserObject*)block3657;
  uo3658->data[0] = (Object)closure3658;
  Method *meth_meth_parser__apply3658 = addmethod2pos(block3657, "_apply", &meth_parser__apply3658, 0);
  int argcv_meth_parser__apply3658[] = {0};
  meth_meth_parser__apply3658->type = alloc_MethodType(1, argcv_meth_parser__apply3658);
  meth_meth_parser__apply3658->definitionModule = modulename;
  meth_meth_parser__apply3658->definitionLine = 1130;
// compiled block node returning block3657 (depth = 10)
  gc_frame_newslot(block3657);
// call case 4: self request
  params[0] = block3657;
  partcv[0] = 1;
  Object call3662 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3656);
// compiled call node returning call3662 (depth = 9)
  partcv[0] = 0;
  Object call3663 = callmethod(call3662, "not",
    1, partcv, params);
  gc_frame_end(callframe3655);
// compiled call node returning call3663 (depth = 8)
// compiled member node returning call3663 (depth = 7)
  Object if3654 = done;
  if (istrue(call3663)) {
// Begin line 1132
  setline(1132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 1131
  setline(1131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3664 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3665 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call3666 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3665);
// compiled call node returning call3666 (depth = 11)
// compiled member node returning call3666 (depth = 10)
  partcv[0] = 0;
  Object call3667 = callmethod(call3666, "new",
    1, partcv, params);
  gc_frame_end(callframe3664);
// compiled call node returning call3667 (depth = 9)
// compiled member node returning call3667 (depth = 8)
  *var_suggestion = call3667;
  if (call3667 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 1132
  setline(1132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3668 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3669 == NULL) {
    strlit3669 = alloc_String("rparen");
    gc_root(strlit3669);
  }
// compiled string node returning strlit3669 (depth = 9)
  gc_frame_newslot(strlit3669);
// call case 4: self request
  params[0] = strlit3669;
  partcv[0] = 1;
  Object call3670 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3668);
// compiled call node returning call3670 (depth = 8)
  *var_nextTok = call3670;
  if (call3670 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 1138
  setline(1138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1133
  setline(1133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_3672 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_3672 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3674 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult3674 (depth = 8)
  Object if3671 = done;
  if (istrue(opresult3674)) {
// Begin line 1134
  setline(1134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3675 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3676 == NULL) {
    strlit3676 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3676);
  }
// compiled string node returning strlit3676 (depth = 9)
  gc_frame_newslot(strlit3676);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3676;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3677 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3675);
// compiled call node returning call3677 (depth = 8)
    gc_frame_newslot(call3677);
    if3671 = call3677;
  } else {
// Begin line 1136
  setline(1136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3678 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3679 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  partcv[0] = 0;
  Object call3680 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3679);
// compiled call node returning call3680 (depth = 10)
// compiled member node returning call3680 (depth = 9)
  gc_frame_newslot(call3680);
// starting to compile identifier node (depth = 9)
  Object bool3681 = alloc_Boolean(1);
// compiled identifier node returning bool3681 (depth = 9)
  gc_frame_newslot(bool3681);
// starting to compile identifier node (depth = 9)
  Object bool3682 = alloc_Boolean(0);
// compiled identifier node returning bool3682 (depth = 9)
  gc_frame_newslot(bool3682);
// starting to compile string node (depth = 9)
  if (strlit3683 == NULL) {
    strlit3683 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3683);
  }
// compiled string node returning strlit3683 (depth = 9)
  gc_frame_newslot(strlit3683);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  params[1] = call3680;
  params[2] = bool3681;
  params[3] = bool3682;
  params[4] = strlit3683;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3684 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe3678);
// compiled call node returning call3684 (depth = 8)
    gc_frame_newslot(call3684);
    if3671 = call3684;
  }
// compiled if node returning if3671 (depth = 7)
// Begin line 1138
  setline(1138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3685 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3686 == NULL) {
    strlit3686 = alloc_String("A try-catch statement must have either a matching block or an expression in parentheses after the 'catch'.");
    gc_root(strlit3686);
  }
// compiled string node returning strlit3686 (depth = 8)
  gc_frame_newslot(strlit3686);
// Begin line 1139
  setline(1139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3687 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call3688 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3687);
// compiled call node returning call3688 (depth = 9)
// compiled member node returning call3688 (depth = 8)
  gc_frame_newslot(call3688);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3689 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call3690 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3689);
// compiled call node returning call3690 (depth = 9)
// compiled member node returning call3690 (depth = 8)
  gc_frame_newslot(call3690);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1138
  setline(1138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit3686;
  params[1] = call3688;
  params[2] = call3690;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3691 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3685);
// compiled call node returning call3691 (depth = 7)
    gc_frame_newslot(call3691);
    if3654 = call3691;
  } else {
  }
// compiled if node returning if3654 (depth = 6)
// Begin line 1148
  setline(1148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1141
  setline(1141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3694 == NULL) {
    strlit3694 = alloc_String("rparen");
    gc_root(strlit3694);
  }
// compiled string node returning strlit3694 (depth = 8)
  int op_slot_right_3693 = gc_frame_newslot(strlit3694);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3696 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call3697 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3696);
// compiled call node returning call3697 (depth = 9)
// compiled member node returning call3697 (depth = 8)
  int op_slot_left_3693 = gc_frame_newslot(call3697);
  params[0] = strlit3694;
  partcv[0] = 1;
  Object opresult3698 = callmethod(call3697, "!=", 1, partcv, params);
// compiled op node returning opresult3698 (depth = 7)
  Object if3692 = done;
  if (istrue(opresult3698)) {
// Begin line 1142
  setline(1142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3699 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3700 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3699);
// compiled call node returning call3700 (depth = 8)
// compiled member node returning call3700 (depth = 7)
// Begin line 1144
  setline(1144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 1143
  setline(1143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3701 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3702 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call3703 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3702);
// compiled call node returning call3703 (depth = 11)
// compiled member node returning call3703 (depth = 10)
  partcv[0] = 0;
  Object call3704 = callmethod(call3703, "new",
    1, partcv, params);
  gc_frame_end(callframe3701);
// compiled call node returning call3704 (depth = 9)
// compiled member node returning call3704 (depth = 8)
  *var_suggestion = call3704;
  if (call3704 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 1144
  setline(1144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3705 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3706 == NULL) {
    strlit3706 = alloc_String(")");
    gc_root(strlit3706);
  }
// compiled string node returning strlit3706 (depth = 8)
  gc_frame_newslot(strlit3706);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit3706;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3707 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3705);
// compiled call node returning call3707 (depth = 7)
// Begin line 1145
  setline(1145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3708 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3709 == NULL) {
    strlit3709 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit3709);
  }
// compiled string node returning strlit3709 (depth = 8)
  gc_frame_newslot(strlit3709);
// Begin line 1146
  setline(1146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3710 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call3711 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3710);
// compiled call node returning call3711 (depth = 9)
// compiled member node returning call3711 (depth = 8)
  gc_frame_newslot(call3711);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3713 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call3714 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3713);
// compiled call node returning call3714 (depth = 10)
// compiled member node returning call3714 (depth = 9)
  int op_slot_right_3712 = gc_frame_newslot(call3714);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3716 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call3717 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3716);
// compiled call node returning call3717 (depth = 10)
// compiled member node returning call3717 (depth = 9)
  int op_slot_left_3712 = gc_frame_newslot(call3717);
  params[0] = call3714;
  partcv[0] = 1;
  Object sum3718 = callmethod(call3717, "+", 1, partcv, params);
// compiled op node returning sum3718 (depth = 8)
  gc_frame_newslot(sum3718);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1145
  setline(1145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit3709;
  params[1] = call3711;
  params[2] = sum3718;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3719 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3708);
// compiled call node returning call3719 (depth = 7)
    gc_frame_newslot(call3719);
    if3692 = call3719;
  } else {
  }
// compiled if node returning if3692 (depth = 6)
// Begin line 1148
  setline(1148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3720 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3721 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3720);
// compiled call node returning call3721 (depth = 7)
// compiled member node returning call3721 (depth = 6)
    gc_frame_newslot(call3721);
    if3648 = call3721;
  } else {
// Begin line 1151
  setline(1151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 1150
  setline(1150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 7)
  Object array3722 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3722 (depth = 7)
  *var_suggestions = array3722;
  if (array3722 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1151
  setline(1151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3723 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 4: self request
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call3724 = callmethodflags(self, "findNextTokenIndentedAt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3723);
// compiled call node returning call3724 (depth = 7)
  *var_nextTok = call3724;
  if (call3724 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1153
  setline(1153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// Begin line 1152
  setline(1152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3725 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3726 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call3727 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3726);
// compiled call node returning call3727 (depth = 10)
// compiled member node returning call3727 (depth = 9)
  partcv[0] = 0;
  Object call3728 = callmethod(call3727, "new",
    1, partcv, params);
  gc_frame_end(callframe3725);
// compiled call node returning call3728 (depth = 8)
// compiled member node returning call3728 (depth = 7)
  *var_suggestion = call3728;
  if (call3728 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 1168
  setline(1168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1153
  setline(1153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool3731 = alloc_Boolean(0);
// compiled identifier node returning bool3731 (depth = 8)
  int op_slot_right_3730 = gc_frame_newslot(bool3731);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_3730 = gc_frame_newslot(*var_nextTok);
  params[0] = bool3731;
  partcv[0] = 1;
  Object opresult3733 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult3733 (depth = 7)
  Object if3729 = done;
  if (istrue(opresult3733)) {
// Begin line 1154
  setline(1154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3734 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3735 == NULL) {
    strlit3735 = alloc_String(" }");
    gc_root(strlit3735);
  }
// compiled string node returning strlit3735 (depth = 8)
  gc_frame_newslot(strlit3735);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3736 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tokens (depth = 10)
  partcv[0] = 0;
  Object call3737 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe3736);
// compiled call node returning call3737 (depth = 9)
// compiled member node returning call3737 (depth = 8)
  gc_frame_newslot(call3737);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit3735;
  params[1] = call3737;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3738 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3734);
// compiled call node returning call3738 (depth = 7)
// Begin line 1155
  setline(1155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3739 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3740 == NULL) {
    strlit3740 = alloc_String(" {");
    gc_root(strlit3740);
  }
// compiled string node returning strlit3740 (depth = 8)
  gc_frame_newslot(strlit3740);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit3740;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3741 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3739);
// compiled call node returning call3741 (depth = 7)
// Begin line 1156
  setline(1156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3742 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3743 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3742);
// compiled call node returning call3743 (depth = 7)
    gc_frame_newslot(call3743);
    if3729 = call3743;
  } else {
// Begin line 1163
  setline(1163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1157
  setline(1157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_3745 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_3745 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3747 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult3747 (depth = 8)
  Object if3744 = done;
  if (istrue(opresult3747)) {
// Begin line 1158
  setline(1158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3748 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3749 == NULL) {
    strlit3749 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit3749);
  }
// compiled string node returning strlit3749 (depth = 9)
  gc_frame_newslot(strlit3749);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3749;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3750 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3748);
// compiled call node returning call3750 (depth = 8)
// Begin line 1159
  setline(1159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3751 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3752 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3751);
// compiled call node returning call3752 (depth = 8)
// Begin line 1161
  setline(1161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 1160
  setline(1160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3753 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3754 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call3755 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3754);
// compiled call node returning call3755 (depth = 12)
// compiled member node returning call3755 (depth = 11)
  partcv[0] = 0;
  Object call3756 = callmethod(call3755, "new",
    1, partcv, params);
  gc_frame_end(callframe3753);
// compiled call node returning call3756 (depth = 10)
// compiled member node returning call3756 (depth = 9)
  *var_suggestion = call3756;
  if (call3756 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 1161
  setline(1161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3758 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3759 == NULL) {
    strlit3759 = alloc_String(" { ""\xc2""""\xab""match expression""\xc2""""\xbb"" }");
    gc_root(strlit3759);
  }
// compiled string node returning strlit3759 (depth = 9)
  gc_frame_newslot(strlit3759);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3759;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3760 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3758);
// compiled call node returning call3760 (depth = 8)
// Begin line 1162
  setline(1162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3761 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3762 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3761);
// compiled call node returning call3762 (depth = 8)
    gc_frame_newslot(call3762);
    if3744 = call3762;
  } else {
// Begin line 1164
  setline(1164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3763 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3764 == NULL) {
    strlit3764 = alloc_String(" }");
    gc_root(strlit3764);
  }
// compiled string node returning strlit3764 (depth = 9)
  gc_frame_newslot(strlit3764);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3765 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  partcv[0] = 0;
  Object call3766 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3765);
// compiled call node returning call3766 (depth = 10)
// compiled member node returning call3766 (depth = 9)
  gc_frame_newslot(call3766);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3764;
  params[1] = call3766;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3767 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3763);
// compiled call node returning call3767 (depth = 8)
// Begin line 1165
  setline(1165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3768 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3769 == NULL) {
    strlit3769 = alloc_String(" {");
    gc_root(strlit3769);
  }
// compiled string node returning strlit3769 (depth = 9)
  gc_frame_newslot(strlit3769);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3769;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3770 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3768);
// compiled call node returning call3770 (depth = 8)
// Begin line 1166
  setline(1166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3771 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3772 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3771);
// compiled call node returning call3772 (depth = 8)
    gc_frame_newslot(call3772);
    if3744 = call3772;
  }
// compiled if node returning if3744 (depth = 7)
    gc_frame_newslot(if3744);
    if3729 = if3744;
  }
// compiled if node returning if3729 (depth = 6)
// Begin line 1168
  setline(1168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3773 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3774 == NULL) {
    strlit3774 = alloc_String("A try-catch statement must have either a matching block or an expression in parentheses after the 'catch'.");
    gc_root(strlit3774);
  }
// compiled string node returning strlit3774 (depth = 7)
  gc_frame_newslot(strlit3774);
// Begin line 1169
  setline(1169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3775 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call3776 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3775);
// compiled call node returning call3776 (depth = 8)
// compiled member node returning call3776 (depth = 7)
  gc_frame_newslot(call3776);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3777 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call3778 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3777);
// compiled call node returning call3778 (depth = 8)
// compiled member node returning call3778 (depth = 7)
  gc_frame_newslot(call3778);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 1168
  setline(1168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit3774;
  params[1] = call3776;
  params[2] = call3778;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3779 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3773);
// compiled call node returning call3779 (depth = 6)
    gc_frame_newslot(call3779);
    if3648 = call3779;
  }
// compiled if node returning if3648 (depth = 5)
    gc_frame_newslot(if3648);
    if3642 = if3648;
  }
// compiled if node returning if3642 (depth = 4)
// Begin line 1171
  setline(1171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3780 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3781 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  partcv[0] = 0;
  Object call3782 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3781);
// compiled call node returning call3782 (depth = 6)
// compiled member node returning call3782 (depth = 5)
  gc_frame_newslot(call3782);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cases (depth = 5)
  params[0] = call3782;
  partcv[0] = 1;
  Object call3783 = callmethod(*var_cases, "push",
    1, partcv, params);
  gc_frame_end(callframe3780);
// compiled call node returning call3783 (depth = 4)
  gc_frame_end(frame);
  return call3783;
}
Object meth_parser__apply3858(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 10)
  int callframe3859 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_blocksOK (depth = 11)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call3860 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3859);
// compiled call node returning call3860 (depth = 10)
  gc_frame_end(frame);
  return call3860;
}
Object meth_parser_trycatch3398(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 29, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(18, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "trycatch");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_blocksOK = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_tokens = getfromclosure(closure, 6);
  Object *var_ast = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for trycatch (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for trycatch");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_localmin = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "localmin");
  Object *var_catchTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "catchTok");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_mainblock = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "mainblock");
  Object *var_cases = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "cases");
  Object *var_finally = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "finally");
  Object *var_suggestions = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "suggestions");
// Begin line 1071
  setline(1071);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1068
  setline(1068);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3400 = gc_frame_new();
// call case 6: other member request
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3403 == NULL) {
    strlit3403 = alloc_String("try");
    gc_root(strlit3403);
  }
// compiled string node returning strlit3403 (depth = 6)
  int op_slot_right_3402 = gc_frame_newslot(strlit3403);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3405 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call3406 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe3405);
// compiled call node returning call3406 (depth = 7)
// compiled member node returning call3406 (depth = 6)
  int op_slot_left_3402 = gc_frame_newslot(call3406);
  params[0] = strlit3403;
  partcv[0] = 1;
  Object opresult3407 = callmethod(call3406, "==", 1, partcv, params);
// compiled op node returning opresult3407 (depth = 5)
  int op_slot_right_3401 = gc_frame_newslot(opresult3407);
// starting to compile call node (depth = 5)
  int callframe3409 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3410 == NULL) {
    strlit3410 = alloc_String("identifier");
    gc_root(strlit3410);
  }
// compiled string node returning strlit3410 (depth = 6)
  gc_frame_newslot(strlit3410);
// call case 4: self request
  params[0] = strlit3410;
  partcv[0] = 1;
  Object call3411 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3409);
// compiled call node returning call3411 (depth = 5)
  int op_slot_left_3401 = gc_frame_newslot(call3411);
  params[0] = opresult3407;
  partcv[0] = 1;
  Object opresult3412 = callmethod(call3411, "&&", 1, partcv, params);
// compiled op node returning opresult3412 (depth = 4)
  partcv[0] = 0;
  Object call3413 = callmethod(opresult3412, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe3400);
// compiled call node returning call3413 (depth = 3)
  Object if3399 = done;
  if (istrue(call3413)) {
// Begin line 1070
  setline(1070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 1069
  setline(1069);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num3414 = alloc_Float64(0);
// compiled num node returning num3414 (depth = 4)
  return num3414;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if3399 = undefined;
  } else {
  }
// compiled if node returning if3399 (depth = 2)
// Begin line 1072
  setline(1072);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1071
  setline(1071);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_minIndentLevel (depth = 3)
  *var_localmin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1073
  setline(1073);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1072
  setline(1072);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_catchTok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1073
  setline(1073);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3415 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3416 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3415);
// compiled call node returning call3416 (depth = 3)
// compiled member node returning call3416 (depth = 2)
// Begin line 1121
  setline(1121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1074
  setline(1074);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3418 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit3419 == NULL) {
    strlit3419 = alloc_String("lbrace");
    gc_root(strlit3419);
  }
// compiled string node returning strlit3419 (depth = 4)
  gc_frame_newslot(strlit3419);
// call case 4: self request
  params[0] = strlit3419;
  partcv[0] = 1;
  Object call3420 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3418);
// compiled call node returning call3420 (depth = 3)
  Object if3417 = done;
  if (istrue(call3420)) {
// Begin line 1075
  setline(1075);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3421 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3422 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3421);
// compiled call node returning call3422 (depth = 4)
// compiled member node returning call3422 (depth = 3)
    gc_frame_newslot(call3422);
    if3417 = call3422;
  } else {
// Begin line 1100
  setline(1100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1077
  setline(1077);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3425 == NULL) {
    strlit3425 = alloc_String("lparen");
    gc_root(strlit3425);
  }
// compiled string node returning strlit3425 (depth = 5)
  int op_slot_right_3424 = gc_frame_newslot(strlit3425);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3427 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call3428 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3427);
// compiled call node returning call3428 (depth = 6)
// compiled member node returning call3428 (depth = 5)
  int op_slot_left_3424 = gc_frame_newslot(call3428);
  params[0] = strlit3425;
  partcv[0] = 1;
  Object opresult3429 = callmethod(call3428, "!=", 1, partcv, params);
// compiled op node returning opresult3429 (depth = 4)
  Object if3423 = done;
  if (istrue(opresult3429)) {
// Begin line 1080
  setline(1080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1078
  setline(1078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3430 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3431 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call3432 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3431);
// compiled call node returning call3432 (depth = 8)
// compiled member node returning call3432 (depth = 7)
  partcv[0] = 0;
  Object call3433 = callmethod(call3432, "new",
    1, partcv, params);
  gc_frame_end(callframe3430);
// compiled call node returning call3433 (depth = 6)
// compiled member node returning call3433 (depth = 5)
  *var_suggestion = call3433;
  if (call3433 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1080
  setline(1080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3434 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block3435 = alloc_Block(NULL, NULL, "parser", 1080);
  gc_frame_newslot(block3435);
// method _apply
  block_savedest(block3435);
  Object closure3436 = createclosure(2, "_apply");
  setclosureframe(closure3436, stackframe);
  addtoclosure(closure3436, var_catchTok);
  addtoclosure(closure3436, selfslot);
  struct UserObject *uo3436 = (struct UserObject*)block3435;
  uo3436->data[0] = (Object)closure3436;
  Method *meth_meth_parser__apply3436 = addmethod2pos(block3435, "_apply", &meth_parser__apply3436, 0);
  int argcv_meth_parser__apply3436[] = {1};
  meth_meth_parser__apply3436->type = alloc_MethodType(1, argcv_meth_parser__apply3436);
  meth_meth_parser__apply3436->definitionModule = modulename;
  meth_meth_parser__apply3436->definitionLine = 1078;
// compiled block node returning block3435 (depth = 6)
  gc_frame_newslot(block3435);
// call case 4: self request
  params[0] = block3435;
  partcv[0] = 1;
  Object call3481 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3434);
// compiled call node returning call3481 (depth = 5)
  *var_nextTok = call3481;
  if (call3481 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1097
  setline(1097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1083
  setline(1083);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool3484 = alloc_Boolean(0);
// compiled identifier node returning bool3484 (depth = 6)
  int op_slot_right_3483 = gc_frame_newslot(bool3484);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_left_3483 = gc_frame_newslot(*var_nextTok);
  params[0] = bool3484;
  partcv[0] = 1;
  Object opresult3486 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult3486 (depth = 5)
  Object if3482 = done;
  if (istrue(opresult3486)) {
// Begin line 1084
  setline(1084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3487 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3488 == NULL) {
    strlit3488 = alloc_String(" {}");
    gc_root(strlit3488);
  }
// compiled string node returning strlit3488 (depth = 6)
  gc_frame_newslot(strlit3488);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_catchTok (depth = 6)
  gc_frame_newslot(*var_catchTok);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit3488;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3489 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3487);
// compiled call node returning call3489 (depth = 5)
    gc_frame_newslot(call3489);
    if3482 = call3489;
  } else {
// Begin line 1087
  setline(1087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1085
  setline(1085);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3492 == NULL) {
    strlit3492 = alloc_String("rbrace");
    gc_root(strlit3492);
  }
// compiled string node returning strlit3492 (depth = 7)
  int op_slot_right_3491 = gc_frame_newslot(strlit3492);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3494 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  partcv[0] = 0;
  Object call3495 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe3494);
// compiled call node returning call3495 (depth = 8)
// compiled member node returning call3495 (depth = 7)
  int op_slot_left_3491 = gc_frame_newslot(call3495);
  params[0] = strlit3492;
  partcv[0] = 1;
  Object opresult3496 = callmethod(call3495, "==", 1, partcv, params);
// compiled op node returning opresult3496 (depth = 6)
  Object if3490 = done;
  if (istrue(opresult3496)) {
// Begin line 1086
  setline(1086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3497 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3498 == NULL) {
    strlit3498 = alloc_String(" {");
    gc_root(strlit3498);
  }
// compiled string node returning strlit3498 (depth = 7)
  gc_frame_newslot(strlit3498);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_catchTok (depth = 7)
  gc_frame_newslot(*var_catchTok);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit3498;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3499 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3497);
// compiled call node returning call3499 (depth = 6)
    gc_frame_newslot(call3499);
    if3490 = call3499;
  } else {
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1087
  setline(1087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3502 == NULL) {
    strlit3502 = alloc_String("rparen");
    gc_root(strlit3502);
  }
// compiled string node returning strlit3502 (depth = 8)
  int op_slot_right_3501 = gc_frame_newslot(strlit3502);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3504 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  partcv[0] = 0;
  Object call3505 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe3504);
// compiled call node returning call3505 (depth = 9)
// compiled member node returning call3505 (depth = 8)
  int op_slot_left_3501 = gc_frame_newslot(call3505);
  params[0] = strlit3502;
  partcv[0] = 1;
  Object opresult3506 = callmethod(call3505, "==", 1, partcv, params);
// compiled op node returning opresult3506 (depth = 7)
  Object if3500 = done;
  if (istrue(opresult3506)) {
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1088
  setline(1088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_3508 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_3508 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3510 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult3510 (depth = 8)
  Object if3507 = done;
  if (istrue(opresult3510)) {
// Begin line 1089
  setline(1089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3511 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3512 == NULL) {
    strlit3512 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3512);
  }
// compiled string node returning strlit3512 (depth = 9)
  gc_frame_newslot(strlit3512);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 9)
  Object bool3513 = alloc_Boolean(1);
// compiled identifier node returning bool3513 (depth = 9)
  gc_frame_newslot(bool3513);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3512;
  params[1] = *var_lastToken;
  params[2] = bool3513;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3514 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe3511);
// compiled call node returning call3514 (depth = 8)
    gc_frame_newslot(call3514);
    if3507 = call3514;
  } else {
// Begin line 1091
  setline(1091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3515 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3516 == NULL) {
    strlit3516 = alloc_String("(");
    gc_root(strlit3516);
  }
// compiled string node returning strlit3516 (depth = 9)
  gc_frame_newslot(strlit3516);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 9)
  Object bool3517 = alloc_Boolean(1);
// compiled identifier node returning bool3517 (depth = 9)
  gc_frame_newslot(bool3517);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3516;
  params[1] = *var_lastToken;
  params[2] = bool3517;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3518 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe3515);
// compiled call node returning call3518 (depth = 8)
    gc_frame_newslot(call3518);
    if3507 = call3518;
  }
// compiled if node returning if3507 (depth = 7)
    gc_frame_newslot(if3507);
    if3500 = if3507;
  } else {
// Begin line 1097
  setline(1097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3521 == NULL) {
    strlit3521 = alloc_String("identifier");
    gc_root(strlit3521);
  }
// compiled string node returning strlit3521 (depth = 9)
  int op_slot_right_3520 = gc_frame_newslot(strlit3521);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3523 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  partcv[0] = 0;
  Object call3524 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe3523);
// compiled call node returning call3524 (depth = 10)
// compiled member node returning call3524 (depth = 9)
  int op_slot_left_3520 = gc_frame_newslot(call3524);
  params[0] = strlit3521;
  partcv[0] = 1;
  Object opresult3525 = callmethod(call3524, "==", 1, partcv, params);
// compiled op node returning opresult3525 (depth = 8)
  Object if3519 = done;
  if (istrue(opresult3525)) {
// Begin line 1094
  setline(1094);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3526 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3527 == NULL) {
    strlit3527 = alloc_String(" {");
    gc_root(strlit3527);
  }
// compiled string node returning strlit3527 (depth = 9)
  gc_frame_newslot(strlit3527);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_catchTok (depth = 9)
  gc_frame_newslot(*var_catchTok);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3527;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3528 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3526);
// compiled call node returning call3528 (depth = 8)
// Begin line 1095
  setline(1095);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3529 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3530 == NULL) {
    strlit3530 = alloc_String("} ");
    gc_root(strlit3530);
  }
// compiled string node returning strlit3530 (depth = 9)
  gc_frame_newslot(strlit3530);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  gc_frame_newslot(*var_nextTok);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3530;
  params[1] = *var_nextTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3531 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe3529);
// compiled call node returning call3531 (depth = 8)
    gc_frame_newslot(call3531);
    if3519 = call3531;
  } else {
  }
// compiled if node returning if3519 (depth = 7)
    gc_frame_newslot(if3519);
    if3500 = if3519;
  }
// compiled if node returning if3500 (depth = 6)
    gc_frame_newslot(if3500);
    if3490 = if3500;
  }
// compiled if node returning if3490 (depth = 5)
    gc_frame_newslot(if3490);
    if3482 = if3490;
  }
// compiled if node returning if3482 (depth = 4)
// Begin line 1097
  setline(1097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3532 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3533 == NULL) {
    strlit3533 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'catch'.");
    gc_root(strlit3533);
  }
// compiled string node returning strlit3533 (depth = 5)
  gc_frame_newslot(strlit3533);
// Begin line 1098
  setline(1098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3534 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_catchTok (depth = 7)
  partcv[0] = 0;
  Object call3535 = callmethod(*var_catchTok, "line",
    1, partcv, params);
  gc_frame_end(callframe3534);
// compiled call node returning call3535 (depth = 6)
// compiled member node returning call3535 (depth = 5)
  gc_frame_newslot(call3535);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3537 = alloc_Float64(1);
// compiled num node returning num3537 (depth = 6)
  int op_slot_right_3536 = gc_frame_newslot(num3537);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3540 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_catchTok (depth = 9)
  partcv[0] = 0;
  Object call3541 = callmethod(*var_catchTok, "size",
    1, partcv, params);
  gc_frame_end(callframe3540);
// compiled call node returning call3541 (depth = 8)
// compiled member node returning call3541 (depth = 7)
  int op_slot_right_3539 = gc_frame_newslot(call3541);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3543 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_catchTok (depth = 9)
  partcv[0] = 0;
  Object call3544 = callmethod(*var_catchTok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3543);
// compiled call node returning call3544 (depth = 8)
// compiled member node returning call3544 (depth = 7)
  int op_slot_left_3539 = gc_frame_newslot(call3544);
  params[0] = call3541;
  partcv[0] = 1;
  Object sum3545 = callmethod(call3544, "+", 1, partcv, params);
// compiled op node returning sum3545 (depth = 6)
  int op_slot_left_3536 = gc_frame_newslot(sum3545);
  params[0] = num3537;
  partcv[0] = 1;
  Object sum3546 = callmethod(sum3545, "+", 1, partcv, params);
// compiled op node returning sum3546 (depth = 5)
  gc_frame_newslot(sum3546);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1097
  setline(1097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit3533;
  params[1] = call3535;
  params[2] = sum3546;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3547 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3532);
// compiled call node returning call3547 (depth = 4)
    gc_frame_newslot(call3547);
    if3423 = call3547;
  } else {
  }
// compiled if node returning if3423 (depth = 3)
// Begin line 1100
  setline(1100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3548 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3549 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3548);
// compiled call node returning call3549 (depth = 4)
// compiled member node returning call3549 (depth = 3)
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1101
  setline(1101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3551 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 6)
  int callframe3552 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block3553 = alloc_Block(NULL, NULL, "parser", 1101);
  gc_frame_newslot(block3553);
// method _apply
  block_savedest(block3553);
  Object closure3554 = createclosure(2, "_apply");
  setclosureframe(closure3554, stackframe);
  addtoclosure(closure3554, var_blocksOK);
  addtoclosure(closure3554, selfslot);
  struct UserObject *uo3554 = (struct UserObject*)block3553;
  uo3554->data[0] = (Object)closure3554;
  Method *meth_meth_parser__apply3554 = addmethod2pos(block3553, "_apply", &meth_parser__apply3554, 0);
  int argcv_meth_parser__apply3554[] = {0};
  meth_meth_parser__apply3554->type = alloc_MethodType(1, argcv_meth_parser__apply3554);
  meth_meth_parser__apply3554->definitionModule = modulename;
  meth_meth_parser__apply3554->definitionLine = 1101;
// compiled block node returning block3553 (depth = 7)
  gc_frame_newslot(block3553);
// call case 4: self request
  params[0] = block3553;
  partcv[0] = 1;
  Object call3558 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3552);
// compiled call node returning call3558 (depth = 6)
  partcv[0] = 0;
  Object call3559 = callmethod(call3558, "not",
    1, partcv, params);
  gc_frame_end(callframe3551);
// compiled call node returning call3559 (depth = 5)
// compiled member node returning call3559 (depth = 4)
  Object if3550 = done;
  if (istrue(call3559)) {
// Begin line 1103
  setline(1103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1102
  setline(1102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3560 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3561 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call3562 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3561);
// compiled call node returning call3562 (depth = 8)
// compiled member node returning call3562 (depth = 7)
  partcv[0] = 0;
  Object call3563 = callmethod(call3562, "new",
    1, partcv, params);
  gc_frame_end(callframe3560);
// compiled call node returning call3563 (depth = 6)
// compiled member node returning call3563 (depth = 5)
  *var_suggestion = call3563;
  if (call3563 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1103
  setline(1103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3564 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3565 == NULL) {
    strlit3565 = alloc_String("rparen");
    gc_root(strlit3565);
  }
// compiled string node returning strlit3565 (depth = 6)
  gc_frame_newslot(strlit3565);
// call case 4: self request
  params[0] = strlit3565;
  partcv[0] = 1;
  Object call3566 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3564);
// compiled call node returning call3566 (depth = 5)
  *var_nextTok = call3566;
  if (call3566 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1109
  setline(1109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1104
  setline(1104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  int op_slot_right_3568 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_left_3568 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3570 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult3570 (depth = 5)
  Object if3567 = done;
  if (istrue(opresult3570)) {
// Begin line 1105
  setline(1105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3571 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3572 == NULL) {
    strlit3572 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3572);
  }
// compiled string node returning strlit3572 (depth = 6)
  gc_frame_newslot(strlit3572);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit3572;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3573 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3571);
// compiled call node returning call3573 (depth = 5)
    gc_frame_newslot(call3573);
    if3567 = call3573;
  } else {
// Begin line 1107
  setline(1107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3574 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3575 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  partcv[0] = 0;
  Object call3576 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3575);
// compiled call node returning call3576 (depth = 7)
// compiled member node returning call3576 (depth = 6)
  gc_frame_newslot(call3576);
// starting to compile identifier node (depth = 6)
  Object bool3577 = alloc_Boolean(1);
// compiled identifier node returning bool3577 (depth = 6)
  gc_frame_newslot(bool3577);
// starting to compile identifier node (depth = 6)
  Object bool3578 = alloc_Boolean(0);
// compiled identifier node returning bool3578 (depth = 6)
  gc_frame_newslot(bool3578);
// starting to compile string node (depth = 6)
  if (strlit3579 == NULL) {
    strlit3579 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3579);
  }
// compiled string node returning strlit3579 (depth = 6)
  gc_frame_newslot(strlit3579);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = call3576;
  params[2] = bool3577;
  params[3] = bool3578;
  params[4] = strlit3579;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3580 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe3574);
// compiled call node returning call3580 (depth = 5)
    gc_frame_newslot(call3580);
    if3567 = call3580;
  }
// compiled if node returning if3567 (depth = 4)
// Begin line 1109
  setline(1109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3581 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3582 == NULL) {
    strlit3582 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'catch'.");
    gc_root(strlit3582);
  }
// compiled string node returning strlit3582 (depth = 5)
  gc_frame_newslot(strlit3582);
// Begin line 1110
  setline(1110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3583 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call3584 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3583);
// compiled call node returning call3584 (depth = 6)
// compiled member node returning call3584 (depth = 5)
  gc_frame_newslot(call3584);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3585 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call3586 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3585);
// compiled call node returning call3586 (depth = 6)
// compiled member node returning call3586 (depth = 5)
  gc_frame_newslot(call3586);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1109
  setline(1109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit3582;
  params[1] = call3584;
  params[2] = call3586;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3587 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3581);
// compiled call node returning call3587 (depth = 4)
    gc_frame_newslot(call3587);
    if3550 = call3587;
  } else {
  }
// compiled if node returning if3550 (depth = 3)
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3590 == NULL) {
    strlit3590 = alloc_String("rparen");
    gc_root(strlit3590);
  }
// compiled string node returning strlit3590 (depth = 5)
  int op_slot_right_3589 = gc_frame_newslot(strlit3590);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3592 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call3593 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3592);
// compiled call node returning call3593 (depth = 6)
// compiled member node returning call3593 (depth = 5)
  int op_slot_left_3589 = gc_frame_newslot(call3593);
  params[0] = strlit3590;
  partcv[0] = 1;
  Object opresult3594 = callmethod(call3593, "!=", 1, partcv, params);
// compiled op node returning opresult3594 (depth = 4)
  Object if3588 = done;
  if (istrue(opresult3594)) {
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3595 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3596 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3595);
// compiled call node returning call3596 (depth = 5)
// compiled member node returning call3596 (depth = 4)
// Begin line 1115
  setline(1115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1114
  setline(1114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3597 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3598 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call3599 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3598);
// compiled call node returning call3599 (depth = 8)
// compiled member node returning call3599 (depth = 7)
  partcv[0] = 0;
  Object call3600 = callmethod(call3599, "new",
    1, partcv, params);
  gc_frame_end(callframe3597);
// compiled call node returning call3600 (depth = 6)
// compiled member node returning call3600 (depth = 5)
  *var_suggestion = call3600;
  if (call3600 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1115
  setline(1115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3601 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3602 == NULL) {
    strlit3602 = alloc_String(")");
    gc_root(strlit3602);
  }
// compiled string node returning strlit3602 (depth = 5)
  gc_frame_newslot(strlit3602);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit3602;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3603 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3601);
// compiled call node returning call3603 (depth = 4)
// Begin line 1116
  setline(1116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3604 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3605 == NULL) {
    strlit3605 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit3605);
  }
// compiled string node returning strlit3605 (depth = 5)
  gc_frame_newslot(strlit3605);
// Begin line 1117
  setline(1117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3606 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call3607 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3606);
// compiled call node returning call3607 (depth = 6)
// compiled member node returning call3607 (depth = 5)
  gc_frame_newslot(call3607);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3609 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call3610 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3609);
// compiled call node returning call3610 (depth = 7)
// compiled member node returning call3610 (depth = 6)
  int op_slot_right_3608 = gc_frame_newslot(call3610);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3612 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call3613 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3612);
// compiled call node returning call3613 (depth = 7)
// compiled member node returning call3613 (depth = 6)
  int op_slot_left_3608 = gc_frame_newslot(call3613);
  params[0] = call3610;
  partcv[0] = 1;
  Object sum3614 = callmethod(call3613, "+", 1, partcv, params);
// compiled op node returning sum3614 (depth = 5)
  gc_frame_newslot(sum3614);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1116
  setline(1116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit3605;
  params[1] = call3607;
  params[2] = sum3614;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3615 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3604);
// compiled call node returning call3615 (depth = 4)
    gc_frame_newslot(call3615);
    if3588 = call3615;
  } else {
  }
// compiled if node returning if3588 (depth = 3)
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3616 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3617 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3616);
// compiled call node returning call3617 (depth = 4)
// compiled member node returning call3617 (depth = 3)
    gc_frame_newslot(call3617);
    if3417 = call3617;
  }
// compiled if node returning if3417 (depth = 2)
// Begin line 1122
  setline(1122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1121
  setline(1121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3618 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  partcv[0] = 0;
  Object call3619 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3618);
// compiled call node returning call3619 (depth = 4)
// compiled member node returning call3619 (depth = 3)
  *var_mainblock = call3619;
  if (call3619 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1123
  setline(1123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1122
  setline(1122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array3620 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3620 (depth = 3)
  *var_cases = array3620;
  if (array3620 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1124
  setline(1124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1123
  setline(1123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3621 = alloc_Boolean(0);
// compiled identifier node returning bool3621 (depth = 3)
  *var_finally = bool3621;
  if (bool3621 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1124
  setline(1124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3622 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block3623 = alloc_Block(NULL, NULL, "parser", 1124);
  gc_frame_newslot(block3623);
// method _apply
  block_savedest(block3623);
  Object closure3624 = createclosure(2, "_apply");
  setclosureframe(closure3624, stackframe);
  addtoclosure(closure3624, var_sym);
  addtoclosure(closure3624, selfslot);
  struct UserObject *uo3624 = (struct UserObject*)block3623;
  uo3624->data[0] = (Object)closure3624;
  Method *meth_meth_parser__apply3624 = addmethod2pos(block3623, "_apply", &meth_parser__apply3624, 0);
  int argcv_meth_parser__apply3624[] = {0};
  meth_meth_parser__apply3624->type = alloc_MethodType(1, argcv_meth_parser__apply3624);
  meth_meth_parser__apply3624->definitionModule = modulename;
  meth_meth_parser__apply3624->definitionLine = 1121;
// compiled block node returning block3623 (depth = 3)
  gc_frame_newslot(block3623);
// starting to compile block node (depth = 3)
  Object block3638 = alloc_Block(NULL, NULL, "parser", 1124);
  gc_frame_newslot(block3638);
// method _apply
  block_savedest(block3638);
  Object closure3639 = createclosure(8, "_apply");
  setclosureframe(closure3639, stackframe);
  addtoclosure(closure3639, var_blocksOK);
  addtoclosure(closure3639, var_errormessages);
  addtoclosure(closure3639, var_sym);
  addtoclosure(closure3639, var_lastToken);
  addtoclosure(closure3639, var_tokens);
  addtoclosure(closure3639, var_values);
  addtoclosure(closure3639, var_cases);
  addtoclosure(closure3639, selfslot);
  struct UserObject *uo3639 = (struct UserObject*)block3638;
  uo3639->data[0] = (Object)closure3639;
  Method *meth_meth_parser__apply3639 = addmethod2pos(block3638, "_apply", &meth_parser__apply3639, 0);
  int argcv_meth_parser__apply3639[] = {0};
  meth_meth_parser__apply3639->type = alloc_MethodType(1, argcv_meth_parser__apply3639);
  meth_meth_parser__apply3639->definitionModule = modulename;
  meth_meth_parser__apply3639->definitionLine = 1124;
// compiled block node returning block3638 (depth = 3)
  gc_frame_newslot(block3638);
// call case 5: prelude request
  params[0] = block3623;
  params[1] = block3638;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3785 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3622);
// compiled call node returning call3785 (depth = 2)
// Begin line 1182
  setline(1182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1173
  setline(1173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3789 == NULL) {
    strlit3789 = alloc_String("case");
    gc_root(strlit3789);
  }
// compiled string node returning strlit3789 (depth = 5)
  int op_slot_right_3788 = gc_frame_newslot(strlit3789);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3791 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call3792 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe3791);
// compiled call node returning call3792 (depth = 6)
// compiled member node returning call3792 (depth = 5)
  int op_slot_left_3788 = gc_frame_newslot(call3792);
  params[0] = strlit3789;
  partcv[0] = 1;
  Object opresult3793 = callmethod(call3792, "==", 1, partcv, params);
// compiled op node returning opresult3793 (depth = 4)
  int op_slot_right_3787 = gc_frame_newslot(opresult3793);
// starting to compile call node (depth = 4)
  int callframe3795 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3796 == NULL) {
    strlit3796 = alloc_String("identifier");
    gc_root(strlit3796);
  }
// compiled string node returning strlit3796 (depth = 5)
  gc_frame_newslot(strlit3796);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_catchTok (depth = 5)
  gc_frame_newslot(*var_catchTok);
// call case 4: self request
  params[0] = strlit3796;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3797 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3795);
// compiled call node returning call3797 (depth = 4)
  int op_slot_left_3787 = gc_frame_newslot(call3797);
  params[0] = opresult3793;
  partcv[0] = 1;
  Object opresult3798 = callmethod(call3797, "&&", 1, partcv, params);
// compiled op node returning opresult3798 (depth = 3)
  Object if3786 = done;
  if (istrue(opresult3798)) {
// Begin line 1175
  setline(1175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 1174
  setline(1174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3799 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3800 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  partcv[0] = 0;
  Object call3801 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3800);
// compiled call node returning call3801 (depth = 7)
// compiled member node returning call3801 (depth = 6)
  partcv[0] = 0;
  Object call3802 = callmethod(call3801, "new",
    1, partcv, params);
  gc_frame_end(callframe3799);
// compiled call node returning call3802 (depth = 5)
// compiled member node returning call3802 (depth = 4)
  *var_suggestion = call3802;
  if (call3802 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 1175
  setline(1175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3803 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  gc_frame_newslot(*var_sym);
// starting to compile string node (depth = 4)
  if (strlit3804 == NULL) {
    strlit3804 = alloc_String("catch");
    gc_root(strlit3804);
  }
// compiled string node returning strlit3804 (depth = 4)
  gc_frame_newslot(strlit3804);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = *var_sym;
  params[1] = strlit3804;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3805 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe3803);
// compiled call node returning call3805 (depth = 3)
// Begin line 1176
  setline(1176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3806 = gc_frame_new();
// Begin line 1178
  setline(1178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3808 == NULL) {
    strlit3808 = alloc_String("are no 'case' blocks.");
    gc_root(strlit3808);
  }
// compiled string node returning strlit3808 (depth = 5)
  int op_slot_right_3807 = gc_frame_newslot(strlit3808);
// starting to compile op node (depth = 5)
// Begin line 1177
  setline(1177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit3811 == NULL) {
    strlit3811 = alloc_String("'try' and then zero or more 'catch' blocks; there ");
    gc_root(strlit3811);
  }
// compiled string node returning strlit3811 (depth = 6)
  int op_slot_right_3810 = gc_frame_newslot(strlit3811);
// Begin line 1176
  setline(1176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit3813 == NULL) {
    strlit3813 = alloc_String("A try-catch statement starts with a ");
    gc_root(strlit3813);
  }
// compiled string node returning strlit3813 (depth = 6)
  int op_slot_left_3810 = gc_frame_newslot(strlit3813);
  params[0] = strlit3811;
  partcv[0] = 1;
  Object opresult3814 = callmethod(strlit3813, "++", 1, partcv, params);
// compiled op node returning opresult3814 (depth = 5)
  int op_slot_left_3807 = gc_frame_newslot(opresult3814);
  params[0] = strlit3808;
  partcv[0] = 1;
  Object opresult3815 = callmethod(opresult3814, "++", 1, partcv, params);
// compiled op node returning opresult3815 (depth = 4)
  gc_frame_newslot(opresult3815);
// Begin line 1179
  setline(1179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3816 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call3817 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3816);
// compiled call node returning call3817 (depth = 5)
// compiled member node returning call3817 (depth = 4)
  gc_frame_newslot(call3817);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3818 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call3819 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3818);
// compiled call node returning call3819 (depth = 5)
// compiled member node returning call3819 (depth = 4)
  gc_frame_newslot(call3819);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3821 = alloc_Float64(3);
// compiled num node returning num3821 (depth = 5)
  int op_slot_right_3820 = gc_frame_newslot(num3821);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3823 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call3824 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3823);
// compiled call node returning call3824 (depth = 6)
// compiled member node returning call3824 (depth = 5)
  int op_slot_left_3820 = gc_frame_newslot(call3824);
  params[0] = num3821;
  partcv[0] = 1;
  Object sum3825 = callmethod(call3824, "+", 1, partcv, params);
// compiled op node returning sum3825 (depth = 4)
  gc_frame_newslot(sum3825);
// Begin line 1180
  setline(1180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1176
  setline(1176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = opresult3815;
  params[1] = call3817;
  params[2] = call3819;
  params[3] = sum3825;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call3826 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3806);
// compiled call node returning call3826 (depth = 3)
    gc_frame_newslot(call3826);
    if3786 = call3826;
  } else {
  }
// compiled if node returning if3786 (depth = 2)
// Begin line 1231
  setline(1231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1182
  setline(1182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3830 == NULL) {
    strlit3830 = alloc_String("finally");
    gc_root(strlit3830);
  }
// compiled string node returning strlit3830 (depth = 5)
  int op_slot_right_3829 = gc_frame_newslot(strlit3830);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3832 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call3833 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe3832);
// compiled call node returning call3833 (depth = 6)
// compiled member node returning call3833 (depth = 5)
  int op_slot_left_3829 = gc_frame_newslot(call3833);
  params[0] = strlit3830;
  partcv[0] = 1;
  Object opresult3834 = callmethod(call3833, "==", 1, partcv, params);
// compiled op node returning opresult3834 (depth = 4)
  int op_slot_right_3828 = gc_frame_newslot(opresult3834);
// starting to compile call node (depth = 4)
  int callframe3836 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3837 == NULL) {
    strlit3837 = alloc_String("identifier");
    gc_root(strlit3837);
  }
// compiled string node returning strlit3837 (depth = 5)
  gc_frame_newslot(strlit3837);
// call case 4: self request
  params[0] = strlit3837;
  partcv[0] = 1;
  Object call3838 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3836);
// compiled call node returning call3838 (depth = 4)
  int op_slot_left_3828 = gc_frame_newslot(call3838);
  params[0] = opresult3834;
  partcv[0] = 1;
  Object opresult3839 = callmethod(call3838, "&&", 1, partcv, params);
// compiled op node returning opresult3839 (depth = 3)
  Object if3827 = done;
  if (istrue(opresult3839)) {
// Begin line 1183
  setline(1183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3840 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3841 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3840);
// compiled call node returning call3841 (depth = 4)
// compiled member node returning call3841 (depth = 3)
// Begin line 1229
  setline(1229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3843 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3844 == NULL) {
    strlit3844 = alloc_String("lbrace");
    gc_root(strlit3844);
  }
// compiled string node returning strlit3844 (depth = 5)
  gc_frame_newslot(strlit3844);
// call case 4: self request
  params[0] = strlit3844;
  partcv[0] = 1;
  Object call3845 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3843);
// compiled call node returning call3845 (depth = 4)
  Object if3842 = done;
  if (istrue(call3845)) {
// Begin line 1185
  setline(1185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3846 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3847 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3846);
// compiled call node returning call3847 (depth = 5)
// compiled member node returning call3847 (depth = 4)
    gc_frame_newslot(call3847);
    if3842 = call3847;
  } else {
// Begin line 1207
  setline(1207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1186
  setline(1186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3849 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3850 == NULL) {
    strlit3850 = alloc_String("lparen");
    gc_root(strlit3850);
  }
// compiled string node returning strlit3850 (depth = 6)
  gc_frame_newslot(strlit3850);
// call case 4: self request
  params[0] = strlit3850;
  partcv[0] = 1;
  Object call3851 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3849);
// compiled call node returning call3851 (depth = 5)
  Object if3848 = done;
  if (istrue(call3851)) {
// Begin line 1187
  setline(1187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3852 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3853 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3852);
// compiled call node returning call3853 (depth = 6)
// compiled member node returning call3853 (depth = 5)
// Begin line 1199
  setline(1199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1188
  setline(1188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3855 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 8)
  int callframe3856 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block3857 = alloc_Block(NULL, NULL, "parser", 1188);
  gc_frame_newslot(block3857);
// method _apply
  block_savedest(block3857);
  Object closure3858 = createclosure(2, "_apply");
  setclosureframe(closure3858, stackframe);
  addtoclosure(closure3858, var_blocksOK);
  addtoclosure(closure3858, selfslot);
  struct UserObject *uo3858 = (struct UserObject*)block3857;
  uo3858->data[0] = (Object)closure3858;
  Method *meth_meth_parser__apply3858 = addmethod2pos(block3857, "_apply", &meth_parser__apply3858, 0);
  int argcv_meth_parser__apply3858[] = {0};
  meth_meth_parser__apply3858->type = alloc_MethodType(1, argcv_meth_parser__apply3858);
  meth_meth_parser__apply3858->definitionModule = modulename;
  meth_meth_parser__apply3858->definitionLine = 1188;
// compiled block node returning block3857 (depth = 9)
  gc_frame_newslot(block3857);
// call case 4: self request
  params[0] = block3857;
  partcv[0] = 1;
  Object call3862 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3856);
// compiled call node returning call3862 (depth = 8)
  partcv[0] = 0;
  Object call3863 = callmethod(call3862, "not",
    1, partcv, params);
  gc_frame_end(callframe3855);
// compiled call node returning call3863 (depth = 7)
// compiled member node returning call3863 (depth = 6)
  Object if3854 = done;
  if (istrue(call3863)) {
// Begin line 1190
  setline(1190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 1189
  setline(1189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3864 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3865 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call3866 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3865);
// compiled call node returning call3866 (depth = 10)
// compiled member node returning call3866 (depth = 9)
  partcv[0] = 0;
  Object call3867 = callmethod(call3866, "new",
    1, partcv, params);
  gc_frame_end(callframe3864);
// compiled call node returning call3867 (depth = 8)
// compiled member node returning call3867 (depth = 7)
  *var_suggestion = call3867;
  if (call3867 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1190
  setline(1190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3868 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3869 == NULL) {
    strlit3869 = alloc_String("rparen");
    gc_root(strlit3869);
  }
// compiled string node returning strlit3869 (depth = 8)
  gc_frame_newslot(strlit3869);
// call case 4: self request
  params[0] = strlit3869;
  partcv[0] = 1;
  Object call3870 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3868);
// compiled call node returning call3870 (depth = 7)
  *var_nextTok = call3870;
  if (call3870 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1196
  setline(1196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1191
  setline(1191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_3872 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_3872 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3874 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult3874 (depth = 7)
  Object if3871 = done;
  if (istrue(opresult3874)) {
// Begin line 1192
  setline(1192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3875 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3876 == NULL) {
    strlit3876 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3876);
  }
// compiled string node returning strlit3876 (depth = 8)
  gc_frame_newslot(strlit3876);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit3876;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3877 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3875);
// compiled call node returning call3877 (depth = 7)
    gc_frame_newslot(call3877);
    if3871 = call3877;
  } else {
// Begin line 1194
  setline(1194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3878 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3879 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  partcv[0] = 0;
  Object call3880 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3879);
// compiled call node returning call3880 (depth = 9)
// compiled member node returning call3880 (depth = 8)
  gc_frame_newslot(call3880);
// starting to compile identifier node (depth = 8)
  Object bool3881 = alloc_Boolean(1);
// compiled identifier node returning bool3881 (depth = 8)
  gc_frame_newslot(bool3881);
// starting to compile identifier node (depth = 8)
  Object bool3882 = alloc_Boolean(0);
// compiled identifier node returning bool3882 (depth = 8)
  gc_frame_newslot(bool3882);
// starting to compile string node (depth = 8)
  if (strlit3883 == NULL) {
    strlit3883 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3883);
  }
// compiled string node returning strlit3883 (depth = 8)
  gc_frame_newslot(strlit3883);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = call3880;
  params[2] = bool3881;
  params[3] = bool3882;
  params[4] = strlit3883;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3884 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe3878);
// compiled call node returning call3884 (depth = 7)
    gc_frame_newslot(call3884);
    if3871 = call3884;
  }
// compiled if node returning if3871 (depth = 6)
// Begin line 1196
  setline(1196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3885 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3886 == NULL) {
    strlit3886 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'finally'.");
    gc_root(strlit3886);
  }
// compiled string node returning strlit3886 (depth = 7)
  gc_frame_newslot(strlit3886);
// Begin line 1197
  setline(1197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3887 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call3888 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3887);
// compiled call node returning call3888 (depth = 8)
// compiled member node returning call3888 (depth = 7)
  gc_frame_newslot(call3888);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3889 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call3890 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3889);
// compiled call node returning call3890 (depth = 8)
// compiled member node returning call3890 (depth = 7)
  gc_frame_newslot(call3890);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1196
  setline(1196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit3886;
  params[1] = call3888;
  params[2] = call3890;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3891 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3885);
// compiled call node returning call3891 (depth = 6)
    gc_frame_newslot(call3891);
    if3854 = call3891;
  } else {
  }
// compiled if node returning if3854 (depth = 5)
// Begin line 1206
  setline(1206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1199
  setline(1199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3894 == NULL) {
    strlit3894 = alloc_String("rparen");
    gc_root(strlit3894);
  }
// compiled string node returning strlit3894 (depth = 7)
  int op_slot_right_3893 = gc_frame_newslot(strlit3894);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3896 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call3897 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3896);
// compiled call node returning call3897 (depth = 8)
// compiled member node returning call3897 (depth = 7)
  int op_slot_left_3893 = gc_frame_newslot(call3897);
  params[0] = strlit3894;
  partcv[0] = 1;
  Object opresult3898 = callmethod(call3897, "!=", 1, partcv, params);
// compiled op node returning opresult3898 (depth = 6)
  Object if3892 = done;
  if (istrue(opresult3898)) {
// Begin line 1200
  setline(1200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3899 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3900 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3899);
// compiled call node returning call3900 (depth = 7)
// compiled member node returning call3900 (depth = 6)
// Begin line 1202
  setline(1202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 1201
  setline(1201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3901 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3902 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call3903 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3902);
// compiled call node returning call3903 (depth = 10)
// compiled member node returning call3903 (depth = 9)
  partcv[0] = 0;
  Object call3904 = callmethod(call3903, "new",
    1, partcv, params);
  gc_frame_end(callframe3901);
// compiled call node returning call3904 (depth = 8)
// compiled member node returning call3904 (depth = 7)
  *var_suggestion = call3904;
  if (call3904 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1202
  setline(1202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3905 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3906 == NULL) {
    strlit3906 = alloc_String(")");
    gc_root(strlit3906);
  }
// compiled string node returning strlit3906 (depth = 7)
  gc_frame_newslot(strlit3906);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit3906;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3907 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3905);
// compiled call node returning call3907 (depth = 6)
// Begin line 1203
  setline(1203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3908 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3909 == NULL) {
    strlit3909 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit3909);
  }
// compiled string node returning strlit3909 (depth = 7)
  gc_frame_newslot(strlit3909);
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3910 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call3911 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3910);
// compiled call node returning call3911 (depth = 8)
// compiled member node returning call3911 (depth = 7)
  gc_frame_newslot(call3911);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3913 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call3914 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3913);
// compiled call node returning call3914 (depth = 9)
// compiled member node returning call3914 (depth = 8)
  int op_slot_right_3912 = gc_frame_newslot(call3914);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3916 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call3917 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3916);
// compiled call node returning call3917 (depth = 9)
// compiled member node returning call3917 (depth = 8)
  int op_slot_left_3912 = gc_frame_newslot(call3917);
  params[0] = call3914;
  partcv[0] = 1;
  Object sum3918 = callmethod(call3917, "+", 1, partcv, params);
// compiled op node returning sum3918 (depth = 7)
  gc_frame_newslot(sum3918);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1203
  setline(1203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit3909;
  params[1] = call3911;
  params[2] = sum3918;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3919 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3908);
// compiled call node returning call3919 (depth = 6)
    gc_frame_newslot(call3919);
    if3892 = call3919;
  } else {
  }
// compiled if node returning if3892 (depth = 5)
// Begin line 1206
  setline(1206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3920 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3921 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3920);
// compiled call node returning call3921 (depth = 6)
// compiled member node returning call3921 (depth = 5)
    gc_frame_newslot(call3921);
    if3848 = call3921;
  } else {
// Begin line 1209
  setline(1209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 1208
  setline(1208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 6)
  Object array3922 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3922 (depth = 6)
  *var_suggestions = array3922;
  if (array3922 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 1209
  setline(1209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3923 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 4: self request
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call3924 = callmethodflags(self, "findNextTokenIndentedAt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3923);
// compiled call node returning call3924 (depth = 6)
  *var_nextTok = call3924;
  if (call3924 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 1211
  setline(1211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// Begin line 1210
  setline(1210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3925 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3926 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call3927 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3926);
// compiled call node returning call3927 (depth = 9)
// compiled member node returning call3927 (depth = 8)
  partcv[0] = 0;
  Object call3928 = callmethod(call3927, "new",
    1, partcv, params);
  gc_frame_end(callframe3925);
// compiled call node returning call3928 (depth = 7)
// compiled member node returning call3928 (depth = 6)
  *var_suggestion = call3928;
  if (call3928 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 1226
  setline(1226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1211
  setline(1211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool3931 = alloc_Boolean(0);
// compiled identifier node returning bool3931 (depth = 7)
  int op_slot_right_3930 = gc_frame_newslot(bool3931);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_3930 = gc_frame_newslot(*var_nextTok);
  params[0] = bool3931;
  partcv[0] = 1;
  Object opresult3933 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult3933 (depth = 6)
  Object if3929 = done;
  if (istrue(opresult3933)) {
// Begin line 1212
  setline(1212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3934 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3935 == NULL) {
    strlit3935 = alloc_String(" }");
    gc_root(strlit3935);
  }
// compiled string node returning strlit3935 (depth = 7)
  gc_frame_newslot(strlit3935);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3936 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  partcv[0] = 0;
  Object call3937 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe3936);
// compiled call node returning call3937 (depth = 8)
// compiled member node returning call3937 (depth = 7)
  gc_frame_newslot(call3937);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit3935;
  params[1] = call3937;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3938 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3934);
// compiled call node returning call3938 (depth = 6)
// Begin line 1213
  setline(1213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3939 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3940 == NULL) {
    strlit3940 = alloc_String(" {");
    gc_root(strlit3940);
  }
// compiled string node returning strlit3940 (depth = 7)
  gc_frame_newslot(strlit3940);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit3940;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3941 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3939);
// compiled call node returning call3941 (depth = 6)
// Begin line 1214
  setline(1214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3942 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3943 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3942);
// compiled call node returning call3943 (depth = 6)
    gc_frame_newslot(call3943);
    if3929 = call3943;
  } else {
// Begin line 1221
  setline(1221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1215
  setline(1215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_3945 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_3945 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3947 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult3947 (depth = 7)
  Object if3944 = done;
  if (istrue(opresult3947)) {
// Begin line 1216
  setline(1216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3948 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3949 == NULL) {
    strlit3949 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit3949);
  }
// compiled string node returning strlit3949 (depth = 8)
  gc_frame_newslot(strlit3949);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit3949;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3950 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3948);
// compiled call node returning call3950 (depth = 7)
// Begin line 1217
  setline(1217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3951 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3952 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3951);
// compiled call node returning call3952 (depth = 7)
// Begin line 1219
  setline(1219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 1218
  setline(1218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3953 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3954 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call3955 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3954);
// compiled call node returning call3955 (depth = 11)
// compiled member node returning call3955 (depth = 10)
  partcv[0] = 0;
  Object call3956 = callmethod(call3955, "new",
    1, partcv, params);
  gc_frame_end(callframe3953);
// compiled call node returning call3956 (depth = 9)
// compiled member node returning call3956 (depth = 8)
  *var_suggestion = call3956;
  if (call3956 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 1219
  setline(1219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3958 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3959 == NULL) {
    strlit3959 = alloc_String(" { ""\xc2""""\xab""expression""\xc2""""\xbb"" }");
    gc_root(strlit3959);
  }
// compiled string node returning strlit3959 (depth = 8)
  gc_frame_newslot(strlit3959);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit3959;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3960 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3958);
// compiled call node returning call3960 (depth = 7)
// Begin line 1220
  setline(1220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3961 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3962 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3961);
// compiled call node returning call3962 (depth = 7)
    gc_frame_newslot(call3962);
    if3944 = call3962;
  } else {
// Begin line 1222
  setline(1222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3963 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3964 == NULL) {
    strlit3964 = alloc_String(" }");
    gc_root(strlit3964);
  }
// compiled string node returning strlit3964 (depth = 8)
  gc_frame_newslot(strlit3964);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3965 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  partcv[0] = 0;
  Object call3966 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3965);
// compiled call node returning call3966 (depth = 9)
// compiled member node returning call3966 (depth = 8)
  gc_frame_newslot(call3966);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit3964;
  params[1] = call3966;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3967 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3963);
// compiled call node returning call3967 (depth = 7)
// Begin line 1223
  setline(1223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3968 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3969 == NULL) {
    strlit3969 = alloc_String(" {");
    gc_root(strlit3969);
  }
// compiled string node returning strlit3969 (depth = 8)
  gc_frame_newslot(strlit3969);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit3969;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3970 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3968);
// compiled call node returning call3970 (depth = 7)
// Begin line 1224
  setline(1224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3971 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3972 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3971);
// compiled call node returning call3972 (depth = 7)
    gc_frame_newslot(call3972);
    if3944 = call3972;
  }
// compiled if node returning if3944 (depth = 6)
    gc_frame_newslot(if3944);
    if3929 = if3944;
  }
// compiled if node returning if3929 (depth = 5)
// Begin line 1226
  setline(1226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3973 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3974 == NULL) {
    strlit3974 = alloc_String("A try-finally statement must have either a block or an expression in parentheses after the 'finally'.");
    gc_root(strlit3974);
  }
// compiled string node returning strlit3974 (depth = 6)
  gc_frame_newslot(strlit3974);
// Begin line 1227
  setline(1227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3975 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call3976 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3975);
// compiled call node returning call3976 (depth = 7)
// compiled member node returning call3976 (depth = 6)
  gc_frame_newslot(call3976);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3977 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call3978 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3977);
// compiled call node returning call3978 (depth = 7)
// compiled member node returning call3978 (depth = 6)
  gc_frame_newslot(call3978);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 1226
  setline(1226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit3974;
  params[1] = call3976;
  params[2] = call3978;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3979 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3973);
// compiled call node returning call3979 (depth = 5)
    gc_frame_newslot(call3979);
    if3848 = call3979;
  }
// compiled if node returning if3848 (depth = 4)
    gc_frame_newslot(if3848);
    if3842 = if3848;
  }
// compiled if node returning if3842 (depth = 3)
// Begin line 1230
  setline(1230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 1229
  setline(1229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3980 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call3981 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3980);
// compiled call node returning call3981 (depth = 5)
// compiled member node returning call3981 (depth = 4)
  *var_finally = call3981;
  if (call3981 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if3827 = done;
  } else {
  }
// compiled if node returning if3827 (depth = 2)
// Begin line 1231
  setline(1231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3983 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe3984 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_mainblock (depth = 4)
  gc_frame_newslot(*var_mainblock);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cases (depth = 4)
  gc_frame_newslot(*var_cases);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_finally (depth = 4)
  gc_frame_newslot(*var_finally);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3985 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  partcv[0] = 0;
  Object call3986 = callmethod(*var_ast, "catchCaseNode",
    1, partcv, params);
  gc_frame_end(callframe3985);
// compiled call node returning call3986 (depth = 5)
// compiled member node returning call3986 (depth = 4)
  params[0] = *var_mainblock;
  params[1] = *var_cases;
  params[2] = *var_finally;
  partcv[0] = 3;
  Object call3987 = callmethod(call3986, "new",
    1, partcv, params);
  gc_frame_end(callframe3984);
// compiled call node returning call3987 (depth = 3)
  gc_frame_newslot(call3987);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  params[0] = call3987;
  partcv[0] = 1;
  Object call3988 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe3983);
// compiled call node returning call3988 (depth = 2)
// Begin line 1233
  setline(1233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 1232
  setline(1232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_localmin (depth = 3)
  *var_minIndentLevel = *var_localmin;
  if (*var_localmin == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 2)
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply4039(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_catchTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1252
  setline(1252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit4043 == NULL) {
    strlit4043 = alloc_String("case");
    gc_root(strlit4043);
  }
// compiled string node returning strlit4043 (depth = 10)
  int op_slot_right_4042 = gc_frame_newslot(strlit4043);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4045 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_t (depth = 12)
  partcv[0] = 0;
  Object call4046 = callmethod(*var_t, "value",
    1, partcv, params);
  gc_frame_end(callframe4045);
// compiled call node returning call4046 (depth = 11)
// compiled member node returning call4046 (depth = 10)
  int op_slot_left_4042 = gc_frame_newslot(call4046);
  params[0] = strlit4043;
  partcv[0] = 1;
  Object opresult4047 = callmethod(call4046, "==", 1, partcv, params);
// compiled op node returning opresult4047 (depth = 9)
  int op_slot_right_4041 = gc_frame_newslot(opresult4047);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit4050 == NULL) {
    strlit4050 = alloc_String("identifier");
    gc_root(strlit4050);
  }
// compiled string node returning strlit4050 (depth = 10)
  int op_slot_right_4049 = gc_frame_newslot(strlit4050);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4052 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_t (depth = 12)
  partcv[0] = 0;
  Object call4053 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe4052);
// compiled call node returning call4053 (depth = 11)
// compiled member node returning call4053 (depth = 10)
  int op_slot_left_4049 = gc_frame_newslot(call4053);
  params[0] = strlit4050;
  partcv[0] = 1;
  Object opresult4054 = callmethod(call4053, "==", 1, partcv, params);
// compiled op node returning opresult4054 (depth = 9)
  int op_slot_left_4041 = gc_frame_newslot(opresult4054);
  params[0] = opresult4047;
  partcv[0] = 1;
  Object opresult4055 = callmethod(opresult4054, "&&", 1, partcv, params);
// compiled op node returning opresult4055 (depth = 8)
  int op_slot_right_4040 = gc_frame_newslot(opresult4055);
// starting to compile op node (depth = 8)
// Begin line 1251
  setline(1251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe4060 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_catchTok (depth = 13)
  partcv[0] = 0;
  Object call4061 = callmethod(*var_catchTok, "line",
    1, partcv, params);
  gc_frame_end(callframe4060);
// compiled call node returning call4061 (depth = 12)
// compiled member node returning call4061 (depth = 11)
  int op_slot_right_4059 = gc_frame_newslot(call4061);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe4063 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_t (depth = 13)
  partcv[0] = 0;
  Object call4064 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe4063);
// compiled call node returning call4064 (depth = 12)
// compiled member node returning call4064 (depth = 11)
  int op_slot_left_4059 = gc_frame_newslot(call4064);
  params[0] = call4061;
  partcv[0] = 1;
  Object opresult4065 = callmethod(call4064, "==", 1, partcv, params);
// compiled op node returning opresult4065 (depth = 10)
  int op_slot_right_4058 = gc_frame_newslot(opresult4065);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4068 == NULL) {
    strlit4068 = alloc_String("rparen");
    gc_root(strlit4068);
  }
// compiled string node returning strlit4068 (depth = 11)
  int op_slot_right_4067 = gc_frame_newslot(strlit4068);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe4070 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_t (depth = 13)
  partcv[0] = 0;
  Object call4071 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe4070);
// compiled call node returning call4071 (depth = 12)
// compiled member node returning call4071 (depth = 11)
  int op_slot_left_4067 = gc_frame_newslot(call4071);
  params[0] = strlit4068;
  partcv[0] = 1;
  Object opresult4072 = callmethod(call4071, "==", 1, partcv, params);
// compiled op node returning opresult4072 (depth = 10)
  int op_slot_left_4058 = gc_frame_newslot(opresult4072);
  params[0] = opresult4065;
  partcv[0] = 1;
  Object opresult4073 = callmethod(opresult4072, "&&", 1, partcv, params);
// compiled op node returning opresult4073 (depth = 9)
  int op_slot_right_4057 = gc_frame_newslot(opresult4073);
// Begin line 1250
  setline(1250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit4076 == NULL) {
    strlit4076 = alloc_String("rbrace");
    gc_root(strlit4076);
  }
// compiled string node returning strlit4076 (depth = 10)
  int op_slot_right_4075 = gc_frame_newslot(strlit4076);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4078 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_t (depth = 12)
  partcv[0] = 0;
  Object call4079 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe4078);
// compiled call node returning call4079 (depth = 11)
// compiled member node returning call4079 (depth = 10)
  int op_slot_left_4075 = gc_frame_newslot(call4079);
  params[0] = strlit4076;
  partcv[0] = 1;
  Object opresult4080 = callmethod(call4079, "==", 1, partcv, params);
// compiled op node returning opresult4080 (depth = 9)
  int op_slot_left_4057 = gc_frame_newslot(opresult4080);
  params[0] = opresult4073;
  partcv[0] = 1;
  Object opresult4081 = callmethod(opresult4080, "||", 1, partcv, params);
// compiled op node returning opresult4081 (depth = 8)
  int op_slot_left_4040 = gc_frame_newslot(opresult4081);
  params[0] = opresult4055;
  partcv[0] = 1;
  Object opresult4082 = callmethod(opresult4081, "||", 1, partcv, params);
// compiled op node returning opresult4082 (depth = 7)
  gc_frame_end(frame);
  return opresult4082;
}
Object meth_parser__apply4157(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe4158 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_blocksOK (depth = 9)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call4159 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4158);
// compiled call node returning call4159 (depth = 8)
  gc_frame_end(frame);
  return call4159;
}
Object meth_parser__apply4227(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4230 == NULL) {
    strlit4230 = alloc_String("case");
    gc_root(strlit4230);
  }
// compiled string node returning strlit4230 (depth = 6)
  int op_slot_right_4229 = gc_frame_newslot(strlit4230);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4232 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call4233 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4232);
// compiled call node returning call4233 (depth = 7)
// compiled member node returning call4233 (depth = 6)
  int op_slot_left_4229 = gc_frame_newslot(call4233);
  params[0] = strlit4230;
  partcv[0] = 1;
  Object opresult4234 = callmethod(call4233, "==", 1, partcv, params);
// compiled op node returning opresult4234 (depth = 5)
  int op_slot_right_4228 = gc_frame_newslot(opresult4234);
// starting to compile call node (depth = 5)
  int callframe4236 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4237 == NULL) {
    strlit4237 = alloc_String("identifier");
    gc_root(strlit4237);
  }
// compiled string node returning strlit4237 (depth = 6)
  gc_frame_newslot(strlit4237);
// call case 4: self request
  params[0] = strlit4237;
  partcv[0] = 1;
  Object call4238 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4236);
// compiled call node returning call4238 (depth = 5)
  int op_slot_left_4228 = gc_frame_newslot(call4238);
  params[0] = opresult4234;
  partcv[0] = 1;
  Object opresult4239 = callmethod(call4238, "&&", 1, partcv, params);
// compiled op node returning opresult4239 (depth = 4)
  gc_frame_end(frame);
  return opresult4239;
}
Object meth_parser__apply4261(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 11)
  int callframe4262 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_blocksOK (depth = 12)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call4263 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4262);
// compiled call node returning call4263 (depth = 11)
  gc_frame_end(frame);
  return call4263;
}
Object meth_parser__apply4242(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_tokens = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_cases = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
// Begin line 1295
  setline(1295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4243 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4244 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4243);
// compiled call node returning call4244 (depth = 5)
// compiled member node returning call4244 (depth = 4)
// Begin line 1341
  setline(1341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1296
  setline(1296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4246 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4247 == NULL) {
    strlit4247 = alloc_String("lbrace");
    gc_root(strlit4247);
  }
// compiled string node returning strlit4247 (depth = 6)
  gc_frame_newslot(strlit4247);
// call case 4: self request
  params[0] = strlit4247;
  partcv[0] = 1;
  Object call4248 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4246);
// compiled call node returning call4248 (depth = 5)
  Object if4245 = done;
  if (istrue(call4248)) {
// Begin line 1297
  setline(1297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4249 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4250 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4249);
// compiled call node returning call4250 (depth = 6)
// compiled member node returning call4250 (depth = 5)
    gc_frame_newslot(call4250);
    if4245 = call4250;
  } else {
// Begin line 1319
  setline(1319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1298
  setline(1298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4252 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4253 == NULL) {
    strlit4253 = alloc_String("lparen");
    gc_root(strlit4253);
  }
// compiled string node returning strlit4253 (depth = 7)
  gc_frame_newslot(strlit4253);
// call case 4: self request
  params[0] = strlit4253;
  partcv[0] = 1;
  Object call4254 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4252);
// compiled call node returning call4254 (depth = 6)
  Object if4251 = done;
  if (istrue(call4254)) {
// Begin line 1299
  setline(1299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4255 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4256 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4255);
// compiled call node returning call4256 (depth = 7)
// compiled member node returning call4256 (depth = 6)
// Begin line 1311
  setline(1311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1300
  setline(1300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4258 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 9)
  int callframe4259 = gc_frame_new();
// starting to compile block node (depth = 10)
  Object block4260 = alloc_Block(NULL, NULL, "parser", 1300);
  gc_frame_newslot(block4260);
// method _apply
  block_savedest(block4260);
  Object closure4261 = createclosure(2, "_apply");
  setclosureframe(closure4261, stackframe);
  addtoclosure(closure4261, var_blocksOK);
  addtoclosure(closure4261, selfslot);
  struct UserObject *uo4261 = (struct UserObject*)block4260;
  uo4261->data[0] = (Object)closure4261;
  Method *meth_meth_parser__apply4261 = addmethod2pos(block4260, "_apply", &meth_parser__apply4261, 0);
  int argcv_meth_parser__apply4261[] = {0};
  meth_meth_parser__apply4261->type = alloc_MethodType(1, argcv_meth_parser__apply4261);
  meth_meth_parser__apply4261->definitionModule = modulename;
  meth_meth_parser__apply4261->definitionLine = 1300;
// compiled block node returning block4260 (depth = 10)
  gc_frame_newslot(block4260);
// call case 4: self request
  params[0] = block4260;
  partcv[0] = 1;
  Object call4265 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4259);
// compiled call node returning call4265 (depth = 9)
  partcv[0] = 0;
  Object call4266 = callmethod(call4265, "not",
    1, partcv, params);
  gc_frame_end(callframe4258);
// compiled call node returning call4266 (depth = 8)
// compiled member node returning call4266 (depth = 7)
  Object if4257 = done;
  if (istrue(call4266)) {
// Begin line 1302
  setline(1302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 1301
  setline(1301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4267 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4268 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call4269 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4268);
// compiled call node returning call4269 (depth = 11)
// compiled member node returning call4269 (depth = 10)
  partcv[0] = 0;
  Object call4270 = callmethod(call4269, "new",
    1, partcv, params);
  gc_frame_end(callframe4267);
// compiled call node returning call4270 (depth = 9)
// compiled member node returning call4270 (depth = 8)
  *var_suggestion = call4270;
  if (call4270 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 1302
  setline(1302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4271 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4272 == NULL) {
    strlit4272 = alloc_String("rparen");
    gc_root(strlit4272);
  }
// compiled string node returning strlit4272 (depth = 9)
  gc_frame_newslot(strlit4272);
// call case 4: self request
  params[0] = strlit4272;
  partcv[0] = 1;
  Object call4273 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4271);
// compiled call node returning call4273 (depth = 8)
  *var_nextTok = call4273;
  if (call4273 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 1308
  setline(1308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1303
  setline(1303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_4275 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_4275 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4277 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult4277 (depth = 8)
  Object if4274 = done;
  if (istrue(opresult4277)) {
// Begin line 1304
  setline(1304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4278 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4279 == NULL) {
    strlit4279 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4279);
  }
// compiled string node returning strlit4279 (depth = 9)
  gc_frame_newslot(strlit4279);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4279;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4280 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4278);
// compiled call node returning call4280 (depth = 8)
    gc_frame_newslot(call4280);
    if4274 = call4280;
  } else {
// Begin line 1306
  setline(1306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4281 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4282 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  partcv[0] = 0;
  Object call4283 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4282);
// compiled call node returning call4283 (depth = 10)
// compiled member node returning call4283 (depth = 9)
  gc_frame_newslot(call4283);
// starting to compile identifier node (depth = 9)
  Object bool4284 = alloc_Boolean(1);
// compiled identifier node returning bool4284 (depth = 9)
  gc_frame_newslot(bool4284);
// starting to compile identifier node (depth = 9)
  Object bool4285 = alloc_Boolean(0);
// compiled identifier node returning bool4285 (depth = 9)
  gc_frame_newslot(bool4285);
// starting to compile string node (depth = 9)
  if (strlit4286 == NULL) {
    strlit4286 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4286);
  }
// compiled string node returning strlit4286 (depth = 9)
  gc_frame_newslot(strlit4286);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  params[1] = call4283;
  params[2] = bool4284;
  params[3] = bool4285;
  params[4] = strlit4286;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4287 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe4281);
// compiled call node returning call4287 (depth = 8)
    gc_frame_newslot(call4287);
    if4274 = call4287;
  }
// compiled if node returning if4274 (depth = 7)
// Begin line 1308
  setline(1308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4288 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4289 == NULL) {
    strlit4289 = alloc_String("A catch statement must have either a matching block or an expression in parentheses after the 'case'.");
    gc_root(strlit4289);
  }
// compiled string node returning strlit4289 (depth = 8)
  gc_frame_newslot(strlit4289);
// Begin line 1309
  setline(1309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4290 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call4291 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4290);
// compiled call node returning call4291 (depth = 9)
// compiled member node returning call4291 (depth = 8)
  gc_frame_newslot(call4291);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4292 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call4293 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4292);
// compiled call node returning call4293 (depth = 9)
// compiled member node returning call4293 (depth = 8)
  gc_frame_newslot(call4293);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1308
  setline(1308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit4289;
  params[1] = call4291;
  params[2] = call4293;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4294 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4288);
// compiled call node returning call4294 (depth = 7)
    gc_frame_newslot(call4294);
    if4257 = call4294;
  } else {
  }
// compiled if node returning if4257 (depth = 6)
// Begin line 1318
  setline(1318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1311
  setline(1311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4297 == NULL) {
    strlit4297 = alloc_String("rparen");
    gc_root(strlit4297);
  }
// compiled string node returning strlit4297 (depth = 8)
  int op_slot_right_4296 = gc_frame_newslot(strlit4297);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4299 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call4300 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4299);
// compiled call node returning call4300 (depth = 9)
// compiled member node returning call4300 (depth = 8)
  int op_slot_left_4296 = gc_frame_newslot(call4300);
  params[0] = strlit4297;
  partcv[0] = 1;
  Object opresult4301 = callmethod(call4300, "!=", 1, partcv, params);
// compiled op node returning opresult4301 (depth = 7)
  Object if4295 = done;
  if (istrue(opresult4301)) {
// Begin line 1312
  setline(1312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4302 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4303 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4302);
// compiled call node returning call4303 (depth = 8)
// compiled member node returning call4303 (depth = 7)
// Begin line 1314
  setline(1314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 1313
  setline(1313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4304 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4305 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call4306 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4305);
// compiled call node returning call4306 (depth = 11)
// compiled member node returning call4306 (depth = 10)
  partcv[0] = 0;
  Object call4307 = callmethod(call4306, "new",
    1, partcv, params);
  gc_frame_end(callframe4304);
// compiled call node returning call4307 (depth = 9)
// compiled member node returning call4307 (depth = 8)
  *var_suggestion = call4307;
  if (call4307 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 1314
  setline(1314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4308 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4309 == NULL) {
    strlit4309 = alloc_String(")");
    gc_root(strlit4309);
  }
// compiled string node returning strlit4309 (depth = 8)
  gc_frame_newslot(strlit4309);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4309;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4310 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4308);
// compiled call node returning call4310 (depth = 7)
// Begin line 1315
  setline(1315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4311 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4312 == NULL) {
    strlit4312 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4312);
  }
// compiled string node returning strlit4312 (depth = 8)
  gc_frame_newslot(strlit4312);
// Begin line 1316
  setline(1316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4313 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call4314 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe4313);
// compiled call node returning call4314 (depth = 9)
// compiled member node returning call4314 (depth = 8)
  gc_frame_newslot(call4314);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4316 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call4317 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe4316);
// compiled call node returning call4317 (depth = 10)
// compiled member node returning call4317 (depth = 9)
  int op_slot_right_4315 = gc_frame_newslot(call4317);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4319 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call4320 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4319);
// compiled call node returning call4320 (depth = 10)
// compiled member node returning call4320 (depth = 9)
  int op_slot_left_4315 = gc_frame_newslot(call4320);
  params[0] = call4317;
  partcv[0] = 1;
  Object sum4321 = callmethod(call4320, "+", 1, partcv, params);
// compiled op node returning sum4321 (depth = 8)
  gc_frame_newslot(sum4321);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1315
  setline(1315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit4312;
  params[1] = call4314;
  params[2] = sum4321;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4322 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4311);
// compiled call node returning call4322 (depth = 7)
    gc_frame_newslot(call4322);
    if4295 = call4322;
  } else {
  }
// compiled if node returning if4295 (depth = 6)
// Begin line 1318
  setline(1318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4323 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4324 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4323);
// compiled call node returning call4324 (depth = 7)
// compiled member node returning call4324 (depth = 6)
    gc_frame_newslot(call4324);
    if4251 = call4324;
  } else {
// Begin line 1321
  setline(1321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 1320
  setline(1320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 7)
  Object array4325 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array4325 (depth = 7)
  *var_suggestions = array4325;
  if (array4325 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1321
  setline(1321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4326 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 4: self request
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call4327 = callmethodflags(self, "findNextTokenIndentedAt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4326);
// compiled call node returning call4327 (depth = 7)
  *var_nextTok = call4327;
  if (call4327 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1323
  setline(1323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// Begin line 1322
  setline(1322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4328 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4329 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call4330 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4329);
// compiled call node returning call4330 (depth = 10)
// compiled member node returning call4330 (depth = 9)
  partcv[0] = 0;
  Object call4331 = callmethod(call4330, "new",
    1, partcv, params);
  gc_frame_end(callframe4328);
// compiled call node returning call4331 (depth = 8)
// compiled member node returning call4331 (depth = 7)
  *var_suggestion = call4331;
  if (call4331 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 1338
  setline(1338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1323
  setline(1323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool4334 = alloc_Boolean(0);
// compiled identifier node returning bool4334 (depth = 8)
  int op_slot_right_4333 = gc_frame_newslot(bool4334);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_4333 = gc_frame_newslot(*var_nextTok);
  params[0] = bool4334;
  partcv[0] = 1;
  Object opresult4336 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult4336 (depth = 7)
  Object if4332 = done;
  if (istrue(opresult4336)) {
// Begin line 1324
  setline(1324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4337 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4338 == NULL) {
    strlit4338 = alloc_String(" }");
    gc_root(strlit4338);
  }
// compiled string node returning strlit4338 (depth = 8)
  gc_frame_newslot(strlit4338);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4339 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tokens (depth = 10)
  partcv[0] = 0;
  Object call4340 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe4339);
// compiled call node returning call4340 (depth = 9)
// compiled member node returning call4340 (depth = 8)
  gc_frame_newslot(call4340);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4338;
  params[1] = call4340;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4341 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4337);
// compiled call node returning call4341 (depth = 7)
// Begin line 1325
  setline(1325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4342 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4343 == NULL) {
    strlit4343 = alloc_String(" {");
    gc_root(strlit4343);
  }
// compiled string node returning strlit4343 (depth = 8)
  gc_frame_newslot(strlit4343);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4343;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4344 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4342);
// compiled call node returning call4344 (depth = 7)
// Begin line 1326
  setline(1326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4345 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4346 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4345);
// compiled call node returning call4346 (depth = 7)
    gc_frame_newslot(call4346);
    if4332 = call4346;
  } else {
// Begin line 1333
  setline(1333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1327
  setline(1327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_4348 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_4348 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4350 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult4350 (depth = 8)
  Object if4347 = done;
  if (istrue(opresult4350)) {
// Begin line 1328
  setline(1328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4351 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4352 == NULL) {
    strlit4352 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit4352);
  }
// compiled string node returning strlit4352 (depth = 9)
  gc_frame_newslot(strlit4352);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4352;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4353 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4351);
// compiled call node returning call4353 (depth = 8)
// Begin line 1329
  setline(1329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4354 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4355 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4354);
// compiled call node returning call4355 (depth = 8)
// Begin line 1331
  setline(1331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 1330
  setline(1330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4356 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe4357 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call4358 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4357);
// compiled call node returning call4358 (depth = 12)
// compiled member node returning call4358 (depth = 11)
  partcv[0] = 0;
  Object call4359 = callmethod(call4358, "new",
    1, partcv, params);
  gc_frame_end(callframe4356);
// compiled call node returning call4359 (depth = 10)
// compiled member node returning call4359 (depth = 9)
  *var_suggestion = call4359;
  if (call4359 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 1331
  setline(1331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4361 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4362 == NULL) {
    strlit4362 = alloc_String(" { ""\xc2""""\xab""match expression""\xc2""""\xbb"" }");
    gc_root(strlit4362);
  }
// compiled string node returning strlit4362 (depth = 9)
  gc_frame_newslot(strlit4362);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4362;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4363 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4361);
// compiled call node returning call4363 (depth = 8)
// Begin line 1332
  setline(1332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4364 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4365 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4364);
// compiled call node returning call4365 (depth = 8)
    gc_frame_newslot(call4365);
    if4347 = call4365;
  } else {
// Begin line 1334
  setline(1334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4366 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4367 == NULL) {
    strlit4367 = alloc_String(" }");
    gc_root(strlit4367);
  }
// compiled string node returning strlit4367 (depth = 9)
  gc_frame_newslot(strlit4367);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4368 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  partcv[0] = 0;
  Object call4369 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4368);
// compiled call node returning call4369 (depth = 10)
// compiled member node returning call4369 (depth = 9)
  gc_frame_newslot(call4369);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4367;
  params[1] = call4369;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4370 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4366);
// compiled call node returning call4370 (depth = 8)
// Begin line 1335
  setline(1335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4371 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4372 == NULL) {
    strlit4372 = alloc_String(" {");
    gc_root(strlit4372);
  }
// compiled string node returning strlit4372 (depth = 9)
  gc_frame_newslot(strlit4372);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4372;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4373 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4371);
// compiled call node returning call4373 (depth = 8)
// Begin line 1336
  setline(1336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4374 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4375 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4374);
// compiled call node returning call4375 (depth = 8)
    gc_frame_newslot(call4375);
    if4347 = call4375;
  }
// compiled if node returning if4347 (depth = 7)
    gc_frame_newslot(if4347);
    if4332 = if4347;
  }
// compiled if node returning if4332 (depth = 6)
// Begin line 1338
  setline(1338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4376 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4377 == NULL) {
    strlit4377 = alloc_String("A catch statement must have either a matching block or an expression in parentheses after the 'case'.");
    gc_root(strlit4377);
  }
// compiled string node returning strlit4377 (depth = 7)
  gc_frame_newslot(strlit4377);
// Begin line 1339
  setline(1339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4378 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call4379 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4378);
// compiled call node returning call4379 (depth = 8)
// compiled member node returning call4379 (depth = 7)
  gc_frame_newslot(call4379);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4380 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call4381 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4380);
// compiled call node returning call4381 (depth = 8)
// compiled member node returning call4381 (depth = 7)
  gc_frame_newslot(call4381);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 1338
  setline(1338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit4377;
  params[1] = call4379;
  params[2] = call4381;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4382 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe4376);
// compiled call node returning call4382 (depth = 6)
    gc_frame_newslot(call4382);
    if4251 = call4382;
  }
// compiled if node returning if4251 (depth = 5)
    gc_frame_newslot(if4251);
    if4245 = if4251;
  }
// compiled if node returning if4245 (depth = 4)
// Begin line 1341
  setline(1341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4383 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4384 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  partcv[0] = 0;
  Object call4385 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe4384);
// compiled call node returning call4385 (depth = 6)
// compiled member node returning call4385 (depth = 5)
  gc_frame_newslot(call4385);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cases (depth = 5)
  params[0] = call4385;
  partcv[0] = 1;
  Object call4386 = callmethod(*var_cases, "push",
    1, partcv, params);
  gc_frame_end(callframe4383);
// compiled call node returning call4386 (depth = 4)
  gc_frame_end(frame);
  return call4386;
}
Object meth_parser__apply4420(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 10)
  int callframe4421 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_blocksOK (depth = 11)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call4422 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4421);
// compiled call node returning call4422 (depth = 10)
  gc_frame_end(frame);
  return call4422;
}
Object meth_parser_catchcase3990(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 30, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(17, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "catchcase");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_blocksOK = getfromclosure(closure, 5);
  Object *var_values = getfromclosure(closure, 6);
  Object *var_tokens = getfromclosure(closure, 7);
  Object *var_ast = getfromclosure(closure, 8);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for catchcase (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for catchcase");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_localmin = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "localmin");
  Object *var_catchTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "catchTok");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_mainblock = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "mainblock");
  Object *var_cases = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "cases");
  Object *var_finally = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "finally");
  Object *var_suggestions = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "suggestions");
// Begin line 1238
  setline(1238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1235
  setline(1235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3992 = gc_frame_new();
// call case 6: other member request
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3995 == NULL) {
    strlit3995 = alloc_String("catch");
    gc_root(strlit3995);
  }
// compiled string node returning strlit3995 (depth = 6)
  int op_slot_right_3994 = gc_frame_newslot(strlit3995);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3997 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call3998 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe3997);
// compiled call node returning call3998 (depth = 7)
// compiled member node returning call3998 (depth = 6)
  int op_slot_left_3994 = gc_frame_newslot(call3998);
  params[0] = strlit3995;
  partcv[0] = 1;
  Object opresult3999 = callmethod(call3998, "==", 1, partcv, params);
// compiled op node returning opresult3999 (depth = 5)
  int op_slot_right_3993 = gc_frame_newslot(opresult3999);
// starting to compile call node (depth = 5)
  int callframe4001 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4002 == NULL) {
    strlit4002 = alloc_String("identifier");
    gc_root(strlit4002);
  }
// compiled string node returning strlit4002 (depth = 6)
  gc_frame_newslot(strlit4002);
// call case 4: self request
  params[0] = strlit4002;
  partcv[0] = 1;
  Object call4003 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4001);
// compiled call node returning call4003 (depth = 5)
  int op_slot_left_3993 = gc_frame_newslot(call4003);
  params[0] = opresult3999;
  partcv[0] = 1;
  Object opresult4004 = callmethod(call4003, "&&", 1, partcv, params);
// compiled op node returning opresult4004 (depth = 4)
  partcv[0] = 0;
  Object call4005 = callmethod(opresult4004, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe3992);
// compiled call node returning call4005 (depth = 3)
  Object if3991 = done;
  if (istrue(call4005)) {
// Begin line 1237
  setline(1237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 1236
  setline(1236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num4006 = alloc_Float64(0);
// compiled num node returning num4006 (depth = 4)
  return num4006;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if3991 = undefined;
  } else {
  }
// compiled if node returning if3991 (depth = 2)
// Begin line 1239
  setline(1239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1238
  setline(1238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_minIndentLevel (depth = 3)
  *var_localmin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1240
  setline(1240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1239
  setline(1239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_catchTok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1240
  setline(1240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4007 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4008 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4007);
// compiled call node returning call4008 (depth = 3)
// compiled member node returning call4008 (depth = 2)
// Begin line 1241
  setline(1241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4009 = gc_frame_new();
// Begin line 1243
  setline(1243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit4011 == NULL) {
    strlit4011 = alloc_String("instead.");
    gc_root(strlit4011);
  }
// compiled string node returning strlit4011 (depth = 4)
  int op_slot_right_4010 = gc_frame_newslot(strlit4011);
// starting to compile op node (depth = 4)
// Begin line 1242
  setline(1242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit4014 == NULL) {
    strlit4014 = alloc_String("removed in a future version of the compiler. Use try-catch ");
    gc_root(strlit4014);
  }
// compiled string node returning strlit4014 (depth = 5)
  int op_slot_right_4013 = gc_frame_newslot(strlit4014);
// Begin line 1241
  setline(1241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit4016 == NULL) {
    strlit4016 = alloc_String("The catch-case statement is deprecated and will be ");
    gc_root(strlit4016);
  }
// compiled string node returning strlit4016 (depth = 5)
  int op_slot_left_4013 = gc_frame_newslot(strlit4016);
  params[0] = strlit4014;
  partcv[0] = 1;
  Object opresult4017 = callmethod(strlit4016, "++", 1, partcv, params);
// compiled op node returning opresult4017 (depth = 4)
  int op_slot_left_4010 = gc_frame_newslot(opresult4017);
  params[0] = strlit4011;
  partcv[0] = 1;
  Object opresult4018 = callmethod(opresult4017, "++", 1, partcv, params);
// compiled op node returning opresult4018 (depth = 3)
  gc_frame_newslot(opresult4018);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = opresult4018;
  partcv[0] = 1;
  Object call4019 = callmethod(*var_util, "warning",
    1, partcv, params);
  gc_frame_end(callframe4009);
// compiled call node returning call4019 (depth = 2)
// Begin line 1291
  setline(1291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1244
  setline(1244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4021 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4022 == NULL) {
    strlit4022 = alloc_String("lbrace");
    gc_root(strlit4022);
  }
// compiled string node returning strlit4022 (depth = 4)
  gc_frame_newslot(strlit4022);
// call case 4: self request
  params[0] = strlit4022;
  partcv[0] = 1;
  Object call4023 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4021);
// compiled call node returning call4023 (depth = 3)
  Object if4020 = done;
  if (istrue(call4023)) {
// Begin line 1245
  setline(1245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4024 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4025 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4024);
// compiled call node returning call4025 (depth = 4)
// compiled member node returning call4025 (depth = 3)
    gc_frame_newslot(call4025);
    if4020 = call4025;
  } else {
// Begin line 1270
  setline(1270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1247
  setline(1247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4028 == NULL) {
    strlit4028 = alloc_String("lparen");
    gc_root(strlit4028);
  }
// compiled string node returning strlit4028 (depth = 5)
  int op_slot_right_4027 = gc_frame_newslot(strlit4028);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4030 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call4031 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4030);
// compiled call node returning call4031 (depth = 6)
// compiled member node returning call4031 (depth = 5)
  int op_slot_left_4027 = gc_frame_newslot(call4031);
  params[0] = strlit4028;
  partcv[0] = 1;
  Object opresult4032 = callmethod(call4031, "!=", 1, partcv, params);
// compiled op node returning opresult4032 (depth = 4)
  Object if4026 = done;
  if (istrue(opresult4032)) {
// Begin line 1250
  setline(1250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1248
  setline(1248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4033 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4034 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call4035 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4034);
// compiled call node returning call4035 (depth = 8)
// compiled member node returning call4035 (depth = 7)
  partcv[0] = 0;
  Object call4036 = callmethod(call4035, "new",
    1, partcv, params);
  gc_frame_end(callframe4033);
// compiled call node returning call4036 (depth = 6)
// compiled member node returning call4036 (depth = 5)
  *var_suggestion = call4036;
  if (call4036 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1250
  setline(1250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4037 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block4038 = alloc_Block(NULL, NULL, "parser", 1250);
  gc_frame_newslot(block4038);
// method _apply
  block_savedest(block4038);
  Object closure4039 = createclosure(2, "_apply");
  setclosureframe(closure4039, stackframe);
  addtoclosure(closure4039, var_catchTok);
  addtoclosure(closure4039, selfslot);
  struct UserObject *uo4039 = (struct UserObject*)block4038;
  uo4039->data[0] = (Object)closure4039;
  Method *meth_meth_parser__apply4039 = addmethod2pos(block4038, "_apply", &meth_parser__apply4039, 0);
  int argcv_meth_parser__apply4039[] = {1};
  meth_meth_parser__apply4039->type = alloc_MethodType(1, argcv_meth_parser__apply4039);
  meth_meth_parser__apply4039->definitionModule = modulename;
  meth_meth_parser__apply4039->definitionLine = 1248;
// compiled block node returning block4038 (depth = 6)
  gc_frame_newslot(block4038);
// call case 4: self request
  params[0] = block4038;
  partcv[0] = 1;
  Object call4084 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4037);
// compiled call node returning call4084 (depth = 5)
  *var_nextTok = call4084;
  if (call4084 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1267
  setline(1267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1253
  setline(1253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool4087 = alloc_Boolean(0);
// compiled identifier node returning bool4087 (depth = 6)
  int op_slot_right_4086 = gc_frame_newslot(bool4087);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_left_4086 = gc_frame_newslot(*var_nextTok);
  params[0] = bool4087;
  partcv[0] = 1;
  Object opresult4089 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult4089 (depth = 5)
  Object if4085 = done;
  if (istrue(opresult4089)) {
// Begin line 1254
  setline(1254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4090 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4091 == NULL) {
    strlit4091 = alloc_String(" {}");
    gc_root(strlit4091);
  }
// compiled string node returning strlit4091 (depth = 6)
  gc_frame_newslot(strlit4091);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_catchTok (depth = 6)
  gc_frame_newslot(*var_catchTok);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit4091;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4092 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4090);
// compiled call node returning call4092 (depth = 5)
    gc_frame_newslot(call4092);
    if4085 = call4092;
  } else {
// Begin line 1257
  setline(1257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1255
  setline(1255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4095 == NULL) {
    strlit4095 = alloc_String("rbrace");
    gc_root(strlit4095);
  }
// compiled string node returning strlit4095 (depth = 7)
  int op_slot_right_4094 = gc_frame_newslot(strlit4095);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4097 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  partcv[0] = 0;
  Object call4098 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe4097);
// compiled call node returning call4098 (depth = 8)
// compiled member node returning call4098 (depth = 7)
  int op_slot_left_4094 = gc_frame_newslot(call4098);
  params[0] = strlit4095;
  partcv[0] = 1;
  Object opresult4099 = callmethod(call4098, "==", 1, partcv, params);
// compiled op node returning opresult4099 (depth = 6)
  Object if4093 = done;
  if (istrue(opresult4099)) {
// Begin line 1256
  setline(1256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4100 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4101 == NULL) {
    strlit4101 = alloc_String(" {");
    gc_root(strlit4101);
  }
// compiled string node returning strlit4101 (depth = 7)
  gc_frame_newslot(strlit4101);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_catchTok (depth = 7)
  gc_frame_newslot(*var_catchTok);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit4101;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4102 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4100);
// compiled call node returning call4102 (depth = 6)
    gc_frame_newslot(call4102);
    if4093 = call4102;
  } else {
// Begin line 1263
  setline(1263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1257
  setline(1257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4105 == NULL) {
    strlit4105 = alloc_String("rparen");
    gc_root(strlit4105);
  }
// compiled string node returning strlit4105 (depth = 8)
  int op_slot_right_4104 = gc_frame_newslot(strlit4105);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4107 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  partcv[0] = 0;
  Object call4108 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe4107);
// compiled call node returning call4108 (depth = 9)
// compiled member node returning call4108 (depth = 8)
  int op_slot_left_4104 = gc_frame_newslot(call4108);
  params[0] = strlit4105;
  partcv[0] = 1;
  Object opresult4109 = callmethod(call4108, "==", 1, partcv, params);
// compiled op node returning opresult4109 (depth = 7)
  Object if4103 = done;
  if (istrue(opresult4109)) {
// Begin line 1263
  setline(1263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1258
  setline(1258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_4111 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_4111 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4113 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult4113 (depth = 8)
  Object if4110 = done;
  if (istrue(opresult4113)) {
// Begin line 1259
  setline(1259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4114 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4115 == NULL) {
    strlit4115 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4115);
  }
// compiled string node returning strlit4115 (depth = 9)
  gc_frame_newslot(strlit4115);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 9)
  Object bool4116 = alloc_Boolean(1);
// compiled identifier node returning bool4116 (depth = 9)
  gc_frame_newslot(bool4116);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4115;
  params[1] = *var_lastToken;
  params[2] = bool4116;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4117 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe4114);
// compiled call node returning call4117 (depth = 8)
    gc_frame_newslot(call4117);
    if4110 = call4117;
  } else {
// Begin line 1261
  setline(1261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4118 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4119 == NULL) {
    strlit4119 = alloc_String("(");
    gc_root(strlit4119);
  }
// compiled string node returning strlit4119 (depth = 9)
  gc_frame_newslot(strlit4119);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 9)
  Object bool4120 = alloc_Boolean(1);
// compiled identifier node returning bool4120 (depth = 9)
  gc_frame_newslot(bool4120);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4119;
  params[1] = *var_lastToken;
  params[2] = bool4120;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4121 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe4118);
// compiled call node returning call4121 (depth = 8)
    gc_frame_newslot(call4121);
    if4110 = call4121;
  }
// compiled if node returning if4110 (depth = 7)
    gc_frame_newslot(if4110);
    if4103 = if4110;
  } else {
// Begin line 1267
  setline(1267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1263
  setline(1263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4124 == NULL) {
    strlit4124 = alloc_String("identifier");
    gc_root(strlit4124);
  }
// compiled string node returning strlit4124 (depth = 9)
  int op_slot_right_4123 = gc_frame_newslot(strlit4124);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4126 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  partcv[0] = 0;
  Object call4127 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe4126);
// compiled call node returning call4127 (depth = 10)
// compiled member node returning call4127 (depth = 9)
  int op_slot_left_4123 = gc_frame_newslot(call4127);
  params[0] = strlit4124;
  partcv[0] = 1;
  Object opresult4128 = callmethod(call4127, "==", 1, partcv, params);
// compiled op node returning opresult4128 (depth = 8)
  Object if4122 = done;
  if (istrue(opresult4128)) {
// Begin line 1264
  setline(1264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4129 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4130 == NULL) {
    strlit4130 = alloc_String(" {");
    gc_root(strlit4130);
  }
// compiled string node returning strlit4130 (depth = 9)
  gc_frame_newslot(strlit4130);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_catchTok (depth = 9)
  gc_frame_newslot(*var_catchTok);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4130;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4131 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4129);
// compiled call node returning call4131 (depth = 8)
// Begin line 1265
  setline(1265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4132 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4133 == NULL) {
    strlit4133 = alloc_String("} ");
    gc_root(strlit4133);
  }
// compiled string node returning strlit4133 (depth = 9)
  gc_frame_newslot(strlit4133);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  gc_frame_newslot(*var_nextTok);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4133;
  params[1] = *var_nextTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4134 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe4132);
// compiled call node returning call4134 (depth = 8)
    gc_frame_newslot(call4134);
    if4122 = call4134;
  } else {
  }
// compiled if node returning if4122 (depth = 7)
    gc_frame_newslot(if4122);
    if4103 = if4122;
  }
// compiled if node returning if4103 (depth = 6)
    gc_frame_newslot(if4103);
    if4093 = if4103;
  }
// compiled if node returning if4093 (depth = 5)
    gc_frame_newslot(if4093);
    if4085 = if4093;
  }
// compiled if node returning if4085 (depth = 4)
// Begin line 1267
  setline(1267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4135 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4136 == NULL) {
    strlit4136 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'catch'.");
    gc_root(strlit4136);
  }
// compiled string node returning strlit4136 (depth = 5)
  gc_frame_newslot(strlit4136);
// Begin line 1268
  setline(1268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4137 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_catchTok (depth = 7)
  partcv[0] = 0;
  Object call4138 = callmethod(*var_catchTok, "line",
    1, partcv, params);
  gc_frame_end(callframe4137);
// compiled call node returning call4138 (depth = 6)
// compiled member node returning call4138 (depth = 5)
  gc_frame_newslot(call4138);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4140 = alloc_Float64(1);
// compiled num node returning num4140 (depth = 6)
  int op_slot_right_4139 = gc_frame_newslot(num4140);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4143 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_catchTok (depth = 9)
  partcv[0] = 0;
  Object call4144 = callmethod(*var_catchTok, "size",
    1, partcv, params);
  gc_frame_end(callframe4143);
// compiled call node returning call4144 (depth = 8)
// compiled member node returning call4144 (depth = 7)
  int op_slot_right_4142 = gc_frame_newslot(call4144);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4146 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_catchTok (depth = 9)
  partcv[0] = 0;
  Object call4147 = callmethod(*var_catchTok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4146);
// compiled call node returning call4147 (depth = 8)
// compiled member node returning call4147 (depth = 7)
  int op_slot_left_4142 = gc_frame_newslot(call4147);
  params[0] = call4144;
  partcv[0] = 1;
  Object sum4148 = callmethod(call4147, "+", 1, partcv, params);
// compiled op node returning sum4148 (depth = 6)
  int op_slot_left_4139 = gc_frame_newslot(sum4148);
  params[0] = num4140;
  partcv[0] = 1;
  Object sum4149 = callmethod(sum4148, "+", 1, partcv, params);
// compiled op node returning sum4149 (depth = 5)
  gc_frame_newslot(sum4149);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1267
  setline(1267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit4136;
  params[1] = call4138;
  params[2] = sum4149;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4150 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4135);
// compiled call node returning call4150 (depth = 4)
    gc_frame_newslot(call4150);
    if4026 = call4150;
  } else {
  }
// compiled if node returning if4026 (depth = 3)
// Begin line 1270
  setline(1270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4151 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4152 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4151);
// compiled call node returning call4152 (depth = 4)
// compiled member node returning call4152 (depth = 3)
// Begin line 1282
  setline(1282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1271
  setline(1271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4154 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 6)
  int callframe4155 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block4156 = alloc_Block(NULL, NULL, "parser", 1271);
  gc_frame_newslot(block4156);
// method _apply
  block_savedest(block4156);
  Object closure4157 = createclosure(2, "_apply");
  setclosureframe(closure4157, stackframe);
  addtoclosure(closure4157, var_blocksOK);
  addtoclosure(closure4157, selfslot);
  struct UserObject *uo4157 = (struct UserObject*)block4156;
  uo4157->data[0] = (Object)closure4157;
  Method *meth_meth_parser__apply4157 = addmethod2pos(block4156, "_apply", &meth_parser__apply4157, 0);
  int argcv_meth_parser__apply4157[] = {0};
  meth_meth_parser__apply4157->type = alloc_MethodType(1, argcv_meth_parser__apply4157);
  meth_meth_parser__apply4157->definitionModule = modulename;
  meth_meth_parser__apply4157->definitionLine = 1271;
// compiled block node returning block4156 (depth = 7)
  gc_frame_newslot(block4156);
// call case 4: self request
  params[0] = block4156;
  partcv[0] = 1;
  Object call4161 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4155);
// compiled call node returning call4161 (depth = 6)
  partcv[0] = 0;
  Object call4162 = callmethod(call4161, "not",
    1, partcv, params);
  gc_frame_end(callframe4154);
// compiled call node returning call4162 (depth = 5)
// compiled member node returning call4162 (depth = 4)
  Object if4153 = done;
  if (istrue(call4162)) {
// Begin line 1273
  setline(1273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1272
  setline(1272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4163 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4164 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call4165 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4164);
// compiled call node returning call4165 (depth = 8)
// compiled member node returning call4165 (depth = 7)
  partcv[0] = 0;
  Object call4166 = callmethod(call4165, "new",
    1, partcv, params);
  gc_frame_end(callframe4163);
// compiled call node returning call4166 (depth = 6)
// compiled member node returning call4166 (depth = 5)
  *var_suggestion = call4166;
  if (call4166 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1273
  setline(1273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4167 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4168 == NULL) {
    strlit4168 = alloc_String("rparen");
    gc_root(strlit4168);
  }
// compiled string node returning strlit4168 (depth = 6)
  gc_frame_newslot(strlit4168);
// call case 4: self request
  params[0] = strlit4168;
  partcv[0] = 1;
  Object call4169 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4167);
// compiled call node returning call4169 (depth = 5)
  *var_nextTok = call4169;
  if (call4169 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1279
  setline(1279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1274
  setline(1274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  int op_slot_right_4171 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_left_4171 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4173 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult4173 (depth = 5)
  Object if4170 = done;
  if (istrue(opresult4173)) {
// Begin line 1275
  setline(1275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4174 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4175 == NULL) {
    strlit4175 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4175);
  }
// compiled string node returning strlit4175 (depth = 6)
  gc_frame_newslot(strlit4175);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit4175;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4176 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4174);
// compiled call node returning call4176 (depth = 5)
    gc_frame_newslot(call4176);
    if4170 = call4176;
  } else {
// Begin line 1277
  setline(1277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4177 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4178 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  partcv[0] = 0;
  Object call4179 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4178);
// compiled call node returning call4179 (depth = 7)
// compiled member node returning call4179 (depth = 6)
  gc_frame_newslot(call4179);
// starting to compile identifier node (depth = 6)
  Object bool4180 = alloc_Boolean(1);
// compiled identifier node returning bool4180 (depth = 6)
  gc_frame_newslot(bool4180);
// starting to compile identifier node (depth = 6)
  Object bool4181 = alloc_Boolean(0);
// compiled identifier node returning bool4181 (depth = 6)
  gc_frame_newslot(bool4181);
// starting to compile string node (depth = 6)
  if (strlit4182 == NULL) {
    strlit4182 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4182);
  }
// compiled string node returning strlit4182 (depth = 6)
  gc_frame_newslot(strlit4182);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = call4179;
  params[2] = bool4180;
  params[3] = bool4181;
  params[4] = strlit4182;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4183 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe4177);
// compiled call node returning call4183 (depth = 5)
    gc_frame_newslot(call4183);
    if4170 = call4183;
  }
// compiled if node returning if4170 (depth = 4)
// Begin line 1279
  setline(1279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4184 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4185 == NULL) {
    strlit4185 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'catch'.");
    gc_root(strlit4185);
  }
// compiled string node returning strlit4185 (depth = 5)
  gc_frame_newslot(strlit4185);
// Begin line 1280
  setline(1280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4186 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call4187 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4186);
// compiled call node returning call4187 (depth = 6)
// compiled member node returning call4187 (depth = 5)
  gc_frame_newslot(call4187);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4188 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call4189 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4188);
// compiled call node returning call4189 (depth = 6)
// compiled member node returning call4189 (depth = 5)
  gc_frame_newslot(call4189);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1279
  setline(1279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit4185;
  params[1] = call4187;
  params[2] = call4189;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4190 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4184);
// compiled call node returning call4190 (depth = 4)
    gc_frame_newslot(call4190);
    if4153 = call4190;
  } else {
  }
// compiled if node returning if4153 (depth = 3)
// Begin line 1289
  setline(1289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1282
  setline(1282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4193 == NULL) {
    strlit4193 = alloc_String("rparen");
    gc_root(strlit4193);
  }
// compiled string node returning strlit4193 (depth = 5)
  int op_slot_right_4192 = gc_frame_newslot(strlit4193);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4195 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call4196 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4195);
// compiled call node returning call4196 (depth = 6)
// compiled member node returning call4196 (depth = 5)
  int op_slot_left_4192 = gc_frame_newslot(call4196);
  params[0] = strlit4193;
  partcv[0] = 1;
  Object opresult4197 = callmethod(call4196, "!=", 1, partcv, params);
// compiled op node returning opresult4197 (depth = 4)
  Object if4191 = done;
  if (istrue(opresult4197)) {
// Begin line 1283
  setline(1283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4198 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4199 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4198);
// compiled call node returning call4199 (depth = 5)
// compiled member node returning call4199 (depth = 4)
// Begin line 1285
  setline(1285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1284
  setline(1284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4200 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4201 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call4202 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4201);
// compiled call node returning call4202 (depth = 8)
// compiled member node returning call4202 (depth = 7)
  partcv[0] = 0;
  Object call4203 = callmethod(call4202, "new",
    1, partcv, params);
  gc_frame_end(callframe4200);
// compiled call node returning call4203 (depth = 6)
// compiled member node returning call4203 (depth = 5)
  *var_suggestion = call4203;
  if (call4203 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1285
  setline(1285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4204 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4205 == NULL) {
    strlit4205 = alloc_String(")");
    gc_root(strlit4205);
  }
// compiled string node returning strlit4205 (depth = 5)
  gc_frame_newslot(strlit4205);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit4205;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4206 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4204);
// compiled call node returning call4206 (depth = 4)
// Begin line 1286
  setline(1286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4207 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4208 == NULL) {
    strlit4208 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4208);
  }
// compiled string node returning strlit4208 (depth = 5)
  gc_frame_newslot(strlit4208);
// Begin line 1287
  setline(1287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4209 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call4210 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe4209);
// compiled call node returning call4210 (depth = 6)
// compiled member node returning call4210 (depth = 5)
  gc_frame_newslot(call4210);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4212 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call4213 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe4212);
// compiled call node returning call4213 (depth = 7)
// compiled member node returning call4213 (depth = 6)
  int op_slot_right_4211 = gc_frame_newslot(call4213);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4215 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call4216 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4215);
// compiled call node returning call4216 (depth = 7)
// compiled member node returning call4216 (depth = 6)
  int op_slot_left_4211 = gc_frame_newslot(call4216);
  params[0] = call4213;
  partcv[0] = 1;
  Object sum4217 = callmethod(call4216, "+", 1, partcv, params);
// compiled op node returning sum4217 (depth = 5)
  gc_frame_newslot(sum4217);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1286
  setline(1286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit4208;
  params[1] = call4210;
  params[2] = sum4217;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4218 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4207);
// compiled call node returning call4218 (depth = 4)
    gc_frame_newslot(call4218);
    if4191 = call4218;
  } else {
  }
// compiled if node returning if4191 (depth = 3)
// Begin line 1289
  setline(1289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4219 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4220 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4219);
// compiled call node returning call4220 (depth = 4)
// compiled member node returning call4220 (depth = 3)
    gc_frame_newslot(call4220);
    if4020 = call4220;
  }
// compiled if node returning if4020 (depth = 2)
// Begin line 1292
  setline(1292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1291
  setline(1291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4221 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  partcv[0] = 0;
  Object call4222 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe4221);
// compiled call node returning call4222 (depth = 4)
// compiled member node returning call4222 (depth = 3)
  *var_mainblock = call4222;
  if (call4222 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1293
  setline(1293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1292
  setline(1292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array4223 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array4223 (depth = 3)
  *var_cases = array4223;
  if (array4223 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1294
  setline(1294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1293
  setline(1293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4224 = alloc_Boolean(0);
// compiled identifier node returning bool4224 (depth = 3)
  *var_finally = bool4224;
  if (bool4224 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1294
  setline(1294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4225 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block4226 = alloc_Block(NULL, NULL, "parser", 1294);
  gc_frame_newslot(block4226);
// method _apply
  block_savedest(block4226);
  Object closure4227 = createclosure(2, "_apply");
  setclosureframe(closure4227, stackframe);
  addtoclosure(closure4227, var_sym);
  addtoclosure(closure4227, selfslot);
  struct UserObject *uo4227 = (struct UserObject*)block4226;
  uo4227->data[0] = (Object)closure4227;
  Method *meth_meth_parser__apply4227 = addmethod2pos(block4226, "_apply", &meth_parser__apply4227, 0);
  int argcv_meth_parser__apply4227[] = {0};
  meth_meth_parser__apply4227->type = alloc_MethodType(1, argcv_meth_parser__apply4227);
  meth_meth_parser__apply4227->definitionModule = modulename;
  meth_meth_parser__apply4227->definitionLine = 1291;
// compiled block node returning block4226 (depth = 3)
  gc_frame_newslot(block4226);
// starting to compile block node (depth = 3)
  Object block4241 = alloc_Block(NULL, NULL, "parser", 1294);
  gc_frame_newslot(block4241);
// method _apply
  block_savedest(block4241);
  Object closure4242 = createclosure(8, "_apply");
  setclosureframe(closure4242, stackframe);
  addtoclosure(closure4242, var_blocksOK);
  addtoclosure(closure4242, var_errormessages);
  addtoclosure(closure4242, var_sym);
  addtoclosure(closure4242, var_lastToken);
  addtoclosure(closure4242, var_tokens);
  addtoclosure(closure4242, var_values);
  addtoclosure(closure4242, var_cases);
  addtoclosure(closure4242, selfslot);
  struct UserObject *uo4242 = (struct UserObject*)block4241;
  uo4242->data[0] = (Object)closure4242;
  Method *meth_meth_parser__apply4242 = addmethod2pos(block4241, "_apply", &meth_parser__apply4242, 0);
  int argcv_meth_parser__apply4242[] = {0};
  meth_meth_parser__apply4242->type = alloc_MethodType(1, argcv_meth_parser__apply4242);
  meth_meth_parser__apply4242->definitionModule = modulename;
  meth_meth_parser__apply4242->definitionLine = 1294;
// compiled block node returning block4241 (depth = 3)
  gc_frame_newslot(block4241);
// call case 5: prelude request
  params[0] = block4226;
  params[1] = block4241;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4388 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4225);
// compiled call node returning call4388 (depth = 2)
// Begin line 1392
  setline(1392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1343
  setline(1343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4392 == NULL) {
    strlit4392 = alloc_String("finally");
    gc_root(strlit4392);
  }
// compiled string node returning strlit4392 (depth = 5)
  int op_slot_right_4391 = gc_frame_newslot(strlit4392);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4394 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call4395 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4394);
// compiled call node returning call4395 (depth = 6)
// compiled member node returning call4395 (depth = 5)
  int op_slot_left_4391 = gc_frame_newslot(call4395);
  params[0] = strlit4392;
  partcv[0] = 1;
  Object opresult4396 = callmethod(call4395, "==", 1, partcv, params);
// compiled op node returning opresult4396 (depth = 4)
  int op_slot_right_4390 = gc_frame_newslot(opresult4396);
// starting to compile call node (depth = 4)
  int callframe4398 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4399 == NULL) {
    strlit4399 = alloc_String("identifier");
    gc_root(strlit4399);
  }
// compiled string node returning strlit4399 (depth = 5)
  gc_frame_newslot(strlit4399);
// call case 4: self request
  params[0] = strlit4399;
  partcv[0] = 1;
  Object call4400 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4398);
// compiled call node returning call4400 (depth = 4)
  int op_slot_left_4390 = gc_frame_newslot(call4400);
  params[0] = opresult4396;
  partcv[0] = 1;
  Object opresult4401 = callmethod(call4400, "&&", 1, partcv, params);
// compiled op node returning opresult4401 (depth = 3)
  Object if4389 = done;
  if (istrue(opresult4401)) {
// Begin line 1344
  setline(1344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4402 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4403 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4402);
// compiled call node returning call4403 (depth = 4)
// compiled member node returning call4403 (depth = 3)
// Begin line 1390
  setline(1390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1345
  setline(1345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4405 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4406 == NULL) {
    strlit4406 = alloc_String("lbrace");
    gc_root(strlit4406);
  }
// compiled string node returning strlit4406 (depth = 5)
  gc_frame_newslot(strlit4406);
// call case 4: self request
  params[0] = strlit4406;
  partcv[0] = 1;
  Object call4407 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4405);
// compiled call node returning call4407 (depth = 4)
  Object if4404 = done;
  if (istrue(call4407)) {
// Begin line 1346
  setline(1346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4408 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4409 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4408);
// compiled call node returning call4409 (depth = 5)
// compiled member node returning call4409 (depth = 4)
    gc_frame_newslot(call4409);
    if4404 = call4409;
  } else {
// Begin line 1368
  setline(1368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1347
  setline(1347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4411 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4412 == NULL) {
    strlit4412 = alloc_String("lparen");
    gc_root(strlit4412);
  }
// compiled string node returning strlit4412 (depth = 6)
  gc_frame_newslot(strlit4412);
// call case 4: self request
  params[0] = strlit4412;
  partcv[0] = 1;
  Object call4413 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4411);
// compiled call node returning call4413 (depth = 5)
  Object if4410 = done;
  if (istrue(call4413)) {
// Begin line 1348
  setline(1348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4414 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4415 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4414);
// compiled call node returning call4415 (depth = 6)
// compiled member node returning call4415 (depth = 5)
// Begin line 1360
  setline(1360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1349
  setline(1349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4417 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 8)
  int callframe4418 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block4419 = alloc_Block(NULL, NULL, "parser", 1349);
  gc_frame_newslot(block4419);
// method _apply
  block_savedest(block4419);
  Object closure4420 = createclosure(2, "_apply");
  setclosureframe(closure4420, stackframe);
  addtoclosure(closure4420, var_blocksOK);
  addtoclosure(closure4420, selfslot);
  struct UserObject *uo4420 = (struct UserObject*)block4419;
  uo4420->data[0] = (Object)closure4420;
  Method *meth_meth_parser__apply4420 = addmethod2pos(block4419, "_apply", &meth_parser__apply4420, 0);
  int argcv_meth_parser__apply4420[] = {0};
  meth_meth_parser__apply4420->type = alloc_MethodType(1, argcv_meth_parser__apply4420);
  meth_meth_parser__apply4420->definitionModule = modulename;
  meth_meth_parser__apply4420->definitionLine = 1349;
// compiled block node returning block4419 (depth = 9)
  gc_frame_newslot(block4419);
// call case 4: self request
  params[0] = block4419;
  partcv[0] = 1;
  Object call4424 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4418);
// compiled call node returning call4424 (depth = 8)
  partcv[0] = 0;
  Object call4425 = callmethod(call4424, "not",
    1, partcv, params);
  gc_frame_end(callframe4417);
// compiled call node returning call4425 (depth = 7)
// compiled member node returning call4425 (depth = 6)
  Object if4416 = done;
  if (istrue(call4425)) {
// Begin line 1351
  setline(1351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 1350
  setline(1350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4426 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4427 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call4428 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4427);
// compiled call node returning call4428 (depth = 10)
// compiled member node returning call4428 (depth = 9)
  partcv[0] = 0;
  Object call4429 = callmethod(call4428, "new",
    1, partcv, params);
  gc_frame_end(callframe4426);
// compiled call node returning call4429 (depth = 8)
// compiled member node returning call4429 (depth = 7)
  *var_suggestion = call4429;
  if (call4429 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1351
  setline(1351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4430 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4431 == NULL) {
    strlit4431 = alloc_String("rparen");
    gc_root(strlit4431);
  }
// compiled string node returning strlit4431 (depth = 8)
  gc_frame_newslot(strlit4431);
// call case 4: self request
  params[0] = strlit4431;
  partcv[0] = 1;
  Object call4432 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4430);
// compiled call node returning call4432 (depth = 7)
  *var_nextTok = call4432;
  if (call4432 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1357
  setline(1357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1352
  setline(1352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_4434 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_4434 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4436 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult4436 (depth = 7)
  Object if4433 = done;
  if (istrue(opresult4436)) {
// Begin line 1353
  setline(1353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4437 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4438 == NULL) {
    strlit4438 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4438);
  }
// compiled string node returning strlit4438 (depth = 8)
  gc_frame_newslot(strlit4438);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4438;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4439 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4437);
// compiled call node returning call4439 (depth = 7)
    gc_frame_newslot(call4439);
    if4433 = call4439;
  } else {
// Begin line 1355
  setline(1355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4440 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4441 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  partcv[0] = 0;
  Object call4442 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4441);
// compiled call node returning call4442 (depth = 9)
// compiled member node returning call4442 (depth = 8)
  gc_frame_newslot(call4442);
// starting to compile identifier node (depth = 8)
  Object bool4443 = alloc_Boolean(1);
// compiled identifier node returning bool4443 (depth = 8)
  gc_frame_newslot(bool4443);
// starting to compile identifier node (depth = 8)
  Object bool4444 = alloc_Boolean(0);
// compiled identifier node returning bool4444 (depth = 8)
  gc_frame_newslot(bool4444);
// starting to compile string node (depth = 8)
  if (strlit4445 == NULL) {
    strlit4445 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4445);
  }
// compiled string node returning strlit4445 (depth = 8)
  gc_frame_newslot(strlit4445);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = call4442;
  params[2] = bool4443;
  params[3] = bool4444;
  params[4] = strlit4445;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4446 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe4440);
// compiled call node returning call4446 (depth = 7)
    gc_frame_newslot(call4446);
    if4433 = call4446;
  }
// compiled if node returning if4433 (depth = 6)
// Begin line 1357
  setline(1357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4447 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4448 == NULL) {
    strlit4448 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'finally'.");
    gc_root(strlit4448);
  }
// compiled string node returning strlit4448 (depth = 7)
  gc_frame_newslot(strlit4448);
// Begin line 1358
  setline(1358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4449 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call4450 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4449);
// compiled call node returning call4450 (depth = 8)
// compiled member node returning call4450 (depth = 7)
  gc_frame_newslot(call4450);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4451 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call4452 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4451);
// compiled call node returning call4452 (depth = 8)
// compiled member node returning call4452 (depth = 7)
  gc_frame_newslot(call4452);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1357
  setline(1357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit4448;
  params[1] = call4450;
  params[2] = call4452;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4453 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4447);
// compiled call node returning call4453 (depth = 6)
    gc_frame_newslot(call4453);
    if4416 = call4453;
  } else {
  }
// compiled if node returning if4416 (depth = 5)
// Begin line 1367
  setline(1367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1360
  setline(1360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4456 == NULL) {
    strlit4456 = alloc_String("rparen");
    gc_root(strlit4456);
  }
// compiled string node returning strlit4456 (depth = 7)
  int op_slot_right_4455 = gc_frame_newslot(strlit4456);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4458 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call4459 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4458);
// compiled call node returning call4459 (depth = 8)
// compiled member node returning call4459 (depth = 7)
  int op_slot_left_4455 = gc_frame_newslot(call4459);
  params[0] = strlit4456;
  partcv[0] = 1;
  Object opresult4460 = callmethod(call4459, "!=", 1, partcv, params);
// compiled op node returning opresult4460 (depth = 6)
  Object if4454 = done;
  if (istrue(opresult4460)) {
// Begin line 1361
  setline(1361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4461 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4462 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4461);
// compiled call node returning call4462 (depth = 7)
// compiled member node returning call4462 (depth = 6)
// Begin line 1363
  setline(1363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 1362
  setline(1362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4463 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4464 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call4465 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4464);
// compiled call node returning call4465 (depth = 10)
// compiled member node returning call4465 (depth = 9)
  partcv[0] = 0;
  Object call4466 = callmethod(call4465, "new",
    1, partcv, params);
  gc_frame_end(callframe4463);
// compiled call node returning call4466 (depth = 8)
// compiled member node returning call4466 (depth = 7)
  *var_suggestion = call4466;
  if (call4466 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1363
  setline(1363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4467 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4468 == NULL) {
    strlit4468 = alloc_String(")");
    gc_root(strlit4468);
  }
// compiled string node returning strlit4468 (depth = 7)
  gc_frame_newslot(strlit4468);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit4468;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4469 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4467);
// compiled call node returning call4469 (depth = 6)
// Begin line 1364
  setline(1364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4470 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4471 == NULL) {
    strlit4471 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4471);
  }
// compiled string node returning strlit4471 (depth = 7)
  gc_frame_newslot(strlit4471);
// Begin line 1365
  setline(1365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4472 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call4473 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe4472);
// compiled call node returning call4473 (depth = 8)
// compiled member node returning call4473 (depth = 7)
  gc_frame_newslot(call4473);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4475 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call4476 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe4475);
// compiled call node returning call4476 (depth = 9)
// compiled member node returning call4476 (depth = 8)
  int op_slot_right_4474 = gc_frame_newslot(call4476);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4478 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call4479 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4478);
// compiled call node returning call4479 (depth = 9)
// compiled member node returning call4479 (depth = 8)
  int op_slot_left_4474 = gc_frame_newslot(call4479);
  params[0] = call4476;
  partcv[0] = 1;
  Object sum4480 = callmethod(call4479, "+", 1, partcv, params);
// compiled op node returning sum4480 (depth = 7)
  gc_frame_newslot(sum4480);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1364
  setline(1364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit4471;
  params[1] = call4473;
  params[2] = sum4480;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4481 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4470);
// compiled call node returning call4481 (depth = 6)
    gc_frame_newslot(call4481);
    if4454 = call4481;
  } else {
  }
// compiled if node returning if4454 (depth = 5)
// Begin line 1367
  setline(1367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4482 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4483 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4482);
// compiled call node returning call4483 (depth = 6)
// compiled member node returning call4483 (depth = 5)
    gc_frame_newslot(call4483);
    if4410 = call4483;
  } else {
// Begin line 1370
  setline(1370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 1369
  setline(1369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 6)
  Object array4484 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array4484 (depth = 6)
  *var_suggestions = array4484;
  if (array4484 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 1370
  setline(1370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4485 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 4: self request
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call4486 = callmethodflags(self, "findNextTokenIndentedAt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4485);
// compiled call node returning call4486 (depth = 6)
  *var_nextTok = call4486;
  if (call4486 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 1372
  setline(1372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// Begin line 1371
  setline(1371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4487 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4488 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call4489 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4488);
// compiled call node returning call4489 (depth = 9)
// compiled member node returning call4489 (depth = 8)
  partcv[0] = 0;
  Object call4490 = callmethod(call4489, "new",
    1, partcv, params);
  gc_frame_end(callframe4487);
// compiled call node returning call4490 (depth = 7)
// compiled member node returning call4490 (depth = 6)
  *var_suggestion = call4490;
  if (call4490 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 1387
  setline(1387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1372
  setline(1372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool4493 = alloc_Boolean(0);
// compiled identifier node returning bool4493 (depth = 7)
  int op_slot_right_4492 = gc_frame_newslot(bool4493);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_4492 = gc_frame_newslot(*var_nextTok);
  params[0] = bool4493;
  partcv[0] = 1;
  Object opresult4495 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult4495 (depth = 6)
  Object if4491 = done;
  if (istrue(opresult4495)) {
// Begin line 1373
  setline(1373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4496 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4497 == NULL) {
    strlit4497 = alloc_String(" }");
    gc_root(strlit4497);
  }
// compiled string node returning strlit4497 (depth = 7)
  gc_frame_newslot(strlit4497);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4498 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  partcv[0] = 0;
  Object call4499 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe4498);
// compiled call node returning call4499 (depth = 8)
// compiled member node returning call4499 (depth = 7)
  gc_frame_newslot(call4499);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit4497;
  params[1] = call4499;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4500 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4496);
// compiled call node returning call4500 (depth = 6)
// Begin line 1374
  setline(1374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4501 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4502 == NULL) {
    strlit4502 = alloc_String(" {");
    gc_root(strlit4502);
  }
// compiled string node returning strlit4502 (depth = 7)
  gc_frame_newslot(strlit4502);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit4502;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4503 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4501);
// compiled call node returning call4503 (depth = 6)
// Begin line 1375
  setline(1375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4504 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4505 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4504);
// compiled call node returning call4505 (depth = 6)
    gc_frame_newslot(call4505);
    if4491 = call4505;
  } else {
// Begin line 1382
  setline(1382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1376
  setline(1376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_4507 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_4507 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4509 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult4509 (depth = 7)
  Object if4506 = done;
  if (istrue(opresult4509)) {
// Begin line 1377
  setline(1377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4510 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4511 == NULL) {
    strlit4511 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit4511);
  }
// compiled string node returning strlit4511 (depth = 8)
  gc_frame_newslot(strlit4511);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4511;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4512 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4510);
// compiled call node returning call4512 (depth = 7)
// Begin line 1378
  setline(1378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4513 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4514 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4513);
// compiled call node returning call4514 (depth = 7)
// Begin line 1380
  setline(1380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 1379
  setline(1379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4515 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4516 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call4517 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4516);
// compiled call node returning call4517 (depth = 11)
// compiled member node returning call4517 (depth = 10)
  partcv[0] = 0;
  Object call4518 = callmethod(call4517, "new",
    1, partcv, params);
  gc_frame_end(callframe4515);
// compiled call node returning call4518 (depth = 9)
// compiled member node returning call4518 (depth = 8)
  *var_suggestion = call4518;
  if (call4518 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 1380
  setline(1380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4520 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4521 == NULL) {
    strlit4521 = alloc_String(" { ""\xc2""""\xab""expression""\xc2""""\xbb"" }");
    gc_root(strlit4521);
  }
// compiled string node returning strlit4521 (depth = 8)
  gc_frame_newslot(strlit4521);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4521;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4522 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4520);
// compiled call node returning call4522 (depth = 7)
// Begin line 1381
  setline(1381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4523 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4524 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4523);
// compiled call node returning call4524 (depth = 7)
    gc_frame_newslot(call4524);
    if4506 = call4524;
  } else {
// Begin line 1383
  setline(1383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4525 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4526 == NULL) {
    strlit4526 = alloc_String(" }");
    gc_root(strlit4526);
  }
// compiled string node returning strlit4526 (depth = 8)
  gc_frame_newslot(strlit4526);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4527 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  partcv[0] = 0;
  Object call4528 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4527);
// compiled call node returning call4528 (depth = 9)
// compiled member node returning call4528 (depth = 8)
  gc_frame_newslot(call4528);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4526;
  params[1] = call4528;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4529 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4525);
// compiled call node returning call4529 (depth = 7)
// Begin line 1384
  setline(1384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4530 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4531 == NULL) {
    strlit4531 = alloc_String(" {");
    gc_root(strlit4531);
  }
// compiled string node returning strlit4531 (depth = 8)
  gc_frame_newslot(strlit4531);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4531;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4532 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4530);
// compiled call node returning call4532 (depth = 7)
// Begin line 1385
  setline(1385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4533 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4534 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4533);
// compiled call node returning call4534 (depth = 7)
    gc_frame_newslot(call4534);
    if4506 = call4534;
  }
// compiled if node returning if4506 (depth = 6)
    gc_frame_newslot(if4506);
    if4491 = if4506;
  }
// compiled if node returning if4491 (depth = 5)
// Begin line 1387
  setline(1387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4535 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4536 == NULL) {
    strlit4536 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'finally'.");
    gc_root(strlit4536);
  }
// compiled string node returning strlit4536 (depth = 6)
  gc_frame_newslot(strlit4536);
// Begin line 1388
  setline(1388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4537 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call4538 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4537);
// compiled call node returning call4538 (depth = 7)
// compiled member node returning call4538 (depth = 6)
  gc_frame_newslot(call4538);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4539 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call4540 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4539);
// compiled call node returning call4540 (depth = 7)
// compiled member node returning call4540 (depth = 6)
  gc_frame_newslot(call4540);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 1387
  setline(1387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit4536;
  params[1] = call4538;
  params[2] = call4540;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4541 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe4535);
// compiled call node returning call4541 (depth = 5)
    gc_frame_newslot(call4541);
    if4410 = call4541;
  }
// compiled if node returning if4410 (depth = 4)
    gc_frame_newslot(if4410);
    if4404 = if4410;
  }
// compiled if node returning if4404 (depth = 3)
// Begin line 1391
  setline(1391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 1390
  setline(1390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4542 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call4543 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe4542);
// compiled call node returning call4543 (depth = 5)
// compiled member node returning call4543 (depth = 4)
  *var_finally = call4543;
  if (call4543 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if4389 = done;
  } else {
  }
// compiled if node returning if4389 (depth = 2)
// Begin line 1392
  setline(1392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4545 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe4546 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_mainblock (depth = 4)
  gc_frame_newslot(*var_mainblock);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cases (depth = 4)
  gc_frame_newslot(*var_cases);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_finally (depth = 4)
  gc_frame_newslot(*var_finally);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4547 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  partcv[0] = 0;
  Object call4548 = callmethod(*var_ast, "catchCaseNode",
    1, partcv, params);
  gc_frame_end(callframe4547);
// compiled call node returning call4548 (depth = 5)
// compiled member node returning call4548 (depth = 4)
  params[0] = *var_mainblock;
  params[1] = *var_cases;
  params[2] = *var_finally;
  partcv[0] = 3;
  Object call4549 = callmethod(call4548, "new",
    1, partcv, params);
  gc_frame_end(callframe4546);
// compiled call node returning call4549 (depth = 3)
  gc_frame_newslot(call4549);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  params[0] = call4549;
  partcv[0] = 1;
  Object call4550 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe4545);
// compiled call node returning call4550 (depth = 2)
// Begin line 1394
  setline(1394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 1393
  setline(1393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_localmin (depth = 3)
  *var_minIndentLevel = *var_localmin;
  if (*var_localmin == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 2)
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply4584(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_matchTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1406
  setline(1406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4588 == NULL) {
    strlit4588 = alloc_String("case");
    gc_root(strlit4588);
  }
// compiled string node returning strlit4588 (depth = 9)
  int op_slot_right_4587 = gc_frame_newslot(strlit4588);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4590 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_t (depth = 11)
  partcv[0] = 0;
  Object call4591 = callmethod(*var_t, "value",
    1, partcv, params);
  gc_frame_end(callframe4590);
// compiled call node returning call4591 (depth = 10)
// compiled member node returning call4591 (depth = 9)
  int op_slot_left_4587 = gc_frame_newslot(call4591);
  params[0] = strlit4588;
  partcv[0] = 1;
  Object opresult4592 = callmethod(call4591, "==", 1, partcv, params);
// compiled op node returning opresult4592 (depth = 8)
  int op_slot_right_4586 = gc_frame_newslot(opresult4592);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4595 == NULL) {
    strlit4595 = alloc_String("identifier");
    gc_root(strlit4595);
  }
// compiled string node returning strlit4595 (depth = 9)
  int op_slot_right_4594 = gc_frame_newslot(strlit4595);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4597 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_t (depth = 11)
  partcv[0] = 0;
  Object call4598 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe4597);
// compiled call node returning call4598 (depth = 10)
// compiled member node returning call4598 (depth = 9)
  int op_slot_left_4594 = gc_frame_newslot(call4598);
  params[0] = strlit4595;
  partcv[0] = 1;
  Object opresult4599 = callmethod(call4598, "==", 1, partcv, params);
// compiled op node returning opresult4599 (depth = 8)
  int op_slot_left_4586 = gc_frame_newslot(opresult4599);
  params[0] = opresult4592;
  partcv[0] = 1;
  Object opresult4600 = callmethod(opresult4599, "&&", 1, partcv, params);
// compiled op node returning opresult4600 (depth = 7)
  int op_slot_right_4585 = gc_frame_newslot(opresult4600);
// Begin line 1405
  setline(1405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4604 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_matchTok (depth = 11)
  partcv[0] = 0;
  Object call4605 = callmethod(*var_matchTok, "line",
    1, partcv, params);
  gc_frame_end(callframe4604);
// compiled call node returning call4605 (depth = 10)
// compiled member node returning call4605 (depth = 9)
  int op_slot_right_4603 = gc_frame_newslot(call4605);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4607 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_t (depth = 11)
  partcv[0] = 0;
  Object call4608 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe4607);
// compiled call node returning call4608 (depth = 10)
// compiled member node returning call4608 (depth = 9)
  int op_slot_left_4603 = gc_frame_newslot(call4608);
  params[0] = call4605;
  partcv[0] = 1;
  Object opresult4609 = callmethod(call4608, "==", 1, partcv, params);
// compiled op node returning opresult4609 (depth = 8)
  int op_slot_right_4602 = gc_frame_newslot(opresult4609);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4612 == NULL) {
    strlit4612 = alloc_String("rparen");
    gc_root(strlit4612);
  }
// compiled string node returning strlit4612 (depth = 9)
  int op_slot_right_4611 = gc_frame_newslot(strlit4612);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4614 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_t (depth = 11)
  partcv[0] = 0;
  Object call4615 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe4614);
// compiled call node returning call4615 (depth = 10)
// compiled member node returning call4615 (depth = 9)
  int op_slot_left_4611 = gc_frame_newslot(call4615);
  params[0] = strlit4612;
  partcv[0] = 1;
  Object opresult4616 = callmethod(call4615, "==", 1, partcv, params);
// compiled op node returning opresult4616 (depth = 8)
  int op_slot_left_4602 = gc_frame_newslot(opresult4616);
  params[0] = opresult4609;
  partcv[0] = 1;
  Object opresult4617 = callmethod(opresult4616, "&&", 1, partcv, params);
// compiled op node returning opresult4617 (depth = 7)
  int op_slot_left_4585 = gc_frame_newslot(opresult4617);
  params[0] = opresult4600;
  partcv[0] = 1;
  Object opresult4618 = callmethod(opresult4617, "||", 1, partcv, params);
// compiled op node returning opresult4618 (depth = 6)
  gc_frame_end(frame);
  return opresult4618;
}
Object meth_parser__apply4680(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe4681 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_blocksOK (depth = 8)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call4682 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4681);
// compiled call node returning call4682 (depth = 7)
  gc_frame_end(frame);
  return call4682;
}
Object meth_parser__apply4750(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4753 == NULL) {
    strlit4753 = alloc_String("case");
    gc_root(strlit4753);
  }
// compiled string node returning strlit4753 (depth = 6)
  int op_slot_right_4752 = gc_frame_newslot(strlit4753);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4755 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call4756 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4755);
// compiled call node returning call4756 (depth = 7)
// compiled member node returning call4756 (depth = 6)
  int op_slot_left_4752 = gc_frame_newslot(call4756);
  params[0] = strlit4753;
  partcv[0] = 1;
  Object opresult4757 = callmethod(call4756, "==", 1, partcv, params);
// compiled op node returning opresult4757 (depth = 5)
  int op_slot_right_4751 = gc_frame_newslot(opresult4757);
// starting to compile call node (depth = 5)
  int callframe4759 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4760 == NULL) {
    strlit4760 = alloc_String("identifier");
    gc_root(strlit4760);
  }
// compiled string node returning strlit4760 (depth = 6)
  gc_frame_newslot(strlit4760);
// call case 4: self request
  params[0] = strlit4760;
  partcv[0] = 1;
  Object call4761 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4759);
// compiled call node returning call4761 (depth = 5)
  int op_slot_left_4751 = gc_frame_newslot(call4761);
  params[0] = opresult4757;
  partcv[0] = 1;
  Object opresult4762 = callmethod(call4761, "&&", 1, partcv, params);
// compiled op node returning opresult4762 (depth = 4)
  gc_frame_end(frame);
  return opresult4762;
}
Object meth_parser__apply4784(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 11)
  int callframe4785 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_blocksOK (depth = 12)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call4786 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4785);
// compiled call node returning call4786 (depth = 11)
  gc_frame_end(frame);
  return call4786;
}
Object meth_parser__apply4765(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_tokens = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_cases = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
// Begin line 1446
  setline(1446);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4766 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4767 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4766);
// compiled call node returning call4767 (depth = 5)
// compiled member node returning call4767 (depth = 4)
// Begin line 1492
  setline(1492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1447
  setline(1447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4769 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4770 == NULL) {
    strlit4770 = alloc_String("lbrace");
    gc_root(strlit4770);
  }
// compiled string node returning strlit4770 (depth = 6)
  gc_frame_newslot(strlit4770);
// call case 4: self request
  params[0] = strlit4770;
  partcv[0] = 1;
  Object call4771 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4769);
// compiled call node returning call4771 (depth = 5)
  Object if4768 = done;
  if (istrue(call4771)) {
// Begin line 1448
  setline(1448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4772 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4773 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4772);
// compiled call node returning call4773 (depth = 6)
// compiled member node returning call4773 (depth = 5)
    gc_frame_newslot(call4773);
    if4768 = call4773;
  } else {
// Begin line 1470
  setline(1470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1449
  setline(1449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4775 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4776 == NULL) {
    strlit4776 = alloc_String("lparen");
    gc_root(strlit4776);
  }
// compiled string node returning strlit4776 (depth = 7)
  gc_frame_newslot(strlit4776);
// call case 4: self request
  params[0] = strlit4776;
  partcv[0] = 1;
  Object call4777 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4775);
// compiled call node returning call4777 (depth = 6)
  Object if4774 = done;
  if (istrue(call4777)) {
// Begin line 1450
  setline(1450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4778 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4779 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4778);
// compiled call node returning call4779 (depth = 7)
// compiled member node returning call4779 (depth = 6)
// Begin line 1462
  setline(1462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1451
  setline(1451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4781 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 9)
  int callframe4782 = gc_frame_new();
// starting to compile block node (depth = 10)
  Object block4783 = alloc_Block(NULL, NULL, "parser", 1451);
  gc_frame_newslot(block4783);
// method _apply
  block_savedest(block4783);
  Object closure4784 = createclosure(2, "_apply");
  setclosureframe(closure4784, stackframe);
  addtoclosure(closure4784, var_blocksOK);
  addtoclosure(closure4784, selfslot);
  struct UserObject *uo4784 = (struct UserObject*)block4783;
  uo4784->data[0] = (Object)closure4784;
  Method *meth_meth_parser__apply4784 = addmethod2pos(block4783, "_apply", &meth_parser__apply4784, 0);
  int argcv_meth_parser__apply4784[] = {0};
  meth_meth_parser__apply4784->type = alloc_MethodType(1, argcv_meth_parser__apply4784);
  meth_meth_parser__apply4784->definitionModule = modulename;
  meth_meth_parser__apply4784->definitionLine = 1451;
// compiled block node returning block4783 (depth = 10)
  gc_frame_newslot(block4783);
// call case 4: self request
  params[0] = block4783;
  partcv[0] = 1;
  Object call4788 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4782);
// compiled call node returning call4788 (depth = 9)
  partcv[0] = 0;
  Object call4789 = callmethod(call4788, "not",
    1, partcv, params);
  gc_frame_end(callframe4781);
// compiled call node returning call4789 (depth = 8)
// compiled member node returning call4789 (depth = 7)
  Object if4780 = done;
  if (istrue(call4789)) {
// Begin line 1453
  setline(1453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 1452
  setline(1452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4790 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4791 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call4792 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4791);
// compiled call node returning call4792 (depth = 11)
// compiled member node returning call4792 (depth = 10)
  partcv[0] = 0;
  Object call4793 = callmethod(call4792, "new",
    1, partcv, params);
  gc_frame_end(callframe4790);
// compiled call node returning call4793 (depth = 9)
// compiled member node returning call4793 (depth = 8)
  *var_suggestion = call4793;
  if (call4793 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 1453
  setline(1453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4794 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4795 == NULL) {
    strlit4795 = alloc_String("rparen");
    gc_root(strlit4795);
  }
// compiled string node returning strlit4795 (depth = 9)
  gc_frame_newslot(strlit4795);
// call case 4: self request
  params[0] = strlit4795;
  partcv[0] = 1;
  Object call4796 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4794);
// compiled call node returning call4796 (depth = 8)
  *var_nextTok = call4796;
  if (call4796 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 1459
  setline(1459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1454
  setline(1454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_4798 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_4798 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4800 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult4800 (depth = 8)
  Object if4797 = done;
  if (istrue(opresult4800)) {
// Begin line 1455
  setline(1455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4801 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4802 == NULL) {
    strlit4802 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4802);
  }
// compiled string node returning strlit4802 (depth = 9)
  gc_frame_newslot(strlit4802);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4802;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4803 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4801);
// compiled call node returning call4803 (depth = 8)
    gc_frame_newslot(call4803);
    if4797 = call4803;
  } else {
// Begin line 1457
  setline(1457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4804 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4805 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  partcv[0] = 0;
  Object call4806 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4805);
// compiled call node returning call4806 (depth = 10)
// compiled member node returning call4806 (depth = 9)
  gc_frame_newslot(call4806);
// starting to compile identifier node (depth = 9)
  Object bool4807 = alloc_Boolean(1);
// compiled identifier node returning bool4807 (depth = 9)
  gc_frame_newslot(bool4807);
// starting to compile identifier node (depth = 9)
  Object bool4808 = alloc_Boolean(0);
// compiled identifier node returning bool4808 (depth = 9)
  gc_frame_newslot(bool4808);
// starting to compile string node (depth = 9)
  if (strlit4809 == NULL) {
    strlit4809 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4809);
  }
// compiled string node returning strlit4809 (depth = 9)
  gc_frame_newslot(strlit4809);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  params[1] = call4806;
  params[2] = bool4807;
  params[3] = bool4808;
  params[4] = strlit4809;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4810 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe4804);
// compiled call node returning call4810 (depth = 8)
    gc_frame_newslot(call4810);
    if4797 = call4810;
  }
// compiled if node returning if4797 (depth = 7)
// Begin line 1459
  setline(1459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4811 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4812 == NULL) {
    strlit4812 = alloc_String("A match statement must have either a matching block or an expression in parentheses after the 'case'.");
    gc_root(strlit4812);
  }
// compiled string node returning strlit4812 (depth = 8)
  gc_frame_newslot(strlit4812);
// Begin line 1460
  setline(1460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4813 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call4814 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4813);
// compiled call node returning call4814 (depth = 9)
// compiled member node returning call4814 (depth = 8)
  gc_frame_newslot(call4814);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4815 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call4816 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4815);
// compiled call node returning call4816 (depth = 9)
// compiled member node returning call4816 (depth = 8)
  gc_frame_newslot(call4816);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1459
  setline(1459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit4812;
  params[1] = call4814;
  params[2] = call4816;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4817 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4811);
// compiled call node returning call4817 (depth = 7)
    gc_frame_newslot(call4817);
    if4780 = call4817;
  } else {
  }
// compiled if node returning if4780 (depth = 6)
// Begin line 1469
  setline(1469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1462
  setline(1462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4820 == NULL) {
    strlit4820 = alloc_String("rparen");
    gc_root(strlit4820);
  }
// compiled string node returning strlit4820 (depth = 8)
  int op_slot_right_4819 = gc_frame_newslot(strlit4820);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4822 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call4823 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4822);
// compiled call node returning call4823 (depth = 9)
// compiled member node returning call4823 (depth = 8)
  int op_slot_left_4819 = gc_frame_newslot(call4823);
  params[0] = strlit4820;
  partcv[0] = 1;
  Object opresult4824 = callmethod(call4823, "!=", 1, partcv, params);
// compiled op node returning opresult4824 (depth = 7)
  Object if4818 = done;
  if (istrue(opresult4824)) {
// Begin line 1463
  setline(1463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4825 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4826 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4825);
// compiled call node returning call4826 (depth = 8)
// compiled member node returning call4826 (depth = 7)
// Begin line 1465
  setline(1465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 1464
  setline(1464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4827 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4828 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call4829 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4828);
// compiled call node returning call4829 (depth = 11)
// compiled member node returning call4829 (depth = 10)
  partcv[0] = 0;
  Object call4830 = callmethod(call4829, "new",
    1, partcv, params);
  gc_frame_end(callframe4827);
// compiled call node returning call4830 (depth = 9)
// compiled member node returning call4830 (depth = 8)
  *var_suggestion = call4830;
  if (call4830 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 1465
  setline(1465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4831 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4832 == NULL) {
    strlit4832 = alloc_String(")");
    gc_root(strlit4832);
  }
// compiled string node returning strlit4832 (depth = 8)
  gc_frame_newslot(strlit4832);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4832;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4833 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4831);
// compiled call node returning call4833 (depth = 7)
// Begin line 1466
  setline(1466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4834 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4835 == NULL) {
    strlit4835 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4835);
  }
// compiled string node returning strlit4835 (depth = 8)
  gc_frame_newslot(strlit4835);
// Begin line 1467
  setline(1467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4836 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call4837 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe4836);
// compiled call node returning call4837 (depth = 9)
// compiled member node returning call4837 (depth = 8)
  gc_frame_newslot(call4837);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4839 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call4840 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe4839);
// compiled call node returning call4840 (depth = 10)
// compiled member node returning call4840 (depth = 9)
  int op_slot_right_4838 = gc_frame_newslot(call4840);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4842 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call4843 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4842);
// compiled call node returning call4843 (depth = 10)
// compiled member node returning call4843 (depth = 9)
  int op_slot_left_4838 = gc_frame_newslot(call4843);
  params[0] = call4840;
  partcv[0] = 1;
  Object sum4844 = callmethod(call4843, "+", 1, partcv, params);
// compiled op node returning sum4844 (depth = 8)
  gc_frame_newslot(sum4844);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1466
  setline(1466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit4835;
  params[1] = call4837;
  params[2] = sum4844;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4845 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4834);
// compiled call node returning call4845 (depth = 7)
    gc_frame_newslot(call4845);
    if4818 = call4845;
  } else {
  }
// compiled if node returning if4818 (depth = 6)
// Begin line 1469
  setline(1469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4846 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4847 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4846);
// compiled call node returning call4847 (depth = 7)
// compiled member node returning call4847 (depth = 6)
    gc_frame_newslot(call4847);
    if4774 = call4847;
  } else {
// Begin line 1472
  setline(1472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 1471
  setline(1471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 7)
  Object array4848 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array4848 (depth = 7)
  *var_suggestions = array4848;
  if (array4848 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1472
  setline(1472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4849 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 4: self request
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call4850 = callmethodflags(self, "findNextTokenIndentedAt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4849);
// compiled call node returning call4850 (depth = 7)
  *var_nextTok = call4850;
  if (call4850 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1474
  setline(1474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// Begin line 1473
  setline(1473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4851 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4852 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call4853 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4852);
// compiled call node returning call4853 (depth = 10)
// compiled member node returning call4853 (depth = 9)
  partcv[0] = 0;
  Object call4854 = callmethod(call4853, "new",
    1, partcv, params);
  gc_frame_end(callframe4851);
// compiled call node returning call4854 (depth = 8)
// compiled member node returning call4854 (depth = 7)
  *var_suggestion = call4854;
  if (call4854 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 1489
  setline(1489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1474
  setline(1474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool4857 = alloc_Boolean(0);
// compiled identifier node returning bool4857 (depth = 8)
  int op_slot_right_4856 = gc_frame_newslot(bool4857);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_4856 = gc_frame_newslot(*var_nextTok);
  params[0] = bool4857;
  partcv[0] = 1;
  Object opresult4859 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult4859 (depth = 7)
  Object if4855 = done;
  if (istrue(opresult4859)) {
// Begin line 1475
  setline(1475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4860 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4861 == NULL) {
    strlit4861 = alloc_String(" }");
    gc_root(strlit4861);
  }
// compiled string node returning strlit4861 (depth = 8)
  gc_frame_newslot(strlit4861);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4862 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tokens (depth = 10)
  partcv[0] = 0;
  Object call4863 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe4862);
// compiled call node returning call4863 (depth = 9)
// compiled member node returning call4863 (depth = 8)
  gc_frame_newslot(call4863);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4861;
  params[1] = call4863;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4864 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4860);
// compiled call node returning call4864 (depth = 7)
// Begin line 1476
  setline(1476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4865 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4866 == NULL) {
    strlit4866 = alloc_String(" {");
    gc_root(strlit4866);
  }
// compiled string node returning strlit4866 (depth = 8)
  gc_frame_newslot(strlit4866);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4866;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4867 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4865);
// compiled call node returning call4867 (depth = 7)
// Begin line 1477
  setline(1477);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4868 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4869 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4868);
// compiled call node returning call4869 (depth = 7)
    gc_frame_newslot(call4869);
    if4855 = call4869;
  } else {
// Begin line 1484
  setline(1484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1478
  setline(1478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_4871 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_4871 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4873 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult4873 (depth = 8)
  Object if4870 = done;
  if (istrue(opresult4873)) {
// Begin line 1479
  setline(1479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4874 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4875 == NULL) {
    strlit4875 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit4875);
  }
// compiled string node returning strlit4875 (depth = 9)
  gc_frame_newslot(strlit4875);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4875;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4876 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4874);
// compiled call node returning call4876 (depth = 8)
// Begin line 1480
  setline(1480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4877 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4878 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4877);
// compiled call node returning call4878 (depth = 8)
// Begin line 1482
  setline(1482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 1481
  setline(1481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4879 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe4880 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call4881 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4880);
// compiled call node returning call4881 (depth = 12)
// compiled member node returning call4881 (depth = 11)
  partcv[0] = 0;
  Object call4882 = callmethod(call4881, "new",
    1, partcv, params);
  gc_frame_end(callframe4879);
// compiled call node returning call4882 (depth = 10)
// compiled member node returning call4882 (depth = 9)
  *var_suggestion = call4882;
  if (call4882 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 1482
  setline(1482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4884 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4885 == NULL) {
    strlit4885 = alloc_String(" { ""\xc2""""\xab""match expression""\xc2""""\xbb"" }");
    gc_root(strlit4885);
  }
// compiled string node returning strlit4885 (depth = 9)
  gc_frame_newslot(strlit4885);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4885;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4886 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4884);
// compiled call node returning call4886 (depth = 8)
// Begin line 1483
  setline(1483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4887 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4888 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4887);
// compiled call node returning call4888 (depth = 8)
    gc_frame_newslot(call4888);
    if4870 = call4888;
  } else {
// Begin line 1485
  setline(1485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4889 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4890 == NULL) {
    strlit4890 = alloc_String(" }");
    gc_root(strlit4890);
  }
// compiled string node returning strlit4890 (depth = 9)
  gc_frame_newslot(strlit4890);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4891 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  partcv[0] = 0;
  Object call4892 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4891);
// compiled call node returning call4892 (depth = 10)
// compiled member node returning call4892 (depth = 9)
  gc_frame_newslot(call4892);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4890;
  params[1] = call4892;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4893 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4889);
// compiled call node returning call4893 (depth = 8)
// Begin line 1486
  setline(1486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4894 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4895 == NULL) {
    strlit4895 = alloc_String(" {");
    gc_root(strlit4895);
  }
// compiled string node returning strlit4895 (depth = 9)
  gc_frame_newslot(strlit4895);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4895;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4896 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4894);
// compiled call node returning call4896 (depth = 8)
// Begin line 1487
  setline(1487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4897 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4898 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4897);
// compiled call node returning call4898 (depth = 8)
    gc_frame_newslot(call4898);
    if4870 = call4898;
  }
// compiled if node returning if4870 (depth = 7)
    gc_frame_newslot(if4870);
    if4855 = if4870;
  }
// compiled if node returning if4855 (depth = 6)
// Begin line 1489
  setline(1489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4899 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4900 == NULL) {
    strlit4900 = alloc_String("A match statement must have either a matching block or an expression in parentheses after the 'case'.");
    gc_root(strlit4900);
  }
// compiled string node returning strlit4900 (depth = 7)
  gc_frame_newslot(strlit4900);
// Begin line 1490
  setline(1490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4901 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call4902 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4901);
// compiled call node returning call4902 (depth = 8)
// compiled member node returning call4902 (depth = 7)
  gc_frame_newslot(call4902);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4903 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call4904 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4903);
// compiled call node returning call4904 (depth = 8)
// compiled member node returning call4904 (depth = 7)
  gc_frame_newslot(call4904);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 1489
  setline(1489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit4900;
  params[1] = call4902;
  params[2] = call4904;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4905 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe4899);
// compiled call node returning call4905 (depth = 6)
    gc_frame_newslot(call4905);
    if4774 = call4905;
  }
// compiled if node returning if4774 (depth = 5)
    gc_frame_newslot(if4774);
    if4768 = if4774;
  }
// compiled if node returning if4768 (depth = 4)
// Begin line 1492
  setline(1492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4906 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4907 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  partcv[0] = 0;
  Object call4908 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe4907);
// compiled call node returning call4908 (depth = 6)
// compiled member node returning call4908 (depth = 5)
  gc_frame_newslot(call4908);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cases (depth = 5)
  params[0] = call4908;
  partcv[0] = 1;
  Object call4909 = callmethod(*var_cases, "push",
    1, partcv, params);
  gc_frame_end(callframe4906);
// compiled call node returning call4909 (depth = 4)
  gc_frame_end(frame);
  return call4909;
}
Object meth_parser_matchcase4552(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 31, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "matchcase");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_tokens = getfromclosure(closure, 6);
  Object *var_ast = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for matchcase (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for matchcase");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_localmin = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "localmin");
  Object *var_matchTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "matchTok");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_matchee = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "matchee");
  Object *var_cases = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "cases");
  Object *var_elsecase = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "elsecase");
// Begin line 1399
  setline(1399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1396
  setline(1396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4554 = gc_frame_new();
// call case 6: other member request
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4557 == NULL) {
    strlit4557 = alloc_String("match");
    gc_root(strlit4557);
  }
// compiled string node returning strlit4557 (depth = 6)
  int op_slot_right_4556 = gc_frame_newslot(strlit4557);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4559 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call4560 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4559);
// compiled call node returning call4560 (depth = 7)
// compiled member node returning call4560 (depth = 6)
  int op_slot_left_4556 = gc_frame_newslot(call4560);
  params[0] = strlit4557;
  partcv[0] = 1;
  Object opresult4561 = callmethod(call4560, "==", 1, partcv, params);
// compiled op node returning opresult4561 (depth = 5)
  int op_slot_right_4555 = gc_frame_newslot(opresult4561);
// starting to compile call node (depth = 5)
  int callframe4563 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4564 == NULL) {
    strlit4564 = alloc_String("identifier");
    gc_root(strlit4564);
  }
// compiled string node returning strlit4564 (depth = 6)
  gc_frame_newslot(strlit4564);
// call case 4: self request
  params[0] = strlit4564;
  partcv[0] = 1;
  Object call4565 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4563);
// compiled call node returning call4565 (depth = 5)
  int op_slot_left_4555 = gc_frame_newslot(call4565);
  params[0] = opresult4561;
  partcv[0] = 1;
  Object opresult4566 = callmethod(call4565, "&&", 1, partcv, params);
// compiled op node returning opresult4566 (depth = 4)
  partcv[0] = 0;
  Object call4567 = callmethod(opresult4566, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe4554);
// compiled call node returning call4567 (depth = 3)
  Object if4553 = done;
  if (istrue(call4567)) {
// Begin line 1398
  setline(1398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 1397
  setline(1397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num4568 = alloc_Float64(0);
// compiled num node returning num4568 (depth = 4)
  return num4568;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if4553 = undefined;
  } else {
  }
// compiled if node returning if4553 (depth = 2)
// Begin line 1400
  setline(1400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1399
  setline(1399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_minIndentLevel (depth = 3)
  *var_localmin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1401
  setline(1401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1400
  setline(1400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_matchTok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1401
  setline(1401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4569 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4570 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4569);
// compiled call node returning call4570 (depth = 3)
// compiled member node returning call4570 (depth = 2)
// Begin line 1422
  setline(1422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1402
  setline(1402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit4573 == NULL) {
    strlit4573 = alloc_String("lparen");
    gc_root(strlit4573);
  }
// compiled string node returning strlit4573 (depth = 4)
  int op_slot_right_4572 = gc_frame_newslot(strlit4573);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4575 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call4576 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4575);
// compiled call node returning call4576 (depth = 5)
// compiled member node returning call4576 (depth = 4)
  int op_slot_left_4572 = gc_frame_newslot(call4576);
  params[0] = strlit4573;
  partcv[0] = 1;
  Object opresult4577 = callmethod(call4576, "!=", 1, partcv, params);
// compiled op node returning opresult4577 (depth = 3)
  Object if4571 = done;
  if (istrue(opresult4577)) {
// Begin line 1405
  setline(1405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 1403
  setline(1403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4578 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4579 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  partcv[0] = 0;
  Object call4580 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4579);
// compiled call node returning call4580 (depth = 7)
// compiled member node returning call4580 (depth = 6)
  partcv[0] = 0;
  Object call4581 = callmethod(call4580, "new",
    1, partcv, params);
  gc_frame_end(callframe4578);
// compiled call node returning call4581 (depth = 5)
// compiled member node returning call4581 (depth = 4)
  *var_suggestion = call4581;
  if (call4581 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 1405
  setline(1405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4582 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block4583 = alloc_Block(NULL, NULL, "parser", 1405);
  gc_frame_newslot(block4583);
// method _apply
  block_savedest(block4583);
  Object closure4584 = createclosure(2, "_apply");
  setclosureframe(closure4584, stackframe);
  addtoclosure(closure4584, var_matchTok);
  addtoclosure(closure4584, selfslot);
  struct UserObject *uo4584 = (struct UserObject*)block4583;
  uo4584->data[0] = (Object)closure4584;
  Method *meth_meth_parser__apply4584 = addmethod2pos(block4583, "_apply", &meth_parser__apply4584, 0);
  int argcv_meth_parser__apply4584[] = {1};
  meth_meth_parser__apply4584->type = alloc_MethodType(1, argcv_meth_parser__apply4584);
  meth_meth_parser__apply4584->definitionModule = modulename;
  meth_meth_parser__apply4584->definitionLine = 1403;
// compiled block node returning block4583 (depth = 5)
  gc_frame_newslot(block4583);
// call case 4: self request
  params[0] = block4583;
  partcv[0] = 1;
  Object call4620 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4582);
// compiled call node returning call4620 (depth = 4)
  *var_nextTok = call4620;
  if (call4620 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 1419
  setline(1419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1407
  setline(1407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool4623 = alloc_Boolean(0);
// compiled identifier node returning bool4623 (depth = 5)
  int op_slot_right_4622 = gc_frame_newslot(bool4623);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nextTok (depth = 5)
  int op_slot_left_4622 = gc_frame_newslot(*var_nextTok);
  params[0] = bool4623;
  partcv[0] = 1;
  Object opresult4625 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult4625 (depth = 4)
  Object if4621 = done;
  if (istrue(opresult4625)) {
// Begin line 1408
  setline(1408);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4626 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4627 == NULL) {
    strlit4627 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit4627);
  }
// compiled string node returning strlit4627 (depth = 5)
  gc_frame_newslot(strlit4627);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_matchTok (depth = 5)
  gc_frame_newslot(*var_matchTok);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit4627;
  params[1] = *var_matchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4628 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4626);
// compiled call node returning call4628 (depth = 4)
    gc_frame_newslot(call4628);
    if4621 = call4628;
  } else {
// Begin line 1415
  setline(1415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1409
  setline(1409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4631 == NULL) {
    strlit4631 = alloc_String("rparen");
    gc_root(strlit4631);
  }
// compiled string node returning strlit4631 (depth = 6)
  int op_slot_right_4630 = gc_frame_newslot(strlit4631);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4633 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  partcv[0] = 0;
  Object call4634 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe4633);
// compiled call node returning call4634 (depth = 7)
// compiled member node returning call4634 (depth = 6)
  int op_slot_left_4630 = gc_frame_newslot(call4634);
  params[0] = strlit4631;
  partcv[0] = 1;
  Object opresult4635 = callmethod(call4634, "==", 1, partcv, params);
// compiled op node returning opresult4635 (depth = 5)
  Object if4629 = done;
  if (istrue(opresult4635)) {
// Begin line 1415
  setline(1415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1410
  setline(1410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_4637 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_4637 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4639 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult4639 (depth = 6)
  Object if4636 = done;
  if (istrue(opresult4639)) {
// Begin line 1411
  setline(1411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4640 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4641 == NULL) {
    strlit4641 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4641);
  }
// compiled string node returning strlit4641 (depth = 7)
  gc_frame_newslot(strlit4641);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit4641;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4642 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe4640);
// compiled call node returning call4642 (depth = 6)
    gc_frame_newslot(call4642);
    if4636 = call4642;
  } else {
// Begin line 1413
  setline(1413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4643 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4644 == NULL) {
    strlit4644 = alloc_String("(");
    gc_root(strlit4644);
  }
// compiled string node returning strlit4644 (depth = 7)
  gc_frame_newslot(strlit4644);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit4644;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4645 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe4643);
// compiled call node returning call4645 (depth = 6)
    gc_frame_newslot(call4645);
    if4636 = call4645;
  }
// compiled if node returning if4636 (depth = 5)
    gc_frame_newslot(if4636);
    if4629 = if4636;
  } else {
// Begin line 1419
  setline(1419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1415
  setline(1415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4648 == NULL) {
    strlit4648 = alloc_String("identifier");
    gc_root(strlit4648);
  }
// compiled string node returning strlit4648 (depth = 7)
  int op_slot_right_4647 = gc_frame_newslot(strlit4648);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4650 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  partcv[0] = 0;
  Object call4651 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe4650);
// compiled call node returning call4651 (depth = 8)
// compiled member node returning call4651 (depth = 7)
  int op_slot_left_4647 = gc_frame_newslot(call4651);
  params[0] = strlit4648;
  partcv[0] = 1;
  Object opresult4652 = callmethod(call4651, "==", 1, partcv, params);
// compiled op node returning opresult4652 (depth = 6)
  Object if4646 = done;
  if (istrue(opresult4652)) {
// Begin line 1416
  setline(1416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4653 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4654 == NULL) {
    strlit4654 = alloc_String("(");
    gc_root(strlit4654);
  }
// compiled string node returning strlit4654 (depth = 7)
  gc_frame_newslot(strlit4654);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit4654;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4655 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe4653);
// compiled call node returning call4655 (depth = 6)
// Begin line 1417
  setline(1417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4656 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4657 == NULL) {
    strlit4657 = alloc_String(")");
    gc_root(strlit4657);
  }
// compiled string node returning strlit4657 (depth = 7)
  gc_frame_newslot(strlit4657);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4658 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  partcv[0] = 0;
  Object call4659 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4658);
// compiled call node returning call4659 (depth = 8)
// compiled member node returning call4659 (depth = 7)
  gc_frame_newslot(call4659);
// starting to compile identifier node (depth = 7)
  Object bool4660 = alloc_Boolean(1);
// compiled identifier node returning bool4660 (depth = 7)
  gc_frame_newslot(bool4660);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit4657;
  params[1] = call4659;
  params[2] = bool4660;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4661 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe4656);
// compiled call node returning call4661 (depth = 6)
    gc_frame_newslot(call4661);
    if4646 = call4661;
  } else {
  }
// compiled if node returning if4646 (depth = 5)
    gc_frame_newslot(if4646);
    if4629 = if4646;
  }
// compiled if node returning if4629 (depth = 4)
    gc_frame_newslot(if4629);
    if4621 = if4629;
  }
// compiled if node returning if4621 (depth = 3)
// Begin line 1419
  setline(1419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4662 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4663 == NULL) {
    strlit4663 = alloc_String("A match statement must have an expression in parentheses after the 'match'.");
    gc_root(strlit4663);
  }
// compiled string node returning strlit4663 (depth = 4)
  gc_frame_newslot(strlit4663);
// Begin line 1420
  setline(1420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4664 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_matchTok (depth = 6)
  partcv[0] = 0;
  Object call4665 = callmethod(*var_matchTok, "line",
    1, partcv, params);
  gc_frame_end(callframe4664);
// compiled call node returning call4665 (depth = 5)
// compiled member node returning call4665 (depth = 4)
  gc_frame_newslot(call4665);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4667 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_matchTok (depth = 7)
  partcv[0] = 0;
  Object call4668 = callmethod(*var_matchTok, "size",
    1, partcv, params);
  gc_frame_end(callframe4667);
// compiled call node returning call4668 (depth = 6)
// compiled member node returning call4668 (depth = 5)
  int op_slot_right_4666 = gc_frame_newslot(call4668);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4670 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_matchTok (depth = 7)
  partcv[0] = 0;
  Object call4671 = callmethod(*var_matchTok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4670);
// compiled call node returning call4671 (depth = 6)
// compiled member node returning call4671 (depth = 5)
  int op_slot_left_4666 = gc_frame_newslot(call4671);
  params[0] = call4668;
  partcv[0] = 1;
  Object sum4672 = callmethod(call4671, "+", 1, partcv, params);
// compiled op node returning sum4672 (depth = 4)
  gc_frame_newslot(sum4672);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1419
  setline(1419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit4663;
  params[1] = call4665;
  params[2] = sum4672;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4673 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4662);
// compiled call node returning call4673 (depth = 3)
    gc_frame_newslot(call4673);
    if4571 = call4673;
  } else {
  }
// compiled if node returning if4571 (depth = 2)
// Begin line 1422
  setline(1422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4674 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4675 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4674);
// compiled call node returning call4675 (depth = 3)
// compiled member node returning call4675 (depth = 2)
// Begin line 1434
  setline(1434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1423
  setline(1423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4677 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe4678 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block4679 = alloc_Block(NULL, NULL, "parser", 1423);
  gc_frame_newslot(block4679);
// method _apply
  block_savedest(block4679);
  Object closure4680 = createclosure(2, "_apply");
  setclosureframe(closure4680, stackframe);
  addtoclosure(closure4680, var_blocksOK);
  addtoclosure(closure4680, selfslot);
  struct UserObject *uo4680 = (struct UserObject*)block4679;
  uo4680->data[0] = (Object)closure4680;
  Method *meth_meth_parser__apply4680 = addmethod2pos(block4679, "_apply", &meth_parser__apply4680, 0);
  int argcv_meth_parser__apply4680[] = {0};
  meth_meth_parser__apply4680->type = alloc_MethodType(1, argcv_meth_parser__apply4680);
  meth_meth_parser__apply4680->definitionModule = modulename;
  meth_meth_parser__apply4680->definitionLine = 1423;
// compiled block node returning block4679 (depth = 6)
  gc_frame_newslot(block4679);
// call case 4: self request
  params[0] = block4679;
  partcv[0] = 1;
  Object call4684 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4678);
// compiled call node returning call4684 (depth = 5)
  partcv[0] = 0;
  Object call4685 = callmethod(call4684, "not",
    1, partcv, params);
  gc_frame_end(callframe4677);
// compiled call node returning call4685 (depth = 4)
// compiled member node returning call4685 (depth = 3)
  Object if4676 = done;
  if (istrue(call4685)) {
// Begin line 1425
  setline(1425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 1424
  setline(1424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4686 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4687 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  partcv[0] = 0;
  Object call4688 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4687);
// compiled call node returning call4688 (depth = 7)
// compiled member node returning call4688 (depth = 6)
  partcv[0] = 0;
  Object call4689 = callmethod(call4688, "new",
    1, partcv, params);
  gc_frame_end(callframe4686);
// compiled call node returning call4689 (depth = 5)
// compiled member node returning call4689 (depth = 4)
  *var_suggestion = call4689;
  if (call4689 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 1425
  setline(1425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4690 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4691 == NULL) {
    strlit4691 = alloc_String("rparen");
    gc_root(strlit4691);
  }
// compiled string node returning strlit4691 (depth = 5)
  gc_frame_newslot(strlit4691);
// call case 4: self request
  params[0] = strlit4691;
  partcv[0] = 1;
  Object call4692 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4690);
// compiled call node returning call4692 (depth = 4)
  *var_nextTok = call4692;
  if (call4692 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 1431
  setline(1431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1426
  setline(1426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  int op_slot_right_4694 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nextTok (depth = 5)
  int op_slot_left_4694 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4696 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult4696 (depth = 4)
  Object if4693 = done;
  if (istrue(opresult4696)) {
// Begin line 1427
  setline(1427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4697 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4698 == NULL) {
    strlit4698 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4698);
  }
// compiled string node returning strlit4698 (depth = 5)
  gc_frame_newslot(strlit4698);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit4698;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4699 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4697);
// compiled call node returning call4699 (depth = 4)
    gc_frame_newslot(call4699);
    if4693 = call4699;
  } else {
// Begin line 1429
  setline(1429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4700 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4701 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  partcv[0] = 0;
  Object call4702 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4701);
// compiled call node returning call4702 (depth = 6)
// compiled member node returning call4702 (depth = 5)
  gc_frame_newslot(call4702);
// starting to compile identifier node (depth = 5)
  Object bool4703 = alloc_Boolean(1);
// compiled identifier node returning bool4703 (depth = 5)
  gc_frame_newslot(bool4703);
// starting to compile identifier node (depth = 5)
  Object bool4704 = alloc_Boolean(0);
// compiled identifier node returning bool4704 (depth = 5)
  gc_frame_newslot(bool4704);
// starting to compile string node (depth = 5)
  if (strlit4705 == NULL) {
    strlit4705 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4705);
  }
// compiled string node returning strlit4705 (depth = 5)
  gc_frame_newslot(strlit4705);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = *var_sym;
  params[1] = call4702;
  params[2] = bool4703;
  params[3] = bool4704;
  params[4] = strlit4705;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4706 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe4700);
// compiled call node returning call4706 (depth = 4)
    gc_frame_newslot(call4706);
    if4693 = call4706;
  }
// compiled if node returning if4693 (depth = 3)
// Begin line 1431
  setline(1431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4707 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4708 == NULL) {
    strlit4708 = alloc_String("A match statement must have an expression in parentheses after the 'match'.");
    gc_root(strlit4708);
  }
// compiled string node returning strlit4708 (depth = 4)
  gc_frame_newslot(strlit4708);
// Begin line 1432
  setline(1432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4709 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call4710 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4709);
// compiled call node returning call4710 (depth = 5)
// compiled member node returning call4710 (depth = 4)
  gc_frame_newslot(call4710);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4711 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call4712 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4711);
// compiled call node returning call4712 (depth = 5)
// compiled member node returning call4712 (depth = 4)
  gc_frame_newslot(call4712);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1431
  setline(1431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit4708;
  params[1] = call4710;
  params[2] = call4712;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4713 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4707);
// compiled call node returning call4713 (depth = 3)
    gc_frame_newslot(call4713);
    if4676 = call4713;
  } else {
  }
// compiled if node returning if4676 (depth = 2)
// Begin line 1435
  setline(1435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1434
  setline(1434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4714 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  partcv[0] = 0;
  Object call4715 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe4714);
// compiled call node returning call4715 (depth = 4)
// compiled member node returning call4715 (depth = 3)
  *var_matchee = call4715;
  if (call4715 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1442
  setline(1442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1435
  setline(1435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit4718 == NULL) {
    strlit4718 = alloc_String("rparen");
    gc_root(strlit4718);
  }
// compiled string node returning strlit4718 (depth = 4)
  int op_slot_right_4717 = gc_frame_newslot(strlit4718);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4720 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call4721 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4720);
// compiled call node returning call4721 (depth = 5)
// compiled member node returning call4721 (depth = 4)
  int op_slot_left_4717 = gc_frame_newslot(call4721);
  params[0] = strlit4718;
  partcv[0] = 1;
  Object opresult4722 = callmethod(call4721, "!=", 1, partcv, params);
// compiled op node returning opresult4722 (depth = 3)
  Object if4716 = done;
  if (istrue(opresult4722)) {
// Begin line 1436
  setline(1436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4723 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4724 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4723);
// compiled call node returning call4724 (depth = 4)
// compiled member node returning call4724 (depth = 3)
// Begin line 1438
  setline(1438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 1437
  setline(1437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4725 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4726 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  partcv[0] = 0;
  Object call4727 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4726);
// compiled call node returning call4727 (depth = 7)
// compiled member node returning call4727 (depth = 6)
  partcv[0] = 0;
  Object call4728 = callmethod(call4727, "new",
    1, partcv, params);
  gc_frame_end(callframe4725);
// compiled call node returning call4728 (depth = 5)
// compiled member node returning call4728 (depth = 4)
  *var_suggestion = call4728;
  if (call4728 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 1438
  setline(1438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4729 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4730 == NULL) {
    strlit4730 = alloc_String(")");
    gc_root(strlit4730);
  }
// compiled string node returning strlit4730 (depth = 4)
  gc_frame_newslot(strlit4730);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lastToken (depth = 4)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = strlit4730;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4731 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4729);
// compiled call node returning call4731 (depth = 3)
// Begin line 1439
  setline(1439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4732 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4733 == NULL) {
    strlit4733 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4733);
  }
// compiled string node returning strlit4733 (depth = 4)
  gc_frame_newslot(strlit4733);
// Begin line 1440
  setline(1440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4734 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  partcv[0] = 0;
  Object call4735 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe4734);
// compiled call node returning call4735 (depth = 5)
// compiled member node returning call4735 (depth = 4)
  gc_frame_newslot(call4735);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4737 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call4738 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe4737);
// compiled call node returning call4738 (depth = 6)
// compiled member node returning call4738 (depth = 5)
  int op_slot_right_4736 = gc_frame_newslot(call4738);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4740 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call4741 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4740);
// compiled call node returning call4741 (depth = 6)
// compiled member node returning call4741 (depth = 5)
  int op_slot_left_4736 = gc_frame_newslot(call4741);
  params[0] = call4738;
  partcv[0] = 1;
  Object sum4742 = callmethod(call4741, "+", 1, partcv, params);
// compiled op node returning sum4742 (depth = 4)
  gc_frame_newslot(sum4742);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1439
  setline(1439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit4733;
  params[1] = call4735;
  params[2] = sum4742;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4743 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4732);
// compiled call node returning call4743 (depth = 3)
    gc_frame_newslot(call4743);
    if4716 = call4743;
  } else {
  }
// compiled if node returning if4716 (depth = 2)
// Begin line 1442
  setline(1442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4744 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4745 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4744);
// compiled call node returning call4745 (depth = 3)
// compiled member node returning call4745 (depth = 2)
// Begin line 1444
  setline(1444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1443
  setline(1443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array4746 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array4746 (depth = 3)
  *var_cases = array4746;
  if (array4746 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1445
  setline(1445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1444
  setline(1444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4747 = alloc_Boolean(0);
// compiled identifier node returning bool4747 (depth = 3)
  *var_elsecase = bool4747;
  if (bool4747 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1445
  setline(1445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4748 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block4749 = alloc_Block(NULL, NULL, "parser", 1445);
  gc_frame_newslot(block4749);
// method _apply
  block_savedest(block4749);
  Object closure4750 = createclosure(2, "_apply");
  setclosureframe(closure4750, stackframe);
  addtoclosure(closure4750, var_sym);
  addtoclosure(closure4750, selfslot);
  struct UserObject *uo4750 = (struct UserObject*)block4749;
  uo4750->data[0] = (Object)closure4750;
  Method *meth_meth_parser__apply4750 = addmethod2pos(block4749, "_apply", &meth_parser__apply4750, 0);
  int argcv_meth_parser__apply4750[] = {0};
  meth_meth_parser__apply4750->type = alloc_MethodType(1, argcv_meth_parser__apply4750);
  meth_meth_parser__apply4750->definitionModule = modulename;
  meth_meth_parser__apply4750->definitionLine = 1442;
// compiled block node returning block4749 (depth = 3)
  gc_frame_newslot(block4749);
// starting to compile block node (depth = 3)
  Object block4764 = alloc_Block(NULL, NULL, "parser", 1445);
  gc_frame_newslot(block4764);
// method _apply
  block_savedest(block4764);
  Object closure4765 = createclosure(8, "_apply");
  setclosureframe(closure4765, stackframe);
  addtoclosure(closure4765, var_blocksOK);
  addtoclosure(closure4765, var_errormessages);
  addtoclosure(closure4765, var_sym);
  addtoclosure(closure4765, var_lastToken);
  addtoclosure(closure4765, var_tokens);
  addtoclosure(closure4765, var_values);
  addtoclosure(closure4765, var_cases);
  addtoclosure(closure4765, selfslot);
  struct UserObject *uo4765 = (struct UserObject*)block4764;
  uo4765->data[0] = (Object)closure4765;
  Method *meth_meth_parser__apply4765 = addmethod2pos(block4764, "_apply", &meth_parser__apply4765, 0);
  int argcv_meth_parser__apply4765[] = {0};
  meth_meth_parser__apply4765->type = alloc_MethodType(1, argcv_meth_parser__apply4765);
  meth_meth_parser__apply4765->definitionModule = modulename;
  meth_meth_parser__apply4765->definitionLine = 1445;
// compiled block node returning block4764 (depth = 3)
  gc_frame_newslot(block4764);
// call case 5: prelude request
  params[0] = block4749;
  params[1] = block4764;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4911 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4748);
// compiled call node returning call4911 (depth = 2)
// Begin line 1543
  setline(1543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4912 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe4913 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_matchee (depth = 4)
  gc_frame_newslot(*var_matchee);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cases (depth = 4)
  gc_frame_newslot(*var_cases);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_elsecase (depth = 4)
  gc_frame_newslot(*var_elsecase);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4914 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  partcv[0] = 0;
  Object call4915 = callmethod(*var_ast, "matchCaseNode",
    1, partcv, params);
  gc_frame_end(callframe4914);
// compiled call node returning call4915 (depth = 5)
// compiled member node returning call4915 (depth = 4)
  params[0] = *var_matchee;
  params[1] = *var_cases;
  params[2] = *var_elsecase;
  partcv[0] = 3;
  Object call4916 = callmethod(call4915, "new",
    1, partcv, params);
  gc_frame_end(callframe4913);
// compiled call node returning call4916 (depth = 3)
  gc_frame_newslot(call4916);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  params[0] = call4916;
  partcv[0] = 1;
  Object call4917 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe4912);
// compiled call node returning call4917 (depth = 2)
// Begin line 1545
  setline(1545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 1544
  setline(1544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_localmin (depth = 3)
  *var_minIndentLevel = *var_localmin;
  if (*var_localmin == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 2)
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply5013(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit5015 == NULL) {
    strlit5015 = alloc_String("type");
    gc_root(strlit5015);
  }
// compiled string node returning strlit5015 (depth = 14)
  int op_slot_right_5014 = gc_frame_newslot(strlit5015);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe5017 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_sym (depth = 16)
  partcv[0] = 0;
  Object call5018 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe5017);
// compiled call node returning call5018 (depth = 15)
// compiled member node returning call5018 (depth = 14)
  int op_slot_left_5014 = gc_frame_newslot(call5018);
  params[0] = strlit5015;
  partcv[0] = 1;
  Object opresult5019 = callmethod(call5018, "==", 1, partcv, params);
// compiled op node returning opresult5019 (depth = 13)
  gc_frame_end(frame);
  return opresult5019;
}
Object meth_parser_term4919(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 32, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "term");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for term (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for term");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1549
  setline(1549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4920 = gc_frame_new();
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4921 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  partcv[0] = 0;
  Object call4922 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4921);
// compiled call node returning call4922 (depth = 4)
// compiled member node returning call4922 (depth = 3)
  gc_frame_newslot(call4922);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4923 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  partcv[0] = 0;
  Object call4924 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4923);
// compiled call node returning call4924 (depth = 4)
// compiled member node returning call4924 (depth = 3)
  gc_frame_newslot(call4924);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = call4922;
  params[1] = call4924;
  partcv[0] = 2;
  Object call4925 = callmethod(*var_util, "setPosition",
    1, partcv, params);
  gc_frame_end(callframe4920);
// compiled call node returning call4925 (depth = 2)
// Begin line 1576
  setline(1576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1550
  setline(1550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4927 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4928 == NULL) {
    strlit4928 = alloc_String("num");
    gc_root(strlit4928);
  }
// compiled string node returning strlit4928 (depth = 4)
  gc_frame_newslot(strlit4928);
// call case 4: self request
  params[0] = strlit4928;
  partcv[0] = 1;
  Object call4929 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4927);
// compiled call node returning call4929 (depth = 3)
  Object if4926 = done;
  if (istrue(call4929)) {
// Begin line 1551
  setline(1551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4930 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4931 = callmethodflags(self, "pushnum", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4930);
// compiled call node returning call4931 (depth = 4)
// compiled member node returning call4931 (depth = 3)
    gc_frame_newslot(call4931);
    if4926 = call4931;
  } else {
// Begin line 1554
  setline(1554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1552
  setline(1552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4933 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4934 == NULL) {
    strlit4934 = alloc_String("string");
    gc_root(strlit4934);
  }
// compiled string node returning strlit4934 (depth = 5)
  gc_frame_newslot(strlit4934);
// call case 4: self request
  params[0] = strlit4934;
  partcv[0] = 1;
  Object call4935 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4933);
// compiled call node returning call4935 (depth = 4)
  Object if4932 = done;
  if (istrue(call4935)) {
// Begin line 1553
  setline(1553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4936 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4937 = callmethodflags(self, "pushstring", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4936);
// compiled call node returning call4937 (depth = 5)
// compiled member node returning call4937 (depth = 4)
    gc_frame_newslot(call4937);
    if4932 = call4937;
  } else {
// Begin line 1556
  setline(1556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1554
  setline(1554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4939 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4940 == NULL) {
    strlit4940 = alloc_String("octets");
    gc_root(strlit4940);
  }
// compiled string node returning strlit4940 (depth = 6)
  gc_frame_newslot(strlit4940);
// call case 4: self request
  params[0] = strlit4940;
  partcv[0] = 1;
  Object call4941 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4939);
// compiled call node returning call4941 (depth = 5)
  Object if4938 = done;
  if (istrue(call4941)) {
// Begin line 1555
  setline(1555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4942 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4943 = callmethodflags(self, "pushoctets", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4942);
// compiled call node returning call4943 (depth = 6)
// compiled member node returning call4943 (depth = 5)
    gc_frame_newslot(call4943);
    if4938 = call4943;
  } else {
// Begin line 1558
  setline(1558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1556
  setline(1556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4947 == NULL) {
    strlit4947 = alloc_String("match");
    gc_root(strlit4947);
  }
// compiled string node returning strlit4947 (depth = 8)
  int op_slot_right_4946 = gc_frame_newslot(strlit4947);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4949 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call4950 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4949);
// compiled call node returning call4950 (depth = 9)
// compiled member node returning call4950 (depth = 8)
  int op_slot_left_4946 = gc_frame_newslot(call4950);
  params[0] = strlit4947;
  partcv[0] = 1;
  Object opresult4951 = callmethod(call4950, "==", 1, partcv, params);
// compiled op node returning opresult4951 (depth = 7)
  int op_slot_right_4945 = gc_frame_newslot(opresult4951);
// starting to compile call node (depth = 7)
  int callframe4953 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4954 == NULL) {
    strlit4954 = alloc_String("identifier");
    gc_root(strlit4954);
  }
// compiled string node returning strlit4954 (depth = 8)
  gc_frame_newslot(strlit4954);
// call case 4: self request
  params[0] = strlit4954;
  partcv[0] = 1;
  Object call4955 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4953);
// compiled call node returning call4955 (depth = 7)
  int op_slot_left_4945 = gc_frame_newslot(call4955);
  params[0] = opresult4951;
  partcv[0] = 1;
  Object opresult4956 = callmethod(call4955, "&&", 1, partcv, params);
// compiled op node returning opresult4956 (depth = 6)
  Object if4944 = done;
  if (istrue(opresult4956)) {
// Begin line 1557
  setline(1557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4957 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4958 = callmethodflags(self, "matchcase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4957);
// compiled call node returning call4958 (depth = 7)
// compiled member node returning call4958 (depth = 6)
    gc_frame_newslot(call4958);
    if4944 = call4958;
  } else {
// Begin line 1560
  setline(1560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1558
  setline(1558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4962 == NULL) {
    strlit4962 = alloc_String("catch");
    gc_root(strlit4962);
  }
// compiled string node returning strlit4962 (depth = 9)
  int op_slot_right_4961 = gc_frame_newslot(strlit4962);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4964 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call4965 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4964);
// compiled call node returning call4965 (depth = 10)
// compiled member node returning call4965 (depth = 9)
  int op_slot_left_4961 = gc_frame_newslot(call4965);
  params[0] = strlit4962;
  partcv[0] = 1;
  Object opresult4966 = callmethod(call4965, "==", 1, partcv, params);
// compiled op node returning opresult4966 (depth = 8)
  int op_slot_right_4960 = gc_frame_newslot(opresult4966);
// starting to compile call node (depth = 8)
  int callframe4968 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4969 == NULL) {
    strlit4969 = alloc_String("identifier");
    gc_root(strlit4969);
  }
// compiled string node returning strlit4969 (depth = 9)
  gc_frame_newslot(strlit4969);
// call case 4: self request
  params[0] = strlit4969;
  partcv[0] = 1;
  Object call4970 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4968);
// compiled call node returning call4970 (depth = 8)
  int op_slot_left_4960 = gc_frame_newslot(call4970);
  params[0] = opresult4966;
  partcv[0] = 1;
  Object opresult4971 = callmethod(call4970, "&&", 1, partcv, params);
// compiled op node returning opresult4971 (depth = 7)
  Object if4959 = done;
  if (istrue(opresult4971)) {
// Begin line 1559
  setline(1559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4972 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4973 = callmethodflags(self, "catchcase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4972);
// compiled call node returning call4973 (depth = 8)
// compiled member node returning call4973 (depth = 7)
    gc_frame_newslot(call4973);
    if4959 = call4973;
  } else {
// Begin line 1562
  setline(1562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1560
  setline(1560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit4977 == NULL) {
    strlit4977 = alloc_String("try");
    gc_root(strlit4977);
  }
// compiled string node returning strlit4977 (depth = 10)
  int op_slot_right_4976 = gc_frame_newslot(strlit4977);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4979 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call4980 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4979);
// compiled call node returning call4980 (depth = 11)
// compiled member node returning call4980 (depth = 10)
  int op_slot_left_4976 = gc_frame_newslot(call4980);
  params[0] = strlit4977;
  partcv[0] = 1;
  Object opresult4981 = callmethod(call4980, "==", 1, partcv, params);
// compiled op node returning opresult4981 (depth = 9)
  int op_slot_right_4975 = gc_frame_newslot(opresult4981);
// starting to compile call node (depth = 9)
  int callframe4983 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit4984 == NULL) {
    strlit4984 = alloc_String("identifier");
    gc_root(strlit4984);
  }
// compiled string node returning strlit4984 (depth = 10)
  gc_frame_newslot(strlit4984);
// call case 4: self request
  params[0] = strlit4984;
  partcv[0] = 1;
  Object call4985 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4983);
// compiled call node returning call4985 (depth = 9)
  int op_slot_left_4975 = gc_frame_newslot(call4985);
  params[0] = opresult4981;
  partcv[0] = 1;
  Object opresult4986 = callmethod(call4985, "&&", 1, partcv, params);
// compiled op node returning opresult4986 (depth = 8)
  Object if4974 = done;
  if (istrue(opresult4986)) {
// Begin line 1561
  setline(1561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4987 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4988 = callmethodflags(self, "trycatch", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4987);
// compiled call node returning call4988 (depth = 9)
// compiled member node returning call4988 (depth = 8)
    gc_frame_newslot(call4988);
    if4974 = call4988;
  } else {
// Begin line 1564
  setline(1564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 1562
  setline(1562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe4990 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit4991 == NULL) {
    strlit4991 = alloc_String("identifier");
    gc_root(strlit4991);
  }
// compiled string node returning strlit4991 (depth = 10)
  gc_frame_newslot(strlit4991);
// call case 4: self request
  params[0] = strlit4991;
  partcv[0] = 1;
  Object call4992 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4990);
// compiled call node returning call4992 (depth = 9)
  Object if4989 = done;
  if (istrue(call4992)) {
// Begin line 1563
  setline(1563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4993 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4994 = callmethodflags(self, "identifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4993);
// compiled call node returning call4994 (depth = 10)
// compiled member node returning call4994 (depth = 9)
    gc_frame_newslot(call4994);
    if4989 = call4994;
  } else {
// Begin line 1566
  setline(1566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 1564
  setline(1564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit4998 == NULL) {
    strlit4998 = alloc_String("object");
    gc_root(strlit4998);
  }
// compiled string node returning strlit4998 (depth = 12)
  int op_slot_right_4997 = gc_frame_newslot(strlit4998);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe5000 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_sym (depth = 14)
  partcv[0] = 0;
  Object call5001 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe5000);
// compiled call node returning call5001 (depth = 13)
// compiled member node returning call5001 (depth = 12)
  int op_slot_left_4997 = gc_frame_newslot(call5001);
  params[0] = strlit4998;
  partcv[0] = 1;
  Object opresult5002 = callmethod(call5001, "==", 1, partcv, params);
// compiled op node returning opresult5002 (depth = 11)
  int op_slot_right_4996 = gc_frame_newslot(opresult5002);
// starting to compile call node (depth = 11)
  int callframe5004 = gc_frame_new();
// starting to compile string node (depth = 12)
  if (strlit5005 == NULL) {
    strlit5005 = alloc_String("keyword");
    gc_root(strlit5005);
  }
// compiled string node returning strlit5005 (depth = 12)
  gc_frame_newslot(strlit5005);
// call case 4: self request
  params[0] = strlit5005;
  partcv[0] = 1;
  Object call5006 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5004);
// compiled call node returning call5006 (depth = 11)
  int op_slot_left_4996 = gc_frame_newslot(call5006);
  params[0] = opresult5002;
  partcv[0] = 1;
  Object opresult5007 = callmethod(call5006, "&&", 1, partcv, params);
// compiled op node returning opresult5007 (depth = 10)
  Object if4995 = done;
  if (istrue(opresult5007)) {
// Begin line 1565
  setline(1565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe5008 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5009 = callmethodflags(self, "doobject", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5008);
// compiled call node returning call5009 (depth = 11)
// compiled member node returning call5009 (depth = 10)
    gc_frame_newslot(call5009);
    if4995 = call5009;
  } else {
// Begin line 1568
  setline(1568);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 1566
  setline(1566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe5011 = gc_frame_new();
// starting to compile block node (depth = 12)
  Object block5012 = alloc_Block(NULL, NULL, "parser", 1566);
  gc_frame_newslot(block5012);
// method _apply
  block_savedest(block5012);
  Object closure5013 = createclosure(2, "_apply");
  setclosureframe(closure5013, stackframe);
  addtoclosure(closure5013, var_sym);
  addtoclosure(closure5013, selfslot);
  struct UserObject *uo5013 = (struct UserObject*)block5012;
  uo5013->data[0] = (Object)closure5013;
  Method *meth_meth_parser__apply5013 = addmethod2pos(block5012, "_apply", &meth_parser__apply5013, 0);
  int argcv_meth_parser__apply5013[] = {0};
  meth_meth_parser__apply5013->type = alloc_MethodType(1, argcv_meth_parser__apply5013);
  meth_meth_parser__apply5013->definitionModule = modulename;
  meth_meth_parser__apply5013->definitionLine = 1565;
// compiled block node returning block5012 (depth = 12)
  gc_frame_newslot(block5012);
// call case 6: other member request
// starting to compile call node (depth = 12)
  int callframe5021 = gc_frame_new();
// starting to compile string node (depth = 13)
  if (strlit5022 == NULL) {
    strlit5022 = alloc_String("keyword");
    gc_root(strlit5022);
  }
// compiled string node returning strlit5022 (depth = 13)
  gc_frame_newslot(strlit5022);
// call case 4: self request
  params[0] = strlit5022;
  partcv[0] = 1;
  Object call5023 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5021);
// compiled call node returning call5023 (depth = 12)
  params[0] = block5012;
  partcv[0] = 1;
  Object call5024 = callmethod(call5023, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe5011);
// compiled call node returning call5024 (depth = 11)
  Object if5010 = done;
  if (istrue(call5024)) {
// Begin line 1567
  setline(1567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe5025 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5026 = callmethodflags(self, "dotypeLiteral", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5025);
// compiled call node returning call5026 (depth = 12)
// compiled member node returning call5026 (depth = 11)
    gc_frame_newslot(call5026);
    if5010 = call5026;
  } else {
// Begin line 1570
  setline(1570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 1568
  setline(1568);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe5028 = gc_frame_new();
// starting to compile string node (depth = 13)
  if (strlit5029 == NULL) {
    strlit5029 = alloc_String("lbrace");
    gc_root(strlit5029);
  }
// compiled string node returning strlit5029 (depth = 13)
  gc_frame_newslot(strlit5029);
// call case 4: self request
  params[0] = strlit5029;
  partcv[0] = 1;
  Object call5030 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5028);
// compiled call node returning call5030 (depth = 12)
  Object if5027 = done;
  if (istrue(call5030)) {
// Begin line 1569
  setline(1569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe5031 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5032 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5031);
// compiled call node returning call5032 (depth = 13)
// compiled member node returning call5032 (depth = 12)
    gc_frame_newslot(call5032);
    if5027 = call5032;
  } else {
// Begin line 1572
  setline(1572);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// Begin line 1570
  setline(1570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe5034 = gc_frame_new();
// starting to compile string node (depth = 14)
  if (strlit5035 == NULL) {
    strlit5035 = alloc_String("lsquare");
    gc_root(strlit5035);
  }
// compiled string node returning strlit5035 (depth = 14)
  gc_frame_newslot(strlit5035);
// call case 4: self request
  params[0] = strlit5035;
  partcv[0] = 1;
  Object call5036 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5034);
// compiled call node returning call5036 (depth = 13)
  Object if5033 = done;
  if (istrue(call5036)) {
// Begin line 1571
  setline(1571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe5037 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5038 = callmethodflags(self, "doarray", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5037);
// compiled call node returning call5038 (depth = 14)
// compiled member node returning call5038 (depth = 13)
    gc_frame_newslot(call5038);
    if5033 = call5038;
  } else {
// Begin line 1576
  setline(1576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 13)
// Begin line 1572
  setline(1572);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 14)
  int callframe5040 = gc_frame_new();
// starting to compile string node (depth = 15)
  if (strlit5041 == NULL) {
    strlit5041 = alloc_String("op");
    gc_root(strlit5041);
  }
// compiled string node returning strlit5041 (depth = 15)
  gc_frame_newslot(strlit5041);
// call case 4: self request
  params[0] = strlit5041;
  partcv[0] = 1;
  Object call5042 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5040);
// compiled call node returning call5042 (depth = 14)
  Object if5039 = done;
  if (istrue(call5042)) {
// Begin line 1574
  setline(1574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe5043 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5044 = callmethodflags(self, "prefixop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5043);
// compiled call node returning call5044 (depth = 15)
// compiled member node returning call5044 (depth = 14)
    gc_frame_newslot(call5044);
    if5039 = call5044;
  } else {
  }
// compiled if node returning if5039 (depth = 13)
    gc_frame_newslot(if5039);
    if5033 = if5039;
  }
// compiled if node returning if5033 (depth = 12)
    gc_frame_newslot(if5033);
    if5027 = if5033;
  }
// compiled if node returning if5027 (depth = 11)
    gc_frame_newslot(if5027);
    if5010 = if5027;
  }
// compiled if node returning if5010 (depth = 10)
    gc_frame_newslot(if5010);
    if4995 = if5010;
  }
// compiled if node returning if4995 (depth = 9)
    gc_frame_newslot(if4995);
    if4989 = if4995;
  }
// compiled if node returning if4989 (depth = 8)
    gc_frame_newslot(if4989);
    if4974 = if4989;
  }
// compiled if node returning if4974 (depth = 7)
    gc_frame_newslot(if4974);
    if4959 = if4974;
  }
// compiled if node returning if4959 (depth = 6)
    gc_frame_newslot(if4959);
    if4944 = if4959;
  }
// compiled if node returning if4944 (depth = 5)
    gc_frame_newslot(if4944);
    if4938 = if4944;
  }
// compiled if node returning if4938 (depth = 4)
    gc_frame_newslot(if4938);
    if4932 = if4938;
  }
// compiled if node returning if4932 (depth = 3)
    gc_frame_newslot(if4932);
    if4926 = if4932;
  }
// compiled if node returning if4926 (depth = 2)
  gc_frame_end(frame);
  return if4926;
}
Object meth_parser__apply5071(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_acceptBlocks = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe5072 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_acceptBlocks (depth = 9)
  gc_frame_newslot(*var_acceptBlocks);
// call case 4: self request
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call5073 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5072);
// compiled call node returning call5073 (depth = 8)
  gc_frame_end(frame);
  return call5073;
}
Object meth_parser_expression5045(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 33, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "expression");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method expression");
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_statementToken = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for expression (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_acceptBlocks = &(stackframe->slots[0]);
  *var_acceptBlocks = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for expression");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sz = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "sz");
  Object *var_tmpStatementToken = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "tmpStatementToken");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_nextTok = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextTok");
// Begin line 1584
  setline(1584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1583
  setline(1583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5046 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  partcv[0] = 0;
  Object call5047 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe5046);
// compiled call node returning call5047 (depth = 4)
// compiled member node returning call5047 (depth = 3)
  *var_sz = call5047;
  if (call5047 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1584
  setline(1584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5048 = gc_frame_new();
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5049 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  partcv[0] = 0;
  Object call5050 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5049);
// compiled call node returning call5050 (depth = 4)
// compiled member node returning call5050 (depth = 3)
  gc_frame_newslot(call5050);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5051 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  partcv[0] = 0;
  Object call5052 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5051);
// compiled call node returning call5052 (depth = 4)
// compiled member node returning call5052 (depth = 3)
  gc_frame_newslot(call5052);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = call5050;
  params[1] = call5052;
  partcv[0] = 2;
  Object call5053 = callmethod(*var_util, "setPosition",
    1, partcv, params);
  gc_frame_end(callframe5048);
// compiled call node returning call5053 (depth = 2)
// Begin line 1613
  setline(1613);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1585
  setline(1585);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5055 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit5056 == NULL) {
    strlit5056 = alloc_String("lparen");
    gc_root(strlit5056);
  }
// compiled string node returning strlit5056 (depth = 4)
  gc_frame_newslot(strlit5056);
// call case 4: self request
  params[0] = strlit5056;
  partcv[0] = 1;
  Object call5057 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5055);
// compiled call node returning call5057 (depth = 3)
  Object if5054 = done;
  if (istrue(call5057)) {
// Begin line 1587
  setline(1587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 1586
  setline(1586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_statementToken (depth = 4)
  *var_tmpStatementToken = *var_statementToken;
  if (*var_statementToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 1588
  setline(1588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 1587
  setline(1587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 1588
  setline(1588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5059 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5060 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call5061 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5060);
// compiled call node returning call5061 (depth = 5)
// compiled member node returning call5061 (depth = 4)
  gc_frame_newslot(call5061);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5062 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call5063 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5062);
// compiled call node returning call5063 (depth = 5)
// compiled member node returning call5063 (depth = 4)
  gc_frame_newslot(call5063);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call5061;
  params[1] = call5063;
  partcv[0] = 2;
  Object call5064 = callmethod(*var_util, "setPosition",
    1, partcv, params);
  gc_frame_end(callframe5059);
// compiled call node returning call5064 (depth = 3)
// Begin line 1589
  setline(1589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5065 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5066 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5065);
// compiled call node returning call5066 (depth = 4)
// compiled member node returning call5066 (depth = 3)
// Begin line 1601
  setline(1601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1590
  setline(1590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5068 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 6)
  int callframe5069 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block5070 = alloc_Block(NULL, NULL, "parser", 1590);
  gc_frame_newslot(block5070);
// method _apply
  block_savedest(block5070);
  Object closure5071 = createclosure(2, "_apply");
  setclosureframe(closure5071, stackframe);
  addtoclosure(closure5071, var_acceptBlocks);
  addtoclosure(closure5071, selfslot);
  struct UserObject *uo5071 = (struct UserObject*)block5070;
  uo5071->data[0] = (Object)closure5071;
  Method *meth_meth_parser__apply5071 = addmethod2pos(block5070, "_apply", &meth_parser__apply5071, 0);
  int argcv_meth_parser__apply5071[] = {0};
  meth_meth_parser__apply5071->type = alloc_MethodType(1, argcv_meth_parser__apply5071);
  meth_meth_parser__apply5071->definitionModule = modulename;
  meth_meth_parser__apply5071->definitionLine = 1590;
// compiled block node returning block5070 (depth = 7)
  gc_frame_newslot(block5070);
// call case 4: self request
  params[0] = block5070;
  partcv[0] = 1;
  Object call5075 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5069);
// compiled call node returning call5075 (depth = 6)
  partcv[0] = 0;
  Object call5076 = callmethod(call5075, "not",
    1, partcv, params);
  gc_frame_end(callframe5068);
// compiled call node returning call5076 (depth = 5)
// compiled member node returning call5076 (depth = 4)
  Object if5067 = done;
  if (istrue(call5076)) {
// Begin line 1592
  setline(1592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1591
  setline(1591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5077 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5078 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call5079 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5078);
// compiled call node returning call5079 (depth = 8)
// compiled member node returning call5079 (depth = 7)
  partcv[0] = 0;
  Object call5080 = callmethod(call5079, "new",
    1, partcv, params);
  gc_frame_end(callframe5077);
// compiled call node returning call5080 (depth = 6)
// compiled member node returning call5080 (depth = 5)
  *var_suggestion = call5080;
  if (call5080 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1592
  setline(1592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5081 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5082 == NULL) {
    strlit5082 = alloc_String("rparen");
    gc_root(strlit5082);
  }
// compiled string node returning strlit5082 (depth = 6)
  gc_frame_newslot(strlit5082);
// call case 4: self request
  params[0] = strlit5082;
  partcv[0] = 1;
  Object call5083 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5081);
// compiled call node returning call5083 (depth = 5)
  *var_nextTok = call5083;
  if (call5083 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1598
  setline(1598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1593
  setline(1593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  int op_slot_right_5085 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_left_5085 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult5087 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult5087 (depth = 5)
  Object if5084 = done;
  if (istrue(opresult5087)) {
// Begin line 1594
  setline(1594);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5088 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5089 == NULL) {
    strlit5089 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit5089);
  }
// compiled string node returning strlit5089 (depth = 6)
  gc_frame_newslot(strlit5089);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit5089;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5090 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5088);
// compiled call node returning call5090 (depth = 5)
    gc_frame_newslot(call5090);
    if5084 = call5090;
  } else {
// Begin line 1596
  setline(1596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5091 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5092 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  partcv[0] = 0;
  Object call5093 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe5092);
// compiled call node returning call5093 (depth = 7)
// compiled member node returning call5093 (depth = 6)
  gc_frame_newslot(call5093);
// starting to compile identifier node (depth = 6)
  Object bool5094 = alloc_Boolean(1);
// compiled identifier node returning bool5094 (depth = 6)
  gc_frame_newslot(bool5094);
// starting to compile identifier node (depth = 6)
  Object bool5095 = alloc_Boolean(0);
// compiled identifier node returning bool5095 (depth = 6)
  gc_frame_newslot(bool5095);
// starting to compile string node (depth = 6)
  if (strlit5096 == NULL) {
    strlit5096 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit5096);
  }
// compiled string node returning strlit5096 (depth = 6)
  gc_frame_newslot(strlit5096);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = call5093;
  params[2] = bool5094;
  params[3] = bool5095;
  params[4] = strlit5096;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call5097 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe5091);
// compiled call node returning call5097 (depth = 5)
    gc_frame_newslot(call5097);
    if5084 = call5097;
  }
// compiled if node returning if5084 (depth = 4)
// Begin line 1598
  setline(1598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5098 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit5099 == NULL) {
    strlit5099 = alloc_String("Parentheses must contain a valid expression.");
    gc_root(strlit5099);
  }
// compiled string node returning strlit5099 (depth = 5)
  gc_frame_newslot(strlit5099);
// Begin line 1599
  setline(1599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5100 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call5101 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5100);
// compiled call node returning call5101 (depth = 6)
// compiled member node returning call5101 (depth = 5)
  gc_frame_newslot(call5101);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5102 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call5103 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5102);
// compiled call node returning call5103 (depth = 6)
// compiled member node returning call5103 (depth = 5)
  gc_frame_newslot(call5103);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1598
  setline(1598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit5099;
  params[1] = call5101;
  params[2] = call5103;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5104 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe5098);
// compiled call node returning call5104 (depth = 4)
    gc_frame_newslot(call5104);
    if5067 = call5104;
  } else {
  }
// compiled if node returning if5067 (depth = 3)
// Begin line 1608
  setline(1608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1601
  setline(1601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5107 == NULL) {
    strlit5107 = alloc_String("rparen");
    gc_root(strlit5107);
  }
// compiled string node returning strlit5107 (depth = 5)
  int op_slot_right_5106 = gc_frame_newslot(strlit5107);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5109 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call5110 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe5109);
// compiled call node returning call5110 (depth = 6)
// compiled member node returning call5110 (depth = 5)
  int op_slot_left_5106 = gc_frame_newslot(call5110);
  params[0] = strlit5107;
  partcv[0] = 1;
  Object opresult5111 = callmethod(call5110, "!=", 1, partcv, params);
// compiled op node returning opresult5111 (depth = 4)
  Object if5105 = done;
  if (istrue(opresult5111)) {
// Begin line 1602
  setline(1602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5112 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5113 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5112);
// compiled call node returning call5113 (depth = 5)
// compiled member node returning call5113 (depth = 4)
// Begin line 1604
  setline(1604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1603
  setline(1603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5114 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5115 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call5116 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5115);
// compiled call node returning call5116 (depth = 8)
// compiled member node returning call5116 (depth = 7)
  partcv[0] = 0;
  Object call5117 = callmethod(call5116, "new",
    1, partcv, params);
  gc_frame_end(callframe5114);
// compiled call node returning call5117 (depth = 6)
// compiled member node returning call5117 (depth = 5)
  *var_suggestion = call5117;
  if (call5117 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1604
  setline(1604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5118 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit5119 == NULL) {
    strlit5119 = alloc_String(")");
    gc_root(strlit5119);
  }
// compiled string node returning strlit5119 (depth = 5)
  gc_frame_newslot(strlit5119);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit5119;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5120 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5118);
// compiled call node returning call5120 (depth = 4)
// Begin line 1605
  setline(1605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5121 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit5122 == NULL) {
    strlit5122 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit5122);
  }
// compiled string node returning strlit5122 (depth = 5)
  gc_frame_newslot(strlit5122);
// Begin line 1606
  setline(1606);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5123 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call5124 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe5123);
// compiled call node returning call5124 (depth = 6)
// compiled member node returning call5124 (depth = 5)
  gc_frame_newslot(call5124);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5126 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call5127 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe5126);
// compiled call node returning call5127 (depth = 7)
// compiled member node returning call5127 (depth = 6)
  int op_slot_right_5125 = gc_frame_newslot(call5127);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5129 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call5130 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5129);
// compiled call node returning call5130 (depth = 7)
// compiled member node returning call5130 (depth = 6)
  int op_slot_left_5125 = gc_frame_newslot(call5130);
  params[0] = call5127;
  partcv[0] = 1;
  Object sum5131 = callmethod(call5130, "+", 1, partcv, params);
// compiled op node returning sum5131 (depth = 5)
  gc_frame_newslot(sum5131);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1605
  setline(1605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit5122;
  params[1] = call5124;
  params[2] = sum5131;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5132 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe5121);
// compiled call node returning call5132 (depth = 4)
    gc_frame_newslot(call5132);
    if5105 = call5132;
  } else {
  }
// compiled if node returning if5105 (depth = 3)
// Begin line 1609
  setline(1609);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 1608
  setline(1608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tmpStatementToken (depth = 4)
  *var_statementToken = *var_tmpStatementToken;
  if (*var_tmpStatementToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 1609
  setline(1609);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5134 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5135 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5134);
// compiled call node returning call5135 (depth = 4)
// compiled member node returning call5135 (depth = 3)
    gc_frame_newslot(call5135);
    if5054 = call5135;
  } else {
// Begin line 1611
  setline(1611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5136 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5137 = callmethodflags(self, "term", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5136);
// compiled call node returning call5137 (depth = 4)
// compiled member node returning call5137 (depth = 3)
    gc_frame_newslot(call5137);
    if5054 = call5137;
  }
// compiled if node returning if5054 (depth = 2)
// Begin line 1619
  setline(1619);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1613
  setline(1613);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sz (depth = 4)
  int op_slot_right_5139 = gc_frame_newslot(*var_sz);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5141 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call5142 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe5141);
// compiled call node returning call5142 (depth = 5)
// compiled member node returning call5142 (depth = 4)
  int op_slot_left_5139 = gc_frame_newslot(call5142);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult5143 = callmethod(call5142, ">", 1, partcv, params);
// compiled op node returning opresult5143 (depth = 3)
  Object if5138 = done;
  if (istrue(opresult5143)) {
// Begin line 1614
  setline(1614);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5144 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_acceptBlocks (depth = 4)
  gc_frame_newslot(*var_acceptBlocks);
// call case 4: self request
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call5145 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5144);
// compiled call node returning call5145 (depth = 3)
// Begin line 1615
  setline(1615);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5146 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_acceptBlocks (depth = 4)
  gc_frame_newslot(*var_acceptBlocks);
// call case 4: self request
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call5147 = callmethodflags(self, "callrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5146);
// compiled call node returning call5147 (depth = 3)
// Begin line 1616
  setline(1616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5148 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5149 = callmethodflags(self, "postfixsquare", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5148);
// compiled call node returning call5149 (depth = 4)
// compiled member node returning call5149 (depth = 3)
// Begin line 1617
  setline(1617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5150 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5151 = callmethodflags(self, "valueexpressionrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5150);
// compiled call node returning call5151 (depth = 4)
// compiled member node returning call5151 (depth = 3)
    gc_frame_newslot(call5151);
    if5138 = call5151;
  } else {
  }
// compiled if node returning if5138 (depth = 2)
  gc_frame_end(frame);
  return if5138;
}
Object meth_parser__apply5165(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe5166 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_blocksOK (depth = 9)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call5167 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5166);
// compiled call node returning call5167 (depth = 8)
  gc_frame_end(frame);
  return call5167;
}
Object meth_parser_postfixsquare5152(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 34, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "postfixsquare");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_blocksOK = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for postfixsquare (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for postfixsquare");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_expr = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "expr");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_index = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "index");
  Object *var_o = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "o");
// Begin line 1659
  setline(1659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1624
  setline(1624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5154 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit5155 == NULL) {
    strlit5155 = alloc_String("lsquare");
    gc_root(strlit5155);
  }
// compiled string node returning strlit5155 (depth = 4)
  gc_frame_newslot(strlit5155);
// call case 4: self request
  params[0] = strlit5155;
  partcv[0] = 1;
  Object call5156 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5154);
// compiled call node returning call5156 (depth = 3)
  Object if5153 = done;
  if (istrue(call5156)) {
// Begin line 1625
  setline(1625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5157 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5158 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5157);
// compiled call node returning call5158 (depth = 4)
// compiled member node returning call5158 (depth = 3)
// Begin line 1627
  setline(1627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 1626
  setline(1626);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5159 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call5160 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5159);
// compiled call node returning call5160 (depth = 5)
// compiled member node returning call5160 (depth = 4)
  *var_expr = call5160;
  if (call5160 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1645
  setline(1645);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1627
  setline(1627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5162 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 6)
  int callframe5163 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block5164 = alloc_Block(NULL, NULL, "parser", 1627);
  gc_frame_newslot(block5164);
// method _apply
  block_savedest(block5164);
  Object closure5165 = createclosure(2, "_apply");
  setclosureframe(closure5165, stackframe);
  addtoclosure(closure5165, var_blocksOK);
  addtoclosure(closure5165, selfslot);
  struct UserObject *uo5165 = (struct UserObject*)block5164;
  uo5165->data[0] = (Object)closure5165;
  Method *meth_meth_parser__apply5165 = addmethod2pos(block5164, "_apply", &meth_parser__apply5165, 0);
  int argcv_meth_parser__apply5165[] = {0};
  meth_meth_parser__apply5165->type = alloc_MethodType(1, argcv_meth_parser__apply5165);
  meth_meth_parser__apply5165->definitionModule = modulename;
  meth_meth_parser__apply5165->definitionLine = 1627;
// compiled block node returning block5164 (depth = 7)
  gc_frame_newslot(block5164);
// call case 4: self request
  params[0] = block5164;
  partcv[0] = 1;
  Object call5169 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5163);
// compiled call node returning call5169 (depth = 6)
  partcv[0] = 0;
  Object call5170 = callmethod(call5169, "not",
    1, partcv, params);
  gc_frame_end(callframe5162);
// compiled call node returning call5170 (depth = 5)
// compiled member node returning call5170 (depth = 4)
  Object if5161 = done;
  if (istrue(call5170)) {
// Begin line 1629
  setline(1629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1628
  setline(1628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 5)
  Object array5171 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5171 (depth = 5)
  *var_suggestions = array5171;
  if (array5171 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1630
  setline(1630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1629
  setline(1629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5172 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5173 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call5174 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5173);
// compiled call node returning call5174 (depth = 8)
// compiled member node returning call5174 (depth = 7)
  partcv[0] = 0;
  Object call5175 = callmethod(call5174, "new",
    1, partcv, params);
  gc_frame_end(callframe5172);
// compiled call node returning call5175 (depth = 6)
// compiled member node returning call5175 (depth = 5)
  *var_suggestion = call5175;
  if (call5175 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1630
  setline(1630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5176 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5177 == NULL) {
    strlit5177 = alloc_String("rsquare");
    gc_root(strlit5177);
  }
// compiled string node returning strlit5177 (depth = 6)
  gc_frame_newslot(strlit5177);
// call case 4: self request
  params[0] = strlit5177;
  partcv[0] = 1;
  Object call5178 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5176);
// compiled call node returning call5178 (depth = 5)
  *var_nextTok = call5178;
  if (call5178 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1636
  setline(1636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1631
  setline(1631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  int op_slot_right_5180 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_left_5180 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult5182 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult5182 (depth = 5)
  Object if5179 = done;
  if (istrue(opresult5182)) {
// Begin line 1632
  setline(1632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5183 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5184 == NULL) {
    strlit5184 = alloc_String("""\xc2""""\xab""index""\xc2""""\xbb""");
    gc_root(strlit5184);
  }
// compiled string node returning strlit5184 (depth = 6)
  gc_frame_newslot(strlit5184);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit5184;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5185 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5183);
// compiled call node returning call5185 (depth = 5)
    gc_frame_newslot(call5185);
    if5179 = call5185;
  } else {
// Begin line 1634
  setline(1634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5186 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5187 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  partcv[0] = 0;
  Object call5188 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe5187);
// compiled call node returning call5188 (depth = 7)
// compiled member node returning call5188 (depth = 6)
  gc_frame_newslot(call5188);
// starting to compile identifier node (depth = 6)
  Object bool5189 = alloc_Boolean(1);
// compiled identifier node returning bool5189 (depth = 6)
  gc_frame_newslot(bool5189);
// starting to compile identifier node (depth = 6)
  Object bool5190 = alloc_Boolean(0);
// compiled identifier node returning bool5190 (depth = 6)
  gc_frame_newslot(bool5190);
// starting to compile string node (depth = 6)
  if (strlit5191 == NULL) {
    strlit5191 = alloc_String("""\xc2""""\xab""index""\xc2""""\xbb""");
    gc_root(strlit5191);
  }
// compiled string node returning strlit5191 (depth = 6)
  gc_frame_newslot(strlit5191);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = call5188;
  params[2] = bool5189;
  params[3] = bool5190;
  params[4] = strlit5191;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call5192 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe5186);
// compiled call node returning call5192 (depth = 5)
    gc_frame_newslot(call5192);
    if5179 = call5192;
  }
// compiled if node returning if5179 (depth = 4)
// Begin line 1636
  setline(1636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5193 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5194 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5193);
// compiled call node returning call5194 (depth = 4)
// Begin line 1642
  setline(1642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1637
  setline(1637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5197 == NULL) {
    strlit5197 = alloc_String("rsquare");
    gc_root(strlit5197);
  }
// compiled string node returning strlit5197 (depth = 6)
  int op_slot_right_5196 = gc_frame_newslot(strlit5197);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5199 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  partcv[0] = 0;
  Object call5200 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe5199);
// compiled call node returning call5200 (depth = 7)
// compiled member node returning call5200 (depth = 6)
  int op_slot_left_5196 = gc_frame_newslot(call5200);
  params[0] = strlit5197;
  partcv[0] = 1;
  Object opresult5201 = callmethod(call5200, "==", 1, partcv, params);
// compiled op node returning opresult5201 (depth = 5)
  Object if5195 = done;
  if (istrue(opresult5201)) {
// Begin line 1639
  setline(1639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1638
  setline(1638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5202 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5203 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call5204 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5203);
// compiled call node returning call5204 (depth = 9)
// compiled member node returning call5204 (depth = 8)
  partcv[0] = 0;
  Object call5205 = callmethod(call5204, "new",
    1, partcv, params);
  gc_frame_end(callframe5202);
// compiled call node returning call5205 (depth = 7)
// compiled member node returning call5205 (depth = 6)
  *var_suggestion = call5205;
  if (call5205 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1639
  setline(1639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5207 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  gc_frame_newslot(*var_nextTok);
// starting to compile identifier node (depth = 6)
  Object bool5208 = alloc_Boolean(1);
// compiled identifier node returning bool5208 (depth = 6)
  gc_frame_newslot(bool5208);
// starting to compile identifier node (depth = 6)
  Object bool5209 = alloc_Boolean(0);
// compiled identifier node returning bool5209 (depth = 6)
  gc_frame_newslot(bool5209);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_lastToken;
  params[1] = *var_nextTok;
  params[2] = bool5208;
  params[3] = bool5209;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5210 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe5207);
// compiled call node returning call5210 (depth = 5)
// Begin line 1640
  setline(1640);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5211 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5212 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5211);
// compiled call node returning call5212 (depth = 5)
    gc_frame_newslot(call5212);
    if5195 = call5212;
  } else {
  }
// compiled if node returning if5195 (depth = 4)
// Begin line 1642
  setline(1642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5213 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit5214 == NULL) {
    strlit5214 = alloc_String("A '[' in an expression must be followed by another expression and a ']'.");
    gc_root(strlit5214);
  }
// compiled string node returning strlit5214 (depth = 5)
  gc_frame_newslot(strlit5214);
// Begin line 1643
  setline(1643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5215 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call5216 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5215);
// compiled call node returning call5216 (depth = 6)
// compiled member node returning call5216 (depth = 5)
  gc_frame_newslot(call5216);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5217 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call5218 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5217);
// compiled call node returning call5218 (depth = 6)
// compiled member node returning call5218 (depth = 5)
  gc_frame_newslot(call5218);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 1642
  setline(1642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit5214;
  params[1] = call5216;
  params[2] = call5218;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5219 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe5213);
// compiled call node returning call5219 (depth = 4)
    gc_frame_newslot(call5219);
    if5161 = call5219;
  } else {
  }
// compiled if node returning if5161 (depth = 3)
// Begin line 1646
  setline(1646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 1645
  setline(1645);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5220 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call5221 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5220);
// compiled call node returning call5221 (depth = 5)
// compiled member node returning call5221 (depth = 4)
  *var_index = call5221;
  if (call5221 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1652
  setline(1652);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1646
  setline(1646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5224 == NULL) {
    strlit5224 = alloc_String("rsquare");
    gc_root(strlit5224);
  }
// compiled string node returning strlit5224 (depth = 5)
  int op_slot_right_5223 = gc_frame_newslot(strlit5224);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5226 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call5227 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe5226);
// compiled call node returning call5227 (depth = 6)
// compiled member node returning call5227 (depth = 5)
  int op_slot_left_5223 = gc_frame_newslot(call5227);
  params[0] = strlit5224;
  partcv[0] = 1;
  Object opresult5228 = callmethod(call5227, "!=", 1, partcv, params);
// compiled op node returning opresult5228 (depth = 4)
  Object if5222 = done;
  if (istrue(opresult5228)) {
// Begin line 1648
  setline(1648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1647
  setline(1647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5229 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5230 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call5231 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5230);
// compiled call node returning call5231 (depth = 8)
// compiled member node returning call5231 (depth = 7)
  partcv[0] = 0;
  Object call5232 = callmethod(call5231, "new",
    1, partcv, params);
  gc_frame_end(callframe5229);
// compiled call node returning call5232 (depth = 6)
// compiled member node returning call5232 (depth = 5)
  *var_suggestion = call5232;
  if (call5232 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1648
  setline(1648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5233 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit5234 == NULL) {
    strlit5234 = alloc_String("]");
    gc_root(strlit5234);
  }
// compiled string node returning strlit5234 (depth = 5)
  gc_frame_newslot(strlit5234);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit5234;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5235 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5233);
// compiled call node returning call5235 (depth = 4)
// Begin line 1649
  setline(1649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5236 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit5237 == NULL) {
    strlit5237 = alloc_String("A '[' in an expression must be followed by another expression and a ']'.");
    gc_root(strlit5237);
  }
// compiled string node returning strlit5237 (depth = 5)
  gc_frame_newslot(strlit5237);
// Begin line 1650
  setline(1650);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5238 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call5239 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe5238);
// compiled call node returning call5239 (depth = 6)
// compiled member node returning call5239 (depth = 5)
  gc_frame_newslot(call5239);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5241 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call5242 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe5241);
// compiled call node returning call5242 (depth = 7)
// compiled member node returning call5242 (depth = 6)
  int op_slot_right_5240 = gc_frame_newslot(call5242);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5244 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call5245 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5244);
// compiled call node returning call5245 (depth = 7)
// compiled member node returning call5245 (depth = 6)
  int op_slot_left_5240 = gc_frame_newslot(call5245);
  params[0] = call5242;
  partcv[0] = 1;
  Object sum5246 = callmethod(call5245, "+", 1, partcv, params);
// compiled op node returning sum5246 (depth = 5)
  gc_frame_newslot(sum5246);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1649
  setline(1649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit5237;
  params[1] = call5239;
  params[2] = sum5246;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5247 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe5236);
// compiled call node returning call5247 (depth = 4)
    gc_frame_newslot(call5247);
    if5222 = call5247;
  } else {
  }
// compiled if node returning if5222 (depth = 3)
// Begin line 1652
  setline(1652);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5248 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5249 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5248);
// compiled call node returning call5249 (depth = 4)
// compiled member node returning call5249 (depth = 3)
// Begin line 1653
  setline(1653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5250 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_expr (depth = 5)
  gc_frame_newslot(*var_expr);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_index (depth = 5)
  gc_frame_newslot(*var_index);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5251 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call5252 = callmethod(*var_ast, "indexNode",
    1, partcv, params);
  gc_frame_end(callframe5251);
// compiled call node returning call5252 (depth = 6)
// compiled member node returning call5252 (depth = 5)
  params[0] = *var_expr;
  params[1] = *var_index;
  partcv[0] = 2;
  Object call5253 = callmethod(call5252, "new",
    1, partcv, params);
  gc_frame_end(callframe5250);
// compiled call node returning call5253 (depth = 4)
  *var_o = call5253;
  if (call5253 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1654
  setline(1654);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5254 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5255 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe5254);
// compiled call node returning call5255 (depth = 3)
// Begin line 1655
  setline(1655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5256 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blocksOK (depth = 4)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call5257 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5256);
// compiled call node returning call5257 (depth = 3)
// Begin line 1656
  setline(1656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5258 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blocksOK (depth = 4)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call5259 = callmethodflags(self, "callrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5258);
// compiled call node returning call5259 (depth = 3)
// Begin line 1657
  setline(1657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5260 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5261 = callmethodflags(self, "postfixsquare", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5260);
// compiled call node returning call5261 (depth = 4)
// compiled member node returning call5261 (depth = 3)
    gc_frame_newslot(call5261);
    if5153 = call5261;
  } else {
  }
// compiled if node returning if5153 (depth = 2)
  gc_frame_end(frame);
  return if5153;
}
Object meth_parser_oprec5262(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "oprec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method oprec");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for oprec (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for oprec");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1670
  setline(1670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1665
  setline(1665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5265 == NULL) {
    strlit5265 = alloc_String("*");
    gc_root(strlit5265);
  }
// compiled string node returning strlit5265 (depth = 4)
  int op_slot_right_5264 = gc_frame_newslot(strlit5265);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  int op_slot_left_5264 = gc_frame_newslot(*var_o);
  params[0] = strlit5265;
  partcv[0] = 1;
  Object opresult5267 = callmethod(*var_o, "==", 1, partcv, params);
// compiled op node returning opresult5267 (depth = 3)
  Object if5263 = done;
  if (istrue(opresult5267)) {
// Begin line 1667
  setline(1667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 1666
  setline(1666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num5268 = alloc_Float64(10);
// compiled num node returning num5268 (depth = 4)
  return num5268;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if5263 = undefined;
  } else {
// Begin line 1670
  setline(1670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1667
  setline(1667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5271 == NULL) {
    strlit5271 = alloc_String("/");
    gc_root(strlit5271);
  }
// compiled string node returning strlit5271 (depth = 5)
  int op_slot_right_5270 = gc_frame_newslot(strlit5271);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  int op_slot_left_5270 = gc_frame_newslot(*var_o);
  params[0] = strlit5271;
  partcv[0] = 1;
  Object opresult5273 = callmethod(*var_o, "==", 1, partcv, params);
// compiled op node returning opresult5273 (depth = 4)
  Object if5269 = done;
  if (istrue(opresult5273)) {
// Begin line 1669
  setline(1669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 1668
  setline(1668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num5274 = alloc_Float64(10);
// compiled num node returning num5274 (depth = 5)
  return num5274;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if5269 = undefined;
  } else {
  }
// compiled if node returning if5269 (depth = 3)
    gc_frame_newslot(if5269);
    if5263 = if5269;
  }
// compiled if node returning if5263 (depth = 2)
// Begin line 1671
  setline(1671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 1670
  setline(1670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num5275 = alloc_Float64(5);
// compiled num node returning num5275 (depth = 3)
  return num5275;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_parser_toprec5276(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toprec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toprec");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toprec (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ops = &(stackframe->slots[0]);
  *var_ops = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toprec");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "o");
// Begin line 1679
  setline(1679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1675
  setline(1675);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num5279 = alloc_Float64(0);
// compiled num node returning num5279 (depth = 4)
  int op_slot_right_5278 = gc_frame_newslot(num5279);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5281 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ops (depth = 6)
  partcv[0] = 0;
  Object call5282 = callmethod(*var_ops, "size",
    1, partcv, params);
  gc_frame_end(callframe5281);
// compiled call node returning call5282 (depth = 5)
// compiled member node returning call5282 (depth = 4)
  int op_slot_left_5278 = gc_frame_newslot(call5282);
  params[0] = num5279;
  partcv[0] = 1;
  Object opresult5283 = callmethod(call5282, ">", 1, partcv, params);
// compiled op node returning opresult5283 (depth = 3)
  Object if5277 = done;
  if (istrue(opresult5283)) {
// Begin line 1677
  setline(1677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 1676
  setline(1676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5284 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ops (depth = 6)
  partcv[0] = 0;
  Object call5285 = callmethod(*var_ops, "last",
    1, partcv, params);
  gc_frame_end(callframe5284);
// compiled call node returning call5285 (depth = 5)
// compiled member node returning call5285 (depth = 4)
  *var_o = call5285;
  if (call5285 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1677
  setline(1677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5286 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5287 = callmethodflags(self, "oprec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5286);
// compiled call node returning call5287 (depth = 4)
  return call5287;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if5277 = undefined;
  } else {
  }
// compiled if node returning if5277 (depth = 2)
// Begin line 1679
  setline(1679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num5288 = alloc_Float64(0);
// compiled num node returning num5288 (depth = 2)
  gc_frame_end(frame);
  return num5288;
}
Object meth_parser__apply5297(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5298 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5299 = callmethodflags(self, "typeexpression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5298);
// compiled call node returning call5299 (depth = 6)
// compiled member node returning call5299 (depth = 5)
  gc_frame_end(frame);
  return call5299;
}
Object meth_parser_typeexpressionrest5289(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 37, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeexpressionrest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[3];
  Object *var_noBlocks = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for typeexpressionrest (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for typeexpressionrest");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1687
  setline(1687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1684
  setline(1684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5291 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit5292 == NULL) {
    strlit5292 = alloc_String("op");
    gc_root(strlit5292);
  }
// compiled string node returning strlit5292 (depth = 4)
  gc_frame_newslot(strlit5292);
// call case 4: self request
  params[0] = strlit5292;
  partcv[0] = 1;
  Object call5293 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5291);
// compiled call node returning call5293 (depth = 3)
  Object if5290 = done;
  if (istrue(call5293)) {
// Begin line 1685
  setline(1685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5294 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit5295 == NULL) {
    strlit5295 = alloc_String("type expression");
    gc_root(strlit5295);
  }
// compiled string node returning strlit5295 (depth = 4)
  gc_frame_newslot(strlit5295);
// starting to compile block node (depth = 4)
  Object block5296 = alloc_Block(NULL, NULL, "parser", 1685);
  gc_frame_newslot(block5296);
// method _apply
  block_savedest(block5296);
  Object closure5297 = createclosure(1, "_apply");
  setclosureframe(closure5297, stackframe);
  addtoclosure(closure5297, selfslot);
  struct UserObject *uo5297 = (struct UserObject*)block5296;
  uo5297->data[0] = (Object)closure5297;
  Method *meth_meth_parser__apply5297 = addmethod2pos(block5296, "_apply", &meth_parser__apply5297, 0);
  int argcv_meth_parser__apply5297[] = {0};
  meth_meth_parser__apply5297->type = alloc_MethodType(1, argcv_meth_parser__apply5297);
  meth_meth_parser__apply5297->definitionModule = modulename;
  meth_meth_parser__apply5297->definitionLine = 1676;
// compiled block node returning block5296 (depth = 4)
  gc_frame_newslot(block5296);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_noBlocks (depth = 4)
  gc_frame_newslot(*var_noBlocks);
// call case 4: self request
  params[0] = strlit5295;
  params[1] = block5296;
  params[2] = *var_noBlocks;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5301 = callmethodflags(self, "expressionrest()recursingWith()blocks", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5294);
// compiled call node returning call5301 (depth = 3)
    gc_frame_newslot(call5301);
    if5290 = call5301;
  } else {
  }
// compiled if node returning if5290 (depth = 2)
  gc_frame_end(frame);
  return if5290;
}
Object meth_parser__apply5310(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 5)
  int callframe5311 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blocksOK (depth = 6)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call5312 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5311);
// compiled call node returning call5312 (depth = 5)
  gc_frame_end(frame);
  return call5312;
}
Object meth_parser_valueexpressionrest5302(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 38, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "valueexpressionrest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[3];
  Object *var_blocksOK = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for valueexpressionrest (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for valueexpressionrest");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1693
  setline(1693);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1690
  setline(1690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5304 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit5305 == NULL) {
    strlit5305 = alloc_String("op");
    gc_root(strlit5305);
  }
// compiled string node returning strlit5305 (depth = 4)
  gc_frame_newslot(strlit5305);
// call case 4: self request
  params[0] = strlit5305;
  partcv[0] = 1;
  Object call5306 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5304);
// compiled call node returning call5306 (depth = 3)
  Object if5303 = done;
  if (istrue(call5306)) {
// Begin line 1691
  setline(1691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5307 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit5308 == NULL) {
    strlit5308 = alloc_String("expression");
    gc_root(strlit5308);
  }
// compiled string node returning strlit5308 (depth = 4)
  gc_frame_newslot(strlit5308);
// starting to compile block node (depth = 4)
  Object block5309 = alloc_Block(NULL, NULL, "parser", 1691);
  gc_frame_newslot(block5309);
// method _apply
  block_savedest(block5309);
  Object closure5310 = createclosure(2, "_apply");
  setclosureframe(closure5310, stackframe);
  addtoclosure(closure5310, var_blocksOK);
  addtoclosure(closure5310, selfslot);
  struct UserObject *uo5310 = (struct UserObject*)block5309;
  uo5310->data[0] = (Object)closure5310;
  Method *meth_meth_parser__apply5310 = addmethod2pos(block5309, "_apply", &meth_parser__apply5310, 0);
  int argcv_meth_parser__apply5310[] = {0};
  meth_meth_parser__apply5310->type = alloc_MethodType(1, argcv_meth_parser__apply5310);
  meth_meth_parser__apply5310->definitionModule = modulename;
  meth_meth_parser__apply5310->definitionLine = 1685;
// compiled block node returning block5309 (depth = 4)
  gc_frame_newslot(block5309);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blocksOK (depth = 4)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = strlit5308;
  params[1] = block5309;
  params[2] = *var_blocksOK;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5314 = callmethodflags(self, "expressionrest()recursingWith()blocks", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5307);
// compiled call node returning call5314 (depth = 3)
    gc_frame_newslot(call5314);
    if5303 = call5314;
  } else {
  }
// compiled if node returning if5303 (depth = 2)
  gc_frame_end(frame);
  return if5303;
}
Object meth_parser__apply5330(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5332 == NULL) {
    strlit5332 = alloc_String("=");
    gc_root(strlit5332);
  }
// compiled string node returning strlit5332 (depth = 7)
  int op_slot_right_5331 = gc_frame_newslot(strlit5332);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5334 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call5335 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe5334);
// compiled call node returning call5335 (depth = 8)
// compiled member node returning call5335 (depth = 7)
  int op_slot_left_5331 = gc_frame_newslot(call5335);
  params[0] = strlit5332;
  partcv[0] = 1;
  Object opresult5336 = callmethod(call5335, "!=", 1, partcv, params);
// compiled op node returning opresult5336 (depth = 6)
  gc_frame_end(frame);
  return opresult5336;
}
Object meth_parser__apply5327(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementToken = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe5328 = gc_frame_new();
// Begin line 1713
  setline(1713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block5329 = alloc_Block(NULL, NULL, "parser", 1713);
  gc_frame_newslot(block5329);
// method _apply
  block_savedest(block5329);
  Object closure5330 = createclosure(2, "_apply");
  setclosureframe(closure5330, stackframe);
  addtoclosure(closure5330, var_sym);
  addtoclosure(closure5330, selfslot);
  struct UserObject *uo5330 = (struct UserObject*)block5329;
  uo5330->data[0] = (Object)closure5330;
  Method *meth_meth_parser__apply5330 = addmethod2pos(block5329, "_apply", &meth_parser__apply5330, 0);
  int argcv_meth_parser__apply5330[] = {0};
  meth_meth_parser__apply5330->type = alloc_MethodType(1, argcv_meth_parser__apply5330);
  meth_meth_parser__apply5330->definitionModule = modulename;
  meth_meth_parser__apply5330->definitionLine = 1706;
// compiled block node returning block5329 (depth = 5)
  gc_frame_newslot(block5329);
// call case 6: other member request
// Begin line 1712
  setline(1712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5338 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5339 == NULL) {
    strlit5339 = alloc_String("op");
    gc_root(strlit5339);
  }
// compiled string node returning strlit5339 (depth = 6)
  gc_frame_newslot(strlit5339);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_statementToken (depth = 6)
  gc_frame_newslot(*var_statementToken);
// call case 4: self request
  params[0] = strlit5339;
  params[1] = *var_statementToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5340 = callmethodflags(self, "accept()onLineOfLastOr", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5338);
// compiled call node returning call5340 (depth = 5)
  params[0] = block5329;
  partcv[0] = 1;
  Object call5341 = callmethod(call5340, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe5328);
// compiled call node returning call5341 (depth = 4)
  gc_frame_end(frame);
  return call5341;
}
Object meth_parser__apply5452(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ops = getfromclosure(closure, 0);
  Object *var_prec = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5455 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ops (depth = 9)
  gc_frame_newslot(*var_ops);
// call case 4: self request
  params[0] = *var_ops;
  partcv[0] = 1;
  Object call5456 = callmethodflags(self, "toprec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5455);
// compiled call node returning call5456 (depth = 8)
  int op_slot_right_5454 = gc_frame_newslot(call5456);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_prec (depth = 8)
  int op_slot_left_5454 = gc_frame_newslot(*var_prec);
  params[0] = call5456;
  partcv[0] = 1;
  Object opresult5458 = callmethod(*var_prec, "<=", 1, partcv, params);
// compiled op node returning opresult5458 (depth = 7)
  int op_slot_right_5453 = gc_frame_newslot(opresult5458);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num5461 = alloc_Float64(0);
// compiled num node returning num5461 (depth = 8)
  int op_slot_right_5460 = gc_frame_newslot(num5461);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5463 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ops (depth = 10)
  partcv[0] = 0;
  Object call5464 = callmethod(*var_ops, "size",
    1, partcv, params);
  gc_frame_end(callframe5463);
// compiled call node returning call5464 (depth = 9)
// compiled member node returning call5464 (depth = 8)
  int op_slot_left_5460 = gc_frame_newslot(call5464);
  params[0] = num5461;
  partcv[0] = 1;
  Object opresult5465 = callmethod(call5464, ">", 1, partcv, params);
// compiled op node returning opresult5465 (depth = 7)
  int op_slot_left_5453 = gc_frame_newslot(opresult5465);
  params[0] = opresult5458;
  partcv[0] = 1;
  Object opresult5466 = callmethod(opresult5465, "&&", 1, partcv, params);
// compiled op node returning opresult5466 (depth = 6)
  gc_frame_end(frame);
  return opresult5466;
}
Object meth_parser__apply5469(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_ops = getfromclosure(closure, 0);
  Object *var_o2 = getfromclosure(closure, 1);
  Object *var_terms = getfromclosure(closure, 2);
  Object *var_tmp2 = getfromclosure(closure, 3);
  Object *var_tmp = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1745
  setline(1745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 1744
  setline(1744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5470 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ops (depth = 9)
  partcv[0] = 0;
  Object call5471 = callmethod(*var_ops, "pop",
    1, partcv, params);
  gc_frame_end(callframe5470);
// compiled call node returning call5471 (depth = 8)
// compiled member node returning call5471 (depth = 7)
  *var_o2 = call5471;
  if (call5471 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1746
  setline(1746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 1745
  setline(1745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5473 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_terms (depth = 9)
  partcv[0] = 0;
  Object call5474 = callmethod(*var_terms, "pop",
    1, partcv, params);
  gc_frame_end(callframe5473);
// compiled call node returning call5474 (depth = 8)
// compiled member node returning call5474 (depth = 7)
  *var_tmp2 = call5474;
  if (call5474 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1747
  setline(1747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 1746
  setline(1746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5476 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_terms (depth = 9)
  partcv[0] = 0;
  Object call5477 = callmethod(*var_terms, "pop",
    1, partcv, params);
  gc_frame_end(callframe5476);
// compiled call node returning call5477 (depth = 8)
// compiled member node returning call5477 (depth = 7)
  *var_tmp = call5477;
  if (call5477 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1747
  setline(1747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5479 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_o2 (depth = 8)
  gc_frame_newslot(*var_o2);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tmp (depth = 8)
  gc_frame_newslot(*var_tmp);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tmp2 (depth = 8)
  gc_frame_newslot(*var_tmp2);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5480 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ast (depth = 10)
  partcv[0] = 0;
  Object call5481 = callmethod(*var_ast, "opNode",
    1, partcv, params);
  gc_frame_end(callframe5480);
// compiled call node returning call5481 (depth = 9)
// compiled member node returning call5481 (depth = 8)
  params[0] = *var_o2;
  params[1] = *var_tmp;
  params[2] = *var_tmp2;
  partcv[0] = 3;
  Object call5482 = callmethod(call5481, "new",
    1, partcv, params);
  gc_frame_end(callframe5479);
// compiled call node returning call5482 (depth = 7)
  *var_tmp = call5482;
  if (call5482 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1748
  setline(1748);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5484 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tmp (depth = 7)
  gc_frame_newslot(*var_tmp);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_terms (depth = 7)
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5485 = callmethod(*var_terms, "push",
    1, partcv, params);
  gc_frame_end(callframe5484);
// compiled call node returning call5485 (depth = 6)
  gc_frame_end(frame);
  return call5485;
}
Object meth_parser__apply5660(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe5661 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5662 = callmethodflags(self, "term", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5661);
// compiled call node returning call5662 (depth = 11)
// compiled member node returning call5662 (depth = 10)
  gc_frame_end(frame);
  return call5662;
}
Object meth_parser__apply5344(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_opcount = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_o = getfromclosure(closure, 2);
  Object *var_prec = getfromclosure(closure, 3);
  Object *var_allarith = getfromclosure(closure, 4);
  Object *var_opdtype = getfromclosure(closure, 5);
  Object *var_errormessages = getfromclosure(closure, 6);
  Object *var_lastToken = getfromclosure(closure, 7);
  Object *var_ops = getfromclosure(closure, 8);
  Object *var_o2 = getfromclosure(closure, 9);
  Object *var_terms = getfromclosure(closure, 10);
  Object *var_tmp2 = getfromclosure(closure, 11);
  Object *var_tmp = getfromclosure(closure, 12);
  Object *var_ast = getfromclosure(closure, 13);
  Object *var_recurse = getfromclosure(closure, 14);
  Object *var_name = getfromclosure(closure, 15);
  Object *var_util = getfromclosure(closure, 16);
  Object *var_acceptBlocks = getfromclosure(closure, 17);
  Object *var_values = getfromclosure(closure, 18);
  Object self = *(getfromclosure(closure, 19));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// Begin line 1715
  setline(1715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1714
  setline(1714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num5346 = alloc_Float64(1);
// compiled num node returning num5346 (depth = 6)
  int op_slot_right_5345 = gc_frame_newslot(num5346);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_opcount (depth = 6)
  int op_slot_left_5345 = gc_frame_newslot(*var_opcount);
  params[0] = num5346;
  partcv[0] = 1;
  Object sum5348 = callmethod(*var_opcount, "+", 1, partcv, params);
// compiled op node returning sum5348 (depth = 5)
  *var_opcount = sum5348;
  if (sum5348 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1716
  setline(1716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1715
  setline(1715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5350 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call5351 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe5350);
// compiled call node returning call5351 (depth = 6)
// compiled member node returning call5351 (depth = 5)
  *var_o = call5351;
  if (call5351 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1716
  setline(1716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5353 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5354 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5353);
// compiled call node returning call5354 (depth = 5)
// compiled member node returning call5354 (depth = 4)
// Begin line 1717
  setline(1717);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5355 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_o (depth = 6)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5356 = callmethodflags(self, "oprec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5355);
// compiled call node returning call5356 (depth = 5)
  *var_prec = call5356;
  if (call5356 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1721
  setline(1721);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1718
  setline(1718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5361 == NULL) {
    strlit5361 = alloc_String("-");
    gc_root(strlit5361);
  }
// compiled string node returning strlit5361 (depth = 7)
  int op_slot_right_5360 = gc_frame_newslot(strlit5361);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  int op_slot_left_5360 = gc_frame_newslot(*var_o);
  params[0] = strlit5361;
  partcv[0] = 1;
  Object opresult5363 = callmethod(*var_o, "!=", 1, partcv, params);
// compiled op node returning opresult5363 (depth = 6)
  int op_slot_right_5359 = gc_frame_newslot(opresult5363);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5367 == NULL) {
    strlit5367 = alloc_String("+");
    gc_root(strlit5367);
  }
// compiled string node returning strlit5367 (depth = 8)
  int op_slot_right_5366 = gc_frame_newslot(strlit5367);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_o (depth = 8)
  int op_slot_left_5366 = gc_frame_newslot(*var_o);
  params[0] = strlit5367;
  partcv[0] = 1;
  Object opresult5369 = callmethod(*var_o, "!=", 1, partcv, params);
// compiled op node returning opresult5369 (depth = 7)
  int op_slot_right_5365 = gc_frame_newslot(opresult5369);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5373 == NULL) {
    strlit5373 = alloc_String("/");
    gc_root(strlit5373);
  }
// compiled string node returning strlit5373 (depth = 9)
  int op_slot_right_5372 = gc_frame_newslot(strlit5373);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_o (depth = 9)
  int op_slot_left_5372 = gc_frame_newslot(*var_o);
  params[0] = strlit5373;
  partcv[0] = 1;
  Object opresult5375 = callmethod(*var_o, "!=", 1, partcv, params);
// compiled op node returning opresult5375 (depth = 8)
  int op_slot_right_5371 = gc_frame_newslot(opresult5375);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5378 == NULL) {
    strlit5378 = alloc_String("*");
    gc_root(strlit5378);
  }
// compiled string node returning strlit5378 (depth = 9)
  int op_slot_right_5377 = gc_frame_newslot(strlit5378);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_o (depth = 9)
  int op_slot_left_5377 = gc_frame_newslot(*var_o);
  params[0] = strlit5378;
  partcv[0] = 1;
  Object opresult5380 = callmethod(*var_o, "!=", 1, partcv, params);
// compiled op node returning opresult5380 (depth = 8)
  int op_slot_left_5371 = gc_frame_newslot(opresult5380);
  params[0] = opresult5375;
  partcv[0] = 1;
  Object opresult5381 = callmethod(opresult5380, "&&", 1, partcv, params);
// compiled op node returning opresult5381 (depth = 7)
  int op_slot_left_5365 = gc_frame_newslot(opresult5381);
  params[0] = opresult5369;
  partcv[0] = 1;
  Object opresult5382 = callmethod(opresult5381, "&&", 1, partcv, params);
// compiled op node returning opresult5382 (depth = 6)
  int op_slot_left_5359 = gc_frame_newslot(opresult5382);
  params[0] = opresult5363;
  partcv[0] = 1;
  Object opresult5383 = callmethod(opresult5382, "&&", 1, partcv, params);
// compiled op node returning opresult5383 (depth = 5)
  Object if5358 = done;
  if (istrue(opresult5383)) {
// Begin line 1720
  setline(1720);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1719
  setline(1719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool5384 = alloc_Boolean(0);
// compiled identifier node returning bool5384 (depth = 6)
  *var_allarith = bool5384;
  if (bool5384 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if5358 = done;
  } else {
  }
// compiled if node returning if5358 (depth = 4)
// Begin line 1737
  setline(1737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1721
  setline(1721);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5388 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_allarith (depth = 8)
  partcv[0] = 0;
  Object call5389 = callmethod(*var_allarith, "not",
    1, partcv, params);
  gc_frame_end(callframe5388);
// compiled call node returning call5389 (depth = 7)
// compiled member node returning call5389 (depth = 6)
  int op_slot_right_5387 = gc_frame_newslot(call5389);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_o (depth = 8)
  int op_slot_right_5392 = gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_opdtype (depth = 8)
  int op_slot_left_5392 = gc_frame_newslot(*var_opdtype);
  params[0] = *var_o;
  partcv[0] = 1;
  Object opresult5394 = callmethod(*var_opdtype, "!=", 1, partcv, params);
// compiled op node returning opresult5394 (depth = 7)
  int op_slot_right_5391 = gc_frame_newslot(opresult5394);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5397 == NULL) {
    strlit5397 = alloc_String("");
    gc_root(strlit5397);
  }
// compiled string node returning strlit5397 (depth = 8)
  int op_slot_right_5396 = gc_frame_newslot(strlit5397);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_opdtype (depth = 8)
  int op_slot_left_5396 = gc_frame_newslot(*var_opdtype);
  params[0] = strlit5397;
  partcv[0] = 1;
  Object opresult5399 = callmethod(*var_opdtype, "!=", 1, partcv, params);
// compiled op node returning opresult5399 (depth = 7)
  int op_slot_left_5391 = gc_frame_newslot(opresult5399);
  params[0] = opresult5394;
  partcv[0] = 1;
  Object opresult5400 = callmethod(opresult5399, "&&", 1, partcv, params);
// compiled op node returning opresult5400 (depth = 6)
  int op_slot_left_5387 = gc_frame_newslot(opresult5400);
  params[0] = call5389;
  partcv[0] = 1;
  Object opresult5401 = callmethod(opresult5400, "&&", 1, partcv, params);
// compiled op node returning opresult5401 (depth = 5)
  Object if5386 = done;
  if (istrue(opresult5401)) {
// Begin line 1726
  setline(1726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 1725
  setline(1725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 6)
  Object array5402 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5402 (depth = 6)
  *var_suggestions = array5402;
  if (array5402 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 1727
  setline(1727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// Begin line 1726
  setline(1726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5403 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5404 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call5405 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5404);
// compiled call node returning call5405 (depth = 9)
// compiled member node returning call5405 (depth = 8)
  partcv[0] = 0;
  Object call5406 = callmethod(call5405, "new",
    1, partcv, params);
  gc_frame_end(callframe5403);
// compiled call node returning call5406 (depth = 7)
// compiled member node returning call5406 (depth = 6)
  *var_suggestion = call5406;
  if (call5406 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 1727
  setline(1727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5407 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5408 == NULL) {
    strlit5408 = alloc_String(")");
    gc_root(strlit5408);
  }
// compiled string node returning strlit5408 (depth = 6)
  gc_frame_newslot(strlit5408);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit5408;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5409 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5407);
// compiled call node returning call5409 (depth = 5)
// Begin line 1728
  setline(1728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5410 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5411 == NULL) {
    strlit5411 = alloc_String("(");
    gc_root(strlit5411);
  }
// compiled string node returning strlit5411 (depth = 6)
  gc_frame_newslot(strlit5411);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5412 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call5413 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe5412);
// compiled call node returning call5413 (depth = 7)
// compiled member node returning call5413 (depth = 6)
  gc_frame_newslot(call5413);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit5411;
  params[1] = call5413;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5414 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe5410);
// compiled call node returning call5414 (depth = 5)
// Begin line 1729
  setline(1729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5415 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5416 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5415);
// compiled call node returning call5416 (depth = 5)
// Begin line 1731
  setline(1731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1730
  setline(1730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5417 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5418 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call5419 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5418);
// compiled call node returning call5419 (depth = 9)
// compiled member node returning call5419 (depth = 8)
  partcv[0] = 0;
  Object call5420 = callmethod(call5419, "new",
    1, partcv, params);
  gc_frame_end(callframe5417);
// compiled call node returning call5420 (depth = 7)
// compiled member node returning call5420 (depth = 6)
  *var_suggestion = call5420;
  if (call5420 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1731
  setline(1731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5422 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5423 == NULL) {
    strlit5423 = alloc_String(")");
    gc_root(strlit5423);
  }
// compiled string node returning strlit5423 (depth = 6)
  gc_frame_newslot(strlit5423);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5424 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call5425 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe5424);
// compiled call node returning call5425 (depth = 7)
// compiled member node returning call5425 (depth = 6)
  gc_frame_newslot(call5425);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit5423;
  params[1] = call5425;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5426 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5422);
// compiled call node returning call5426 (depth = 5)
// Begin line 1732
  setline(1732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5427 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5428 == NULL) {
    strlit5428 = alloc_String("(");
    gc_root(strlit5428);
  }
// compiled string node returning strlit5428 (depth = 6)
  gc_frame_newslot(strlit5428);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5429 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5430 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe5431 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lastToken (depth = 12)
  partcv[0] = 0;
  Object call5432 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe5431);
// compiled call node returning call5432 (depth = 11)
// compiled member node returning call5432 (depth = 10)
  partcv[0] = 0;
  Object call5433 = callmethod(call5432, "prev",
    1, partcv, params);
  gc_frame_end(callframe5430);
// compiled call node returning call5433 (depth = 9)
// compiled member node returning call5433 (depth = 8)
  partcv[0] = 0;
  Object call5434 = callmethod(call5433, "prev",
    1, partcv, params);
  gc_frame_end(callframe5429);
// compiled call node returning call5434 (depth = 7)
// compiled member node returning call5434 (depth = 6)
  gc_frame_newslot(call5434);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit5428;
  params[1] = call5434;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5435 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe5427);
// compiled call node returning call5435 (depth = 5)
// Begin line 1733
  setline(1733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5436 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5437 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5436);
// compiled call node returning call5437 (depth = 5)
// Begin line 1734
  setline(1734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5438 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5439 == NULL) {
    strlit5439 = alloc_String("An expression containing both mathematical and non-mathematical operators requires parentheses.");
    gc_root(strlit5439);
  }
// compiled string node returning strlit5439 (depth = 6)
  gc_frame_newslot(strlit5439);
// Begin line 1735
  setline(1735);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5440 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5441 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call5442 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe5441);
// compiled call node returning call5442 (depth = 9)
// compiled member node returning call5442 (depth = 8)
  partcv[0] = 0;
  Object call5443 = callmethod(call5442, "line",
    1, partcv, params);
  gc_frame_end(callframe5440);
// compiled call node returning call5443 (depth = 7)
// compiled member node returning call5443 (depth = 6)
  gc_frame_newslot(call5443);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5444 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5445 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call5446 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe5445);
// compiled call node returning call5446 (depth = 9)
// compiled member node returning call5446 (depth = 8)
  partcv[0] = 0;
  Object call5447 = callmethod(call5446, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5444);
// compiled call node returning call5447 (depth = 7)
// compiled member node returning call5447 (depth = 6)
  gc_frame_newslot(call5447);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 1734
  setline(1734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit5439;
  params[1] = call5443;
  params[2] = call5447;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5448 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe5438);
// compiled call node returning call5448 (depth = 5)
    gc_frame_newslot(call5448);
    if5386 = call5448;
  } else {
  }
// compiled if node returning if5386 (depth = 4)
// Begin line 1738
  setline(1738);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1737
  setline(1737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  *var_opdtype = *var_o;
  if (*var_o == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1738
  setline(1738);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5450 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block5451 = alloc_Block(NULL, NULL, "parser", 1738);
  gc_frame_newslot(block5451);
// method _apply
  block_savedest(block5451);
  Object closure5452 = createclosure(3, "_apply");
  setclosureframe(closure5452, stackframe);
  addtoclosure(closure5452, var_ops);
  addtoclosure(closure5452, var_prec);
  addtoclosure(closure5452, selfslot);
  struct UserObject *uo5452 = (struct UserObject*)block5451;
  uo5452->data[0] = (Object)closure5452;
  Method *meth_meth_parser__apply5452 = addmethod2pos(block5451, "_apply", &meth_parser__apply5452, 0);
  int argcv_meth_parser__apply5452[] = {0};
  meth_meth_parser__apply5452->type = alloc_MethodType(1, argcv_meth_parser__apply5452);
  meth_meth_parser__apply5452->definitionModule = modulename;
  meth_meth_parser__apply5452->definitionLine = 1735;
// compiled block node returning block5451 (depth = 5)
  gc_frame_newslot(block5451);
// starting to compile block node (depth = 5)
  Object block5468 = alloc_Block(NULL, NULL, "parser", 1738);
  gc_frame_newslot(block5468);
// method _apply
  block_savedest(block5468);
  Object closure5469 = createclosure(7, "_apply");
  setclosureframe(closure5469, stackframe);
  addtoclosure(closure5469, var_ops);
  addtoclosure(closure5469, var_o2);
  addtoclosure(closure5469, var_terms);
  addtoclosure(closure5469, var_tmp2);
  addtoclosure(closure5469, var_tmp);
  addtoclosure(closure5469, var_ast);
  addtoclosure(closure5469, selfslot);
  struct UserObject *uo5469 = (struct UserObject*)block5468;
  uo5469->data[0] = (Object)closure5469;
  Method *meth_meth_parser__apply5469 = addmethod2pos(block5468, "_apply", &meth_parser__apply5469, 0);
  int argcv_meth_parser__apply5469[] = {0};
  meth_meth_parser__apply5469->type = alloc_MethodType(1, argcv_meth_parser__apply5469);
  meth_meth_parser__apply5469->definitionModule = modulename;
  meth_meth_parser__apply5469->definitionLine = 1738;
// compiled block node returning block5468 (depth = 5)
  gc_frame_newslot(block5468);
// call case 5: prelude request
  params[0] = block5451;
  params[1] = block5468;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5487 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5450);
// compiled call node returning call5487 (depth = 4)
// Begin line 1750
  setline(1750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5488 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ops (depth = 5)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5489 = callmethod(*var_ops, "push",
    1, partcv, params);
  gc_frame_end(callframe5488);
// compiled call node returning call5489 (depth = 4)
// Begin line 1816
  setline(1816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1751
  setline(1751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5491 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5492 == NULL) {
    strlit5492 = alloc_String("lparen");
    gc_root(strlit5492);
  }
// compiled string node returning strlit5492 (depth = 6)
  gc_frame_newslot(strlit5492);
// call case 4: self request
  params[0] = strlit5492;
  partcv[0] = 1;
  Object call5493 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5491);
// compiled call node returning call5493 (depth = 5)
  Object if5490 = done;
  if (istrue(call5493)) {
// Begin line 1758
  setline(1758);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5494 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5495 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5494);
// compiled call node returning call5495 (depth = 6)
// compiled member node returning call5495 (depth = 5)
// Begin line 1770
  setline(1770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1759
  setline(1759);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5497 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 8)
  int callframe5498 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_recurse (depth = 9)
  gc_frame_newslot(*var_recurse);
// call case 4: self request
  params[0] = *var_recurse;
  partcv[0] = 1;
  Object call5499 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5498);
// compiled call node returning call5499 (depth = 8)
  partcv[0] = 0;
  Object call5500 = callmethod(call5499, "not",
    1, partcv, params);
  gc_frame_end(callframe5497);
// compiled call node returning call5500 (depth = 7)
// compiled member node returning call5500 (depth = 6)
  Object if5496 = done;
  if (istrue(call5500)) {
// Begin line 1761
  setline(1761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 1760
  setline(1760);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5501 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5502 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call5503 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5502);
// compiled call node returning call5503 (depth = 10)
// compiled member node returning call5503 (depth = 9)
  partcv[0] = 0;
  Object call5504 = callmethod(call5503, "new",
    1, partcv, params);
  gc_frame_end(callframe5501);
// compiled call node returning call5504 (depth = 8)
// compiled member node returning call5504 (depth = 7)
  *var_suggestion = call5504;
  if (call5504 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1761
  setline(1761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5505 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit5506 == NULL) {
    strlit5506 = alloc_String("rparen");
    gc_root(strlit5506);
  }
// compiled string node returning strlit5506 (depth = 8)
  gc_frame_newslot(strlit5506);
// call case 4: self request
  params[0] = strlit5506;
  partcv[0] = 1;
  Object call5507 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5505);
// compiled call node returning call5507 (depth = 7)
  *var_nextTok = call5507;
  if (call5507 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1767
  setline(1767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1762
  setline(1762);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_5509 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_5509 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult5511 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult5511 (depth = 7)
  Object if5508 = done;
  if (istrue(opresult5511)) {
// Begin line 1763
  setline(1763);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5512 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5514 == NULL) {
    strlit5514 = alloc_String("""\xc2""""\xbb""");
    gc_root(strlit5514);
  }
// compiled string node returning strlit5514 (depth = 9)
  int op_slot_right_5513 = gc_frame_newslot(strlit5514);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_name (depth = 10)
  int op_slot_right_5516 = gc_frame_newslot(*var_name);
// starting to compile string node (depth = 10)
  if (strlit5518 == NULL) {
    strlit5518 = alloc_String("""\xc2""""\xab""");
    gc_root(strlit5518);
  }
// compiled string node returning strlit5518 (depth = 10)
  int op_slot_left_5516 = gc_frame_newslot(strlit5518);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5519 = callmethod(strlit5518, "++", 1, partcv, params);
// compiled op node returning opresult5519 (depth = 9)
  int op_slot_left_5513 = gc_frame_newslot(opresult5519);
  params[0] = strlit5514;
  partcv[0] = 1;
  Object opresult5520 = callmethod(opresult5519, "++", 1, partcv, params);
// compiled op node returning opresult5520 (depth = 8)
  gc_frame_newslot(opresult5520);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = opresult5520;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5521 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5512);
// compiled call node returning call5521 (depth = 7)
    gc_frame_newslot(call5521);
    if5508 = call5521;
  } else {
// Begin line 1765
  setline(1765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5522 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5523 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  partcv[0] = 0;
  Object call5524 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe5523);
// compiled call node returning call5524 (depth = 9)
// compiled member node returning call5524 (depth = 8)
  gc_frame_newslot(call5524);
// starting to compile identifier node (depth = 8)
  Object bool5525 = alloc_Boolean(1);
// compiled identifier node returning bool5525 (depth = 8)
  gc_frame_newslot(bool5525);
// starting to compile identifier node (depth = 8)
  Object bool5526 = alloc_Boolean(0);
// compiled identifier node returning bool5526 (depth = 8)
  gc_frame_newslot(bool5526);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5528 == NULL) {
    strlit5528 = alloc_String("""\xc2""""\xbb""");
    gc_root(strlit5528);
  }
// compiled string node returning strlit5528 (depth = 9)
  int op_slot_right_5527 = gc_frame_newslot(strlit5528);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_name (depth = 10)
  int op_slot_right_5530 = gc_frame_newslot(*var_name);
// starting to compile string node (depth = 10)
  if (strlit5532 == NULL) {
    strlit5532 = alloc_String("""\xc2""""\xab""");
    gc_root(strlit5532);
  }
// compiled string node returning strlit5532 (depth = 10)
  int op_slot_left_5530 = gc_frame_newslot(strlit5532);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5533 = callmethod(strlit5532, "++", 1, partcv, params);
// compiled op node returning opresult5533 (depth = 9)
  int op_slot_left_5527 = gc_frame_newslot(opresult5533);
  params[0] = strlit5528;
  partcv[0] = 1;
  Object opresult5534 = callmethod(opresult5533, "++", 1, partcv, params);
// compiled op node returning opresult5534 (depth = 8)
  gc_frame_newslot(opresult5534);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = call5524;
  params[2] = bool5525;
  params[3] = bool5526;
  params[4] = opresult5534;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call5535 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe5522);
// compiled call node returning call5535 (depth = 7)
    gc_frame_newslot(call5535);
    if5508 = call5535;
  }
// compiled if node returning if5508 (depth = 6)
// Begin line 1767
  setline(1767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5536 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5538 == NULL) {
    strlit5538 = alloc_String(".");
    gc_root(strlit5538);
  }
// compiled string node returning strlit5538 (depth = 8)
  int op_slot_right_5537 = gc_frame_newslot(strlit5538);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_name (depth = 9)
  int op_slot_right_5540 = gc_frame_newslot(*var_name);
// starting to compile string node (depth = 9)
  if (strlit5542 == NULL) {
    strlit5542 = alloc_String("Parentheses must contain a valid ");
    gc_root(strlit5542);
  }
// compiled string node returning strlit5542 (depth = 9)
  int op_slot_left_5540 = gc_frame_newslot(strlit5542);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5543 = callmethod(strlit5542, "++", 1, partcv, params);
// compiled op node returning opresult5543 (depth = 8)
  int op_slot_left_5537 = gc_frame_newslot(opresult5543);
  params[0] = strlit5538;
  partcv[0] = 1;
  Object opresult5544 = callmethod(opresult5543, "++", 1, partcv, params);
// compiled op node returning opresult5544 (depth = 7)
  gc_frame_newslot(opresult5544);
// Begin line 1768
  setline(1768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5545 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call5546 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5545);
// compiled call node returning call5546 (depth = 8)
// compiled member node returning call5546 (depth = 7)
  gc_frame_newslot(call5546);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5547 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call5548 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5547);
// compiled call node returning call5548 (depth = 8)
// compiled member node returning call5548 (depth = 7)
  gc_frame_newslot(call5548);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1767
  setline(1767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult5544;
  params[1] = call5546;
  params[2] = call5548;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5549 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe5536);
// compiled call node returning call5549 (depth = 6)
    gc_frame_newslot(call5549);
    if5496 = call5549;
  } else {
  }
// compiled if node returning if5496 (depth = 5)
// Begin line 1777
  setline(1777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1770
  setline(1770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5552 == NULL) {
    strlit5552 = alloc_String("rparen");
    gc_root(strlit5552);
  }
// compiled string node returning strlit5552 (depth = 7)
  int op_slot_right_5551 = gc_frame_newslot(strlit5552);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5554 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call5555 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe5554);
// compiled call node returning call5555 (depth = 8)
// compiled member node returning call5555 (depth = 7)
  int op_slot_left_5551 = gc_frame_newslot(call5555);
  params[0] = strlit5552;
  partcv[0] = 1;
  Object opresult5556 = callmethod(call5555, "!=", 1, partcv, params);
// compiled op node returning opresult5556 (depth = 6)
  Object if5550 = done;
  if (istrue(opresult5556)) {
// Begin line 1771
  setline(1771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5557 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5558 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5557);
// compiled call node returning call5558 (depth = 7)
// compiled member node returning call5558 (depth = 6)
// Begin line 1773
  setline(1773);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 1772
  setline(1772);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5559 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5560 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call5561 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5560);
// compiled call node returning call5561 (depth = 10)
// compiled member node returning call5561 (depth = 9)
  partcv[0] = 0;
  Object call5562 = callmethod(call5561, "new",
    1, partcv, params);
  gc_frame_end(callframe5559);
// compiled call node returning call5562 (depth = 8)
// compiled member node returning call5562 (depth = 7)
  *var_suggestion = call5562;
  if (call5562 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1773
  setline(1773);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5563 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit5564 == NULL) {
    strlit5564 = alloc_String(")");
    gc_root(strlit5564);
  }
// compiled string node returning strlit5564 (depth = 7)
  gc_frame_newslot(strlit5564);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit5564;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5565 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5563);
// compiled call node returning call5565 (depth = 6)
// Begin line 1774
  setline(1774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5566 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit5567 == NULL) {
    strlit5567 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit5567);
  }
// compiled string node returning strlit5567 (depth = 7)
  gc_frame_newslot(strlit5567);
// Begin line 1775
  setline(1775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5568 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call5569 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe5568);
// compiled call node returning call5569 (depth = 8)
// compiled member node returning call5569 (depth = 7)
  gc_frame_newslot(call5569);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5571 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call5572 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe5571);
// compiled call node returning call5572 (depth = 9)
// compiled member node returning call5572 (depth = 8)
  int op_slot_right_5570 = gc_frame_newslot(call5572);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5574 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call5575 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5574);
// compiled call node returning call5575 (depth = 9)
// compiled member node returning call5575 (depth = 8)
  int op_slot_left_5570 = gc_frame_newslot(call5575);
  params[0] = call5572;
  partcv[0] = 1;
  Object sum5576 = callmethod(call5575, "+", 1, partcv, params);
// compiled op node returning sum5576 (depth = 7)
  gc_frame_newslot(sum5576);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1774
  setline(1774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit5567;
  params[1] = call5569;
  params[2] = sum5576;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5577 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe5566);
// compiled call node returning call5577 (depth = 6)
    gc_frame_newslot(call5577);
    if5550 = call5577;
  } else {
  }
// compiled if node returning if5550 (depth = 5)
// Begin line 1777
  setline(1777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5578 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5579 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5578);
// compiled call node returning call5579 (depth = 6)
// compiled member node returning call5579 (depth = 5)
    gc_frame_newslot(call5579);
    if5490 = call5579;
  } else {
// Begin line 1794
  setline(1794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1779
  setline(1779);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5581 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5582 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5583 = callmethodflags(self, "tokenOnSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5582);
// compiled call node returning call5583 (depth = 8)
// compiled member node returning call5583 (depth = 7)
  partcv[0] = 0;
  Object call5584 = callmethod(call5583, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe5581);
// compiled call node returning call5584 (depth = 6)
  Object if5580 = done;
  if (istrue(call5584)) {
// Begin line 1781
  setline(1781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 1780
  setline(1780);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 7)
  Object array5585 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5585 (depth = 7)
  *var_suggestions = array5585;
  if (array5585 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1782
  setline(1782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// Begin line 1781
  setline(1781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5586 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5587 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call5588 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5587);
// compiled call node returning call5588 (depth = 10)
// compiled member node returning call5588 (depth = 9)
  partcv[0] = 0;
  Object call5589 = callmethod(call5588, "new",
    1, partcv, params);
  gc_frame_end(callframe5586);
// compiled call node returning call5589 (depth = 8)
// compiled member node returning call5589 (depth = 7)
  *var_suggestion = call5589;
  if (call5589 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 1782
  setline(1782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5590 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 7)
  Object bool5591 = alloc_Boolean(1);
// compiled identifier node returning bool5591 (depth = 7)
  gc_frame_newslot(bool5591);
// starting to compile identifier node (depth = 7)
  Object bool5592 = alloc_Boolean(0);
// compiled identifier node returning bool5592 (depth = 7)
  gc_frame_newslot(bool5592);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_lastToken;
  params[1] = bool5591;
  params[2] = bool5592;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5593 = callmethod(*var_suggestion, "deleteToken()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe5590);
// compiled call node returning call5593 (depth = 6)
// Begin line 1783
  setline(1783);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5594 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5595 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5594);
// compiled call node returning call5595 (depth = 6)
// Begin line 1785
  setline(1785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 1784
  setline(1784);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5596 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5597 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call5598 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5597);
// compiled call node returning call5598 (depth = 10)
// compiled member node returning call5598 (depth = 9)
  partcv[0] = 0;
  Object call5599 = callmethod(call5598, "new",
    1, partcv, params);
  gc_frame_end(callframe5596);
// compiled call node returning call5599 (depth = 8)
// compiled member node returning call5599 (depth = 7)
  *var_suggestion = call5599;
  if (call5599 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1785
  setline(1785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5601 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5603 == NULL) {
    strlit5603 = alloc_String("""\xc2""""\xbb""");
    gc_root(strlit5603);
  }
// compiled string node returning strlit5603 (depth = 8)
  int op_slot_right_5602 = gc_frame_newslot(strlit5603);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_name (depth = 9)
  int op_slot_right_5605 = gc_frame_newslot(*var_name);
// starting to compile string node (depth = 9)
  if (strlit5607 == NULL) {
    strlit5607 = alloc_String(" ""\xc2""""\xab""");
    gc_root(strlit5607);
  }
// compiled string node returning strlit5607 (depth = 9)
  int op_slot_left_5605 = gc_frame_newslot(strlit5607);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5608 = callmethod(strlit5607, "++", 1, partcv, params);
// compiled op node returning opresult5608 (depth = 8)
  int op_slot_left_5602 = gc_frame_newslot(opresult5608);
  params[0] = strlit5603;
  partcv[0] = 1;
  Object opresult5609 = callmethod(opresult5608, "++", 1, partcv, params);
// compiled op node returning opresult5609 (depth = 7)
  gc_frame_newslot(opresult5609);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = opresult5609;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5610 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5601);
// compiled call node returning call5610 (depth = 6)
// Begin line 1786
  setline(1786);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5611 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5612 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5611);
// compiled call node returning call5612 (depth = 6)
// Begin line 1788
  setline(1788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 1787
  setline(1787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5613 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5614 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call5615 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5614);
// compiled call node returning call5615 (depth = 10)
// compiled member node returning call5615 (depth = 9)
  partcv[0] = 0;
  Object call5616 = callmethod(call5615, "new",
    1, partcv, params);
  gc_frame_end(callframe5613);
// compiled call node returning call5616 (depth = 8)
// compiled member node returning call5616 (depth = 7)
  *var_suggestion = call5616;
  if (call5616 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1788
  setline(1788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5618 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile index node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5620 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_util (depth = 11)
  partcv[0] = 0;
  Object call5621 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe5620);
// compiled call node returning call5621 (depth = 10)
// compiled member node returning call5621 (depth = 9)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5622 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call5623 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5622);
// compiled call node returning call5623 (depth = 10)
// compiled member node returning call5623 (depth = 9)
  params[0] = call5623;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres5624 = callmethod(call5621, "[]", 1, partcv, params);
// compiled index node returning idxres5624 (depth = 8)
  int op_slot_right_5619 = gc_frame_newslot(idxres5624);
// starting to compile string node (depth = 8)
  if (strlit5626 == NULL) {
    strlit5626 = alloc_String(" ");
    gc_root(strlit5626);
  }
// compiled string node returning strlit5626 (depth = 8)
  int op_slot_left_5619 = gc_frame_newslot(strlit5626);
  params[0] = idxres5624;
  partcv[0] = 1;
  Object opresult5627 = callmethod(strlit5626, "++", 1, partcv, params);
// compiled op node returning opresult5627 (depth = 7)
  gc_frame_newslot(opresult5627);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = opresult5627;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5628 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5618);
// compiled call node returning call5628 (depth = 6)
// Begin line 1789
  setline(1789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5629 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5630 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call5631 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5630);
// compiled call node returning call5631 (depth = 8)
// compiled member node returning call5631 (depth = 7)
  gc_frame_newslot(call5631);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = call5631;
  partcv[0] = 1;
  Object call5632 = callmethod(*var_suggestion, "deleteLine",
    1, partcv, params);
  gc_frame_end(callframe5629);
// compiled call node returning call5632 (depth = 6)
// Begin line 1790
  setline(1790);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5633 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5634 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5633);
// compiled call node returning call5634 (depth = 6)
// Begin line 1791
  setline(1791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5635 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5637 == NULL) {
    strlit5637 = alloc_String("'. This is often caused by a new line in the middle of an expression.");
    gc_root(strlit5637);
  }
// compiled string node returning strlit5637 (depth = 8)
  int op_slot_right_5636 = gc_frame_newslot(strlit5637);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5640 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call5641 = callmethod(*var_lastToken, "value",
    1, partcv, params);
  gc_frame_end(callframe5640);
// compiled call node returning call5641 (depth = 10)
// compiled member node returning call5641 (depth = 9)
  int op_slot_right_5639 = gc_frame_newslot(call5641);
// starting to compile string node (depth = 9)
  if (strlit5643 == NULL) {
    strlit5643 = alloc_String("A valid expression must follow '");
    gc_root(strlit5643);
  }
// compiled string node returning strlit5643 (depth = 9)
  int op_slot_left_5639 = gc_frame_newslot(strlit5643);
  params[0] = call5641;
  partcv[0] = 1;
  Object opresult5644 = callmethod(strlit5643, "++", 1, partcv, params);
// compiled op node returning opresult5644 (depth = 8)
  int op_slot_left_5636 = gc_frame_newslot(opresult5644);
  params[0] = strlit5637;
  partcv[0] = 1;
  Object opresult5645 = callmethod(opresult5644, "++", 1, partcv, params);
// compiled op node returning opresult5645 (depth = 7)
  gc_frame_newslot(opresult5645);
// Begin line 1792
  setline(1792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5646 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call5647 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe5646);
// compiled call node returning call5647 (depth = 8)
// compiled member node returning call5647 (depth = 7)
  gc_frame_newslot(call5647);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5649 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call5650 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe5649);
// compiled call node returning call5650 (depth = 9)
// compiled member node returning call5650 (depth = 8)
  int op_slot_right_5648 = gc_frame_newslot(call5650);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5652 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call5653 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5652);
// compiled call node returning call5653 (depth = 9)
// compiled member node returning call5653 (depth = 8)
  int op_slot_left_5648 = gc_frame_newslot(call5653);
  params[0] = call5650;
  partcv[0] = 1;
  Object sum5654 = callmethod(call5653, "+", 1, partcv, params);
// compiled op node returning sum5654 (depth = 7)
  gc_frame_newslot(sum5654);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 1791
  setline(1791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult5645;
  params[1] = call5647;
  params[2] = sum5654;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5655 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe5635);
// compiled call node returning call5655 (depth = 6)
    gc_frame_newslot(call5655);
    if5580 = call5655;
  } else {
  }
// compiled if node returning if5580 (depth = 5)
// Begin line 1810
  setline(1810);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1794
  setline(1794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5657 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 8)
  int callframe5658 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block5659 = alloc_Block(NULL, NULL, "parser", 1794);
  gc_frame_newslot(block5659);
// method _apply
  block_savedest(block5659);
  Object closure5660 = createclosure(1, "_apply");
  setclosureframe(closure5660, stackframe);
  addtoclosure(closure5660, selfslot);
  struct UserObject *uo5660 = (struct UserObject*)block5659;
  uo5660->data[0] = (Object)closure5660;
  Method *meth_meth_parser__apply5660 = addmethod2pos(block5659, "_apply", &meth_parser__apply5660, 0);
  int argcv_meth_parser__apply5660[] = {0};
  meth_meth_parser__apply5660->type = alloc_MethodType(1, argcv_meth_parser__apply5660);
  meth_meth_parser__apply5660->definitionModule = modulename;
  meth_meth_parser__apply5660->definitionLine = 1794;
// compiled block node returning block5659 (depth = 9)
  gc_frame_newslot(block5659);
// call case 4: self request
  params[0] = block5659;
  partcv[0] = 1;
  Object call5664 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5658);
// compiled call node returning call5664 (depth = 8)
  partcv[0] = 0;
  Object call5665 = callmethod(call5664, "not",
    1, partcv, params);
  gc_frame_end(callframe5657);
// compiled call node returning call5665 (depth = 7)
// compiled member node returning call5665 (depth = 6)
  Object if5656 = done;
  if (istrue(call5665)) {
// Begin line 1796
  setline(1796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 1795
  setline(1795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 7)
  Object array5666 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5666 (depth = 7)
  *var_suggestions = array5666;
  if (array5666 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1797
  setline(1797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// Begin line 1796
  setline(1796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5667 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5668 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call5669 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5668);
// compiled call node returning call5669 (depth = 10)
// compiled member node returning call5669 (depth = 9)
  partcv[0] = 0;
  Object call5670 = callmethod(call5669, "new",
    1, partcv, params);
  gc_frame_end(callframe5667);
// compiled call node returning call5670 (depth = 8)
// compiled member node returning call5670 (depth = 7)
  *var_suggestion = call5670;
  if (call5670 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 1797
  setline(1797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5671 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit5672 == NULL) {
    strlit5672 = alloc_String("comma");
    gc_root(strlit5672);
  }
// compiled string node returning strlit5672 (depth = 8)
  gc_frame_newslot(strlit5672);
// starting to compile string node (depth = 8)
  if (strlit5673 == NULL) {
    strlit5673 = alloc_String("rparen");
    gc_root(strlit5673);
  }
// compiled string node returning strlit5673 (depth = 8)
  gc_frame_newslot(strlit5673);
// starting to compile string node (depth = 8)
  if (strlit5674 == NULL) {
    strlit5674 = alloc_String("rsquare");
    gc_root(strlit5674);
  }
// compiled string node returning strlit5674 (depth = 8)
  gc_frame_newslot(strlit5674);
// starting to compile string node (depth = 8)
  if (strlit5675 == NULL) {
    strlit5675 = alloc_String("rbrace");
    gc_root(strlit5675);
  }
// compiled string node returning strlit5675 (depth = 8)
  gc_frame_newslot(strlit5675);
// call case 4: self request
  params[0] = strlit5672;
  params[1] = strlit5673;
  params[2] = strlit5674;
  params[3] = strlit5675;
  partcv[0] = 4;
  Object call5676 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5671);
// compiled call node returning call5676 (depth = 7)
  *var_nextTok = call5676;
  if (call5676 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1803
  setline(1803);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1798
  setline(1798);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_5678 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_5678 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult5680 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult5680 (depth = 7)
  Object if5677 = done;
  if (istrue(opresult5680)) {
// Begin line 1799
  setline(1799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5681 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5683 == NULL) {
    strlit5683 = alloc_String("""\xc2""""\xbb""");
    gc_root(strlit5683);
  }
// compiled string node returning strlit5683 (depth = 9)
  int op_slot_right_5682 = gc_frame_newslot(strlit5683);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_name (depth = 10)
  int op_slot_right_5685 = gc_frame_newslot(*var_name);
// starting to compile string node (depth = 10)
  if (strlit5687 == NULL) {
    strlit5687 = alloc_String(" ""\xc2""""\xab""");
    gc_root(strlit5687);
  }
// compiled string node returning strlit5687 (depth = 10)
  int op_slot_left_5685 = gc_frame_newslot(strlit5687);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5688 = callmethod(strlit5687, "++", 1, partcv, params);
// compiled op node returning opresult5688 (depth = 9)
  int op_slot_left_5682 = gc_frame_newslot(opresult5688);
  params[0] = strlit5683;
  partcv[0] = 1;
  Object opresult5689 = callmethod(opresult5688, "++", 1, partcv, params);
// compiled op node returning opresult5689 (depth = 8)
  gc_frame_newslot(opresult5689);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = opresult5689;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5690 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5681);
// compiled call node returning call5690 (depth = 7)
    gc_frame_newslot(call5690);
    if5677 = call5690;
  } else {
// Begin line 1801
  setline(1801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5691 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5692 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  partcv[0] = 0;
  Object call5693 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe5692);
// compiled call node returning call5693 (depth = 9)
// compiled member node returning call5693 (depth = 8)
  gc_frame_newslot(call5693);
// starting to compile identifier node (depth = 8)
  Object bool5694 = alloc_Boolean(1);
// compiled identifier node returning bool5694 (depth = 8)
  gc_frame_newslot(bool5694);
// starting to compile identifier node (depth = 8)
  Object bool5695 = alloc_Boolean(0);
// compiled identifier node returning bool5695 (depth = 8)
  gc_frame_newslot(bool5695);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5697 == NULL) {
    strlit5697 = alloc_String("""\xc2""""\xbb""");
    gc_root(strlit5697);
  }
// compiled string node returning strlit5697 (depth = 9)
  int op_slot_right_5696 = gc_frame_newslot(strlit5697);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_name (depth = 10)
  int op_slot_right_5699 = gc_frame_newslot(*var_name);
// starting to compile string node (depth = 10)
  if (strlit5701 == NULL) {
    strlit5701 = alloc_String(" ""\xc2""""\xab""");
    gc_root(strlit5701);
  }
// compiled string node returning strlit5701 (depth = 10)
  int op_slot_left_5699 = gc_frame_newslot(strlit5701);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5702 = callmethod(strlit5701, "++", 1, partcv, params);
// compiled op node returning opresult5702 (depth = 9)
  int op_slot_left_5696 = gc_frame_newslot(opresult5702);
  params[0] = strlit5697;
  partcv[0] = 1;
  Object opresult5703 = callmethod(opresult5702, "++", 1, partcv, params);
// compiled op node returning opresult5703 (depth = 8)
  gc_frame_newslot(opresult5703);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = call5693;
  params[2] = bool5694;
  params[3] = bool5695;
  params[4] = opresult5703;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call5704 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe5691);
// compiled call node returning call5704 (depth = 7)
    gc_frame_newslot(call5704);
    if5677 = call5704;
  }
// compiled if node returning if5677 (depth = 6)
// Begin line 1803
  setline(1803);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5705 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5706 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5705);
// compiled call node returning call5706 (depth = 6)
// Begin line 1805
  setline(1805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 1804
  setline(1804);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5707 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5708 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call5709 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5708);
// compiled call node returning call5709 (depth = 10)
// compiled member node returning call5709 (depth = 9)
  partcv[0] = 0;
  Object call5710 = callmethod(call5709, "new",
    1, partcv, params);
  gc_frame_end(callframe5707);
// compiled call node returning call5710 (depth = 8)
// compiled member node returning call5710 (depth = 7)
  *var_suggestion = call5710;
  if (call5710 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1805
  setline(1805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5712 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5713 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  partcv[0] = 0;
  Object call5714 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe5713);
// compiled call node returning call5714 (depth = 8)
// compiled member node returning call5714 (depth = 7)
  gc_frame_newslot(call5714);
// starting to compile identifier node (depth = 7)
  Object bool5715 = alloc_Boolean(1);
// compiled identifier node returning bool5715 (depth = 7)
  gc_frame_newslot(bool5715);
// starting to compile identifier node (depth = 7)
  Object bool5716 = alloc_Boolean(0);
// compiled identifier node returning bool5716 (depth = 7)
  gc_frame_newslot(bool5716);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_lastToken;
  params[1] = call5714;
  params[2] = bool5715;
  params[3] = bool5716;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5717 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe5712);
// compiled call node returning call5717 (depth = 6)
// Begin line 1806
  setline(1806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5718 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5719 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5718);
// compiled call node returning call5719 (depth = 6)
// Begin line 1807
  setline(1807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5720 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5722 == NULL) {
    strlit5722 = alloc_String("'. This is often caused by a new line in the middle of an expression.");
    gc_root(strlit5722);
  }
// compiled string node returning strlit5722 (depth = 8)
  int op_slot_right_5721 = gc_frame_newslot(strlit5722);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5725 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call5726 = callmethod(*var_lastToken, "value",
    1, partcv, params);
  gc_frame_end(callframe5725);
// compiled call node returning call5726 (depth = 10)
// compiled member node returning call5726 (depth = 9)
  int op_slot_right_5724 = gc_frame_newslot(call5726);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5729 == NULL) {
    strlit5729 = alloc_String(" must follow '");
    gc_root(strlit5729);
  }
// compiled string node returning strlit5729 (depth = 10)
  int op_slot_right_5728 = gc_frame_newslot(strlit5729);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_name (depth = 11)
  int op_slot_right_5731 = gc_frame_newslot(*var_name);
// starting to compile string node (depth = 11)
  if (strlit5733 == NULL) {
    strlit5733 = alloc_String("A valid ");
    gc_root(strlit5733);
  }
// compiled string node returning strlit5733 (depth = 11)
  int op_slot_left_5731 = gc_frame_newslot(strlit5733);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5734 = callmethod(strlit5733, "++", 1, partcv, params);
// compiled op node returning opresult5734 (depth = 10)
  int op_slot_left_5728 = gc_frame_newslot(opresult5734);
  params[0] = strlit5729;
  partcv[0] = 1;
  Object opresult5735 = callmethod(opresult5734, "++", 1, partcv, params);
// compiled op node returning opresult5735 (depth = 9)
  int op_slot_left_5724 = gc_frame_newslot(opresult5735);
  params[0] = call5726;
  partcv[0] = 1;
  Object opresult5736 = callmethod(opresult5735, "++", 1, partcv, params);
// compiled op node returning opresult5736 (depth = 8)
  int op_slot_left_5721 = gc_frame_newslot(opresult5736);
  params[0] = strlit5722;
  partcv[0] = 1;
  Object opresult5737 = callmethod(opresult5736, "++", 1, partcv, params);
// compiled op node returning opresult5737 (depth = 7)
  gc_frame_newslot(opresult5737);
// Begin line 1808
  setline(1808);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5738 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call5739 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe5738);
// compiled call node returning call5739 (depth = 8)
// compiled member node returning call5739 (depth = 7)
  gc_frame_newslot(call5739);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5741 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call5742 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe5741);
// compiled call node returning call5742 (depth = 9)
// compiled member node returning call5742 (depth = 8)
  int op_slot_right_5740 = gc_frame_newslot(call5742);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5744 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call5745 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5744);
// compiled call node returning call5745 (depth = 9)
// compiled member node returning call5745 (depth = 8)
  int op_slot_left_5740 = gc_frame_newslot(call5745);
  params[0] = call5742;
  partcv[0] = 1;
  Object sum5746 = callmethod(call5745, "+", 1, partcv, params);
// compiled op node returning sum5746 (depth = 7)
  gc_frame_newslot(sum5746);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 1807
  setline(1807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult5737;
  params[1] = call5739;
  params[2] = sum5746;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5747 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe5720);
// compiled call node returning call5747 (depth = 6)
    gc_frame_newslot(call5747);
    if5656 = call5747;
  } else {
  }
// compiled if node returning if5656 (depth = 5)
    gc_frame_newslot(if5656);
    if5490 = if5656;
  }
// compiled if node returning if5490 (depth = 4)
// Begin line 1816
  setline(1816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5748 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_acceptBlocks (depth = 5)
  gc_frame_newslot(*var_acceptBlocks);
// call case 4: self request
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call5749 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5748);
// compiled call node returning call5749 (depth = 4)
// Begin line 1817
  setline(1817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5750 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_acceptBlocks (depth = 5)
  gc_frame_newslot(*var_acceptBlocks);
// call case 4: self request
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call5751 = callmethodflags(self, "callrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5750);
// compiled call node returning call5751 (depth = 4)
// Begin line 1818
  setline(1818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5752 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5753 = callmethodflags(self, "postfixsquare", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5752);
// compiled call node returning call5753 (depth = 5)
// compiled member node returning call5753 (depth = 4)
// Begin line 1820
  setline(1820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1819
  setline(1819);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5754 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  partcv[0] = 0;
  Object call5755 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5754);
// compiled call node returning call5755 (depth = 6)
// compiled member node returning call5755 (depth = 5)
  *var_tmp = call5755;
  if (call5755 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1820
  setline(1820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5757 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tmp (depth = 5)
  gc_frame_newslot(*var_tmp);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_terms (depth = 5)
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5758 = callmethod(*var_terms, "push",
    1, partcv, params);
  gc_frame_end(callframe5757);
// compiled call node returning call5758 (depth = 4)
  gc_frame_end(frame);
  return call5758;
}
Object meth_parser__apply5763(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ops = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num5765 = alloc_Float64(0);
// compiled num node returning num5765 (depth = 5)
  int op_slot_right_5764 = gc_frame_newslot(num5765);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5767 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ops (depth = 7)
  partcv[0] = 0;
  Object call5768 = callmethod(*var_ops, "size",
    1, partcv, params);
  gc_frame_end(callframe5767);
// compiled call node returning call5768 (depth = 6)
// compiled member node returning call5768 (depth = 5)
  int op_slot_left_5764 = gc_frame_newslot(call5768);
  params[0] = num5765;
  partcv[0] = 1;
  Object opresult5769 = callmethod(call5768, ">", 1, partcv, params);
// compiled op node returning opresult5769 (depth = 4)
  gc_frame_end(frame);
  return opresult5769;
}
Object meth_parser__apply5772(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_ops = getfromclosure(closure, 0);
  Object *var_o = getfromclosure(closure, 1);
  Object *var_terms = getfromclosure(closure, 2);
  Object *var_tmp2 = getfromclosure(closure, 3);
  Object *var_tmp = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1825
  setline(1825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1824
  setline(1824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5773 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ops (depth = 7)
  partcv[0] = 0;
  Object call5774 = callmethod(*var_ops, "pop",
    1, partcv, params);
  gc_frame_end(callframe5773);
// compiled call node returning call5774 (depth = 6)
// compiled member node returning call5774 (depth = 5)
  *var_o = call5774;
  if (call5774 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1826
  setline(1826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1825
  setline(1825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5776 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_terms (depth = 7)
  partcv[0] = 0;
  Object call5777 = callmethod(*var_terms, "pop",
    1, partcv, params);
  gc_frame_end(callframe5776);
// compiled call node returning call5777 (depth = 6)
// compiled member node returning call5777 (depth = 5)
  *var_tmp2 = call5777;
  if (call5777 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1827
  setline(1827);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1826
  setline(1826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5779 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_terms (depth = 7)
  partcv[0] = 0;
  Object call5780 = callmethod(*var_terms, "pop",
    1, partcv, params);
  gc_frame_end(callframe5779);
// compiled call node returning call5780 (depth = 6)
// compiled member node returning call5780 (depth = 5)
  *var_tmp = call5780;
  if (call5780 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1827
  setline(1827);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5782 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_o (depth = 6)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tmp (depth = 6)
  gc_frame_newslot(*var_tmp);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tmp2 (depth = 6)
  gc_frame_newslot(*var_tmp2);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5783 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ast (depth = 8)
  partcv[0] = 0;
  Object call5784 = callmethod(*var_ast, "opNode",
    1, partcv, params);
  gc_frame_end(callframe5783);
// compiled call node returning call5784 (depth = 7)
// compiled member node returning call5784 (depth = 6)
  params[0] = *var_o;
  params[1] = *var_tmp;
  params[2] = *var_tmp2;
  partcv[0] = 3;
  Object call5785 = callmethod(call5784, "new",
    1, partcv, params);
  gc_frame_end(callframe5782);
// compiled call node returning call5785 (depth = 5)
  *var_tmp = call5785;
  if (call5785 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1828
  setline(1828);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5787 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tmp (depth = 5)
  gc_frame_newslot(*var_tmp);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_terms (depth = 5)
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5788 = callmethod(*var_terms, "push",
    1, partcv, params);
  gc_frame_end(callframe5787);
// compiled call node returning call5788 (depth = 4)
  gc_frame_end(frame);
  return call5788;
}
Object meth_parser_expressionrest_40__41_recursingWith_40__41_blocks5315(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 39, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(14, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "expressionrest()recursingWith()blocks");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method expressionrest()recursingWith()blocks");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method expressionrest()recursingWith()blocks");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method expressionrest()recursingWith()blocks");
  Object params[3];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_statementToken = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  Object *var_util = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for expressionrest()recursingWith()blocks (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for expressionrest");
  Object *var_recurse = &(stackframe->slots[1]);
  *var_recurse = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for recursingWith");
  Object *var_acceptBlocks = &(stackframe->slots[2]);
  *var_acceptBlocks = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for blocks");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_terms = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "terms");
  Object *var_ops = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "ops");
  Object *var_o = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "o");
  Object *var_o2 = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "o2");
  Object *var_tmp2 = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "tmp2");
  Object *var_tmp = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "tmp");
  Object *var_prec = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "prec");
  Object *var_allarith = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "allarith");
  Object *var_opcount = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "opcount");
  Object *var_opdtype = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "opdtype");
// Begin line 1702
  setline(1702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1701
  setline(1701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array5316 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5316 (depth = 3)
  *var_terms = array5316;
  if (array5316 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1703
  setline(1703);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1702
  setline(1702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array5317 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5317 (depth = 3)
  *var_ops = array5317;
  if (array5317 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1704
  setline(1704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_o = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 1705
  setline(1705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_o2 = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 1706
  setline(1706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_tmp2 = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 1707
  setline(1707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1706
  setline(1706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5318 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  partcv[0] = 0;
  Object call5319 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5318);
// compiled call node returning call5319 (depth = 4)
// compiled member node returning call5319 (depth = 3)
  *var_tmp = call5319;
  if (call5319 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1707
  setline(1707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5320 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tmp (depth = 3)
  gc_frame_newslot(*var_tmp);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_terms (depth = 3)
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5321 = callmethod(*var_terms, "push",
    1, partcv, params);
  gc_frame_end(callframe5320);
// compiled call node returning call5321 (depth = 2)
// Begin line 1709
  setline(1709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_prec = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 1710
  setline(1710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1709
  setline(1709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5322 = alloc_Boolean(1);
// compiled identifier node returning bool5322 (depth = 3)
  *var_allarith = bool5322;
  if (bool5322 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1711
  setline(1711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1710
  setline(1710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num5323 = alloc_Float64(0);
// compiled num node returning num5323 (depth = 3)
  *var_opcount = num5323;
  if (num5323 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1712
  setline(1712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1711
  setline(1711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5324 == NULL) {
    strlit5324 = alloc_String("");
    gc_root(strlit5324);
  }
// compiled string node returning strlit5324 (depth = 3)
  *var_opdtype = strlit5324;
  if (strlit5324 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1712
  setline(1712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5325 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block5326 = alloc_Block(NULL, NULL, "parser", 1712);
  gc_frame_newslot(block5326);
// method _apply
  block_savedest(block5326);
  Object closure5327 = createclosure(3, "_apply");
  setclosureframe(closure5327, stackframe);
  addtoclosure(closure5327, var_sym);
  addtoclosure(closure5327, var_statementToken);
  addtoclosure(closure5327, selfslot);
  struct UserObject *uo5327 = (struct UserObject*)block5326;
  uo5327->data[0] = (Object)closure5327;
  Method *meth_meth_parser__apply5327 = addmethod2pos(block5326, "_apply", &meth_parser__apply5327, 0);
  int argcv_meth_parser__apply5327[] = {0};
  meth_meth_parser__apply5327->type = alloc_MethodType(1, argcv_meth_parser__apply5327);
  meth_meth_parser__apply5327->definitionModule = modulename;
  meth_meth_parser__apply5327->definitionLine = 1706;
// compiled block node returning block5326 (depth = 3)
  gc_frame_newslot(block5326);
// Begin line 1713
  setline(1713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block5343 = alloc_Block(NULL, NULL, "parser", 1713);
  gc_frame_newslot(block5343);
// method _apply
  block_savedest(block5343);
  Object closure5344 = createclosure(20, "_apply");
  setclosureframe(closure5344, stackframe);
  addtoclosure(closure5344, var_opcount);
  addtoclosure(closure5344, var_sym);
  addtoclosure(closure5344, var_o);
  addtoclosure(closure5344, var_prec);
  addtoclosure(closure5344, var_allarith);
  addtoclosure(closure5344, var_opdtype);
  addtoclosure(closure5344, var_errormessages);
  addtoclosure(closure5344, var_lastToken);
  addtoclosure(closure5344, var_ops);
  addtoclosure(closure5344, var_o2);
  addtoclosure(closure5344, var_terms);
  addtoclosure(closure5344, var_tmp2);
  addtoclosure(closure5344, var_tmp);
  addtoclosure(closure5344, var_ast);
  addtoclosure(closure5344, var_recurse);
  addtoclosure(closure5344, var_name);
  addtoclosure(closure5344, var_util);
  addtoclosure(closure5344, var_acceptBlocks);
  addtoclosure(closure5344, var_values);
  addtoclosure(closure5344, selfslot);
  struct UserObject *uo5344 = (struct UserObject*)block5343;
  uo5344->data[0] = (Object)closure5344;
  Method *meth_meth_parser__apply5344 = addmethod2pos(block5343, "_apply", &meth_parser__apply5344, 0);
  int argcv_meth_parser__apply5344[] = {0};
  meth_meth_parser__apply5344->type = alloc_MethodType(1, argcv_meth_parser__apply5344);
  meth_meth_parser__apply5344->definitionModule = modulename;
  meth_meth_parser__apply5344->definitionLine = 1713;
// compiled block node returning block5343 (depth = 3)
  gc_frame_newslot(block5343);
// call case 5: prelude request
  params[0] = block5326;
  params[1] = block5343;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5760 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5325);
// compiled call node returning call5760 (depth = 2)
// Begin line 1822
  setline(1822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5761 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block5762 = alloc_Block(NULL, NULL, "parser", 1822);
  gc_frame_newslot(block5762);
// method _apply
  block_savedest(block5762);
  Object closure5763 = createclosure(2, "_apply");
  setclosureframe(closure5763, stackframe);
  addtoclosure(closure5763, var_ops);
  addtoclosure(closure5763, selfslot);
  struct UserObject *uo5763 = (struct UserObject*)block5762;
  uo5763->data[0] = (Object)closure5763;
  Method *meth_meth_parser__apply5763 = addmethod2pos(block5762, "_apply", &meth_parser__apply5763, 0);
  int argcv_meth_parser__apply5763[] = {0};
  meth_meth_parser__apply5763->type = alloc_MethodType(1, argcv_meth_parser__apply5763);
  meth_meth_parser__apply5763->definitionModule = modulename;
  meth_meth_parser__apply5763->definitionLine = 1819;
// compiled block node returning block5762 (depth = 3)
  gc_frame_newslot(block5762);
// starting to compile block node (depth = 3)
  Object block5771 = alloc_Block(NULL, NULL, "parser", 1822);
  gc_frame_newslot(block5771);
// method _apply
  block_savedest(block5771);
  Object closure5772 = createclosure(7, "_apply");
  setclosureframe(closure5772, stackframe);
  addtoclosure(closure5772, var_ops);
  addtoclosure(closure5772, var_o);
  addtoclosure(closure5772, var_terms);
  addtoclosure(closure5772, var_tmp2);
  addtoclosure(closure5772, var_tmp);
  addtoclosure(closure5772, var_ast);
  addtoclosure(closure5772, selfslot);
  struct UserObject *uo5772 = (struct UserObject*)block5771;
  uo5772->data[0] = (Object)closure5772;
  Method *meth_meth_parser__apply5772 = addmethod2pos(block5771, "_apply", &meth_parser__apply5772, 0);
  int argcv_meth_parser__apply5772[] = {0};
  meth_meth_parser__apply5772->type = alloc_MethodType(1, argcv_meth_parser__apply5772);
  meth_meth_parser__apply5772->definitionModule = modulename;
  meth_meth_parser__apply5772->definitionLine = 1822;
// compiled block node returning block5771 (depth = 3)
  gc_frame_newslot(block5771);
// call case 5: prelude request
  params[0] = block5762;
  params[1] = block5771;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5790 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5761);
// compiled call node returning call5790 (depth = 2)
// Begin line 1831
  setline(1831);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 1830
  setline(1830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5791 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_terms (depth = 5)
  partcv[0] = 0;
  Object call5792 = callmethod(*var_terms, "pop",
    1, partcv, params);
  gc_frame_end(callframe5791);
// compiled call node returning call5792 (depth = 4)
// compiled member node returning call5792 (depth = 3)
  *var_tmp = call5792;
  if (call5792 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 2)
// Begin line 1831
  setline(1831);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5794 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tmp (depth = 3)
  gc_frame_newslot(*var_tmp);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5795 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe5794);
// compiled call node returning call5795 (depth = 2)
// Begin line 1835
  setline(1835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1832
  setline(1832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num5798 = alloc_Float64(0);
// compiled num node returning num5798 (depth = 4)
  int op_slot_right_5797 = gc_frame_newslot(num5798);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5800 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_terms (depth = 6)
  partcv[0] = 0;
  Object call5801 = callmethod(*var_terms, "size",
    1, partcv, params);
  gc_frame_end(callframe5800);
// compiled call node returning call5801 (depth = 5)
// compiled member node returning call5801 (depth = 4)
  int op_slot_left_5797 = gc_frame_newslot(call5801);
  params[0] = num5798;
  partcv[0] = 1;
  Object opresult5802 = callmethod(call5801, ">", 1, partcv, params);
// compiled op node returning opresult5802 (depth = 3)
  Object if5796 = done;
  if (istrue(opresult5802)) {
// Begin line 1833
  setline(1833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5803 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit5804 == NULL) {
    strlit5804 = alloc_String("Values left on term stack.");
    gc_root(strlit5804);
  }
// compiled string node returning strlit5804 (depth = 4)
  gc_frame_newslot(strlit5804);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5805 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call5806 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5805);
// compiled call node returning call5806 (depth = 5)
// compiled member node returning call5806 (depth = 4)
  gc_frame_newslot(call5806);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5807 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call5808 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5807);
// compiled call node returning call5808 (depth = 5)
// compiled member node returning call5808 (depth = 4)
  gc_frame_newslot(call5808);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit5804;
  params[1] = call5806;
  params[2] = call5808;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call5809 = callmethod(*var_errormessages, "syntaxError()atPosition",
    2, partcv, params);
  gc_frame_end(callframe5803);
// compiled call node returning call5809 (depth = 3)
    gc_frame_newslot(call5809);
    if5796 = call5809;
  } else {
  }
// compiled if node returning if5796 (depth = 2)
  gc_frame_end(frame);
  return if5796;
}
Object meth_parser_dotrest5810(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 40, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dotrest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method dotrest");
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dotrest (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_acceptBlocks = &(stackframe->slots[0]);
  *var_acceptBlocks = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for dotrest");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_lookuptarget = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "lookuptarget");
  Object *var_dro = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "dro");
  Object *var_suggestions = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestions");
  Object *var_suggestion = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "suggestion");
// Begin line 1870
  setline(1870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1841
  setline(1841);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5812 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit5813 == NULL) {
    strlit5813 = alloc_String("dot");
    gc_root(strlit5813);
  }
// compiled string node returning strlit5813 (depth = 4)
  gc_frame_newslot(strlit5813);
// call case 4: self request
  params[0] = strlit5813;
  partcv[0] = 1;
  Object call5814 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5812);
// compiled call node returning call5814 (depth = 3)
  Object if5811 = done;
  if (istrue(call5814)) {
// Begin line 1842
  setline(1842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5815 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5816 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call5817 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5816);
// compiled call node returning call5817 (depth = 5)
// compiled member node returning call5817 (depth = 4)
  gc_frame_newslot(call5817);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5818 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call5819 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5818);
// compiled call node returning call5819 (depth = 5)
// compiled member node returning call5819 (depth = 4)
  gc_frame_newslot(call5819);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call5817;
  params[1] = call5819;
  partcv[0] = 2;
  Object call5820 = callmethod(*var_util, "setPosition",
    1, partcv, params);
  gc_frame_end(callframe5815);
// compiled call node returning call5820 (depth = 3)
// Begin line 1844
  setline(1844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 1843
  setline(1843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5821 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call5822 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5821);
// compiled call node returning call5822 (depth = 5)
// compiled member node returning call5822 (depth = 4)
  *var_lookuptarget = call5822;
  if (call5822 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1844
  setline(1844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5823 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5824 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5823);
// compiled call node returning call5824 (depth = 4)
// compiled member node returning call5824 (depth = 3)
// Begin line 1869
  setline(1869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1845
  setline(1845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5826 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit5827 == NULL) {
    strlit5827 = alloc_String("identifier");
    gc_root(strlit5827);
  }
// compiled string node returning strlit5827 (depth = 5)
  gc_frame_newslot(strlit5827);
// call case 4: self request
  params[0] = strlit5827;
  partcv[0] = 1;
  Object call5828 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5826);
// compiled call node returning call5828 (depth = 4)
  Object if5825 = done;
  if (istrue(call5828)) {
// Begin line 1846
  setline(1846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5829 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5830 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call5831 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5830);
// compiled call node returning call5831 (depth = 6)
// compiled member node returning call5831 (depth = 5)
  gc_frame_newslot(call5831);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5832 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call5833 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5832);
// compiled call node returning call5833 (depth = 6)
// compiled member node returning call5833 (depth = 5)
  gc_frame_newslot(call5833);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  params[0] = call5831;
  params[1] = call5833;
  partcv[0] = 2;
  Object call5834 = callmethod(*var_util, "setPosition",
    1, partcv, params);
  gc_frame_end(callframe5829);
// compiled call node returning call5834 (depth = 4)
// Begin line 1847
  setline(1847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5835 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5836 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call5837 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe5836);
// compiled call node returning call5837 (depth = 7)
// compiled member node returning call5837 (depth = 6)
  gc_frame_newslot(call5837);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lookuptarget (depth = 6)
  gc_frame_newslot(*var_lookuptarget);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5838 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ast (depth = 8)
  partcv[0] = 0;
  Object call5839 = callmethod(*var_ast, "memberNode",
    1, partcv, params);
  gc_frame_end(callframe5838);
// compiled call node returning call5839 (depth = 7)
// compiled member node returning call5839 (depth = 6)
  params[0] = call5837;
  params[1] = *var_lookuptarget;
  partcv[0] = 2;
  Object call5840 = callmethod(call5839, "new",
    1, partcv, params);
  gc_frame_end(callframe5835);
// compiled call node returning call5840 (depth = 5)
  *var_dro = call5840;
  if (call5840 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1848
  setline(1848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5841 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dro (depth = 5)
  gc_frame_newslot(*var_dro);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  params[0] = *var_dro;
  partcv[0] = 1;
  Object call5842 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe5841);
// compiled call node returning call5842 (depth = 4)
// Begin line 1849
  setline(1849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5843 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5844 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5843);
// compiled call node returning call5844 (depth = 5)
// compiled member node returning call5844 (depth = 4)
// Begin line 1858
  setline(1858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1850
  setline(1850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5846 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5847 == NULL) {
    strlit5847 = alloc_String("dot");
    gc_root(strlit5847);
  }
// compiled string node returning strlit5847 (depth = 6)
  gc_frame_newslot(strlit5847);
// call case 4: self request
  params[0] = strlit5847;
  partcv[0] = 1;
  Object call5848 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5846);
// compiled call node returning call5848 (depth = 5)
  Object if5845 = done;
  if (istrue(call5848)) {
// Begin line 1851
  setline(1851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5849 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acceptBlocks (depth = 6)
  gc_frame_newslot(*var_acceptBlocks);
// call case 4: self request
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call5850 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5849);
// compiled call node returning call5850 (depth = 5)
    gc_frame_newslot(call5850);
    if5845 = call5850;
  } else {
// Begin line 1858
  setline(1858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1854
  setline(1854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5853 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit5854 == NULL) {
    strlit5854 = alloc_String("lgeneric");
    gc_root(strlit5854);
  }
// compiled string node returning strlit5854 (depth = 8)
  gc_frame_newslot(strlit5854);
// call case 4: self request
  params[0] = strlit5854;
  partcv[0] = 1;
  Object call5855 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5853);
// compiled call node returning call5855 (depth = 7)
  int op_slot_right_5852 = gc_frame_newslot(call5855);
// starting to compile op node (depth = 7)
// Begin line 1853
  setline(1853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe5858 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit5859 == NULL) {
    strlit5859 = alloc_String("lsquare");
    gc_root(strlit5859);
  }
// compiled string node returning strlit5859 (depth = 9)
  gc_frame_newslot(strlit5859);
// call case 4: self request
  params[0] = strlit5859;
  partcv[0] = 1;
  Object call5860 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5858);
// compiled call node returning call5860 (depth = 8)
  int op_slot_right_5857 = gc_frame_newslot(call5860);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5863 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit5864 == NULL) {
    strlit5864 = alloc_String("string");
    gc_root(strlit5864);
  }
// compiled string node returning strlit5864 (depth = 10)
  gc_frame_newslot(strlit5864);
// call case 4: self request
  params[0] = strlit5864;
  partcv[0] = 1;
  Object call5865 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5863);
// compiled call node returning call5865 (depth = 9)
  int op_slot_right_5862 = gc_frame_newslot(call5865);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5868 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit5869 == NULL) {
    strlit5869 = alloc_String("num");
    gc_root(strlit5869);
  }
// compiled string node returning strlit5869 (depth = 11)
  gc_frame_newslot(strlit5869);
// call case 4: self request
  params[0] = strlit5869;
  partcv[0] = 1;
  Object call5870 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5868);
// compiled call node returning call5870 (depth = 10)
  int op_slot_right_5867 = gc_frame_newslot(call5870);
// starting to compile op node (depth = 10)
// Begin line 1852
  setline(1852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe5874 = gc_frame_new();
// starting to compile string node (depth = 13)
  if (strlit5875 == NULL) {
    strlit5875 = alloc_String("lbrace");
    gc_root(strlit5875);
  }
// compiled string node returning strlit5875 (depth = 13)
  gc_frame_newslot(strlit5875);
// call case 4: self request
  params[0] = strlit5875;
  partcv[0] = 1;
  Object call5876 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5874);
// compiled call node returning call5876 (depth = 12)
  int op_slot_right_5873 = gc_frame_newslot(call5876);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_acceptBlocks (depth = 12)
  int op_slot_left_5873 = gc_frame_newslot(*var_acceptBlocks);
  params[0] = call5876;
  partcv[0] = 1;
  Object opresult5878 = callmethod(*var_acceptBlocks, "&&", 1, partcv, params);
// compiled op node returning opresult5878 (depth = 11)
  int op_slot_right_5872 = gc_frame_newslot(opresult5878);
// starting to compile call node (depth = 11)
  int callframe5880 = gc_frame_new();
// starting to compile string node (depth = 12)
  if (strlit5881 == NULL) {
    strlit5881 = alloc_String("lparen");
    gc_root(strlit5881);
  }
// compiled string node returning strlit5881 (depth = 12)
  gc_frame_newslot(strlit5881);
// call case 4: self request
  params[0] = strlit5881;
  partcv[0] = 1;
  Object call5882 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5880);
// compiled call node returning call5882 (depth = 11)
  int op_slot_left_5872 = gc_frame_newslot(call5882);
  params[0] = opresult5878;
  partcv[0] = 1;
  Object opresult5883 = callmethod(call5882, "||", 1, partcv, params);
// compiled op node returning opresult5883 (depth = 10)
  int op_slot_left_5867 = gc_frame_newslot(opresult5883);
  params[0] = call5870;
  partcv[0] = 1;
  Object opresult5884 = callmethod(opresult5883, "||", 1, partcv, params);
// compiled op node returning opresult5884 (depth = 9)
  int op_slot_left_5862 = gc_frame_newslot(opresult5884);
  params[0] = call5865;
  partcv[0] = 1;
  Object opresult5885 = callmethod(opresult5884, "||", 1, partcv, params);
// compiled op node returning opresult5885 (depth = 8)
  int op_slot_left_5857 = gc_frame_newslot(opresult5885);
  params[0] = call5860;
  partcv[0] = 1;
  Object opresult5886 = callmethod(opresult5885, "||", 1, partcv, params);
// compiled op node returning opresult5886 (depth = 7)
  int op_slot_left_5852 = gc_frame_newslot(opresult5886);
  params[0] = call5855;
  partcv[0] = 1;
  Object opresult5887 = callmethod(opresult5886, "||", 1, partcv, params);
// compiled op node returning opresult5887 (depth = 6)
  Object if5851 = done;
  if (istrue(opresult5887)) {
// Begin line 1856
  setline(1856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5888 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_acceptBlocks (depth = 7)
  gc_frame_newslot(*var_acceptBlocks);
// call case 4: self request
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call5889 = callmethodflags(self, "callrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5888);
// compiled call node returning call5889 (depth = 6)
    gc_frame_newslot(call5889);
    if5851 = call5889;
  } else {
  }
// compiled if node returning if5851 (depth = 5)
    gc_frame_newslot(if5851);
    if5845 = if5851;
  }
// compiled if node returning if5845 (depth = 4)
    gc_frame_newslot(if5845);
    if5825 = if5845;
  } else {
// Begin line 1860
  setline(1860);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1859
  setline(1859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 5)
  Object array5890 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5890 (depth = 5)
  *var_suggestions = array5890;
  if (array5890 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1861
  setline(1861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1860
  setline(1860);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5891 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5892 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call5893 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5892);
// compiled call node returning call5893 (depth = 8)
// compiled member node returning call5893 (depth = 7)
  partcv[0] = 0;
  Object call5894 = callmethod(call5893, "new",
    1, partcv, params);
  gc_frame_end(callframe5891);
// compiled call node returning call5894 (depth = 6)
// compiled member node returning call5894 (depth = 5)
  *var_suggestion = call5894;
  if (call5894 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1861
  setline(1861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5895 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call5896 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe5895);
// compiled call node returning call5896 (depth = 4)
// Begin line 1862
  setline(1862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5897 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5898 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5897);
// compiled call node returning call5898 (depth = 4)
// Begin line 1864
  setline(1864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1863
  setline(1863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5899 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5900 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call5901 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5900);
// compiled call node returning call5901 (depth = 8)
// compiled member node returning call5901 (depth = 7)
  partcv[0] = 0;
  Object call5902 = callmethod(call5901, "new",
    1, partcv, params);
  gc_frame_end(callframe5899);
// compiled call node returning call5902 (depth = 6)
// compiled member node returning call5902 (depth = 5)
  *var_suggestion = call5902;
  if (call5902 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1864
  setline(1864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5904 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit5905 == NULL) {
    strlit5905 = alloc_String("""\xc2""""\xab""method name""\xc2""""\xbb""");
    gc_root(strlit5905);
  }
// compiled string node returning strlit5905 (depth = 5)
  gc_frame_newslot(strlit5905);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit5905;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5906 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5904);
// compiled call node returning call5906 (depth = 4)
// Begin line 1865
  setline(1865);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5907 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5908 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5907);
// compiled call node returning call5908 (depth = 4)
// Begin line 1866
  setline(1866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5909 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit5910 == NULL) {
    strlit5910 = alloc_String("A field or method name must follow a '.'.");
    gc_root(strlit5910);
  }
// compiled string node returning strlit5910 (depth = 5)
  gc_frame_newslot(strlit5910);
// Begin line 1867
  setline(1867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5911 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call5912 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5911);
// compiled call node returning call5912 (depth = 6)
// compiled member node returning call5912 (depth = 5)
  gc_frame_newslot(call5912);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5913 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call5914 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5913);
// compiled call node returning call5914 (depth = 6)
// compiled member node returning call5914 (depth = 5)
  gc_frame_newslot(call5914);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 1866
  setline(1866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit5910;
  params[1] = call5912;
  params[2] = call5914;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5915 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe5909);
// compiled call node returning call5915 (depth = 4)
    gc_frame_newslot(call5915);
    if5825 = call5915;
  }
// compiled if node returning if5825 (depth = 3)
    gc_frame_newslot(if5825);
    if5811 = if5825;
  } else {
  }
// compiled if node returning if5811 (depth = 2)
  gc_frame_end(frame);
  return if5811;
}
Object meth_parser__apply5994(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_tok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe5995 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit5996 == NULL) {
    strlit5996 = alloc_String("lbrace");
    gc_root(strlit5996);
  }
// compiled string node returning strlit5996 (depth = 7)
  gc_frame_newslot(strlit5996);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tok (depth = 7)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit5996;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5997 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5995);
// compiled call node returning call5997 (depth = 6)
  gc_frame_end(frame);
  return call5997;
}
Object meth_parser__apply6078(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_root = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit6080 == NULL) {
    strlit6080 = alloc_String("member");
    gc_root(strlit6080);
  }
// compiled string node returning strlit6080 (depth = 10)
  int op_slot_right_6079 = gc_frame_newslot(strlit6080);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6082 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_root (depth = 12)
  partcv[0] = 0;
  Object call6083 = callmethod(*var_root, "kind",
    1, partcv, params);
  gc_frame_end(callframe6082);
// compiled call node returning call6083 (depth = 11)
// compiled member node returning call6083 (depth = 10)
  int op_slot_left_6079 = gc_frame_newslot(call6083);
  params[0] = strlit6080;
  partcv[0] = 1;
  Object opresult6084 = callmethod(call6083, "==", 1, partcv, params);
// compiled op node returning opresult6084 (depth = 9)
  gc_frame_end(frame);
  return opresult6084;
}
Object meth_parser__apply6087(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_root = getfromclosure(closure, 0);
  Object *var_outroot = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1927
  setline(1927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 1926
  setline(1926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_root (depth = 10)
  *var_outroot = *var_root;
  if (*var_root == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 1928
  setline(1928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 1927
  setline(1927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6089 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_root (depth = 12)
  partcv[0] = 0;
  Object call6090 = callmethod(*var_root, "in",
    1, partcv, params);
  gc_frame_end(callframe6089);
// compiled call node returning call6090 (depth = 11)
// compiled member node returning call6090 (depth = 10)
  *var_root = call6090;
  if (call6090 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_callrest5916(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 41, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(18, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "callrest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method callrest");
  Object params[3];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_minIndentLevel = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for callrest (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_acceptBlocks = &(stackframe->slots[0]);
  *var_acceptBlocks = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for callrest");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_meth = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "meth");
  Object *var_lnum = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "lnum");
  Object *var_lpos = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "lpos");
  Object *var_methn = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "methn");
  Object *var_btok = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "btok");
  Object *var_signature = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "signature");
  Object *var_part = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "part");
  Object *var_hadcall = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "hadcall");
  Object *var_tok = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "tok");
  Object *var_startInd = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "startInd");
  Object *var_genericIdents = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "genericIdents");
  Object *var_ar = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "ar");
  Object *var_root = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "root");
  Object *var_outroot = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "outroot");
  Object *var_meth_39_ = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "meth'");
  Object *var_call = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "call");
// Begin line 1879
  setline(1879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1876
  setline(1876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num5919 = alloc_Float64(0);
// compiled num node returning num5919 (depth = 4)
  int op_slot_right_5918 = gc_frame_newslot(num5919);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5921 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call5922 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe5921);
// compiled call node returning call5922 (depth = 5)
// compiled member node returning call5922 (depth = 4)
  int op_slot_left_5918 = gc_frame_newslot(call5922);
  params[0] = num5919;
  partcv[0] = 1;
  Object opresult5923 = callmethod(call5922, "==", 1, partcv, params);
// compiled op node returning opresult5923 (depth = 3)
  Object if5917 = done;
  if (istrue(opresult5923)) {
// Begin line 1878
  setline(1878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 1877
  setline(1877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num5924 = alloc_Float64(0);
// compiled num node returning num5924 (depth = 4)
  return num5924;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if5917 = undefined;
  } else {
  }
// compiled if node returning if5917 (depth = 2)
// Begin line 1880
  setline(1880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1879
  setline(1879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5925 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  partcv[0] = 0;
  Object call5926 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5925);
// compiled call node returning call5926 (depth = 4)
// compiled member node returning call5926 (depth = 3)
  *var_meth = call5926;
  if (call5926 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1886
  setline(1886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1880
  setline(1880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5929 == NULL) {
    strlit5929 = alloc_String("identifier");
    gc_root(strlit5929);
  }
// compiled string node returning strlit5929 (depth = 4)
  int op_slot_right_5928 = gc_frame_newslot(strlit5929);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5931 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_meth (depth = 6)
  partcv[0] = 0;
  Object call5932 = callmethod(*var_meth, "kind",
    1, partcv, params);
  gc_frame_end(callframe5931);
// compiled call node returning call5932 (depth = 5)
// compiled member node returning call5932 (depth = 4)
  int op_slot_left_5928 = gc_frame_newslot(call5932);
  params[0] = strlit5929;
  partcv[0] = 1;
  Object opresult5933 = callmethod(call5932, "!=", 1, partcv, params);
// compiled op node returning opresult5933 (depth = 3)
  Object if5927 = done;
  if (istrue(opresult5933)) {
// Begin line 1885
  setline(1885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1881
  setline(1881);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5936 == NULL) {
    strlit5936 = alloc_String("member");
    gc_root(strlit5936);
  }
// compiled string node returning strlit5936 (depth = 5)
  int op_slot_right_5935 = gc_frame_newslot(strlit5936);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5938 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_meth (depth = 7)
  partcv[0] = 0;
  Object call5939 = callmethod(*var_meth, "kind",
    1, partcv, params);
  gc_frame_end(callframe5938);
// compiled call node returning call5939 (depth = 6)
// compiled member node returning call5939 (depth = 5)
  int op_slot_left_5935 = gc_frame_newslot(call5939);
  params[0] = strlit5936;
  partcv[0] = 1;
  Object opresult5940 = callmethod(call5939, "!=", 1, partcv, params);
// compiled op node returning opresult5940 (depth = 4)
  Object if5934 = done;
  if (istrue(opresult5940)) {
// Begin line 1882
  setline(1882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5941 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  gc_frame_newslot(*var_meth);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call5942 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe5941);
// compiled call node returning call5942 (depth = 4)
// Begin line 1884
  setline(1884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 1883
  setline(1883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num5943 = alloc_Float64(0);
// compiled num node returning num5943 (depth = 5)
  return num5943;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if5934 = undefined;
  } else {
  }
// compiled if node returning if5934 (depth = 3)
    gc_frame_newslot(if5934);
    if5927 = if5934;
  } else {
  }
// compiled if node returning if5927 (depth = 2)
// Begin line 1887
  setline(1887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1886
  setline(1886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5944 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  partcv[0] = 0;
  Object call5945 = callmethod(*var_meth, "line",
    1, partcv, params);
  gc_frame_end(callframe5944);
// compiled call node returning call5945 (depth = 4)
// compiled member node returning call5945 (depth = 3)
  *var_lnum = call5945;
  if (call5945 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1888
  setline(1888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1887
  setline(1887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5946 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  partcv[0] = 0;
  Object call5947 = callmethod(*var_meth, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5946);
// compiled call node returning call5947 (depth = 4)
// compiled member node returning call5947 (depth = 3)
  *var_lpos = call5947;
  if (call5947 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1889
  setline(1889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1888
  setline(1888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5948 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  partcv[0] = 0;
  Object call5949 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe5948);
// compiled call node returning call5949 (depth = 4)
// compiled member node returning call5949 (depth = 3)
  *var_methn = call5949;
  if (call5949 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1890
  setline(1890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1889
  setline(1889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1890
  setline(1890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5950 = gc_frame_new();
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5951 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  partcv[0] = 0;
  Object call5952 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5951);
// compiled call node returning call5952 (depth = 4)
// compiled member node returning call5952 (depth = 3)
  gc_frame_newslot(call5952);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5953 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  partcv[0] = 0;
  Object call5954 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5953);
// compiled call node returning call5954 (depth = 4)
// compiled member node returning call5954 (depth = 3)
  gc_frame_newslot(call5954);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = call5952;
  params[1] = call5954;
  partcv[0] = 2;
  Object call5955 = callmethod(*var_util, "setPosition",
    1, partcv, params);
  gc_frame_end(callframe5950);
// compiled call node returning call5955 (depth = 2)
// Begin line 1892
  setline(1892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1891
  setline(1891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array5956 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5956 (depth = 3)
  *var_signature = array5956;
  if (array5956 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1893
  setline(1893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1892
  setline(1892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5957 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5958 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call5959 = callmethod(*var_ast, "callWithPart",
    1, partcv, params);
  gc_frame_end(callframe5958);
// compiled call node returning call5959 (depth = 6)
// compiled member node returning call5959 (depth = 5)
  partcv[0] = 0;
  Object call5960 = callmethod(call5959, "new",
    1, partcv, params);
  gc_frame_end(callframe5957);
// compiled call node returning call5960 (depth = 4)
// compiled member node returning call5960 (depth = 3)
  *var_part = call5960;
  if (call5960 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1893
  setline(1893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5961 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_part (depth = 3)
  gc_frame_newslot(*var_part);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signature (depth = 3)
  params[0] = *var_part;
  partcv[0] = 1;
  Object call5962 = callmethod(*var_signature, "push",
    1, partcv, params);
  gc_frame_end(callframe5961);
// compiled call node returning call5962 (depth = 2)
// Begin line 1895
  setline(1895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1894
  setline(1894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5963 = alloc_Boolean(0);
// compiled identifier node returning bool5963 (depth = 3)
  *var_hadcall = bool5963;
  if (bool5963 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1896
  setline(1896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1895
  setline(1895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lastToken (depth = 3)
  *var_tok = *var_lastToken;
  if (*var_lastToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1897
  setline(1897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1896
  setline(1896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_minIndentLevel (depth = 3)
  *var_startInd = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1898
  setline(1898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1897
  setline(1897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5964 = alloc_Boolean(0);
// compiled identifier node returning bool5964 (depth = 3)
  *var_genericIdents = bool5964;
  if (bool5964 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1901
  setline(1901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1898
  setline(1898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5966 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit5967 == NULL) {
    strlit5967 = alloc_String("lgeneric");
    gc_root(strlit5967);
  }
// compiled string node returning strlit5967 (depth = 4)
  gc_frame_newslot(strlit5967);
// call case 4: self request
  params[0] = strlit5967;
  partcv[0] = 1;
  Object call5968 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5966);
// compiled call node returning call5968 (depth = 3)
  Object if5965 = done;
  if (istrue(call5968)) {
// Begin line 1900
  setline(1900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 1899
  setline(1899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5969 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5970 = callmethodflags(self, "typeArgs", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5969);
// compiled call node returning call5970 (depth = 5)
// compiled member node returning call5970 (depth = 4)
  *var_genericIdents = call5970;
  if (call5970 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if5965 = done;
  } else {
  }
// compiled if node returning if5965 (depth = 2)
// Begin line 1936
  setline(1936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1901
  setline(1901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5973 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit5974 == NULL) {
    strlit5974 = alloc_String("lparen");
    gc_root(strlit5974);
  }
// compiled string node returning strlit5974 (depth = 4)
  gc_frame_newslot(strlit5974);
// call case 4: self request
  params[0] = strlit5974;
  partcv[0] = 1;
  Object call5975 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5973);
// compiled call node returning call5975 (depth = 3)
  Object if5972 = done;
  if (istrue(call5975)) {
// Begin line 1903
  setline(1903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 1899
  setline(1899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5976 = gc_frame_new();
// Begin line 1902
  setline(1902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5977 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call5978 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5977);
// compiled call node returning call5978 (depth = 6)
// compiled member node returning call5978 (depth = 5)
  gc_frame_newslot(call5978);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_part (depth = 5)
  params[0] = call5978;
  partcv[0] = 1;
  Object call5979 = callmethod(*var_part, "line:=",
    1, partcv, params);
  gc_frame_end(callframe5976);
// compiled call node returning call5979 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 1904
  setline(1904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 1902
  setline(1902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5980 = gc_frame_new();
// Begin line 1903
  setline(1903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5981 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call5982 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5981);
// compiled call node returning call5982 (depth = 6)
// compiled member node returning call5982 (depth = 5)
  gc_frame_newslot(call5982);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_part (depth = 5)
  params[0] = call5982;
  partcv[0] = 1;
  Object call5983 = callmethod(*var_part, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe5980);
// compiled call node returning call5983 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 1905
  setline(1905);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 1903
  setline(1903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5984 = gc_frame_new();
// Begin line 1904
  setline(1904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_methn (depth = 5)
  gc_frame_newslot(*var_methn);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_part (depth = 5)
  params[0] = *var_methn;
  partcv[0] = 1;
  Object call5985 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe5984);
// compiled call node returning call5985 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 1906
  setline(1906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 1905
  setline(1905);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_tok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 1907
  setline(1907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 1906
  setline(1906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool5987 = alloc_Boolean(1);
// compiled identifier node returning bool5987 (depth = 4)
  *var_hadcall = bool5987;
  if (bool5987 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 1907
  setline(1907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5989 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_part (depth = 4)
  gc_frame_newslot(*var_part);
// call case 4: self request
  params[0] = *var_part;
  partcv[0] = 1;
  Object call5990 = callmethodflags(self, "parenthesizedArg", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5989);
// compiled call node returning call5990 (depth = 3)
    gc_frame_newslot(call5990);
    if5972 = call5990;
  } else {
// Begin line 1910
  setline(1910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1908
  setline(1908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block5993 = alloc_Block(NULL, NULL, "parser", 1908);
  gc_frame_newslot(block5993);
// method _apply
  block_savedest(block5993);
  Object closure5994 = createclosure(2, "_apply");
  setclosureframe(closure5994, stackframe);
  addtoclosure(closure5994, var_tok);
  addtoclosure(closure5994, selfslot);
  struct UserObject *uo5994 = (struct UserObject*)block5993;
  uo5994->data[0] = (Object)closure5994;
  Method *meth_meth_parser__apply5994 = addmethod2pos(block5993, "_apply", &meth_parser__apply5994, 0);
  int argcv_meth_parser__apply5994[] = {0};
  meth_meth_parser__apply5994->type = alloc_MethodType(1, argcv_meth_parser__apply5994);
  meth_meth_parser__apply5994->definitionModule = modulename;
  meth_meth_parser__apply5994->definitionLine = 1903;
// compiled block node returning block5993 (depth = 5)
  int op_slot_right_5992 = gc_frame_newslot(block5993);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6000 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_acceptBlocks (depth = 7)
  partcv[0] = 0;
  Object call6001 = callmethod(*var_acceptBlocks, "not",
    1, partcv, params);
  gc_frame_end(callframe6000);
// compiled call node returning call6001 (depth = 6)
// compiled member node returning call6001 (depth = 5)
  int op_slot_left_5992 = gc_frame_newslot(call6001);
  params[0] = block5993;
  partcv[0] = 1;
  Object opresult6002 = callmethod(call6001, "&&", 1, partcv, params);
// compiled op node returning opresult6002 (depth = 4)
  Object if5991 = done;
  if (istrue(opresult6002)) {
// Begin line 1909
  setline(1909);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6003 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  gc_frame_newslot(*var_meth);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call6004 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6003);
// compiled call node returning call6004 (depth = 4)
    gc_frame_newslot(call6004);
    if5991 = call6004;
  } else {
// Begin line 1920
  setline(1920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1913
  setline(1913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6010 == NULL) {
    strlit6010 = alloc_String("false");
    gc_root(strlit6010);
  }
// compiled string node returning strlit6010 (depth = 9)
  int op_slot_right_6009 = gc_frame_newslot(strlit6010);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6012 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call6013 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe6012);
// compiled call node returning call6013 (depth = 10)
// compiled member node returning call6013 (depth = 9)
  int op_slot_left_6009 = gc_frame_newslot(call6013);
  params[0] = strlit6010;
  partcv[0] = 1;
  Object opresult6014 = callmethod(call6013, "==", 1, partcv, params);
// compiled op node returning opresult6014 (depth = 8)
  int op_slot_right_6008 = gc_frame_newslot(opresult6014);
// Begin line 1912
  setline(1912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6017 == NULL) {
    strlit6017 = alloc_String("true");
    gc_root(strlit6017);
  }
// compiled string node returning strlit6017 (depth = 9)
  int op_slot_right_6016 = gc_frame_newslot(strlit6017);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6019 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call6020 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe6019);
// compiled call node returning call6020 (depth = 10)
// compiled member node returning call6020 (depth = 9)
  int op_slot_left_6016 = gc_frame_newslot(call6020);
  params[0] = strlit6017;
  partcv[0] = 1;
  Object opresult6021 = callmethod(call6020, "==", 1, partcv, params);
// compiled op node returning opresult6021 (depth = 8)
  int op_slot_left_6008 = gc_frame_newslot(opresult6021);
  params[0] = opresult6014;
  partcv[0] = 1;
  Object opresult6022 = callmethod(opresult6021, "||", 1, partcv, params);
// compiled op node returning opresult6022 (depth = 7)
  int op_slot_right_6007 = gc_frame_newslot(opresult6022);
// starting to compile call node (depth = 7)
  int callframe6024 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit6025 == NULL) {
    strlit6025 = alloc_String("identifier");
    gc_root(strlit6025);
  }
// compiled string node returning strlit6025 (depth = 8)
  gc_frame_newslot(strlit6025);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tok (depth = 8)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit6025;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6026 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6024);
// compiled call node returning call6026 (depth = 7)
  int op_slot_left_6007 = gc_frame_newslot(call6026);
  params[0] = opresult6022;
  partcv[0] = 1;
  Object opresult6027 = callmethod(call6026, "&&", 1, partcv, params);
// compiled op node returning opresult6027 (depth = 6)
  int op_slot_right_6006 = gc_frame_newslot(opresult6027);
// starting to compile op node (depth = 6)
// Begin line 1911
  setline(1911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6030 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit6031 == NULL) {
    strlit6031 = alloc_String("lbrace");
    gc_root(strlit6031);
  }
// compiled string node returning strlit6031 (depth = 8)
  gc_frame_newslot(strlit6031);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tok (depth = 8)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit6031;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6032 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6030);
// compiled call node returning call6032 (depth = 7)
  int op_slot_right_6029 = gc_frame_newslot(call6032);
// starting to compile op node (depth = 7)
// Begin line 1910
  setline(1910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6035 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6036 == NULL) {
    strlit6036 = alloc_String("num");
    gc_root(strlit6036);
  }
// compiled string node returning strlit6036 (depth = 9)
  gc_frame_newslot(strlit6036);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tok (depth = 9)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit6036;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6037 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6035);
// compiled call node returning call6037 (depth = 8)
  int op_slot_right_6034 = gc_frame_newslot(call6037);
// starting to compile call node (depth = 8)
  int callframe6039 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6040 == NULL) {
    strlit6040 = alloc_String("string");
    gc_root(strlit6040);
  }
// compiled string node returning strlit6040 (depth = 9)
  gc_frame_newslot(strlit6040);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tok (depth = 9)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit6040;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6041 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6039);
// compiled call node returning call6041 (depth = 8)
  int op_slot_left_6034 = gc_frame_newslot(call6041);
  params[0] = call6037;
  partcv[0] = 1;
  Object opresult6042 = callmethod(call6041, "||", 1, partcv, params);
// compiled op node returning opresult6042 (depth = 7)
  int op_slot_left_6029 = gc_frame_newslot(opresult6042);
  params[0] = call6032;
  partcv[0] = 1;
  Object opresult6043 = callmethod(opresult6042, "||", 1, partcv, params);
// compiled op node returning opresult6043 (depth = 6)
  int op_slot_left_6006 = gc_frame_newslot(opresult6043);
  params[0] = opresult6027;
  partcv[0] = 1;
  Object opresult6044 = callmethod(opresult6043, "||", 1, partcv, params);
// compiled op node returning opresult6044 (depth = 5)
  Object if6005 = done;
  if (istrue(opresult6044)) {
// Begin line 1915
  setline(1915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1914
  setline(1914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  *var_tok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1916
  setline(1916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1915
  setline(1915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool6046 = alloc_Boolean(1);
// compiled identifier node returning bool6046 (depth = 6)
  *var_hadcall = bool6046;
  if (bool6046 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1917
  setline(1917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1912
  setline(1912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6048 = gc_frame_new();
// Begin line 1916
  setline(1916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_methn (depth = 7)
  gc_frame_newslot(*var_methn);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  params[0] = *var_methn;
  partcv[0] = 1;
  Object call6049 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe6048);
// compiled call node returning call6049 (depth = 6)
// compiled bind node returning done (depth = 5)
// Begin line 1917
  setline(1917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6050 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6051 = callmethodflags(self, "term", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6050);
// compiled call node returning call6051 (depth = 6)
// compiled member node returning call6051 (depth = 5)
// Begin line 1919
  setline(1919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// Begin line 1918
  setline(1918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6052 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call6053 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6052);
// compiled call node returning call6053 (depth = 7)
// compiled member node returning call6053 (depth = 6)
  *var_ar = call6053;
  if (call6053 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 1919
  setline(1919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6054 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ar (depth = 6)
  gc_frame_newslot(*var_ar);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6055 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  partcv[0] = 0;
  Object call6056 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe6055);
// compiled call node returning call6056 (depth = 7)
// compiled member node returning call6056 (depth = 6)
  params[0] = *var_ar;
  partcv[0] = 1;
  Object call6057 = callmethod(call6056, "push",
    1, partcv, params);
  gc_frame_end(callframe6054);
// compiled call node returning call6057 (depth = 5)
    gc_frame_newslot(call6057);
    if6005 = call6057;
  } else {
// Begin line 1922
  setline(1922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1920
  setline(1920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6060 == NULL) {
    strlit6060 = alloc_String("identifier");
    gc_root(strlit6060);
  }
// compiled string node returning strlit6060 (depth = 7)
  int op_slot_right_6059 = gc_frame_newslot(strlit6060);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6062 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_meth (depth = 9)
  partcv[0] = 0;
  Object call6063 = callmethod(*var_meth, "kind",
    1, partcv, params);
  gc_frame_end(callframe6062);
// compiled call node returning call6063 (depth = 8)
// compiled member node returning call6063 (depth = 7)
  int op_slot_left_6059 = gc_frame_newslot(call6063);
  params[0] = strlit6060;
  partcv[0] = 1;
  Object opresult6064 = callmethod(call6063, "==", 1, partcv, params);
// compiled op node returning opresult6064 (depth = 6)
  Object if6058 = done;
  if (istrue(opresult6064)) {
// Begin line 1921
  setline(1921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6065 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_meth (depth = 7)
  gc_frame_newslot(*var_meth);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call6066 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6065);
// compiled call node returning call6066 (depth = 6)
    gc_frame_newslot(call6066);
    if6058 = call6066;
  } else {
// Begin line 1936
  setline(1936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1922
  setline(1922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6069 == NULL) {
    strlit6069 = alloc_String("member");
    gc_root(strlit6069);
  }
// compiled string node returning strlit6069 (depth = 8)
  int op_slot_right_6068 = gc_frame_newslot(strlit6069);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6071 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_meth (depth = 10)
  partcv[0] = 0;
  Object call6072 = callmethod(*var_meth, "kind",
    1, partcv, params);
  gc_frame_end(callframe6071);
// compiled call node returning call6072 (depth = 9)
// compiled member node returning call6072 (depth = 8)
  int op_slot_left_6068 = gc_frame_newslot(call6072);
  params[0] = strlit6069;
  partcv[0] = 1;
  Object opresult6073 = callmethod(call6072, "==", 1, partcv, params);
// compiled op node returning opresult6073 (depth = 7)
  Object if6067 = done;
  if (istrue(opresult6073)) {
// Begin line 1924
  setline(1924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 7)
// Begin line 1923
  setline(1923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6074 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_meth (depth = 10)
  partcv[0] = 0;
  Object call6075 = callmethod(*var_meth, "in",
    1, partcv, params);
  gc_frame_end(callframe6074);
// compiled call node returning call6075 (depth = 9)
// compiled member node returning call6075 (depth = 8)
  *var_root = call6075;
  if (call6075 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 7)
// Begin line 1925
  setline(1925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 7)
// Begin line 1924
  setline(1924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_meth (depth = 8)
  *var_outroot = *var_meth;
  if (*var_meth == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 7)
// Begin line 1925
  setline(1925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6076 = gc_frame_new();
// starting to compile block node (depth = 8)
  Object block6077 = alloc_Block(NULL, NULL, "parser", 1925);
  gc_frame_newslot(block6077);
// method _apply
  block_savedest(block6077);
  Object closure6078 = createclosure(2, "_apply");
  setclosureframe(closure6078, stackframe);
  addtoclosure(closure6078, var_root);
  addtoclosure(closure6078, selfslot);
  struct UserObject *uo6078 = (struct UserObject*)block6077;
  uo6078->data[0] = (Object)closure6078;
  Method *meth_meth_parser__apply6078 = addmethod2pos(block6077, "_apply", &meth_parser__apply6078, 0);
  int argcv_meth_parser__apply6078[] = {0};
  meth_meth_parser__apply6078->type = alloc_MethodType(1, argcv_meth_parser__apply6078);
  meth_meth_parser__apply6078->definitionModule = modulename;
  meth_meth_parser__apply6078->definitionLine = 1923;
// compiled block node returning block6077 (depth = 8)
  gc_frame_newslot(block6077);
// starting to compile block node (depth = 8)
  Object block6086 = alloc_Block(NULL, NULL, "parser", 1925);
  gc_frame_newslot(block6086);
// method _apply
  block_savedest(block6086);
  Object closure6087 = createclosure(3, "_apply");
  setclosureframe(closure6087, stackframe);
  addtoclosure(closure6087, var_root);
  addtoclosure(closure6087, var_outroot);
  addtoclosure(closure6087, selfslot);
  struct UserObject *uo6087 = (struct UserObject*)block6086;
  uo6087->data[0] = (Object)closure6087;
  Method *meth_meth_parser__apply6087 = addmethod2pos(block6086, "_apply", &meth_parser__apply6087, 0);
  int argcv_meth_parser__apply6087[] = {0};
  meth_meth_parser__apply6087->type = alloc_MethodType(1, argcv_meth_parser__apply6087);
  meth_meth_parser__apply6087->definitionModule = modulename;
  meth_meth_parser__apply6087->definitionLine = 1925;
// compiled block node returning block6086 (depth = 8)
  gc_frame_newslot(block6086);
// call case 5: prelude request
  params[0] = block6077;
  params[1] = block6086;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6093 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6076);
// compiled call node returning call6093 (depth = 7)
// Begin line 1935
  setline(1935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1929
  setline(1929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6096 == NULL) {
    strlit6096 = alloc_String("identifier");
    gc_root(strlit6096);
  }
// compiled string node returning strlit6096 (depth = 9)
  int op_slot_right_6095 = gc_frame_newslot(strlit6096);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6098 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_root (depth = 11)
  partcv[0] = 0;
  Object call6099 = callmethod(*var_root, "kind",
    1, partcv, params);
  gc_frame_end(callframe6098);
// compiled call node returning call6099 (depth = 10)
// compiled member node returning call6099 (depth = 9)
  int op_slot_left_6095 = gc_frame_newslot(call6099);
  params[0] = strlit6096;
  partcv[0] = 1;
  Object opresult6100 = callmethod(call6099, "==", 1, partcv, params);
// compiled op node returning opresult6100 (depth = 8)
  Object if6094 = done;
  if (istrue(opresult6100)) {
// Begin line 1930
  setline(1930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6101 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_meth (depth = 9)
  gc_frame_newslot(*var_meth);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call6102 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6101);
// compiled call node returning call6102 (depth = 8)
    gc_frame_newslot(call6102);
    if6094 = call6102;
  } else {
// Begin line 1933
  setline(1933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 1929
  setline(1929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe6103 = gc_frame_new();
// Begin line 1932
  setline(1932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_genericIdents (depth = 10)
  gc_frame_newslot(*var_genericIdents);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_meth (depth = 10)
  params[0] = *var_genericIdents;
  partcv[0] = 1;
  Object call6104 = callmethod(*var_meth, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe6103);
// compiled call node returning call6104 (depth = 9)
// compiled bind node returning done (depth = 8)
// Begin line 1933
  setline(1933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6105 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_meth (depth = 9)
  gc_frame_newslot(*var_meth);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call6106 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6105);
// compiled call node returning call6106 (depth = 8)
    gc_frame_newslot(call6106);
    if6094 = call6106;
  }
// compiled if node returning if6094 (depth = 7)
    gc_frame_newslot(if6094);
    if6067 = if6094;
  } else {
  }
// compiled if node returning if6067 (depth = 6)
    gc_frame_newslot(if6067);
    if6058 = if6067;
  }
// compiled if node returning if6058 (depth = 5)
    gc_frame_newslot(if6058);
    if6005 = if6058;
  }
// compiled if node returning if6005 (depth = 4)
    gc_frame_newslot(if6005);
    if5991 = if6005;
  }
// compiled if node returning if5991 (depth = 3)
    gc_frame_newslot(if5991);
    if5972 = if5991;
  }
// compiled if node returning if5972 (depth = 2)
// Begin line 1961
  setline(1961);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1936
  setline(1936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_hadcall (depth = 3)
  Object if6107 = done;
  if (istrue(*var_hadcall)) {
// Begin line 1954
  setline(1954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1937
  setline(1937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6109 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit6110 == NULL) {
    strlit6110 = alloc_String("identifier");
    gc_root(strlit6110);
  }
// compiled string node returning strlit6110 (depth = 5)
  gc_frame_newslot(strlit6110);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tok (depth = 5)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit6110;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6111 = callmethodflags(self, "accept()onLineOfLastOr", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6109);
// compiled call node returning call6111 (depth = 4)
  Object if6108 = done;
  if (istrue(call6111)) {
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6112 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methn (depth = 6)
  gc_frame_newslot(*var_methn);
// starting to compile identifier node (depth = 6)
  Object bool6113 = alloc_Boolean(0);
// compiled identifier node returning bool6113 (depth = 6)
  gc_frame_newslot(bool6113);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6114 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ast (depth = 8)
  partcv[0] = 0;
  Object call6115 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe6114);
// compiled call node returning call6115 (depth = 7)
// compiled member node returning call6115 (depth = 6)
  params[0] = *var_methn;
  params[1] = bool6113;
  partcv[0] = 2;
  Object call6116 = callmethod(call6115, "new",
    1, partcv, params);
  gc_frame_end(callframe6112);
// compiled call node returning call6116 (depth = 5)
  *var_meth_39_ = call6116;
  if (call6116 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1941
  setline(1941);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6117 = gc_frame_new();
// Begin line 1940
  setline(1940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lnum (depth = 6)
  gc_frame_newslot(*var_lnum);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_meth_39_ (depth = 6)
  params[0] = *var_lnum;
  partcv[0] = 1;
  Object call6118 = callmethod(*var_meth_39_, "line:=",
    1, partcv, params);
  gc_frame_end(callframe6117);
// compiled call node returning call6118 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1942
  setline(1942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6119 = gc_frame_new();
// Begin line 1941
  setline(1941);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lpos (depth = 6)
  gc_frame_newslot(*var_lpos);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_meth_39_ (depth = 6)
  params[0] = *var_lpos;
  partcv[0] = 1;
  Object call6120 = callmethod(*var_meth_39_, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe6119);
// compiled call node returning call6120 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1942
  setline(1942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6121 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_meth_39_ (depth = 6)
  gc_frame_newslot(*var_meth_39_);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_signature (depth = 6)
  gc_frame_newslot(*var_signature);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tok (depth = 6)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = *var_meth_39_;
  params[1] = *var_signature;
  params[2] = *var_tok;
  partcv[0] = 3;
  Object call6122 = callmethodflags(self, "callmprest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6121);
// compiled call node returning call6122 (depth = 5)
  *var_methn = call6122;
  if (call6122 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1953
  setline(1953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1943
  setline(1943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6126 == NULL) {
    strlit6126 = alloc_String("member");
    gc_root(strlit6126);
  }
// compiled string node returning strlit6126 (depth = 6)
  int op_slot_right_6125 = gc_frame_newslot(strlit6126);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6128 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_meth (depth = 8)
  partcv[0] = 0;
  Object call6129 = callmethod(*var_meth, "kind",
    1, partcv, params);
  gc_frame_end(callframe6128);
// compiled call node returning call6129 (depth = 7)
// compiled member node returning call6129 (depth = 6)
  int op_slot_left_6125 = gc_frame_newslot(call6129);
  params[0] = strlit6126;
  partcv[0] = 1;
  Object opresult6130 = callmethod(call6129, "==", 1, partcv, params);
// compiled op node returning opresult6130 (depth = 5)
  Object if6124 = done;
  if (istrue(opresult6130)) {
// Begin line 1947
  setline(1947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6131 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6132 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_methn (depth = 9)
  partcv[0] = 0;
  Object call6133 = callmethod(*var_methn, "value",
    1, partcv, params);
  gc_frame_end(callframe6132);
// compiled call node returning call6133 (depth = 8)
// compiled member node returning call6133 (depth = 7)
  gc_frame_newslot(call6133);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6134 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_meth (depth = 9)
  partcv[0] = 0;
  Object call6135 = callmethod(*var_meth, "in",
    1, partcv, params);
  gc_frame_end(callframe6134);
// compiled call node returning call6135 (depth = 8)
// compiled member node returning call6135 (depth = 7)
  gc_frame_newslot(call6135);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6136 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ast (depth = 9)
  partcv[0] = 0;
  Object call6137 = callmethod(*var_ast, "memberNode",
    1, partcv, params);
  gc_frame_end(callframe6136);
// compiled call node returning call6137 (depth = 8)
// compiled member node returning call6137 (depth = 7)
  params[0] = call6133;
  params[1] = call6135;
  partcv[0] = 2;
  Object call6138 = callmethod(call6137, "new",
    1, partcv, params);
  gc_frame_end(callframe6131);
// compiled call node returning call6138 (depth = 6)
  *var_meth = call6138;
  if (call6138 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1949
  setline(1949);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1947
  setline(1947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6140 = gc_frame_new();
// Begin line 1948
  setline(1948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6141 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_methn (depth = 9)
  partcv[0] = 0;
  Object call6142 = callmethod(*var_methn, "line",
    1, partcv, params);
  gc_frame_end(callframe6141);
// compiled call node returning call6142 (depth = 8)
// compiled member node returning call6142 (depth = 7)
  gc_frame_newslot(call6142);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_meth (depth = 7)
  params[0] = call6142;
  partcv[0] = 1;
  Object call6143 = callmethod(*var_meth, "line:=",
    1, partcv, params);
  gc_frame_end(callframe6140);
// compiled call node returning call6143 (depth = 6)
// compiled bind node returning done (depth = 5)
// Begin line 1950
  setline(1950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1948
  setline(1948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6144 = gc_frame_new();
// Begin line 1949
  setline(1949);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6145 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_methn (depth = 9)
  partcv[0] = 0;
  Object call6146 = callmethod(*var_methn, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6145);
// compiled call node returning call6146 (depth = 8)
// compiled member node returning call6146 (depth = 7)
  gc_frame_newslot(call6146);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_meth (depth = 7)
  params[0] = call6146;
  partcv[0] = 1;
  Object call6147 = callmethod(*var_meth, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe6144);
// compiled call node returning call6147 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if6124 = done;
  } else {
// Begin line 1952
  setline(1952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1951
  setline(1951);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methn (depth = 6)
  *var_meth = *var_methn;
  if (*var_methn == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if6124 = done;
  }
// compiled if node returning if6124 (depth = 4)
    gc_frame_newslot(if6124);
    if6108 = if6124;
  } else {
  }
// compiled if node returning if6108 (depth = 3)
// Begin line 1954
  setline(1954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6149 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lnum (depth = 4)
  gc_frame_newslot(*var_lnum);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = *var_lnum;
  partcv[0] = 1;
  Object call6150 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe6149);
// compiled call node returning call6150 (depth = 3)
// Begin line 1955
  setline(1955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6151 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  gc_frame_newslot(*var_meth);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_signature (depth = 5)
  gc_frame_newslot(*var_signature);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6152 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call6153 = callmethod(*var_ast, "callNode",
    1, partcv, params);
  gc_frame_end(callframe6152);
// compiled call node returning call6153 (depth = 6)
// compiled member node returning call6153 (depth = 5)
  params[0] = *var_meth;
  params[1] = *var_signature;
  partcv[0] = 2;
  Object call6154 = callmethod(call6153, "new",
    1, partcv, params);
  gc_frame_end(callframe6151);
// compiled call node returning call6154 (depth = 4)
  *var_call = call6154;
  if (call6154 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 1957
  setline(1957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 1955
  setline(1955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6155 = gc_frame_new();
// Begin line 1956
  setline(1956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_genericIdents (depth = 5)
  gc_frame_newslot(*var_genericIdents);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_call (depth = 5)
  params[0] = *var_genericIdents;
  partcv[0] = 1;
  Object call6156 = callmethod(*var_call, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe6155);
// compiled call node returning call6156 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 1957
  setline(1957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6157 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_call (depth = 4)
  gc_frame_newslot(*var_call);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_call;
  partcv[0] = 1;
  Object call6158 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6157);
// compiled call node returning call6158 (depth = 3)
    gc_frame_newslot(call6158);
    if6107 = call6158;
  } else {
// Begin line 1961
  setline(1961);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1958
  setline(1958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool6161 = alloc_Boolean(0);
// compiled identifier node returning bool6161 (depth = 5)
  int op_slot_right_6160 = gc_frame_newslot(bool6161);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_genericIdents (depth = 5)
  int op_slot_left_6160 = gc_frame_newslot(*var_genericIdents);
  params[0] = bool6161;
  partcv[0] = 1;
  Object opresult6163 = callmethod(*var_genericIdents, "!=", 1, partcv, params);
// compiled op node returning opresult6163 (depth = 4)
  Object if6159 = done;
  if (istrue(opresult6163)) {
// Begin line 1960
  setline(1960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1955
  setline(1955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6164 = gc_frame_new();
// Begin line 1959
  setline(1959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_genericIdents (depth = 6)
  gc_frame_newslot(*var_genericIdents);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_meth (depth = 6)
  params[0] = *var_genericIdents;
  partcv[0] = 1;
  Object call6165 = callmethod(*var_meth, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe6164);
// compiled call node returning call6165 (depth = 5)
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if6159 = done;
  } else {
  }
// compiled if node returning if6159 (depth = 3)
    gc_frame_newslot(if6159);
    if6107 = if6159;
  }
// compiled if node returning if6107 (depth = 2)
// Begin line 1962
  setline(1962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 1961
  setline(1961);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_startInd (depth = 3)
  *var_minIndentLevel = *var_startInd;
  if (*var_startInd == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 2)
// Begin line 1962
  setline(1962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe6167 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_acceptBlocks (depth = 3)
  gc_frame_newslot(*var_acceptBlocks);
// call case 4: self request
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call6168 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6167);
// compiled call node returning call6168 (depth = 2)
  gc_frame_end(frame);
  return call6168;
}
Object meth_parser__apply6174(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe6175 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blocksOK (depth = 5)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call6176 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6175);
// compiled call node returning call6176 (depth = 4)
  gc_frame_end(frame);
  return call6176;
}
Object meth_parser__apply6253(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 10)
  int callframe6254 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_blocksOK (depth = 11)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call6255 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6254);
// compiled call node returning call6255 (depth = 10)
  gc_frame_end(frame);
  return call6255;
}
Object meth_parser__apply6313(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe6314 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit6315 == NULL) {
    strlit6315 = alloc_String("comma");
    gc_root(strlit6315);
  }
// compiled string node returning strlit6315 (depth = 7)
  gc_frame_newslot(strlit6315);
// call case 4: self request
  params[0] = strlit6315;
  partcv[0] = 1;
  Object call6316 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6314);
// compiled call node returning call6316 (depth = 6)
  gc_frame_end(frame);
  return call6316;
}
Object meth_parser__apply6332(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 11)
  int callframe6333 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_blocksOK (depth = 12)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call6334 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6333);
// compiled call node returning call6334 (depth = 11)
  gc_frame_end(frame);
  return call6334;
}
Object meth_parser__apply6453(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 12)
  int callframe6454 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_blocksOK (depth = 13)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call6455 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6454);
// compiled call node returning call6455 (depth = 12)
  gc_frame_end(frame);
  return call6455;
}
Object meth_parser__apply6319(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(9, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_part = getfromclosure(closure, 1);
  Object *var_blocksOK = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
  Object *var_arg = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "arg");
// Begin line 2005
  setline(2005);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6320 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6321 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  partcv[0] = 0;
  Object call6322 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6321);
// compiled call node returning call6322 (depth = 8)
// compiled member node returning call6322 (depth = 7)
  gc_frame_newslot(call6322);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6323 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  partcv[0] = 0;
  Object call6324 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe6323);
// compiled call node returning call6324 (depth = 8)
// compiled member node returning call6324 (depth = 7)
  params[0] = call6322;
  partcv[0] = 1;
  Object call6325 = callmethod(call6324, "push",
    1, partcv, params);
  gc_frame_end(callframe6320);
// compiled call node returning call6325 (depth = 6)
// Begin line 2006
  setline(2006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6326 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6327 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6326);
// compiled call node returning call6327 (depth = 7)
// compiled member node returning call6327 (depth = 6)
// Begin line 2024
  setline(2024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 2007
  setline(2007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6329 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 9)
  int callframe6330 = gc_frame_new();
// starting to compile block node (depth = 10)
  Object block6331 = alloc_Block(NULL, NULL, "parser", 2007);
  gc_frame_newslot(block6331);
// method _apply
  block_savedest(block6331);
  Object closure6332 = createclosure(2, "_apply");
  setclosureframe(closure6332, stackframe);
  addtoclosure(closure6332, var_blocksOK);
  addtoclosure(closure6332, selfslot);
  struct UserObject *uo6332 = (struct UserObject*)block6331;
  uo6332->data[0] = (Object)closure6332;
  Method *meth_meth_parser__apply6332 = addmethod2pos(block6331, "_apply", &meth_parser__apply6332, 0);
  int argcv_meth_parser__apply6332[] = {0};
  meth_meth_parser__apply6332->type = alloc_MethodType(1, argcv_meth_parser__apply6332);
  meth_meth_parser__apply6332->definitionModule = modulename;
  meth_meth_parser__apply6332->definitionLine = 2007;
// compiled block node returning block6331 (depth = 10)
  gc_frame_newslot(block6331);
// call case 4: self request
  params[0] = block6331;
  partcv[0] = 1;
  Object call6336 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6330);
// compiled call node returning call6336 (depth = 9)
  partcv[0] = 0;
  Object call6337 = callmethod(call6336, "not",
    1, partcv, params);
  gc_frame_end(callframe6329);
// compiled call node returning call6337 (depth = 8)
// compiled member node returning call6337 (depth = 7)
  Object if6328 = done;
  if (istrue(call6337)) {
// Begin line 2009
  setline(2009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 2008
  setline(2008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 8)
  Object array6338 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6338 (depth = 8)
  *var_suggestions = array6338;
  if (array6338 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 2010
  setline(2010);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 7)
// Begin line 2009
  setline(2009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6339 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6340 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call6341 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6340);
// compiled call node returning call6341 (depth = 11)
// compiled member node returning call6341 (depth = 10)
  partcv[0] = 0;
  Object call6342 = callmethod(call6341, "new",
    1, partcv, params);
  gc_frame_end(callframe6339);
// compiled call node returning call6342 (depth = 9)
// compiled member node returning call6342 (depth = 8)
  *var_suggestion = call6342;
  if (call6342 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 7)
// Begin line 2010
  setline(2010);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6343 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6344 == NULL) {
    strlit6344 = alloc_String("rparen");
    gc_root(strlit6344);
  }
// compiled string node returning strlit6344 (depth = 9)
  gc_frame_newslot(strlit6344);
// call case 4: self request
  params[0] = strlit6344;
  partcv[0] = 1;
  Object call6345 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6343);
// compiled call node returning call6345 (depth = 8)
  *var_nextTok = call6345;
  if (call6345 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 2016
  setline(2016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 2011
  setline(2011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_6347 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_6347 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6349 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult6349 (depth = 8)
  Object if6346 = done;
  if (istrue(opresult6349)) {
// Begin line 2012
  setline(2012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6350 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6351 == NULL) {
    strlit6351 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6351);
  }
// compiled string node returning strlit6351 (depth = 9)
  gc_frame_newslot(strlit6351);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit6351;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6352 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6350);
// compiled call node returning call6352 (depth = 8)
    gc_frame_newslot(call6352);
    if6346 = call6352;
  } else {
// Begin line 2014
  setline(2014);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6353 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6354 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  partcv[0] = 0;
  Object call6355 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6354);
// compiled call node returning call6355 (depth = 10)
// compiled member node returning call6355 (depth = 9)
  gc_frame_newslot(call6355);
// starting to compile identifier node (depth = 9)
  Object bool6356 = alloc_Boolean(1);
// compiled identifier node returning bool6356 (depth = 9)
  gc_frame_newslot(bool6356);
// starting to compile identifier node (depth = 9)
  Object bool6357 = alloc_Boolean(0);
// compiled identifier node returning bool6357 (depth = 9)
  gc_frame_newslot(bool6357);
// starting to compile string node (depth = 9)
  if (strlit6358 == NULL) {
    strlit6358 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6358);
  }
// compiled string node returning strlit6358 (depth = 9)
  gc_frame_newslot(strlit6358);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  params[1] = call6355;
  params[2] = bool6356;
  params[3] = bool6357;
  params[4] = strlit6358;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6359 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe6353);
// compiled call node returning call6359 (depth = 8)
    gc_frame_newslot(call6359);
    if6346 = call6359;
  }
// compiled if node returning if6346 (depth = 7)
// Begin line 2016
  setline(2016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6360 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6361 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6360);
// compiled call node returning call6361 (depth = 7)
// Begin line 2018
  setline(2018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 2017
  setline(2017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6362 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6363 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call6364 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6363);
// compiled call node returning call6364 (depth = 11)
// compiled member node returning call6364 (depth = 10)
  partcv[0] = 0;
  Object call6365 = callmethod(call6364, "new",
    1, partcv, params);
  gc_frame_end(callframe6362);
// compiled call node returning call6365 (depth = 9)
// compiled member node returning call6365 (depth = 8)
  *var_suggestion = call6365;
  if (call6365 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 2018
  setline(2018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6367 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6368 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  partcv[0] = 0;
  Object call6369 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6368);
// compiled call node returning call6369 (depth = 9)
// compiled member node returning call6369 (depth = 8)
  gc_frame_newslot(call6369);
// starting to compile identifier node (depth = 8)
  Object bool6370 = alloc_Boolean(1);
// compiled identifier node returning bool6370 (depth = 8)
  gc_frame_newslot(bool6370);
// starting to compile identifier node (depth = 8)
  Object bool6371 = alloc_Boolean(0);
// compiled identifier node returning bool6371 (depth = 8)
  gc_frame_newslot(bool6371);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_lastToken;
  params[1] = call6369;
  params[2] = bool6370;
  params[3] = bool6371;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6372 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6367);
// compiled call node returning call6372 (depth = 7)
// Begin line 2019
  setline(2019);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6373 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6374 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6373);
// compiled call node returning call6374 (depth = 7)
// Begin line 2020
  setline(2020);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6375 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit6376 == NULL) {
    strlit6376 = alloc_String("A method request must have an expression after a ','.");
    gc_root(strlit6376);
  }
// compiled string node returning strlit6376 (depth = 8)
  gc_frame_newslot(strlit6376);
// Begin line 2021
  setline(2021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6377 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call6378 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6377);
// compiled call node returning call6378 (depth = 9)
// compiled member node returning call6378 (depth = 8)
  gc_frame_newslot(call6378);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6379 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call6380 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6379);
// compiled call node returning call6380 (depth = 9)
// compiled member node returning call6380 (depth = 8)
  gc_frame_newslot(call6380);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 2020
  setline(2020);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit6376;
  params[1] = call6378;
  params[2] = call6380;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6381 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe6375);
// compiled call node returning call6381 (depth = 7)
    gc_frame_newslot(call6381);
    if6328 = call6381;
  } else {
  }
// compiled if node returning if6328 (depth = 6)
// Begin line 2059
  setline(2059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 2024
  setline(2024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6383 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit6384 == NULL) {
    strlit6384 = alloc_String("colon");
    gc_root(strlit6384);
  }
// compiled string node returning strlit6384 (depth = 8)
  gc_frame_newslot(strlit6384);
// call case 4: self request
  params[0] = strlit6384;
  partcv[0] = 1;
  Object call6385 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6383);
// compiled call node returning call6385 (depth = 7)
  Object if6382 = done;
  if (istrue(call6385)) {
// Begin line 2026
  setline(2026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 2025
  setline(2025);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6386 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  partcv[0] = 0;
  Object call6387 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6386);
// compiled call node returning call6387 (depth = 9)
// compiled member node returning call6387 (depth = 8)
  *var_arg = call6387;
  if (call6387 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 2038
  setline(2038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 2026
  setline(2026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6390 == NULL) {
    strlit6390 = alloc_String("identifier");
    gc_root(strlit6390);
  }
// compiled string node returning strlit6390 (depth = 9)
  int op_slot_right_6389 = gc_frame_newslot(strlit6390);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6392 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_arg (depth = 11)
  partcv[0] = 0;
  Object call6393 = callmethod(*var_arg, "kind",
    1, partcv, params);
  gc_frame_end(callframe6392);
// compiled call node returning call6393 (depth = 10)
// compiled member node returning call6393 (depth = 9)
  int op_slot_left_6389 = gc_frame_newslot(call6393);
  params[0] = strlit6390;
  partcv[0] = 1;
  Object opresult6394 = callmethod(call6393, "!=", 1, partcv, params);
// compiled op node returning opresult6394 (depth = 8)
  Object if6388 = done;
  if (istrue(opresult6394)) {
// Begin line 2028
  setline(2028);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// Begin line 2027
  setline(2027);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6395 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe6396 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call6397 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6396);
// compiled call node returning call6397 (depth = 12)
// compiled member node returning call6397 (depth = 11)
  partcv[0] = 0;
  Object call6398 = callmethod(call6397, "new",
    1, partcv, params);
  gc_frame_end(callframe6395);
// compiled call node returning call6398 (depth = 10)
// compiled member node returning call6398 (depth = 9)
  *var_suggestion = call6398;
  if (call6398 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 2037
  setline(2037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 2028
  setline(2028);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit6401 == NULL) {
    strlit6401 = alloc_String("identifier");
    gc_root(strlit6401);
  }
// compiled string node returning strlit6401 (depth = 10)
  int op_slot_right_6400 = gc_frame_newslot(strlit6401);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6403 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe6404 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_sym (depth = 14)
  partcv[0] = 0;
  Object call6405 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6404);
// compiled call node returning call6405 (depth = 13)
// compiled member node returning call6405 (depth = 12)
  partcv[0] = 0;
  Object call6406 = callmethod(call6405, "kind",
    1, partcv, params);
  gc_frame_end(callframe6403);
// compiled call node returning call6406 (depth = 11)
// compiled member node returning call6406 (depth = 10)
  int op_slot_left_6400 = gc_frame_newslot(call6406);
  params[0] = strlit6401;
  partcv[0] = 1;
  Object opresult6407 = callmethod(call6406, "==", 1, partcv, params);
// compiled op node returning opresult6407 (depth = 9)
  Object if6399 = done;
  if (istrue(opresult6407)) {
// Begin line 2029
  setline(2029);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe6408 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6409 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call6410 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6409);
// compiled call node returning call6410 (depth = 11)
// compiled member node returning call6410 (depth = 10)
  gc_frame_newslot(call6410);
// starting to compile identifier node (depth = 10)
  Object bool6411 = alloc_Boolean(1);
// compiled identifier node returning bool6411 (depth = 10)
  gc_frame_newslot(bool6411);
// starting to compile identifier node (depth = 10)
  Object bool6412 = alloc_Boolean(0);
// compiled identifier node returning bool6412 (depth = 10)
  gc_frame_newslot(bool6412);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  params[1] = call6410;
  params[2] = bool6411;
  params[3] = bool6412;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6413 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6408);
// compiled call node returning call6413 (depth = 9)
// Begin line 2030
  setline(2030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe6414 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit6415 == NULL) {
    strlit6415 = alloc_String("Only variables and constants may be followed by a ':' and a type.");
    gc_root(strlit6415);
  }
// compiled string node returning strlit6415 (depth = 10)
  gc_frame_newslot(strlit6415);
// Begin line 2031
  setline(2031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6416 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call6417 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6416);
// compiled call node returning call6417 (depth = 11)
// compiled member node returning call6417 (depth = 10)
  gc_frame_newslot(call6417);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6418 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call6419 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6418);
// compiled call node returning call6419 (depth = 11)
// compiled member node returning call6419 (depth = 10)
  gc_frame_newslot(call6419);
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num6421 = alloc_Float64(1);
// compiled num node returning num6421 (depth = 11)
  int op_slot_right_6420 = gc_frame_newslot(num6421);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe6424 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe6425 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_sym (depth = 16)
  partcv[0] = 0;
  Object call6426 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6425);
// compiled call node returning call6426 (depth = 15)
// compiled member node returning call6426 (depth = 14)
  partcv[0] = 0;
  Object call6427 = callmethod(call6426, "size",
    1, partcv, params);
  gc_frame_end(callframe6424);
// compiled call node returning call6427 (depth = 13)
// compiled member node returning call6427 (depth = 12)
  int op_slot_right_6423 = gc_frame_newslot(call6427);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe6429 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe6430 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_sym (depth = 16)
  partcv[0] = 0;
  Object call6431 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6430);
// compiled call node returning call6431 (depth = 15)
// compiled member node returning call6431 (depth = 14)
  partcv[0] = 0;
  Object call6432 = callmethod(call6431, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6429);
// compiled call node returning call6432 (depth = 13)
// compiled member node returning call6432 (depth = 12)
  int op_slot_left_6423 = gc_frame_newslot(call6432);
  params[0] = call6427;
  partcv[0] = 1;
  Object sum6433 = callmethod(call6432, "+", 1, partcv, params);
// compiled op node returning sum6433 (depth = 11)
  int op_slot_left_6420 = gc_frame_newslot(sum6433);
  params[0] = num6421;
  partcv[0] = 1;
  Object diff6434 = callmethod(sum6433, "-", 1, partcv, params);
// compiled op node returning diff6434 (depth = 10)
  gc_frame_newslot(diff6434);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2030
  setline(2030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit6415;
  params[1] = call6417;
  params[2] = call6419;
  params[3] = diff6434;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call6435 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6414);
// compiled call node returning call6435 (depth = 9)
    gc_frame_newslot(call6435);
    if6399 = call6435;
  } else {
// Begin line 2033
  setline(2033);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe6436 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call6437 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe6436);
// compiled call node returning call6437 (depth = 9)
// Begin line 2034
  setline(2034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe6438 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit6439 == NULL) {
    strlit6439 = alloc_String("Only variables and constants may be followed by a ':' and a type.");
    gc_root(strlit6439);
  }
// compiled string node returning strlit6439 (depth = 10)
  gc_frame_newslot(strlit6439);
// Begin line 2035
  setline(2035);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6440 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call6441 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6440);
// compiled call node returning call6441 (depth = 11)
// compiled member node returning call6441 (depth = 10)
  gc_frame_newslot(call6441);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6442 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call6443 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6442);
// compiled call node returning call6443 (depth = 11)
// compiled member node returning call6443 (depth = 10)
  gc_frame_newslot(call6443);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6444 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call6445 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6444);
// compiled call node returning call6445 (depth = 11)
// compiled member node returning call6445 (depth = 10)
  gc_frame_newslot(call6445);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2034
  setline(2034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit6439;
  params[1] = call6441;
  params[2] = call6443;
  params[3] = call6445;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call6446 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6438);
// compiled call node returning call6446 (depth = 9)
    gc_frame_newslot(call6446);
    if6399 = call6446;
  }
// compiled if node returning if6399 (depth = 8)
    gc_frame_newslot(if6399);
    if6388 = if6399;
  } else {
  }
// compiled if node returning if6388 (depth = 7)
// Begin line 2038
  setline(2038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6447 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6448 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6447);
// compiled call node returning call6448 (depth = 8)
// compiled member node returning call6448 (depth = 7)
// Begin line 2056
  setline(2056);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 2039
  setline(2039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6450 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 10)
  int callframe6451 = gc_frame_new();
// starting to compile block node (depth = 11)
  Object block6452 = alloc_Block(NULL, NULL, "parser", 2039);
  gc_frame_newslot(block6452);
// method _apply
  block_savedest(block6452);
  Object closure6453 = createclosure(2, "_apply");
  setclosureframe(closure6453, stackframe);
  addtoclosure(closure6453, var_blocksOK);
  addtoclosure(closure6453, selfslot);
  struct UserObject *uo6453 = (struct UserObject*)block6452;
  uo6453->data[0] = (Object)closure6453;
  Method *meth_meth_parser__apply6453 = addmethod2pos(block6452, "_apply", &meth_parser__apply6453, 0);
  int argcv_meth_parser__apply6453[] = {0};
  meth_meth_parser__apply6453->type = alloc_MethodType(1, argcv_meth_parser__apply6453);
  meth_meth_parser__apply6453->definitionModule = modulename;
  meth_meth_parser__apply6453->definitionLine = 2039;
// compiled block node returning block6452 (depth = 11)
  gc_frame_newslot(block6452);
// call case 4: self request
  params[0] = block6452;
  partcv[0] = 1;
  Object call6457 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6451);
// compiled call node returning call6457 (depth = 10)
  partcv[0] = 0;
  Object call6458 = callmethod(call6457, "not",
    1, partcv, params);
  gc_frame_end(callframe6450);
// compiled call node returning call6458 (depth = 9)
// compiled member node returning call6458 (depth = 8)
  Object if6449 = done;
  if (istrue(call6458)) {
// Begin line 2040
  setline(2040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6459 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6460 = callmethodflags(self, "checkBadTypeLiteral", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6459);
// compiled call node returning call6460 (depth = 9)
// compiled member node returning call6460 (depth = 8)
// Begin line 2042
  setline(2042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// Begin line 2041
  setline(2041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 9)
  Object array6461 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6461 (depth = 9)
  *var_suggestions = array6461;
  if (array6461 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 2043
  setline(2043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// Begin line 2042
  setline(2042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6462 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe6463 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call6464 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6463);
// compiled call node returning call6464 (depth = 12)
// compiled member node returning call6464 (depth = 11)
  partcv[0] = 0;
  Object call6465 = callmethod(call6464, "new",
    1, partcv, params);
  gc_frame_end(callframe6462);
// compiled call node returning call6465 (depth = 10)
// compiled member node returning call6465 (depth = 9)
  *var_suggestion = call6465;
  if (call6465 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 2043
  setline(2043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6466 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit6467 == NULL) {
    strlit6467 = alloc_String("rparen");
    gc_root(strlit6467);
  }
// compiled string node returning strlit6467 (depth = 10)
  gc_frame_newslot(strlit6467);
// call case 4: self request
  params[0] = strlit6467;
  partcv[0] = 1;
  Object call6468 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6466);
// compiled call node returning call6468 (depth = 9)
  *var_nextTok = call6468;
  if (call6468 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 2049
  setline(2049);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 2044
  setline(2044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  int op_slot_right_6470 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  int op_slot_left_6470 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6472 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult6472 (depth = 9)
  Object if6469 = done;
  if (istrue(opresult6472)) {
// Begin line 2045
  setline(2045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe6473 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit6474 == NULL) {
    strlit6474 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit6474);
  }
// compiled string node returning strlit6474 (depth = 10)
  gc_frame_newslot(strlit6474);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit6474;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6475 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6473);
// compiled call node returning call6475 (depth = 9)
    gc_frame_newslot(call6475);
    if6469 = call6475;
  } else {
// Begin line 2047
  setline(2047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe6476 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6477 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_nextTok (depth = 12)
  partcv[0] = 0;
  Object call6478 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6477);
// compiled call node returning call6478 (depth = 11)
// compiled member node returning call6478 (depth = 10)
  gc_frame_newslot(call6478);
// starting to compile identifier node (depth = 10)
  Object bool6479 = alloc_Boolean(1);
// compiled identifier node returning bool6479 (depth = 10)
  gc_frame_newslot(bool6479);
// starting to compile identifier node (depth = 10)
  Object bool6480 = alloc_Boolean(0);
// compiled identifier node returning bool6480 (depth = 10)
  gc_frame_newslot(bool6480);
// starting to compile string node (depth = 10)
  if (strlit6481 == NULL) {
    strlit6481 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit6481);
  }
// compiled string node returning strlit6481 (depth = 10)
  gc_frame_newslot(strlit6481);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  params[1] = call6478;
  params[2] = bool6479;
  params[3] = bool6480;
  params[4] = strlit6481;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6482 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe6476);
// compiled call node returning call6482 (depth = 9)
    gc_frame_newslot(call6482);
    if6469 = call6482;
  }
// compiled if node returning if6469 (depth = 8)
// Begin line 2049
  setline(2049);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6483 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6484 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6483);
// compiled call node returning call6484 (depth = 8)
// Begin line 2051
  setline(2051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 2050
  setline(2050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6485 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe6486 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call6487 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6486);
// compiled call node returning call6487 (depth = 12)
// compiled member node returning call6487 (depth = 11)
  partcv[0] = 0;
  Object call6488 = callmethod(call6487, "new",
    1, partcv, params);
  gc_frame_end(callframe6485);
// compiled call node returning call6488 (depth = 10)
// compiled member node returning call6488 (depth = 9)
  *var_suggestion = call6488;
  if (call6488 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 2051
  setline(2051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6490 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6491 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  partcv[0] = 0;
  Object call6492 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6491);
// compiled call node returning call6492 (depth = 10)
// compiled member node returning call6492 (depth = 9)
  gc_frame_newslot(call6492);
// starting to compile identifier node (depth = 9)
  Object bool6493 = alloc_Boolean(1);
// compiled identifier node returning bool6493 (depth = 9)
  gc_frame_newslot(bool6493);
// starting to compile identifier node (depth = 9)
  Object bool6494 = alloc_Boolean(0);
// compiled identifier node returning bool6494 (depth = 9)
  gc_frame_newslot(bool6494);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_lastToken;
  params[1] = call6492;
  params[2] = bool6493;
  params[3] = bool6494;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6495 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6490);
// compiled call node returning call6495 (depth = 8)
// Begin line 2052
  setline(2052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6496 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6497 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6496);
// compiled call node returning call6497 (depth = 8)
// Begin line 2053
  setline(2053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6498 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6499 == NULL) {
    strlit6499 = alloc_String("A type name or type expression must follow ':'.");
    gc_root(strlit6499);
  }
// compiled string node returning strlit6499 (depth = 9)
  gc_frame_newslot(strlit6499);
// Begin line 2054
  setline(2054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6500 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call6501 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6500);
// compiled call node returning call6501 (depth = 10)
// compiled member node returning call6501 (depth = 9)
  gc_frame_newslot(call6501);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6502 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call6503 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6502);
// compiled call node returning call6503 (depth = 10)
// compiled member node returning call6503 (depth = 9)
  gc_frame_newslot(call6503);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 2053
  setline(2053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit6499;
  params[1] = call6501;
  params[2] = call6503;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6504 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe6498);
// compiled call node returning call6504 (depth = 8)
    gc_frame_newslot(call6504);
    if6449 = call6504;
  } else {
  }
// compiled if node returning if6449 (depth = 7)
// Begin line 2057
  setline(2057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 2054
  setline(2054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6505 = gc_frame_new();
// Begin line 2056
  setline(2056);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6506 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_values (depth = 11)
  partcv[0] = 0;
  Object call6507 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6506);
// compiled call node returning call6507 (depth = 10)
// compiled member node returning call6507 (depth = 9)
  gc_frame_newslot(call6507);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_arg (depth = 9)
  params[0] = call6507;
  partcv[0] = 1;
  Object call6508 = callmethod(*var_arg, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe6505);
// compiled call node returning call6508 (depth = 8)
// compiled bind node returning done (depth = 7)
// Begin line 2057
  setline(2057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6509 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_arg (depth = 8)
  gc_frame_newslot(*var_arg);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  params[0] = *var_arg;
  partcv[0] = 1;
  Object call6510 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6509);
// compiled call node returning call6510 (depth = 7)
    gc_frame_newslot(call6510);
    if6382 = call6510;
  } else {
  }
// compiled if node returning if6382 (depth = 6)
  gc_frame_end(frame);
  return if6382;
}
Object meth_parser__apply6179(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_part = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_expr = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "expr");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
// Begin line 2004
  setline(2004);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1969
  setline(1969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6181 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit6182 == NULL) {
    strlit6182 = alloc_String("colon");
    gc_root(strlit6182);
  }
// compiled string node returning strlit6182 (depth = 6)
  gc_frame_newslot(strlit6182);
// call case 4: self request
  params[0] = strlit6182;
  partcv[0] = 1;
  Object call6183 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6181);
// compiled call node returning call6183 (depth = 5)
  Object if6180 = done;
  if (istrue(call6183)) {
// Begin line 1971
  setline(1971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 1970
  setline(1970);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6184 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call6185 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6184);
// compiled call node returning call6185 (depth = 7)
// compiled member node returning call6185 (depth = 6)
  *var_expr = call6185;
  if (call6185 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 1983
  setline(1983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1971
  setline(1971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6188 == NULL) {
    strlit6188 = alloc_String("identifier");
    gc_root(strlit6188);
  }
// compiled string node returning strlit6188 (depth = 7)
  int op_slot_right_6187 = gc_frame_newslot(strlit6188);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6190 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_expr (depth = 9)
  partcv[0] = 0;
  Object call6191 = callmethod(*var_expr, "kind",
    1, partcv, params);
  gc_frame_end(callframe6190);
// compiled call node returning call6191 (depth = 8)
// compiled member node returning call6191 (depth = 7)
  int op_slot_left_6187 = gc_frame_newslot(call6191);
  params[0] = strlit6188;
  partcv[0] = 1;
  Object opresult6192 = callmethod(call6191, "!=", 1, partcv, params);
// compiled op node returning opresult6192 (depth = 6)
  Object if6186 = done;
  if (istrue(opresult6192)) {
// Begin line 1973
  setline(1973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 1972
  setline(1972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6193 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6194 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call6195 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6194);
// compiled call node returning call6195 (depth = 10)
// compiled member node returning call6195 (depth = 9)
  partcv[0] = 0;
  Object call6196 = callmethod(call6195, "new",
    1, partcv, params);
  gc_frame_end(callframe6193);
// compiled call node returning call6196 (depth = 8)
// compiled member node returning call6196 (depth = 7)
  *var_suggestion = call6196;
  if (call6196 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1982
  setline(1982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1973
  setline(1973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6199 == NULL) {
    strlit6199 = alloc_String("identifier");
    gc_root(strlit6199);
  }
// compiled string node returning strlit6199 (depth = 8)
  int op_slot_right_6198 = gc_frame_newslot(strlit6199);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6201 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6202 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call6203 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6202);
// compiled call node returning call6203 (depth = 11)
// compiled member node returning call6203 (depth = 10)
  partcv[0] = 0;
  Object call6204 = callmethod(call6203, "kind",
    1, partcv, params);
  gc_frame_end(callframe6201);
// compiled call node returning call6204 (depth = 9)
// compiled member node returning call6204 (depth = 8)
  int op_slot_left_6198 = gc_frame_newslot(call6204);
  params[0] = strlit6199;
  partcv[0] = 1;
  Object opresult6205 = callmethod(call6204, "==", 1, partcv, params);
// compiled op node returning opresult6205 (depth = 7)
  Object if6197 = done;
  if (istrue(opresult6205)) {
// Begin line 1974
  setline(1974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6206 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6207 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call6208 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6207);
// compiled call node returning call6208 (depth = 9)
// compiled member node returning call6208 (depth = 8)
  gc_frame_newslot(call6208);
// starting to compile identifier node (depth = 8)
  Object bool6209 = alloc_Boolean(1);
// compiled identifier node returning bool6209 (depth = 8)
  gc_frame_newslot(bool6209);
// starting to compile identifier node (depth = 8)
  Object bool6210 = alloc_Boolean(0);
// compiled identifier node returning bool6210 (depth = 8)
  gc_frame_newslot(bool6210);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = call6208;
  params[2] = bool6209;
  params[3] = bool6210;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6211 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6206);
// compiled call node returning call6211 (depth = 7)
// Begin line 1975
  setline(1975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6212 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit6213 == NULL) {
    strlit6213 = alloc_String("Only variables and constants may be followed by a ':' and a type.");
    gc_root(strlit6213);
  }
// compiled string node returning strlit6213 (depth = 8)
  gc_frame_newslot(strlit6213);
// Begin line 1976
  setline(1976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6214 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call6215 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6214);
// compiled call node returning call6215 (depth = 9)
// compiled member node returning call6215 (depth = 8)
  gc_frame_newslot(call6215);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6216 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call6217 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6216);
// compiled call node returning call6217 (depth = 9)
// compiled member node returning call6217 (depth = 8)
  gc_frame_newslot(call6217);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num6219 = alloc_Float64(1);
// compiled num node returning num6219 (depth = 9)
  int op_slot_right_6218 = gc_frame_newslot(num6219);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6222 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe6223 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_sym (depth = 14)
  partcv[0] = 0;
  Object call6224 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6223);
// compiled call node returning call6224 (depth = 13)
// compiled member node returning call6224 (depth = 12)
  partcv[0] = 0;
  Object call6225 = callmethod(call6224, "size",
    1, partcv, params);
  gc_frame_end(callframe6222);
// compiled call node returning call6225 (depth = 11)
// compiled member node returning call6225 (depth = 10)
  int op_slot_right_6221 = gc_frame_newslot(call6225);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6227 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe6228 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_sym (depth = 14)
  partcv[0] = 0;
  Object call6229 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6228);
// compiled call node returning call6229 (depth = 13)
// compiled member node returning call6229 (depth = 12)
  partcv[0] = 0;
  Object call6230 = callmethod(call6229, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6227);
// compiled call node returning call6230 (depth = 11)
// compiled member node returning call6230 (depth = 10)
  int op_slot_left_6221 = gc_frame_newslot(call6230);
  params[0] = call6225;
  partcv[0] = 1;
  Object sum6231 = callmethod(call6230, "+", 1, partcv, params);
// compiled op node returning sum6231 (depth = 9)
  int op_slot_left_6218 = gc_frame_newslot(sum6231);
  params[0] = num6219;
  partcv[0] = 1;
  Object diff6232 = callmethod(sum6231, "-", 1, partcv, params);
// compiled op node returning diff6232 (depth = 8)
  gc_frame_newslot(diff6232);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1975
  setline(1975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit6213;
  params[1] = call6215;
  params[2] = call6217;
  params[3] = diff6232;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call6233 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6212);
// compiled call node returning call6233 (depth = 7)
    gc_frame_newslot(call6233);
    if6197 = call6233;
  } else {
// Begin line 1978
  setline(1978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6234 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
  Object bool6235 = alloc_Boolean(1);
// compiled identifier node returning bool6235 (depth = 8)
  gc_frame_newslot(bool6235);
// starting to compile identifier node (depth = 8)
  Object bool6236 = alloc_Boolean(0);
// compiled identifier node returning bool6236 (depth = 8)
  gc_frame_newslot(bool6236);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = bool6235;
  params[2] = bool6236;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6237 = callmethod(*var_suggestion, "deleteToken()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6234);
// compiled call node returning call6237 (depth = 7)
// Begin line 1979
  setline(1979);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6238 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit6239 == NULL) {
    strlit6239 = alloc_String("Only variables and constants may be followed by a ':' and a type.");
    gc_root(strlit6239);
  }
// compiled string node returning strlit6239 (depth = 8)
  gc_frame_newslot(strlit6239);
// Begin line 1980
  setline(1980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6240 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call6241 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6240);
// compiled call node returning call6241 (depth = 9)
// compiled member node returning call6241 (depth = 8)
  gc_frame_newslot(call6241);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6242 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call6243 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6242);
// compiled call node returning call6243 (depth = 9)
// compiled member node returning call6243 (depth = 8)
  gc_frame_newslot(call6243);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6244 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call6245 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6244);
// compiled call node returning call6245 (depth = 9)
// compiled member node returning call6245 (depth = 8)
  gc_frame_newslot(call6245);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1979
  setline(1979);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit6239;
  params[1] = call6241;
  params[2] = call6243;
  params[3] = call6245;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call6246 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6238);
// compiled call node returning call6246 (depth = 7)
    gc_frame_newslot(call6246);
    if6197 = call6246;
  }
// compiled if node returning if6197 (depth = 6)
    gc_frame_newslot(if6197);
    if6186 = if6197;
  } else {
  }
// compiled if node returning if6186 (depth = 5)
// Begin line 1983
  setline(1983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6247 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6248 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6247);
// compiled call node returning call6248 (depth = 6)
// compiled member node returning call6248 (depth = 5)
// Begin line 2001
  setline(2001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1984
  setline(1984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6250 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 8)
  int callframe6251 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block6252 = alloc_Block(NULL, NULL, "parser", 1984);
  gc_frame_newslot(block6252);
// method _apply
  block_savedest(block6252);
  Object closure6253 = createclosure(2, "_apply");
  setclosureframe(closure6253, stackframe);
  addtoclosure(closure6253, var_blocksOK);
  addtoclosure(closure6253, selfslot);
  struct UserObject *uo6253 = (struct UserObject*)block6252;
  uo6253->data[0] = (Object)closure6253;
  Method *meth_meth_parser__apply6253 = addmethod2pos(block6252, "_apply", &meth_parser__apply6253, 0);
  int argcv_meth_parser__apply6253[] = {0};
  meth_meth_parser__apply6253->type = alloc_MethodType(1, argcv_meth_parser__apply6253);
  meth_meth_parser__apply6253->definitionModule = modulename;
  meth_meth_parser__apply6253->definitionLine = 1984;
// compiled block node returning block6252 (depth = 9)
  gc_frame_newslot(block6252);
// call case 4: self request
  params[0] = block6252;
  partcv[0] = 1;
  Object call6257 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6251);
// compiled call node returning call6257 (depth = 8)
  partcv[0] = 0;
  Object call6258 = callmethod(call6257, "not",
    1, partcv, params);
  gc_frame_end(callframe6250);
// compiled call node returning call6258 (depth = 7)
// compiled member node returning call6258 (depth = 6)
  Object if6249 = done;
  if (istrue(call6258)) {
// Begin line 1985
  setline(1985);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6259 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6260 = callmethodflags(self, "checkBadTypeLiteral", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6259);
// compiled call node returning call6260 (depth = 7)
// compiled member node returning call6260 (depth = 6)
// Begin line 1987
  setline(1987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 1986
  setline(1986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 7)
  Object array6261 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6261 (depth = 7)
  *var_suggestions = array6261;
  if (array6261 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1988
  setline(1988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// Begin line 1987
  setline(1987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6262 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6263 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call6264 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6263);
// compiled call node returning call6264 (depth = 10)
// compiled member node returning call6264 (depth = 9)
  partcv[0] = 0;
  Object call6265 = callmethod(call6264, "new",
    1, partcv, params);
  gc_frame_end(callframe6262);
// compiled call node returning call6265 (depth = 8)
// compiled member node returning call6265 (depth = 7)
  *var_suggestion = call6265;
  if (call6265 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 1988
  setline(1988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6266 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit6267 == NULL) {
    strlit6267 = alloc_String("rparen");
    gc_root(strlit6267);
  }
// compiled string node returning strlit6267 (depth = 8)
  gc_frame_newslot(strlit6267);
// call case 4: self request
  params[0] = strlit6267;
  partcv[0] = 1;
  Object call6268 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6266);
// compiled call node returning call6268 (depth = 7)
  *var_nextTok = call6268;
  if (call6268 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 1994
  setline(1994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1989
  setline(1989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_6270 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_6270 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6272 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult6272 (depth = 7)
  Object if6269 = done;
  if (istrue(opresult6272)) {
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6273 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit6274 == NULL) {
    strlit6274 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit6274);
  }
// compiled string node returning strlit6274 (depth = 8)
  gc_frame_newslot(strlit6274);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit6274;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6275 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6273);
// compiled call node returning call6275 (depth = 7)
    gc_frame_newslot(call6275);
    if6269 = call6275;
  } else {
// Begin line 1992
  setline(1992);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6276 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6277 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  partcv[0] = 0;
  Object call6278 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6277);
// compiled call node returning call6278 (depth = 9)
// compiled member node returning call6278 (depth = 8)
  gc_frame_newslot(call6278);
// starting to compile identifier node (depth = 8)
  Object bool6279 = alloc_Boolean(1);
// compiled identifier node returning bool6279 (depth = 8)
  gc_frame_newslot(bool6279);
// starting to compile identifier node (depth = 8)
  Object bool6280 = alloc_Boolean(0);
// compiled identifier node returning bool6280 (depth = 8)
  gc_frame_newslot(bool6280);
// starting to compile string node (depth = 8)
  if (strlit6281 == NULL) {
    strlit6281 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit6281);
  }
// compiled string node returning strlit6281 (depth = 8)
  gc_frame_newslot(strlit6281);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = call6278;
  params[2] = bool6279;
  params[3] = bool6280;
  params[4] = strlit6281;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6282 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe6276);
// compiled call node returning call6282 (depth = 7)
    gc_frame_newslot(call6282);
    if6269 = call6282;
  }
// compiled if node returning if6269 (depth = 6)
// Begin line 1994
  setline(1994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6283 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6284 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6283);
// compiled call node returning call6284 (depth = 6)
// Begin line 1996
  setline(1996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 1995
  setline(1995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6285 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6286 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call6287 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6286);
// compiled call node returning call6287 (depth = 10)
// compiled member node returning call6287 (depth = 9)
  partcv[0] = 0;
  Object call6288 = callmethod(call6287, "new",
    1, partcv, params);
  gc_frame_end(callframe6285);
// compiled call node returning call6288 (depth = 8)
// compiled member node returning call6288 (depth = 7)
  *var_suggestion = call6288;
  if (call6288 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1996
  setline(1996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6290 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6291 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  partcv[0] = 0;
  Object call6292 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6291);
// compiled call node returning call6292 (depth = 8)
// compiled member node returning call6292 (depth = 7)
  gc_frame_newslot(call6292);
// starting to compile identifier node (depth = 7)
  Object bool6293 = alloc_Boolean(1);
// compiled identifier node returning bool6293 (depth = 7)
  gc_frame_newslot(bool6293);
// starting to compile identifier node (depth = 7)
  Object bool6294 = alloc_Boolean(0);
// compiled identifier node returning bool6294 (depth = 7)
  gc_frame_newslot(bool6294);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_lastToken;
  params[1] = call6292;
  params[2] = bool6293;
  params[3] = bool6294;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6295 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6290);
// compiled call node returning call6295 (depth = 6)
// Begin line 1997
  setline(1997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6296 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6297 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6296);
// compiled call node returning call6297 (depth = 6)
// Begin line 1998
  setline(1998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6298 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit6299 == NULL) {
    strlit6299 = alloc_String("A type name or type expression must follow ':'.");
    gc_root(strlit6299);
  }
// compiled string node returning strlit6299 (depth = 7)
  gc_frame_newslot(strlit6299);
// Begin line 1999
  setline(1999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6300 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call6301 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6300);
// compiled call node returning call6301 (depth = 8)
// compiled member node returning call6301 (depth = 7)
  gc_frame_newslot(call6301);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6302 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call6303 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6302);
// compiled call node returning call6303 (depth = 8)
// compiled member node returning call6303 (depth = 7)
  gc_frame_newslot(call6303);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 1998
  setline(1998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit6299;
  params[1] = call6301;
  params[2] = call6303;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6304 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe6298);
// compiled call node returning call6304 (depth = 6)
    gc_frame_newslot(call6304);
    if6249 = call6304;
  } else {
  }
// compiled if node returning if6249 (depth = 5)
// Begin line 2002
  setline(2002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1999
  setline(1999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6305 = gc_frame_new();
// Begin line 2001
  setline(2001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6306 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  partcv[0] = 0;
  Object call6307 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6306);
// compiled call node returning call6307 (depth = 8)
// compiled member node returning call6307 (depth = 7)
  gc_frame_newslot(call6307);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_expr (depth = 7)
  params[0] = call6307;
  partcv[0] = 1;
  Object call6308 = callmethod(*var_expr, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe6305);
// compiled call node returning call6308 (depth = 6)
// compiled bind node returning done (depth = 5)
// Begin line 2002
  setline(2002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6309 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_expr (depth = 6)
  gc_frame_newslot(*var_expr);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  params[0] = *var_expr;
  partcv[0] = 1;
  Object call6310 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6309);
// compiled call node returning call6310 (depth = 5)
    gc_frame_newslot(call6310);
    if6180 = call6310;
  } else {
  }
// compiled if node returning if6180 (depth = 4)
// Begin line 2004
  setline(2004);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6311 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block6312 = alloc_Block(NULL, NULL, "parser", 2004);
  gc_frame_newslot(block6312);
// method _apply
  block_savedest(block6312);
  Object closure6313 = createclosure(1, "_apply");
  setclosureframe(closure6313, stackframe);
  addtoclosure(closure6313, selfslot);
  struct UserObject *uo6313 = (struct UserObject*)block6312;
  uo6313->data[0] = (Object)closure6313;
  Method *meth_meth_parser__apply6313 = addmethod2pos(block6312, "_apply", &meth_parser__apply6313, 0);
  int argcv_meth_parser__apply6313[] = {0};
  meth_meth_parser__apply6313->type = alloc_MethodType(1, argcv_meth_parser__apply6313);
  meth_meth_parser__apply6313->definitionModule = modulename;
  meth_meth_parser__apply6313->definitionLine = 2001;
// compiled block node returning block6312 (depth = 5)
  gc_frame_newslot(block6312);
// starting to compile block node (depth = 5)
  Object block6318 = alloc_Block(NULL, NULL, "parser", 2004);
  gc_frame_newslot(block6318);
// method _apply
  block_savedest(block6318);
  Object closure6319 = createclosure(7, "_apply");
  setclosureframe(closure6319, stackframe);
  addtoclosure(closure6319, var_values);
  addtoclosure(closure6319, var_part);
  addtoclosure(closure6319, var_blocksOK);
  addtoclosure(closure6319, var_errormessages);
  addtoclosure(closure6319, var_sym);
  addtoclosure(closure6319, var_lastToken);
  addtoclosure(closure6319, selfslot);
  struct UserObject *uo6319 = (struct UserObject*)block6318;
  uo6319->data[0] = (Object)closure6319;
  Method *meth_meth_parser__apply6319 = addmethod2pos(block6318, "_apply", &meth_parser__apply6319, 0);
  int argcv_meth_parser__apply6319[] = {0};
  meth_meth_parser__apply6319->type = alloc_MethodType(1, argcv_meth_parser__apply6319);
  meth_meth_parser__apply6319->definitionModule = modulename;
  meth_meth_parser__apply6319->definitionLine = 2001;
// compiled block node returning block6318 (depth = 5)
  gc_frame_newslot(block6318);
// call case 5: prelude request
  params[0] = block6312;
  params[1] = block6318;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6512 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6311);
// compiled call node returning call6512 (depth = 4)
// Begin line 2060
  setline(2060);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6513 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6514 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  partcv[0] = 0;
  Object call6515 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6514);
// compiled call node returning call6515 (depth = 6)
// compiled member node returning call6515 (depth = 5)
  gc_frame_newslot(call6515);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6516 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  partcv[0] = 0;
  Object call6517 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe6516);
// compiled call node returning call6517 (depth = 6)
// compiled member node returning call6517 (depth = 5)
  params[0] = call6515;
  partcv[0] = 1;
  Object call6518 = callmethod(call6517, "push",
    1, partcv, params);
  gc_frame_end(callframe6513);
// compiled call node returning call6518 (depth = 4)
  gc_frame_end(frame);
  return call6518;
}
Object meth_parser_parenthesizedArg6169(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 42, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "parenthesizedArg");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method parenthesizedArg");
  Object params[4];
  int partcv[3];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for parenthesizedArg (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for parenthesizedArg");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
// Begin line 1966
  setline(1966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe6170 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6171 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6170);
// compiled call node returning call6171 (depth = 3)
// compiled member node returning call6171 (depth = 2)
// Begin line 1967
  setline(1967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe6172 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block6173 = alloc_Block(NULL, NULL, "parser", 1967);
  gc_frame_newslot(block6173);
// method _apply
  block_savedest(block6173);
  Object closure6174 = createclosure(2, "_apply");
  setclosureframe(closure6174, stackframe);
  addtoclosure(closure6174, var_blocksOK);
  addtoclosure(closure6174, selfslot);
  struct UserObject *uo6174 = (struct UserObject*)block6173;
  uo6174->data[0] = (Object)closure6174;
  Method *meth_meth_parser__apply6174 = addmethod2pos(block6173, "_apply", &meth_parser__apply6174, 0);
  int argcv_meth_parser__apply6174[] = {0};
  meth_meth_parser__apply6174->type = alloc_MethodType(1, argcv_meth_parser__apply6174);
  meth_meth_parser__apply6174->definitionModule = modulename;
  meth_meth_parser__apply6174->definitionLine = 1966;
// compiled block node returning block6173 (depth = 3)
  gc_frame_newslot(block6173);
// starting to compile block node (depth = 3)
  Object block6178 = alloc_Block(NULL, NULL, "parser", 1967);
  gc_frame_newslot(block6178);
// method _apply
  block_savedest(block6178);
  Object closure6179 = createclosure(7, "_apply");
  setclosureframe(closure6179, stackframe);
  addtoclosure(closure6179, var_values);
  addtoclosure(closure6179, var_errormessages);
  addtoclosure(closure6179, var_sym);
  addtoclosure(closure6179, var_blocksOK);
  addtoclosure(closure6179, var_lastToken);
  addtoclosure(closure6179, var_part);
  addtoclosure(closure6179, selfslot);
  struct UserObject *uo6179 = (struct UserObject*)block6178;
  uo6179->data[0] = (Object)closure6179;
  Method *meth_meth_parser__apply6179 = addmethod2pos(block6178, "_apply", &meth_parser__apply6179, 0);
  int argcv_meth_parser__apply6179[] = {0};
  meth_meth_parser__apply6179->type = alloc_MethodType(1, argcv_meth_parser__apply6179);
  meth_meth_parser__apply6179->definitionModule = modulename;
  meth_meth_parser__apply6179->definitionLine = 1966;
// compiled block node returning block6178 (depth = 3)
  gc_frame_newslot(block6178);
// call case 4: self request
  params[0] = block6173;
  params[1] = block6178;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6520 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6172);
// compiled call node returning call6520 (depth = 2)
// Begin line 2069
  setline(2069);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2062
  setline(2062);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6523 == NULL) {
    strlit6523 = alloc_String("rparen");
    gc_root(strlit6523);
  }
// compiled string node returning strlit6523 (depth = 4)
  int op_slot_right_6522 = gc_frame_newslot(strlit6523);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6525 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call6526 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe6525);
// compiled call node returning call6526 (depth = 5)
// compiled member node returning call6526 (depth = 4)
  int op_slot_left_6522 = gc_frame_newslot(call6526);
  params[0] = strlit6523;
  partcv[0] = 1;
  Object opresult6527 = callmethod(call6526, "!=", 1, partcv, params);
// compiled op node returning opresult6527 (depth = 3)
  Object if6521 = done;
  if (istrue(opresult6527)) {
// Begin line 2063
  setline(2063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6528 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6529 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6528);
// compiled call node returning call6529 (depth = 4)
// compiled member node returning call6529 (depth = 3)
// Begin line 2065
  setline(2065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2064
  setline(2064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6530 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6531 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  partcv[0] = 0;
  Object call6532 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6531);
// compiled call node returning call6532 (depth = 7)
// compiled member node returning call6532 (depth = 6)
  partcv[0] = 0;
  Object call6533 = callmethod(call6532, "new",
    1, partcv, params);
  gc_frame_end(callframe6530);
// compiled call node returning call6533 (depth = 5)
// compiled member node returning call6533 (depth = 4)
  *var_suggestion = call6533;
  if (call6533 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2065
  setline(2065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6534 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit6535 == NULL) {
    strlit6535 = alloc_String(")");
    gc_root(strlit6535);
  }
// compiled string node returning strlit6535 (depth = 4)
  gc_frame_newslot(strlit6535);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lastToken (depth = 4)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = strlit6535;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6536 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6534);
// compiled call node returning call6536 (depth = 3)
// Begin line 2066
  setline(2066);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6537 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit6538 == NULL) {
    strlit6538 = alloc_String("A method request beginning with a '(' must end with a ')'.");
    gc_root(strlit6538);
  }
// compiled string node returning strlit6538 (depth = 4)
  gc_frame_newslot(strlit6538);
// Begin line 2067
  setline(2067);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6539 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  partcv[0] = 0;
  Object call6540 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe6539);
// compiled call node returning call6540 (depth = 5)
// compiled member node returning call6540 (depth = 4)
  gc_frame_newslot(call6540);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6542 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call6543 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe6542);
// compiled call node returning call6543 (depth = 6)
// compiled member node returning call6543 (depth = 5)
  int op_slot_right_6541 = gc_frame_newslot(call6543);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6545 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call6546 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6545);
// compiled call node returning call6546 (depth = 6)
// compiled member node returning call6546 (depth = 5)
  int op_slot_left_6541 = gc_frame_newslot(call6546);
  params[0] = call6543;
  partcv[0] = 1;
  Object sum6547 = callmethod(call6546, "+", 1, partcv, params);
// compiled op node returning sum6547 (depth = 4)
  gc_frame_newslot(sum6547);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2066
  setline(2066);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit6538;
  params[1] = call6540;
  params[2] = sum6547;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6548 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6537);
// compiled call node returning call6548 (depth = 3)
    gc_frame_newslot(call6548);
    if6521 = call6548;
  } else {
  }
// compiled if node returning if6521 (depth = 2)
// Begin line 2072
  setline(2072);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2069
  setline(2069);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6551 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_part (depth = 6)
  partcv[0] = 0;
  Object call6552 = callmethod(*var_part, "line",
    1, partcv, params);
  gc_frame_end(callframe6551);
// compiled call node returning call6552 (depth = 5)
// compiled member node returning call6552 (depth = 4)
  int op_slot_right_6550 = gc_frame_newslot(call6552);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6554 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call6555 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6554);
// compiled call node returning call6555 (depth = 5)
// compiled member node returning call6555 (depth = 4)
  int op_slot_left_6550 = gc_frame_newslot(call6555);
  params[0] = call6552;
  partcv[0] = 1;
  Object opresult6556 = callmethod(call6555, "==", 1, partcv, params);
// compiled op node returning opresult6556 (depth = 3)
  Object if6549 = done;
  if (istrue(opresult6556)) {
// Begin line 2071
  setline(2071);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2069
  setline(2069);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6557 = gc_frame_new();
// Begin line 2071
  setline(2071);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// Begin line 2070
  setline(2070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6559 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  partcv[0] = 0;
  Object call6560 = callmethod(*var_part, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6559);
// compiled call node returning call6560 (depth = 7)
// compiled member node returning call6560 (depth = 6)
  int op_slot_right_6558 = gc_frame_newslot(call6560);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6562 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call6563 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6562);
// compiled call node returning call6563 (depth = 7)
// compiled member node returning call6563 (depth = 6)
  int op_slot_left_6558 = gc_frame_newslot(call6563);
  params[0] = call6560;
  partcv[0] = 1;
  Object diff6564 = callmethod(call6563, "-", 1, partcv, params);
// compiled op node returning diff6564 (depth = 5)
  gc_frame_newslot(diff6564);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_part (depth = 5)
  params[0] = diff6564;
  partcv[0] = 1;
  Object call6565 = callmethod(*var_part, "lineLength:=",
    1, partcv, params);
  gc_frame_end(callframe6557);
// compiled call node returning call6565 (depth = 4)
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if6549 = done;
  } else {
  }
// compiled if node returning if6549 (depth = 2)
// Begin line 2072
  setline(2072);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe6566 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6567 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6566);
// compiled call node returning call6567 (depth = 3)
// compiled member node returning call6567 (depth = 2)
  gc_frame_end(frame);
  return call6567;
}
Object meth_parser__apply6587(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6588 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6589 = callmethodflags(self, "typeArg", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6588);
// compiled call node returning call6589 (depth = 7)
// compiled member node returning call6589 (depth = 6)
  gc_frame_end(frame);
  return call6589;
}
Object meth_parser__apply6584(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe6585 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block6586 = alloc_Block(NULL, NULL, "parser", 2081);
  gc_frame_newslot(block6586);
// method _apply
  block_savedest(block6586);
  Object closure6587 = createclosure(1, "_apply");
  setclosureframe(closure6587, stackframe);
  addtoclosure(closure6587, selfslot);
  struct UserObject *uo6587 = (struct UserObject*)block6586;
  uo6587->data[0] = (Object)closure6587;
  Method *meth_meth_parser__apply6587 = addmethod2pos(block6586, "_apply", &meth_parser__apply6587, 0);
  int argcv_meth_parser__apply6587[] = {0};
  meth_meth_parser__apply6587->type = alloc_MethodType(1, argcv_meth_parser__apply6587);
  meth_meth_parser__apply6587->definitionModule = modulename;
  meth_meth_parser__apply6587->definitionLine = 2080;
// compiled block node returning block6586 (depth = 5)
  gc_frame_newslot(block6586);
// call case 4: self request
  params[0] = block6586;
  partcv[0] = 1;
  Object call6591 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6585);
// compiled call node returning call6591 (depth = 4)
  gc_frame_end(frame);
  return call6591;
}
Object meth_parser__apply6594(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_args = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2082
  setline(2082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6595 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6596 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  partcv[0] = 0;
  Object call6597 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6596);
// compiled call node returning call6597 (depth = 6)
// compiled member node returning call6597 (depth = 5)
  gc_frame_newslot(call6597);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_args (depth = 5)
  params[0] = call6597;
  partcv[0] = 1;
  Object call6598 = callmethod(*var_args, "add",
    1, partcv, params);
  gc_frame_end(callframe6595);
// compiled call node returning call6598 (depth = 4)
// Begin line 2084
  setline(2084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2083
  setline(2083);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6601 == NULL) {
    strlit6601 = alloc_String("comma");
    gc_root(strlit6601);
  }
// compiled string node returning strlit6601 (depth = 6)
  int op_slot_right_6600 = gc_frame_newslot(strlit6601);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6603 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call6604 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe6603);
// compiled call node returning call6604 (depth = 7)
// compiled member node returning call6604 (depth = 6)
  int op_slot_left_6600 = gc_frame_newslot(call6604);
  params[0] = strlit6601;
  partcv[0] = 1;
  Object opresult6605 = callmethod(call6604, "==", 1, partcv, params);
// compiled op node returning opresult6605 (depth = 5)
  Object if6599 = done;
  if (istrue(opresult6605)) {
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6606 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6607 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6606);
// compiled call node returning call6607 (depth = 6)
// compiled member node returning call6607 (depth = 5)
    gc_frame_newslot(call6607);
    if6599 = call6607;
  } else {
  }
// compiled if node returning if6599 (depth = 4)
  gc_frame_end(frame);
  return if6599;
}
Object meth_parser_typeArgs6568(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 43, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeArgs");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for typeArgs (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for typeArgs");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_startToken = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "startToken");
  Object *var_args = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "args");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_suggestion2 = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion2");
  Object *var_suggestions = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "suggestions");
// Begin line 2078
  setline(2078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 2077
  setline(2077);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_startToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 2079
  setline(2079);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 2078
  setline(2078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6569 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6570 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call6571 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6570);
// compiled call node returning call6571 (depth = 6)
// compiled member node returning call6571 (depth = 5)
  partcv[0] = 0;
  Object call6572 = callmethod(call6571, "empty",
    1, partcv, params);
  gc_frame_end(callframe6569);
// compiled call node returning call6572 (depth = 4)
// compiled member node returning call6572 (depth = 3)
  *var_args = call6572;
  if (call6572 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 2080
  setline(2080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2079
  setline(2079);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6575 == NULL) {
    strlit6575 = alloc_String("lgeneric");
    gc_root(strlit6575);
  }
// compiled string node returning strlit6575 (depth = 4)
  int op_slot_right_6574 = gc_frame_newslot(strlit6575);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6577 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call6578 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe6577);
// compiled call node returning call6578 (depth = 5)
// compiled member node returning call6578 (depth = 4)
  int op_slot_left_6574 = gc_frame_newslot(call6578);
  params[0] = strlit6575;
  partcv[0] = 1;
  Object opresult6579 = callmethod(call6578, "!=", 1, partcv, params);
// compiled op node returning opresult6579 (depth = 3)
  Object if6573 = done;
  if (istrue(opresult6579)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_args (depth = 4)
  return *var_args;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if6573 = undefined;
  } else {
  }
// compiled if node returning if6573 (depth = 2)
// Begin line 2080
  setline(2080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe6580 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6581 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6580);
// compiled call node returning call6581 (depth = 3)
// compiled member node returning call6581 (depth = 2)
// Begin line 2081
  setline(2081);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe6582 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block6583 = alloc_Block(NULL, NULL, "parser", 2081);
  gc_frame_newslot(block6583);
// method _apply
  block_savedest(block6583);
  Object closure6584 = createclosure(1, "_apply");
  setclosureframe(closure6584, stackframe);
  addtoclosure(closure6584, selfslot);
  struct UserObject *uo6584 = (struct UserObject*)block6583;
  uo6584->data[0] = (Object)closure6584;
  Method *meth_meth_parser__apply6584 = addmethod2pos(block6583, "_apply", &meth_parser__apply6584, 0);
  int argcv_meth_parser__apply6584[] = {0};
  meth_meth_parser__apply6584->type = alloc_MethodType(1, argcv_meth_parser__apply6584);
  meth_meth_parser__apply6584->definitionModule = modulename;
  meth_meth_parser__apply6584->definitionLine = 2080;
// compiled block node returning block6583 (depth = 3)
  gc_frame_newslot(block6583);
// starting to compile block node (depth = 3)
  Object block6593 = alloc_Block(NULL, NULL, "parser", 2081);
  gc_frame_newslot(block6593);
// method _apply
  block_savedest(block6593);
  Object closure6594 = createclosure(4, "_apply");
  setclosureframe(closure6594, stackframe);
  addtoclosure(closure6594, var_values);
  addtoclosure(closure6594, var_args);
  addtoclosure(closure6594, var_sym);
  addtoclosure(closure6594, selfslot);
  struct UserObject *uo6594 = (struct UserObject*)block6593;
  uo6594->data[0] = (Object)closure6594;
  Method *meth_meth_parser__apply6594 = addmethod2pos(block6593, "_apply", &meth_parser__apply6594, 0);
  int argcv_meth_parser__apply6594[] = {0};
  meth_meth_parser__apply6594->type = alloc_MethodType(1, argcv_meth_parser__apply6594);
  meth_meth_parser__apply6594->definitionModule = modulename;
  meth_meth_parser__apply6594->definitionLine = 2081;
// compiled block node returning block6593 (depth = 3)
  gc_frame_newslot(block6593);
// call case 5: prelude request
  params[0] = block6583;
  params[1] = block6593;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6609 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6582);
// compiled call node returning call6609 (depth = 2)
// Begin line 2096
  setline(2096);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2085
  setline(2085);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6612 == NULL) {
    strlit6612 = alloc_String("rgeneric");
    gc_root(strlit6612);
  }
// compiled string node returning strlit6612 (depth = 4)
  int op_slot_right_6611 = gc_frame_newslot(strlit6612);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6614 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call6615 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe6614);
// compiled call node returning call6615 (depth = 5)
// compiled member node returning call6615 (depth = 4)
  int op_slot_left_6611 = gc_frame_newslot(call6615);
  params[0] = strlit6612;
  partcv[0] = 1;
  Object opresult6616 = callmethod(call6615, "!=", 1, partcv, params);
// compiled op node returning opresult6616 (depth = 3)
  Object if6610 = done;
  if (istrue(opresult6616)) {
// Begin line 2087
  setline(2087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2086
  setline(2086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6617 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6618 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  partcv[0] = 0;
  Object call6619 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6618);
// compiled call node returning call6619 (depth = 7)
// compiled member node returning call6619 (depth = 6)
  partcv[0] = 0;
  Object call6620 = callmethod(call6619, "new",
    1, partcv, params);
  gc_frame_end(callframe6617);
// compiled call node returning call6620 (depth = 5)
// compiled member node returning call6620 (depth = 4)
  *var_suggestion = call6620;
  if (call6620 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2087
  setline(2087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6621 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit6622 == NULL) {
    strlit6622 = alloc_String(">");
    gc_root(strlit6622);
  }
// compiled string node returning strlit6622 (depth = 4)
  gc_frame_newslot(strlit6622);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lastToken (depth = 4)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = strlit6622;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6623 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6621);
// compiled call node returning call6623 (depth = 3)
// Begin line 2089
  setline(2089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2088
  setline(2088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6624 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6625 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  partcv[0] = 0;
  Object call6626 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6625);
// compiled call node returning call6626 (depth = 7)
// compiled member node returning call6626 (depth = 6)
  partcv[0] = 0;
  Object call6627 = callmethod(call6626, "new",
    1, partcv, params);
  gc_frame_end(callframe6624);
// compiled call node returning call6627 (depth = 5)
// compiled member node returning call6627 (depth = 4)
  *var_suggestion2 = call6627;
  if (call6627 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2089
  setline(2089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6628 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit6629 == NULL) {
    strlit6629 = alloc_String(" ");
    gc_root(strlit6629);
  }
// compiled string node returning strlit6629 (depth = 4)
  gc_frame_newslot(strlit6629);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_startToken (depth = 4)
  gc_frame_newslot(*var_startToken);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion2 (depth = 4)
  params[0] = strlit6629;
  params[1] = *var_startToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6630 = callmethod(*var_suggestion2, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe6628);
// compiled call node returning call6630 (depth = 3)
// Begin line 2091
  setline(2091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2090
  setline(2090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array6631 = alloc_BuiltinList();
  gc_pause();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  callmethod(array6631, "push", 1, partcv, params);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion2 (depth = 5)
  params[0] = *var_suggestion2;
  partcv[0] = 1;
  callmethod(array6631, "push", 1, partcv, params);
  gc_unpause();
// compiled array node returning array6631 (depth = 4)
  *var_suggestions = array6631;
  if (array6631 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2091
  setline(2091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6632 = gc_frame_new();
// Begin line 2092
  setline(2092);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6634 == NULL) {
    strlit6634 = alloc_String("If '<' is intended as an operator, precede it by a space.");
    gc_root(strlit6634);
  }
// compiled string node returning strlit6634 (depth = 5)
  int op_slot_right_6633 = gc_frame_newslot(strlit6634);
// Begin line 2091
  setline(2091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit6636 == NULL) {
    strlit6636 = alloc_String("A method request containing a '<' must have a matching '>'. ");
    gc_root(strlit6636);
  }
// compiled string node returning strlit6636 (depth = 5)
  int op_slot_left_6633 = gc_frame_newslot(strlit6636);
  params[0] = strlit6634;
  partcv[0] = 1;
  Object opresult6637 = callmethod(strlit6636, "++", 1, partcv, params);
// compiled op node returning opresult6637 (depth = 4)
  gc_frame_newslot(opresult6637);
// Begin line 2093
  setline(2093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6638 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  partcv[0] = 0;
  Object call6639 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe6638);
// compiled call node returning call6639 (depth = 5)
// compiled member node returning call6639 (depth = 4)
  gc_frame_newslot(call6639);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6641 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call6642 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe6641);
// compiled call node returning call6642 (depth = 6)
// compiled member node returning call6642 (depth = 5)
  int op_slot_right_6640 = gc_frame_newslot(call6642);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6644 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call6645 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6644);
// compiled call node returning call6645 (depth = 6)
// compiled member node returning call6645 (depth = 5)
  int op_slot_left_6640 = gc_frame_newslot(call6645);
  params[0] = call6642;
  partcv[0] = 1;
  Object sum6646 = callmethod(call6645, "+", 1, partcv, params);
// compiled op node returning sum6646 (depth = 4)
  gc_frame_newslot(sum6646);
// Begin line 2094
  setline(2094);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 2091
  setline(2091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = opresult6637;
  params[1] = call6639;
  params[2] = sum6646;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6647 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe6632);
// compiled call node returning call6647 (depth = 3)
    gc_frame_newslot(call6647);
    if6610 = call6647;
  } else {
  }
// compiled if node returning if6610 (depth = 2)
// Begin line 2096
  setline(2096);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe6648 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6649 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6648);
// compiled call node returning call6649 (depth = 3)
// compiled member node returning call6649 (depth = 2)
// Begin line 2098
  setline(2098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 2097
  setline(2097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_args (depth = 3)
  return *var_args;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_parser__apply6677(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6678 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6679 = callmethodflags(self, "dotypeLiteral", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6678);
// compiled call node returning call6679 (depth = 7)
// compiled member node returning call6679 (depth = 6)
  gc_frame_end(frame);
  return call6679;
}
Object meth_parser_typeArg6650(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 44, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeArg");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_ast = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for typeArg (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for typeArg");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2114
  setline(2114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2104
  setline(2104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6652 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit6653 == NULL) {
    strlit6653 = alloc_String("identifier");
    gc_root(strlit6653);
  }
// compiled string node returning strlit6653 (depth = 4)
  gc_frame_newslot(strlit6653);
// call case 4: self request
  params[0] = strlit6653;
  partcv[0] = 1;
  Object call6654 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6652);
// compiled call node returning call6654 (depth = 3)
  Object if6651 = done;
  if (istrue(call6654)) {
// Begin line 2105
  setline(2105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6655 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6656 = callmethodflags(self, "identifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6655);
// compiled call node returning call6656 (depth = 4)
// compiled member node returning call6656 (depth = 3)
// Begin line 2111
  setline(2111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2106
  setline(2106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6659 == NULL) {
    strlit6659 = alloc_String("lgeneric");
    gc_root(strlit6659);
  }
// compiled string node returning strlit6659 (depth = 5)
  int op_slot_right_6658 = gc_frame_newslot(strlit6659);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6661 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call6662 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe6661);
// compiled call node returning call6662 (depth = 6)
// compiled member node returning call6662 (depth = 5)
  int op_slot_left_6658 = gc_frame_newslot(call6662);
  params[0] = strlit6659;
  partcv[0] = 1;
  Object opresult6663 = callmethod(call6662, "==", 1, partcv, params);
// compiled op node returning opresult6663 (depth = 4)
  Object if6657 = done;
  if (istrue(opresult6663)) {
// Begin line 2107
  setline(2107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6664 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe6665 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6666 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call6667 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6666);
// compiled call node returning call6667 (depth = 7)
// compiled member node returning call6667 (depth = 6)
  gc_frame_newslot(call6667);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6668 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6669 = callmethodflags(self, "typeArgs", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6668);
// compiled call node returning call6669 (depth = 7)
// compiled member node returning call6669 (depth = 6)
  gc_frame_newslot(call6669);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6670 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ast (depth = 8)
  partcv[0] = 0;
  Object call6671 = callmethod(*var_ast, "genericNode",
    1, partcv, params);
  gc_frame_end(callframe6670);
// compiled call node returning call6671 (depth = 7)
// compiled member node returning call6671 (depth = 6)
  params[0] = call6667;
  params[1] = call6669;
  partcv[0] = 2;
  Object call6672 = callmethod(call6671, "new",
    1, partcv, params);
  gc_frame_end(callframe6665);
// compiled call node returning call6672 (depth = 5)
  gc_frame_newslot(call6672);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  params[0] = call6672;
  partcv[0] = 1;
  Object call6673 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6664);
// compiled call node returning call6673 (depth = 4)
    gc_frame_newslot(call6673);
    if6657 = call6673;
  } else {
  }
// compiled if node returning if6657 (depth = 3)
    gc_frame_newslot(if6657);
    if6651 = if6657;
  } else {
// Begin line 2114
  setline(2114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2111
  setline(2111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6675 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block6676 = alloc_Block(NULL, NULL, "parser", 2111);
  gc_frame_newslot(block6676);
// method _apply
  block_savedest(block6676);
  Object closure6677 = createclosure(1, "_apply");
  setclosureframe(closure6677, stackframe);
  addtoclosure(closure6677, selfslot);
  struct UserObject *uo6677 = (struct UserObject*)block6676;
  uo6677->data[0] = (Object)closure6677;
  Method *meth_meth_parser__apply6677 = addmethod2pos(block6676, "_apply", &meth_parser__apply6677, 0);
  int argcv_meth_parser__apply6677[] = {0};
  meth_meth_parser__apply6677->type = alloc_MethodType(1, argcv_meth_parser__apply6677);
  meth_meth_parser__apply6677->definitionModule = modulename;
  meth_meth_parser__apply6677->definitionLine = 2107;
// compiled block node returning block6676 (depth = 5)
  gc_frame_newslot(block6676);
// call case 4: self request
  params[0] = block6676;
  partcv[0] = 1;
  Object call6681 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6675);
// compiled call node returning call6681 (depth = 4)
  Object if6674 = done;
  if (istrue(call6681)) {
    gc_frame_newslot(done);
    if6674 = done;
  } else {
  }
// compiled if node returning if6674 (depth = 3)
    gc_frame_newslot(if6674);
    if6651 = if6674;
  }
// compiled if node returning if6651 (depth = 2)
  gc_frame_end(frame);
  return if6651;
}
Object meth_parser__apply6689(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_tok = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2126
  setline(2126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6691 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit6692 == NULL) {
    strlit6692 = alloc_String("identifier");
    gc_root(strlit6692);
  }
// compiled string node returning strlit6692 (depth = 6)
  gc_frame_newslot(strlit6692);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 4: self request
  params[0] = strlit6692;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6693 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6691);
// compiled call node returning call6693 (depth = 5)
  int op_slot_right_6690 = gc_frame_newslot(call6693);
// Begin line 2125
  setline(2125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6695 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit6696 == NULL) {
    strlit6696 = alloc_String("identifier");
    gc_root(strlit6696);
  }
// compiled string node returning strlit6696 (depth = 6)
  gc_frame_newslot(strlit6696);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tok (depth = 6)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit6696;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6697 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6695);
// compiled call node returning call6697 (depth = 5)
  int op_slot_left_6690 = gc_frame_newslot(call6697);
  params[0] = call6693;
  partcv[0] = 1;
  Object opresult6698 = callmethod(call6697, "||", 1, partcv, params);
// compiled op node returning opresult6698 (depth = 4)
  gc_frame_end(frame);
  return opresult6698;
}
Object meth_parser__apply6921(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 11)
  int callframe6922 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_blocksOK (depth = 12)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call6923 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6922);
// compiled call node returning call6923 (depth = 11)
  gc_frame_end(frame);
  return call6923;
}
Object meth_parser__apply6973(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe6974 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit6975 == NULL) {
    strlit6975 = alloc_String("comma");
    gc_root(strlit6975);
  }
// compiled string node returning strlit6975 (depth = 8)
  gc_frame_newslot(strlit6975);
// call case 4: self request
  params[0] = strlit6975;
  partcv[0] = 1;
  Object call6976 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6974);
// compiled call node returning call6976 (depth = 7)
  gc_frame_end(frame);
  return call6976;
}
Object meth_parser__apply6993(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 12)
  int callframe6994 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_blocksOK (depth = 13)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call6995 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6994);
// compiled call node returning call6995 (depth = 12)
  gc_frame_end(frame);
  return call6995;
}
Object meth_parser__apply6979(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_nxt = getfromclosure(closure, 1);
  Object *var_part = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_sym = getfromclosure(closure, 5);
  Object *var_lastToken = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// Begin line 2204
  setline(2204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 2203
  setline(2203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6980 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  partcv[0] = 0;
  Object call6981 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6980);
// compiled call node returning call6981 (depth = 9)
// compiled member node returning call6981 (depth = 8)
  *var_nxt = call6981;
  if (call6981 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 2204
  setline(2204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6983 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nxt (depth = 8)
  gc_frame_newslot(*var_nxt);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6984 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_part (depth = 10)
  partcv[0] = 0;
  Object call6985 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe6984);
// compiled call node returning call6985 (depth = 9)
// compiled member node returning call6985 (depth = 8)
  params[0] = *var_nxt;
  partcv[0] = 1;
  Object call6986 = callmethod(call6985, "push",
    1, partcv, params);
  gc_frame_end(callframe6983);
// compiled call node returning call6986 (depth = 7)
// Begin line 2205
  setline(2205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6987 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6988 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6987);
// compiled call node returning call6988 (depth = 8)
// compiled member node returning call6988 (depth = 7)
// Begin line 2222
  setline(2222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 2206
  setline(2206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6990 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 10)
  int callframe6991 = gc_frame_new();
// starting to compile block node (depth = 11)
  Object block6992 = alloc_Block(NULL, NULL, "parser", 2206);
  gc_frame_newslot(block6992);
// method _apply
  block_savedest(block6992);
  Object closure6993 = createclosure(2, "_apply");
  setclosureframe(closure6993, stackframe);
  addtoclosure(closure6993, var_blocksOK);
  addtoclosure(closure6993, selfslot);
  struct UserObject *uo6993 = (struct UserObject*)block6992;
  uo6993->data[0] = (Object)closure6993;
  Method *meth_meth_parser__apply6993 = addmethod2pos(block6992, "_apply", &meth_parser__apply6993, 0);
  int argcv_meth_parser__apply6993[] = {0};
  meth_meth_parser__apply6993->type = alloc_MethodType(1, argcv_meth_parser__apply6993);
  meth_meth_parser__apply6993->definitionModule = modulename;
  meth_meth_parser__apply6993->definitionLine = 2206;
// compiled block node returning block6992 (depth = 11)
  gc_frame_newslot(block6992);
// call case 4: self request
  params[0] = block6992;
  partcv[0] = 1;
  Object call6997 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6991);
// compiled call node returning call6997 (depth = 10)
  partcv[0] = 0;
  Object call6998 = callmethod(call6997, "not",
    1, partcv, params);
  gc_frame_end(callframe6990);
// compiled call node returning call6998 (depth = 9)
// compiled member node returning call6998 (depth = 8)
  Object if6989 = done;
  if (istrue(call6998)) {
// Begin line 2208
  setline(2208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// Begin line 2207
  setline(2207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 9)
  Object array6999 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6999 (depth = 9)
  *var_suggestions = array6999;
  if (array6999 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 2209
  setline(2209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// Begin line 2208
  setline(2208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7000 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe7001 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call7002 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7001);
// compiled call node returning call7002 (depth = 12)
// compiled member node returning call7002 (depth = 11)
  partcv[0] = 0;
  Object call7003 = callmethod(call7002, "new",
    1, partcv, params);
  gc_frame_end(callframe7000);
// compiled call node returning call7003 (depth = 10)
// compiled member node returning call7003 (depth = 9)
  *var_suggestion = call7003;
  if (call7003 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 2209
  setline(2209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7004 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit7005 == NULL) {
    strlit7005 = alloc_String("rparen");
    gc_root(strlit7005);
  }
// compiled string node returning strlit7005 (depth = 10)
  gc_frame_newslot(strlit7005);
// call case 4: self request
  params[0] = strlit7005;
  partcv[0] = 1;
  Object call7006 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7004);
// compiled call node returning call7006 (depth = 9)
  *var_nextTok = call7006;
  if (call7006 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 2215
  setline(2215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 2210
  setline(2210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  int op_slot_right_7008 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  int op_slot_left_7008 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7010 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult7010 (depth = 9)
  Object if7007 = done;
  if (istrue(opresult7010)) {
// Begin line 2211
  setline(2211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe7011 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit7012 == NULL) {
    strlit7012 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7012);
  }
// compiled string node returning strlit7012 (depth = 10)
  gc_frame_newslot(strlit7012);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit7012;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7013 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7011);
// compiled call node returning call7013 (depth = 9)
    gc_frame_newslot(call7013);
    if7007 = call7013;
  } else {
// Begin line 2213
  setline(2213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe7014 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe7015 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_nextTok (depth = 12)
  partcv[0] = 0;
  Object call7016 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7015);
// compiled call node returning call7016 (depth = 11)
// compiled member node returning call7016 (depth = 10)
  gc_frame_newslot(call7016);
// starting to compile identifier node (depth = 10)
  Object bool7017 = alloc_Boolean(1);
// compiled identifier node returning bool7017 (depth = 10)
  gc_frame_newslot(bool7017);
// starting to compile identifier node (depth = 10)
  Object bool7018 = alloc_Boolean(0);
// compiled identifier node returning bool7018 (depth = 10)
  gc_frame_newslot(bool7018);
// starting to compile string node (depth = 10)
  if (strlit7019 == NULL) {
    strlit7019 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7019);
  }
// compiled string node returning strlit7019 (depth = 10)
  gc_frame_newslot(strlit7019);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  params[1] = call7016;
  params[2] = bool7017;
  params[3] = bool7018;
  params[4] = strlit7019;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7020 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7014);
// compiled call node returning call7020 (depth = 9)
    gc_frame_newslot(call7020);
    if7007 = call7020;
  }
// compiled if node returning if7007 (depth = 8)
// Begin line 2215
  setline(2215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe7021 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7022 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7021);
// compiled call node returning call7022 (depth = 8)
// Begin line 2217
  setline(2217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 2216
  setline(2216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7023 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe7024 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call7025 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7024);
// compiled call node returning call7025 (depth = 12)
// compiled member node returning call7025 (depth = 11)
  partcv[0] = 0;
  Object call7026 = callmethod(call7025, "new",
    1, partcv, params);
  gc_frame_end(callframe7023);
// compiled call node returning call7026 (depth = 10)
// compiled member node returning call7026 (depth = 9)
  *var_suggestion = call7026;
  if (call7026 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 2217
  setline(2217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe7028 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7029 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  partcv[0] = 0;
  Object call7030 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7029);
// compiled call node returning call7030 (depth = 10)
// compiled member node returning call7030 (depth = 9)
  gc_frame_newslot(call7030);
// starting to compile identifier node (depth = 9)
  Object bool7031 = alloc_Boolean(1);
// compiled identifier node returning bool7031 (depth = 9)
  gc_frame_newslot(bool7031);
// starting to compile identifier node (depth = 9)
  Object bool7032 = alloc_Boolean(0);
// compiled identifier node returning bool7032 (depth = 9)
  gc_frame_newslot(bool7032);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_lastToken;
  params[1] = call7030;
  params[2] = bool7031;
  params[3] = bool7032;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7033 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe7028);
// compiled call node returning call7033 (depth = 8)
// Begin line 2218
  setline(2218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe7034 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7035 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7034);
// compiled call node returning call7035 (depth = 8)
// Begin line 2219
  setline(2219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe7036 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit7037 == NULL) {
    strlit7037 = alloc_String("A method request must have an expression after a ','.");
    gc_root(strlit7037);
  }
// compiled string node returning strlit7037 (depth = 9)
  gc_frame_newslot(strlit7037);
// Begin line 2220
  setline(2220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7038 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call7039 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7038);
// compiled call node returning call7039 (depth = 10)
// compiled member node returning call7039 (depth = 9)
  gc_frame_newslot(call7039);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7040 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call7041 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7040);
// compiled call node returning call7041 (depth = 10)
// compiled member node returning call7041 (depth = 9)
  gc_frame_newslot(call7041);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 2219
  setline(2219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit7037;
  params[1] = call7039;
  params[2] = call7041;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7042 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7036);
// compiled call node returning call7042 (depth = 8)
    gc_frame_newslot(call7042);
    if6989 = call7042;
  } else {
  }
// compiled if node returning if6989 (depth = 7)
  gc_frame_end(frame);
  return if6989;
}
Object meth_parser__apply6701(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_ast = getfromclosure(closure, 0);
  Object *var_part = getfromclosure(closure, 1);
  Object *var_signature = getfromclosure(closure, 2);
  Object *var_methname = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_nxt = getfromclosure(closure, 5);
  Object *var_errormessages = getfromclosure(closure, 6);
  Object *var_sym = getfromclosure(closure, 7);
  Object *var_lastToken = getfromclosure(closure, 8);
  Object *var_tok = getfromclosure(closure, 9);
  Object *var_blocksOK = getfromclosure(closure, 10);
  Object self = *(getfromclosure(closure, 11));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_isTerm = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "isTerm");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_isEmpty = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "isEmpty");
  Object *var_suggestions = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestions");
  Object *var_nextTok = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextTok");
// Begin line 2130
  setline(2130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2129
  setline(2129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6702 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6703 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ast (depth = 9)
  partcv[0] = 0;
  Object call6704 = callmethod(*var_ast, "callWithPart",
    1, partcv, params);
  gc_frame_end(callframe6703);
// compiled call node returning call6704 (depth = 8)
// compiled member node returning call6704 (depth = 7)
  partcv[0] = 0;
  Object call6705 = callmethod(call6704, "new",
    1, partcv, params);
  gc_frame_end(callframe6702);
// compiled call node returning call6705 (depth = 6)
// compiled member node returning call6705 (depth = 5)
  *var_part = call6705;
  if (call6705 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2130
  setline(2130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6707 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_part (depth = 5)
  gc_frame_newslot(*var_part);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_signature (depth = 5)
  params[0] = *var_part;
  partcv[0] = 1;
  Object call6708 = callmethod(*var_signature, "push",
    1, partcv, params);
  gc_frame_end(callframe6707);
// compiled call node returning call6708 (depth = 4)
// Begin line 2132
  setline(2132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 2131
  setline(2131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit6710 == NULL) {
    strlit6710 = alloc_String("()");
    gc_root(strlit6710);
  }
// compiled string node returning strlit6710 (depth = 6)
  int op_slot_right_6709 = gc_frame_newslot(strlit6710);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methname (depth = 6)
  int op_slot_left_6709 = gc_frame_newslot(*var_methname);
  params[0] = strlit6710;
  partcv[0] = 1;
  Object opresult6712 = callmethod(*var_methname, "++", 1, partcv, params);
// compiled op node returning opresult6712 (depth = 5)
  *var_methname = opresult6712;
  if (opresult6712 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2132
  setline(2132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6714 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6715 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6714);
// compiled call node returning call6715 (depth = 5)
// compiled member node returning call6715 (depth = 4)
// Begin line 2134
  setline(2134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2133
  setline(2133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6716 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  partcv[0] = 0;
  Object call6717 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6716);
// compiled call node returning call6717 (depth = 6)
// compiled member node returning call6717 (depth = 5)
  *var_nxt = call6717;
  if (call6717 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2135
  setline(2135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 2134
  setline(2134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6720 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nxt (depth = 8)
  partcv[0] = 0;
  Object call6721 = callmethod(*var_nxt, "value",
    1, partcv, params);
  gc_frame_end(callframe6720);
// compiled call node returning call6721 (depth = 7)
// compiled member node returning call6721 (depth = 6)
  int op_slot_right_6719 = gc_frame_newslot(call6721);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methname (depth = 6)
  int op_slot_left_6719 = gc_frame_newslot(*var_methname);
  params[0] = call6721;
  partcv[0] = 1;
  Object opresult6723 = callmethod(*var_methname, "++", 1, partcv, params);
// compiled op node returning opresult6723 (depth = 5)
  *var_methname = opresult6723;
  if (opresult6723 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2136
  setline(2136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2134
  setline(2134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6725 = gc_frame_new();
// Begin line 2135
  setline(2135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6726 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nxt (depth = 8)
  partcv[0] = 0;
  Object call6727 = callmethod(*var_nxt, "value",
    1, partcv, params);
  gc_frame_end(callframe6726);
// compiled call node returning call6727 (depth = 7)
// compiled member node returning call6727 (depth = 6)
  gc_frame_newslot(call6727);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_part (depth = 6)
  params[0] = call6727;
  partcv[0] = 1;
  Object call6728 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe6725);
// compiled call node returning call6728 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 2137
  setline(2137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2136
  setline(2136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool6729 = alloc_Boolean(0);
// compiled identifier node returning bool6729 (depth = 5)
  *var_isTerm = bool6729;
  if (bool6729 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2167
  setline(2167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2138
  setline(2138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6732 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 8)
  int callframe6733 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6734 == NULL) {
    strlit6734 = alloc_String("num");
    gc_root(strlit6734);
  }
// compiled string node returning strlit6734 (depth = 9)
  gc_frame_newslot(strlit6734);
// call case 4: self request
  params[0] = strlit6734;
  partcv[0] = 1;
  Object call6735 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6733);
// compiled call node returning call6735 (depth = 8)
  partcv[0] = 0;
  Object call6736 = callmethod(call6735, "not",
    1, partcv, params);
  gc_frame_end(callframe6732);
// compiled call node returning call6736 (depth = 7)
// compiled member node returning call6736 (depth = 6)
  int op_slot_right_6731 = gc_frame_newslot(call6736);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6739 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 9)
  int callframe6740 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit6741 == NULL) {
    strlit6741 = alloc_String("string");
    gc_root(strlit6741);
  }
// compiled string node returning strlit6741 (depth = 10)
  gc_frame_newslot(strlit6741);
// call case 4: self request
  params[0] = strlit6741;
  partcv[0] = 1;
  Object call6742 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6740);
// compiled call node returning call6742 (depth = 9)
  partcv[0] = 0;
  Object call6743 = callmethod(call6742, "not",
    1, partcv, params);
  gc_frame_end(callframe6739);
// compiled call node returning call6743 (depth = 8)
// compiled member node returning call6743 (depth = 7)
  int op_slot_right_6738 = gc_frame_newslot(call6743);
// starting to compile op node (depth = 7)
// Begin line 2137
  setline(2137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6746 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 10)
  int callframe6747 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit6748 == NULL) {
    strlit6748 = alloc_String("lbrace");
    gc_root(strlit6748);
  }
// compiled string node returning strlit6748 (depth = 11)
  gc_frame_newslot(strlit6748);
// call case 4: self request
  params[0] = strlit6748;
  partcv[0] = 1;
  Object call6749 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6747);
// compiled call node returning call6749 (depth = 10)
  partcv[0] = 0;
  Object call6750 = callmethod(call6749, "not",
    1, partcv, params);
  gc_frame_end(callframe6746);
// compiled call node returning call6750 (depth = 9)
// compiled member node returning call6750 (depth = 8)
  int op_slot_right_6745 = gc_frame_newslot(call6750);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6752 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 10)
  int callframe6753 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit6754 == NULL) {
    strlit6754 = alloc_String("lparen");
    gc_root(strlit6754);
  }
// compiled string node returning strlit6754 (depth = 11)
  gc_frame_newslot(strlit6754);
// call case 4: self request
  params[0] = strlit6754;
  partcv[0] = 1;
  Object call6755 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6753);
// compiled call node returning call6755 (depth = 10)
  partcv[0] = 0;
  Object call6756 = callmethod(call6755, "not",
    1, partcv, params);
  gc_frame_end(callframe6752);
// compiled call node returning call6756 (depth = 9)
// compiled member node returning call6756 (depth = 8)
  int op_slot_left_6745 = gc_frame_newslot(call6756);
  params[0] = call6750;
  partcv[0] = 1;
  Object opresult6757 = callmethod(call6756, "&&", 1, partcv, params);
// compiled op node returning opresult6757 (depth = 7)
  int op_slot_left_6738 = gc_frame_newslot(opresult6757);
  params[0] = call6743;
  partcv[0] = 1;
  Object opresult6758 = callmethod(opresult6757, "&&", 1, partcv, params);
// compiled op node returning opresult6758 (depth = 6)
  int op_slot_left_6731 = gc_frame_newslot(opresult6758);
  params[0] = call6736;
  partcv[0] = 1;
  Object opresult6759 = callmethod(opresult6758, "&&", 1, partcv, params);
// compiled op node returning opresult6759 (depth = 5)
  Object if6730 = done;
  if (istrue(opresult6759)) {
// Begin line 2140
  setline(2140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 2139
  setline(2139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6760 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6761 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call6762 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6761);
// compiled call node returning call6762 (depth = 9)
// compiled member node returning call6762 (depth = 8)
  partcv[0] = 0;
  Object call6763 = callmethod(call6762, "new",
    1, partcv, params);
  gc_frame_end(callframe6760);
// compiled call node returning call6763 (depth = 7)
// compiled member node returning call6763 (depth = 6)
  *var_suggestion = call6763;
  if (call6763 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2166
  setline(2166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 2140
  setline(2140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6766 == NULL) {
    strlit6766 = alloc_String("identifier");
    gc_root(strlit6766);
  }
// compiled string node returning strlit6766 (depth = 7)
  int op_slot_right_6765 = gc_frame_newslot(strlit6766);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6768 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call6769 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe6768);
// compiled call node returning call6769 (depth = 8)
// compiled member node returning call6769 (depth = 7)
  int op_slot_left_6765 = gc_frame_newslot(call6769);
  params[0] = strlit6766;
  partcv[0] = 1;
  Object opresult6770 = callmethod(call6769, "==", 1, partcv, params);
// compiled op node returning opresult6770 (depth = 6)
  Object if6764 = done;
  if (istrue(opresult6770)) {
// Begin line 2141
  setline(2141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6771 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
  Object bool6772 = alloc_Boolean(1);
// compiled identifier node returning bool6772 (depth = 7)
  gc_frame_newslot(bool6772);
// starting to compile identifier node (depth = 7)
  Object bool6773 = alloc_Boolean(0);
// compiled identifier node returning bool6773 (depth = 7)
  gc_frame_newslot(bool6773);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6775 == NULL) {
    strlit6775 = alloc_String(")");
    gc_root(strlit6775);
  }
// compiled string node returning strlit6775 (depth = 8)
  int op_slot_right_6774 = gc_frame_newslot(strlit6775);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6778 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call6779 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe6778);
// compiled call node returning call6779 (depth = 10)
// compiled member node returning call6779 (depth = 9)
  int op_slot_right_6777 = gc_frame_newslot(call6779);
// starting to compile string node (depth = 9)
  if (strlit6781 == NULL) {
    strlit6781 = alloc_String("(");
    gc_root(strlit6781);
  }
// compiled string node returning strlit6781 (depth = 9)
  int op_slot_left_6777 = gc_frame_newslot(strlit6781);
  params[0] = call6779;
  partcv[0] = 1;
  Object opresult6782 = callmethod(strlit6781, "++", 1, partcv, params);
// compiled op node returning opresult6782 (depth = 8)
  int op_slot_left_6774 = gc_frame_newslot(opresult6782);
  params[0] = strlit6775;
  partcv[0] = 1;
  Object opresult6783 = callmethod(opresult6782, "++", 1, partcv, params);
// compiled op node returning opresult6783 (depth = 7)
  gc_frame_newslot(opresult6783);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = bool6772;
  params[2] = bool6773;
  params[3] = opresult6783;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6784 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe6771);
// compiled call node returning call6784 (depth = 6)
// Begin line 2149
  setline(2149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 2142
  setline(2142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6787 == NULL) {
    strlit6787 = alloc_String("while()do");
    gc_root(strlit6787);
  }
// compiled string node returning strlit6787 (depth = 8)
  int op_slot_right_6786 = gc_frame_newslot(strlit6787);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_methname (depth = 8)
  int op_slot_left_6786 = gc_frame_newslot(*var_methname);
  params[0] = strlit6787;
  partcv[0] = 1;
  Object opresult6789 = callmethod(*var_methname, "==", 1, partcv, params);
// compiled op node returning opresult6789 (depth = 7)
  Object if6785 = done;
  if (istrue(opresult6789)) {
// Begin line 2143
  setline(2143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6790 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit6791 == NULL) {
    strlit6791 = alloc_String("A while loop must have either a loop body in braces, or a block in parentheses.");
    gc_root(strlit6791);
  }
// compiled string node returning strlit6791 (depth = 8)
  gc_frame_newslot(strlit6791);
// Begin line 2144
  setline(2144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6792 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call6793 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6792);
// compiled call node returning call6793 (depth = 9)
// compiled member node returning call6793 (depth = 8)
  gc_frame_newslot(call6793);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6794 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call6795 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6794);
// compiled call node returning call6795 (depth = 9)
// compiled member node returning call6795 (depth = 8)
  gc_frame_newslot(call6795);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2143
  setline(2143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit6791;
  params[1] = call6793;
  params[2] = call6795;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6796 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6790);
// compiled call node returning call6796 (depth = 7)
    gc_frame_newslot(call6796);
    if6785 = call6796;
  } else {
// Begin line 2149
  setline(2149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 2145
  setline(2145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6799 == NULL) {
    strlit6799 = alloc_String("for()do");
    gc_root(strlit6799);
  }
// compiled string node returning strlit6799 (depth = 9)
  int op_slot_right_6798 = gc_frame_newslot(strlit6799);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_methname (depth = 9)
  int op_slot_left_6798 = gc_frame_newslot(*var_methname);
  params[0] = strlit6799;
  partcv[0] = 1;
  Object opresult6801 = callmethod(*var_methname, "==", 1, partcv, params);
// compiled op node returning opresult6801 (depth = 8)
  Object if6797 = done;
  if (istrue(opresult6801)) {
// Begin line 2146
  setline(2146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6802 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6803 == NULL) {
    strlit6803 = alloc_String("A for loop must have either a loop body in braces, or a block in parentheses.");
    gc_root(strlit6803);
  }
// compiled string node returning strlit6803 (depth = 9)
  gc_frame_newslot(strlit6803);
// Begin line 2147
  setline(2147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6804 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call6805 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6804);
// compiled call node returning call6805 (depth = 10)
// compiled member node returning call6805 (depth = 9)
  gc_frame_newslot(call6805);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6806 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call6807 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6806);
// compiled call node returning call6807 (depth = 10)
// compiled member node returning call6807 (depth = 9)
  gc_frame_newslot(call6807);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2146
  setline(2146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit6803;
  params[1] = call6805;
  params[2] = call6807;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6808 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6802);
// compiled call node returning call6808 (depth = 8)
    gc_frame_newslot(call6808);
    if6797 = call6808;
  } else {
  }
// compiled if node returning if6797 (depth = 7)
    gc_frame_newslot(if6797);
    if6785 = if6797;
  }
// compiled if node returning if6785 (depth = 6)
// Begin line 2149
  setline(2149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6809 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit6810 == NULL) {
    strlit6810 = alloc_String("Each argument list in a multi-part method request must be parenthesized, unless it is self-delimiting.");
    gc_root(strlit6810);
  }
// compiled string node returning strlit6810 (depth = 7)
  gc_frame_newslot(strlit6810);
// Begin line 2150
  setline(2150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6811 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call6812 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6811);
// compiled call node returning call6812 (depth = 8)
// compiled member node returning call6812 (depth = 7)
  gc_frame_newslot(call6812);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6813 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call6814 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6813);
// compiled call node returning call6814 (depth = 8)
// compiled member node returning call6814 (depth = 7)
  gc_frame_newslot(call6814);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2149
  setline(2149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit6810;
  params[1] = call6812;
  params[2] = call6814;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6815 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6809);
// compiled call node returning call6815 (depth = 6)
    gc_frame_newslot(call6815);
    if6764 = call6815;
  } else {
// Begin line 2165
  setline(2165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 2152
  setline(2152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6818 == NULL) {
    strlit6818 = alloc_String("while()do");
    gc_root(strlit6818);
  }
// compiled string node returning strlit6818 (depth = 8)
  int op_slot_right_6817 = gc_frame_newslot(strlit6818);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_methname (depth = 8)
  int op_slot_left_6817 = gc_frame_newslot(*var_methname);
  params[0] = strlit6818;
  partcv[0] = 1;
  Object opresult6820 = callmethod(*var_methname, "==", 1, partcv, params);
// compiled op node returning opresult6820 (depth = 7)
  Object if6816 = done;
  if (istrue(opresult6820)) {
// Begin line 2153
  setline(2153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6821 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit6822 == NULL) {
    strlit6822 = alloc_String(" {}");
    gc_root(strlit6822);
  }
// compiled string node returning strlit6822 (depth = 8)
  gc_frame_newslot(strlit6822);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit6822;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6823 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6821);
// compiled call node returning call6823 (depth = 7)
// Begin line 2154
  setline(2154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6824 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit6825 == NULL) {
    strlit6825 = alloc_String("A while loop must have a body.");
    gc_root(strlit6825);
  }
// compiled string node returning strlit6825 (depth = 8)
  gc_frame_newslot(strlit6825);
// Begin line 2155
  setline(2155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6826 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call6827 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6826);
// compiled call node returning call6827 (depth = 9)
// compiled member node returning call6827 (depth = 8)
  gc_frame_newslot(call6827);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6828 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call6829 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6828);
// compiled call node returning call6829 (depth = 9)
// compiled member node returning call6829 (depth = 8)
  gc_frame_newslot(call6829);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2154
  setline(2154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit6825;
  params[1] = call6827;
  params[2] = call6829;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6830 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6824);
// compiled call node returning call6830 (depth = 7)
    gc_frame_newslot(call6830);
    if6816 = call6830;
  } else {
// Begin line 2160
  setline(2160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 2156
  setline(2156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6833 == NULL) {
    strlit6833 = alloc_String("for()do");
    gc_root(strlit6833);
  }
// compiled string node returning strlit6833 (depth = 9)
  int op_slot_right_6832 = gc_frame_newslot(strlit6833);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_methname (depth = 9)
  int op_slot_left_6832 = gc_frame_newslot(*var_methname);
  params[0] = strlit6833;
  partcv[0] = 1;
  Object opresult6835 = callmethod(*var_methname, "==", 1, partcv, params);
// compiled op node returning opresult6835 (depth = 8)
  Object if6831 = done;
  if (istrue(opresult6835)) {
// Begin line 2157
  setline(2157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6836 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6837 == NULL) {
    strlit6837 = alloc_String(" {}");
    gc_root(strlit6837);
  }
// compiled string node returning strlit6837 (depth = 9)
  gc_frame_newslot(strlit6837);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit6837;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6838 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6836);
// compiled call node returning call6838 (depth = 8)
// Begin line 2158
  setline(2158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6839 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6840 == NULL) {
    strlit6840 = alloc_String("A for loop must have a body.");
    gc_root(strlit6840);
  }
// compiled string node returning strlit6840 (depth = 9)
  gc_frame_newslot(strlit6840);
// Begin line 2159
  setline(2159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6841 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call6842 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6841);
// compiled call node returning call6842 (depth = 10)
// compiled member node returning call6842 (depth = 9)
  gc_frame_newslot(call6842);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6843 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call6844 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6843);
// compiled call node returning call6844 (depth = 10)
// compiled member node returning call6844 (depth = 9)
  gc_frame_newslot(call6844);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2158
  setline(2158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit6840;
  params[1] = call6842;
  params[2] = call6844;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6845 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6839);
// compiled call node returning call6845 (depth = 8)
    gc_frame_newslot(call6845);
    if6831 = call6845;
  } else {
// Begin line 2161
  setline(2161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6846 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6847 == NULL) {
    strlit6847 = alloc_String("()");
    gc_root(strlit6847);
  }
// compiled string node returning strlit6847 (depth = 9)
  gc_frame_newslot(strlit6847);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit6847;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6848 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6846);
// compiled call node returning call6848 (depth = 8)
// Begin line 2162
  setline(2162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6849 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6850 == NULL) {
    strlit6850 = alloc_String("A multi-part method request must end with '()'.");
    gc_root(strlit6850);
  }
// compiled string node returning strlit6850 (depth = 9)
  gc_frame_newslot(strlit6850);
// Begin line 2163
  setline(2163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6851 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call6852 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6851);
// compiled call node returning call6852 (depth = 10)
// compiled member node returning call6852 (depth = 9)
  gc_frame_newslot(call6852);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6853 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call6854 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6853);
// compiled call node returning call6854 (depth = 10)
// compiled member node returning call6854 (depth = 9)
  gc_frame_newslot(call6854);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2162
  setline(2162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit6850;
  params[1] = call6852;
  params[2] = call6854;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6855 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6849);
// compiled call node returning call6855 (depth = 8)
    gc_frame_newslot(call6855);
    if6831 = call6855;
  }
// compiled if node returning if6831 (depth = 7)
    gc_frame_newslot(if6831);
    if6816 = if6831;
  }
// compiled if node returning if6816 (depth = 6)
    gc_frame_newslot(if6816);
    if6764 = if6816;
  }
// compiled if node returning if6764 (depth = 5)
    gc_frame_newslot(if6764);
    if6730 = if6764;
  } else {
  }
// compiled if node returning if6730 (depth = 4)
// Begin line 2177
  setline(2177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2172
  setline(2172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6861 == NULL) {
    strlit6861 = alloc_String("false");
    gc_root(strlit6861);
  }
// compiled string node returning strlit6861 (depth = 9)
  int op_slot_right_6860 = gc_frame_newslot(strlit6861);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6863 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call6864 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe6863);
// compiled call node returning call6864 (depth = 10)
// compiled member node returning call6864 (depth = 9)
  int op_slot_left_6860 = gc_frame_newslot(call6864);
  params[0] = strlit6861;
  partcv[0] = 1;
  Object opresult6865 = callmethod(call6864, "==", 1, partcv, params);
// compiled op node returning opresult6865 (depth = 8)
  int op_slot_right_6859 = gc_frame_newslot(opresult6865);
// Begin line 2171
  setline(2171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6868 == NULL) {
    strlit6868 = alloc_String("true");
    gc_root(strlit6868);
  }
// compiled string node returning strlit6868 (depth = 9)
  int op_slot_right_6867 = gc_frame_newslot(strlit6868);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6870 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call6871 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe6870);
// compiled call node returning call6871 (depth = 10)
// compiled member node returning call6871 (depth = 9)
  int op_slot_left_6867 = gc_frame_newslot(call6871);
  params[0] = strlit6868;
  partcv[0] = 1;
  Object opresult6872 = callmethod(call6871, "==", 1, partcv, params);
// compiled op node returning opresult6872 (depth = 8)
  int op_slot_left_6859 = gc_frame_newslot(opresult6872);
  params[0] = opresult6865;
  partcv[0] = 1;
  Object opresult6873 = callmethod(opresult6872, "||", 1, partcv, params);
// compiled op node returning opresult6873 (depth = 7)
  int op_slot_right_6858 = gc_frame_newslot(opresult6873);
// Begin line 2170
  setline(2170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6875 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit6876 == NULL) {
    strlit6876 = alloc_String("identifier");
    gc_root(strlit6876);
  }
// compiled string node returning strlit6876 (depth = 8)
  gc_frame_newslot(strlit6876);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tok (depth = 8)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit6876;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6877 = callmethodflags(self, "accept()onLineOfLastOr", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6875);
// compiled call node returning call6877 (depth = 7)
  int op_slot_left_6858 = gc_frame_newslot(call6877);
  params[0] = opresult6873;
  partcv[0] = 1;
  Object opresult6878 = callmethod(call6877, "&&", 1, partcv, params);
// compiled op node returning opresult6878 (depth = 6)
  int op_slot_right_6857 = gc_frame_newslot(opresult6878);
// starting to compile op node (depth = 6)
// Begin line 2169
  setline(2169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6881 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit6882 == NULL) {
    strlit6882 = alloc_String("num");
    gc_root(strlit6882);
  }
// compiled string node returning strlit6882 (depth = 8)
  gc_frame_newslot(strlit6882);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tok (depth = 8)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit6882;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6883 = callmethodflags(self, "accept()onLineOfLastOr", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6881);
// compiled call node returning call6883 (depth = 7)
  int op_slot_right_6880 = gc_frame_newslot(call6883);
// starting to compile op node (depth = 7)
// Begin line 2168
  setline(2168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6886 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6887 == NULL) {
    strlit6887 = alloc_String("string");
    gc_root(strlit6887);
  }
// compiled string node returning strlit6887 (depth = 9)
  gc_frame_newslot(strlit6887);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tok (depth = 9)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit6887;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6888 = callmethodflags(self, "accept()onLineOfLastOr", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6886);
// compiled call node returning call6888 (depth = 8)
  int op_slot_right_6885 = gc_frame_newslot(call6888);
// Begin line 2167
  setline(2167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6890 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6891 == NULL) {
    strlit6891 = alloc_String("lbrace");
    gc_root(strlit6891);
  }
// compiled string node returning strlit6891 (depth = 9)
  gc_frame_newslot(strlit6891);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tok (depth = 9)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit6891;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6892 = callmethodflags(self, "accept()onLineOfLastOr", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6890);
// compiled call node returning call6892 (depth = 8)
  int op_slot_left_6885 = gc_frame_newslot(call6892);
  params[0] = call6888;
  partcv[0] = 1;
  Object opresult6893 = callmethod(call6892, "||", 1, partcv, params);
// compiled op node returning opresult6893 (depth = 7)
  int op_slot_left_6880 = gc_frame_newslot(opresult6893);
  params[0] = call6883;
  partcv[0] = 1;
  Object opresult6894 = callmethod(opresult6893, "||", 1, partcv, params);
// compiled op node returning opresult6894 (depth = 6)
  int op_slot_left_6857 = gc_frame_newslot(opresult6894);
  params[0] = opresult6878;
  partcv[0] = 1;
  Object opresult6895 = callmethod(opresult6894, "||", 1, partcv, params);
// compiled op node returning opresult6895 (depth = 5)
  Object if6856 = done;
  if (istrue(opresult6895)) {
// Begin line 2174
  setline(2174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2173
  setline(2173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool6896 = alloc_Boolean(1);
// compiled identifier node returning bool6896 (depth = 6)
  *var_isTerm = bool6896;
  if (bool6896 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if6856 = done;
  } else {
// Begin line 2175
  setline(2175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6898 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6899 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6898);
// compiled call node returning call6899 (depth = 6)
// compiled member node returning call6899 (depth = 5)
    gc_frame_newslot(call6899);
    if6856 = call6899;
  }
// compiled if node returning if6856 (depth = 4)
// Begin line 2178
  setline(2178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2177
  setline(2177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool6900 = alloc_Boolean(0);
// compiled identifier node returning bool6900 (depth = 5)
  *var_isEmpty = bool6900;
  if (bool6900 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2181
  setline(2181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2178
  setline(2178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6902 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit6903 == NULL) {
    strlit6903 = alloc_String("rparen");
    gc_root(strlit6903);
  }
// compiled string node returning strlit6903 (depth = 6)
  gc_frame_newslot(strlit6903);
// call case 4: self request
  params[0] = strlit6903;
  partcv[0] = 1;
  Object call6904 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6902);
// compiled call node returning call6904 (depth = 5)
  Object if6901 = done;
  if (istrue(call6904)) {
// Begin line 2180
  setline(2180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2179
  setline(2179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool6905 = alloc_Boolean(1);
// compiled identifier node returning bool6905 (depth = 6)
  *var_isEmpty = bool6905;
  if (bool6905 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if6901 = done;
  } else {
  }
// compiled if node returning if6901 (depth = 4)
// Begin line 2224
  setline(2224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2181
  setline(2181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_isTerm (depth = 5)
  Object if6907 = done;
  if (istrue(*var_isTerm)) {
// Begin line 2182
  setline(2182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6908 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6909 = callmethodflags(self, "term", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6908);
// compiled call node returning call6909 (depth = 6)
// compiled member node returning call6909 (depth = 5)
    gc_frame_newslot(call6909);
    if6907 = call6909;
  } else {
// Begin line 2202
  setline(2202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 2184
  setline(2184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6912 == NULL) {
    strlit6912 = alloc_String("rparen");
    gc_root(strlit6912);
  }
// compiled string node returning strlit6912 (depth = 7)
  int op_slot_right_6911 = gc_frame_newslot(strlit6912);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6914 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call6915 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe6914);
// compiled call node returning call6915 (depth = 8)
// compiled member node returning call6915 (depth = 7)
  int op_slot_left_6911 = gc_frame_newslot(call6915);
  params[0] = strlit6912;
  partcv[0] = 1;
  Object opresult6916 = callmethod(call6915, "!=", 1, partcv, params);
// compiled op node returning opresult6916 (depth = 6)
  Object if6910 = done;
  if (istrue(opresult6916)) {
// Begin line 2201
  setline(2201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 2185
  setline(2185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6918 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 9)
  int callframe6919 = gc_frame_new();
// starting to compile block node (depth = 10)
  Object block6920 = alloc_Block(NULL, NULL, "parser", 2185);
  gc_frame_newslot(block6920);
// method _apply
  block_savedest(block6920);
  Object closure6921 = createclosure(2, "_apply");
  setclosureframe(closure6921, stackframe);
  addtoclosure(closure6921, var_blocksOK);
  addtoclosure(closure6921, selfslot);
  struct UserObject *uo6921 = (struct UserObject*)block6920;
  uo6921->data[0] = (Object)closure6921;
  Method *meth_meth_parser__apply6921 = addmethod2pos(block6920, "_apply", &meth_parser__apply6921, 0);
  int argcv_meth_parser__apply6921[] = {0};
  meth_meth_parser__apply6921->type = alloc_MethodType(1, argcv_meth_parser__apply6921);
  meth_meth_parser__apply6921->definitionModule = modulename;
  meth_meth_parser__apply6921->definitionLine = 2185;
// compiled block node returning block6920 (depth = 10)
  gc_frame_newslot(block6920);
// call case 4: self request
  params[0] = block6920;
  partcv[0] = 1;
  Object call6925 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6919);
// compiled call node returning call6925 (depth = 9)
  partcv[0] = 0;
  Object call6926 = callmethod(call6925, "not",
    1, partcv, params);
  gc_frame_end(callframe6918);
// compiled call node returning call6926 (depth = 8)
// compiled member node returning call6926 (depth = 7)
  Object if6917 = done;
  if (istrue(call6926)) {
// Begin line 2187
  setline(2187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 2186
  setline(2186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 8)
  Object array6927 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6927 (depth = 8)
  *var_suggestions = array6927;
  if (array6927 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 2188
  setline(2188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 7)
// Begin line 2187
  setline(2187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6928 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6929 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call6930 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6929);
// compiled call node returning call6930 (depth = 11)
// compiled member node returning call6930 (depth = 10)
  partcv[0] = 0;
  Object call6931 = callmethod(call6930, "new",
    1, partcv, params);
  gc_frame_end(callframe6928);
// compiled call node returning call6931 (depth = 9)
// compiled member node returning call6931 (depth = 8)
  *var_suggestion = call6931;
  if (call6931 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 7)
// Begin line 2188
  setline(2188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6932 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6933 == NULL) {
    strlit6933 = alloc_String("rparen");
    gc_root(strlit6933);
  }
// compiled string node returning strlit6933 (depth = 9)
  gc_frame_newslot(strlit6933);
// call case 4: self request
  params[0] = strlit6933;
  partcv[0] = 1;
  Object call6934 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6932);
// compiled call node returning call6934 (depth = 8)
  *var_nextTok = call6934;
  if (call6934 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 2197
  setline(2197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 2189
  setline(2189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_6936 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_6936 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6938 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult6938 (depth = 8)
  Object if6935 = done;
  if (istrue(opresult6938)) {
// Begin line 2190
  setline(2190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6939 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6940 == NULL) {
    strlit6940 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6940);
  }
// compiled string node returning strlit6940 (depth = 9)
  gc_frame_newslot(strlit6940);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit6940;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6941 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6939);
// compiled call node returning call6941 (depth = 8)
    gc_frame_newslot(call6941);
    if6935 = call6941;
  } else {
// Begin line 2192
  setline(2192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6942 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6943 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  partcv[0] = 0;
  Object call6944 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6943);
// compiled call node returning call6944 (depth = 10)
// compiled member node returning call6944 (depth = 9)
  gc_frame_newslot(call6944);
// starting to compile identifier node (depth = 9)
  Object bool6945 = alloc_Boolean(1);
// compiled identifier node returning bool6945 (depth = 9)
  gc_frame_newslot(bool6945);
// starting to compile identifier node (depth = 9)
  Object bool6946 = alloc_Boolean(0);
// compiled identifier node returning bool6946 (depth = 9)
  gc_frame_newslot(bool6946);
// starting to compile string node (depth = 9)
  if (strlit6947 == NULL) {
    strlit6947 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6947);
  }
// compiled string node returning strlit6947 (depth = 9)
  gc_frame_newslot(strlit6947);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  params[1] = call6944;
  params[2] = bool6945;
  params[3] = bool6946;
  params[4] = strlit6947;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6948 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe6942);
// compiled call node returning call6948 (depth = 8)
// Begin line 2193
  setline(2193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6949 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6950 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6949);
// compiled call node returning call6950 (depth = 8)
// Begin line 2195
  setline(2195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 2194
  setline(2194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6951 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe6952 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call6953 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6952);
// compiled call node returning call6953 (depth = 12)
// compiled member node returning call6953 (depth = 11)
  partcv[0] = 0;
  Object call6954 = callmethod(call6953, "new",
    1, partcv, params);
  gc_frame_end(callframe6951);
// compiled call node returning call6954 (depth = 10)
// compiled member node returning call6954 (depth = 9)
  *var_suggestion = call6954;
  if (call6954 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 2195
  setline(2195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6956 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6957 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  partcv[0] = 0;
  Object call6958 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6957);
// compiled call node returning call6958 (depth = 10)
// compiled member node returning call6958 (depth = 9)
  gc_frame_newslot(call6958);
// starting to compile identifier node (depth = 9)
  Object bool6959 = alloc_Boolean(1);
// compiled identifier node returning bool6959 (depth = 9)
  gc_frame_newslot(bool6959);
// starting to compile identifier node (depth = 9)
  Object bool6960 = alloc_Boolean(0);
// compiled identifier node returning bool6960 (depth = 9)
  gc_frame_newslot(bool6960);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  params[1] = call6958;
  params[2] = bool6959;
  params[3] = bool6960;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6961 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6956);
// compiled call node returning call6961 (depth = 8)
    gc_frame_newslot(call6961);
    if6935 = call6961;
  }
// compiled if node returning if6935 (depth = 7)
// Begin line 2197
  setline(2197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6962 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6963 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6962);
// compiled call node returning call6963 (depth = 7)
// Begin line 2198
  setline(2198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6964 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit6965 == NULL) {
    strlit6965 = alloc_String("A method request must have an expression or a ')' after a '('.");
    gc_root(strlit6965);
  }
// compiled string node returning strlit6965 (depth = 8)
  gc_frame_newslot(strlit6965);
// Begin line 2199
  setline(2199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6966 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call6967 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6966);
// compiled call node returning call6967 (depth = 9)
// compiled member node returning call6967 (depth = 8)
  gc_frame_newslot(call6967);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6968 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call6969 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6968);
// compiled call node returning call6969 (depth = 9)
// compiled member node returning call6969 (depth = 8)
  gc_frame_newslot(call6969);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 2198
  setline(2198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit6965;
  params[1] = call6967;
  params[2] = call6969;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6970 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe6964);
// compiled call node returning call6970 (depth = 7)
    gc_frame_newslot(call6970);
    if6917 = call6970;
  } else {
  }
// compiled if node returning if6917 (depth = 6)
    gc_frame_newslot(if6917);
    if6910 = if6917;
  } else {
  }
// compiled if node returning if6910 (depth = 5)
// Begin line 2202
  setline(2202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6971 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block6972 = alloc_Block(NULL, NULL, "parser", 2202);
  gc_frame_newslot(block6972);
// method _apply
  block_savedest(block6972);
  Object closure6973 = createclosure(1, "_apply");
  setclosureframe(closure6973, stackframe);
  addtoclosure(closure6973, selfslot);
  struct UserObject *uo6973 = (struct UserObject*)block6972;
  uo6973->data[0] = (Object)closure6973;
  Method *meth_meth_parser__apply6973 = addmethod2pos(block6972, "_apply", &meth_parser__apply6973, 0);
  int argcv_meth_parser__apply6973[] = {0};
  meth_meth_parser__apply6973->type = alloc_MethodType(1, argcv_meth_parser__apply6973);
  meth_meth_parser__apply6973->definitionModule = modulename;
  meth_meth_parser__apply6973->definitionLine = 2199;
// compiled block node returning block6972 (depth = 6)
  gc_frame_newslot(block6972);
// starting to compile block node (depth = 6)
  Object block6978 = alloc_Block(NULL, NULL, "parser", 2202);
  gc_frame_newslot(block6978);
// method _apply
  block_savedest(block6978);
  Object closure6979 = createclosure(8, "_apply");
  setclosureframe(closure6979, stackframe);
  addtoclosure(closure6979, var_values);
  addtoclosure(closure6979, var_nxt);
  addtoclosure(closure6979, var_part);
  addtoclosure(closure6979, var_blocksOK);
  addtoclosure(closure6979, var_errormessages);
  addtoclosure(closure6979, var_sym);
  addtoclosure(closure6979, var_lastToken);
  addtoclosure(closure6979, selfslot);
  struct UserObject *uo6979 = (struct UserObject*)block6978;
  uo6979->data[0] = (Object)closure6979;
  Method *meth_meth_parser__apply6979 = addmethod2pos(block6978, "_apply", &meth_parser__apply6979, 0);
  int argcv_meth_parser__apply6979[] = {0};
  meth_meth_parser__apply6979->type = alloc_MethodType(1, argcv_meth_parser__apply6979);
  meth_meth_parser__apply6979->definitionModule = modulename;
  meth_meth_parser__apply6979->definitionLine = 2199;
// compiled block node returning block6978 (depth = 6)
  gc_frame_newslot(block6978);
// call case 5: prelude request
  params[0] = block6972;
  params[1] = block6978;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7044 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6971);
// compiled call node returning call7044 (depth = 5)
    gc_frame_newslot(call7044);
    if6907 = call7044;
  }
// compiled if node returning if6907 (depth = 4)
// Begin line 2228
  setline(2228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2224
  setline(2224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7046 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_isEmpty (depth = 6)
  partcv[0] = 0;
  Object call7047 = callmethod(*var_isEmpty, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe7046);
// compiled call node returning call7047 (depth = 5)
  Object if7045 = done;
  if (istrue(call7047)) {
// Begin line 2226
  setline(2226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2225
  setline(2225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7048 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call7049 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7048);
// compiled call node returning call7049 (depth = 7)
// compiled member node returning call7049 (depth = 6)
  *var_nxt = call7049;
  if (call7049 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 2226
  setline(2226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7051 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nxt (depth = 6)
  gc_frame_newslot(*var_nxt);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7052 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  partcv[0] = 0;
  Object call7053 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe7052);
// compiled call node returning call7053 (depth = 7)
// compiled member node returning call7053 (depth = 6)
  params[0] = *var_nxt;
  partcv[0] = 1;
  Object call7054 = callmethod(call7053, "push",
    1, partcv, params);
  gc_frame_end(callframe7051);
// compiled call node returning call7054 (depth = 5)
    gc_frame_newslot(call7054);
    if7045 = call7054;
  } else {
  }
// compiled if node returning if7045 (depth = 4)
// Begin line 2237
  setline(2237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2228
  setline(2228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7056 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_isTerm (depth = 7)
  partcv[0] = 0;
  Object call7057 = callmethod(*var_isTerm, "not",
    1, partcv, params);
  gc_frame_end(callframe7056);
// compiled call node returning call7057 (depth = 6)
// compiled member node returning call7057 (depth = 5)
  Object if7055 = done;
  if (istrue(call7057)) {
// Begin line 2236
  setline(2236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 2229
  setline(2229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7060 == NULL) {
    strlit7060 = alloc_String("rparen");
    gc_root(strlit7060);
  }
// compiled string node returning strlit7060 (depth = 7)
  int op_slot_right_7059 = gc_frame_newslot(strlit7060);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7062 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call7063 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe7062);
// compiled call node returning call7063 (depth = 8)
// compiled member node returning call7063 (depth = 7)
  int op_slot_left_7059 = gc_frame_newslot(call7063);
  params[0] = strlit7060;
  partcv[0] = 1;
  Object opresult7064 = callmethod(call7063, "!=", 1, partcv, params);
// compiled op node returning opresult7064 (depth = 6)
  Object if7058 = done;
  if (istrue(opresult7064)) {
// Begin line 2230
  setline(2230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7065 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7066 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7065);
// compiled call node returning call7066 (depth = 7)
// compiled member node returning call7066 (depth = 6)
// Begin line 2232
  setline(2232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 2231
  setline(2231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7067 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7068 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call7069 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7068);
// compiled call node returning call7069 (depth = 10)
// compiled member node returning call7069 (depth = 9)
  partcv[0] = 0;
  Object call7070 = callmethod(call7069, "new",
    1, partcv, params);
  gc_frame_end(callframe7067);
// compiled call node returning call7070 (depth = 8)
// compiled member node returning call7070 (depth = 7)
  *var_suggestion = call7070;
  if (call7070 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 2232
  setline(2232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7071 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit7072 == NULL) {
    strlit7072 = alloc_String(")");
    gc_root(strlit7072);
  }
// compiled string node returning strlit7072 (depth = 7)
  gc_frame_newslot(strlit7072);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit7072;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7073 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7071);
// compiled call node returning call7073 (depth = 6)
// Begin line 2233
  setline(2233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7074 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit7075 == NULL) {
    strlit7075 = alloc_String("A part of a multi-part method request beginning with a '(' must end with a ')'.");
    gc_root(strlit7075);
  }
// compiled string node returning strlit7075 (depth = 7)
  gc_frame_newslot(strlit7075);
// Begin line 2234
  setline(2234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7076 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call7077 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7076);
// compiled call node returning call7077 (depth = 8)
// compiled member node returning call7077 (depth = 7)
  gc_frame_newslot(call7077);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7079 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call7080 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe7079);
// compiled call node returning call7080 (depth = 9)
// compiled member node returning call7080 (depth = 8)
  int op_slot_right_7078 = gc_frame_newslot(call7080);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7082 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call7083 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7082);
// compiled call node returning call7083 (depth = 9)
// compiled member node returning call7083 (depth = 8)
  int op_slot_left_7078 = gc_frame_newslot(call7083);
  params[0] = call7080;
  partcv[0] = 1;
  Object sum7084 = callmethod(call7083, "+", 1, partcv, params);
// compiled op node returning sum7084 (depth = 7)
  gc_frame_newslot(sum7084);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2233
  setline(2233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit7075;
  params[1] = call7077;
  params[2] = sum7084;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7085 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe7074);
// compiled call node returning call7085 (depth = 6)
    gc_frame_newslot(call7085);
    if7058 = call7085;
  } else {
  }
// compiled if node returning if7058 (depth = 5)
    gc_frame_newslot(if7058);
    if7055 = if7058;
  } else {
  }
// compiled if node returning if7055 (depth = 4)
// Begin line 2240
  setline(2240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2237
  setline(2237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7088 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_isTerm (depth = 8)
  partcv[0] = 0;
  Object call7089 = callmethod(*var_isTerm, "not",
    1, partcv, params);
  gc_frame_end(callframe7088);
// compiled call node returning call7089 (depth = 7)
// compiled member node returning call7089 (depth = 6)
  int op_slot_right_7087 = gc_frame_newslot(call7089);
// starting to compile call node (depth = 6)
  int callframe7091 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit7092 == NULL) {
    strlit7092 = alloc_String("rparen");
    gc_root(strlit7092);
  }
// compiled string node returning strlit7092 (depth = 7)
  gc_frame_newslot(strlit7092);
// call case 4: self request
  params[0] = strlit7092;
  partcv[0] = 1;
  Object call7093 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7091);
// compiled call node returning call7093 (depth = 6)
  int op_slot_left_7087 = gc_frame_newslot(call7093);
  params[0] = call7089;
  partcv[0] = 1;
  Object opresult7094 = callmethod(call7093, "&&", 1, partcv, params);
// compiled op node returning opresult7094 (depth = 5)
  Object if7086 = done;
  if (istrue(opresult7094)) {
// Begin line 2238
  setline(2238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7095 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7096 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7095);
// compiled call node returning call7096 (depth = 6)
// compiled member node returning call7096 (depth = 5)
    gc_frame_newslot(call7096);
    if7086 = call7096;
  } else {
  }
// compiled if node returning if7086 (depth = 4)
  gc_frame_end(frame);
  return if7086;
}
Object meth_parser_callmprest6682(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 45, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(9, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "callmprest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method callmprest");
  Object params[2];
  int partcv[2];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  Object *var_blocksOK = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for callmprest (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_meth = &(stackframe->slots[0]);
  *var_meth = args[curarg];
  curarg++;
  Object *var_signature = &(stackframe->slots[1]);
  *var_signature = args[curarg];
  curarg++;
  Object *var_tok = &(stackframe->slots[2]);
  *var_tok = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for callmprest");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_methname = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "methname");
  Object *var_nxt = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nxt");
  Object *var_lp = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "lp");
  Object *var_part = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "part");
  Object *var_meth_39_ = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "meth'");
// Begin line 2122
  setline(2122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 2121
  setline(2121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6683 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  partcv[0] = 0;
  Object call6684 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe6683);
// compiled call node returning call6684 (depth = 4)
// compiled member node returning call6684 (depth = 3)
  *var_methname = call6684;
  if (call6684 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2123
  setline(2123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_nxt = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 2124
  setline(2124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 2123
  setline(2123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6685 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  partcv[0] = 0;
  Object call6686 = callmethod(*var_meth, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6685);
// compiled call node returning call6686 (depth = 4)
// compiled member node returning call6686 (depth = 3)
  *var_lp = call6686;
  if (call6686 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2125
  setline(2125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_part = undefined;
// compiled vardec node returning done (depth = 2)
// starting to compile call node (depth = 2)
  int callframe6687 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block6688 = alloc_Block(NULL, NULL, "parser", 2125);
  gc_frame_newslot(block6688);
// method _apply
  block_savedest(block6688);
  Object closure6689 = createclosure(3, "_apply");
  setclosureframe(closure6689, stackframe);
  addtoclosure(closure6689, var_lastToken);
  addtoclosure(closure6689, var_tok);
  addtoclosure(closure6689, selfslot);
  struct UserObject *uo6689 = (struct UserObject*)block6688;
  uo6689->data[0] = (Object)closure6689;
  Method *meth_meth_parser__apply6689 = addmethod2pos(block6688, "_apply", &meth_parser__apply6689, 0);
  int argcv_meth_parser__apply6689[] = {0};
  meth_meth_parser__apply6689->type = alloc_MethodType(1, argcv_meth_parser__apply6689);
  meth_meth_parser__apply6689->definitionModule = modulename;
  meth_meth_parser__apply6689->definitionLine = 2123;
// compiled block node returning block6688 (depth = 3)
  gc_frame_newslot(block6688);
// Begin line 2126
  setline(2126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block6700 = alloc_Block(NULL, NULL, "parser", 2126);
  gc_frame_newslot(block6700);
// method _apply
  block_savedest(block6700);
  Object closure6701 = createclosure(12, "_apply");
  setclosureframe(closure6701, stackframe);
  addtoclosure(closure6701, var_ast);
  addtoclosure(closure6701, var_part);
  addtoclosure(closure6701, var_signature);
  addtoclosure(closure6701, var_methname);
  addtoclosure(closure6701, var_values);
  addtoclosure(closure6701, var_nxt);
  addtoclosure(closure6701, var_errormessages);
  addtoclosure(closure6701, var_sym);
  addtoclosure(closure6701, var_lastToken);
  addtoclosure(closure6701, var_tok);
  addtoclosure(closure6701, var_blocksOK);
  addtoclosure(closure6701, selfslot);
  struct UserObject *uo6701 = (struct UserObject*)block6700;
  uo6701->data[0] = (Object)closure6701;
  Method *meth_meth_parser__apply6701 = addmethod2pos(block6700, "_apply", &meth_parser__apply6701, 0);
  int argcv_meth_parser__apply6701[] = {0};
  meth_meth_parser__apply6701->type = alloc_MethodType(1, argcv_meth_parser__apply6701);
  meth_meth_parser__apply6701->definitionModule = modulename;
  meth_meth_parser__apply6701->definitionLine = 2123;
// compiled block node returning block6700 (depth = 3)
  gc_frame_newslot(block6700);
// call case 5: prelude request
  params[0] = block6688;
  params[1] = block6700;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7098 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6687);
// compiled call node returning call7098 (depth = 2)
// Begin line 2241
  setline(2241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe7099 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_methname (depth = 4)
  gc_frame_newslot(*var_methname);
// starting to compile identifier node (depth = 4)
  Object bool7100 = alloc_Boolean(0);
// compiled identifier node returning bool7100 (depth = 4)
  gc_frame_newslot(bool7100);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7101 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  partcv[0] = 0;
  Object call7102 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe7101);
// compiled call node returning call7102 (depth = 5)
// compiled member node returning call7102 (depth = 4)
  params[0] = *var_methname;
  params[1] = bool7100;
  partcv[0] = 2;
  Object call7103 = callmethod(call7102, "new",
    1, partcv, params);
  gc_frame_end(callframe7099);
// compiled call node returning call7103 (depth = 3)
  *var_meth_39_ = call7103;
  if (call7103 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 2243
  setline(2243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 2241
  setline(2241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7104 = gc_frame_new();
// Begin line 2242
  setline(2242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7105 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_meth (depth = 6)
  partcv[0] = 0;
  Object call7106 = callmethod(*var_meth, "line",
    1, partcv, params);
  gc_frame_end(callframe7105);
// compiled call node returning call7106 (depth = 5)
// compiled member node returning call7106 (depth = 4)
  gc_frame_newslot(call7106);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_meth_39_ (depth = 4)
  params[0] = call7106;
  partcv[0] = 1;
  Object call7107 = callmethod(*var_meth_39_, "line:=",
    1, partcv, params);
  gc_frame_end(callframe7104);
// compiled call node returning call7107 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 2244
  setline(2244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 2242
  setline(2242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7108 = gc_frame_new();
// Begin line 2243
  setline(2243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7109 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_meth (depth = 6)
  partcv[0] = 0;
  Object call7110 = callmethod(*var_meth, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7109);
// compiled call node returning call7110 (depth = 5)
// compiled member node returning call7110 (depth = 4)
  gc_frame_newslot(call7110);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_meth_39_ (depth = 4)
  params[0] = call7110;
  partcv[0] = 1;
  Object call7111 = callmethod(*var_meth_39_, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe7108);
// compiled call node returning call7111 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 2244
  setline(2244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_meth_39_ (depth = 2)
  gc_frame_end(frame);
  return *var_meth_39_;
}
Object meth_parser__apply7145(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2257
  setline(2257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7148 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call7149 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7148);
// compiled call node returning call7149 (depth = 10)
// compiled member node returning call7149 (depth = 9)
  int op_slot_right_7147 = gc_frame_newslot(call7149);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7151 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_t (depth = 11)
  partcv[0] = 0;
  Object call7152 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe7151);
// compiled call node returning call7152 (depth = 10)
// compiled member node returning call7152 (depth = 9)
  int op_slot_left_7147 = gc_frame_newslot(call7152);
  params[0] = call7149;
  partcv[0] = 1;
  Object opresult7153 = callmethod(call7152, "==", 1, partcv, params);
// compiled op node returning opresult7153 (depth = 8)
  int op_slot_right_7146 = gc_frame_newslot(opresult7153);
// starting to compile op node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit7157 == NULL) {
    strlit7157 = alloc_String("=");
    gc_root(strlit7157);
  }
// compiled string node returning strlit7157 (depth = 10)
  int op_slot_right_7156 = gc_frame_newslot(strlit7157);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe7159 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_t (depth = 12)
  partcv[0] = 0;
  Object call7160 = callmethod(*var_t, "value",
    1, partcv, params);
  gc_frame_end(callframe7159);
// compiled call node returning call7160 (depth = 11)
// compiled member node returning call7160 (depth = 10)
  int op_slot_left_7156 = gc_frame_newslot(call7160);
  params[0] = strlit7157;
  partcv[0] = 1;
  Object opresult7161 = callmethod(call7160, "==", 1, partcv, params);
// compiled op node returning opresult7161 (depth = 9)
  int op_slot_right_7155 = gc_frame_newslot(opresult7161);
// Begin line 2256
  setline(2256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit7164 == NULL) {
    strlit7164 = alloc_String("op");
    gc_root(strlit7164);
  }
// compiled string node returning strlit7164 (depth = 10)
  int op_slot_right_7163 = gc_frame_newslot(strlit7164);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe7166 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_t (depth = 12)
  partcv[0] = 0;
  Object call7167 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe7166);
// compiled call node returning call7167 (depth = 11)
// compiled member node returning call7167 (depth = 10)
  int op_slot_left_7163 = gc_frame_newslot(call7167);
  params[0] = strlit7164;
  partcv[0] = 1;
  Object opresult7168 = callmethod(call7167, "==", 1, partcv, params);
// compiled op node returning opresult7168 (depth = 9)
  int op_slot_left_7155 = gc_frame_newslot(opresult7168);
  params[0] = opresult7161;
  partcv[0] = 1;
  Object opresult7169 = callmethod(opresult7168, "&&", 1, partcv, params);
// compiled op node returning opresult7169 (depth = 8)
  int op_slot_left_7146 = gc_frame_newslot(opresult7169);
  params[0] = opresult7153;
  partcv[0] = 1;
  Object opresult7170 = callmethod(opresult7169, "&&", 1, partcv, params);
// compiled op node returning opresult7170 (depth = 7)
  gc_frame_end(frame);
  return opresult7170;
}
Object meth_parser__apply7233(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 9)
  int callframe7234 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_blocksOK (depth = 10)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call7235 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7234);
// compiled call node returning call7235 (depth = 9)
  gc_frame_end(frame);
  return call7235;
}
Object meth_parser_defdec7112(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 46, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(17, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defdec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_blocksOK = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  Object *var_defaultDefVisibility = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defdec (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for defdec");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "line");
  Object *var_pos = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "pos");
  Object *var_defTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "defTok");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_nextToken = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextToken");
  Object *var_val = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "val");
  Object *var_name = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "name");
  Object *var_dtype = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "dtype");
  Object *var_anns = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "anns");
  Object *var_nextTok = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "nextTok");
  Object *var_suggestions = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "suggestions");
  Object *var_o = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "o");
// Begin line 2316
  setline(2316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2249
  setline(2249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7116 == NULL) {
    strlit7116 = alloc_String("def");
    gc_root(strlit7116);
  }
// compiled string node returning strlit7116 (depth = 5)
  int op_slot_right_7115 = gc_frame_newslot(strlit7116);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7118 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call7119 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7118);
// compiled call node returning call7119 (depth = 6)
// compiled member node returning call7119 (depth = 5)
  int op_slot_left_7115 = gc_frame_newslot(call7119);
  params[0] = strlit7116;
  partcv[0] = 1;
  Object opresult7120 = callmethod(call7119, "==", 1, partcv, params);
// compiled op node returning opresult7120 (depth = 4)
  int op_slot_right_7114 = gc_frame_newslot(opresult7120);
// starting to compile call node (depth = 4)
  int callframe7122 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7123 == NULL) {
    strlit7123 = alloc_String("keyword");
    gc_root(strlit7123);
  }
// compiled string node returning strlit7123 (depth = 5)
  gc_frame_newslot(strlit7123);
// call case 4: self request
  params[0] = strlit7123;
  partcv[0] = 1;
  Object call7124 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7122);
// compiled call node returning call7124 (depth = 4)
  int op_slot_left_7114 = gc_frame_newslot(call7124);
  params[0] = opresult7120;
  partcv[0] = 1;
  Object opresult7125 = callmethod(call7124, "&&", 1, partcv, params);
// compiled op node returning opresult7125 (depth = 3)
  Object if7113 = done;
  if (istrue(opresult7125)) {
// Begin line 2251
  setline(2251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2250
  setline(2250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7126 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call7127 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7126);
// compiled call node returning call7127 (depth = 5)
// compiled member node returning call7127 (depth = 4)
  *var_line = call7127;
  if (call7127 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2252
  setline(2252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2251
  setline(2251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7128 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call7129 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7128);
// compiled call node returning call7129 (depth = 5)
// compiled member node returning call7129 (depth = 4)
  *var_pos = call7129;
  if (call7129 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2253
  setline(2253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2252
  setline(2252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_defTok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2253
  setline(2253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7130 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7131 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7130);
// compiled call node returning call7131 (depth = 4)
// compiled member node returning call7131 (depth = 3)
// Begin line 2268
  setline(2268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2254
  setline(2254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7134 == NULL) {
    strlit7134 = alloc_String("identifier");
    gc_root(strlit7134);
  }
// compiled string node returning strlit7134 (depth = 5)
  int op_slot_right_7133 = gc_frame_newslot(strlit7134);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7136 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call7137 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe7136);
// compiled call node returning call7137 (depth = 6)
// compiled member node returning call7137 (depth = 5)
  int op_slot_left_7133 = gc_frame_newslot(call7137);
  params[0] = strlit7134;
  partcv[0] = 1;
  Object opresult7138 = callmethod(call7137, "!=", 1, partcv, params);
// compiled op node returning opresult7138 (depth = 4)
  Object if7132 = done;
  if (istrue(opresult7138)) {
// Begin line 2256
  setline(2256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 2255
  setline(2255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7139 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7140 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call7141 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7140);
// compiled call node returning call7141 (depth = 8)
// compiled member node returning call7141 (depth = 7)
  partcv[0] = 0;
  Object call7142 = callmethod(call7141, "new",
    1, partcv, params);
  gc_frame_end(callframe7139);
// compiled call node returning call7142 (depth = 6)
// compiled member node returning call7142 (depth = 5)
  *var_suggestion = call7142;
  if (call7142 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 2256
  setline(2256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7143 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block7144 = alloc_Block(NULL, NULL, "parser", 2256);
  gc_frame_newslot(block7144);
// method _apply
  block_savedest(block7144);
  Object closure7145 = createclosure(2, "_apply");
  setclosureframe(closure7145, stackframe);
  addtoclosure(closure7145, var_sym);
  addtoclosure(closure7145, selfslot);
  struct UserObject *uo7145 = (struct UserObject*)block7144;
  uo7145->data[0] = (Object)closure7145;
  Method *meth_meth_parser__apply7145 = addmethod2pos(block7144, "_apply", &meth_parser__apply7145, 0);
  int argcv_meth_parser__apply7145[] = {1};
  meth_meth_parser__apply7145->type = alloc_MethodType(1, argcv_meth_parser__apply7145);
  meth_meth_parser__apply7145->definitionModule = modulename;
  meth_meth_parser__apply7145->definitionLine = 2255;
// compiled block node returning block7144 (depth = 6)
  gc_frame_newslot(block7144);
// call case 4: self request
  params[0] = block7144;
  partcv[0] = 1;
  Object call7172 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7143);
// compiled call node returning call7172 (depth = 5)
  *var_nextToken = call7172;
  if (call7172 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 2265
  setline(2265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2258
  setline(2258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool7175 = alloc_Boolean(0);
// compiled identifier node returning bool7175 (depth = 6)
  int op_slot_right_7174 = gc_frame_newslot(bool7175);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextToken (depth = 6)
  int op_slot_left_7174 = gc_frame_newslot(*var_nextToken);
  params[0] = bool7175;
  partcv[0] = 1;
  Object opresult7177 = callmethod(*var_nextToken, "==", 1, partcv, params);
// compiled op node returning opresult7177 (depth = 5)
  Object if7173 = done;
  if (istrue(opresult7177)) {
// Begin line 2259
  setline(2259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7178 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit7179 == NULL) {
    strlit7179 = alloc_String(" ""\xc2""""\xab""name""\xc2""""\xbb"" =");
    gc_root(strlit7179);
  }
// compiled string node returning strlit7179 (depth = 6)
  gc_frame_newslot(strlit7179);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit7179;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7180 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7178);
// compiled call node returning call7180 (depth = 5)
    gc_frame_newslot(call7180);
    if7173 = call7180;
  } else {
// Begin line 2262
  setline(2262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 2260
  setline(2260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_7182 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextToken (depth = 7)
  int op_slot_left_7182 = gc_frame_newslot(*var_nextToken);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7184 = callmethod(*var_nextToken, "==", 1, partcv, params);
// compiled op node returning opresult7184 (depth = 6)
  Object if7181 = done;
  if (istrue(opresult7184)) {
// Begin line 2261
  setline(2261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7185 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit7186 == NULL) {
    strlit7186 = alloc_String(" ""\xc2""""\xab""name""\xc2""""\xbb""");
    gc_root(strlit7186);
  }
// compiled string node returning strlit7186 (depth = 7)
  gc_frame_newslot(strlit7186);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit7186;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7187 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7185);
// compiled call node returning call7187 (depth = 6)
    gc_frame_newslot(call7187);
    if7181 = call7187;
  } else {
// Begin line 2263
  setline(2263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7188 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7189 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextToken (depth = 9)
  partcv[0] = 0;
  Object call7190 = callmethod(*var_nextToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe7189);
// compiled call node returning call7190 (depth = 8)
// compiled member node returning call7190 (depth = 7)
  gc_frame_newslot(call7190);
// starting to compile identifier node (depth = 7)
  Object bool7191 = alloc_Boolean(0);
// compiled identifier node returning bool7191 (depth = 7)
  gc_frame_newslot(bool7191);
// starting to compile identifier node (depth = 7)
  Object bool7192 = alloc_Boolean(1);
// compiled identifier node returning bool7192 (depth = 7)
  gc_frame_newslot(bool7192);
// starting to compile string node (depth = 7)
  if (strlit7193 == NULL) {
    strlit7193 = alloc_String("""\xc2""""\xab""name""\xc2""""\xbb"" ");
    gc_root(strlit7193);
  }
// compiled string node returning strlit7193 (depth = 7)
  gc_frame_newslot(strlit7193);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call7190;
  params[2] = bool7191;
  params[3] = bool7192;
  params[4] = strlit7193;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7194 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7188);
// compiled call node returning call7194 (depth = 6)
    gc_frame_newslot(call7194);
    if7181 = call7194;
  }
// compiled if node returning if7181 (depth = 5)
    gc_frame_newslot(if7181);
    if7173 = if7181;
  }
// compiled if node returning if7173 (depth = 4)
// Begin line 2265
  setline(2265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7195 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7196 == NULL) {
    strlit7196 = alloc_String("A definition must have a name, '=', and a value after the 'def'.");
    gc_root(strlit7196);
  }
// compiled string node returning strlit7196 (depth = 5)
  gc_frame_newslot(strlit7196);
// Begin line 2266
  setline(2266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7197 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call7198 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7197);
// compiled call node returning call7198 (depth = 6)
// compiled member node returning call7198 (depth = 5)
  gc_frame_newslot(call7198);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7199 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call7200 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7199);
// compiled call node returning call7200 (depth = 6)
// compiled member node returning call7200 (depth = 5)
  gc_frame_newslot(call7200);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2265
  setline(2265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit7196;
  params[1] = call7198;
  params[2] = call7200;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7201 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe7195);
// compiled call node returning call7201 (depth = 4)
    gc_frame_newslot(call7201);
    if7132 = call7201;
  } else {
  }
// compiled if node returning if7132 (depth = 3)
// Begin line 2268
  setline(2268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7202 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7203 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7202);
// compiled call node returning call7203 (depth = 4)
// compiled member node returning call7203 (depth = 3)
// Begin line 2270
  setline(2270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2269
  setline(2269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool7204 = alloc_Boolean(0);
// compiled identifier node returning bool7204 (depth = 4)
  *var_val = bool7204;
  if (bool7204 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2271
  setline(2271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2270
  setline(2270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7205 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call7206 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7205);
// compiled call node returning call7206 (depth = 5)
// compiled member node returning call7206 (depth = 4)
  *var_name = call7206;
  if (call7206 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2272
  setline(2272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2270
  setline(2270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7207 = gc_frame_new();
// Begin line 2271
  setline(2271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool7208 = alloc_Boolean(1);
// compiled identifier node returning bool7208 (depth = 5)
  gc_frame_newslot(bool7208);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_name (depth = 5)
  params[0] = bool7208;
  partcv[0] = 1;
  Object call7209 = callmethod(*var_name, "isBindingOccurrence:=",
    1, partcv, params);
  gc_frame_end(callframe7207);
// compiled call node returning call7209 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 2273
  setline(2273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2272
  setline(2272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7210 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7211 = callmethodflags(self, "optionalTypeAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7210);
// compiled call node returning call7211 (depth = 5)
// compiled member node returning call7211 (depth = 4)
  *var_dtype = call7211;
  if (call7211 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2274
  setline(2274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2273
  setline(2273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7212 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7213 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7212);
// compiled call node returning call7213 (depth = 5)
// compiled member node returning call7213 (depth = 4)
  *var_anns = call7213;
  if (call7213 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2310
  setline(2310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2274
  setline(2274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7217 == NULL) {
    strlit7217 = alloc_String("=");
    gc_root(strlit7217);
  }
// compiled string node returning strlit7217 (depth = 6)
  int op_slot_right_7216 = gc_frame_newslot(strlit7217);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7219 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call7220 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7219);
// compiled call node returning call7220 (depth = 7)
// compiled member node returning call7220 (depth = 6)
  int op_slot_left_7216 = gc_frame_newslot(call7220);
  params[0] = strlit7217;
  partcv[0] = 1;
  Object opresult7221 = callmethod(call7220, "==", 1, partcv, params);
// compiled op node returning opresult7221 (depth = 5)
  int op_slot_right_7215 = gc_frame_newslot(opresult7221);
// starting to compile call node (depth = 5)
  int callframe7223 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit7224 == NULL) {
    strlit7224 = alloc_String("op");
    gc_root(strlit7224);
  }
// compiled string node returning strlit7224 (depth = 6)
  gc_frame_newslot(strlit7224);
// call case 4: self request
  params[0] = strlit7224;
  partcv[0] = 1;
  Object call7225 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7223);
// compiled call node returning call7225 (depth = 5)
  int op_slot_left_7215 = gc_frame_newslot(call7225);
  params[0] = opresult7221;
  partcv[0] = 1;
  Object opresult7226 = callmethod(call7225, "&&", 1, partcv, params);
// compiled op node returning opresult7226 (depth = 4)
  Object if7214 = done;
  if (istrue(opresult7226)) {
// Begin line 2275
  setline(2275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7227 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7228 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7227);
// compiled call node returning call7228 (depth = 5)
// compiled member node returning call7228 (depth = 4)
// Begin line 2287
  setline(2287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2276
  setline(2276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7230 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 7)
  int callframe7231 = gc_frame_new();
// starting to compile block node (depth = 8)
  Object block7232 = alloc_Block(NULL, NULL, "parser", 2276);
  gc_frame_newslot(block7232);
// method _apply
  block_savedest(block7232);
  Object closure7233 = createclosure(2, "_apply");
  setclosureframe(closure7233, stackframe);
  addtoclosure(closure7233, var_blocksOK);
  addtoclosure(closure7233, selfslot);
  struct UserObject *uo7233 = (struct UserObject*)block7232;
  uo7233->data[0] = (Object)closure7233;
  Method *meth_meth_parser__apply7233 = addmethod2pos(block7232, "_apply", &meth_parser__apply7233, 0);
  int argcv_meth_parser__apply7233[] = {0};
  meth_meth_parser__apply7233->type = alloc_MethodType(1, argcv_meth_parser__apply7233);
  meth_meth_parser__apply7233->definitionModule = modulename;
  meth_meth_parser__apply7233->definitionLine = 2276;
// compiled block node returning block7232 (depth = 8)
  gc_frame_newslot(block7232);
// call case 4: self request
  params[0] = block7232;
  partcv[0] = 1;
  Object call7237 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7231);
// compiled call node returning call7237 (depth = 7)
  partcv[0] = 0;
  Object call7238 = callmethod(call7237, "not",
    1, partcv, params);
  gc_frame_end(callframe7230);
// compiled call node returning call7238 (depth = 6)
// compiled member node returning call7238 (depth = 5)
  Object if7229 = done;
  if (istrue(call7238)) {
// Begin line 2278
  setline(2278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 2277
  setline(2277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7239 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7240 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call7241 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7240);
// compiled call node returning call7241 (depth = 9)
// compiled member node returning call7241 (depth = 8)
  partcv[0] = 0;
  Object call7242 = callmethod(call7241, "new",
    1, partcv, params);
  gc_frame_end(callframe7239);
// compiled call node returning call7242 (depth = 7)
// compiled member node returning call7242 (depth = 6)
  *var_suggestion = call7242;
  if (call7242 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2278
  setline(2278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7243 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7244 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7243);
// compiled call node returning call7244 (depth = 6)
  *var_nextTok = call7244;
  if (call7244 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2284
  setline(2284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 2279
  setline(2279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_7246 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_7246 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7248 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult7248 (depth = 6)
  Object if7245 = done;
  if (istrue(opresult7248)) {
// Begin line 2280
  setline(2280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7249 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit7250 == NULL) {
    strlit7250 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7250);
  }
// compiled string node returning strlit7250 (depth = 7)
  gc_frame_newslot(strlit7250);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit7250;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7251 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7249);
// compiled call node returning call7251 (depth = 6)
    gc_frame_newslot(call7251);
    if7245 = call7251;
  } else {
// Begin line 2282
  setline(2282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7252 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7253 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  partcv[0] = 0;
  Object call7254 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7253);
// compiled call node returning call7254 (depth = 8)
// compiled member node returning call7254 (depth = 7)
  gc_frame_newslot(call7254);
// starting to compile identifier node (depth = 7)
  Object bool7255 = alloc_Boolean(1);
// compiled identifier node returning bool7255 (depth = 7)
  gc_frame_newslot(bool7255);
// starting to compile identifier node (depth = 7)
  Object bool7256 = alloc_Boolean(0);
// compiled identifier node returning bool7256 (depth = 7)
  gc_frame_newslot(bool7256);
// starting to compile string node (depth = 7)
  if (strlit7257 == NULL) {
    strlit7257 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7257);
  }
// compiled string node returning strlit7257 (depth = 7)
  gc_frame_newslot(strlit7257);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call7254;
  params[2] = bool7255;
  params[3] = bool7256;
  params[4] = strlit7257;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7258 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7252);
// compiled call node returning call7258 (depth = 6)
    gc_frame_newslot(call7258);
    if7245 = call7258;
  }
// compiled if node returning if7245 (depth = 5)
// Begin line 2284
  setline(2284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7259 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit7260 == NULL) {
    strlit7260 = alloc_String("A definition must have a value after the '='.");
    gc_root(strlit7260);
  }
// compiled string node returning strlit7260 (depth = 6)
  gc_frame_newslot(strlit7260);
// Begin line 2285
  setline(2285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7261 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call7262 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7261);
// compiled call node returning call7262 (depth = 7)
// compiled member node returning call7262 (depth = 6)
  gc_frame_newslot(call7262);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7264 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call7265 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe7264);
// compiled call node returning call7265 (depth = 8)
// compiled member node returning call7265 (depth = 7)
  int op_slot_right_7263 = gc_frame_newslot(call7265);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7267 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call7268 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7267);
// compiled call node returning call7268 (depth = 8)
// compiled member node returning call7268 (depth = 7)
  int op_slot_left_7263 = gc_frame_newslot(call7268);
  params[0] = call7265;
  partcv[0] = 1;
  Object sum7269 = callmethod(call7268, "+", 1, partcv, params);
// compiled op node returning sum7269 (depth = 6)
  gc_frame_newslot(sum7269);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2284
  setline(2284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit7260;
  params[1] = call7262;
  params[2] = sum7269;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7270 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe7259);
// compiled call node returning call7270 (depth = 5)
    gc_frame_newslot(call7270);
    if7229 = call7270;
  } else {
  }
// compiled if node returning if7229 (depth = 4)
// Begin line 2288
  setline(2288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2287
  setline(2287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7271 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  partcv[0] = 0;
  Object call7272 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7271);
// compiled call node returning call7272 (depth = 6)
// compiled member node returning call7272 (depth = 5)
  *var_val = call7272;
  if (call7272 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7214 = done;
  } else {
// Begin line 2298
  setline(2298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2288
  setline(2288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7275 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit7276 == NULL) {
    strlit7276 = alloc_String("bind");
    gc_root(strlit7276);
  }
// compiled string node returning strlit7276 (depth = 6)
  gc_frame_newslot(strlit7276);
// call case 4: self request
  params[0] = strlit7276;
  partcv[0] = 1;
  Object call7277 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7275);
// compiled call node returning call7277 (depth = 5)
  Object if7274 = done;
  if (istrue(call7277)) {
// Begin line 2290
  setline(2290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 2289
  setline(2289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 6)
  Object array7278 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array7278 (depth = 6)
  *var_suggestions = array7278;
  if (array7278 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2291
  setline(2291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// Begin line 2290
  setline(2290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7279 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7280 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call7281 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7280);
// compiled call node returning call7281 (depth = 9)
// compiled member node returning call7281 (depth = 8)
  partcv[0] = 0;
  Object call7282 = callmethod(call7281, "new",
    1, partcv, params);
  gc_frame_end(callframe7279);
// compiled call node returning call7282 (depth = 7)
// compiled member node returning call7282 (depth = 6)
  *var_suggestion = call7282;
  if (call7282 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 2291
  setline(2291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7283 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile string node (depth = 6)
  if (strlit7284 == NULL) {
    strlit7284 = alloc_String("=");
    gc_root(strlit7284);
  }
// compiled string node returning strlit7284 (depth = 6)
  gc_frame_newslot(strlit7284);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = strlit7284;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7285 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe7283);
// compiled call node returning call7285 (depth = 5)
// Begin line 2292
  setline(2292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7286 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7287 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7286);
// compiled call node returning call7287 (depth = 5)
// Begin line 2294
  setline(2294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2293
  setline(2293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7288 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7289 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call7290 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7289);
// compiled call node returning call7290 (depth = 9)
// compiled member node returning call7290 (depth = 8)
  partcv[0] = 0;
  Object call7291 = callmethod(call7290, "new",
    1, partcv, params);
  gc_frame_end(callframe7288);
// compiled call node returning call7291 (depth = 7)
// compiled member node returning call7291 (depth = 6)
  *var_suggestion = call7291;
  if (call7291 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 2294
  setline(2294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7293 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_defTok (depth = 6)
  gc_frame_newslot(*var_defTok);
// starting to compile string node (depth = 6)
  if (strlit7294 == NULL) {
    strlit7294 = alloc_String("var");
    gc_root(strlit7294);
  }
// compiled string node returning strlit7294 (depth = 6)
  gc_frame_newslot(strlit7294);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_defTok;
  params[1] = strlit7294;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7295 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe7293);
// compiled call node returning call7295 (depth = 5)
// Begin line 2295
  setline(2295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7296 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7297 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7296);
// compiled call node returning call7297 (depth = 5)
// Begin line 2296
  setline(2296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7298 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit7299 == NULL) {
    strlit7299 = alloc_String("A definition must use '=' instead of ':='. A variable declaration uses 'var' and ':='.");
    gc_root(strlit7299);
  }
// compiled string node returning strlit7299 (depth = 6)
  gc_frame_newslot(strlit7299);
// Begin line 2297
  setline(2297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7300 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call7301 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7300);
// compiled call node returning call7301 (depth = 7)
// compiled member node returning call7301 (depth = 6)
  gc_frame_newslot(call7301);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7302 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call7303 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7302);
// compiled call node returning call7303 (depth = 7)
// compiled member node returning call7303 (depth = 6)
  gc_frame_newslot(call7303);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7305 = alloc_Float64(1);
// compiled num node returning num7305 (depth = 7)
  int op_slot_right_7304 = gc_frame_newslot(num7305);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7307 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call7308 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7307);
// compiled call node returning call7308 (depth = 8)
// compiled member node returning call7308 (depth = 7)
  int op_slot_left_7304 = gc_frame_newslot(call7308);
  params[0] = num7305;
  partcv[0] = 1;
  Object sum7309 = callmethod(call7308, "+", 1, partcv, params);
// compiled op node returning sum7309 (depth = 6)
  gc_frame_newslot(sum7309);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 2296
  setline(2296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit7299;
  params[1] = call7301;
  params[2] = call7303;
  params[3] = sum7309;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call7310 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7298);
// compiled call node returning call7310 (depth = 5)
    gc_frame_newslot(call7310);
    if7274 = call7310;
  } else {
// Begin line 2300
  setline(2300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 2299
  setline(2299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 6)
  Object array7311 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array7311 (depth = 6)
  *var_suggestions = array7311;
  if (array7311 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2301
  setline(2301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// Begin line 2300
  setline(2300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7312 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7313 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call7314 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7313);
// compiled call node returning call7314 (depth = 9)
// compiled member node returning call7314 (depth = 8)
  partcv[0] = 0;
  Object call7315 = callmethod(call7314, "new",
    1, partcv, params);
  gc_frame_end(callframe7312);
// compiled call node returning call7315 (depth = 7)
// compiled member node returning call7315 (depth = 6)
  *var_suggestion = call7315;
  if (call7315 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 2301
  setline(2301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7316 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit7317 == NULL) {
    strlit7317 = alloc_String(" = ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7317);
  }
// compiled string node returning strlit7317 (depth = 6)
  gc_frame_newslot(strlit7317);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit7317;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7318 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7316);
// compiled call node returning call7318 (depth = 5)
// Begin line 2302
  setline(2302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7319 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7320 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7319);
// compiled call node returning call7320 (depth = 5)
// Begin line 2304
  setline(2304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2303
  setline(2303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7321 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7322 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call7323 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7322);
// compiled call node returning call7323 (depth = 9)
// compiled member node returning call7323 (depth = 8)
  partcv[0] = 0;
  Object call7324 = callmethod(call7323, "new",
    1, partcv, params);
  gc_frame_end(callframe7321);
// compiled call node returning call7324 (depth = 7)
// compiled member node returning call7324 (depth = 6)
  *var_suggestion = call7324;
  if (call7324 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 2304
  setline(2304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7326 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_defTok (depth = 6)
  gc_frame_newslot(*var_defTok);
// starting to compile string node (depth = 6)
  if (strlit7327 == NULL) {
    strlit7327 = alloc_String("var");
    gc_root(strlit7327);
  }
// compiled string node returning strlit7327 (depth = 6)
  gc_frame_newslot(strlit7327);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_defTok;
  params[1] = strlit7327;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7328 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe7326);
// compiled call node returning call7328 (depth = 5)
// Begin line 2305
  setline(2305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7329 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7330 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7329);
// compiled call node returning call7330 (depth = 5)
// Begin line 2306
  setline(2306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7331 = gc_frame_new();
// Begin line 2307
  setline(2307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7333 == NULL) {
    strlit7333 = alloc_String("A variable declaration does not require a value and uses 'var' instead of 'def'.");
    gc_root(strlit7333);
  }
// compiled string node returning strlit7333 (depth = 7)
  int op_slot_right_7332 = gc_frame_newslot(strlit7333);
// Begin line 2306
  setline(2306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit7335 == NULL) {
    strlit7335 = alloc_String("A definition must have '=' and a value after the name. ");
    gc_root(strlit7335);
  }
// compiled string node returning strlit7335 (depth = 7)
  int op_slot_left_7332 = gc_frame_newslot(strlit7335);
  params[0] = strlit7333;
  partcv[0] = 1;
  Object opresult7336 = callmethod(strlit7335, "++", 1, partcv, params);
// compiled op node returning opresult7336 (depth = 6)
  gc_frame_newslot(opresult7336);
// Begin line 2308
  setline(2308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7337 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call7338 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7337);
// compiled call node returning call7338 (depth = 7)
// compiled member node returning call7338 (depth = 6)
  gc_frame_newslot(call7338);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7339 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call7340 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7339);
// compiled call node returning call7340 (depth = 7)
// compiled member node returning call7340 (depth = 6)
  gc_frame_newslot(call7340);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 2306
  setline(2306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult7336;
  params[1] = call7338;
  params[2] = call7340;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7341 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7331);
// compiled call node returning call7341 (depth = 5)
    gc_frame_newslot(call7341);
    if7274 = call7341;
  }
// compiled if node returning if7274 (depth = 4)
    gc_frame_newslot(if7274);
    if7214 = if7274;
  }
// compiled if node returning if7214 (depth = 3)
// Begin line 2310
  setline(2310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7342 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_name (depth = 5)
  gc_frame_newslot(*var_name);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  gc_frame_newslot(*var_val);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype (depth = 5)
  gc_frame_newslot(*var_dtype);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7343 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call7344 = callmethod(*var_ast, "defDecNode",
    1, partcv, params);
  gc_frame_end(callframe7343);
// compiled call node returning call7344 (depth = 6)
// compiled member node returning call7344 (depth = 5)
  params[0] = *var_name;
  params[1] = *var_val;
  params[2] = *var_dtype;
  partcv[0] = 3;
  Object call7345 = callmethod(call7344, "new",
    1, partcv, params);
  gc_frame_end(callframe7342);
// compiled call node returning call7345 (depth = 4)
  *var_o = call7345;
  if (call7345 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2312
  setline(2312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2311
  setline(2311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool7348 = alloc_Boolean(0);
// compiled identifier node returning bool7348 (depth = 5)
  int op_slot_right_7347 = gc_frame_newslot(bool7348);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  int op_slot_left_7347 = gc_frame_newslot(*var_anns);
  params[0] = bool7348;
  partcv[0] = 1;
  Object opresult7350 = callmethod(*var_anns, "!=", 1, partcv, params);
// compiled op node returning opresult7350 (depth = 4)
  Object if7346 = done;
  if (istrue(opresult7350)) {
// starting to compile call node (depth = 4)
  int callframe7351 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  gc_frame_newslot(*var_anns);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7352 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  partcv[0] = 0;
  Object call7353 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe7352);
// compiled call node returning call7353 (depth = 6)
// compiled member node returning call7353 (depth = 5)
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call7354 = callmethod(call7353, "extend",
    1, partcv, params);
  gc_frame_end(callframe7351);
// compiled call node returning call7354 (depth = 4)
    gc_frame_newslot(call7354);
    if7346 = call7354;
  } else {
  }
// compiled if node returning if7346 (depth = 3)
// Begin line 2312
  setline(2312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7355 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_defaultDefVisibility (depth = 4)
  gc_frame_newslot(*var_defaultDefVisibility);
// starting to compile string node (depth = 4)
  if (strlit7356 == NULL) {
    strlit7356 = alloc_String("confidential");
    gc_root(strlit7356);
  }
// compiled string node returning strlit7356 (depth = 4)
  gc_frame_newslot(strlit7356);
// call case 4: self request
  params[0] = *var_o;
  params[1] = *var_defaultDefVisibility;
  params[2] = strlit7356;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7357 = callmethodflags(self, "adjustVisibilityOf()withSpecialDefault()overriding", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7355);
// compiled call node returning call7357 (depth = 3)
// Begin line 2314
  setline(2314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2311
  setline(2311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7358 = gc_frame_new();
// Begin line 2313
  setline(2313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_defTok (depth = 5)
  gc_frame_newslot(*var_defTok);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  params[0] = *var_defTok;
  partcv[0] = 1;
  Object call7359 = callmethod(*var_o, "startToken:=",
    1, partcv, params);
  gc_frame_end(callframe7358);
// compiled call node returning call7359 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 2314
  setline(2314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7360 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call7361 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe7360);
// compiled call node returning call7361 (depth = 3)
    gc_frame_newslot(call7361);
    if7113 = call7361;
  } else {
  }
// compiled if node returning if7113 (depth = 2)
  gc_frame_end(frame);
  return if7113;
}
Object meth_parser__apply7395(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2328
  setline(2328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7398 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call7399 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7398);
// compiled call node returning call7399 (depth = 10)
// compiled member node returning call7399 (depth = 9)
  int op_slot_right_7397 = gc_frame_newslot(call7399);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7401 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_t (depth = 11)
  partcv[0] = 0;
  Object call7402 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe7401);
// compiled call node returning call7402 (depth = 10)
// compiled member node returning call7402 (depth = 9)
  int op_slot_left_7397 = gc_frame_newslot(call7402);
  params[0] = call7399;
  partcv[0] = 1;
  Object opresult7403 = callmethod(call7402, "==", 1, partcv, params);
// compiled op node returning opresult7403 (depth = 8)
  int op_slot_right_7396 = gc_frame_newslot(opresult7403);
// Begin line 2327
  setline(2327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit7406 == NULL) {
    strlit7406 = alloc_String("bind");
    gc_root(strlit7406);
  }
// compiled string node returning strlit7406 (depth = 9)
  int op_slot_right_7405 = gc_frame_newslot(strlit7406);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7408 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_t (depth = 11)
  partcv[0] = 0;
  Object call7409 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe7408);
// compiled call node returning call7409 (depth = 10)
// compiled member node returning call7409 (depth = 9)
  int op_slot_left_7405 = gc_frame_newslot(call7409);
  params[0] = strlit7406;
  partcv[0] = 1;
  Object opresult7410 = callmethod(call7409, "==", 1, partcv, params);
// compiled op node returning opresult7410 (depth = 8)
  int op_slot_left_7396 = gc_frame_newslot(opresult7410);
  params[0] = opresult7403;
  partcv[0] = 1;
  Object opresult7411 = callmethod(opresult7410, "&&", 1, partcv, params);
// compiled op node returning opresult7411 (depth = 7)
  gc_frame_end(frame);
  return opresult7411;
}
Object meth_parser__apply7417(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_nextToken = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_7418 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextToken (depth = 8)
  int op_slot_left_7418 = gc_frame_newslot(*var_nextToken);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7420 = callmethod(*var_nextToken, "==", 1, partcv, params);
// compiled op node returning opresult7420 (depth = 7)
  gc_frame_end(frame);
  return opresult7420;
}
Object meth_parser__apply7466(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 9)
  int callframe7467 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_blocksOK (depth = 10)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call7468 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7467);
// compiled call node returning call7468 (depth = 9)
  gc_frame_end(frame);
  return call7468;
}
Object meth_parser_vardec7362(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 47, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(16, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "vardec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_blocksOK = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  Object *var_defaultVarVisibility = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for vardec (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for vardec");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "line");
  Object *var_pos = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "pos");
  Object *var_varTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "varTok");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_nextToken = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextToken");
  Object *var_val = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "val");
  Object *var_name = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "name");
  Object *var_dtype = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "dtype");
  Object *var_anns = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "anns");
  Object *var_suggestions = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "suggestions");
  Object *var_nextTok = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "nextTok");
  Object *var_o = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "o");
// Begin line 2382
  setline(2382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2320
  setline(2320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7366 == NULL) {
    strlit7366 = alloc_String("var");
    gc_root(strlit7366);
  }
// compiled string node returning strlit7366 (depth = 5)
  int op_slot_right_7365 = gc_frame_newslot(strlit7366);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7368 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call7369 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7368);
// compiled call node returning call7369 (depth = 6)
// compiled member node returning call7369 (depth = 5)
  int op_slot_left_7365 = gc_frame_newslot(call7369);
  params[0] = strlit7366;
  partcv[0] = 1;
  Object opresult7370 = callmethod(call7369, "==", 1, partcv, params);
// compiled op node returning opresult7370 (depth = 4)
  int op_slot_right_7364 = gc_frame_newslot(opresult7370);
// starting to compile call node (depth = 4)
  int callframe7372 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7373 == NULL) {
    strlit7373 = alloc_String("keyword");
    gc_root(strlit7373);
  }
// compiled string node returning strlit7373 (depth = 5)
  gc_frame_newslot(strlit7373);
// call case 4: self request
  params[0] = strlit7373;
  partcv[0] = 1;
  Object call7374 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7372);
// compiled call node returning call7374 (depth = 4)
  int op_slot_left_7364 = gc_frame_newslot(call7374);
  params[0] = opresult7370;
  partcv[0] = 1;
  Object opresult7375 = callmethod(call7374, "&&", 1, partcv, params);
// compiled op node returning opresult7375 (depth = 3)
  Object if7363 = done;
  if (istrue(opresult7375)) {
// Begin line 2322
  setline(2322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2321
  setline(2321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7376 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call7377 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7376);
// compiled call node returning call7377 (depth = 5)
// compiled member node returning call7377 (depth = 4)
  *var_line = call7377;
  if (call7377 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2323
  setline(2323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2322
  setline(2322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7378 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call7379 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7378);
// compiled call node returning call7379 (depth = 5)
// compiled member node returning call7379 (depth = 4)
  *var_pos = call7379;
  if (call7379 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2324
  setline(2324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2323
  setline(2323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_varTok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2324
  setline(2324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7380 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7381 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7380);
// compiled call node returning call7381 (depth = 4)
// compiled member node returning call7381 (depth = 3)
// Begin line 2337
  setline(2337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2325
  setline(2325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7384 == NULL) {
    strlit7384 = alloc_String("identifier");
    gc_root(strlit7384);
  }
// compiled string node returning strlit7384 (depth = 5)
  int op_slot_right_7383 = gc_frame_newslot(strlit7384);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7386 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call7387 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe7386);
// compiled call node returning call7387 (depth = 6)
// compiled member node returning call7387 (depth = 5)
  int op_slot_left_7383 = gc_frame_newslot(call7387);
  params[0] = strlit7384;
  partcv[0] = 1;
  Object opresult7388 = callmethod(call7387, "!=", 1, partcv, params);
// compiled op node returning opresult7388 (depth = 4)
  Object if7382 = done;
  if (istrue(opresult7388)) {
// Begin line 2327
  setline(2327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 2326
  setline(2326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7389 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7390 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call7391 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7390);
// compiled call node returning call7391 (depth = 8)
// compiled member node returning call7391 (depth = 7)
  partcv[0] = 0;
  Object call7392 = callmethod(call7391, "new",
    1, partcv, params);
  gc_frame_end(callframe7389);
// compiled call node returning call7392 (depth = 6)
// compiled member node returning call7392 (depth = 5)
  *var_suggestion = call7392;
  if (call7392 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 2327
  setline(2327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7393 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block7394 = alloc_Block(NULL, NULL, "parser", 2327);
  gc_frame_newslot(block7394);
// method _apply
  block_savedest(block7394);
  Object closure7395 = createclosure(2, "_apply");
  setclosureframe(closure7395, stackframe);
  addtoclosure(closure7395, var_sym);
  addtoclosure(closure7395, selfslot);
  struct UserObject *uo7395 = (struct UserObject*)block7394;
  uo7395->data[0] = (Object)closure7395;
  Method *meth_meth_parser__apply7395 = addmethod2pos(block7394, "_apply", &meth_parser__apply7395, 0);
  int argcv_meth_parser__apply7395[] = {1};
  meth_meth_parser__apply7395->type = alloc_MethodType(1, argcv_meth_parser__apply7395);
  meth_meth_parser__apply7395->definitionModule = modulename;
  meth_meth_parser__apply7395->definitionLine = 2326;
// compiled block node returning block7394 (depth = 6)
  gc_frame_newslot(block7394);
// call case 4: self request
  params[0] = block7394;
  partcv[0] = 1;
  Object call7413 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7393);
// compiled call node returning call7413 (depth = 5)
  *var_nextToken = call7413;
  if (call7413 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 2334
  setline(2334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2329
  setline(2329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7415 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block7416 = alloc_Block(NULL, NULL, "parser", 2329);
  gc_frame_newslot(block7416);
// method _apply
  block_savedest(block7416);
  Object closure7417 = createclosure(3, "_apply");
  setclosureframe(closure7417, stackframe);
  addtoclosure(closure7417, var_sym);
  addtoclosure(closure7417, var_nextToken);
  addtoclosure(closure7417, selfslot);
  struct UserObject *uo7417 = (struct UserObject*)block7416;
  uo7417->data[0] = (Object)closure7417;
  Method *meth_meth_parser__apply7417 = addmethod2pos(block7416, "_apply", &meth_parser__apply7417, 0);
  int argcv_meth_parser__apply7417[] = {0};
  meth_meth_parser__apply7417->type = alloc_MethodType(1, argcv_meth_parser__apply7417);
  meth_meth_parser__apply7417->definitionModule = modulename;
  meth_meth_parser__apply7417->definitionLine = 2327;
// compiled block node returning block7416 (depth = 6)
  gc_frame_newslot(block7416);
// call case 6: other member request
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool7423 = alloc_Boolean(0);
// compiled identifier node returning bool7423 (depth = 7)
  int op_slot_right_7422 = gc_frame_newslot(bool7423);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextToken (depth = 7)
  int op_slot_left_7422 = gc_frame_newslot(*var_nextToken);
  params[0] = bool7423;
  partcv[0] = 1;
  Object opresult7425 = callmethod(*var_nextToken, "==", 1, partcv, params);
// compiled op node returning opresult7425 (depth = 6)
  params[0] = block7416;
  partcv[0] = 1;
  Object call7426 = callmethod(opresult7425, "orElse",
    1, partcv, params);
  gc_frame_end(callframe7415);
// compiled call node returning call7426 (depth = 5)
  Object if7414 = done;
  if (istrue(call7426)) {
// Begin line 2330
  setline(2330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7427 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit7428 == NULL) {
    strlit7428 = alloc_String(" ""\xc2""""\xab""name""\xc2""""\xbb""");
    gc_root(strlit7428);
  }
// compiled string node returning strlit7428 (depth = 6)
  gc_frame_newslot(strlit7428);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit7428;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7429 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7427);
// compiled call node returning call7429 (depth = 5)
    gc_frame_newslot(call7429);
    if7414 = call7429;
  } else {
// Begin line 2332
  setline(2332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7430 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7431 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextToken (depth = 8)
  partcv[0] = 0;
  Object call7432 = callmethod(*var_nextToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe7431);
// compiled call node returning call7432 (depth = 7)
// compiled member node returning call7432 (depth = 6)
  gc_frame_newslot(call7432);
// starting to compile identifier node (depth = 6)
  Object bool7433 = alloc_Boolean(0);
// compiled identifier node returning bool7433 (depth = 6)
  gc_frame_newslot(bool7433);
// starting to compile identifier node (depth = 6)
  Object bool7434 = alloc_Boolean(1);
// compiled identifier node returning bool7434 (depth = 6)
  gc_frame_newslot(bool7434);
// starting to compile string node (depth = 6)
  if (strlit7435 == NULL) {
    strlit7435 = alloc_String("""\xc2""""\xab""name""\xc2""""\xbb"" ");
    gc_root(strlit7435);
  }
// compiled string node returning strlit7435 (depth = 6)
  gc_frame_newslot(strlit7435);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = call7432;
  params[2] = bool7433;
  params[3] = bool7434;
  params[4] = strlit7435;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7436 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7430);
// compiled call node returning call7436 (depth = 5)
    gc_frame_newslot(call7436);
    if7414 = call7436;
  }
// compiled if node returning if7414 (depth = 4)
// Begin line 2334
  setline(2334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7437 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7438 == NULL) {
    strlit7438 = alloc_String("A variable declaration must have a name after the 'var'.");
    gc_root(strlit7438);
  }
// compiled string node returning strlit7438 (depth = 5)
  gc_frame_newslot(strlit7438);
// Begin line 2335
  setline(2335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7439 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call7440 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7439);
// compiled call node returning call7440 (depth = 6)
// compiled member node returning call7440 (depth = 5)
  gc_frame_newslot(call7440);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7441 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call7442 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7441);
// compiled call node returning call7442 (depth = 6)
// compiled member node returning call7442 (depth = 5)
  gc_frame_newslot(call7442);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2334
  setline(2334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit7438;
  params[1] = call7440;
  params[2] = call7442;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7443 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe7437);
// compiled call node returning call7443 (depth = 4)
    gc_frame_newslot(call7443);
    if7382 = call7443;
  } else {
  }
// compiled if node returning if7382 (depth = 3)
// Begin line 2337
  setline(2337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7444 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7445 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7444);
// compiled call node returning call7445 (depth = 4)
// compiled member node returning call7445 (depth = 3)
// Begin line 2339
  setline(2339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2338
  setline(2338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool7446 = alloc_Boolean(0);
// compiled identifier node returning bool7446 (depth = 4)
  *var_val = bool7446;
  if (bool7446 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2340
  setline(2340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2339
  setline(2339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7447 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call7448 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7447);
// compiled call node returning call7448 (depth = 5)
// compiled member node returning call7448 (depth = 4)
  *var_name = call7448;
  if (call7448 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2341
  setline(2341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2339
  setline(2339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7449 = gc_frame_new();
// Begin line 2340
  setline(2340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool7450 = alloc_Boolean(1);
// compiled identifier node returning bool7450 (depth = 5)
  gc_frame_newslot(bool7450);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_name (depth = 5)
  params[0] = bool7450;
  partcv[0] = 1;
  Object call7451 = callmethod(*var_name, "isBindingOccurrence:=",
    1, partcv, params);
  gc_frame_end(callframe7449);
// compiled call node returning call7451 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 2342
  setline(2342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2341
  setline(2341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7452 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7453 = callmethodflags(self, "optionalTypeAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7452);
// compiled call node returning call7453 (depth = 5)
// compiled member node returning call7453 (depth = 4)
  *var_dtype = call7453;
  if (call7453 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2343
  setline(2343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2342
  setline(2342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7454 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7455 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7454);
// compiled call node returning call7455 (depth = 5)
// compiled member node returning call7455 (depth = 4)
  *var_anns = call7455;
  if (call7455 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2377
  setline(2377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2343
  setline(2343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7457 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7458 == NULL) {
    strlit7458 = alloc_String("bind");
    gc_root(strlit7458);
  }
// compiled string node returning strlit7458 (depth = 5)
  gc_frame_newslot(strlit7458);
// call case 4: self request
  params[0] = strlit7458;
  partcv[0] = 1;
  Object call7459 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7457);
// compiled call node returning call7459 (depth = 4)
  Object if7456 = done;
  if (istrue(call7459)) {
// Begin line 2344
  setline(2344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7460 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7461 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7460);
// compiled call node returning call7461 (depth = 5)
// compiled member node returning call7461 (depth = 4)
// Begin line 2362
  setline(2362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2345
  setline(2345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7463 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 7)
  int callframe7464 = gc_frame_new();
// starting to compile block node (depth = 8)
  Object block7465 = alloc_Block(NULL, NULL, "parser", 2345);
  gc_frame_newslot(block7465);
// method _apply
  block_savedest(block7465);
  Object closure7466 = createclosure(2, "_apply");
  setclosureframe(closure7466, stackframe);
  addtoclosure(closure7466, var_blocksOK);
  addtoclosure(closure7466, selfslot);
  struct UserObject *uo7466 = (struct UserObject*)block7465;
  uo7466->data[0] = (Object)closure7466;
  Method *meth_meth_parser__apply7466 = addmethod2pos(block7465, "_apply", &meth_parser__apply7466, 0);
  int argcv_meth_parser__apply7466[] = {0};
  meth_meth_parser__apply7466->type = alloc_MethodType(1, argcv_meth_parser__apply7466);
  meth_meth_parser__apply7466->definitionModule = modulename;
  meth_meth_parser__apply7466->definitionLine = 2345;
// compiled block node returning block7465 (depth = 8)
  gc_frame_newslot(block7465);
// call case 4: self request
  params[0] = block7465;
  partcv[0] = 1;
  Object call7470 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7464);
// compiled call node returning call7470 (depth = 7)
  partcv[0] = 0;
  Object call7471 = callmethod(call7470, "not",
    1, partcv, params);
  gc_frame_end(callframe7463);
// compiled call node returning call7471 (depth = 6)
// compiled member node returning call7471 (depth = 5)
  Object if7462 = done;
  if (istrue(call7471)) {
// Begin line 2347
  setline(2347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 2346
  setline(2346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 6)
  Object array7472 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array7472 (depth = 6)
  *var_suggestions = array7472;
  if (array7472 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2348
  setline(2348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// Begin line 2347
  setline(2347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7473 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7474 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call7475 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7474);
// compiled call node returning call7475 (depth = 9)
// compiled member node returning call7475 (depth = 8)
  partcv[0] = 0;
  Object call7476 = callmethod(call7475, "new",
    1, partcv, params);
  gc_frame_end(callframe7473);
// compiled call node returning call7476 (depth = 7)
// compiled member node returning call7476 (depth = 6)
  *var_suggestion = call7476;
  if (call7476 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 2348
  setline(2348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7477 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7478 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7477);
// compiled call node returning call7478 (depth = 6)
  *var_nextTok = call7478;
  if (call7478 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2354
  setline(2354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 2349
  setline(2349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_7480 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_7480 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7482 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult7482 (depth = 6)
  Object if7479 = done;
  if (istrue(opresult7482)) {
// Begin line 2350
  setline(2350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7483 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit7484 == NULL) {
    strlit7484 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7484);
  }
// compiled string node returning strlit7484 (depth = 7)
  gc_frame_newslot(strlit7484);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit7484;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7485 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7483);
// compiled call node returning call7485 (depth = 6)
    gc_frame_newslot(call7485);
    if7479 = call7485;
  } else {
// Begin line 2352
  setline(2352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7486 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7487 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  partcv[0] = 0;
  Object call7488 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7487);
// compiled call node returning call7488 (depth = 8)
// compiled member node returning call7488 (depth = 7)
  gc_frame_newslot(call7488);
// starting to compile identifier node (depth = 7)
  Object bool7489 = alloc_Boolean(1);
// compiled identifier node returning bool7489 (depth = 7)
  gc_frame_newslot(bool7489);
// starting to compile identifier node (depth = 7)
  Object bool7490 = alloc_Boolean(0);
// compiled identifier node returning bool7490 (depth = 7)
  gc_frame_newslot(bool7490);
// starting to compile string node (depth = 7)
  if (strlit7491 == NULL) {
    strlit7491 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7491);
  }
// compiled string node returning strlit7491 (depth = 7)
  gc_frame_newslot(strlit7491);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call7488;
  params[2] = bool7489;
  params[3] = bool7490;
  params[4] = strlit7491;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7492 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7486);
// compiled call node returning call7492 (depth = 6)
    gc_frame_newslot(call7492);
    if7479 = call7492;
  }
// compiled if node returning if7479 (depth = 5)
// Begin line 2354
  setline(2354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7493 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7494 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7493);
// compiled call node returning call7494 (depth = 5)
// Begin line 2356
  setline(2356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2355
  setline(2355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7495 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7496 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call7497 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7496);
// compiled call node returning call7497 (depth = 9)
// compiled member node returning call7497 (depth = 8)
  partcv[0] = 0;
  Object call7498 = callmethod(call7497, "new",
    1, partcv, params);
  gc_frame_end(callframe7495);
// compiled call node returning call7498 (depth = 7)
// compiled member node returning call7498 (depth = 6)
  *var_suggestion = call7498;
  if (call7498 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 2356
  setline(2356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7500 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7501 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  partcv[0] = 0;
  Object call7502 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7501);
// compiled call node returning call7502 (depth = 7)
// compiled member node returning call7502 (depth = 6)
  gc_frame_newslot(call7502);
// starting to compile identifier node (depth = 6)
  Object bool7503 = alloc_Boolean(1);
// compiled identifier node returning bool7503 (depth = 6)
  gc_frame_newslot(bool7503);
// starting to compile identifier node (depth = 6)
  Object bool7504 = alloc_Boolean(0);
// compiled identifier node returning bool7504 (depth = 6)
  gc_frame_newslot(bool7504);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_lastToken;
  params[1] = call7502;
  params[2] = bool7503;
  params[3] = bool7504;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7505 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe7500);
// compiled call node returning call7505 (depth = 5)
// Begin line 2357
  setline(2357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7506 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7507 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7506);
// compiled call node returning call7507 (depth = 5)
// Begin line 2358
  setline(2358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7508 = gc_frame_new();
// Begin line 2359
  setline(2359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7510 == NULL) {
    strlit7510 = alloc_String("A variable without a value can be declared with 'var' followed only by the variable name.");
    gc_root(strlit7510);
  }
// compiled string node returning strlit7510 (depth = 7)
  int op_slot_right_7509 = gc_frame_newslot(strlit7510);
// Begin line 2358
  setline(2358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit7512 == NULL) {
    strlit7512 = alloc_String("A variable declaration must have a value after the ':='. ");
    gc_root(strlit7512);
  }
// compiled string node returning strlit7512 (depth = 7)
  int op_slot_left_7509 = gc_frame_newslot(strlit7512);
  params[0] = strlit7510;
  partcv[0] = 1;
  Object opresult7513 = callmethod(strlit7512, "++", 1, partcv, params);
// compiled op node returning opresult7513 (depth = 6)
  gc_frame_newslot(opresult7513);
// Begin line 2360
  setline(2360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7514 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call7515 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7514);
// compiled call node returning call7515 (depth = 7)
// compiled member node returning call7515 (depth = 6)
  gc_frame_newslot(call7515);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7517 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call7518 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe7517);
// compiled call node returning call7518 (depth = 8)
// compiled member node returning call7518 (depth = 7)
  int op_slot_right_7516 = gc_frame_newslot(call7518);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7520 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call7521 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7520);
// compiled call node returning call7521 (depth = 8)
// compiled member node returning call7521 (depth = 7)
  int op_slot_left_7516 = gc_frame_newslot(call7521);
  params[0] = call7518;
  partcv[0] = 1;
  Object sum7522 = callmethod(call7521, "+", 1, partcv, params);
// compiled op node returning sum7522 (depth = 6)
  gc_frame_newslot(sum7522);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 2358
  setline(2358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult7513;
  params[1] = call7515;
  params[2] = sum7522;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7523 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7508);
// compiled call node returning call7523 (depth = 5)
    gc_frame_newslot(call7523);
    if7462 = call7523;
  } else {
  }
// compiled if node returning if7462 (depth = 4)
// Begin line 2363
  setline(2363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2362
  setline(2362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7524 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  partcv[0] = 0;
  Object call7525 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7524);
// compiled call node returning call7525 (depth = 6)
// compiled member node returning call7525 (depth = 5)
  *var_val = call7525;
  if (call7525 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7456 = done;
  } else {
// Begin line 2376
  setline(2376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2364
  setline(2364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7530 == NULL) {
    strlit7530 = alloc_String("=");
    gc_root(strlit7530);
  }
// compiled string node returning strlit7530 (depth = 7)
  int op_slot_right_7529 = gc_frame_newslot(strlit7530);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7532 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call7533 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7532);
// compiled call node returning call7533 (depth = 8)
// compiled member node returning call7533 (depth = 7)
  int op_slot_left_7529 = gc_frame_newslot(call7533);
  params[0] = strlit7530;
  partcv[0] = 1;
  Object opresult7534 = callmethod(call7533, "==", 1, partcv, params);
// compiled op node returning opresult7534 (depth = 6)
  int op_slot_right_7528 = gc_frame_newslot(opresult7534);
// starting to compile call node (depth = 6)
  int callframe7536 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit7537 == NULL) {
    strlit7537 = alloc_String("op");
    gc_root(strlit7537);
  }
// compiled string node returning strlit7537 (depth = 7)
  gc_frame_newslot(strlit7537);
// call case 4: self request
  params[0] = strlit7537;
  partcv[0] = 1;
  Object call7538 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7536);
// compiled call node returning call7538 (depth = 6)
  int op_slot_left_7528 = gc_frame_newslot(call7538);
  params[0] = opresult7534;
  partcv[0] = 1;
  Object opresult7539 = callmethod(call7538, "&&", 1, partcv, params);
// compiled op node returning opresult7539 (depth = 5)
  Object if7527 = done;
  if (istrue(opresult7539)) {
// Begin line 2366
  setline(2366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 2365
  setline(2365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 6)
  Object array7540 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array7540 (depth = 6)
  *var_suggestions = array7540;
  if (array7540 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2367
  setline(2367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// Begin line 2366
  setline(2366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7541 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7542 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call7543 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7542);
// compiled call node returning call7543 (depth = 9)
// compiled member node returning call7543 (depth = 8)
  partcv[0] = 0;
  Object call7544 = callmethod(call7543, "new",
    1, partcv, params);
  gc_frame_end(callframe7541);
// compiled call node returning call7544 (depth = 7)
// compiled member node returning call7544 (depth = 6)
  *var_suggestion = call7544;
  if (call7544 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 2367
  setline(2367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7545 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile string node (depth = 6)
  if (strlit7546 == NULL) {
    strlit7546 = alloc_String(":=");
    gc_root(strlit7546);
  }
// compiled string node returning strlit7546 (depth = 6)
  gc_frame_newslot(strlit7546);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = strlit7546;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7547 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe7545);
// compiled call node returning call7547 (depth = 5)
// Begin line 2368
  setline(2368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7548 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7549 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7548);
// compiled call node returning call7549 (depth = 5)
// Begin line 2370
  setline(2370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2369
  setline(2369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7550 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7551 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call7552 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7551);
// compiled call node returning call7552 (depth = 9)
// compiled member node returning call7552 (depth = 8)
  partcv[0] = 0;
  Object call7553 = callmethod(call7552, "new",
    1, partcv, params);
  gc_frame_end(callframe7550);
// compiled call node returning call7553 (depth = 7)
// compiled member node returning call7553 (depth = 6)
  *var_suggestion = call7553;
  if (call7553 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 2370
  setline(2370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7555 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_varTok (depth = 6)
  gc_frame_newslot(*var_varTok);
// starting to compile string node (depth = 6)
  if (strlit7556 == NULL) {
    strlit7556 = alloc_String("def");
    gc_root(strlit7556);
  }
// compiled string node returning strlit7556 (depth = 6)
  gc_frame_newslot(strlit7556);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_varTok;
  params[1] = strlit7556;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7557 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe7555);
// compiled call node returning call7557 (depth = 5)
// Begin line 2371
  setline(2371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7558 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7559 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7558);
// compiled call node returning call7559 (depth = 5)
// Begin line 2372
  setline(2372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7560 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit7561 == NULL) {
    strlit7561 = alloc_String("A variable declaration must use ':=' instead of '='. A definition uses 'def' and '='.");
    gc_root(strlit7561);
  }
// compiled string node returning strlit7561 (depth = 6)
  gc_frame_newslot(strlit7561);
// Begin line 2373
  setline(2373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7562 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call7563 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7562);
// compiled call node returning call7563 (depth = 7)
// compiled member node returning call7563 (depth = 6)
  gc_frame_newslot(call7563);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7564 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call7565 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7564);
// compiled call node returning call7565 (depth = 7)
// compiled member node returning call7565 (depth = 6)
  gc_frame_newslot(call7565);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7566 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call7567 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7566);
// compiled call node returning call7567 (depth = 7)
// compiled member node returning call7567 (depth = 6)
  gc_frame_newslot(call7567);
// Begin line 2374
  setline(2374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 2372
  setline(2372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit7561;
  params[1] = call7563;
  params[2] = call7565;
  params[3] = call7567;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call7568 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7560);
// compiled call node returning call7568 (depth = 5)
    gc_frame_newslot(call7568);
    if7527 = call7568;
  } else {
  }
// compiled if node returning if7527 (depth = 4)
    gc_frame_newslot(if7527);
    if7456 = if7527;
  }
// compiled if node returning if7456 (depth = 3)
// Begin line 2377
  setline(2377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7569 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_name (depth = 5)
  gc_frame_newslot(*var_name);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  gc_frame_newslot(*var_val);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype (depth = 5)
  gc_frame_newslot(*var_dtype);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7570 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call7571 = callmethod(*var_ast, "varDecNode",
    1, partcv, params);
  gc_frame_end(callframe7570);
// compiled call node returning call7571 (depth = 6)
// compiled member node returning call7571 (depth = 5)
  params[0] = *var_name;
  params[1] = *var_val;
  params[2] = *var_dtype;
  partcv[0] = 3;
  Object call7572 = callmethod(call7571, "new",
    1, partcv, params);
  gc_frame_end(callframe7569);
// compiled call node returning call7572 (depth = 4)
  *var_o = call7572;
  if (call7572 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2379
  setline(2379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2378
  setline(2378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool7575 = alloc_Boolean(0);
// compiled identifier node returning bool7575 (depth = 5)
  int op_slot_right_7574 = gc_frame_newslot(bool7575);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  int op_slot_left_7574 = gc_frame_newslot(*var_anns);
  params[0] = bool7575;
  partcv[0] = 1;
  Object opresult7577 = callmethod(*var_anns, "!=", 1, partcv, params);
// compiled op node returning opresult7577 (depth = 4)
  Object if7573 = done;
  if (istrue(opresult7577)) {
// starting to compile call node (depth = 4)
  int callframe7578 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  gc_frame_newslot(*var_anns);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7579 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  partcv[0] = 0;
  Object call7580 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe7579);
// compiled call node returning call7580 (depth = 6)
// compiled member node returning call7580 (depth = 5)
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call7581 = callmethod(call7580, "extend",
    1, partcv, params);
  gc_frame_end(callframe7578);
// compiled call node returning call7581 (depth = 4)
    gc_frame_newslot(call7581);
    if7573 = call7581;
  } else {
  }
// compiled if node returning if7573 (depth = 3)
// Begin line 2379
  setline(2379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7582 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_defaultVarVisibility (depth = 4)
  gc_frame_newslot(*var_defaultVarVisibility);
// starting to compile string node (depth = 4)
  if (strlit7583 == NULL) {
    strlit7583 = alloc_String("confidential");
    gc_root(strlit7583);
  }
// compiled string node returning strlit7583 (depth = 4)
  gc_frame_newslot(strlit7583);
// call case 4: self request
  params[0] = *var_o;
  params[1] = *var_defaultVarVisibility;
  params[2] = strlit7583;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7584 = callmethodflags(self, "adjustVisibilityOf()withSpecialDefault()overriding", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7582);
// compiled call node returning call7584 (depth = 3)
// Begin line 2380
  setline(2380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7585 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call7586 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe7585);
// compiled call node returning call7586 (depth = 3)
    gc_frame_newslot(call7586);
    if7363 = call7586;
  } else {
  }
// compiled if node returning if7363 (depth = 2)
  gc_frame_end(frame);
  return if7363;
}
Object meth_parser__apply7597(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 5)
  int callframe7598 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blocksOK (depth = 6)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call7599 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7598);
// compiled call node returning call7599 (depth = 5)
  gc_frame_end(frame);
  return call7599;
}
Object meth_parser__apply7605(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe7606 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit7607 == NULL) {
    strlit7607 = alloc_String("comma");
    gc_root(strlit7607);
  }
// compiled string node returning strlit7607 (depth = 8)
  gc_frame_newslot(strlit7607);
// call case 4: self request
  params[0] = strlit7607;
  partcv[0] = 1;
  Object call7608 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7606);
// compiled call node returning call7608 (depth = 7)
  gc_frame_end(frame);
  return call7608;
}
Object meth_parser__apply7623(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 12)
  int callframe7624 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_blocksOK (depth = 13)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call7625 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7624);
// compiled call node returning call7625 (depth = 12)
  gc_frame_end(frame);
  return call7625;
}
Object meth_parser__apply7611(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_tmp = getfromclosure(closure, 1);
  Object *var_params = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_sym = getfromclosure(closure, 5);
  Object *var_lastToken = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// Begin line 2393
  setline(2393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 2392
  setline(2392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7612 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  partcv[0] = 0;
  Object call7613 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7612);
// compiled call node returning call7613 (depth = 9)
// compiled member node returning call7613 (depth = 8)
  *var_tmp = call7613;
  if (call7613 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 2393
  setline(2393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe7615 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tmp (depth = 8)
  gc_frame_newslot(*var_tmp);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_params (depth = 8)
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call7616 = callmethod(*var_params, "push",
    1, partcv, params);
  gc_frame_end(callframe7615);
// compiled call node returning call7616 (depth = 7)
// Begin line 2394
  setline(2394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7617 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7618 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7617);
// compiled call node returning call7618 (depth = 8)
// compiled member node returning call7618 (depth = 7)
// Begin line 2411
  setline(2411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 2395
  setline(2395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7620 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 10)
  int callframe7621 = gc_frame_new();
// starting to compile block node (depth = 11)
  Object block7622 = alloc_Block(NULL, NULL, "parser", 2395);
  gc_frame_newslot(block7622);
// method _apply
  block_savedest(block7622);
  Object closure7623 = createclosure(2, "_apply");
  setclosureframe(closure7623, stackframe);
  addtoclosure(closure7623, var_blocksOK);
  addtoclosure(closure7623, selfslot);
  struct UserObject *uo7623 = (struct UserObject*)block7622;
  uo7623->data[0] = (Object)closure7623;
  Method *meth_meth_parser__apply7623 = addmethod2pos(block7622, "_apply", &meth_parser__apply7623, 0);
  int argcv_meth_parser__apply7623[] = {0};
  meth_meth_parser__apply7623->type = alloc_MethodType(1, argcv_meth_parser__apply7623);
  meth_meth_parser__apply7623->definitionModule = modulename;
  meth_meth_parser__apply7623->definitionLine = 2395;
// compiled block node returning block7622 (depth = 11)
  gc_frame_newslot(block7622);
// call case 4: self request
  params[0] = block7622;
  partcv[0] = 1;
  Object call7627 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7621);
// compiled call node returning call7627 (depth = 10)
  partcv[0] = 0;
  Object call7628 = callmethod(call7627, "not",
    1, partcv, params);
  gc_frame_end(callframe7620);
// compiled call node returning call7628 (depth = 9)
// compiled member node returning call7628 (depth = 8)
  Object if7619 = done;
  if (istrue(call7628)) {
// Begin line 2397
  setline(2397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// Begin line 2396
  setline(2396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 9)
  Object array7629 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array7629 (depth = 9)
  *var_suggestions = array7629;
  if (array7629 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 2398
  setline(2398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// Begin line 2397
  setline(2397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7630 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe7631 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call7632 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7631);
// compiled call node returning call7632 (depth = 12)
// compiled member node returning call7632 (depth = 11)
  partcv[0] = 0;
  Object call7633 = callmethod(call7632, "new",
    1, partcv, params);
  gc_frame_end(callframe7630);
// compiled call node returning call7633 (depth = 10)
// compiled member node returning call7633 (depth = 9)
  *var_suggestion = call7633;
  if (call7633 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 2398
  setline(2398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7634 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit7635 == NULL) {
    strlit7635 = alloc_String("rsquare");
    gc_root(strlit7635);
  }
// compiled string node returning strlit7635 (depth = 10)
  gc_frame_newslot(strlit7635);
// call case 4: self request
  params[0] = strlit7635;
  partcv[0] = 1;
  Object call7636 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7634);
// compiled call node returning call7636 (depth = 9)
  *var_nextTok = call7636;
  if (call7636 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 2404
  setline(2404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 2399
  setline(2399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  int op_slot_right_7638 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  int op_slot_left_7638 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7640 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult7640 (depth = 9)
  Object if7637 = done;
  if (istrue(opresult7640)) {
// Begin line 2400
  setline(2400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe7641 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit7642 == NULL) {
    strlit7642 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7642);
  }
// compiled string node returning strlit7642 (depth = 10)
  gc_frame_newslot(strlit7642);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit7642;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7643 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7641);
// compiled call node returning call7643 (depth = 9)
    gc_frame_newslot(call7643);
    if7637 = call7643;
  } else {
// Begin line 2402
  setline(2402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe7644 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe7645 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_nextTok (depth = 12)
  partcv[0] = 0;
  Object call7646 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7645);
// compiled call node returning call7646 (depth = 11)
// compiled member node returning call7646 (depth = 10)
  gc_frame_newslot(call7646);
// starting to compile identifier node (depth = 10)
  Object bool7647 = alloc_Boolean(1);
// compiled identifier node returning bool7647 (depth = 10)
  gc_frame_newslot(bool7647);
// starting to compile identifier node (depth = 10)
  Object bool7648 = alloc_Boolean(0);
// compiled identifier node returning bool7648 (depth = 10)
  gc_frame_newslot(bool7648);
// starting to compile string node (depth = 10)
  if (strlit7649 == NULL) {
    strlit7649 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7649);
  }
// compiled string node returning strlit7649 (depth = 10)
  gc_frame_newslot(strlit7649);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  params[1] = call7646;
  params[2] = bool7647;
  params[3] = bool7648;
  params[4] = strlit7649;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7650 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7644);
// compiled call node returning call7650 (depth = 9)
    gc_frame_newslot(call7650);
    if7637 = call7650;
  }
// compiled if node returning if7637 (depth = 8)
// Begin line 2404
  setline(2404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe7651 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7652 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7651);
// compiled call node returning call7652 (depth = 8)
// Begin line 2406
  setline(2406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 2405
  setline(2405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7653 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe7654 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call7655 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7654);
// compiled call node returning call7655 (depth = 12)
// compiled member node returning call7655 (depth = 11)
  partcv[0] = 0;
  Object call7656 = callmethod(call7655, "new",
    1, partcv, params);
  gc_frame_end(callframe7653);
// compiled call node returning call7656 (depth = 10)
// compiled member node returning call7656 (depth = 9)
  *var_suggestion = call7656;
  if (call7656 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 2406
  setline(2406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe7658 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7659 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  partcv[0] = 0;
  Object call7660 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7659);
// compiled call node returning call7660 (depth = 10)
// compiled member node returning call7660 (depth = 9)
  gc_frame_newslot(call7660);
// starting to compile identifier node (depth = 9)
  Object bool7661 = alloc_Boolean(1);
// compiled identifier node returning bool7661 (depth = 9)
  gc_frame_newslot(bool7661);
// starting to compile identifier node (depth = 9)
  Object bool7662 = alloc_Boolean(0);
// compiled identifier node returning bool7662 (depth = 9)
  gc_frame_newslot(bool7662);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_lastToken;
  params[1] = call7660;
  params[2] = bool7661;
  params[3] = bool7662;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7663 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe7658);
// compiled call node returning call7663 (depth = 8)
// Begin line 2407
  setline(2407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe7664 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7665 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7664);
// compiled call node returning call7665 (depth = 8)
// Begin line 2408
  setline(2408);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe7666 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit7667 == NULL) {
    strlit7667 = alloc_String("A list must contain zero or more valid expressions separated by commas.");
    gc_root(strlit7667);
  }
// compiled string node returning strlit7667 (depth = 9)
  gc_frame_newslot(strlit7667);
// Begin line 2409
  setline(2409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7668 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call7669 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7668);
// compiled call node returning call7669 (depth = 10)
// compiled member node returning call7669 (depth = 9)
  gc_frame_newslot(call7669);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7670 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call7671 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7670);
// compiled call node returning call7671 (depth = 10)
// compiled member node returning call7671 (depth = 9)
  gc_frame_newslot(call7671);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 2408
  setline(2408);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit7667;
  params[1] = call7669;
  params[2] = call7671;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7672 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7666);
// compiled call node returning call7672 (depth = 8)
    gc_frame_newslot(call7672);
    if7619 = call7672;
  } else {
  }
// compiled if node returning if7619 (depth = 7)
  gc_frame_end(frame);
  return if7619;
}
Object meth_parser__apply7602(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_tmp = getfromclosure(closure, 1);
  Object *var_params = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_sym = getfromclosure(closure, 5);
  Object *var_lastToken = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2391
  setline(2391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7603 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block7604 = alloc_Block(NULL, NULL, "parser", 2391);
  gc_frame_newslot(block7604);
// method _apply
  block_savedest(block7604);
  Object closure7605 = createclosure(1, "_apply");
  setclosureframe(closure7605, stackframe);
  addtoclosure(closure7605, selfslot);
  struct UserObject *uo7605 = (struct UserObject*)block7604;
  uo7605->data[0] = (Object)closure7605;
  Method *meth_meth_parser__apply7605 = addmethod2pos(block7604, "_apply", &meth_parser__apply7605, 0);
  int argcv_meth_parser__apply7605[] = {0};
  meth_meth_parser__apply7605->type = alloc_MethodType(1, argcv_meth_parser__apply7605);
  meth_meth_parser__apply7605->definitionModule = modulename;
  meth_meth_parser__apply7605->definitionLine = 2387;
// compiled block node returning block7604 (depth = 6)
  gc_frame_newslot(block7604);
// starting to compile block node (depth = 6)
  Object block7610 = alloc_Block(NULL, NULL, "parser", 2391);
  gc_frame_newslot(block7610);
// method _apply
  block_savedest(block7610);
  Object closure7611 = createclosure(8, "_apply");
  setclosureframe(closure7611, stackframe);
  addtoclosure(closure7611, var_values);
  addtoclosure(closure7611, var_tmp);
  addtoclosure(closure7611, var_params);
  addtoclosure(closure7611, var_blocksOK);
  addtoclosure(closure7611, var_errormessages);
  addtoclosure(closure7611, var_sym);
  addtoclosure(closure7611, var_lastToken);
  addtoclosure(closure7611, selfslot);
  struct UserObject *uo7611 = (struct UserObject*)block7610;
  uo7611->data[0] = (Object)closure7611;
  Method *meth_meth_parser__apply7611 = addmethod2pos(block7610, "_apply", &meth_parser__apply7611, 0);
  int argcv_meth_parser__apply7611[] = {0};
  meth_meth_parser__apply7611->type = alloc_MethodType(1, argcv_meth_parser__apply7611);
  meth_meth_parser__apply7611->definitionModule = modulename;
  meth_meth_parser__apply7611->definitionLine = 2387;
// compiled block node returning block7610 (depth = 6)
  gc_frame_newslot(block7610);
// call case 5: prelude request
  params[0] = block7604;
  params[1] = block7610;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7674 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7603);
// compiled call node returning call7674 (depth = 5)
// Begin line 2413
  setline(2413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2412
  setline(2412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7675 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call7676 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7675);
// compiled call node returning call7676 (depth = 7)
// compiled member node returning call7676 (depth = 6)
  *var_tmp = call7676;
  if (call7676 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 2413
  setline(2413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7678 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tmp (depth = 6)
  gc_frame_newslot(*var_tmp);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_params (depth = 6)
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call7679 = callmethod(*var_params, "push",
    1, partcv, params);
  gc_frame_end(callframe7678);
// compiled call node returning call7679 (depth = 5)
  gc_frame_end(frame);
  return call7679;
}
Object meth_parser_doarray7587(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 48, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doarray");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doarray (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for doarray");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_tmp = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "tmp");
  Object *var_params = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "params");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_o = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "o");
// Begin line 2425
  setline(2425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2386
  setline(2386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7589 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit7590 == NULL) {
    strlit7590 = alloc_String("lsquare");
    gc_root(strlit7590);
  }
// compiled string node returning strlit7590 (depth = 4)
  gc_frame_newslot(strlit7590);
// call case 4: self request
  params[0] = strlit7590;
  partcv[0] = 1;
  Object call7591 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7589);
// compiled call node returning call7591 (depth = 3)
  Object if7588 = done;
  if (istrue(call7591)) {
// Begin line 2387
  setline(2387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7592 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7593 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7592);
// compiled call node returning call7593 (depth = 4)
// compiled member node returning call7593 (depth = 3)
// Begin line 2389
  setline(2389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_tmp = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 2390
  setline(2390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2389
  setline(2389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array7594 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array7594 (depth = 4)
  *var_params = array7594;
  if (array7594 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2390
  setline(2390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7595 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block7596 = alloc_Block(NULL, NULL, "parser", 2390);
  gc_frame_newslot(block7596);
// method _apply
  block_savedest(block7596);
  Object closure7597 = createclosure(2, "_apply");
  setclosureframe(closure7597, stackframe);
  addtoclosure(closure7597, var_blocksOK);
  addtoclosure(closure7597, selfslot);
  struct UserObject *uo7597 = (struct UserObject*)block7596;
  uo7597->data[0] = (Object)closure7597;
  Method *meth_meth_parser__apply7597 = addmethod2pos(block7596, "_apply", &meth_parser__apply7597, 0);
  int argcv_meth_parser__apply7597[] = {0};
  meth_meth_parser__apply7597->type = alloc_MethodType(1, argcv_meth_parser__apply7597);
  meth_meth_parser__apply7597->definitionModule = modulename;
  meth_meth_parser__apply7597->definitionLine = 2387;
// compiled block node returning block7596 (depth = 4)
  gc_frame_newslot(block7596);
// starting to compile block node (depth = 4)
  Object block7601 = alloc_Block(NULL, NULL, "parser", 2390);
  gc_frame_newslot(block7601);
// method _apply
  block_savedest(block7601);
  Object closure7602 = createclosure(8, "_apply");
  setclosureframe(closure7602, stackframe);
  addtoclosure(closure7602, var_values);
  addtoclosure(closure7602, var_tmp);
  addtoclosure(closure7602, var_params);
  addtoclosure(closure7602, var_blocksOK);
  addtoclosure(closure7602, var_errormessages);
  addtoclosure(closure7602, var_sym);
  addtoclosure(closure7602, var_lastToken);
  addtoclosure(closure7602, selfslot);
  struct UserObject *uo7602 = (struct UserObject*)block7601;
  uo7602->data[0] = (Object)closure7602;
  Method *meth_meth_parser__apply7602 = addmethod2pos(block7601, "_apply", &meth_parser__apply7602, 0);
  int argcv_meth_parser__apply7602[] = {0};
  meth_meth_parser__apply7602->type = alloc_MethodType(1, argcv_meth_parser__apply7602);
  meth_meth_parser__apply7602->definitionModule = modulename;
  meth_meth_parser__apply7602->definitionLine = 2387;
// compiled block node returning block7601 (depth = 4)
  gc_frame_newslot(block7601);
// call case 4: self request
  params[0] = block7596;
  params[1] = block7601;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7681 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7595);
// compiled call node returning call7681 (depth = 3)
// Begin line 2421
  setline(2421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2415
  setline(2415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7684 == NULL) {
    strlit7684 = alloc_String("rsquare");
    gc_root(strlit7684);
  }
// compiled string node returning strlit7684 (depth = 5)
  int op_slot_right_7683 = gc_frame_newslot(strlit7684);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7686 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call7687 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe7686);
// compiled call node returning call7687 (depth = 6)
// compiled member node returning call7687 (depth = 5)
  int op_slot_left_7683 = gc_frame_newslot(call7687);
  params[0] = strlit7684;
  partcv[0] = 1;
  Object opresult7688 = callmethod(call7687, "!=", 1, partcv, params);
// compiled op node returning opresult7688 (depth = 4)
  Object if7682 = done;
  if (istrue(opresult7688)) {
// Begin line 2417
  setline(2417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 2416
  setline(2416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7689 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7690 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call7691 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7690);
// compiled call node returning call7691 (depth = 8)
// compiled member node returning call7691 (depth = 7)
  partcv[0] = 0;
  Object call7692 = callmethod(call7691, "new",
    1, partcv, params);
  gc_frame_end(callframe7689);
// compiled call node returning call7692 (depth = 6)
// compiled member node returning call7692 (depth = 5)
  *var_suggestion = call7692;
  if (call7692 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 2417
  setline(2417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7693 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7694 == NULL) {
    strlit7694 = alloc_String("]");
    gc_root(strlit7694);
  }
// compiled string node returning strlit7694 (depth = 5)
  gc_frame_newslot(strlit7694);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit7694;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7695 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7693);
// compiled call node returning call7695 (depth = 4)
// Begin line 2418
  setline(2418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7696 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7697 == NULL) {
    strlit7697 = alloc_String("A list beginning with a '[' must end with a ']'.");
    gc_root(strlit7697);
  }
// compiled string node returning strlit7697 (depth = 5)
  gc_frame_newslot(strlit7697);
// Begin line 2419
  setline(2419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7698 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call7699 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7698);
// compiled call node returning call7699 (depth = 6)
// compiled member node returning call7699 (depth = 5)
  gc_frame_newslot(call7699);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7701 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call7702 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe7701);
// compiled call node returning call7702 (depth = 7)
// compiled member node returning call7702 (depth = 6)
  int op_slot_right_7700 = gc_frame_newslot(call7702);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7704 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call7705 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7704);
// compiled call node returning call7705 (depth = 7)
// compiled member node returning call7705 (depth = 6)
  int op_slot_left_7700 = gc_frame_newslot(call7705);
  params[0] = call7702;
  partcv[0] = 1;
  Object sum7706 = callmethod(call7705, "+", 1, partcv, params);
// compiled op node returning sum7706 (depth = 5)
  gc_frame_newslot(sum7706);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2418
  setline(2418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit7697;
  params[1] = call7699;
  params[2] = sum7706;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7707 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe7696);
// compiled call node returning call7707 (depth = 4)
    gc_frame_newslot(call7707);
    if7682 = call7707;
  } else {
  }
// compiled if node returning if7682 (depth = 3)
// Begin line 2421
  setline(2421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7708 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_params (depth = 5)
  gc_frame_newslot(*var_params);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7709 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call7710 = callmethod(*var_ast, "arrayNode",
    1, partcv, params);
  gc_frame_end(callframe7709);
// compiled call node returning call7710 (depth = 6)
// compiled member node returning call7710 (depth = 5)
  params[0] = *var_params;
  partcv[0] = 1;
  Object call7711 = callmethod(call7710, "new",
    1, partcv, params);
  gc_frame_end(callframe7708);
// compiled call node returning call7711 (depth = 4)
  *var_o = call7711;
  if (call7711 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2422
  setline(2422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7712 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call7713 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe7712);
// compiled call node returning call7713 (depth = 3)
// Begin line 2423
  setline(2423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7714 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7715 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7714);
// compiled call node returning call7715 (depth = 4)
// compiled member node returning call7715 (depth = 3)
    gc_frame_newslot(call7715);
    if7588 = call7715;
  } else {
  }
// compiled if node returning if7588 (depth = 2)
  gc_frame_end(frame);
  return if7588;
}
Object meth_parser_dodialect7716(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 49, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dodialect");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dodialect (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for dodialect");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_errorPos = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "errorPos");
// Begin line 2447
  setline(2447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2429
  setline(2429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7720 == NULL) {
    strlit7720 = alloc_String("dialect");
    gc_root(strlit7720);
  }
// compiled string node returning strlit7720 (depth = 5)
  int op_slot_right_7719 = gc_frame_newslot(strlit7720);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7722 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call7723 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7722);
// compiled call node returning call7723 (depth = 6)
// compiled member node returning call7723 (depth = 5)
  int op_slot_left_7719 = gc_frame_newslot(call7723);
  params[0] = strlit7720;
  partcv[0] = 1;
  Object opresult7724 = callmethod(call7723, "==", 1, partcv, params);
// compiled op node returning opresult7724 (depth = 4)
  int op_slot_right_7718 = gc_frame_newslot(opresult7724);
// starting to compile call node (depth = 4)
  int callframe7726 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7727 == NULL) {
    strlit7727 = alloc_String("keyword");
    gc_root(strlit7727);
  }
// compiled string node returning strlit7727 (depth = 5)
  gc_frame_newslot(strlit7727);
// call case 4: self request
  params[0] = strlit7727;
  partcv[0] = 1;
  Object call7728 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7726);
// compiled call node returning call7728 (depth = 4)
  int op_slot_left_7718 = gc_frame_newslot(call7728);
  params[0] = opresult7724;
  partcv[0] = 1;
  Object opresult7729 = callmethod(call7728, "&&", 1, partcv, params);
// compiled op node returning opresult7729 (depth = 3)
  Object if7717 = done;
  if (istrue(opresult7729)) {
// Begin line 2430
  setline(2430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7730 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7731 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7730);
// compiled call node returning call7731 (depth = 4)
// compiled member node returning call7731 (depth = 3)
// Begin line 2444
  setline(2444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2431
  setline(2431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7734 == NULL) {
    strlit7734 = alloc_String("string");
    gc_root(strlit7734);
  }
// compiled string node returning strlit7734 (depth = 5)
  int op_slot_right_7733 = gc_frame_newslot(strlit7734);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7736 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call7737 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe7736);
// compiled call node returning call7737 (depth = 6)
// compiled member node returning call7737 (depth = 5)
  int op_slot_left_7733 = gc_frame_newslot(call7737);
  params[0] = strlit7734;
  partcv[0] = 1;
  Object opresult7738 = callmethod(call7737, "!=", 1, partcv, params);
// compiled op node returning opresult7738 (depth = 4)
  Object if7732 = done;
  if (istrue(opresult7738)) {
// Begin line 2433
  setline(2433);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 2432
  setline(2432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7739 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7740 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call7741 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7740);
// compiled call node returning call7741 (depth = 8)
// compiled member node returning call7741 (depth = 7)
  partcv[0] = 0;
  Object call7742 = callmethod(call7741, "new",
    1, partcv, params);
  gc_frame_end(callframe7739);
// compiled call node returning call7742 (depth = 6)
// compiled member node returning call7742 (depth = 5)
  *var_suggestion = call7742;
  if (call7742 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 2434
  setline(2434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
  *var_errorPos = undefined;
// compiled vardec node returning done (depth = 4)
// Begin line 2441
  setline(2441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2434
  setline(2434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7746 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call7747 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7746);
// compiled call node returning call7747 (depth = 8)
// compiled member node returning call7747 (depth = 7)
  int op_slot_right_7745 = gc_frame_newslot(call7747);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7749 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call7750 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7749);
// compiled call node returning call7750 (depth = 8)
// compiled member node returning call7750 (depth = 7)
  int op_slot_left_7745 = gc_frame_newslot(call7750);
  params[0] = call7747;
  partcv[0] = 1;
  Object opresult7751 = callmethod(call7750, "==", 1, partcv, params);
// compiled op node returning opresult7751 (depth = 6)
  int op_slot_right_7744 = gc_frame_newslot(opresult7751);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7754 == NULL) {
    strlit7754 = alloc_String("identifier");
    gc_root(strlit7754);
  }
// compiled string node returning strlit7754 (depth = 7)
  int op_slot_right_7753 = gc_frame_newslot(strlit7754);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7756 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call7757 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe7756);
// compiled call node returning call7757 (depth = 8)
// compiled member node returning call7757 (depth = 7)
  int op_slot_left_7753 = gc_frame_newslot(call7757);
  params[0] = strlit7754;
  partcv[0] = 1;
  Object opresult7758 = callmethod(call7757, "==", 1, partcv, params);
// compiled op node returning opresult7758 (depth = 6)
  int op_slot_left_7744 = gc_frame_newslot(opresult7758);
  params[0] = opresult7751;
  partcv[0] = 1;
  Object opresult7759 = callmethod(opresult7758, "&&", 1, partcv, params);
// compiled op node returning opresult7759 (depth = 5)
  Object if7743 = done;
  if (istrue(opresult7759)) {
// Begin line 2435
  setline(2435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7760 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7762 == NULL) {
    strlit7762 = alloc_String("""\x22""");
    gc_root(strlit7762);
  }
// compiled string node returning strlit7762 (depth = 7)
  int op_slot_right_7761 = gc_frame_newslot(strlit7762);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7765 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call7766 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7765);
// compiled call node returning call7766 (depth = 9)
// compiled member node returning call7766 (depth = 8)
  int op_slot_right_7764 = gc_frame_newslot(call7766);
// starting to compile string node (depth = 8)
  if (strlit7768 == NULL) {
    strlit7768 = alloc_String("""\x22""");
    gc_root(strlit7768);
  }
// compiled string node returning strlit7768 (depth = 8)
  int op_slot_left_7764 = gc_frame_newslot(strlit7768);
  params[0] = call7766;
  partcv[0] = 1;
  Object opresult7769 = callmethod(strlit7768, "++", 1, partcv, params);
// compiled op node returning opresult7769 (depth = 7)
  int op_slot_left_7761 = gc_frame_newslot(opresult7769);
  params[0] = strlit7762;
  partcv[0] = 1;
  Object opresult7770 = callmethod(opresult7769, "++", 1, partcv, params);
// compiled op node returning opresult7770 (depth = 6)
  gc_frame_newslot(opresult7770);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = opresult7770;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7771 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe7760);
// compiled call node returning call7771 (depth = 5)
// Begin line 2437
  setline(2437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2436
  setline(2436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7772 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call7773 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7772);
// compiled call node returning call7773 (depth = 7)
// compiled member node returning call7773 (depth = 6)
  *var_errorPos = call7773;
  if (call7773 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if7743 = done;
  } else {
// Begin line 2438
  setline(2438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7775 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit7776 == NULL) {
    strlit7776 = alloc_String(" ""\x22""""\xc2""""\xab""dialect name""\xc2""""\xbb""""\x22""");
    gc_root(strlit7776);
  }
// compiled string node returning strlit7776 (depth = 6)
  gc_frame_newslot(strlit7776);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit7776;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7777 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7775);
// compiled call node returning call7777 (depth = 5)
// Begin line 2440
  setline(2440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 2439
  setline(2439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num7779 = alloc_Float64(1);
// compiled num node returning num7779 (depth = 7)
  int op_slot_right_7778 = gc_frame_newslot(num7779);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7782 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call7783 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe7782);
// compiled call node returning call7783 (depth = 9)
// compiled member node returning call7783 (depth = 8)
  int op_slot_right_7781 = gc_frame_newslot(call7783);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7785 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call7786 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7785);
// compiled call node returning call7786 (depth = 9)
// compiled member node returning call7786 (depth = 8)
  int op_slot_left_7781 = gc_frame_newslot(call7786);
  params[0] = call7783;
  partcv[0] = 1;
  Object sum7787 = callmethod(call7786, "+", 1, partcv, params);
// compiled op node returning sum7787 (depth = 7)
  int op_slot_left_7778 = gc_frame_newslot(sum7787);
  params[0] = num7779;
  partcv[0] = 1;
  Object sum7788 = callmethod(sum7787, "+", 1, partcv, params);
// compiled op node returning sum7788 (depth = 6)
  *var_errorPos = sum7788;
  if (sum7788 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if7743 = done;
  }
// compiled if node returning if7743 (depth = 4)
// Begin line 2441
  setline(2441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7790 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7791 == NULL) {
    strlit7791 = alloc_String("A dialect statement must have the name of the dialect in quotes after the 'dialect'.");
    gc_root(strlit7791);
  }
// compiled string node returning strlit7791 (depth = 5)
  gc_frame_newslot(strlit7791);
// Begin line 2442
  setline(2442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7792 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call7793 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7792);
// compiled call node returning call7793 (depth = 6)
// compiled member node returning call7793 (depth = 5)
  gc_frame_newslot(call7793);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errorPos (depth = 5)
  gc_frame_newslot(*var_errorPos);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2441
  setline(2441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit7791;
  params[1] = call7793;
  params[2] = *var_errorPos;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7794 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe7790);
// compiled call node returning call7794 (depth = 4)
    gc_frame_newslot(call7794);
    if7732 = call7794;
  } else {
  }
// compiled if node returning if7732 (depth = 3)
// Begin line 2444
  setline(2444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7795 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7796 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7797 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call7798 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7797);
// compiled call node returning call7798 (depth = 6)
// compiled member node returning call7798 (depth = 5)
  gc_frame_newslot(call7798);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7799 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call7800 = callmethod(*var_ast, "dialectNode",
    1, partcv, params);
  gc_frame_end(callframe7799);
// compiled call node returning call7800 (depth = 6)
// compiled member node returning call7800 (depth = 5)
  params[0] = call7798;
  partcv[0] = 1;
  Object call7801 = callmethod(call7800, "new",
    1, partcv, params);
  gc_frame_end(callframe7796);
// compiled call node returning call7801 (depth = 4)
  gc_frame_newslot(call7801);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = call7801;
  partcv[0] = 1;
  Object call7802 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe7795);
// compiled call node returning call7802 (depth = 3)
// Begin line 2445
  setline(2445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7803 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7804 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7803);
// compiled call node returning call7804 (depth = 4)
// compiled member node returning call7804 (depth = 3)
    gc_frame_newslot(call7804);
    if7717 = call7804;
  } else {
  }
// compiled if node returning if7717 (depth = 2)
  gc_frame_end(frame);
  return if7717;
}
Object meth_parser__apply7827(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_noBlocks = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe7828 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_noBlocks (depth = 9)
  gc_frame_newslot(*var_noBlocks);
// call case 4: self request
  params[0] = *var_noBlocks;
  partcv[0] = 1;
  Object call7829 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7828);
// compiled call node returning call7829 (depth = 8)
  gc_frame_end(frame);
  return call7829;
}
Object meth_parser_inheritsdec7805(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 50, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "inheritsdec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_noBlocks = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_util = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_ast = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for inheritsdec (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for inheritsdec");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_inhNode = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "inhNode");
// Begin line 2475
  setline(2475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2451
  setline(2451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7809 == NULL) {
    strlit7809 = alloc_String("inherits");
    gc_root(strlit7809);
  }
// compiled string node returning strlit7809 (depth = 5)
  int op_slot_right_7808 = gc_frame_newslot(strlit7809);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7811 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call7812 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7811);
// compiled call node returning call7812 (depth = 6)
// compiled member node returning call7812 (depth = 5)
  int op_slot_left_7808 = gc_frame_newslot(call7812);
  params[0] = strlit7809;
  partcv[0] = 1;
  Object opresult7813 = callmethod(call7812, "==", 1, partcv, params);
// compiled op node returning opresult7813 (depth = 4)
  int op_slot_right_7807 = gc_frame_newslot(opresult7813);
// starting to compile call node (depth = 4)
  int callframe7815 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7816 == NULL) {
    strlit7816 = alloc_String("keyword");
    gc_root(strlit7816);
  }
// compiled string node returning strlit7816 (depth = 5)
  gc_frame_newslot(strlit7816);
// call case 4: self request
  params[0] = strlit7816;
  partcv[0] = 1;
  Object call7817 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7815);
// compiled call node returning call7817 (depth = 4)
  int op_slot_left_7807 = gc_frame_newslot(call7817);
  params[0] = opresult7813;
  partcv[0] = 1;
  Object opresult7818 = callmethod(call7817, "&&", 1, partcv, params);
// compiled op node returning opresult7818 (depth = 3)
  Object if7806 = done;
  if (istrue(opresult7818)) {
// Begin line 2453
  setline(2453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2452
  setline(2452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2453
  setline(2453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7819 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7820 = callmethodflags(self, "checkIndent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7819);
// compiled call node returning call7820 (depth = 4)
// compiled member node returning call7820 (depth = 3)
// Begin line 2454
  setline(2454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7821 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7822 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7821);
// compiled call node returning call7822 (depth = 4)
// compiled member node returning call7822 (depth = 3)
// Begin line 2471
  setline(2471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2455
  setline(2455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7824 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 6)
  int callframe7825 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block7826 = alloc_Block(NULL, NULL, "parser", 2455);
  gc_frame_newslot(block7826);
// method _apply
  block_savedest(block7826);
  Object closure7827 = createclosure(2, "_apply");
  setclosureframe(closure7827, stackframe);
  addtoclosure(closure7827, var_noBlocks);
  addtoclosure(closure7827, selfslot);
  struct UserObject *uo7827 = (struct UserObject*)block7826;
  uo7827->data[0] = (Object)closure7827;
  Method *meth_meth_parser__apply7827 = addmethod2pos(block7826, "_apply", &meth_parser__apply7827, 0);
  int argcv_meth_parser__apply7827[] = {0};
  meth_meth_parser__apply7827->type = alloc_MethodType(1, argcv_meth_parser__apply7827);
  meth_meth_parser__apply7827->definitionModule = modulename;
  meth_meth_parser__apply7827->definitionLine = 2455;
// compiled block node returning block7826 (depth = 7)
  gc_frame_newslot(block7826);
// call case 4: self request
  params[0] = block7826;
  partcv[0] = 1;
  Object call7831 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7825);
// compiled call node returning call7831 (depth = 6)
  partcv[0] = 0;
  Object call7832 = callmethod(call7831, "not",
    1, partcv, params);
  gc_frame_end(callframe7824);
// compiled call node returning call7832 (depth = 5)
// compiled member node returning call7832 (depth = 4)
  Object if7823 = done;
  if (istrue(call7832)) {
// Begin line 2457
  setline(2457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 2456
  setline(2456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 5)
  Object array7833 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array7833 (depth = 5)
  *var_suggestions = array7833;
  if (array7833 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 2458
  setline(2458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2457
  setline(2457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7834 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7835 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call7836 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7835);
// compiled call node returning call7836 (depth = 8)
// compiled member node returning call7836 (depth = 7)
  partcv[0] = 0;
  Object call7837 = callmethod(call7836, "new",
    1, partcv, params);
  gc_frame_end(callframe7834);
// compiled call node returning call7837 (depth = 6)
// compiled member node returning call7837 (depth = 5)
  *var_suggestion = call7837;
  if (call7837 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2458
  setline(2458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7838 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit7839 == NULL) {
    strlit7839 = alloc_String("rsquare");
    gc_root(strlit7839);
  }
// compiled string node returning strlit7839 (depth = 6)
  gc_frame_newslot(strlit7839);
// call case 4: self request
  params[0] = strlit7839;
  partcv[0] = 1;
  Object call7840 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7838);
// compiled call node returning call7840 (depth = 5)
  *var_nextTok = call7840;
  if (call7840 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 2464
  setline(2464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2459
  setline(2459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  int op_slot_right_7842 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_left_7842 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7844 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult7844 (depth = 5)
  Object if7841 = done;
  if (istrue(opresult7844)) {
// Begin line 2460
  setline(2460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7845 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit7846 == NULL) {
    strlit7846 = alloc_String(" ""\xc2""""\xab""parent""\xc2""""\xbb""");
    gc_root(strlit7846);
  }
// compiled string node returning strlit7846 (depth = 6)
  gc_frame_newslot(strlit7846);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit7846;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7847 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7845);
// compiled call node returning call7847 (depth = 5)
    gc_frame_newslot(call7847);
    if7841 = call7847;
  } else {
// Begin line 2462
  setline(2462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7848 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7849 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  partcv[0] = 0;
  Object call7850 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7849);
// compiled call node returning call7850 (depth = 7)
// compiled member node returning call7850 (depth = 6)
  gc_frame_newslot(call7850);
// starting to compile identifier node (depth = 6)
  Object bool7851 = alloc_Boolean(1);
// compiled identifier node returning bool7851 (depth = 6)
  gc_frame_newslot(bool7851);
// starting to compile identifier node (depth = 6)
  Object bool7852 = alloc_Boolean(0);
// compiled identifier node returning bool7852 (depth = 6)
  gc_frame_newslot(bool7852);
// starting to compile string node (depth = 6)
  if (strlit7853 == NULL) {
    strlit7853 = alloc_String(" ""\xc2""""\xab""parent""\xc2""""\xbb""");
    gc_root(strlit7853);
  }
// compiled string node returning strlit7853 (depth = 6)
  gc_frame_newslot(strlit7853);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = call7850;
  params[2] = bool7851;
  params[3] = bool7852;
  params[4] = strlit7853;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7854 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7848);
// compiled call node returning call7854 (depth = 5)
    gc_frame_newslot(call7854);
    if7841 = call7854;
  }
// compiled if node returning if7841 (depth = 4)
// Begin line 2464
  setline(2464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7855 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7856 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7855);
// compiled call node returning call7856 (depth = 4)
// Begin line 2466
  setline(2466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2465
  setline(2465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7857 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7858 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call7859 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7858);
// compiled call node returning call7859 (depth = 8)
// compiled member node returning call7859 (depth = 7)
  partcv[0] = 0;
  Object call7860 = callmethod(call7859, "new",
    1, partcv, params);
  gc_frame_end(callframe7857);
// compiled call node returning call7860 (depth = 6)
// compiled member node returning call7860 (depth = 5)
  *var_suggestion = call7860;
  if (call7860 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2466
  setline(2466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7862 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7863 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  partcv[0] = 0;
  Object call7864 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7863);
// compiled call node returning call7864 (depth = 6)
// compiled member node returning call7864 (depth = 5)
  gc_frame_newslot(call7864);
// starting to compile identifier node (depth = 5)
  Object bool7865 = alloc_Boolean(1);
// compiled identifier node returning bool7865 (depth = 5)
  gc_frame_newslot(bool7865);
// starting to compile identifier node (depth = 5)
  Object bool7866 = alloc_Boolean(0);
// compiled identifier node returning bool7866 (depth = 5)
  gc_frame_newslot(bool7866);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = *var_lastToken;
  params[1] = call7864;
  params[2] = bool7865;
  params[3] = bool7866;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7867 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe7862);
// compiled call node returning call7867 (depth = 4)
// Begin line 2467
  setline(2467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7868 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7869 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7868);
// compiled call node returning call7869 (depth = 4)
// Begin line 2468
  setline(2468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7870 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7871 == NULL) {
    strlit7871 = alloc_String("The inherits keyword must be followed by an expression that creates the object being inherited.");
    gc_root(strlit7871);
  }
// compiled string node returning strlit7871 (depth = 5)
  gc_frame_newslot(strlit7871);
// Begin line 2469
  setline(2469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7872 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call7873 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7872);
// compiled call node returning call7873 (depth = 6)
// compiled member node returning call7873 (depth = 5)
  gc_frame_newslot(call7873);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num7875 = alloc_Float64(1);
// compiled num node returning num7875 (depth = 6)
  int op_slot_right_7874 = gc_frame_newslot(num7875);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7878 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call7879 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe7878);
// compiled call node returning call7879 (depth = 8)
// compiled member node returning call7879 (depth = 7)
  int op_slot_right_7877 = gc_frame_newslot(call7879);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7881 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call7882 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7881);
// compiled call node returning call7882 (depth = 8)
// compiled member node returning call7882 (depth = 7)
  int op_slot_left_7877 = gc_frame_newslot(call7882);
  params[0] = call7879;
  partcv[0] = 1;
  Object sum7883 = callmethod(call7882, "+", 1, partcv, params);
// compiled op node returning sum7883 (depth = 6)
  int op_slot_left_7874 = gc_frame_newslot(sum7883);
  params[0] = num7875;
  partcv[0] = 1;
  Object sum7884 = callmethod(sum7883, "+", 1, partcv, params);
// compiled op node returning sum7884 (depth = 5)
  gc_frame_newslot(sum7884);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 2468
  setline(2468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit7871;
  params[1] = call7873;
  params[2] = sum7884;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7885 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7870);
// compiled call node returning call7885 (depth = 4)
    gc_frame_newslot(call7885);
    if7823 = call7885;
  } else {
  }
// compiled if node returning if7823 (depth = 3)
// Begin line 2471
  setline(2471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7886 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7887 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_btok (depth = 6)
  partcv[0] = 0;
  Object call7888 = callmethod(*var_btok, "line",
    1, partcv, params);
  gc_frame_end(callframe7887);
// compiled call node returning call7888 (depth = 5)
// compiled member node returning call7888 (depth = 4)
  gc_frame_newslot(call7888);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7889 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_btok (depth = 6)
  partcv[0] = 0;
  Object call7890 = callmethod(*var_btok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7889);
// compiled call node returning call7890 (depth = 5)
// compiled member node returning call7890 (depth = 4)
  gc_frame_newslot(call7890);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call7888;
  params[1] = call7890;
  partcv[0] = 2;
  Object call7891 = callmethod(*var_util, "setPosition",
    1, partcv, params);
  gc_frame_end(callframe7886);
// compiled call node returning call7891 (depth = 3)
// Begin line 2472
  setline(2472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7892 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7893 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  partcv[0] = 0;
  Object call7894 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7893);
// compiled call node returning call7894 (depth = 6)
// compiled member node returning call7894 (depth = 5)
  gc_frame_newslot(call7894);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7895 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call7896 = callmethod(*var_ast, "inheritsNode",
    1, partcv, params);
  gc_frame_end(callframe7895);
// compiled call node returning call7896 (depth = 6)
// compiled member node returning call7896 (depth = 5)
  params[0] = call7894;
  partcv[0] = 1;
  Object call7897 = callmethod(call7896, "new",
    1, partcv, params);
  gc_frame_end(callframe7892);
// compiled call node returning call7897 (depth = 4)
  *var_inhNode = call7897;
  if (call7897 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2473
  setline(2473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7898 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_inhNode (depth = 4)
  gc_frame_newslot(*var_inhNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_inhNode;
  partcv[0] = 1;
  Object call7899 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe7898);
// compiled call node returning call7899 (depth = 3)
    gc_frame_newslot(call7899);
    if7806 = call7899;
  } else {
  }
// compiled if node returning if7806 (depth = 2)
  gc_frame_end(frame);
  return if7806;
}
Object meth_parser__apply7929(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit7931 == NULL) {
    strlit7931 = alloc_String("rbrace");
    gc_root(strlit7931);
  }
// compiled string node returning strlit7931 (depth = 8)
  int op_slot_right_7930 = gc_frame_newslot(strlit7931);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7933 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_t (depth = 10)
  partcv[0] = 0;
  Object call7934 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe7933);
// compiled call node returning call7934 (depth = 9)
// compiled member node returning call7934 (depth = 8)
  int op_slot_left_7930 = gc_frame_newslot(call7934);
  params[0] = strlit7931;
  partcv[0] = 1;
  Object opresult7935 = callmethod(call7934, "==", 1, partcv, params);
// compiled op node returning opresult7935 (depth = 7)
  gc_frame_end(frame);
  return opresult7935;
}
Object meth_parser__apply7997(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7998 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 7)
  int callframe7999 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit8000 == NULL) {
    strlit8000 = alloc_String("rbrace");
    gc_root(strlit8000);
  }
// compiled string node returning strlit8000 (depth = 8)
  gc_frame_newslot(strlit8000);
// call case 4: self request
  params[0] = strlit8000;
  partcv[0] = 1;
  Object call8001 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7999);
// compiled call node returning call8001 (depth = 7)
  partcv[0] = 0;
  Object call8002 = callmethod(call8001, "not",
    1, partcv, params);
  gc_frame_end(callframe7998);
// compiled call node returning call8002 (depth = 6)
// compiled member node returning call8002 (depth = 5)
  gc_frame_end(frame);
  return call8002;
}
Object meth_parser__apply8005(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_sz = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
// Begin line 2510
  setline(2510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8006 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8007 = callmethodflags(self, "methoddec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8006);
// compiled call node returning call8007 (depth = 6)
// compiled member node returning call8007 (depth = 5)
// Begin line 2511
  setline(2511);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8008 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8009 = callmethodflags(self, "inheritsdec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8008);
// compiled call node returning call8009 (depth = 6)
// compiled member node returning call8009 (depth = 5)
// Begin line 2512
  setline(2512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8010 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8011 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8010);
// compiled call node returning call8011 (depth = 6)
// compiled member node returning call8011 (depth = 5)
// Begin line 2526
  setline(2526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 2513
  setline(2513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8014 == NULL) {
    strlit8014 = alloc_String("eof");
    gc_root(strlit8014);
  }
// compiled string node returning strlit8014 (depth = 7)
  int op_slot_right_8013 = gc_frame_newslot(strlit8014);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8016 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call8017 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8016);
// compiled call node returning call8017 (depth = 8)
// compiled member node returning call8017 (depth = 7)
  int op_slot_left_8013 = gc_frame_newslot(call8017);
  params[0] = strlit8014;
  partcv[0] = 1;
  Object opresult8018 = callmethod(call8017, "==", 1, partcv, params);
// compiled op node returning opresult8018 (depth = 6)
  Object if8012 = done;
  if (istrue(opresult8018)) {
// Begin line 2520
  setline(2520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 2514
  setline(2514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8021 == NULL) {
    strlit8021 = alloc_String("rbrace");
    gc_root(strlit8021);
  }
// compiled string node returning strlit8021 (depth = 8)
  int op_slot_right_8020 = gc_frame_newslot(strlit8021);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8023 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call8024 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8023);
// compiled call node returning call8024 (depth = 9)
// compiled member node returning call8024 (depth = 8)
  int op_slot_left_8020 = gc_frame_newslot(call8024);
  params[0] = strlit8021;
  partcv[0] = 1;
  Object opresult8025 = callmethod(call8024, "!=", 1, partcv, params);
// compiled op node returning opresult8025 (depth = 7)
  Object if8019 = done;
  if (istrue(opresult8025)) {
// Begin line 2516
  setline(2516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 2515
  setline(2515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8026 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe8027 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call8028 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8027);
// compiled call node returning call8028 (depth = 11)
// compiled member node returning call8028 (depth = 10)
  partcv[0] = 0;
  Object call8029 = callmethod(call8028, "new",
    1, partcv, params);
  gc_frame_end(callframe8026);
// compiled call node returning call8029 (depth = 9)
// compiled member node returning call8029 (depth = 8)
  *var_suggestion = call8029;
  if (call8029 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 2516
  setline(2516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe8030 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit8031 == NULL) {
    strlit8031 = alloc_String("}");
    gc_root(strlit8031);
  }
// compiled string node returning strlit8031 (depth = 8)
  gc_frame_newslot(strlit8031);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit8031;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8032 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8030);
// compiled call node returning call8032 (depth = 7)
// Begin line 2517
  setline(2517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe8033 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit8034 == NULL) {
    strlit8034 = alloc_String("An object literal must end with a '}'.");
    gc_root(strlit8034);
  }
// compiled string node returning strlit8034 (depth = 8)
  gc_frame_newslot(strlit8034);
// Begin line 2518
  setline(2518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8035 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call8036 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8035);
// compiled call node returning call8036 (depth = 9)
// compiled member node returning call8036 (depth = 8)
  gc_frame_newslot(call8036);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8038 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call8039 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8038);
// compiled call node returning call8039 (depth = 10)
// compiled member node returning call8039 (depth = 9)
  int op_slot_right_8037 = gc_frame_newslot(call8039);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8041 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call8042 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8041);
// compiled call node returning call8042 (depth = 10)
// compiled member node returning call8042 (depth = 9)
  int op_slot_left_8037 = gc_frame_newslot(call8042);
  params[0] = call8039;
  partcv[0] = 1;
  Object sum8043 = callmethod(call8042, "+", 1, partcv, params);
// compiled op node returning sum8043 (depth = 8)
  gc_frame_newslot(sum8043);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2517
  setline(2517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit8034;
  params[1] = call8036;
  params[2] = sum8043;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8044 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8033);
// compiled call node returning call8044 (depth = 7)
    gc_frame_newslot(call8044);
    if8019 = call8044;
  } else {
  }
// compiled if node returning if8019 (depth = 6)
    gc_frame_newslot(if8019);
    if8012 = if8019;
  } else {
// Begin line 2526
  setline(2526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 2520
  setline(2520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit8048 == NULL) {
    strlit8048 = alloc_String("semicolon");
    gc_root(strlit8048);
  }
// compiled string node returning strlit8048 (depth = 9)
  int op_slot_right_8047 = gc_frame_newslot(strlit8048);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8050 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call8051 = callmethod(*var_lastToken, "kind",
    1, partcv, params);
  gc_frame_end(callframe8050);
// compiled call node returning call8051 (depth = 10)
// compiled member node returning call8051 (depth = 9)
  int op_slot_left_8047 = gc_frame_newslot(call8051);
  params[0] = strlit8048;
  partcv[0] = 1;
  Object opresult8052 = callmethod(call8051, "!=", 1, partcv, params);
// compiled op node returning opresult8052 (depth = 8)
  int op_slot_right_8046 = gc_frame_newslot(opresult8052);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sz (depth = 9)
  int op_slot_right_8054 = gc_frame_newslot(*var_sz);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8056 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_values (depth = 11)
  partcv[0] = 0;
  Object call8057 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe8056);
// compiled call node returning call8057 (depth = 10)
// compiled member node returning call8057 (depth = 9)
  int op_slot_left_8054 = gc_frame_newslot(call8057);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult8058 = callmethod(call8057, "==", 1, partcv, params);
// compiled op node returning opresult8058 (depth = 8)
  int op_slot_left_8046 = gc_frame_newslot(opresult8058);
  params[0] = opresult8052;
  partcv[0] = 1;
  Object opresult8059 = callmethod(opresult8058, "&&", 1, partcv, params);
// compiled op node returning opresult8059 (depth = 7)
  Object if8045 = done;
  if (istrue(opresult8059)) {
// Begin line 2522
  setline(2522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 2521
  setline(2521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8060 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe8061 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call8062 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8061);
// compiled call node returning call8062 (depth = 11)
// compiled member node returning call8062 (depth = 10)
  partcv[0] = 0;
  Object call8063 = callmethod(call8062, "new",
    1, partcv, params);
  gc_frame_end(callframe8060);
// compiled call node returning call8063 (depth = 9)
// compiled member node returning call8063 (depth = 8)
  *var_suggestion = call8063;
  if (call8063 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 2522
  setline(2522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe8064 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call8065 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe8064);
// compiled call node returning call8065 (depth = 7)
// Begin line 2523
  setline(2523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe8066 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit8067 == NULL) {
    strlit8067 = alloc_String("An object literal can contain only definitions, variable and method declarations, and statements.");
    gc_root(strlit8067);
  }
// compiled string node returning strlit8067 (depth = 8)
  gc_frame_newslot(strlit8067);
// Begin line 2524
  setline(2524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8068 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call8069 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe8068);
// compiled call node returning call8069 (depth = 9)
// compiled member node returning call8069 (depth = 8)
  gc_frame_newslot(call8069);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8070 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call8071 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8070);
// compiled call node returning call8071 (depth = 9)
// compiled member node returning call8071 (depth = 8)
  gc_frame_newslot(call8071);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num8073 = alloc_Float64(1);
// compiled num node returning num8073 (depth = 9)
  int op_slot_right_8072 = gc_frame_newslot(num8073);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe8076 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call8077 = callmethod(*var_sym, "size",
    1, partcv, params);
  gc_frame_end(callframe8076);
// compiled call node returning call8077 (depth = 11)
// compiled member node returning call8077 (depth = 10)
  int op_slot_right_8075 = gc_frame_newslot(call8077);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe8079 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call8080 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8079);
// compiled call node returning call8080 (depth = 11)
// compiled member node returning call8080 (depth = 10)
  int op_slot_left_8075 = gc_frame_newslot(call8080);
  params[0] = call8077;
  partcv[0] = 1;
  Object sum8081 = callmethod(call8080, "+", 1, partcv, params);
// compiled op node returning sum8081 (depth = 9)
  int op_slot_left_8072 = gc_frame_newslot(sum8081);
  params[0] = num8073;
  partcv[0] = 1;
  Object diff8082 = callmethod(sum8081, "-", 1, partcv, params);
// compiled op node returning diff8082 (depth = 8)
  gc_frame_newslot(diff8082);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2523
  setline(2523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit8067;
  params[1] = call8069;
  params[2] = call8071;
  params[3] = diff8082;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call8083 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8066);
// compiled call node returning call8083 (depth = 7)
    gc_frame_newslot(call8083);
    if8045 = call8083;
  } else {
  }
// compiled if node returning if8045 (depth = 6)
    gc_frame_newslot(if8045);
    if8012 = if8045;
  }
// compiled if node returning if8012 (depth = 5)
// Begin line 2527
  setline(2527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2526
  setline(2526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8084 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call8085 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe8084);
// compiled call node returning call8085 (depth = 7)
// compiled member node returning call8085 (depth = 6)
  *var_sz = call8085;
  if (call8085 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply8096(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8098 == NULL) {
    strlit8098 = alloc_String("lbrace");
    gc_root(strlit8098);
  }
// compiled string node returning strlit8098 (depth = 6)
  int op_slot_right_8097 = gc_frame_newslot(strlit8098);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8100 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  partcv[0] = 0;
  Object call8101 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe8100);
// compiled call node returning call8101 (depth = 7)
// compiled member node returning call8101 (depth = 6)
  int op_slot_left_8097 = gc_frame_newslot(call8101);
  params[0] = strlit8098;
  partcv[0] = 1;
  Object opresult8102 = callmethod(call8101, "!=", 1, partcv, params);
// compiled op node returning opresult8102 (depth = 5)
  gc_frame_end(frame);
  return opresult8102;
}
Object meth_parser__apply8105(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_rbody = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2532
  setline(2532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8106 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_rbody (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call8107 = callmethod(*var_rbody, "push",
    1, partcv, params);
  gc_frame_end(callframe8106);
// compiled call node returning call8107 (depth = 5)
// Begin line 2534
  setline(2534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2533
  setline(2533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8108 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call8109 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8108);
// compiled call node returning call8109 (depth = 7)
// compiled member node returning call8109 (depth = 6)
  *var_n = call8109;
  if (call8109 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply8118(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_rbody = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
// Begin line 2539
  setline(2539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// Begin line 2538
  setline(2538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8119 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_rbody (depth = 8)
  partcv[0] = 0;
  Object call8120 = callmethod(*var_rbody, "pop",
    1, partcv, params);
  gc_frame_end(callframe8119);
// compiled call node returning call8120 (depth = 7)
// compiled member node returning call8120 (depth = 6)
  *var_p = call8120;
  if (call8120 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 2539
  setline(2539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8121 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_body (depth = 6)
  params[0] = *var_p;
  partcv[0] = 1;
  Object call8122 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8121);
// compiled call node returning call8122 (depth = 5)
  gc_frame_end(frame);
  return call8122;
}
Object meth_parser_doobject7900(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 51, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(10, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doobject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_statementToken = getfromclosure(closure, 5);
  Object *var_util = getfromclosure(closure, 6);
  Object *var_ast = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doobject (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for doobject");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_localMinIndentLevel = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "localMinIndentLevel");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_sz = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "sz");
  Object *var_rbody = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "rbody");
  Object *var_n = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "n");
  Object *var_body = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "body");
  Object *var_o = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "o");
// Begin line 2546
  setline(2546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2480
  setline(2480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7904 == NULL) {
    strlit7904 = alloc_String("object");
    gc_root(strlit7904);
  }
// compiled string node returning strlit7904 (depth = 5)
  int op_slot_right_7903 = gc_frame_newslot(strlit7904);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7906 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call7907 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7906);
// compiled call node returning call7907 (depth = 6)
// compiled member node returning call7907 (depth = 5)
  int op_slot_left_7903 = gc_frame_newslot(call7907);
  params[0] = strlit7904;
  partcv[0] = 1;
  Object opresult7908 = callmethod(call7907, "==", 1, partcv, params);
// compiled op node returning opresult7908 (depth = 4)
  int op_slot_right_7902 = gc_frame_newslot(opresult7908);
// starting to compile call node (depth = 4)
  int callframe7910 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7911 == NULL) {
    strlit7911 = alloc_String("keyword");
    gc_root(strlit7911);
  }
// compiled string node returning strlit7911 (depth = 5)
  gc_frame_newslot(strlit7911);
// call case 4: self request
  params[0] = strlit7911;
  partcv[0] = 1;
  Object call7912 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7910);
// compiled call node returning call7912 (depth = 4)
  int op_slot_left_7902 = gc_frame_newslot(call7912);
  params[0] = opresult7908;
  partcv[0] = 1;
  Object opresult7913 = callmethod(call7912, "&&", 1, partcv, params);
// compiled op node returning opresult7913 (depth = 3)
  Object if7901 = done;
  if (istrue(opresult7913)) {
// Begin line 2482
  setline(2482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2481
  setline(2481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2483
  setline(2483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2482
  setline(2482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_minIndentLevel (depth = 4)
  *var_localMinIndentLevel = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2483
  setline(2483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7914 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7915 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7914);
// compiled call node returning call7915 (depth = 4)
// compiled member node returning call7915 (depth = 3)
// Begin line 2495
  setline(2495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2484
  setline(2484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7918 == NULL) {
    strlit7918 = alloc_String("lbrace");
    gc_root(strlit7918);
  }
// compiled string node returning strlit7918 (depth = 5)
  int op_slot_right_7917 = gc_frame_newslot(strlit7918);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7920 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call7921 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe7920);
// compiled call node returning call7921 (depth = 6)
// compiled member node returning call7921 (depth = 5)
  int op_slot_left_7917 = gc_frame_newslot(call7921);
  params[0] = strlit7918;
  partcv[0] = 1;
  Object opresult7922 = callmethod(call7921, "!=", 1, partcv, params);
// compiled op node returning opresult7922 (depth = 4)
  Object if7916 = done;
  if (istrue(opresult7922)) {
// Begin line 2486
  setline(2486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 2485
  setline(2485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7923 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7924 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call7925 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7924);
// compiled call node returning call7925 (depth = 8)
// compiled member node returning call7925 (depth = 7)
  partcv[0] = 0;
  Object call7926 = callmethod(call7925, "new",
    1, partcv, params);
  gc_frame_end(callframe7923);
// compiled call node returning call7926 (depth = 6)
// compiled member node returning call7926 (depth = 5)
  *var_suggestion = call7926;
  if (call7926 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 2486
  setline(2486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7927 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block7928 = alloc_Block(NULL, NULL, "parser", 2486);
  gc_frame_newslot(block7928);
// method _apply
  block_savedest(block7928);
  Object closure7929 = createclosure(1, "_apply");
  setclosureframe(closure7929, stackframe);
  addtoclosure(closure7929, selfslot);
  struct UserObject *uo7929 = (struct UserObject*)block7928;
  uo7929->data[0] = (Object)closure7929;
  Method *meth_meth_parser__apply7929 = addmethod2pos(block7928, "_apply", &meth_parser__apply7929, 0);
  int argcv_meth_parser__apply7929[] = {1};
  meth_meth_parser__apply7929->type = alloc_MethodType(1, argcv_meth_parser__apply7929);
  meth_meth_parser__apply7929->definitionModule = modulename;
  meth_meth_parser__apply7929->definitionLine = 2485;
// compiled block node returning block7928 (depth = 6)
  gc_frame_newslot(block7928);
// call case 4: self request
  params[0] = block7928;
  partcv[0] = 1;
  Object call7937 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7927);
// compiled call node returning call7937 (depth = 5)
  *var_nextTok = call7937;
  if (call7937 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 2492
  setline(2492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2487
  setline(2487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool7940 = alloc_Boolean(0);
// compiled identifier node returning bool7940 (depth = 6)
  int op_slot_right_7939 = gc_frame_newslot(bool7940);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_left_7939 = gc_frame_newslot(*var_nextTok);
  params[0] = bool7940;
  partcv[0] = 1;
  Object opresult7942 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult7942 (depth = 5)
  Object if7938 = done;
  if (istrue(opresult7942)) {
// Begin line 2488
  setline(2488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7943 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit7944 == NULL) {
    strlit7944 = alloc_String(" {}");
    gc_root(strlit7944);
  }
// compiled string node returning strlit7944 (depth = 6)
  gc_frame_newslot(strlit7944);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit7944;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7945 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7943);
// compiled call node returning call7945 (depth = 5)
    gc_frame_newslot(call7945);
    if7938 = call7945;
  } else {
// Begin line 2490
  setline(2490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7946 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit7947 == NULL) {
    strlit7947 = alloc_String(" {");
    gc_root(strlit7947);
  }
// compiled string node returning strlit7947 (depth = 6)
  gc_frame_newslot(strlit7947);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit7947;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7948 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7946);
// compiled call node returning call7948 (depth = 5)
    gc_frame_newslot(call7948);
    if7938 = call7948;
  }
// compiled if node returning if7938 (depth = 4)
// Begin line 2492
  setline(2492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7949 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7950 == NULL) {
    strlit7950 = alloc_String("An object literal must have a '{' after the 'object'.");
    gc_root(strlit7950);
  }
// compiled string node returning strlit7950 (depth = 5)
  gc_frame_newslot(strlit7950);
// Begin line 2493
  setline(2493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7951 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call7952 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7951);
// compiled call node returning call7952 (depth = 6)
// compiled member node returning call7952 (depth = 5)
  gc_frame_newslot(call7952);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7954 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call7955 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe7954);
// compiled call node returning call7955 (depth = 7)
// compiled member node returning call7955 (depth = 6)
  int op_slot_right_7953 = gc_frame_newslot(call7955);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7957 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call7958 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7957);
// compiled call node returning call7958 (depth = 7)
// compiled member node returning call7958 (depth = 6)
  int op_slot_left_7953 = gc_frame_newslot(call7958);
  params[0] = call7955;
  partcv[0] = 1;
  Object sum7959 = callmethod(call7958, "+", 1, partcv, params);
// compiled op node returning sum7959 (depth = 5)
  gc_frame_newslot(sum7959);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2492
  setline(2492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit7950;
  params[1] = call7952;
  params[2] = sum7959;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7960 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe7949);
// compiled call node returning call7960 (depth = 4)
    gc_frame_newslot(call7960);
    if7916 = call7960;
  } else {
  }
// compiled if node returning if7916 (depth = 3)
// Begin line 2495
  setline(2495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7961 = gc_frame_new();
// starting to compile object node (depth = 4)
  Object inheritingObject7962 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7962 = alloc_userobj2(4,4, objclass7962);
  gc_frame_newslot(obj7962);
// OBJECT OUTER DEC outer
  adddatum2(obj7962, self, 0);
  addmethodreal(obj7962,"outer", &reader_parser_outer_7963);
  Object oldself7962 = self;
  struct StackFrameObject *oldstackframe7962 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7962);
  gc_frame_newslot((Object)stackframe);
  self = obj7962;
  Object *oldselfslot7962 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7962 = (*(struct UserObject *)self).data[0], lowerouter7962 = thisouter7962;
  if (inheritingObject7962) {
    struct UserObject *inho7962 = (struct UserObject *)inheritingObject7962;
    while (inho7962->super != GraceDefaultObject) inho7962 = (struct UserObject *)inho7962->super;
    inho7962->super = obj7962;
    self = inheritingObject7962;
    *selfslot = self;
    lowerouter7962 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7962;
  }
if (objclass7962 == NULL) {
  Method *reader7964 = addmethodrealflags(obj7962, "kind",&reader_parser_kind_7964, 0);
  Method *writer7964 = addmethodrealflags(obj7962, "kind:=",&writer_parser_kind_7964, 0);
  reader7964->definitionModule = modulename;
  writer7964->definitionModule = modulename;
  reader7964->definitionLine = 2497;
  writer7964->definitionLine = 2497;
}
obj7962->flags |= OFLAG_MUTABLE;
adddatum2(obj7962, alloc_Undefined(), 1);
if (objclass7962 == NULL) {
  Method *reader7965 = addmethodrealflags(obj7962, "register",&reader_parser_register_7965, 0);
  Method *writer7965 = addmethodrealflags(obj7962, "register:=",&writer_parser_register_7965, 0);
  reader7965->definitionModule = modulename;
  writer7965->definitionModule = modulename;
  reader7965->definitionLine = 2498;
  writer7965->definitionLine = 2498;
}
obj7962->flags |= OFLAG_MUTABLE;
adddatum2(obj7962, alloc_Undefined(), 2);
  sourceObject = obj7962;
// Begin line 2496
  setline(2496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit7966 == NULL) {
    strlit7966 = alloc_String("lbrace");
    gc_root(strlit7966);
  }
// compiled string node returning strlit7966 (depth = 5)
  adddatum2(obj7962, strlit7966, 1);
  sourceObject = obj7962;
// Begin line 2497
  setline(2497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit7967 == NULL) {
    strlit7967 = alloc_String("");
    gc_root(strlit7967);
  }
// compiled string node returning strlit7967 (depth = 5)
  adddatum2(obj7962, strlit7967, 2);
  objclass7962 = obj7962->class;
  objclass7962->definitionModule = modulename;
  objclass7962->definitionLine = 2495;
  (*(struct UserObject *)self).data[0] = lowerouter7962;
  self = oldself7962;
  selfslot = oldselfslot7962;
  stackframe = oldstackframe7962;
// compiled object node returning obj7962 (depth = 4)
  gc_frame_newslot(obj7962);
// call case 6: other member request
// Begin line 2495
  setline(2495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = obj7962;
  partcv[0] = 1;
  Object call7968 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe7961);
// compiled call node returning call7968 (depth = 3)
// Begin line 2499
  setline(2499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7969 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7970 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7969);
// compiled call node returning call7970 (depth = 4)
// compiled member node returning call7970 (depth = 3)
// Begin line 2505
  setline(2505);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2500
  setline(2500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7973 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_statementToken (depth = 7)
  partcv[0] = 0;
  Object call7974 = callmethod(*var_statementToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7973);
// compiled call node returning call7974 (depth = 6)
// compiled member node returning call7974 (depth = 5)
  int op_slot_right_7972 = gc_frame_newslot(call7974);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7976 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call7977 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7976);
// compiled call node returning call7977 (depth = 6)
// compiled member node returning call7977 (depth = 5)
  int op_slot_left_7972 = gc_frame_newslot(call7977);
  params[0] = call7974;
  partcv[0] = 1;
  Object opresult7978 = callmethod(call7977, "==", 1, partcv, params);
// compiled op node returning opresult7978 (depth = 4)
  Object if7971 = done;
  if (istrue(opresult7978)) {
// Begin line 2502
  setline(2502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 2501
  setline(2501);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num7980 = alloc_Float64(1);
// compiled num node returning num7980 (depth = 6)
  int op_slot_right_7979 = gc_frame_newslot(num7980);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7982 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call7983 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7982);
// compiled call node returning call7983 (depth = 7)
// compiled member node returning call7983 (depth = 6)
  int op_slot_left_7979 = gc_frame_newslot(call7983);
  params[0] = num7980;
  partcv[0] = 1;
  Object diff7984 = callmethod(call7983, "-", 1, partcv, params);
// compiled op node returning diff7984 (depth = 5)
  *var_minIndentLevel = diff7984;
  if (diff7984 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7971 = done;
  } else {
// Begin line 2504
  setline(2504);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 2503
  setline(2503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num7987 = alloc_Float64(1);
// compiled num node returning num7987 (depth = 6)
  int op_slot_right_7986 = gc_frame_newslot(num7987);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7989 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_statementToken (depth = 8)
  partcv[0] = 0;
  Object call7990 = callmethod(*var_statementToken, "indent",
    1, partcv, params);
  gc_frame_end(callframe7989);
// compiled call node returning call7990 (depth = 7)
// compiled member node returning call7990 (depth = 6)
  int op_slot_left_7986 = gc_frame_newslot(call7990);
  params[0] = num7987;
  partcv[0] = 1;
  Object sum7991 = callmethod(call7990, "+", 1, partcv, params);
// compiled op node returning sum7991 (depth = 5)
  *var_minIndentLevel = sum7991;
  if (sum7991 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7971 = done;
  }
// compiled if node returning if7971 (depth = 3)
// Begin line 2506
  setline(2506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2505
  setline(2505);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7993 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call7994 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe7993);
// compiled call node returning call7994 (depth = 5)
// compiled member node returning call7994 (depth = 4)
  *var_sz = call7994;
  if (call7994 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2506
  setline(2506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7995 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block7996 = alloc_Block(NULL, NULL, "parser", 2506);
  gc_frame_newslot(block7996);
// method _apply
  block_savedest(block7996);
  Object closure7997 = createclosure(1, "_apply");
  setclosureframe(closure7997, stackframe);
  addtoclosure(closure7997, selfslot);
  struct UserObject *uo7997 = (struct UserObject*)block7996;
  uo7997->data[0] = (Object)closure7997;
  Method *meth_meth_parser__apply7997 = addmethod2pos(block7996, "_apply", &meth_parser__apply7997, 0);
  int argcv_meth_parser__apply7997[] = {0};
  meth_meth_parser__apply7997->type = alloc_MethodType(1, argcv_meth_parser__apply7997);
  meth_meth_parser__apply7997->definitionModule = modulename;
  meth_meth_parser__apply7997->definitionLine = 2505;
// compiled block node returning block7996 (depth = 4)
  gc_frame_newslot(block7996);
// starting to compile block node (depth = 4)
  Object block8004 = alloc_Block(NULL, NULL, "parser", 2506);
  gc_frame_newslot(block8004);
// method _apply
  block_savedest(block8004);
  Object closure8005 = createclosure(6, "_apply");
  setclosureframe(closure8005, stackframe);
  addtoclosure(closure8005, var_sym);
  addtoclosure(closure8005, var_errormessages);
  addtoclosure(closure8005, var_lastToken);
  addtoclosure(closure8005, var_sz);
  addtoclosure(closure8005, var_values);
  addtoclosure(closure8005, selfslot);
  struct UserObject *uo8005 = (struct UserObject*)block8004;
  uo8005->data[0] = (Object)closure8005;
  Method *meth_meth_parser__apply8005 = addmethod2pos(block8004, "_apply", &meth_parser__apply8005, 0);
  int argcv_meth_parser__apply8005[] = {0};
  meth_meth_parser__apply8005->type = alloc_MethodType(1, argcv_meth_parser__apply8005);
  meth_meth_parser__apply8005->definitionModule = modulename;
  meth_meth_parser__apply8005->definitionLine = 2506;
// compiled block node returning block8004 (depth = 4)
  gc_frame_newslot(block8004);
// call case 5: prelude request
  params[0] = block7996;
  params[1] = block8004;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8088 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7995);
// compiled call node returning call8088 (depth = 3)
// Begin line 2528
  setline(2528);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8089 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8090 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8089);
// compiled call node returning call8090 (depth = 4)
// compiled member node returning call8090 (depth = 3)
// Begin line 2530
  setline(2530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2529
  setline(2529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array8091 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8091 (depth = 4)
  *var_rbody = array8091;
  if (array8091 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2531
  setline(2531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2530
  setline(2530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8092 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call8093 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8092);
// compiled call node returning call8093 (depth = 5)
// compiled member node returning call8093 (depth = 4)
  *var_n = call8093;
  if (call8093 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2531
  setline(2531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8094 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block8095 = alloc_Block(NULL, NULL, "parser", 2531);
  gc_frame_newslot(block8095);
// method _apply
  block_savedest(block8095);
  Object closure8096 = createclosure(2, "_apply");
  setclosureframe(closure8096, stackframe);
  addtoclosure(closure8096, var_n);
  addtoclosure(closure8096, selfslot);
  struct UserObject *uo8096 = (struct UserObject*)block8095;
  uo8096->data[0] = (Object)closure8096;
  Method *meth_meth_parser__apply8096 = addmethod2pos(block8095, "_apply", &meth_parser__apply8096, 0);
  int argcv_meth_parser__apply8096[] = {0};
  meth_meth_parser__apply8096->type = alloc_MethodType(1, argcv_meth_parser__apply8096);
  meth_meth_parser__apply8096->definitionModule = modulename;
  meth_meth_parser__apply8096->definitionLine = 2530;
// compiled block node returning block8095 (depth = 4)
  gc_frame_newslot(block8095);
// starting to compile block node (depth = 4)
  Object block8104 = alloc_Block(NULL, NULL, "parser", 2531);
  gc_frame_newslot(block8104);
// method _apply
  block_savedest(block8104);
  Object closure8105 = createclosure(4, "_apply");
  setclosureframe(closure8105, stackframe);
  addtoclosure(closure8105, var_n);
  addtoclosure(closure8105, var_rbody);
  addtoclosure(closure8105, var_values);
  addtoclosure(closure8105, selfslot);
  struct UserObject *uo8105 = (struct UserObject*)block8104;
  uo8105->data[0] = (Object)closure8105;
  Method *meth_meth_parser__apply8105 = addmethod2pos(block8104, "_apply", &meth_parser__apply8105, 0);
  int argcv_meth_parser__apply8105[] = {0};
  meth_meth_parser__apply8105->type = alloc_MethodType(1, argcv_meth_parser__apply8105);
  meth_meth_parser__apply8105->definitionModule = modulename;
  meth_meth_parser__apply8105->definitionLine = 2531;
// compiled block node returning block8104 (depth = 4)
  gc_frame_newslot(block8104);
// call case 5: prelude request
  params[0] = block8095;
  params[1] = block8104;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8112 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8094);
// compiled call node returning call8112 (depth = 3)
// Begin line 2536
  setline(2536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2535
  setline(2535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array8113 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8113 (depth = 4)
  *var_body = array8113;
  if (array8113 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2536
  setline(2536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8114 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8115 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_rbody (depth = 6)
  partcv[0] = 0;
  Object call8116 = callmethod(*var_rbody, "indices",
    1, partcv, params);
  gc_frame_end(callframe8115);
// compiled call node returning call8116 (depth = 5)
// compiled member node returning call8116 (depth = 4)
  gc_frame_newslot(call8116);
// starting to compile block node (depth = 4)
  Object block8117 = alloc_Block(NULL, NULL, "parser", 2536);
  gc_frame_newslot(block8117);
// method _apply
  block_savedest(block8117);
  Object closure8118 = createclosure(3, "_apply");
  setclosureframe(closure8118, stackframe);
  addtoclosure(closure8118, var_rbody);
  addtoclosure(closure8118, var_body);
  addtoclosure(closure8118, selfslot);
  struct UserObject *uo8118 = (struct UserObject*)block8117;
  uo8118->data[0] = (Object)closure8118;
  Method *meth_meth_parser__apply8118 = addmethod2pos(block8117, "_apply", &meth_parser__apply8118, 0);
  int argcv_meth_parser__apply8118[] = {1};
  meth_meth_parser__apply8118->type = alloc_MethodType(1, argcv_meth_parser__apply8118);
  meth_meth_parser__apply8118->definitionModule = modulename;
  meth_meth_parser__apply8118->definitionLine = 2536;
// compiled block node returning block8117 (depth = 4)
  gc_frame_newslot(block8117);
// call case 5: prelude request
  params[0] = call8116;
  params[1] = block8117;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8124 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8114);
// compiled call node returning call8124 (depth = 3)
// Begin line 2541
  setline(2541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8125 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8126 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_btok (depth = 6)
  partcv[0] = 0;
  Object call8127 = callmethod(*var_btok, "line",
    1, partcv, params);
  gc_frame_end(callframe8126);
// compiled call node returning call8127 (depth = 5)
// compiled member node returning call8127 (depth = 4)
  gc_frame_newslot(call8127);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call8127;
  partcv[0] = 1;
  Object call8128 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe8125);
// compiled call node returning call8128 (depth = 3)
// Begin line 2542
  setline(2542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8129 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_body (depth = 5)
  gc_frame_newslot(*var_body);
// starting to compile identifier node (depth = 5)
  Object bool8130 = alloc_Boolean(0);
// compiled identifier node returning bool8130 (depth = 5)
  gc_frame_newslot(bool8130);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8131 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call8132 = callmethod(*var_ast, "objectNode",
    1, partcv, params);
  gc_frame_end(callframe8131);
// compiled call node returning call8132 (depth = 6)
// compiled member node returning call8132 (depth = 5)
  params[0] = *var_body;
  params[1] = bool8130;
  partcv[0] = 2;
  Object call8133 = callmethod(call8132, "new",
    1, partcv, params);
  gc_frame_end(callframe8129);
// compiled call node returning call8133 (depth = 4)
  *var_o = call8133;
  if (call8133 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2543
  setline(2543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8134 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call8135 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe8134);
// compiled call node returning call8135 (depth = 3)
// Begin line 2545
  setline(2545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2544
  setline(2544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_localMinIndentLevel (depth = 4)
  *var_minIndentLevel = *var_localMinIndentLevel;
  if (*var_localMinIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if7901 = done;
  } else {
  }
// compiled if node returning if7901 (depth = 2)
  gc_frame_end(frame);
  return if7901;
}
Object meth_parser__apply8333(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8335 == NULL) {
    strlit8335 = alloc_String("eof");
    gc_root(strlit8335);
  }
// compiled string node returning strlit8335 (depth = 8)
  int op_slot_right_8334 = gc_frame_newslot(strlit8335);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8337 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call8338 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8337);
// compiled call node returning call8338 (depth = 9)
// compiled member node returning call8338 (depth = 8)
  int op_slot_left_8334 = gc_frame_newslot(call8338);
  params[0] = strlit8335;
  partcv[0] = 1;
  Object opresult8339 = callmethod(call8338, "!=", 1, partcv, params);
// compiled op node returning opresult8339 (depth = 7)
  gc_frame_end(frame);
  return opresult8339;
}
Object meth_parser__apply8330(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 5)
  int callframe8331 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block8332 = alloc_Block(NULL, NULL, "parser", 2612);
  gc_frame_newslot(block8332);
// method _apply
  block_savedest(block8332);
  Object closure8333 = createclosure(2, "_apply");
  setclosureframe(closure8333, stackframe);
  addtoclosure(closure8333, var_sym);
  addtoclosure(closure8333, selfslot);
  struct UserObject *uo8333 = (struct UserObject*)block8332;
  uo8333->data[0] = (Object)closure8333;
  Method *meth_meth_parser__apply8333 = addmethod2pos(block8332, "_apply", &meth_parser__apply8333, 0);
  int argcv_meth_parser__apply8333[] = {0};
  meth_meth_parser__apply8333->type = alloc_MethodType(1, argcv_meth_parser__apply8333);
  meth_meth_parser__apply8333->definitionModule = modulename;
  meth_meth_parser__apply8333->definitionLine = 2609;
// compiled block node returning block8332 (depth = 6)
  gc_frame_newslot(block8332);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8341 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 8)
  int callframe8342 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit8343 == NULL) {
    strlit8343 = alloc_String("rbrace");
    gc_root(strlit8343);
  }
// compiled string node returning strlit8343 (depth = 9)
  gc_frame_newslot(strlit8343);
// call case 4: self request
  params[0] = strlit8343;
  partcv[0] = 1;
  Object call8344 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8342);
// compiled call node returning call8344 (depth = 8)
  partcv[0] = 0;
  Object call8345 = callmethod(call8344, "not",
    1, partcv, params);
  gc_frame_end(callframe8341);
// compiled call node returning call8345 (depth = 7)
// compiled member node returning call8345 (depth = 6)
  params[0] = block8332;
  partcv[0] = 1;
  Object call8346 = callmethod(call8345, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe8331);
// compiled call node returning call8346 (depth = 5)
  gc_frame_end(frame);
  return call8346;
}
Object meth_parser__apply8352(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8353 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8354 = callmethodflags(self, "methoddec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8353);
// compiled call node returning call8354 (depth = 8)
// compiled member node returning call8354 (depth = 7)
  gc_frame_end(frame);
  return call8354;
}
Object meth_parser__apply8357(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2614
  setline(2614);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe8358 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8359 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  partcv[0] = 0;
  Object call8360 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8359);
// compiled call node returning call8360 (depth = 9)
// compiled member node returning call8360 (depth = 8)
  gc_frame_newslot(call8360);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_body (depth = 8)
  params[0] = call8360;
  partcv[0] = 1;
  Object call8361 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8358);
// compiled call node returning call8361 (depth = 7)
  gc_frame_end(frame);
  return call8361;
}
Object meth_parser__apply8366(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8367 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8368 = callmethodflags(self, "inheritsdec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8367);
// compiled call node returning call8368 (depth = 8)
// compiled member node returning call8368 (depth = 7)
  gc_frame_end(frame);
  return call8368;
}
Object meth_parser__apply8371(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2617
  setline(2617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe8372 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8373 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  partcv[0] = 0;
  Object call8374 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8373);
// compiled call node returning call8374 (depth = 9)
// compiled member node returning call8374 (depth = 8)
  gc_frame_newslot(call8374);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_body (depth = 8)
  params[0] = call8374;
  partcv[0] = 1;
  Object call8375 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8372);
// compiled call node returning call8375 (depth = 7)
  gc_frame_end(frame);
  return call8375;
}
Object meth_parser__apply8380(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8381 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8382 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8381);
// compiled call node returning call8382 (depth = 8)
// compiled member node returning call8382 (depth = 7)
  gc_frame_end(frame);
  return call8382;
}
Object meth_parser__apply8385(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2620
  setline(2620);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe8386 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8387 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  partcv[0] = 0;
  Object call8388 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8387);
// compiled call node returning call8388 (depth = 9)
// compiled member node returning call8388 (depth = 8)
  gc_frame_newslot(call8388);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_body (depth = 8)
  params[0] = call8388;
  partcv[0] = 1;
  Object call8389 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8386);
// compiled call node returning call8389 (depth = 7)
  gc_frame_end(frame);
  return call8389;
}
Object meth_parser__apply8349(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2613
  setline(2613);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8350 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block8351 = alloc_Block(NULL, NULL, "parser", 2613);
  gc_frame_newslot(block8351);
// method _apply
  block_savedest(block8351);
  Object closure8352 = createclosure(1, "_apply");
  setclosureframe(closure8352, stackframe);
  addtoclosure(closure8352, selfslot);
  struct UserObject *uo8352 = (struct UserObject*)block8351;
  uo8352->data[0] = (Object)closure8352;
  Method *meth_meth_parser__apply8352 = addmethod2pos(block8351, "_apply", &meth_parser__apply8352, 0);
  int argcv_meth_parser__apply8352[] = {0};
  meth_meth_parser__apply8352->type = alloc_MethodType(1, argcv_meth_parser__apply8352);
  meth_meth_parser__apply8352->definitionModule = modulename;
  meth_meth_parser__apply8352->definitionLine = 2612;
// compiled block node returning block8351 (depth = 6)
  gc_frame_newslot(block8351);
// starting to compile block node (depth = 6)
  Object block8356 = alloc_Block(NULL, NULL, "parser", 2613);
  gc_frame_newslot(block8356);
// method _apply
  block_savedest(block8356);
  Object closure8357 = createclosure(3, "_apply");
  setclosureframe(closure8357, stackframe);
  addtoclosure(closure8357, var_values);
  addtoclosure(closure8357, var_body);
  addtoclosure(closure8357, selfslot);
  struct UserObject *uo8357 = (struct UserObject*)block8356;
  uo8357->data[0] = (Object)closure8357;
  Method *meth_meth_parser__apply8357 = addmethod2pos(block8356, "_apply", &meth_parser__apply8357, 0);
  int argcv_meth_parser__apply8357[] = {0};
  meth_meth_parser__apply8357->type = alloc_MethodType(1, argcv_meth_parser__apply8357);
  meth_meth_parser__apply8357->definitionModule = modulename;
  meth_meth_parser__apply8357->definitionLine = 2613;
// compiled block node returning block8356 (depth = 6)
  gc_frame_newslot(block8356);
// call case 4: self request
  params[0] = block8351;
  params[1] = block8356;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8363 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8350);
// compiled call node returning call8363 (depth = 5)
// Begin line 2616
  setline(2616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8364 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block8365 = alloc_Block(NULL, NULL, "parser", 2616);
  gc_frame_newslot(block8365);
// method _apply
  block_savedest(block8365);
  Object closure8366 = createclosure(1, "_apply");
  setclosureframe(closure8366, stackframe);
  addtoclosure(closure8366, selfslot);
  struct UserObject *uo8366 = (struct UserObject*)block8365;
  uo8366->data[0] = (Object)closure8366;
  Method *meth_meth_parser__apply8366 = addmethod2pos(block8365, "_apply", &meth_parser__apply8366, 0);
  int argcv_meth_parser__apply8366[] = {0};
  meth_meth_parser__apply8366->type = alloc_MethodType(1, argcv_meth_parser__apply8366);
  meth_meth_parser__apply8366->definitionModule = modulename;
  meth_meth_parser__apply8366->definitionLine = 2614;
// compiled block node returning block8365 (depth = 6)
  gc_frame_newslot(block8365);
// starting to compile block node (depth = 6)
  Object block8370 = alloc_Block(NULL, NULL, "parser", 2616);
  gc_frame_newslot(block8370);
// method _apply
  block_savedest(block8370);
  Object closure8371 = createclosure(3, "_apply");
  setclosureframe(closure8371, stackframe);
  addtoclosure(closure8371, var_values);
  addtoclosure(closure8371, var_body);
  addtoclosure(closure8371, selfslot);
  struct UserObject *uo8371 = (struct UserObject*)block8370;
  uo8371->data[0] = (Object)closure8371;
  Method *meth_meth_parser__apply8371 = addmethod2pos(block8370, "_apply", &meth_parser__apply8371, 0);
  int argcv_meth_parser__apply8371[] = {0};
  meth_meth_parser__apply8371->type = alloc_MethodType(1, argcv_meth_parser__apply8371);
  meth_meth_parser__apply8371->definitionModule = modulename;
  meth_meth_parser__apply8371->definitionLine = 2616;
// compiled block node returning block8370 (depth = 6)
  gc_frame_newslot(block8370);
// call case 4: self request
  params[0] = block8365;
  params[1] = block8370;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8377 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8364);
// compiled call node returning call8377 (depth = 5)
// Begin line 2619
  setline(2619);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8378 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block8379 = alloc_Block(NULL, NULL, "parser", 2619);
  gc_frame_newslot(block8379);
// method _apply
  block_savedest(block8379);
  Object closure8380 = createclosure(1, "_apply");
  setclosureframe(closure8380, stackframe);
  addtoclosure(closure8380, selfslot);
  struct UserObject *uo8380 = (struct UserObject*)block8379;
  uo8380->data[0] = (Object)closure8380;
  Method *meth_meth_parser__apply8380 = addmethod2pos(block8379, "_apply", &meth_parser__apply8380, 0);
  int argcv_meth_parser__apply8380[] = {0};
  meth_meth_parser__apply8380->type = alloc_MethodType(1, argcv_meth_parser__apply8380);
  meth_meth_parser__apply8380->definitionModule = modulename;
  meth_meth_parser__apply8380->definitionLine = 2617;
// compiled block node returning block8379 (depth = 6)
  gc_frame_newslot(block8379);
// starting to compile block node (depth = 6)
  Object block8384 = alloc_Block(NULL, NULL, "parser", 2619);
  gc_frame_newslot(block8384);
// method _apply
  block_savedest(block8384);
  Object closure8385 = createclosure(3, "_apply");
  setclosureframe(closure8385, stackframe);
  addtoclosure(closure8385, var_values);
  addtoclosure(closure8385, var_body);
  addtoclosure(closure8385, selfslot);
  struct UserObject *uo8385 = (struct UserObject*)block8384;
  uo8385->data[0] = (Object)closure8385;
  Method *meth_meth_parser__apply8385 = addmethod2pos(block8384, "_apply", &meth_parser__apply8385, 0);
  int argcv_meth_parser__apply8385[] = {0};
  meth_meth_parser__apply8385->type = alloc_MethodType(1, argcv_meth_parser__apply8385);
  meth_meth_parser__apply8385->definitionModule = modulename;
  meth_meth_parser__apply8385->definitionLine = 2619;
// compiled block node returning block8384 (depth = 6)
  gc_frame_newslot(block8384);
// call case 4: self request
  params[0] = block8379;
  params[1] = block8384;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8391 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8378);
// compiled call node returning call8391 (depth = 5)
  gc_frame_end(frame);
  return call8391;
}
Object meth_parser_doclass8137(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 52, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(15, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doclass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[6];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_tokens = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_statementToken = getfromclosure(closure, 6);
  Object *var_util = getfromclosure(closure, 7);
  Object *var_ast = getfromclosure(closure, 8);
  Object *var_defaultMethodVisibility = getfromclosure(closure, 9);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doclass (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for doclass");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_localMinIndentLevel = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "localMinIndentLevel");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_cname = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "cname");
  Object *var_s = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "s");
  Object *var_csig = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "csig");
  Object *var_methodName = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "methodName");
  Object *var_dtype = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "dtype");
  Object *var_anns = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "anns");
  Object *var_body = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "body");
  Object *var_o = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "o");
// Begin line 2643
  setline(2643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2556
  setline(2556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8141 == NULL) {
    strlit8141 = alloc_String("class");
    gc_root(strlit8141);
  }
// compiled string node returning strlit8141 (depth = 5)
  int op_slot_right_8140 = gc_frame_newslot(strlit8141);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8143 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call8144 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe8143);
// compiled call node returning call8144 (depth = 6)
// compiled member node returning call8144 (depth = 5)
  int op_slot_left_8140 = gc_frame_newslot(call8144);
  params[0] = strlit8141;
  partcv[0] = 1;
  Object opresult8145 = callmethod(call8144, "==", 1, partcv, params);
// compiled op node returning opresult8145 (depth = 4)
  int op_slot_right_8139 = gc_frame_newslot(opresult8145);
// starting to compile call node (depth = 4)
  int callframe8147 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit8148 == NULL) {
    strlit8148 = alloc_String("keyword");
    gc_root(strlit8148);
  }
// compiled string node returning strlit8148 (depth = 5)
  gc_frame_newslot(strlit8148);
// call case 4: self request
  params[0] = strlit8148;
  partcv[0] = 1;
  Object call8149 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8147);
// compiled call node returning call8149 (depth = 4)
  int op_slot_left_8139 = gc_frame_newslot(call8149);
  params[0] = opresult8145;
  partcv[0] = 1;
  Object opresult8150 = callmethod(call8149, "&&", 1, partcv, params);
// compiled op node returning opresult8150 (depth = 3)
  Object if8138 = done;
  if (istrue(opresult8150)) {
// Begin line 2558
  setline(2558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2557
  setline(2557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2558
  setline(2558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8151 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8152 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8151);
// compiled call node returning call8152 (depth = 4)
// compiled member node returning call8152 (depth = 3)
// Begin line 2560
  setline(2560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2559
  setline(2559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_minIndentLevel (depth = 4)
  *var_localMinIndentLevel = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2577
  setline(2577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2560
  setline(2560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8155 == NULL) {
    strlit8155 = alloc_String("identifier");
    gc_root(strlit8155);
  }
// compiled string node returning strlit8155 (depth = 5)
  int op_slot_right_8154 = gc_frame_newslot(strlit8155);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8157 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call8158 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8157);
// compiled call node returning call8158 (depth = 6)
// compiled member node returning call8158 (depth = 5)
  int op_slot_left_8154 = gc_frame_newslot(call8158);
  params[0] = strlit8155;
  partcv[0] = 1;
  Object opresult8159 = callmethod(call8158, "!=", 1, partcv, params);
// compiled op node returning opresult8159 (depth = 4)
  Object if8153 = done;
  if (istrue(opresult8159)) {
// Begin line 2562
  setline(2562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 2561
  setline(2561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 5)
  Object array8160 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8160 (depth = 5)
  *var_suggestions = array8160;
  if (array8160 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 2574
  setline(2574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2562
  setline(2562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8163 == NULL) {
    strlit8163 = alloc_String("lbrace");
    gc_root(strlit8163);
  }
// compiled string node returning strlit8163 (depth = 6)
  int op_slot_right_8162 = gc_frame_newslot(strlit8163);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8165 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call8166 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8165);
// compiled call node returning call8166 (depth = 7)
// compiled member node returning call8166 (depth = 6)
  int op_slot_left_8162 = gc_frame_newslot(call8166);
  params[0] = strlit8163;
  partcv[0] = 1;
  Object opresult8167 = callmethod(call8166, "==", 1, partcv, params);
// compiled op node returning opresult8167 (depth = 5)
  Object if8161 = done;
  if (istrue(opresult8167)) {
// Begin line 2564
  setline(2564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// Begin line 2563
  setline(2563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8168 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8169 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call8170 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8169);
// compiled call node returning call8170 (depth = 9)
// compiled member node returning call8170 (depth = 8)
  partcv[0] = 0;
  Object call8171 = callmethod(call8170, "new",
    1, partcv, params);
  gc_frame_end(callframe8168);
// compiled call node returning call8171 (depth = 7)
// compiled member node returning call8171 (depth = 6)
  *var_suggestion = call8171;
  if (call8171 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 2564
  setline(2564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8172 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8173 == NULL) {
    strlit8173 = alloc_String(" ""\xc2""""\xab""class name""\xc2""""\xbb"".new");
    gc_root(strlit8173);
  }
// compiled string node returning strlit8173 (depth = 6)
  gc_frame_newslot(strlit8173);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit8173;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8174 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8172);
// compiled call node returning call8174 (depth = 5)
// Begin line 2565
  setline(2565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8175 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8176 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe8175);
// compiled call node returning call8176 (depth = 5)
// Begin line 2567
  setline(2567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2566
  setline(2566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8177 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8178 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call8179 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8178);
// compiled call node returning call8179 (depth = 9)
// compiled member node returning call8179 (depth = 8)
  partcv[0] = 0;
  Object call8180 = callmethod(call8179, "new",
    1, partcv, params);
  gc_frame_end(callframe8177);
// compiled call node returning call8180 (depth = 7)
// compiled member node returning call8180 (depth = 6)
  *var_suggestion = call8180;
  if (call8180 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 2567
  setline(2567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8182 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// starting to compile string node (depth = 6)
  if (strlit8183 == NULL) {
    strlit8183 = alloc_String("object");
    gc_root(strlit8183);
  }
// compiled string node returning strlit8183 (depth = 6)
  gc_frame_newslot(strlit8183);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_lastToken;
  params[1] = strlit8183;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8184 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe8182);
// compiled call node returning call8184 (depth = 5)
// Begin line 2568
  setline(2568);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8185 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8186 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe8185);
// compiled call node returning call8186 (depth = 5)
    gc_frame_newslot(call8186);
    if8161 = call8186;
  } else {
// Begin line 2571
  setline(2571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 2570
  setline(2570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8187 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8188 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call8189 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8188);
// compiled call node returning call8189 (depth = 9)
// compiled member node returning call8189 (depth = 8)
  partcv[0] = 0;
  Object call8190 = callmethod(call8189, "new",
    1, partcv, params);
  gc_frame_end(callframe8187);
// compiled call node returning call8190 (depth = 7)
// compiled member node returning call8190 (depth = 6)
  *var_suggestion = call8190;
  if (call8190 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2571
  setline(2571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8191 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8192 == NULL) {
    strlit8192 = alloc_String(" ""\xc2""""\xab""class name""\xc2""""\xbb"".new {}");
    gc_root(strlit8192);
  }
// compiled string node returning strlit8192 (depth = 6)
  gc_frame_newslot(strlit8192);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit8192;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8193 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8191);
// compiled call node returning call8193 (depth = 5)
// Begin line 2572
  setline(2572);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8194 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8195 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe8194);
// compiled call node returning call8195 (depth = 5)
    gc_frame_newslot(call8195);
    if8161 = call8195;
  }
// compiled if node returning if8161 (depth = 4)
// Begin line 2574
  setline(2574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8196 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit8197 == NULL) {
    strlit8197 = alloc_String("A class must have a name after the 'class'.");
    gc_root(strlit8197);
  }
// compiled string node returning strlit8197 (depth = 5)
  gc_frame_newslot(strlit8197);
// Begin line 2575
  setline(2575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8198 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call8199 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8198);
// compiled call node returning call8199 (depth = 6)
// compiled member node returning call8199 (depth = 5)
  gc_frame_newslot(call8199);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num8201 = alloc_Float64(1);
// compiled num node returning num8201 (depth = 6)
  int op_slot_right_8200 = gc_frame_newslot(num8201);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8204 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call8205 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8204);
// compiled call node returning call8205 (depth = 8)
// compiled member node returning call8205 (depth = 7)
  int op_slot_right_8203 = gc_frame_newslot(call8205);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8207 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call8208 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8207);
// compiled call node returning call8208 (depth = 8)
// compiled member node returning call8208 (depth = 7)
  int op_slot_left_8203 = gc_frame_newslot(call8208);
  params[0] = call8205;
  partcv[0] = 1;
  Object sum8209 = callmethod(call8208, "+", 1, partcv, params);
// compiled op node returning sum8209 (depth = 6)
  int op_slot_left_8200 = gc_frame_newslot(sum8209);
  params[0] = num8201;
  partcv[0] = 1;
  Object sum8210 = callmethod(sum8209, "+", 1, partcv, params);
// compiled op node returning sum8210 (depth = 5)
  gc_frame_newslot(sum8210);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 2574
  setline(2574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit8197;
  params[1] = call8199;
  params[2] = sum8210;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8211 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe8196);
// compiled call node returning call8211 (depth = 4)
    gc_frame_newslot(call8211);
    if8153 = call8211;
  } else {
  }
// compiled if node returning if8153 (depth = 3)
// Begin line 2593
  setline(2593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile if node (depth = 4)
// Begin line 2577
  setline(2577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8214 == NULL) {
    strlit8214 = alloc_String("dot");
    gc_root(strlit8214);
  }
// compiled string node returning strlit8214 (depth = 6)
  int op_slot_right_8213 = gc_frame_newslot(strlit8214);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8216 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8217 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tokens (depth = 10)
  partcv[0] = 0;
  Object call8218 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe8217);
// compiled call node returning call8218 (depth = 9)
// compiled member node returning call8218 (depth = 8)
  partcv[0] = 0;
  Object call8219 = callmethod(call8218, "kind",
    1, partcv, params);
  gc_frame_end(callframe8216);
// compiled call node returning call8219 (depth = 7)
// compiled member node returning call8219 (depth = 6)
  int op_slot_left_8213 = gc_frame_newslot(call8219);
  params[0] = strlit8214;
  partcv[0] = 1;
  Object opresult8220 = callmethod(call8219, "==", 1, partcv, params);
// compiled op node returning opresult8220 (depth = 5)
  Object if8212 = done;
struct StackFrameObject *iftmpstackframe8212 = stackframe;
  if (istrue(opresult8220)) {
stackframe = alloc_StackFrame(2, iftmpstackframe8212);
gc_frame_newslot((Object)stackframe);
  Object *var_cname_39_ = &(stackframe->slots[0]);
  setframeelementname(stackframe, 0, "cname'");
// Begin line 2578
  setline(2578);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8221 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8222 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8221);
// compiled call node returning call8222 (depth = 6)
// compiled member node returning call8222 (depth = 5)
// Begin line 2580
  setline(2580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 2579
  setline(2579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8223 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call8224 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8223);
// compiled call node returning call8224 (depth = 7)
// compiled member node returning call8224 (depth = 6)
  *var_cname_39_ = call8224;
  if (call8224 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2581
  setline(2581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2579
  setline(2579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8225 = gc_frame_new();
// Begin line 2580
  setline(2580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool8226 = alloc_Boolean(1);
// compiled identifier node returning bool8226 (depth = 7)
  gc_frame_newslot(bool8226);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_cname_39_ (depth = 7)
  params[0] = bool8226;
  partcv[0] = 1;
  Object call8227 = callmethod(*var_cname_39_, "isBindingOccurrence:=",
    1, partcv, params);
  gc_frame_end(callframe8225);
// compiled call node returning call8227 (depth = 6)
// compiled bind node returning done (depth = 5)
// Begin line 2588
  setline(2588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 2581
  setline(2581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8229 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 7)
  int callframe8230 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit8231 == NULL) {
    strlit8231 = alloc_String("dot");
    gc_root(strlit8231);
  }
// compiled string node returning strlit8231 (depth = 8)
  gc_frame_newslot(strlit8231);
// call case 4: self request
  params[0] = strlit8231;
  partcv[0] = 1;
  Object call8232 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8230);
// compiled call node returning call8232 (depth = 7)
  partcv[0] = 0;
  Object call8233 = callmethod(call8232, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe8229);
// compiled call node returning call8233 (depth = 6)
  Object if8228 = done;
  if (istrue(call8233)) {
// Begin line 2583
  setline(2583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 2582
  setline(2582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8234 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8235 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call8236 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8235);
// compiled call node returning call8236 (depth = 10)
// compiled member node returning call8236 (depth = 9)
  partcv[0] = 0;
  Object call8237 = callmethod(call8236, "new",
    1, partcv, params);
  gc_frame_end(callframe8234);
// compiled call node returning call8237 (depth = 8)
// compiled member node returning call8237 (depth = 7)
  *var_suggestion = call8237;
  if (call8237 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 2583
  setline(2583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8238 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile string node (depth = 7)
  if (strlit8239 == NULL) {
    strlit8239 = alloc_String(".");
    gc_root(strlit8239);
  }
// compiled string node returning strlit8239 (depth = 7)
  gc_frame_newslot(strlit8239);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = strlit8239;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8240 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe8238);
// compiled call node returning call8240 (depth = 6)
// Begin line 2584
  setline(2584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8241 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit8242 == NULL) {
    strlit8242 = alloc_String("A class must have a dot after the object name.");
    gc_root(strlit8242);
  }
// compiled string node returning strlit8242 (depth = 7)
  gc_frame_newslot(strlit8242);
// Begin line 2585
  setline(2585);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8243 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call8244 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8243);
// compiled call node returning call8244 (depth = 8)
// compiled member node returning call8244 (depth = 7)
  gc_frame_newslot(call8244);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8246 = alloc_Float64(1);
// compiled num node returning num8246 (depth = 8)
  int op_slot_right_8245 = gc_frame_newslot(num8246);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8249 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call8250 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8249);
// compiled call node returning call8250 (depth = 10)
// compiled member node returning call8250 (depth = 9)
  int op_slot_right_8248 = gc_frame_newslot(call8250);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8252 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call8253 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8252);
// compiled call node returning call8253 (depth = 10)
// compiled member node returning call8253 (depth = 9)
  int op_slot_left_8248 = gc_frame_newslot(call8253);
  params[0] = call8250;
  partcv[0] = 1;
  Object sum8254 = callmethod(call8253, "+", 1, partcv, params);
// compiled op node returning sum8254 (depth = 8)
  int op_slot_left_8245 = gc_frame_newslot(sum8254);
  params[0] = num8246;
  partcv[0] = 1;
  Object sum8255 = callmethod(sum8254, "+", 1, partcv, params);
// compiled op node returning sum8255 (depth = 7)
  gc_frame_newslot(sum8255);
// Begin line 2586
  setline(2586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2584
  setline(2584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit8242;
  params[1] = call8244;
  params[2] = sum8255;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8256 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8241);
// compiled call node returning call8256 (depth = 6)
    gc_frame_newslot(call8256);
    if8228 = call8256;
  } else {
  }
// compiled if node returning if8228 (depth = 5)
// Begin line 2588
  setline(2588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8257 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8258 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8257);
// compiled call node returning call8258 (depth = 6)
// compiled member node returning call8258 (depth = 5)
// Begin line 2589
  setline(2589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cname_39_ (depth = 5)
    gc_frame_newslot(*var_cname_39_);
    if8212 = *var_cname_39_;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe8212);
  gc_frame_newslot((Object)stackframe);
// Begin line 2591
  setline(2591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool8259 = alloc_Boolean(0);
// compiled identifier node returning bool8259 (depth = 5)
    gc_frame_newslot(bool8259);
    if8212 = bool8259;
  }
stackframe = iftmpstackframe8212;
// compiled if node returning if8212 (depth = 4)
  *var_cname = if8212;
  if (if8212 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2593
  setline(2593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8260 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool8261 = alloc_Boolean(0);
// compiled identifier node returning bool8261 (depth = 5)
  gc_frame_newslot(bool8261);
// call case 4: self request
  params[0] = bool8261;
  partcv[0] = 1;
  Object call8262 = callmethodflags(self, "methodsignature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8260);
// compiled call node returning call8262 (depth = 4)
  *var_s = call8262;
  if (call8262 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2595
  setline(2595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2594
  setline(2594);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8263 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  partcv[0] = 0;
  Object call8264 = callmethod(*var_s, "sig",
    1, partcv, params);
  gc_frame_end(callframe8263);
// compiled call node returning call8264 (depth = 5)
// compiled member node returning call8264 (depth = 4)
  *var_csig = call8264;
  if (call8264 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2596
  setline(2596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2595
  setline(2595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8265 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  partcv[0] = 0;
  Object call8266 = callmethod(*var_s, "m",
    1, partcv, params);
  gc_frame_end(callframe8265);
// compiled call node returning call8266 (depth = 5)
// compiled member node returning call8266 (depth = 4)
  *var_methodName = call8266;
  if (call8266 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2597
  setline(2597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2595
  setline(2595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8267 = gc_frame_new();
// Begin line 2596
  setline(2596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool8268 = alloc_Boolean(1);
// compiled identifier node returning bool8268 (depth = 5)
  gc_frame_newslot(bool8268);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_methodName (depth = 5)
  params[0] = bool8268;
  partcv[0] = 1;
  Object call8269 = callmethod(*var_methodName, "isBindingOccurrence:=",
    1, partcv, params);
  gc_frame_end(callframe8267);
// compiled call node returning call8269 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 2598
  setline(2598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2597
  setline(2597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8270 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  partcv[0] = 0;
  Object call8271 = callmethod(*var_s, "rtype",
    1, partcv, params);
  gc_frame_end(callframe8270);
// compiled call node returning call8271 (depth = 5)
// compiled member node returning call8271 (depth = 4)
  *var_dtype = call8271;
  if (call8271 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2599
  setline(2599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2598
  setline(2598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8272 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8273 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8272);
// compiled call node returning call8273 (depth = 5)
// compiled member node returning call8273 (depth = 4)
  *var_anns = call8273;
  if (call8273 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2605
  setline(2605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2599
  setline(2599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8275 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe8276 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8277 == NULL) {
    strlit8277 = alloc_String("lbrace");
    gc_root(strlit8277);
  }
// compiled string node returning strlit8277 (depth = 6)
  gc_frame_newslot(strlit8277);
// call case 4: self request
  params[0] = strlit8277;
  partcv[0] = 1;
  Object call8278 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8276);
// compiled call node returning call8278 (depth = 5)
  partcv[0] = 0;
  Object call8279 = callmethod(call8278, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe8275);
// compiled call node returning call8279 (depth = 4)
  Object if8274 = done;
  if (istrue(call8279)) {
// Begin line 2601
  setline(2601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 2600
  setline(2600);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8280 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8281 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call8282 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8281);
// compiled call node returning call8282 (depth = 8)
// compiled member node returning call8282 (depth = 7)
  partcv[0] = 0;
  Object call8283 = callmethod(call8282, "new",
    1, partcv, params);
  gc_frame_end(callframe8280);
// compiled call node returning call8283 (depth = 6)
// compiled member node returning call8283 (depth = 5)
  *var_suggestion = call8283;
  if (call8283 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 2601
  setline(2601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8284 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit8285 == NULL) {
    strlit8285 = alloc_String(" {");
    gc_root(strlit8285);
  }
// compiled string node returning strlit8285 (depth = 5)
  gc_frame_newslot(strlit8285);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit8285;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8286 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8284);
// compiled call node returning call8286 (depth = 4)
// Begin line 2602
  setline(2602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8287 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit8288 == NULL) {
    strlit8288 = alloc_String("A class must have a '{' after the method name.");
    gc_root(strlit8288);
  }
// compiled string node returning strlit8288 (depth = 5)
  gc_frame_newslot(strlit8288);
// Begin line 2603
  setline(2603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8289 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call8290 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8289);
// compiled call node returning call8290 (depth = 6)
// compiled member node returning call8290 (depth = 5)
  gc_frame_newslot(call8290);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num8292 = alloc_Float64(1);
// compiled num node returning num8292 (depth = 6)
  int op_slot_right_8291 = gc_frame_newslot(num8292);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8295 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call8296 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8295);
// compiled call node returning call8296 (depth = 8)
// compiled member node returning call8296 (depth = 7)
  int op_slot_right_8294 = gc_frame_newslot(call8296);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8298 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call8299 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8298);
// compiled call node returning call8299 (depth = 8)
// compiled member node returning call8299 (depth = 7)
  int op_slot_left_8294 = gc_frame_newslot(call8299);
  params[0] = call8296;
  partcv[0] = 1;
  Object sum8300 = callmethod(call8299, "+", 1, partcv, params);
// compiled op node returning sum8300 (depth = 6)
  int op_slot_left_8291 = gc_frame_newslot(sum8300);
  params[0] = num8292;
  partcv[0] = 1;
  Object sum8301 = callmethod(sum8300, "+", 1, partcv, params);
// compiled op node returning sum8301 (depth = 5)
  gc_frame_newslot(sum8301);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2602
  setline(2602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit8288;
  params[1] = call8290;
  params[2] = sum8301;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8302 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8287);
// compiled call node returning call8302 (depth = 4)
    gc_frame_newslot(call8302);
    if8274 = call8302;
  } else {
  }
// compiled if node returning if8274 (depth = 3)
// Begin line 2605
  setline(2605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8303 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8304 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8303);
// compiled call node returning call8304 (depth = 4)
// compiled member node returning call8304 (depth = 3)
// Begin line 2611
  setline(2611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2606
  setline(2606);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8307 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_statementToken (depth = 7)
  partcv[0] = 0;
  Object call8308 = callmethod(*var_statementToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8307);
// compiled call node returning call8308 (depth = 6)
// compiled member node returning call8308 (depth = 5)
  int op_slot_right_8306 = gc_frame_newslot(call8308);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8310 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call8311 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe8310);
// compiled call node returning call8311 (depth = 6)
// compiled member node returning call8311 (depth = 5)
  int op_slot_left_8306 = gc_frame_newslot(call8311);
  params[0] = call8308;
  partcv[0] = 1;
  Object opresult8312 = callmethod(call8311, "==", 1, partcv, params);
// compiled op node returning opresult8312 (depth = 4)
  Object if8305 = done;
  if (istrue(opresult8312)) {
// Begin line 2608
  setline(2608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 2607
  setline(2607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num8314 = alloc_Float64(1);
// compiled num node returning num8314 (depth = 6)
  int op_slot_right_8313 = gc_frame_newslot(num8314);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8316 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call8317 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8316);
// compiled call node returning call8317 (depth = 7)
// compiled member node returning call8317 (depth = 6)
  int op_slot_left_8313 = gc_frame_newslot(call8317);
  params[0] = num8314;
  partcv[0] = 1;
  Object diff8318 = callmethod(call8317, "-", 1, partcv, params);
// compiled op node returning diff8318 (depth = 5)
  *var_minIndentLevel = diff8318;
  if (diff8318 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8305 = done;
  } else {
// Begin line 2610
  setline(2610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 2609
  setline(2609);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num8321 = alloc_Float64(1);
// compiled num node returning num8321 (depth = 6)
  int op_slot_right_8320 = gc_frame_newslot(num8321);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8323 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_statementToken (depth = 8)
  partcv[0] = 0;
  Object call8324 = callmethod(*var_statementToken, "indent",
    1, partcv, params);
  gc_frame_end(callframe8323);
// compiled call node returning call8324 (depth = 7)
// compiled member node returning call8324 (depth = 6)
  int op_slot_left_8320 = gc_frame_newslot(call8324);
  params[0] = num8321;
  partcv[0] = 1;
  Object sum8325 = callmethod(call8324, "+", 1, partcv, params);
// compiled op node returning sum8325 (depth = 5)
  *var_minIndentLevel = sum8325;
  if (sum8325 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8305 = done;
  }
// compiled if node returning if8305 (depth = 3)
// Begin line 2612
  setline(2612);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2611
  setline(2611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array8327 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8327 (depth = 4)
  *var_body = array8327;
  if (array8327 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2612
  setline(2612);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8328 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block8329 = alloc_Block(NULL, NULL, "parser", 2612);
  gc_frame_newslot(block8329);
// method _apply
  block_savedest(block8329);
  Object closure8330 = createclosure(2, "_apply");
  setclosureframe(closure8330, stackframe);
  addtoclosure(closure8330, var_sym);
  addtoclosure(closure8330, selfslot);
  struct UserObject *uo8330 = (struct UserObject*)block8329;
  uo8330->data[0] = (Object)closure8330;
  Method *meth_meth_parser__apply8330 = addmethod2pos(block8329, "_apply", &meth_parser__apply8330, 0);
  int argcv_meth_parser__apply8330[] = {0};
  meth_meth_parser__apply8330->type = alloc_MethodType(1, argcv_meth_parser__apply8330);
  meth_meth_parser__apply8330->definitionModule = modulename;
  meth_meth_parser__apply8330->definitionLine = 2609;
// compiled block node returning block8329 (depth = 4)
  gc_frame_newslot(block8329);
// starting to compile block node (depth = 4)
  Object block8348 = alloc_Block(NULL, NULL, "parser", 2612);
  gc_frame_newslot(block8348);
// method _apply
  block_savedest(block8348);
  Object closure8349 = createclosure(3, "_apply");
  setclosureframe(closure8349, stackframe);
  addtoclosure(closure8349, var_values);
  addtoclosure(closure8349, var_body);
  addtoclosure(closure8349, selfslot);
  struct UserObject *uo8349 = (struct UserObject*)block8348;
  uo8349->data[0] = (Object)closure8349;
  Method *meth_meth_parser__apply8349 = addmethod2pos(block8348, "_apply", &meth_parser__apply8349, 0);
  int argcv_meth_parser__apply8349[] = {0};
  meth_meth_parser__apply8349->type = alloc_MethodType(1, argcv_meth_parser__apply8349);
  meth_meth_parser__apply8349->definitionModule = modulename;
  meth_meth_parser__apply8349->definitionLine = 2612;
// compiled block node returning block8348 (depth = 4)
  gc_frame_newslot(block8348);
// call case 5: prelude request
  params[0] = block8329;
  params[1] = block8348;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8393 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8328);
// compiled call node returning call8393 (depth = 3)
// Begin line 2623
  setline(2623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8394 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8395 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8394);
// compiled call node returning call8395 (depth = 4)
// compiled member node returning call8395 (depth = 3)
// Begin line 2624
  setline(2624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8396 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8397 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_btok (depth = 6)
  partcv[0] = 0;
  Object call8398 = callmethod(*var_btok, "line",
    1, partcv, params);
  gc_frame_end(callframe8397);
// compiled call node returning call8398 (depth = 5)
// compiled member node returning call8398 (depth = 4)
  gc_frame_newslot(call8398);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call8398;
  partcv[0] = 1;
  Object call8399 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe8396);
// compiled call node returning call8399 (depth = 3)
// Begin line 2631
  setline(2631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile if node (depth = 4)
// Begin line 2625
  setline(2625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cname (depth = 6)
  int op_slot_right_8401 = gc_frame_newslot(*var_cname);
// starting to compile identifier node (depth = 6)
  Object bool8403 = alloc_Boolean(0);
// compiled identifier node returning bool8403 (depth = 6)
  int op_slot_left_8401 = gc_frame_newslot(bool8403);
  params[0] = *var_cname;
  partcv[0] = 1;
  Object opresult8404 = callmethod(bool8403, "==", 1, partcv, params);
// compiled op node returning opresult8404 (depth = 5)
  Object if8400 = done;
struct StackFrameObject *iftmpstackframe8400 = stackframe;
  if (istrue(opresult8404)) {
stackframe = alloc_StackFrame(0, iftmpstackframe8400);
gc_frame_newslot((Object)stackframe);
// Begin line 2626
  setline(2626);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8405 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methodName (depth = 6)
  gc_frame_newslot(*var_methodName);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_csig (depth = 6)
  gc_frame_newslot(*var_csig);
// Begin line 2627
  setline(2627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 6)
  Object array8406 = alloc_BuiltinList();
  gc_pause();
// starting to compile call node (depth = 7)
  int callframe8407 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_body (depth = 8)
  gc_frame_newslot(*var_body);
// starting to compile identifier node (depth = 8)
  Object bool8408 = alloc_Boolean(0);
// compiled identifier node returning bool8408 (depth = 8)
  gc_frame_newslot(bool8408);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8409 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ast (depth = 10)
  partcv[0] = 0;
  Object call8410 = callmethod(*var_ast, "objectNode",
    1, partcv, params);
  gc_frame_end(callframe8409);
// compiled call node returning call8410 (depth = 9)
// compiled member node returning call8410 (depth = 8)
  params[0] = *var_body;
  params[1] = bool8408;
  partcv[0] = 2;
  Object call8411 = callmethod(call8410, "new",
    1, partcv, params);
  gc_frame_end(callframe8407);
// compiled call node returning call8411 (depth = 7)
  params[0] = call8411;
  partcv[0] = 1;
  callmethod(array8406, "push", 1, partcv, params);
  gc_unpause();
// compiled array node returning array8406 (depth = 6)
  gc_frame_newslot(array8406);
// starting to compile identifier node (depth = 6)
  Object bool8412 = alloc_Boolean(0);
// compiled identifier node returning bool8412 (depth = 6)
  gc_frame_newslot(bool8412);
// call case 6: other member request
// Begin line 2626
  setline(2626);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8413 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ast (depth = 8)
  partcv[0] = 0;
  Object call8414 = callmethod(*var_ast, "methodNode",
    1, partcv, params);
  gc_frame_end(callframe8413);
// compiled call node returning call8414 (depth = 7)
// compiled member node returning call8414 (depth = 6)
  params[0] = *var_methodName;
  params[1] = *var_csig;
  params[2] = array8406;
  params[3] = bool8412;
  partcv[0] = 4;
  Object call8415 = callmethod(call8414, "new",
    1, partcv, params);
  gc_frame_end(callframe8405);
// compiled call node returning call8415 (depth = 5)
    gc_frame_newslot(call8415);
    if8400 = call8415;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe8400);
  gc_frame_newslot((Object)stackframe);
// Begin line 2629
  setline(2629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8416 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cname (depth = 6)
  gc_frame_newslot(*var_cname);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_csig (depth = 6)
  gc_frame_newslot(*var_csig);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_body (depth = 6)
  gc_frame_newslot(*var_body);
// starting to compile identifier node (depth = 6)
  Object bool8417 = alloc_Boolean(0);
// compiled identifier node returning bool8417 (depth = 6)
  gc_frame_newslot(bool8417);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methodName (depth = 6)
  gc_frame_newslot(*var_methodName);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_dtype (depth = 6)
  gc_frame_newslot(*var_dtype);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8418 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ast (depth = 8)
  partcv[0] = 0;
  Object call8419 = callmethod(*var_ast, "classNode",
    1, partcv, params);
  gc_frame_end(callframe8418);
// compiled call node returning call8419 (depth = 7)
// compiled member node returning call8419 (depth = 6)
  params[0] = *var_cname;
  params[1] = *var_csig;
  params[2] = *var_body;
  params[3] = bool8417;
  params[4] = *var_methodName;
  params[5] = *var_dtype;
  partcv[0] = 6;
  Object call8420 = callmethod(call8419, "new",
    1, partcv, params);
  gc_frame_end(callframe8416);
// compiled call node returning call8420 (depth = 5)
    gc_frame_newslot(call8420);
    if8400 = call8420;
  }
stackframe = iftmpstackframe8400;
// compiled if node returning if8400 (depth = 4)
  *var_o = if8400;
  if (if8400 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2632
  setline(2632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2629
  setline(2629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8421 = gc_frame_new();
// Begin line 2631
  setline(2631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8422 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  partcv[0] = 0;
  Object call8423 = callmethod(*var_s, "generics",
    1, partcv, params);
  gc_frame_end(callframe8422);
// compiled call node returning call8423 (depth = 6)
// compiled member node returning call8423 (depth = 5)
  gc_frame_newslot(call8423);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  params[0] = call8423;
  partcv[0] = 1;
  Object call8424 = callmethod(*var_o, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe8421);
// compiled call node returning call8424 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 2640
  setline(2640);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2632
  setline(2632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  int op_slot_right_8426 = gc_frame_newslot(*var_anns);
// starting to compile identifier node (depth = 5)
  Object bool8428 = alloc_Boolean(0);
// compiled identifier node returning bool8428 (depth = 5)
  int op_slot_left_8426 = gc_frame_newslot(bool8428);
  params[0] = *var_anns;
  partcv[0] = 1;
  Object opresult8429 = callmethod(bool8428, "!=", 1, partcv, params);
// compiled op node returning opresult8429 (depth = 4)
  Object if8425 = done;
  if (istrue(opresult8429)) {
// Begin line 2633
  setline(2633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8430 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  gc_frame_newslot(*var_anns);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8431 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  partcv[0] = 0;
  Object call8432 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe8431);
// compiled call node returning call8432 (depth = 6)
// compiled member node returning call8432 (depth = 5)
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call8433 = callmethod(call8432, "extend",
    1, partcv, params);
  gc_frame_end(callframe8430);
// compiled call node returning call8433 (depth = 4)
    gc_frame_newslot(call8433);
    if8425 = call8433;
  } else {
// Begin line 2639
  setline(2639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2635
  setline(2635);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8436 == NULL) {
    strlit8436 = alloc_String("confidential");
    gc_root(strlit8436);
  }
// compiled string node returning strlit8436 (depth = 6)
  int op_slot_right_8435 = gc_frame_newslot(strlit8436);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_defaultMethodVisibility (depth = 6)
  int op_slot_left_8435 = gc_frame_newslot(*var_defaultMethodVisibility);
  params[0] = strlit8436;
  partcv[0] = 1;
  Object opresult8438 = callmethod(*var_defaultMethodVisibility, "==", 1, partcv, params);
// compiled op node returning opresult8438 (depth = 5)
  Object if8434 = done;
  if (istrue(opresult8438)) {
// Begin line 2636
  setline(2636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8439 = gc_frame_new();
// starting to compile call node (depth = 6)
  int callframe8440 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit8441 == NULL) {
    strlit8441 = alloc_String("confidential");
    gc_root(strlit8441);
  }
// compiled string node returning strlit8441 (depth = 7)
  gc_frame_newslot(strlit8441);
// Begin line 2637
  setline(2637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool8442 = alloc_Boolean(0);
// compiled identifier node returning bool8442 (depth = 7)
  gc_frame_newslot(bool8442);
// call case 6: other member request
// Begin line 2636
  setline(2636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8443 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ast (depth = 9)
  partcv[0] = 0;
  Object call8444 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe8443);
// compiled call node returning call8444 (depth = 8)
// compiled member node returning call8444 (depth = 7)
  params[0] = strlit8441;
  params[1] = bool8442;
  partcv[0] = 2;
  Object call8445 = callmethod(call8444, "new",
    1, partcv, params);
  gc_frame_end(callframe8440);
// compiled call node returning call8445 (depth = 6)
  gc_frame_newslot(call8445);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8446 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_o (depth = 8)
  partcv[0] = 0;
  Object call8447 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe8446);
// compiled call node returning call8447 (depth = 7)
// compiled member node returning call8447 (depth = 6)
  params[0] = call8445;
  partcv[0] = 1;
  Object call8448 = callmethod(call8447, "push",
    1, partcv, params);
  gc_frame_end(callframe8439);
// compiled call node returning call8448 (depth = 5)
    gc_frame_newslot(call8448);
    if8434 = call8448;
  } else {
  }
// compiled if node returning if8434 (depth = 4)
    gc_frame_newslot(if8434);
    if8425 = if8434;
  }
// compiled if node returning if8425 (depth = 3)
// Begin line 2640
  setline(2640);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8449 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call8450 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe8449);
// compiled call node returning call8450 (depth = 3)
// Begin line 2642
  setline(2642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2641
  setline(2641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_localMinIndentLevel (depth = 4)
  *var_minIndentLevel = *var_localMinIndentLevel;
  if (*var_localMinIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if8138 = done;
  } else {
  }
// compiled if node returning if8138 (depth = 2)
  gc_frame_end(frame);
  return if8138;
}
Object meth_parser__apply8456(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2649
  setline(2649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8458 == NULL) {
    strlit8458 = alloc_String("method");
    gc_root(strlit8458);
  }
// compiled string node returning strlit8458 (depth = 6)
  int op_slot_right_8457 = gc_frame_newslot(strlit8458);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8460 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8461 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tokens (depth = 10)
  partcv[0] = 0;
  Object call8462 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe8461);
// compiled call node returning call8462 (depth = 9)
// compiled member node returning call8462 (depth = 8)
  partcv[0] = 0;
  Object call8463 = callmethod(call8462, "value",
    1, partcv, params);
  gc_frame_end(callframe8460);
// compiled call node returning call8463 (depth = 7)
// compiled member node returning call8463 (depth = 6)
  int op_slot_left_8457 = gc_frame_newslot(call8463);
  params[0] = strlit8458;
  partcv[0] = 1;
  Object opresult8464 = callmethod(call8463, "==", 1, partcv, params);
// compiled op node returning opresult8464 (depth = 5)
  gc_frame_end(frame);
  return opresult8464;
}
Object meth_parser__apply8468(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2648
  setline(2648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8470 == NULL) {
    strlit8470 = alloc_String("keyword");
    gc_root(strlit8470);
  }
// compiled string node returning strlit8470 (depth = 7)
  int op_slot_right_8469 = gc_frame_newslot(strlit8470);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8472 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8473 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tokens (depth = 11)
  partcv[0] = 0;
  Object call8474 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe8473);
// compiled call node returning call8474 (depth = 10)
// compiled member node returning call8474 (depth = 9)
  partcv[0] = 0;
  Object call8475 = callmethod(call8474, "kind",
    1, partcv, params);
  gc_frame_end(callframe8472);
// compiled call node returning call8475 (depth = 8)
// compiled member node returning call8475 (depth = 7)
  int op_slot_left_8469 = gc_frame_newslot(call8475);
  params[0] = strlit8470;
  partcv[0] = 1;
  Object opresult8476 = callmethod(call8475, "==", 1, partcv, params);
// compiled op node returning opresult8476 (depth = 6)
  gc_frame_end(frame);
  return opresult8476;
}
Object meth_parser__apply8625(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8626 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 7)
  int callframe8627 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit8628 == NULL) {
    strlit8628 = alloc_String("rbrace");
    gc_root(strlit8628);
  }
// compiled string node returning strlit8628 (depth = 8)
  gc_frame_newslot(strlit8628);
// call case 4: self request
  params[0] = strlit8628;
  partcv[0] = 1;
  Object call8629 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8627);
// compiled call node returning call8629 (depth = 7)
  partcv[0] = 0;
  Object call8630 = callmethod(call8629, "not",
    1, partcv, params);
  gc_frame_end(callframe8626);
// compiled call node returning call8630 (depth = 6)
// compiled member node returning call8630 (depth = 5)
  gc_frame_end(frame);
  return call8630;
}
Object meth_parser__apply8636(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8637 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8638 = callmethodflags(self, "methoddec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8637);
// compiled call node returning call8638 (depth = 8)
// compiled member node returning call8638 (depth = 7)
  gc_frame_end(frame);
  return call8638;
}
Object meth_parser__apply8641(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2692
  setline(2692);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe8642 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8643 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  partcv[0] = 0;
  Object call8644 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8643);
// compiled call node returning call8644 (depth = 9)
// compiled member node returning call8644 (depth = 8)
  gc_frame_newslot(call8644);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_body (depth = 8)
  params[0] = call8644;
  partcv[0] = 1;
  Object call8645 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8642);
// compiled call node returning call8645 (depth = 7)
  gc_frame_end(frame);
  return call8645;
}
Object meth_parser__apply8650(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8651 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8652 = callmethodflags(self, "inheritsdec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8651);
// compiled call node returning call8652 (depth = 8)
// compiled member node returning call8652 (depth = 7)
  gc_frame_end(frame);
  return call8652;
}
Object meth_parser__apply8655(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2695
  setline(2695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe8656 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8657 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  partcv[0] = 0;
  Object call8658 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8657);
// compiled call node returning call8658 (depth = 9)
// compiled member node returning call8658 (depth = 8)
  gc_frame_newslot(call8658);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_body (depth = 8)
  params[0] = call8658;
  partcv[0] = 1;
  Object call8659 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8656);
// compiled call node returning call8659 (depth = 7)
  gc_frame_end(frame);
  return call8659;
}
Object meth_parser__apply8664(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8665 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8666 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8665);
// compiled call node returning call8666 (depth = 8)
// compiled member node returning call8666 (depth = 7)
  gc_frame_end(frame);
  return call8666;
}
Object meth_parser__apply8669(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2698
  setline(2698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe8670 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8671 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  partcv[0] = 0;
  Object call8672 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8671);
// compiled call node returning call8672 (depth = 9)
// compiled member node returning call8672 (depth = 8)
  gc_frame_newslot(call8672);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_body (depth = 8)
  params[0] = call8672;
  partcv[0] = 1;
  Object call8673 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8670);
// compiled call node returning call8673 (depth = 7)
  gc_frame_end(frame);
  return call8673;
}
Object meth_parser__apply8633(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2691
  setline(2691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8634 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block8635 = alloc_Block(NULL, NULL, "parser", 2691);
  gc_frame_newslot(block8635);
// method _apply
  block_savedest(block8635);
  Object closure8636 = createclosure(1, "_apply");
  setclosureframe(closure8636, stackframe);
  addtoclosure(closure8636, selfslot);
  struct UserObject *uo8636 = (struct UserObject*)block8635;
  uo8636->data[0] = (Object)closure8636;
  Method *meth_meth_parser__apply8636 = addmethod2pos(block8635, "_apply", &meth_parser__apply8636, 0);
  int argcv_meth_parser__apply8636[] = {0};
  meth_meth_parser__apply8636->type = alloc_MethodType(1, argcv_meth_parser__apply8636);
  meth_meth_parser__apply8636->definitionModule = modulename;
  meth_meth_parser__apply8636->definitionLine = 2690;
// compiled block node returning block8635 (depth = 6)
  gc_frame_newslot(block8635);
// starting to compile block node (depth = 6)
  Object block8640 = alloc_Block(NULL, NULL, "parser", 2691);
  gc_frame_newslot(block8640);
// method _apply
  block_savedest(block8640);
  Object closure8641 = createclosure(3, "_apply");
  setclosureframe(closure8641, stackframe);
  addtoclosure(closure8641, var_values);
  addtoclosure(closure8641, var_body);
  addtoclosure(closure8641, selfslot);
  struct UserObject *uo8641 = (struct UserObject*)block8640;
  uo8641->data[0] = (Object)closure8641;
  Method *meth_meth_parser__apply8641 = addmethod2pos(block8640, "_apply", &meth_parser__apply8641, 0);
  int argcv_meth_parser__apply8641[] = {0};
  meth_meth_parser__apply8641->type = alloc_MethodType(1, argcv_meth_parser__apply8641);
  meth_meth_parser__apply8641->definitionModule = modulename;
  meth_meth_parser__apply8641->definitionLine = 2691;
// compiled block node returning block8640 (depth = 6)
  gc_frame_newslot(block8640);
// call case 4: self request
  params[0] = block8635;
  params[1] = block8640;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8647 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8634);
// compiled call node returning call8647 (depth = 5)
// Begin line 2694
  setline(2694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8648 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block8649 = alloc_Block(NULL, NULL, "parser", 2694);
  gc_frame_newslot(block8649);
// method _apply
  block_savedest(block8649);
  Object closure8650 = createclosure(1, "_apply");
  setclosureframe(closure8650, stackframe);
  addtoclosure(closure8650, selfslot);
  struct UserObject *uo8650 = (struct UserObject*)block8649;
  uo8650->data[0] = (Object)closure8650;
  Method *meth_meth_parser__apply8650 = addmethod2pos(block8649, "_apply", &meth_parser__apply8650, 0);
  int argcv_meth_parser__apply8650[] = {0};
  meth_meth_parser__apply8650->type = alloc_MethodType(1, argcv_meth_parser__apply8650);
  meth_meth_parser__apply8650->definitionModule = modulename;
  meth_meth_parser__apply8650->definitionLine = 2692;
// compiled block node returning block8649 (depth = 6)
  gc_frame_newslot(block8649);
// starting to compile block node (depth = 6)
  Object block8654 = alloc_Block(NULL, NULL, "parser", 2694);
  gc_frame_newslot(block8654);
// method _apply
  block_savedest(block8654);
  Object closure8655 = createclosure(3, "_apply");
  setclosureframe(closure8655, stackframe);
  addtoclosure(closure8655, var_values);
  addtoclosure(closure8655, var_body);
  addtoclosure(closure8655, selfslot);
  struct UserObject *uo8655 = (struct UserObject*)block8654;
  uo8655->data[0] = (Object)closure8655;
  Method *meth_meth_parser__apply8655 = addmethod2pos(block8654, "_apply", &meth_parser__apply8655, 0);
  int argcv_meth_parser__apply8655[] = {0};
  meth_meth_parser__apply8655->type = alloc_MethodType(1, argcv_meth_parser__apply8655);
  meth_meth_parser__apply8655->definitionModule = modulename;
  meth_meth_parser__apply8655->definitionLine = 2694;
// compiled block node returning block8654 (depth = 6)
  gc_frame_newslot(block8654);
// call case 4: self request
  params[0] = block8649;
  params[1] = block8654;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8661 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8648);
// compiled call node returning call8661 (depth = 5)
// Begin line 2697
  setline(2697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8662 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block8663 = alloc_Block(NULL, NULL, "parser", 2697);
  gc_frame_newslot(block8663);
// method _apply
  block_savedest(block8663);
  Object closure8664 = createclosure(1, "_apply");
  setclosureframe(closure8664, stackframe);
  addtoclosure(closure8664, selfslot);
  struct UserObject *uo8664 = (struct UserObject*)block8663;
  uo8664->data[0] = (Object)closure8664;
  Method *meth_meth_parser__apply8664 = addmethod2pos(block8663, "_apply", &meth_parser__apply8664, 0);
  int argcv_meth_parser__apply8664[] = {0};
  meth_meth_parser__apply8664->type = alloc_MethodType(1, argcv_meth_parser__apply8664);
  meth_meth_parser__apply8664->definitionModule = modulename;
  meth_meth_parser__apply8664->definitionLine = 2695;
// compiled block node returning block8663 (depth = 6)
  gc_frame_newslot(block8663);
// starting to compile block node (depth = 6)
  Object block8668 = alloc_Block(NULL, NULL, "parser", 2697);
  gc_frame_newslot(block8668);
// method _apply
  block_savedest(block8668);
  Object closure8669 = createclosure(3, "_apply");
  setclosureframe(closure8669, stackframe);
  addtoclosure(closure8669, var_values);
  addtoclosure(closure8669, var_body);
  addtoclosure(closure8669, selfslot);
  struct UserObject *uo8669 = (struct UserObject*)block8668;
  uo8669->data[0] = (Object)closure8669;
  Method *meth_meth_parser__apply8669 = addmethod2pos(block8668, "_apply", &meth_parser__apply8669, 0);
  int argcv_meth_parser__apply8669[] = {0};
  meth_meth_parser__apply8669->type = alloc_MethodType(1, argcv_meth_parser__apply8669);
  meth_meth_parser__apply8669->definitionModule = modulename;
  meth_meth_parser__apply8669->definitionLine = 2697;
// compiled block node returning block8668 (depth = 6)
  gc_frame_newslot(block8668);
// call case 4: self request
  params[0] = block8663;
  params[1] = block8668;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8675 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8662);
// compiled call node returning call8675 (depth = 5)
  gc_frame_end(frame);
  return call8675;
}
Object meth_parser_dofactoryMethod8452(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 53, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(15, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dofactoryMethod");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_tokens = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_minIndentLevel = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_statementToken = getfromclosure(closure, 5);
  Object *var_values = getfromclosure(closure, 6);
  Object *var_util = getfromclosure(closure, 7);
  Object *var_ast = getfromclosure(closure, 8);
  Object *var_collections = getfromclosure(closure, 9);
  Object *var_defaultMethodVisibility = getfromclosure(closure, 10);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dofactoryMethod (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for dofactoryMethod");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_localMinIndentLevel = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "localMinIndentLevel");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_s = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "s");
  Object *var_csig = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "csig");
  Object *var_methodName = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "methodName");
  Object *var_dtype = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "dtype");
  Object *var_anns = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "anns");
  Object *var_body = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "body");
  Object *var_obj = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "obj");
  Object *var_meth = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "meth");
// Begin line 2718
  setline(2718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2648
  setline(2648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8454 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block8455 = alloc_Block(NULL, NULL, "parser", 2648);
  gc_frame_newslot(block8455);
// method _apply
  block_savedest(block8455);
  Object closure8456 = createclosure(2, "_apply");
  setclosureframe(closure8456, stackframe);
  addtoclosure(closure8456, var_tokens);
  addtoclosure(closure8456, selfslot);
  struct UserObject *uo8456 = (struct UserObject*)block8455;
  uo8456->data[0] = (Object)closure8456;
  Method *meth_meth_parser__apply8456 = addmethod2pos(block8455, "_apply", &meth_parser__apply8456, 0);
  int argcv_meth_parser__apply8456[] = {0};
  meth_meth_parser__apply8456->type = alloc_MethodType(1, argcv_meth_parser__apply8456);
  meth_meth_parser__apply8456->definitionModule = modulename;
  meth_meth_parser__apply8456->definitionLine = 2636;
// compiled block node returning block8455 (depth = 4)
  gc_frame_newslot(block8455);
// call case 6: other member request
// Begin line 2647
  setline(2647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8466 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block8467 = alloc_Block(NULL, NULL, "parser", 2647);
  gc_frame_newslot(block8467);
// method _apply
  block_savedest(block8467);
  Object closure8468 = createclosure(2, "_apply");
  setclosureframe(closure8468, stackframe);
  addtoclosure(closure8468, var_tokens);
  addtoclosure(closure8468, selfslot);
  struct UserObject *uo8468 = (struct UserObject*)block8467;
  uo8468->data[0] = (Object)closure8468;
  Method *meth_meth_parser__apply8468 = addmethod2pos(block8467, "_apply", &meth_parser__apply8468, 0);
  int argcv_meth_parser__apply8468[] = {0};
  meth_meth_parser__apply8468->type = alloc_MethodType(1, argcv_meth_parser__apply8468);
  meth_meth_parser__apply8468->definitionModule = modulename;
  meth_meth_parser__apply8468->definitionLine = 2649;
// compiled block node returning block8467 (depth = 5)
  gc_frame_newslot(block8467);
// call case 6: other member request
// Begin line 2647
  setline(2647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8480 == NULL) {
    strlit8480 = alloc_String("factory");
    gc_root(strlit8480);
  }
// compiled string node returning strlit8480 (depth = 7)
  int op_slot_right_8479 = gc_frame_newslot(strlit8480);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8482 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call8483 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe8482);
// compiled call node returning call8483 (depth = 8)
// compiled member node returning call8483 (depth = 7)
  int op_slot_left_8479 = gc_frame_newslot(call8483);
  params[0] = strlit8480;
  partcv[0] = 1;
  Object opresult8484 = callmethod(call8483, "==", 1, partcv, params);
// compiled op node returning opresult8484 (depth = 6)
  int op_slot_right_8478 = gc_frame_newslot(opresult8484);
// starting to compile call node (depth = 6)
  int callframe8486 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit8487 == NULL) {
    strlit8487 = alloc_String("keyword");
    gc_root(strlit8487);
  }
// compiled string node returning strlit8487 (depth = 7)
  gc_frame_newslot(strlit8487);
// call case 4: self request
  params[0] = strlit8487;
  partcv[0] = 1;
  Object call8488 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8486);
// compiled call node returning call8488 (depth = 6)
  int op_slot_left_8478 = gc_frame_newslot(call8488);
  params[0] = opresult8484;
  partcv[0] = 1;
  Object opresult8489 = callmethod(call8488, "&&", 1, partcv, params);
// compiled op node returning opresult8489 (depth = 5)
  params[0] = block8467;
  partcv[0] = 1;
  Object call8490 = callmethod(opresult8489, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe8466);
// compiled call node returning call8490 (depth = 4)
  params[0] = block8455;
  partcv[0] = 1;
  Object call8491 = callmethod(call8490, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe8454);
// compiled call node returning call8491 (depth = 3)
  Object if8453 = done;
  if (istrue(call8491)) {
// Begin line 2651
  setline(2651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2650
  setline(2650);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2651
  setline(2651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8492 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8493 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8492);
// compiled call node returning call8493 (depth = 4)
// compiled member node returning call8493 (depth = 3)
// Begin line 2652
  setline(2652);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8494 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8495 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8494);
// compiled call node returning call8495 (depth = 4)
// compiled member node returning call8495 (depth = 3)
// Begin line 2654
  setline(2654);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2653
  setline(2653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_minIndentLevel (depth = 4)
  *var_localMinIndentLevel = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2671
  setline(2671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2654
  setline(2654);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8498 == NULL) {
    strlit8498 = alloc_String("identifier");
    gc_root(strlit8498);
  }
// compiled string node returning strlit8498 (depth = 5)
  int op_slot_right_8497 = gc_frame_newslot(strlit8498);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8500 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call8501 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8500);
// compiled call node returning call8501 (depth = 6)
// compiled member node returning call8501 (depth = 5)
  int op_slot_left_8497 = gc_frame_newslot(call8501);
  params[0] = strlit8498;
  partcv[0] = 1;
  Object opresult8502 = callmethod(call8501, "!=", 1, partcv, params);
// compiled op node returning opresult8502 (depth = 4)
  Object if8496 = done;
  if (istrue(opresult8502)) {
// Begin line 2656
  setline(2656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 2655
  setline(2655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 5)
  Object array8503 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8503 (depth = 5)
  *var_suggestions = array8503;
  if (array8503 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 2668
  setline(2668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2656
  setline(2656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8506 == NULL) {
    strlit8506 = alloc_String("lbrace");
    gc_root(strlit8506);
  }
// compiled string node returning strlit8506 (depth = 6)
  int op_slot_right_8505 = gc_frame_newslot(strlit8506);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8508 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call8509 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8508);
// compiled call node returning call8509 (depth = 7)
// compiled member node returning call8509 (depth = 6)
  int op_slot_left_8505 = gc_frame_newslot(call8509);
  params[0] = strlit8506;
  partcv[0] = 1;
  Object opresult8510 = callmethod(call8509, "==", 1, partcv, params);
// compiled op node returning opresult8510 (depth = 5)
  Object if8504 = done;
  if (istrue(opresult8510)) {
// Begin line 2658
  setline(2658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// Begin line 2657
  setline(2657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8511 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8512 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call8513 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8512);
// compiled call node returning call8513 (depth = 9)
// compiled member node returning call8513 (depth = 8)
  partcv[0] = 0;
  Object call8514 = callmethod(call8513, "new",
    1, partcv, params);
  gc_frame_end(callframe8511);
// compiled call node returning call8514 (depth = 7)
// compiled member node returning call8514 (depth = 6)
  *var_suggestion = call8514;
  if (call8514 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 2658
  setline(2658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8515 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8516 == NULL) {
    strlit8516 = alloc_String(" ""\xc2""""\xab""method name""\xc2""""\xbb""");
    gc_root(strlit8516);
  }
// compiled string node returning strlit8516 (depth = 6)
  gc_frame_newslot(strlit8516);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit8516;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8517 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8515);
// compiled call node returning call8517 (depth = 5)
// Begin line 2659
  setline(2659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8518 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8519 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe8518);
// compiled call node returning call8519 (depth = 5)
// Begin line 2661
  setline(2661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2660
  setline(2660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8520 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8521 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call8522 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8521);
// compiled call node returning call8522 (depth = 9)
// compiled member node returning call8522 (depth = 8)
  partcv[0] = 0;
  Object call8523 = callmethod(call8522, "new",
    1, partcv, params);
  gc_frame_end(callframe8520);
// compiled call node returning call8523 (depth = 7)
// compiled member node returning call8523 (depth = 6)
  *var_suggestion = call8523;
  if (call8523 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 2661
  setline(2661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8525 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// starting to compile string node (depth = 6)
  if (strlit8526 == NULL) {
    strlit8526 = alloc_String("object");
    gc_root(strlit8526);
  }
// compiled string node returning strlit8526 (depth = 6)
  gc_frame_newslot(strlit8526);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_lastToken;
  params[1] = strlit8526;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8527 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe8525);
// compiled call node returning call8527 (depth = 5)
// Begin line 2662
  setline(2662);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8528 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8529 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe8528);
// compiled call node returning call8529 (depth = 5)
    gc_frame_newslot(call8529);
    if8504 = call8529;
  } else {
// Begin line 2665
  setline(2665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 2664
  setline(2664);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8530 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8531 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call8532 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8531);
// compiled call node returning call8532 (depth = 9)
// compiled member node returning call8532 (depth = 8)
  partcv[0] = 0;
  Object call8533 = callmethod(call8532, "new",
    1, partcv, params);
  gc_frame_end(callframe8530);
// compiled call node returning call8533 (depth = 7)
// compiled member node returning call8533 (depth = 6)
  *var_suggestion = call8533;
  if (call8533 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2665
  setline(2665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8534 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8535 == NULL) {
    strlit8535 = alloc_String(" ""\xc2""""\xab""method name""\xc2""""\xbb"" {}");
    gc_root(strlit8535);
  }
// compiled string node returning strlit8535 (depth = 6)
  gc_frame_newslot(strlit8535);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit8535;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8536 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8534);
// compiled call node returning call8536 (depth = 5)
// Begin line 2666
  setline(2666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8537 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8538 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe8537);
// compiled call node returning call8538 (depth = 5)
    gc_frame_newslot(call8538);
    if8504 = call8538;
  }
// compiled if node returning if8504 (depth = 4)
// Begin line 2668
  setline(2668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8539 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit8540 == NULL) {
    strlit8540 = alloc_String("A factory method must have a name after the 'method'.");
    gc_root(strlit8540);
  }
// compiled string node returning strlit8540 (depth = 5)
  gc_frame_newslot(strlit8540);
// Begin line 2669
  setline(2669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8541 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call8542 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8541);
// compiled call node returning call8542 (depth = 6)
// compiled member node returning call8542 (depth = 5)
  gc_frame_newslot(call8542);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num8544 = alloc_Float64(1);
// compiled num node returning num8544 (depth = 6)
  int op_slot_right_8543 = gc_frame_newslot(num8544);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8547 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call8548 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8547);
// compiled call node returning call8548 (depth = 8)
// compiled member node returning call8548 (depth = 7)
  int op_slot_right_8546 = gc_frame_newslot(call8548);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8550 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call8551 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8550);
// compiled call node returning call8551 (depth = 8)
// compiled member node returning call8551 (depth = 7)
  int op_slot_left_8546 = gc_frame_newslot(call8551);
  params[0] = call8548;
  partcv[0] = 1;
  Object sum8552 = callmethod(call8551, "+", 1, partcv, params);
// compiled op node returning sum8552 (depth = 6)
  int op_slot_left_8543 = gc_frame_newslot(sum8552);
  params[0] = num8544;
  partcv[0] = 1;
  Object sum8553 = callmethod(sum8552, "+", 1, partcv, params);
// compiled op node returning sum8553 (depth = 5)
  gc_frame_newslot(sum8553);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 2668
  setline(2668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit8540;
  params[1] = call8542;
  params[2] = sum8553;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8554 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe8539);
// compiled call node returning call8554 (depth = 4)
    gc_frame_newslot(call8554);
    if8496 = call8554;
  } else {
  }
// compiled if node returning if8496 (depth = 3)
// Begin line 2671
  setline(2671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8555 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool8556 = alloc_Boolean(0);
// compiled identifier node returning bool8556 (depth = 5)
  gc_frame_newslot(bool8556);
// call case 4: self request
  params[0] = bool8556;
  partcv[0] = 1;
  Object call8557 = callmethodflags(self, "methodsignature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8555);
// compiled call node returning call8557 (depth = 4)
  *var_s = call8557;
  if (call8557 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2673
  setline(2673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2672
  setline(2672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8558 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  partcv[0] = 0;
  Object call8559 = callmethod(*var_s, "sig",
    1, partcv, params);
  gc_frame_end(callframe8558);
// compiled call node returning call8559 (depth = 5)
// compiled member node returning call8559 (depth = 4)
  *var_csig = call8559;
  if (call8559 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2674
  setline(2674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2673
  setline(2673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8560 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  partcv[0] = 0;
  Object call8561 = callmethod(*var_s, "m",
    1, partcv, params);
  gc_frame_end(callframe8560);
// compiled call node returning call8561 (depth = 5)
// compiled member node returning call8561 (depth = 4)
  *var_methodName = call8561;
  if (call8561 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2675
  setline(2675);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2673
  setline(2673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8562 = gc_frame_new();
// Begin line 2674
  setline(2674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool8563 = alloc_Boolean(1);
// compiled identifier node returning bool8563 (depth = 5)
  gc_frame_newslot(bool8563);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_methodName (depth = 5)
  params[0] = bool8563;
  partcv[0] = 1;
  Object call8564 = callmethod(*var_methodName, "isBindingOccurrence:=",
    1, partcv, params);
  gc_frame_end(callframe8562);
// compiled call node returning call8564 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 2676
  setline(2676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2675
  setline(2675);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8565 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  partcv[0] = 0;
  Object call8566 = callmethod(*var_s, "rtype",
    1, partcv, params);
  gc_frame_end(callframe8565);
// compiled call node returning call8566 (depth = 5)
// compiled member node returning call8566 (depth = 4)
  *var_dtype = call8566;
  if (call8566 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2677
  setline(2677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2676
  setline(2676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8567 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8568 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8567);
// compiled call node returning call8568 (depth = 5)
// compiled member node returning call8568 (depth = 4)
  *var_anns = call8568;
  if (call8568 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2683
  setline(2683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2677
  setline(2677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8570 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe8571 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8572 == NULL) {
    strlit8572 = alloc_String("lbrace");
    gc_root(strlit8572);
  }
// compiled string node returning strlit8572 (depth = 6)
  gc_frame_newslot(strlit8572);
// call case 4: self request
  params[0] = strlit8572;
  partcv[0] = 1;
  Object call8573 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8571);
// compiled call node returning call8573 (depth = 5)
  partcv[0] = 0;
  Object call8574 = callmethod(call8573, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe8570);
// compiled call node returning call8574 (depth = 4)
  Object if8569 = done;
  if (istrue(call8574)) {
// Begin line 2679
  setline(2679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 2678
  setline(2678);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8575 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8576 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call8577 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8576);
// compiled call node returning call8577 (depth = 8)
// compiled member node returning call8577 (depth = 7)
  partcv[0] = 0;
  Object call8578 = callmethod(call8577, "new",
    1, partcv, params);
  gc_frame_end(callframe8575);
// compiled call node returning call8578 (depth = 6)
// compiled member node returning call8578 (depth = 5)
  *var_suggestion = call8578;
  if (call8578 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 2679
  setline(2679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8579 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit8580 == NULL) {
    strlit8580 = alloc_String(" {");
    gc_root(strlit8580);
  }
// compiled string node returning strlit8580 (depth = 5)
  gc_frame_newslot(strlit8580);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit8580;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8581 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8579);
// compiled call node returning call8581 (depth = 4)
// Begin line 2680
  setline(2680);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8582 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit8583 == NULL) {
    strlit8583 = alloc_String("A factory method must have a '{' after the name.");
    gc_root(strlit8583);
  }
// compiled string node returning strlit8583 (depth = 5)
  gc_frame_newslot(strlit8583);
// Begin line 2681
  setline(2681);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8584 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call8585 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8584);
// compiled call node returning call8585 (depth = 6)
// compiled member node returning call8585 (depth = 5)
  gc_frame_newslot(call8585);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num8587 = alloc_Float64(1);
// compiled num node returning num8587 (depth = 6)
  int op_slot_right_8586 = gc_frame_newslot(num8587);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8590 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call8591 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8590);
// compiled call node returning call8591 (depth = 8)
// compiled member node returning call8591 (depth = 7)
  int op_slot_right_8589 = gc_frame_newslot(call8591);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8593 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call8594 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8593);
// compiled call node returning call8594 (depth = 8)
// compiled member node returning call8594 (depth = 7)
  int op_slot_left_8589 = gc_frame_newslot(call8594);
  params[0] = call8591;
  partcv[0] = 1;
  Object sum8595 = callmethod(call8594, "+", 1, partcv, params);
// compiled op node returning sum8595 (depth = 6)
  int op_slot_left_8586 = gc_frame_newslot(sum8595);
  params[0] = num8587;
  partcv[0] = 1;
  Object sum8596 = callmethod(sum8595, "+", 1, partcv, params);
// compiled op node returning sum8596 (depth = 5)
  gc_frame_newslot(sum8596);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2680
  setline(2680);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit8583;
  params[1] = call8585;
  params[2] = sum8596;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8597 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8582);
// compiled call node returning call8597 (depth = 4)
    gc_frame_newslot(call8597);
    if8569 = call8597;
  } else {
  }
// compiled if node returning if8569 (depth = 3)
// Begin line 2683
  setline(2683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8598 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8599 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8598);
// compiled call node returning call8599 (depth = 4)
// compiled member node returning call8599 (depth = 3)
// Begin line 2689
  setline(2689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2684
  setline(2684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8602 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_statementToken (depth = 7)
  partcv[0] = 0;
  Object call8603 = callmethod(*var_statementToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8602);
// compiled call node returning call8603 (depth = 6)
// compiled member node returning call8603 (depth = 5)
  int op_slot_right_8601 = gc_frame_newslot(call8603);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8605 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call8606 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe8605);
// compiled call node returning call8606 (depth = 6)
// compiled member node returning call8606 (depth = 5)
  int op_slot_left_8601 = gc_frame_newslot(call8606);
  params[0] = call8603;
  partcv[0] = 1;
  Object opresult8607 = callmethod(call8606, "==", 1, partcv, params);
// compiled op node returning opresult8607 (depth = 4)
  Object if8600 = done;
  if (istrue(opresult8607)) {
// Begin line 2686
  setline(2686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 2685
  setline(2685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num8609 = alloc_Float64(1);
// compiled num node returning num8609 (depth = 6)
  int op_slot_right_8608 = gc_frame_newslot(num8609);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8611 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call8612 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8611);
// compiled call node returning call8612 (depth = 7)
// compiled member node returning call8612 (depth = 6)
  int op_slot_left_8608 = gc_frame_newslot(call8612);
  params[0] = num8609;
  partcv[0] = 1;
  Object diff8613 = callmethod(call8612, "-", 1, partcv, params);
// compiled op node returning diff8613 (depth = 5)
  *var_minIndentLevel = diff8613;
  if (diff8613 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8600 = done;
  } else {
// Begin line 2688
  setline(2688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 2687
  setline(2687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num8616 = alloc_Float64(1);
// compiled num node returning num8616 (depth = 6)
  int op_slot_right_8615 = gc_frame_newslot(num8616);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8618 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_statementToken (depth = 8)
  partcv[0] = 0;
  Object call8619 = callmethod(*var_statementToken, "indent",
    1, partcv, params);
  gc_frame_end(callframe8618);
// compiled call node returning call8619 (depth = 7)
// compiled member node returning call8619 (depth = 6)
  int op_slot_left_8615 = gc_frame_newslot(call8619);
  params[0] = num8616;
  partcv[0] = 1;
  Object sum8620 = callmethod(call8619, "+", 1, partcv, params);
// compiled op node returning sum8620 (depth = 5)
  *var_minIndentLevel = sum8620;
  if (sum8620 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8600 = done;
  }
// compiled if node returning if8600 (depth = 3)
// Begin line 2690
  setline(2690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2689
  setline(2689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array8622 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8622 (depth = 4)
  *var_body = array8622;
  if (array8622 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2690
  setline(2690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8623 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block8624 = alloc_Block(NULL, NULL, "parser", 2690);
  gc_frame_newslot(block8624);
// method _apply
  block_savedest(block8624);
  Object closure8625 = createclosure(1, "_apply");
  setclosureframe(closure8625, stackframe);
  addtoclosure(closure8625, selfslot);
  struct UserObject *uo8625 = (struct UserObject*)block8624;
  uo8625->data[0] = (Object)closure8625;
  Method *meth_meth_parser__apply8625 = addmethod2pos(block8624, "_apply", &meth_parser__apply8625, 0);
  int argcv_meth_parser__apply8625[] = {0};
  meth_meth_parser__apply8625->type = alloc_MethodType(1, argcv_meth_parser__apply8625);
  meth_meth_parser__apply8625->definitionModule = modulename;
  meth_meth_parser__apply8625->definitionLine = 2687;
// compiled block node returning block8624 (depth = 4)
  gc_frame_newslot(block8624);
// starting to compile block node (depth = 4)
  Object block8632 = alloc_Block(NULL, NULL, "parser", 2690);
  gc_frame_newslot(block8632);
// method _apply
  block_savedest(block8632);
  Object closure8633 = createclosure(3, "_apply");
  setclosureframe(closure8633, stackframe);
  addtoclosure(closure8633, var_values);
  addtoclosure(closure8633, var_body);
  addtoclosure(closure8633, selfslot);
  struct UserObject *uo8633 = (struct UserObject*)block8632;
  uo8633->data[0] = (Object)closure8633;
  Method *meth_meth_parser__apply8633 = addmethod2pos(block8632, "_apply", &meth_parser__apply8633, 0);
  int argcv_meth_parser__apply8633[] = {0};
  meth_meth_parser__apply8633->type = alloc_MethodType(1, argcv_meth_parser__apply8633);
  meth_meth_parser__apply8633->definitionModule = modulename;
  meth_meth_parser__apply8633->definitionLine = 2690;
// compiled block node returning block8632 (depth = 4)
  gc_frame_newslot(block8632);
// call case 5: prelude request
  params[0] = block8624;
  params[1] = block8632;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8677 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8623);
// compiled call node returning call8677 (depth = 3)
// Begin line 2701
  setline(2701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8678 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8679 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8678);
// compiled call node returning call8679 (depth = 4)
// compiled member node returning call8679 (depth = 3)
// Begin line 2702
  setline(2702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8680 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8681 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_btok (depth = 6)
  partcv[0] = 0;
  Object call8682 = callmethod(*var_btok, "line",
    1, partcv, params);
  gc_frame_end(callframe8681);
// compiled call node returning call8682 (depth = 5)
// compiled member node returning call8682 (depth = 4)
  gc_frame_newslot(call8682);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call8682;
  partcv[0] = 1;
  Object call8683 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe8680);
// compiled call node returning call8683 (depth = 3)
// Begin line 2703
  setline(2703);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8684 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_body (depth = 5)
  gc_frame_newslot(*var_body);
// starting to compile identifier node (depth = 5)
  Object bool8685 = alloc_Boolean(0);
// compiled identifier node returning bool8685 (depth = 5)
  gc_frame_newslot(bool8685);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8686 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call8687 = callmethod(*var_ast, "objectNode",
    1, partcv, params);
  gc_frame_end(callframe8686);
// compiled call node returning call8687 (depth = 6)
// compiled member node returning call8687 (depth = 5)
  params[0] = *var_body;
  params[1] = bool8685;
  partcv[0] = 2;
  Object call8688 = callmethod(call8687, "new",
    1, partcv, params);
  gc_frame_end(callframe8684);
// compiled call node returning call8688 (depth = 4)
  *var_obj = call8688;
  if (call8688 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2704
  setline(2704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8689 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_methodName (depth = 5)
  gc_frame_newslot(*var_methodName);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_csig (depth = 5)
  gc_frame_newslot(*var_csig);
// Begin line 2705
  setline(2705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8690 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_obj (depth = 6)
  gc_frame_newslot(*var_obj);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8691 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_collections (depth = 8)
  partcv[0] = 0;
  Object call8692 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe8691);
// compiled call node returning call8692 (depth = 7)
// compiled member node returning call8692 (depth = 6)
  params[0] = *var_obj;
  partcv[0] = 1;
  Object call8693 = callmethod(call8692, "new",
    1, partcv, params);
  gc_frame_end(callframe8690);
// compiled call node returning call8693 (depth = 5)
  gc_frame_newslot(call8693);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype (depth = 5)
  gc_frame_newslot(*var_dtype);
// call case 6: other member request
// Begin line 2704
  setline(2704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8694 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call8695 = callmethod(*var_ast, "methodNode",
    1, partcv, params);
  gc_frame_end(callframe8694);
// compiled call node returning call8695 (depth = 6)
// compiled member node returning call8695 (depth = 5)
  params[0] = *var_methodName;
  params[1] = *var_csig;
  params[2] = call8693;
  params[3] = *var_dtype;
  partcv[0] = 4;
  Object call8696 = callmethod(call8695, "new",
    1, partcv, params);
  gc_frame_end(callframe8689);
// compiled call node returning call8696 (depth = 4)
  *var_meth = call8696;
  if (call8696 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2707
  setline(2707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2704
  setline(2704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8697 = gc_frame_new();
// Begin line 2706
  setline(2706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8698 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  partcv[0] = 0;
  Object call8699 = callmethod(*var_s, "generics",
    1, partcv, params);
  gc_frame_end(callframe8698);
// compiled call node returning call8699 (depth = 6)
// compiled member node returning call8699 (depth = 5)
  gc_frame_newslot(call8699);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  params[0] = call8699;
  partcv[0] = 1;
  Object call8700 = callmethod(*var_meth, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe8697);
// compiled call node returning call8700 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 2715
  setline(2715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2707
  setline(2707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  int op_slot_right_8702 = gc_frame_newslot(*var_anns);
// starting to compile identifier node (depth = 5)
  Object bool8704 = alloc_Boolean(0);
// compiled identifier node returning bool8704 (depth = 5)
  int op_slot_left_8702 = gc_frame_newslot(bool8704);
  params[0] = *var_anns;
  partcv[0] = 1;
  Object opresult8705 = callmethod(bool8704, "!=", 1, partcv, params);
// compiled op node returning opresult8705 (depth = 4)
  Object if8701 = done;
  if (istrue(opresult8705)) {
// Begin line 2708
  setline(2708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8706 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  gc_frame_newslot(*var_anns);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8707 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_meth (depth = 7)
  partcv[0] = 0;
  Object call8708 = callmethod(*var_meth, "annotations",
    1, partcv, params);
  gc_frame_end(callframe8707);
// compiled call node returning call8708 (depth = 6)
// compiled member node returning call8708 (depth = 5)
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call8709 = callmethod(call8708, "extend",
    1, partcv, params);
  gc_frame_end(callframe8706);
// compiled call node returning call8709 (depth = 4)
    gc_frame_newslot(call8709);
    if8701 = call8709;
  } else {
// Begin line 2714
  setline(2714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2710
  setline(2710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8712 == NULL) {
    strlit8712 = alloc_String("confidential");
    gc_root(strlit8712);
  }
// compiled string node returning strlit8712 (depth = 6)
  int op_slot_right_8711 = gc_frame_newslot(strlit8712);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_defaultMethodVisibility (depth = 6)
  int op_slot_left_8711 = gc_frame_newslot(*var_defaultMethodVisibility);
  params[0] = strlit8712;
  partcv[0] = 1;
  Object opresult8714 = callmethod(*var_defaultMethodVisibility, "==", 1, partcv, params);
// compiled op node returning opresult8714 (depth = 5)
  Object if8710 = done;
  if (istrue(opresult8714)) {
// Begin line 2711
  setline(2711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8715 = gc_frame_new();
// starting to compile call node (depth = 6)
  int callframe8716 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit8717 == NULL) {
    strlit8717 = alloc_String("confidential");
    gc_root(strlit8717);
  }
// compiled string node returning strlit8717 (depth = 7)
  gc_frame_newslot(strlit8717);
// Begin line 2712
  setline(2712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool8718 = alloc_Boolean(0);
// compiled identifier node returning bool8718 (depth = 7)
  gc_frame_newslot(bool8718);
// call case 6: other member request
// Begin line 2711
  setline(2711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8719 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ast (depth = 9)
  partcv[0] = 0;
  Object call8720 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe8719);
// compiled call node returning call8720 (depth = 8)
// compiled member node returning call8720 (depth = 7)
  params[0] = strlit8717;
  params[1] = bool8718;
  partcv[0] = 2;
  Object call8721 = callmethod(call8720, "new",
    1, partcv, params);
  gc_frame_end(callframe8716);
// compiled call node returning call8721 (depth = 6)
  gc_frame_newslot(call8721);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8722 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_meth (depth = 8)
  partcv[0] = 0;
  Object call8723 = callmethod(*var_meth, "annotations",
    1, partcv, params);
  gc_frame_end(callframe8722);
// compiled call node returning call8723 (depth = 7)
// compiled member node returning call8723 (depth = 6)
  params[0] = call8721;
  partcv[0] = 1;
  Object call8724 = callmethod(call8723, "push",
    1, partcv, params);
  gc_frame_end(callframe8715);
// compiled call node returning call8724 (depth = 5)
    gc_frame_newslot(call8724);
    if8710 = call8724;
  } else {
  }
// compiled if node returning if8710 (depth = 4)
    gc_frame_newslot(if8710);
    if8701 = if8710;
  }
// compiled if node returning if8701 (depth = 3)
// Begin line 2715
  setline(2715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8725 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_meth (depth = 4)
  gc_frame_newslot(*var_meth);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call8726 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe8725);
// compiled call node returning call8726 (depth = 3)
// Begin line 2717
  setline(2717);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2716
  setline(2716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_localMinIndentLevel (depth = 4)
  *var_minIndentLevel = *var_localMinIndentLevel;
  if (*var_localMinIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if8453 = done;
  } else {
  }
// compiled if node returning if8453 (depth = 2)
  gc_frame_end(frame);
  return if8453;
}
Object meth_parser__apply8806(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8808 == NULL) {
    strlit8808 = alloc_String("lbrace");
    gc_root(strlit8808);
  }
// compiled string node returning strlit8808 (depth = 7)
  int op_slot_right_8807 = gc_frame_newslot(strlit8808);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8810 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  partcv[0] = 0;
  Object call8811 = callmethod(*var_s, "kind",
    1, partcv, params);
  gc_frame_end(callframe8810);
// compiled call node returning call8811 (depth = 8)
// compiled member node returning call8811 (depth = 7)
  int op_slot_left_8807 = gc_frame_newslot(call8811);
  params[0] = strlit8808;
  partcv[0] = 1;
  Object opresult8812 = callmethod(call8811, "!=", 1, partcv, params);
// compiled op node returning opresult8812 (depth = 6)
  gc_frame_end(frame);
  return opresult8812;
}
Object meth_parser__apply8815(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2755
  setline(2755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8816 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  gc_frame_newslot(*var_s);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_body (depth = 7)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call8817 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8816);
// compiled call node returning call8817 (depth = 6)
// Begin line 2756
  setline(2756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8818 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8819 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8818);
// compiled call node returning call8819 (depth = 7)
// compiled member node returning call8819 (depth = 6)
// Begin line 2758
  setline(2758);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 2757
  setline(2757);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8820 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  partcv[0] = 0;
  Object call8821 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8820);
// compiled call node returning call8821 (depth = 8)
// compiled member node returning call8821 (depth = 7)
  *var_s = call8821;
  if (call8821 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_methoddec8728(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 54, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(18, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methoddec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementToken = getfromclosure(closure, 1);
  Object *var_minIndentLevel = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object *var_util = getfromclosure(closure, 6);
  Object *var_ast = getfromclosure(closure, 7);
  Object *var_defaultMethodVisibility = getfromclosure(closure, 8);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for methoddec (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for methoddec");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_stok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "stok");
  Object *var_m = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "m");
  Object *var_meth = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "meth");
  Object *var_signature = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "signature");
  Object *var_dtype = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "dtype");
  Object *var_varargs = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "varargs");
  Object *var_generics = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "generics");
  Object *var_body = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "body");
  Object *var_localMin = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "localMin");
  Object *var_anns = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "anns");
  Object *var_s = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "s");
  Object *var_suggestion = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "suggestion");
  Object *var_closingBrace = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "closingBrace");
  Object *var_o = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "o");
// Begin line 2801
  setline(2801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2722
  setline(2722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8732 == NULL) {
    strlit8732 = alloc_String("method");
    gc_root(strlit8732);
  }
// compiled string node returning strlit8732 (depth = 5)
  int op_slot_right_8731 = gc_frame_newslot(strlit8732);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8734 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call8735 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe8734);
// compiled call node returning call8735 (depth = 6)
// compiled member node returning call8735 (depth = 5)
  int op_slot_left_8731 = gc_frame_newslot(call8735);
  params[0] = strlit8732;
  partcv[0] = 1;
  Object opresult8736 = callmethod(call8735, "==", 1, partcv, params);
// compiled op node returning opresult8736 (depth = 4)
  int op_slot_right_8730 = gc_frame_newslot(opresult8736);
// starting to compile call node (depth = 4)
  int callframe8738 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit8739 == NULL) {
    strlit8739 = alloc_String("keyword");
    gc_root(strlit8739);
  }
// compiled string node returning strlit8739 (depth = 5)
  gc_frame_newslot(strlit8739);
// call case 4: self request
  params[0] = strlit8739;
  partcv[0] = 1;
  Object call8740 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8738);
// compiled call node returning call8740 (depth = 4)
  int op_slot_left_8730 = gc_frame_newslot(call8740);
  params[0] = opresult8736;
  partcv[0] = 1;
  Object opresult8741 = callmethod(call8740, "&&", 1, partcv, params);
// compiled op node returning opresult8741 (depth = 3)
  Object if8729 = done;
  if (istrue(opresult8741)) {
// Begin line 2724
  setline(2724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2723
  setline(2723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2724
  setline(2724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8742 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8743 = callmethodflags(self, "checkIndent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8742);
// compiled call node returning call8743 (depth = 4)
// compiled member node returning call8743 (depth = 3)
// Begin line 2726
  setline(2726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2725
  setline(2725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 2727
  setline(2727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2726
  setline(2726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_stok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2727
  setline(2727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8745 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8746 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8745);
// compiled call node returning call8746 (depth = 4)
// compiled member node returning call8746 (depth = 3)
// Begin line 2728
  setline(2728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8747 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool8748 = alloc_Boolean(0);
// compiled identifier node returning bool8748 (depth = 5)
  gc_frame_newslot(bool8748);
// call case 4: self request
  params[0] = bool8748;
  partcv[0] = 1;
  Object call8749 = callmethodflags(self, "methodsignature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8747);
// compiled call node returning call8749 (depth = 4)
  *var_m = call8749;
  if (call8749 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2730
  setline(2730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2729
  setline(2729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8750 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_m (depth = 6)
  partcv[0] = 0;
  Object call8751 = callmethod(*var_m, "m",
    1, partcv, params);
  gc_frame_end(callframe8750);
// compiled call node returning call8751 (depth = 5)
// compiled member node returning call8751 (depth = 4)
  *var_meth = call8751;
  if (call8751 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2731
  setline(2731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2730
  setline(2730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8752 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_m (depth = 6)
  partcv[0] = 0;
  Object call8753 = callmethod(*var_m, "sig",
    1, partcv, params);
  gc_frame_end(callframe8752);
// compiled call node returning call8753 (depth = 5)
// compiled member node returning call8753 (depth = 4)
  *var_signature = call8753;
  if (call8753 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2732
  setline(2732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2731
  setline(2731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8754 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_m (depth = 6)
  partcv[0] = 0;
  Object call8755 = callmethod(*var_m, "rtype",
    1, partcv, params);
  gc_frame_end(callframe8754);
// compiled call node returning call8755 (depth = 5)
// compiled member node returning call8755 (depth = 4)
  *var_dtype = call8755;
  if (call8755 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2733
  setline(2733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2732
  setline(2732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8756 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_m (depth = 6)
  partcv[0] = 0;
  Object call8757 = callmethod(*var_m, "v",
    1, partcv, params);
  gc_frame_end(callframe8756);
// compiled call node returning call8757 (depth = 5)
// compiled member node returning call8757 (depth = 4)
  *var_varargs = call8757;
  if (call8757 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2734
  setline(2734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2733
  setline(2733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8758 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_m (depth = 6)
  partcv[0] = 0;
  Object call8759 = callmethod(*var_m, "generics",
    1, partcv, params);
  gc_frame_end(callframe8758);
// compiled call node returning call8759 (depth = 5)
// compiled member node returning call8759 (depth = 4)
  *var_generics = call8759;
  if (call8759 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2735
  setline(2735);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2734
  setline(2734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array8760 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8760 (depth = 4)
  *var_body = array8760;
  if (array8760 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2736
  setline(2736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_localMin = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 2737
  setline(2737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2736
  setline(2736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8761 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8762 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8761);
// compiled call node returning call8762 (depth = 5)
// compiled member node returning call8762 (depth = 4)
  *var_anns = call8762;
  if (call8762 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2791
  setline(2791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2737
  setline(2737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8764 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit8765 == NULL) {
    strlit8765 = alloc_String("lbrace");
    gc_root(strlit8765);
  }
// compiled string node returning strlit8765 (depth = 5)
  gc_frame_newslot(strlit8765);
// call case 4: self request
  params[0] = strlit8765;
  partcv[0] = 1;
  Object call8766 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8764);
// compiled call node returning call8766 (depth = 4)
  Object if8763 = done;
  if (istrue(call8766)) {
// Begin line 2738
  setline(2738);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8767 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8768 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8767);
// compiled call node returning call8768 (depth = 5)
// compiled member node returning call8768 (depth = 4)
// Begin line 2740
  setline(2740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2739
  setline(2739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_minIndentLevel (depth = 5)
  *var_localMin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2745
  setline(2745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2740
  setline(2740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8772 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_stok (depth = 8)
  partcv[0] = 0;
  Object call8773 = callmethod(*var_stok, "line",
    1, partcv, params);
  gc_frame_end(callframe8772);
// compiled call node returning call8773 (depth = 7)
// compiled member node returning call8773 (depth = 6)
  int op_slot_right_8771 = gc_frame_newslot(call8773);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8775 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call8776 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe8775);
// compiled call node returning call8776 (depth = 7)
// compiled member node returning call8776 (depth = 6)
  int op_slot_left_8771 = gc_frame_newslot(call8776);
  params[0] = call8773;
  partcv[0] = 1;
  Object opresult8777 = callmethod(call8776, "==", 1, partcv, params);
// compiled op node returning opresult8777 (depth = 5)
  Object if8770 = done;
  if (istrue(opresult8777)) {
// Begin line 2742
  setline(2742);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 2741
  setline(2741);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num8779 = alloc_Float64(1);
// compiled num node returning num8779 (depth = 7)
  int op_slot_right_8778 = gc_frame_newslot(num8779);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8781 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call8782 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8781);
// compiled call node returning call8782 (depth = 8)
// compiled member node returning call8782 (depth = 7)
  int op_slot_left_8778 = gc_frame_newslot(call8782);
  params[0] = num8779;
  partcv[0] = 1;
  Object diff8783 = callmethod(call8782, "-", 1, partcv, params);
// compiled op node returning diff8783 (depth = 6)
  *var_minIndentLevel = diff8783;
  if (diff8783 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if8770 = done;
  } else {
// Begin line 2744
  setline(2744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 2743
  setline(2743);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num8786 = alloc_Float64(1);
// compiled num node returning num8786 (depth = 7)
  int op_slot_right_8785 = gc_frame_newslot(num8786);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8788 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_stok (depth = 9)
  partcv[0] = 0;
  Object call8789 = callmethod(*var_stok, "indent",
    1, partcv, params);
  gc_frame_end(callframe8788);
// compiled call node returning call8789 (depth = 8)
// compiled member node returning call8789 (depth = 7)
  int op_slot_left_8785 = gc_frame_newslot(call8789);
  params[0] = num8786;
  partcv[0] = 1;
  Object sum8790 = callmethod(call8789, "+", 1, partcv, params);
// compiled op node returning sum8790 (depth = 6)
  *var_minIndentLevel = sum8790;
  if (sum8790 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if8770 = done;
  }
// compiled if node returning if8770 (depth = 4)
// Begin line 2745
  setline(2745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8792 = gc_frame_new();
// starting to compile object node (depth = 5)
  Object inheritingObject8793 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8793 = alloc_userobj2(4,4, objclass8793);
  gc_frame_newslot(obj8793);
// OBJECT OUTER DEC outer
  adddatum2(obj8793, self, 0);
  addmethodreal(obj8793,"outer", &reader_parser_outer_8794);
  Object oldself8793 = self;
  struct StackFrameObject *oldstackframe8793 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8793);
  gc_frame_newslot((Object)stackframe);
  self = obj8793;
  Object *oldselfslot8793 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8793 = (*(struct UserObject *)self).data[0], lowerouter8793 = thisouter8793;
  if (inheritingObject8793) {
    struct UserObject *inho8793 = (struct UserObject *)inheritingObject8793;
    while (inho8793->super != GraceDefaultObject) inho8793 = (struct UserObject *)inho8793->super;
    inho8793->super = obj8793;
    self = inheritingObject8793;
    *selfslot = self;
    lowerouter8793 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8793;
  }
if (objclass8793 == NULL) {
  Method *reader8795 = addmethodrealflags(obj8793, "kind",&reader_parser_kind_8795, 0);
  Method *writer8795 = addmethodrealflags(obj8793, "kind:=",&writer_parser_kind_8795, 0);
  reader8795->definitionModule = modulename;
  writer8795->definitionModule = modulename;
  reader8795->definitionLine = 2747;
  writer8795->definitionLine = 2747;
}
obj8793->flags |= OFLAG_MUTABLE;
adddatum2(obj8793, alloc_Undefined(), 1);
if (objclass8793 == NULL) {
  Method *reader8796 = addmethodrealflags(obj8793, "register",&reader_parser_register_8796, 0);
  Method *writer8796 = addmethodrealflags(obj8793, "register:=",&writer_parser_register_8796, 0);
  reader8796->definitionModule = modulename;
  writer8796->definitionModule = modulename;
  reader8796->definitionLine = 2748;
  writer8796->definitionLine = 2748;
}
obj8793->flags |= OFLAG_MUTABLE;
adddatum2(obj8793, alloc_Undefined(), 2);
  sourceObject = obj8793;
// Begin line 2746
  setline(2746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit8797 == NULL) {
    strlit8797 = alloc_String("lbrace");
    gc_root(strlit8797);
  }
// compiled string node returning strlit8797 (depth = 6)
  adddatum2(obj8793, strlit8797, 1);
  sourceObject = obj8793;
// Begin line 2747
  setline(2747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit8798 == NULL) {
    strlit8798 = alloc_String("");
    gc_root(strlit8798);
  }
// compiled string node returning strlit8798 (depth = 6)
  adddatum2(obj8793, strlit8798, 2);
  objclass8793 = obj8793->class;
  objclass8793->definitionModule = modulename;
  objclass8793->definitionLine = 2745;
  (*(struct UserObject *)self).data[0] = lowerouter8793;
  self = oldself8793;
  selfslot = oldselfslot8793;
  stackframe = oldstackframe8793;
// compiled object node returning obj8793 (depth = 5)
  gc_frame_newslot(obj8793);
// call case 6: other member request
// Begin line 2745
  setline(2745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  params[0] = obj8793;
  partcv[0] = 1;
  Object call8799 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe8792);
// compiled call node returning call8799 (depth = 4)
// Begin line 2749
  setline(2749);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8800 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8801 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8800);
// compiled call node returning call8801 (depth = 5)
// compiled member node returning call8801 (depth = 4)
// Begin line 2751
  setline(2751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2750
  setline(2750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8802 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  partcv[0] = 0;
  Object call8803 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8802);
// compiled call node returning call8803 (depth = 6)
// compiled member node returning call8803 (depth = 5)
  *var_s = call8803;
  if (call8803 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2751
  setline(2751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8804 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block8805 = alloc_Block(NULL, NULL, "parser", 2751);
  gc_frame_newslot(block8805);
// method _apply
  block_savedest(block8805);
  Object closure8806 = createclosure(2, "_apply");
  setclosureframe(closure8806, stackframe);
  addtoclosure(closure8806, var_s);
  addtoclosure(closure8806, selfslot);
  struct UserObject *uo8806 = (struct UserObject*)block8805;
  uo8806->data[0] = (Object)closure8806;
  Method *meth_meth_parser__apply8806 = addmethod2pos(block8805, "_apply", &meth_parser__apply8806, 0);
  int argcv_meth_parser__apply8806[] = {0};
  meth_meth_parser__apply8806->type = alloc_MethodType(1, argcv_meth_parser__apply8806);
  meth_meth_parser__apply8806->definitionModule = modulename;
  meth_meth_parser__apply8806->definitionLine = 2750;
// compiled block node returning block8805 (depth = 5)
  gc_frame_newslot(block8805);
// starting to compile block node (depth = 5)
  Object block8814 = alloc_Block(NULL, NULL, "parser", 2751);
  gc_frame_newslot(block8814);
// method _apply
  block_savedest(block8814);
  Object closure8815 = createclosure(4, "_apply");
  setclosureframe(closure8815, stackframe);
  addtoclosure(closure8815, var_s);
  addtoclosure(closure8815, var_body);
  addtoclosure(closure8815, var_values);
  addtoclosure(closure8815, selfslot);
  struct UserObject *uo8815 = (struct UserObject*)block8814;
  uo8815->data[0] = (Object)closure8815;
  Method *meth_meth_parser__apply8815 = addmethod2pos(block8814, "_apply", &meth_parser__apply8815, 0);
  int argcv_meth_parser__apply8815[] = {0};
  meth_meth_parser__apply8815->type = alloc_MethodType(1, argcv_meth_parser__apply8815);
  meth_meth_parser__apply8815->definitionModule = modulename;
  meth_meth_parser__apply8815->definitionLine = 2751;
// compiled block node returning block8814 (depth = 5)
  gc_frame_newslot(block8814);
// call case 5: prelude request
  params[0] = block8805;
  params[1] = block8814;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8824 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8804);
// compiled call node returning call8824 (depth = 4)
// Begin line 2773
  setline(2773);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2759
  setline(2759);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8827 == NULL) {
    strlit8827 = alloc_String("rbrace");
    gc_root(strlit8827);
  }
// compiled string node returning strlit8827 (depth = 6)
  int op_slot_right_8826 = gc_frame_newslot(strlit8827);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8829 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call8830 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8829);
// compiled call node returning call8830 (depth = 7)
// compiled member node returning call8830 (depth = 6)
  int op_slot_left_8826 = gc_frame_newslot(call8830);
  params[0] = strlit8827;
  partcv[0] = 1;
  Object opresult8831 = callmethod(call8830, "!=", 1, partcv, params);
// compiled op node returning opresult8831 (depth = 5)
  Object if8825 = done;
  if (istrue(opresult8831)) {
// Begin line 2761
  setline(2761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 2760
  setline(2760);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8832 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8833 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call8834 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8833);
// compiled call node returning call8834 (depth = 9)
// compiled member node returning call8834 (depth = 8)
  partcv[0] = 0;
  Object call8835 = callmethod(call8834, "new",
    1, partcv, params);
  gc_frame_end(callframe8832);
// compiled call node returning call8835 (depth = 7)
// compiled member node returning call8835 (depth = 6)
  *var_suggestion = call8835;
  if (call8835 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2761
  setline(2761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8836 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_btok (depth = 7)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 7)
  Object bool8837 = alloc_Boolean(0);
// compiled identifier node returning bool8837 (depth = 7)
  gc_frame_newslot(bool8837);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool8837;
  partcv[0] = 2;
  Object call8838 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8836);
// compiled call node returning call8838 (depth = 6)
  *var_closingBrace = call8838;
  if (call8838 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2769
  setline(2769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 2762
  setline(2762);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool8841 = alloc_Boolean(0);
// compiled identifier node returning bool8841 (depth = 7)
  int op_slot_right_8840 = gc_frame_newslot(bool8841);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8843 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_closingBrace (depth = 9)
  partcv[0] = 0;
  Object call8844 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe8843);
// compiled call node returning call8844 (depth = 8)
// compiled member node returning call8844 (depth = 7)
  int op_slot_left_8840 = gc_frame_newslot(call8844);
  params[0] = bool8841;
  partcv[0] = 1;
  Object opresult8845 = callmethod(call8844, "==", 1, partcv, params);
// compiled op node returning opresult8845 (depth = 6)
  Object if8839 = done;
  if (istrue(opresult8845)) {
// Begin line 2768
  setline(2768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 2763
  setline(2763);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_8847 = gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8849 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_closingBrace (depth = 10)
  partcv[0] = 0;
  Object call8850 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe8849);
// compiled call node returning call8850 (depth = 9)
// compiled member node returning call8850 (depth = 8)
  int op_slot_left_8847 = gc_frame_newslot(call8850);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult8851 = callmethod(call8850, "==", 1, partcv, params);
// compiled op node returning opresult8851 (depth = 7)
  Object if8846 = done;
  if (istrue(opresult8851)) {
// Begin line 2764
  setline(2764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe8852 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit8853 == NULL) {
    strlit8853 = alloc_String("}");
    gc_root(strlit8853);
  }
// compiled string node returning strlit8853 (depth = 8)
  gc_frame_newslot(strlit8853);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit8853;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8854 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8852);
// compiled call node returning call8854 (depth = 7)
    gc_frame_newslot(call8854);
    if8846 = call8854;
  } else {
// Begin line 2766
  setline(2766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe8855 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num8857 = alloc_Float64(0.1);
// compiled num node returning num8857 (depth = 9)
  int op_slot_right_8856 = gc_frame_newslot(num8857);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8859 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe8860 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_closingBrace (depth = 13)
  partcv[0] = 0;
  Object call8861 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe8860);
// compiled call node returning call8861 (depth = 12)
// compiled member node returning call8861 (depth = 11)
  partcv[0] = 0;
  Object call8862 = callmethod(call8861, "line",
    1, partcv, params);
  gc_frame_end(callframe8859);
// compiled call node returning call8862 (depth = 10)
// compiled member node returning call8862 (depth = 9)
  int op_slot_left_8856 = gc_frame_newslot(call8862);
  params[0] = num8857;
  partcv[0] = 1;
  Object sum8863 = callmethod(call8862, "+", 1, partcv, params);
// compiled op node returning sum8863 (depth = 8)
  gc_frame_newslot(sum8863);
// starting to compile string node (depth = 8)
  if (strlit8864 == NULL) {
    strlit8864 = alloc_String("}");
    gc_root(strlit8864);
  }
// compiled string node returning strlit8864 (depth = 8)
  gc_frame_newslot(strlit8864);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = sum8863;
  params[1] = strlit8864;
  partcv[0] = 2;
  Object call8865 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe8855);
// compiled call node returning call8865 (depth = 7)
    gc_frame_newslot(call8865);
    if8846 = call8865;
  }
// compiled if node returning if8846 (depth = 6)
    gc_frame_newslot(if8846);
    if8839 = if8846;
  } else {
  }
// compiled if node returning if8839 (depth = 5)
// Begin line 2769
  setline(2769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8866 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call8867 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe8866);
// compiled call node returning call8867 (depth = 5)
// Begin line 2770
  setline(2770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8868 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8869 == NULL) {
    strlit8869 = alloc_String("A method must end with a '}'.");
    gc_root(strlit8869);
  }
// compiled string node returning strlit8869 (depth = 6)
  gc_frame_newslot(strlit8869);
// Begin line 2771
  setline(2771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8870 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call8871 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe8870);
// compiled call node returning call8871 (depth = 7)
// compiled member node returning call8871 (depth = 6)
  gc_frame_newslot(call8871);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8872 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call8873 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8872);
// compiled call node returning call8873 (depth = 7)
// compiled member node returning call8873 (depth = 6)
  gc_frame_newslot(call8873);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2770
  setline(2770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit8869;
  params[1] = call8871;
  params[2] = call8873;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8874 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8868);
// compiled call node returning call8874 (depth = 5)
    gc_frame_newslot(call8874);
    if8825 = call8874;
  } else {
  }
// compiled if node returning if8825 (depth = 4)
// Begin line 2773
  setline(2773);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8875 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8876 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8875);
// compiled call node returning call8876 (depth = 5)
// compiled member node returning call8876 (depth = 4)
// Begin line 2775
  setline(2775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2774
  setline(2774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_localMin (depth = 5)
  *var_minIndentLevel = *var_localMin;
  if (*var_localMin == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8763 = done;
  } else {
// Begin line 2777
  setline(2777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 2776
  setline(2776);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8878 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8879 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call8880 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8879);
// compiled call node returning call8880 (depth = 8)
// compiled member node returning call8880 (depth = 7)
  partcv[0] = 0;
  Object call8881 = callmethod(call8880, "new",
    1, partcv, params);
  gc_frame_end(callframe8878);
// compiled call node returning call8881 (depth = 6)
// compiled member node returning call8881 (depth = 5)
  *var_suggestion = call8881;
  if (call8881 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 2777
  setline(2777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8882 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_btok (depth = 6)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 6)
  Object bool8883 = alloc_Boolean(1);
// compiled identifier node returning bool8883 (depth = 6)
  gc_frame_newslot(bool8883);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool8883;
  partcv[0] = 2;
  Object call8884 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8882);
// compiled call node returning call8884 (depth = 5)
  *var_closingBrace = call8884;
  if (call8884 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 2788
  setline(2788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2778
  setline(2778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool8887 = alloc_Boolean(0);
// compiled identifier node returning bool8887 (depth = 6)
  int op_slot_right_8886 = gc_frame_newslot(bool8887);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8889 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_closingBrace (depth = 8)
  partcv[0] = 0;
  Object call8890 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe8889);
// compiled call node returning call8890 (depth = 7)
// compiled member node returning call8890 (depth = 6)
  int op_slot_left_8886 = gc_frame_newslot(call8890);
  params[0] = bool8887;
  partcv[0] = 1;
  Object opresult8891 = callmethod(call8890, "==", 1, partcv, params);
// compiled op node returning opresult8891 (depth = 5)
  Object if8885 = done;
  if (istrue(opresult8891)) {
// Begin line 2785
  setline(2785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 2779
  setline(2779);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  int op_slot_right_8893 = gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8895 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_closingBrace (depth = 9)
  partcv[0] = 0;
  Object call8896 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe8895);
// compiled call node returning call8896 (depth = 8)
// compiled member node returning call8896 (depth = 7)
  int op_slot_left_8893 = gc_frame_newslot(call8896);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult8897 = callmethod(call8896, "==", 1, partcv, params);
// compiled op node returning opresult8897 (depth = 6)
  Object if8892 = done;
  if (istrue(opresult8897)) {
// Begin line 2780
  setline(2780);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8898 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit8899 == NULL) {
    strlit8899 = alloc_String(" {}");
    gc_root(strlit8899);
  }
// compiled string node returning strlit8899 (depth = 7)
  gc_frame_newslot(strlit8899);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 7)
  Object bool8900 = alloc_Boolean(1);
// compiled identifier node returning bool8900 (depth = 7)
  gc_frame_newslot(bool8900);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit8899;
  params[1] = *var_lastToken;
  params[2] = bool8900;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8901 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe8898);
// compiled call node returning call8901 (depth = 6)
    gc_frame_newslot(call8901);
    if8892 = call8901;
  } else {
// Begin line 2782
  setline(2782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8902 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8904 = alloc_Float64(0.1);
// compiled num node returning num8904 (depth = 8)
  int op_slot_right_8903 = gc_frame_newslot(num8904);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8906 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe8907 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_closingBrace (depth = 12)
  partcv[0] = 0;
  Object call8908 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe8907);
// compiled call node returning call8908 (depth = 11)
// compiled member node returning call8908 (depth = 10)
  partcv[0] = 0;
  Object call8909 = callmethod(call8908, "line",
    1, partcv, params);
  gc_frame_end(callframe8906);
// compiled call node returning call8909 (depth = 9)
// compiled member node returning call8909 (depth = 8)
  int op_slot_left_8903 = gc_frame_newslot(call8909);
  params[0] = num8904;
  partcv[0] = 1;
  Object sum8910 = callmethod(call8909, "+", 1, partcv, params);
// compiled op node returning sum8910 (depth = 7)
  gc_frame_newslot(sum8910);
// starting to compile string node (depth = 7)
  if (strlit8911 == NULL) {
    strlit8911 = alloc_String("}");
    gc_root(strlit8911);
  }
// compiled string node returning strlit8911 (depth = 7)
  gc_frame_newslot(strlit8911);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = sum8910;
  params[1] = strlit8911;
  partcv[0] = 2;
  Object call8912 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe8902);
// compiled call node returning call8912 (depth = 6)
// Begin line 2783
  setline(2783);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8913 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit8914 == NULL) {
    strlit8914 = alloc_String(" {");
    gc_root(strlit8914);
  }
// compiled string node returning strlit8914 (depth = 7)
  gc_frame_newslot(strlit8914);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 7)
  Object bool8915 = alloc_Boolean(1);
// compiled identifier node returning bool8915 (depth = 7)
  gc_frame_newslot(bool8915);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit8914;
  params[1] = *var_lastToken;
  params[2] = bool8915;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8916 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe8913);
// compiled call node returning call8916 (depth = 6)
    gc_frame_newslot(call8916);
    if8892 = call8916;
  }
// compiled if node returning if8892 (depth = 5)
    gc_frame_newslot(if8892);
    if8885 = if8892;
  } else {
// Begin line 2786
  setline(2786);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8917 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8918 == NULL) {
    strlit8918 = alloc_String(" {");
    gc_root(strlit8918);
  }
// compiled string node returning strlit8918 (depth = 6)
  gc_frame_newslot(strlit8918);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 6)
  Object bool8919 = alloc_Boolean(1);
// compiled identifier node returning bool8919 (depth = 6)
  gc_frame_newslot(bool8919);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit8918;
  params[1] = *var_lastToken;
  params[2] = bool8919;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8920 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe8917);
// compiled call node returning call8920 (depth = 5)
    gc_frame_newslot(call8920);
    if8885 = call8920;
  }
// compiled if node returning if8885 (depth = 4)
// Begin line 2788
  setline(2788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8921 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit8922 == NULL) {
    strlit8922 = alloc_String("A method must have a '{' after the name.");
    gc_root(strlit8922);
  }
// compiled string node returning strlit8922 (depth = 5)
  gc_frame_newslot(strlit8922);
// Begin line 2789
  setline(2789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8923 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call8924 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8923);
// compiled call node returning call8924 (depth = 6)
// compiled member node returning call8924 (depth = 5)
  gc_frame_newslot(call8924);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8926 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call8927 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8926);
// compiled call node returning call8927 (depth = 7)
// compiled member node returning call8927 (depth = 6)
  int op_slot_right_8925 = gc_frame_newslot(call8927);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8929 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call8930 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8929);
// compiled call node returning call8930 (depth = 7)
// compiled member node returning call8930 (depth = 6)
  int op_slot_left_8925 = gc_frame_newslot(call8930);
  params[0] = call8927;
  partcv[0] = 1;
  Object sum8931 = callmethod(call8930, "+", 1, partcv, params);
// compiled op node returning sum8931 (depth = 5)
  gc_frame_newslot(sum8931);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2788
  setline(2788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit8922;
  params[1] = call8924;
  params[2] = sum8931;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8932 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8921);
// compiled call node returning call8932 (depth = 4)
    gc_frame_newslot(call8932);
    if8763 = call8932;
  }
// compiled if node returning if8763 (depth = 3)
// Begin line 2791
  setline(2791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8933 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8934 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_btok (depth = 6)
  partcv[0] = 0;
  Object call8935 = callmethod(*var_btok, "line",
    1, partcv, params);
  gc_frame_end(callframe8934);
// compiled call node returning call8935 (depth = 5)
// compiled member node returning call8935 (depth = 4)
  gc_frame_newslot(call8935);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call8935;
  partcv[0] = 1;
  Object call8936 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe8933);
// compiled call node returning call8936 (depth = 3)
// Begin line 2792
  setline(2792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8937 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  gc_frame_newslot(*var_meth);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_signature (depth = 5)
  gc_frame_newslot(*var_signature);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_body (depth = 5)
  gc_frame_newslot(*var_body);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype (depth = 5)
  gc_frame_newslot(*var_dtype);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8938 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call8939 = callmethod(*var_ast, "methodNode",
    1, partcv, params);
  gc_frame_end(callframe8938);
// compiled call node returning call8939 (depth = 6)
// compiled member node returning call8939 (depth = 5)
  params[0] = *var_meth;
  params[1] = *var_signature;
  params[2] = *var_body;
  params[3] = *var_dtype;
  partcv[0] = 4;
  Object call8940 = callmethod(call8939, "new",
    1, partcv, params);
  gc_frame_end(callframe8937);
// compiled call node returning call8940 (depth = 4)
  *var_o = call8940;
  if (call8940 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2796
  setline(2796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2793
  setline(2793);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_varargs (depth = 4)
  Object if8941 = done;
  if (istrue(*var_varargs)) {
// Begin line 2795
  setline(2795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2792
  setline(2792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8942 = gc_frame_new();
// Begin line 2794
  setline(2794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool8943 = alloc_Boolean(1);
// compiled identifier node returning bool8943 (depth = 6)
  gc_frame_newslot(bool8943);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_o (depth = 6)
  params[0] = bool8943;
  partcv[0] = 1;
  Object call8944 = callmethod(*var_o, "varargs:=",
    1, partcv, params);
  gc_frame_end(callframe8942);
// compiled call node returning call8944 (depth = 5)
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8941 = done;
  } else {
  }
// compiled if node returning if8941 (depth = 3)
// Begin line 2797
  setline(2797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2792
  setline(2792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8945 = gc_frame_new();
// Begin line 2796
  setline(2796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_generics (depth = 5)
  gc_frame_newslot(*var_generics);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  params[0] = *var_generics;
  partcv[0] = 1;
  Object call8946 = callmethod(*var_o, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe8945);
// compiled call node returning call8946 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 2798
  setline(2798);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2797
  setline(2797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8949 = alloc_Boolean(0);
// compiled identifier node returning bool8949 (depth = 5)
  int op_slot_right_8948 = gc_frame_newslot(bool8949);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  int op_slot_left_8948 = gc_frame_newslot(*var_anns);
  params[0] = bool8949;
  partcv[0] = 1;
  Object opresult8951 = callmethod(*var_anns, "!=", 1, partcv, params);
// compiled op node returning opresult8951 (depth = 4)
  Object if8947 = done;
  if (istrue(opresult8951)) {
// starting to compile call node (depth = 4)
  int callframe8952 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  gc_frame_newslot(*var_anns);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8953 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  partcv[0] = 0;
  Object call8954 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe8953);
// compiled call node returning call8954 (depth = 6)
// compiled member node returning call8954 (depth = 5)
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call8955 = callmethod(call8954, "extend",
    1, partcv, params);
  gc_frame_end(callframe8952);
// compiled call node returning call8955 (depth = 4)
    gc_frame_newslot(call8955);
    if8947 = call8955;
  } else {
  }
// compiled if node returning if8947 (depth = 3)
// Begin line 2798
  setline(2798);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8956 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_defaultMethodVisibility (depth = 4)
  gc_frame_newslot(*var_defaultMethodVisibility);
// starting to compile string node (depth = 4)
  if (strlit8957 == NULL) {
    strlit8957 = alloc_String("public");
    gc_root(strlit8957);
  }
// compiled string node returning strlit8957 (depth = 4)
  gc_frame_newslot(strlit8957);
// call case 4: self request
  params[0] = *var_o;
  params[1] = *var_defaultMethodVisibility;
  params[2] = strlit8957;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8958 = callmethodflags(self, "adjustVisibilityOf()withSpecialDefault()overriding", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8956);
// compiled call node returning call8958 (depth = 3)
// Begin line 2799
  setline(2799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8959 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call8960 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe8959);
// compiled call node returning call8960 (depth = 3)
    gc_frame_newslot(call8960);
    if8729 = call8960;
  } else {
  }
// compiled if node returning if8729 (depth = 2)
  gc_frame_end(frame);
  return if8729;
}
Object meth_parser__apply8970(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sameline = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8972 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8973 == NULL) {
    strlit8973 = alloc_String("identifier");
    gc_root(strlit8973);
  }
// compiled string node returning strlit8973 (depth = 6)
  gc_frame_newslot(strlit8973);
// call case 4: self request
  params[0] = strlit8973;
  partcv[0] = 1;
  Object call8974 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8972);
// compiled call node returning call8974 (depth = 5)
  int op_slot_right_8971 = gc_frame_newslot(call8974);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8977 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit8978 == NULL) {
    strlit8978 = alloc_String("identifier");
    gc_root(strlit8978);
  }
// compiled string node returning strlit8978 (depth = 7)
  gc_frame_newslot(strlit8978);
// call case 4: self request
  params[0] = strlit8978;
  partcv[0] = 1;
  Object call8979 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8977);
// compiled call node returning call8979 (depth = 6)
  int op_slot_right_8976 = gc_frame_newslot(call8979);
// starting to compile call node (depth = 6)
  int callframe8981 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sameline (depth = 7)
  partcv[0] = 0;
  Object call8982 = callmethod(*var_sameline, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe8981);
// compiled call node returning call8982 (depth = 6)
  int op_slot_left_8976 = gc_frame_newslot(call8982);
  params[0] = call8979;
  partcv[0] = 1;
  Object opresult8983 = callmethod(call8982, "&&", 1, partcv, params);
// compiled op node returning opresult8983 (depth = 5)
  int op_slot_left_8971 = gc_frame_newslot(opresult8983);
  params[0] = call8974;
  partcv[0] = 1;
  Object opresult8984 = callmethod(opresult8983, "||", 1, partcv, params);
// compiled op node returning opresult8984 (depth = 4)
  gc_frame_end(frame);
  return opresult8984;
}
Object meth_parser__apply9038(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2830
  setline(2830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9042 == NULL) {
    strlit9042 = alloc_String("*");
    gc_root(strlit9042);
  }
// compiled string node returning strlit9042 (depth = 9)
  int op_slot_right_9041 = gc_frame_newslot(strlit9042);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9044 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call9045 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9044);
// compiled call node returning call9045 (depth = 10)
// compiled member node returning call9045 (depth = 9)
  int op_slot_left_9041 = gc_frame_newslot(call9045);
  params[0] = strlit9042;
  partcv[0] = 1;
  Object opresult9046 = callmethod(call9045, "==", 1, partcv, params);
// compiled op node returning opresult9046 (depth = 8)
  int op_slot_right_9040 = gc_frame_newslot(opresult9046);
// starting to compile call node (depth = 8)
  int callframe9048 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit9049 == NULL) {
    strlit9049 = alloc_String("op");
    gc_root(strlit9049);
  }
// compiled string node returning strlit9049 (depth = 9)
  gc_frame_newslot(strlit9049);
// call case 4: self request
  params[0] = strlit9049;
  partcv[0] = 1;
  Object call9050 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9048);
// compiled call node returning call9050 (depth = 8)
  int op_slot_left_9040 = gc_frame_newslot(call9050);
  params[0] = opresult9046;
  partcv[0] = 1;
  Object opresult9051 = callmethod(call9050, "&&", 1, partcv, params);
// compiled op node returning opresult9051 (depth = 7)
  int op_slot_right_9039 = gc_frame_newslot(opresult9051);
// Begin line 2829
  setline(2829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe9053 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit9054 == NULL) {
    strlit9054 = alloc_String("identifier");
    gc_root(strlit9054);
  }
// compiled string node returning strlit9054 (depth = 8)
  gc_frame_newslot(strlit9054);
// call case 4: self request
  params[0] = strlit9054;
  partcv[0] = 1;
  Object call9055 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9053);
// compiled call node returning call9055 (depth = 7)
  int op_slot_left_9039 = gc_frame_newslot(call9055);
  params[0] = opresult9051;
  partcv[0] = 1;
  Object opresult9056 = callmethod(call9055, "||", 1, partcv, params);
// compiled op node returning opresult9056 (depth = 6)
  gc_frame_end(frame);
  return opresult9056;
}
Object meth_parser__apply9059(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_vararg = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_comma = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_nxt = getfromclosure(closure, 6);
  Object *var_part = getfromclosure(closure, 7);
  Object *var_tm = getfromclosure(closure, 8);
  Object self = *(getfromclosure(closure, 9));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
// Begin line 2852
  setline(2852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 2831
  setline(2831);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe9061 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit9062 == NULL) {
    strlit9062 = alloc_String("op");
    gc_root(strlit9062);
  }
// compiled string node returning strlit9062 (depth = 8)
  gc_frame_newslot(strlit9062);
// call case 4: self request
  params[0] = strlit9062;
  partcv[0] = 1;
  Object call9063 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9061);
// compiled call node returning call9063 (depth = 7)
  Object if9060 = done;
  if (istrue(call9063)) {
// Begin line 2832
  setline(2832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9064 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9065 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9064);
// compiled call node returning call9065 (depth = 8)
// compiled member node returning call9065 (depth = 7)
// Begin line 2834
  setline(2834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 2833
  setline(2833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool9066 = alloc_Boolean(1);
// compiled identifier node returning bool9066 (depth = 8)
  *var_vararg = bool9066;
  if (bool9066 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 2851
  setline(2851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 2834
  setline(2834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9070 == NULL) {
    strlit9070 = alloc_String("identifier");
    gc_root(strlit9070);
  }
// compiled string node returning strlit9070 (depth = 9)
  int op_slot_right_9069 = gc_frame_newslot(strlit9070);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9072 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call9073 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9072);
// compiled call node returning call9073 (depth = 10)
// compiled member node returning call9073 (depth = 9)
  int op_slot_left_9069 = gc_frame_newslot(call9073);
  params[0] = strlit9070;
  partcv[0] = 1;
  Object opresult9074 = callmethod(call9073, "!=", 1, partcv, params);
// compiled op node returning opresult9074 (depth = 8)
  Object if9068 = done;
  if (istrue(opresult9074)) {
// Begin line 2836
  setline(2836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// Begin line 2835
  setline(2835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 9)
  Object array9075 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9075 (depth = 9)
  *var_suggestions = array9075;
  if (array9075 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 2837
  setline(2837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// Begin line 2836
  setline(2836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9076 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe9077 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call9078 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9077);
// compiled call node returning call9078 (depth = 12)
// compiled member node returning call9078 (depth = 11)
  partcv[0] = 0;
  Object call9079 = callmethod(call9078, "new",
    1, partcv, params);
  gc_frame_end(callframe9076);
// compiled call node returning call9079 (depth = 10)
// compiled member node returning call9079 (depth = 9)
  *var_suggestion = call9079;
  if (call9079 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 2837
  setline(2837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9080 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit9081 == NULL) {
    strlit9081 = alloc_String("""\xc2""""\xab""parameter name""\xc2""""\xbb""");
    gc_root(strlit9081);
  }
// compiled string node returning strlit9081 (depth = 9)
  gc_frame_newslot(strlit9081);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit9081;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9082 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9080);
// compiled call node returning call9082 (depth = 8)
// Begin line 2838
  setline(2838);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9083 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9084 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9083);
// compiled call node returning call9084 (depth = 8)
// Begin line 2848
  setline(2848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 2839
  setline(2839);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool9087 = alloc_Boolean(0);
// compiled identifier node returning bool9087 (depth = 10)
  int op_slot_right_9086 = gc_frame_newslot(bool9087);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_comma (depth = 10)
  int op_slot_left_9086 = gc_frame_newslot(*var_comma);
  params[0] = bool9087;
  partcv[0] = 1;
  Object opresult9089 = callmethod(*var_comma, "==", 1, partcv, params);
// compiled op node returning opresult9089 (depth = 9)
  Object if9085 = done;
  if (istrue(opresult9089)) {
// Begin line 2841
  setline(2841);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 2840
  setline(2840);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe9090 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe9091 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  partcv[0] = 0;
  Object call9092 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9091);
// compiled call node returning call9092 (depth = 13)
// compiled member node returning call9092 (depth = 12)
  partcv[0] = 0;
  Object call9093 = callmethod(call9092, "new",
    1, partcv, params);
  gc_frame_end(callframe9090);
// compiled call node returning call9093 (depth = 11)
// compiled member node returning call9093 (depth = 10)
  *var_suggestion = call9093;
  if (call9093 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 2841
  setline(2841);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe9095 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call9096 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe9095);
// compiled call node returning call9096 (depth = 9)
// Begin line 2842
  setline(2842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe9097 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9098 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9097);
// compiled call node returning call9098 (depth = 9)
    gc_frame_newslot(call9098);
    if9085 = call9098;
  } else {
// Begin line 2845
  setline(2845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// Begin line 2844
  setline(2844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe9099 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe9100 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  partcv[0] = 0;
  Object call9101 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9100);
// compiled call node returning call9101 (depth = 13)
// compiled member node returning call9101 (depth = 12)
  partcv[0] = 0;
  Object call9102 = callmethod(call9101, "new",
    1, partcv, params);
  gc_frame_end(callframe9099);
// compiled call node returning call9102 (depth = 11)
// compiled member node returning call9102 (depth = 10)
  *var_suggestion = call9102;
  if (call9102 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 2845
  setline(2845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe9104 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_comma (depth = 10)
  gc_frame_newslot(*var_comma);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_comma;
  params[1] = *var_lastToken;
  partcv[0] = 2;
  Object call9105 = callmethod(*var_suggestion, "deleteTokenRange",
    1, partcv, params);
  gc_frame_end(callframe9104);
// compiled call node returning call9105 (depth = 9)
// Begin line 2846
  setline(2846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe9106 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9107 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9106);
// compiled call node returning call9107 (depth = 9)
    gc_frame_newslot(call9107);
    if9085 = call9107;
  }
// compiled if node returning if9085 (depth = 8)
// Begin line 2848
  setline(2848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9108 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit9109 == NULL) {
    strlit9109 = alloc_String("A variable length parameter (a parameter beginning with '*') must have a name after the '*'.");
    gc_root(strlit9109);
  }
// compiled string node returning strlit9109 (depth = 9)
  gc_frame_newslot(strlit9109);
// Begin line 2849
  setline(2849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9110 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call9111 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9110);
// compiled call node returning call9111 (depth = 10)
// compiled member node returning call9111 (depth = 9)
  gc_frame_newslot(call9111);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe9113 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lastToken (depth = 12)
  partcv[0] = 0;
  Object call9114 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9113);
// compiled call node returning call9114 (depth = 11)
// compiled member node returning call9114 (depth = 10)
  int op_slot_right_9112 = gc_frame_newslot(call9114);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe9116 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lastToken (depth = 12)
  partcv[0] = 0;
  Object call9117 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9116);
// compiled call node returning call9117 (depth = 11)
// compiled member node returning call9117 (depth = 10)
  int op_slot_left_9112 = gc_frame_newslot(call9117);
  params[0] = call9114;
  partcv[0] = 1;
  Object sum9118 = callmethod(call9117, "+", 1, partcv, params);
// compiled op node returning sum9118 (depth = 9)
  gc_frame_newslot(sum9118);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 2848
  setline(2848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit9109;
  params[1] = call9111;
  params[2] = sum9118;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9119 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe9108);
// compiled call node returning call9119 (depth = 8)
    gc_frame_newslot(call9119);
    if9068 = call9119;
  } else {
  }
// compiled if node returning if9068 (depth = 7)
    gc_frame_newslot(if9068);
    if9060 = if9068;
  } else {
  }
// compiled if node returning if9060 (depth = 6)
// Begin line 2852
  setline(2852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9120 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9121 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9120);
// compiled call node returning call9121 (depth = 7)
// compiled member node returning call9121 (depth = 6)
// Begin line 2854
  setline(2854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 2853
  setline(2853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9122 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  partcv[0] = 0;
  Object call9123 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9122);
// compiled call node returning call9123 (depth = 8)
// compiled member node returning call9123 (depth = 7)
  *var_nxt = call9123;
  if (call9123 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 2855
  setline(2855);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 2853
  setline(2853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe9125 = gc_frame_new();
// Begin line 2854
  setline(2854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool9126 = alloc_Boolean(1);
// compiled identifier node returning bool9126 (depth = 8)
  gc_frame_newslot(bool9126);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nxt (depth = 8)
  params[0] = bool9126;
  partcv[0] = 1;
  Object call9127 = callmethod(*var_nxt, "isBindingOccurrence:=",
    1, partcv, params);
  gc_frame_end(callframe9125);
// compiled call node returning call9127 (depth = 7)
// compiled bind node returning done (depth = 6)
// Begin line 2856
  setline(2856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 2853
  setline(2853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe9128 = gc_frame_new();
// Begin line 2855
  setline(2855);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9129 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9130 = callmethodflags(self, "optionalTypeAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9129);
// compiled call node returning call9130 (depth = 9)
// compiled member node returning call9130 (depth = 8)
  gc_frame_newslot(call9130);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nxt (depth = 8)
  params[0] = call9130;
  partcv[0] = 1;
  Object call9131 = callmethod(*var_nxt, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe9128);
// compiled call node returning call9131 (depth = 7)
// compiled bind node returning done (depth = 6)
// Begin line 2868
  setline(2868);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 2856
  setline(2856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_vararg (depth = 7)
  Object if9132 = done;
  if (istrue(*var_vararg)) {
// Begin line 2858
  setline(2858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 2855
  setline(2855);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9133 = gc_frame_new();
// Begin line 2857
  setline(2857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nxt (depth = 9)
  gc_frame_newslot(*var_nxt);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  params[0] = *var_nxt;
  partcv[0] = 1;
  Object call9134 = callmethod(*var_part, "vararg:=",
    1, partcv, params);
  gc_frame_end(callframe9133);
// compiled call node returning call9134 (depth = 8)
// compiled bind node returning done (depth = 7)
// Begin line 2859
  setline(2859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 2855
  setline(2855);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9135 = gc_frame_new();
// Begin line 2858
  setline(2858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
  Object bool9136 = alloc_Boolean(1);
// compiled identifier node returning bool9136 (depth = 9)
  gc_frame_newslot(bool9136);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tm (depth = 9)
  params[0] = bool9136;
  partcv[0] = 1;
  Object call9137 = callmethod(*var_tm, "varargs:=",
    1, partcv, params);
  gc_frame_end(callframe9135);
// compiled call node returning call9137 (depth = 8)
// compiled bind node returning done (depth = 7)
// Begin line 2865
  setline(2865);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 2859
  setline(2859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9140 == NULL) {
    strlit9140 = alloc_String("rparen");
    gc_root(strlit9140);
  }
// compiled string node returning strlit9140 (depth = 9)
  int op_slot_right_9139 = gc_frame_newslot(strlit9140);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9142 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call9143 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9142);
// compiled call node returning call9143 (depth = 10)
// compiled member node returning call9143 (depth = 9)
  int op_slot_left_9139 = gc_frame_newslot(call9143);
  params[0] = strlit9140;
  partcv[0] = 1;
  Object opresult9144 = callmethod(call9143, "!=", 1, partcv, params);
// compiled op node returning opresult9144 (depth = 8)
  Object if9138 = done;
  if (istrue(opresult9144)) {
// Begin line 2861
  setline(2861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// Begin line 2860
  setline(2860);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9145 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe9146 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call9147 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9146);
// compiled call node returning call9147 (depth = 12)
// compiled member node returning call9147 (depth = 11)
  partcv[0] = 0;
  Object call9148 = callmethod(call9147, "new",
    1, partcv, params);
  gc_frame_end(callframe9145);
// compiled call node returning call9148 (depth = 10)
// compiled member node returning call9148 (depth = 9)
  *var_suggestion = call9148;
  if (call9148 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 2861
  setline(2861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9149 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit9150 == NULL) {
    strlit9150 = alloc_String(")");
    gc_root(strlit9150);
  }
// compiled string node returning strlit9150 (depth = 9)
  gc_frame_newslot(strlit9150);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit9150;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9151 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9149);
// compiled call node returning call9151 (depth = 8)
// Begin line 2862
  setline(2862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9152 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit9153 == NULL) {
    strlit9153 = alloc_String("A part of a multi-part method beginning with a '(' must end with a ')'.");
    gc_root(strlit9153);
  }
// compiled string node returning strlit9153 (depth = 9)
  gc_frame_newslot(strlit9153);
// Begin line 2863
  setline(2863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9154 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call9155 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9154);
// compiled call node returning call9155 (depth = 10)
// compiled member node returning call9155 (depth = 9)
  gc_frame_newslot(call9155);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe9157 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lastToken (depth = 12)
  partcv[0] = 0;
  Object call9158 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9157);
// compiled call node returning call9158 (depth = 11)
// compiled member node returning call9158 (depth = 10)
  int op_slot_right_9156 = gc_frame_newslot(call9158);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe9160 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lastToken (depth = 12)
  partcv[0] = 0;
  Object call9161 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9160);
// compiled call node returning call9161 (depth = 11)
// compiled member node returning call9161 (depth = 10)
  int op_slot_left_9156 = gc_frame_newslot(call9161);
  params[0] = call9158;
  partcv[0] = 1;
  Object sum9162 = callmethod(call9161, "+", 1, partcv, params);
// compiled op node returning sum9162 (depth = 9)
  gc_frame_newslot(sum9162);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2862
  setline(2862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit9153;
  params[1] = call9155;
  params[2] = sum9162;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9163 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9152);
// compiled call node returning call9163 (depth = 8)
    gc_frame_newslot(call9163);
    if9138 = call9163;
  } else {
  }
// compiled if node returning if9138 (depth = 7)
    gc_frame_newslot(if9138);
    if9132 = if9138;
  } else {
// Begin line 2866
  setline(2866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe9164 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nxt (depth = 8)
  gc_frame_newslot(*var_nxt);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9165 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_part (depth = 10)
  partcv[0] = 0;
  Object call9166 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe9165);
// compiled call node returning call9166 (depth = 9)
// compiled member node returning call9166 (depth = 8)
  params[0] = *var_nxt;
  partcv[0] = 1;
  Object call9167 = callmethod(call9166, "push",
    1, partcv, params);
  gc_frame_end(callframe9164);
// compiled call node returning call9167 (depth = 7)
    gc_frame_newslot(call9167);
    if9132 = call9167;
  }
// compiled if node returning if9132 (depth = 6)
// Begin line 2872
  setline(2872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 2868
  setline(2868);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe9169 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit9170 == NULL) {
    strlit9170 = alloc_String("comma");
    gc_root(strlit9170);
  }
// compiled string node returning strlit9170 (depth = 8)
  gc_frame_newslot(strlit9170);
// call case 4: self request
  params[0] = strlit9170;
  partcv[0] = 1;
  Object call9171 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9169);
// compiled call node returning call9171 (depth = 7)
  Object if9168 = done;
  if (istrue(call9171)) {
// Begin line 2870
  setline(2870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 2869
  setline(2869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  *var_comma = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 2870
  setline(2870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9173 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9174 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9173);
// compiled call node returning call9174 (depth = 8)
// compiled member node returning call9174 (depth = 7)
    gc_frame_newslot(call9174);
    if9168 = call9174;
  } else {
  }
// compiled if node returning if9168 (depth = 6)
  gc_frame_end(frame);
  return if9168;
}
Object meth_parser__apply8987(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_methname = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object *var_nxt = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object *var_sym = getfromclosure(closure, 6);
  Object *var_tm = getfromclosure(closure, 7);
  Object *var_signature = getfromclosure(closure, 8);
  Object self = *(getfromclosure(closure, 9));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_part = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "part");
  Object *var_vararg = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "vararg");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_comma = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "comma");
// Begin line 2815
  setline(2815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 2814
  setline(2814);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit8989 == NULL) {
    strlit8989 = alloc_String("()");
    gc_root(strlit8989);
  }
// compiled string node returning strlit8989 (depth = 6)
  int op_slot_right_8988 = gc_frame_newslot(strlit8989);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methname (depth = 6)
  int op_slot_left_8988 = gc_frame_newslot(*var_methname);
  params[0] = strlit8989;
  partcv[0] = 1;
  Object opresult8991 = callmethod(*var_methname, "++", 1, partcv, params);
// compiled op node returning opresult8991 (depth = 5)
  *var_methname = opresult8991;
  if (opresult8991 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2816
  setline(2816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2815
  setline(2815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8993 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8994 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ast (depth = 9)
  partcv[0] = 0;
  Object call8995 = callmethod(*var_ast, "signaturePart",
    1, partcv, params);
  gc_frame_end(callframe8994);
// compiled call node returning call8995 (depth = 8)
// compiled member node returning call8995 (depth = 7)
  partcv[0] = 0;
  Object call8996 = callmethod(call8995, "new",
    1, partcv, params);
  gc_frame_end(callframe8993);
// compiled call node returning call8996 (depth = 6)
// compiled member node returning call8996 (depth = 5)
  *var_part = call8996;
  if (call8996 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2816
  setline(2816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8997 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8998 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8997);
// compiled call node returning call8998 (depth = 5)
// compiled member node returning call8998 (depth = 4)
// Begin line 2818
  setline(2818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2817
  setline(2817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8999 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  partcv[0] = 0;
  Object call9000 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8999);
// compiled call node returning call9000 (depth = 6)
// compiled member node returning call9000 (depth = 5)
  *var_nxt = call9000;
  if (call9000 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2819
  setline(2819);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 2818
  setline(2818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9003 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nxt (depth = 8)
  partcv[0] = 0;
  Object call9004 = callmethod(*var_nxt, "value",
    1, partcv, params);
  gc_frame_end(callframe9003);
// compiled call node returning call9004 (depth = 7)
// compiled member node returning call9004 (depth = 6)
  int op_slot_right_9002 = gc_frame_newslot(call9004);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methname (depth = 6)
  int op_slot_left_9002 = gc_frame_newslot(*var_methname);
  params[0] = call9004;
  partcv[0] = 1;
  Object opresult9006 = callmethod(*var_methname, "++", 1, partcv, params);
// compiled op node returning opresult9006 (depth = 5)
  *var_methname = opresult9006;
  if (opresult9006 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2820
  setline(2820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2818
  setline(2818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9008 = gc_frame_new();
// Begin line 2819
  setline(2819);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9009 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nxt (depth = 8)
  partcv[0] = 0;
  Object call9010 = callmethod(*var_nxt, "value",
    1, partcv, params);
  gc_frame_end(callframe9009);
// compiled call node returning call9010 (depth = 7)
// compiled member node returning call9010 (depth = 6)
  gc_frame_newslot(call9010);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_part (depth = 6)
  params[0] = call9010;
  partcv[0] = 1;
  Object call9011 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe9008);
// compiled call node returning call9011 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 2821
  setline(2821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2820
  setline(2820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool9012 = alloc_Boolean(0);
// compiled identifier node returning bool9012 (depth = 5)
  *var_vararg = bool9012;
  if (bool9012 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2827
  setline(2827);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2821
  setline(2821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9014 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 7)
  int callframe9015 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit9016 == NULL) {
    strlit9016 = alloc_String("lparen");
    gc_root(strlit9016);
  }
// compiled string node returning strlit9016 (depth = 8)
  gc_frame_newslot(strlit9016);
// call case 4: self request
  params[0] = strlit9016;
  partcv[0] = 1;
  Object call9017 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9015);
// compiled call node returning call9017 (depth = 7)
  partcv[0] = 0;
  Object call9018 = callmethod(call9017, "not",
    1, partcv, params);
  gc_frame_end(callframe9014);
// compiled call node returning call9018 (depth = 6)
// compiled member node returning call9018 (depth = 5)
  Object if9013 = done;
  if (istrue(call9018)) {
// Begin line 2823
  setline(2823);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 2822
  setline(2822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9019 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9020 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call9021 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9020);
// compiled call node returning call9021 (depth = 9)
// compiled member node returning call9021 (depth = 8)
  partcv[0] = 0;
  Object call9022 = callmethod(call9021, "new",
    1, partcv, params);
  gc_frame_end(callframe9019);
// compiled call node returning call9022 (depth = 7)
// compiled member node returning call9022 (depth = 6)
  *var_suggestion = call9022;
  if (call9022 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2823
  setline(2823);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9023 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit9024 == NULL) {
    strlit9024 = alloc_String("()");
    gc_root(strlit9024);
  }
// compiled string node returning strlit9024 (depth = 6)
  gc_frame_newslot(strlit9024);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit9024;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9025 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9023);
// compiled call node returning call9025 (depth = 5)
// Begin line 2824
  setline(2824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9026 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit9027 == NULL) {
    strlit9027 = alloc_String("A multi-part method must have parentheses around each parameter list.");
    gc_root(strlit9027);
  }
// compiled string node returning strlit9027 (depth = 6)
  gc_frame_newslot(strlit9027);
// Begin line 2825
  setline(2825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9028 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call9029 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9028);
// compiled call node returning call9029 (depth = 7)
// compiled member node returning call9029 (depth = 6)
  gc_frame_newslot(call9029);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9030 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call9031 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9030);
// compiled call node returning call9031 (depth = 7)
// compiled member node returning call9031 (depth = 6)
  gc_frame_newslot(call9031);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2824
  setline(2824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit9027;
  params[1] = call9029;
  params[2] = call9031;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9032 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9026);
// compiled call node returning call9032 (depth = 5)
    gc_frame_newslot(call9032);
    if9013 = call9032;
  } else {
  }
// compiled if node returning if9013 (depth = 4)
// Begin line 2827
  setline(2827);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9033 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9034 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9033);
// compiled call node returning call9034 (depth = 5)
// compiled member node returning call9034 (depth = 4)
// Begin line 2829
  setline(2829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2828
  setline(2828);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool9035 = alloc_Boolean(0);
// compiled identifier node returning bool9035 (depth = 5)
  *var_comma = bool9035;
  if (bool9035 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2829
  setline(2829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9036 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block9037 = alloc_Block(NULL, NULL, "parser", 2829);
  gc_frame_newslot(block9037);
// method _apply
  block_savedest(block9037);
  Object closure9038 = createclosure(2, "_apply");
  setclosureframe(closure9038, stackframe);
  addtoclosure(closure9038, var_sym);
  addtoclosure(closure9038, selfslot);
  struct UserObject *uo9038 = (struct UserObject*)block9037;
  uo9038->data[0] = (Object)closure9038;
  Method *meth_meth_parser__apply9038 = addmethod2pos(block9037, "_apply", &meth_parser__apply9038, 0);
  int argcv_meth_parser__apply9038[] = {0};
  meth_meth_parser__apply9038->type = alloc_MethodType(1, argcv_meth_parser__apply9038);
  meth_meth_parser__apply9038->definitionModule = modulename;
  meth_meth_parser__apply9038->definitionLine = 2827;
// compiled block node returning block9037 (depth = 5)
  gc_frame_newslot(block9037);
// Begin line 2830
  setline(2830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block9058 = alloc_Block(NULL, NULL, "parser", 2830);
  gc_frame_newslot(block9058);
// method _apply
  block_savedest(block9058);
  Object closure9059 = createclosure(10, "_apply");
  setclosureframe(closure9059, stackframe);
  addtoclosure(closure9059, var_vararg);
  addtoclosure(closure9059, var_sym);
  addtoclosure(closure9059, var_errormessages);
  addtoclosure(closure9059, var_lastToken);
  addtoclosure(closure9059, var_comma);
  addtoclosure(closure9059, var_values);
  addtoclosure(closure9059, var_nxt);
  addtoclosure(closure9059, var_part);
  addtoclosure(closure9059, var_tm);
  addtoclosure(closure9059, selfslot);
  struct UserObject *uo9059 = (struct UserObject*)block9058;
  uo9059->data[0] = (Object)closure9059;
  Method *meth_meth_parser__apply9059 = addmethod2pos(block9058, "_apply", &meth_parser__apply9059, 0);
  int argcv_meth_parser__apply9059[] = {0};
  meth_meth_parser__apply9059->type = alloc_MethodType(1, argcv_meth_parser__apply9059);
  meth_meth_parser__apply9059->definitionModule = modulename;
  meth_meth_parser__apply9059->definitionLine = 2830;
// compiled block node returning block9058 (depth = 5)
  gc_frame_newslot(block9058);
// call case 5: prelude request
  params[0] = block9037;
  params[1] = block9058;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9176 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9036);
// compiled call node returning call9176 (depth = 4)
// Begin line 2879
  setline(2879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2873
  setline(2873);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9179 == NULL) {
    strlit9179 = alloc_String("rparen");
    gc_root(strlit9179);
  }
// compiled string node returning strlit9179 (depth = 6)
  int op_slot_right_9178 = gc_frame_newslot(strlit9179);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9181 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call9182 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9181);
// compiled call node returning call9182 (depth = 7)
// compiled member node returning call9182 (depth = 6)
  int op_slot_left_9178 = gc_frame_newslot(call9182);
  params[0] = strlit9179;
  partcv[0] = 1;
  Object opresult9183 = callmethod(call9182, "!=", 1, partcv, params);
// compiled op node returning opresult9183 (depth = 5)
  Object if9177 = done;
  if (istrue(opresult9183)) {
// Begin line 2875
  setline(2875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 2874
  setline(2874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9184 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9185 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call9186 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9185);
// compiled call node returning call9186 (depth = 9)
// compiled member node returning call9186 (depth = 8)
  partcv[0] = 0;
  Object call9187 = callmethod(call9186, "new",
    1, partcv, params);
  gc_frame_end(callframe9184);
// compiled call node returning call9187 (depth = 7)
// compiled member node returning call9187 (depth = 6)
  *var_suggestion = call9187;
  if (call9187 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2875
  setline(2875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9188 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit9189 == NULL) {
    strlit9189 = alloc_String(")");
    gc_root(strlit9189);
  }
// compiled string node returning strlit9189 (depth = 6)
  gc_frame_newslot(strlit9189);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit9189;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9190 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9188);
// compiled call node returning call9190 (depth = 5)
// Begin line 2876
  setline(2876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9191 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit9192 == NULL) {
    strlit9192 = alloc_String("A part of a multi-part method beginning with a '(' must end with a ')'.");
    gc_root(strlit9192);
  }
// compiled string node returning strlit9192 (depth = 6)
  gc_frame_newslot(strlit9192);
// Begin line 2877
  setline(2877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9193 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call9194 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9193);
// compiled call node returning call9194 (depth = 7)
// compiled member node returning call9194 (depth = 6)
  gc_frame_newslot(call9194);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9196 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call9197 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9196);
// compiled call node returning call9197 (depth = 8)
// compiled member node returning call9197 (depth = 7)
  int op_slot_right_9195 = gc_frame_newslot(call9197);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9199 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call9200 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9199);
// compiled call node returning call9200 (depth = 8)
// compiled member node returning call9200 (depth = 7)
  int op_slot_left_9195 = gc_frame_newslot(call9200);
  params[0] = call9197;
  partcv[0] = 1;
  Object sum9201 = callmethod(call9200, "+", 1, partcv, params);
// compiled op node returning sum9201 (depth = 6)
  gc_frame_newslot(sum9201);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2876
  setline(2876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit9192;
  params[1] = call9194;
  params[2] = sum9201;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9202 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9191);
// compiled call node returning call9202 (depth = 5)
    gc_frame_newslot(call9202);
    if9177 = call9202;
  } else {
  }
// compiled if node returning if9177 (depth = 4)
// Begin line 2879
  setline(2879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9203 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9204 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9203);
// compiled call node returning call9204 (depth = 5)
// compiled member node returning call9204 (depth = 4)
// Begin line 2880
  setline(2880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9205 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_part (depth = 5)
  gc_frame_newslot(*var_part);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_signature (depth = 5)
  params[0] = *var_part;
  partcv[0] = 1;
  Object call9206 = callmethod(*var_signature, "push",
    1, partcv, params);
  gc_frame_end(callframe9205);
// compiled call node returning call9206 (depth = 4)
  gc_frame_end(frame);
  return call9206;
}
Object meth_parser_parsempmndecrest8961(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 55, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "parsempmndecrest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method parsempmndecrest");
  Object params[2];
  int partcv[2];
  Object *var_ast = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for parsempmndecrest (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tm = &(stackframe->slots[0]);
  *var_tm = args[curarg];
  curarg++;
  Object *var_sameline = &(stackframe->slots[1]);
  *var_sameline = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for parsempmndecrest");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_methname = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "methname");
  Object *var_signature = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "signature");
  Object *var_nxt = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nxt");
  Object *var_newName = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "newName");
// Begin line 2811
  setline(2811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 2810
  setline(2810);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8962 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8963 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tm (depth = 7)
  partcv[0] = 0;
  Object call8964 = callmethod(*var_tm, "value",
    1, partcv, params);
  gc_frame_end(callframe8963);
// compiled call node returning call8964 (depth = 6)
// compiled member node returning call8964 (depth = 5)
  partcv[0] = 0;
  Object call8965 = callmethod(call8964, "value",
    1, partcv, params);
  gc_frame_end(callframe8962);
// compiled call node returning call8965 (depth = 4)
// compiled member node returning call8965 (depth = 3)
  *var_methname = call8965;
  if (call8965 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2812
  setline(2812);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 2811
  setline(2811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8966 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tm (depth = 5)
  partcv[0] = 0;
  Object call8967 = callmethod(*var_tm, "signature",
    1, partcv, params);
  gc_frame_end(callframe8966);
// compiled call node returning call8967 (depth = 4)
// compiled member node returning call8967 (depth = 3)
  *var_signature = call8967;
  if (call8967 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2813
  setline(2813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_nxt = undefined;
// compiled vardec node returning done (depth = 2)
// starting to compile call node (depth = 2)
  int callframe8968 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block8969 = alloc_Block(NULL, NULL, "parser", 2813);
  gc_frame_newslot(block8969);
// method _apply
  block_savedest(block8969);
  Object closure8970 = createclosure(2, "_apply");
  setclosureframe(closure8970, stackframe);
  addtoclosure(closure8970, var_sameline);
  addtoclosure(closure8970, selfslot);
  struct UserObject *uo8970 = (struct UserObject*)block8969;
  uo8970->data[0] = (Object)closure8970;
  Method *meth_meth_parser__apply8970 = addmethod2pos(block8969, "_apply", &meth_parser__apply8970, 0);
  int argcv_meth_parser__apply8970[] = {0};
  meth_meth_parser__apply8970->type = alloc_MethodType(1, argcv_meth_parser__apply8970);
  meth_meth_parser__apply8970->definitionModule = modulename;
  meth_meth_parser__apply8970->definitionLine = 2811;
// compiled block node returning block8969 (depth = 3)
  gc_frame_newslot(block8969);
// starting to compile block node (depth = 3)
  Object block8986 = alloc_Block(NULL, NULL, "parser", 2813);
  gc_frame_newslot(block8986);
// method _apply
  block_savedest(block8986);
  Object closure8987 = createclosure(10, "_apply");
  setclosureframe(closure8987, stackframe);
  addtoclosure(closure8987, var_methname);
  addtoclosure(closure8987, var_ast);
  addtoclosure(closure8987, var_values);
  addtoclosure(closure8987, var_nxt);
  addtoclosure(closure8987, var_errormessages);
  addtoclosure(closure8987, var_lastToken);
  addtoclosure(closure8987, var_sym);
  addtoclosure(closure8987, var_tm);
  addtoclosure(closure8987, var_signature);
  addtoclosure(closure8987, selfslot);
  struct UserObject *uo8987 = (struct UserObject*)block8986;
  uo8987->data[0] = (Object)closure8987;
  Method *meth_meth_parser__apply8987 = addmethod2pos(block8986, "_apply", &meth_parser__apply8987, 0);
  int argcv_meth_parser__apply8987[] = {0};
  meth_meth_parser__apply8987->type = alloc_MethodType(1, argcv_meth_parser__apply8987);
  meth_meth_parser__apply8987->definitionModule = modulename;
  meth_meth_parser__apply8987->definitionLine = 2811;
// compiled block node returning block8986 (depth = 3)
  gc_frame_newslot(block8986);
// call case 5: prelude request
  params[0] = block8969;
  params[1] = block8986;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9208 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8968);
// compiled call node returning call9208 (depth = 2)
// Begin line 2882
  setline(2882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe9209 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_methname (depth = 4)
  gc_frame_newslot(*var_methname);
// starting to compile identifier node (depth = 4)
  Object bool9210 = alloc_Boolean(0);
// compiled identifier node returning bool9210 (depth = 4)
  gc_frame_newslot(bool9210);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9211 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  partcv[0] = 0;
  Object call9212 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe9211);
// compiled call node returning call9212 (depth = 5)
// compiled member node returning call9212 (depth = 4)
  params[0] = *var_methname;
  params[1] = bool9210;
  partcv[0] = 2;
  Object call9213 = callmethod(call9212, "new",
    1, partcv, params);
  gc_frame_end(callframe9209);
// compiled call node returning call9213 (depth = 3)
  *var_newName = call9213;
  if (call9213 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 2884
  setline(2884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 2882
  setline(2882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9214 = gc_frame_new();
// Begin line 2883
  setline(2883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool9215 = alloc_Boolean(1);
// compiled identifier node returning bool9215 (depth = 4)
  gc_frame_newslot(bool9215);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_newName (depth = 4)
  params[0] = bool9215;
  partcv[0] = 1;
  Object call9216 = callmethod(*var_newName, "isBindingOccurrence:=",
    1, partcv, params);
  gc_frame_end(callframe9214);
// compiled call node returning call9216 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 2884
  setline(2884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_newName (depth = 2)
  gc_frame_end(frame);
  return *var_newName;
}
Object meth_parser__apply9227(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9228 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9229 = callmethodflags(self, "typeexpression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9228);
// compiled call node returning call9229 (depth = 7)
// compiled member node returning call9229 (depth = 6)
  gc_frame_end(frame);
  return call9229;
}
Object meth_parser_optionalTypeAnnotation9217(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 56, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "optionalTypeAnnotation");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for optionalTypeAnnotation (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for optionalTypeAnnotation");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
// Begin line 2909
  setline(2909);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2890
  setline(2890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9219 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit9220 == NULL) {
    strlit9220 = alloc_String("colon");
    gc_root(strlit9220);
  }
// compiled string node returning strlit9220 (depth = 4)
  gc_frame_newslot(strlit9220);
// call case 4: self request
  params[0] = strlit9220;
  partcv[0] = 1;
  Object call9221 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9219);
// compiled call node returning call9221 (depth = 3)
  Object if9218 = done;
  if (istrue(call9221)) {
// Begin line 2891
  setline(2891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9222 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9223 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9222);
// compiled call node returning call9223 (depth = 4)
// compiled member node returning call9223 (depth = 3)
// Begin line 2906
  setline(2906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2892
  setline(2892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9225 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block9226 = alloc_Block(NULL, NULL, "parser", 2892);
  gc_frame_newslot(block9226);
// method _apply
  block_savedest(block9226);
  Object closure9227 = createclosure(1, "_apply");
  setclosureframe(closure9227, stackframe);
  addtoclosure(closure9227, selfslot);
  struct UserObject *uo9227 = (struct UserObject*)block9226;
  uo9227->data[0] = (Object)closure9227;
  Method *meth_meth_parser__apply9227 = addmethod2pos(block9226, "_apply", &meth_parser__apply9227, 0);
  int argcv_meth_parser__apply9227[] = {0};
  meth_meth_parser__apply9227->type = alloc_MethodType(1, argcv_meth_parser__apply9227);
  meth_meth_parser__apply9227->definitionModule = modulename;
  meth_meth_parser__apply9227->definitionLine = 2891;
// compiled block node returning block9226 (depth = 5)
  gc_frame_newslot(block9226);
// call case 4: self request
  params[0] = block9226;
  partcv[0] = 1;
  Object call9231 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9225);
// compiled call node returning call9231 (depth = 4)
  Object if9224 = done;
  if (istrue(call9231)) {
// Begin line 2893
  setline(2893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9232 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call9233 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9232);
// compiled call node returning call9233 (depth = 5)
// compiled member node returning call9233 (depth = 4)
    gc_frame_newslot(call9233);
    if9224 = call9233;
  } else {
// Begin line 2895
  setline(2895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9234 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9235 = callmethodflags(self, "checkBadTypeLiteral", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9234);
// compiled call node returning call9235 (depth = 5)
// compiled member node returning call9235 (depth = 4)
// Begin line 2897
  setline(2897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 2896
  setline(2896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 5)
  Object array9236 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9236 (depth = 5)
  *var_suggestions = array9236;
  if (array9236 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 2898
  setline(2898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2897
  setline(2897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9237 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9238 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call9239 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9238);
// compiled call node returning call9239 (depth = 8)
// compiled member node returning call9239 (depth = 7)
  partcv[0] = 0;
  Object call9240 = callmethod(call9239, "new",
    1, partcv, params);
  gc_frame_end(callframe9237);
// compiled call node returning call9240 (depth = 6)
// compiled member node returning call9240 (depth = 5)
  *var_suggestion = call9240;
  if (call9240 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2898
  setline(2898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9241 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit9242 == NULL) {
    strlit9242 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit9242);
  }
// compiled string node returning strlit9242 (depth = 5)
  gc_frame_newslot(strlit9242);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit9242;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9243 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9241);
// compiled call node returning call9243 (depth = 4)
// Begin line 2899
  setline(2899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9244 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9245 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9244);
// compiled call node returning call9245 (depth = 4)
// Begin line 2901
  setline(2901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2900
  setline(2900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9246 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9247 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call9248 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9247);
// compiled call node returning call9248 (depth = 8)
// compiled member node returning call9248 (depth = 7)
  partcv[0] = 0;
  Object call9249 = callmethod(call9248, "new",
    1, partcv, params);
  gc_frame_end(callframe9246);
// compiled call node returning call9249 (depth = 6)
// compiled member node returning call9249 (depth = 5)
  *var_suggestion = call9249;
  if (call9249 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2901
  setline(2901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9251 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 5)
  Object bool9252 = alloc_Boolean(1);
// compiled identifier node returning bool9252 (depth = 5)
  gc_frame_newslot(bool9252);
// starting to compile identifier node (depth = 5)
  Object bool9253 = alloc_Boolean(0);
// compiled identifier node returning bool9253 (depth = 5)
  gc_frame_newslot(bool9253);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = *var_lastToken;
  params[1] = bool9252;
  params[2] = bool9253;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call9254 = callmethod(*var_suggestion, "deleteToken()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe9251);
// compiled call node returning call9254 (depth = 4)
// Begin line 2902
  setline(2902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9255 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9256 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9255);
// compiled call node returning call9256 (depth = 4)
// Begin line 2903
  setline(2903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9257 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit9258 == NULL) {
    strlit9258 = alloc_String("A type name or type expression must follow ':'.");
    gc_root(strlit9258);
  }
// compiled string node returning strlit9258 (depth = 5)
  gc_frame_newslot(strlit9258);
// Begin line 2904
  setline(2904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9259 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call9260 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9259);
// compiled call node returning call9260 (depth = 6)
// compiled member node returning call9260 (depth = 5)
  gc_frame_newslot(call9260);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9261 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call9262 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9261);
// compiled call node returning call9262 (depth = 6)
// compiled member node returning call9262 (depth = 5)
  gc_frame_newslot(call9262);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 2903
  setline(2903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit9258;
  params[1] = call9260;
  params[2] = call9262;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9263 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe9257);
// compiled call node returning call9263 (depth = 4)
    gc_frame_newslot(call9263);
    if9224 = call9263;
  }
// compiled if node returning if9224 (depth = 3)
    gc_frame_newslot(if9224);
    if9218 = if9224;
  } else {
// Begin line 2907
  setline(2907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9264 = alloc_Boolean(0);
// compiled identifier node returning bool9264 (depth = 3)
    gc_frame_newslot(bool9264);
    if9218 = bool9264;
  }
// compiled if node returning if9218 (depth = 2)
  gc_frame_end(frame);
  return if9218;
}
Object meth_parser__apply9351(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9353 == NULL) {
    strlit9353 = alloc_String("rsquare");
    gc_root(strlit9353);
  }
// compiled string node returning strlit9353 (depth = 9)
  int op_slot_right_9352 = gc_frame_newslot(strlit9353);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9355 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe9356 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tokens (depth = 13)
  partcv[0] = 0;
  Object call9357 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe9356);
// compiled call node returning call9357 (depth = 12)
// compiled member node returning call9357 (depth = 11)
  partcv[0] = 0;
  Object call9358 = callmethod(call9357, "kind",
    1, partcv, params);
  gc_frame_end(callframe9355);
// compiled call node returning call9358 (depth = 10)
// compiled member node returning call9358 (depth = 9)
  int op_slot_left_9352 = gc_frame_newslot(call9358);
  params[0] = strlit9353;
  partcv[0] = 1;
  Object opresult9359 = callmethod(call9358, "==", 1, partcv, params);
// compiled op node returning opresult9359 (depth = 8)
  gc_frame_end(frame);
  return opresult9359;
}
Object meth_parser__apply9478(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 5)
  int callframe9479 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit9480 == NULL) {
    strlit9480 = alloc_String("identifier");
    gc_root(strlit9480);
  }
// compiled string node returning strlit9480 (depth = 6)
  gc_frame_newslot(strlit9480);
// call case 4: self request
  params[0] = strlit9480;
  partcv[0] = 1;
  Object call9481 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9479);
// compiled call node returning call9481 (depth = 5)
  gc_frame_end(frame);
  return call9481;
}
Object meth_parser__apply9484(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_genericIdents = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_id = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "id");
// Begin line 2955
  setline(2955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9485 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9486 = callmethodflags(self, "identifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9485);
// compiled call node returning call9486 (depth = 6)
// compiled member node returning call9486 (depth = 5)
// Begin line 2957
  setline(2957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 2956
  setline(2956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9487 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call9488 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9487);
// compiled call node returning call9488 (depth = 7)
// compiled member node returning call9488 (depth = 6)
  *var_id = call9488;
  if (call9488 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2958
  setline(2958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2956
  setline(2956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9489 = gc_frame_new();
// Begin line 2957
  setline(2957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool9490 = alloc_Boolean(1);
// compiled identifier node returning bool9490 (depth = 7)
  gc_frame_newslot(bool9490);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_id (depth = 7)
  params[0] = bool9490;
  partcv[0] = 1;
  Object call9491 = callmethod(*var_id, "isBindingOccurrence:=",
    1, partcv, params);
  gc_frame_end(callframe9489);
// compiled call node returning call9491 (depth = 6)
// compiled bind node returning done (depth = 5)
// Begin line 2958
  setline(2958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9492 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_id (depth = 6)
  gc_frame_newslot(*var_id);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_genericIdents (depth = 6)
  params[0] = *var_id;
  partcv[0] = 1;
  Object call9493 = callmethod(*var_genericIdents, "push",
    1, partcv, params);
  gc_frame_end(callframe9492);
// compiled call node returning call9493 (depth = 5)
// Begin line 2962
  setline(2962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 2959
  setline(2959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9495 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit9496 == NULL) {
    strlit9496 = alloc_String("comma");
    gc_root(strlit9496);
  }
// compiled string node returning strlit9496 (depth = 7)
  gc_frame_newslot(strlit9496);
// call case 4: self request
  params[0] = strlit9496;
  partcv[0] = 1;
  Object call9497 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9495);
// compiled call node returning call9497 (depth = 6)
  Object if9494 = done;
  if (istrue(call9497)) {
// Begin line 2960
  setline(2960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9498 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9499 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9498);
// compiled call node returning call9499 (depth = 7)
// compiled member node returning call9499 (depth = 6)
    gc_frame_newslot(call9499);
    if9494 = call9499;
  } else {
  }
// compiled if node returning if9494 (depth = 5)
  gc_frame_end(frame);
  return if9494;
}
Object meth_parser__apply9601(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2990
  setline(2990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9605 == NULL) {
    strlit9605 = alloc_String("*");
    gc_root(strlit9605);
  }
// compiled string node returning strlit9605 (depth = 8)
  int op_slot_right_9604 = gc_frame_newslot(strlit9605);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9607 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call9608 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9607);
// compiled call node returning call9608 (depth = 9)
// compiled member node returning call9608 (depth = 8)
  int op_slot_left_9604 = gc_frame_newslot(call9608);
  params[0] = strlit9605;
  partcv[0] = 1;
  Object opresult9609 = callmethod(call9608, "==", 1, partcv, params);
// compiled op node returning opresult9609 (depth = 7)
  int op_slot_right_9603 = gc_frame_newslot(opresult9609);
// starting to compile call node (depth = 7)
  int callframe9611 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit9612 == NULL) {
    strlit9612 = alloc_String("op");
    gc_root(strlit9612);
  }
// compiled string node returning strlit9612 (depth = 8)
  gc_frame_newslot(strlit9612);
// call case 4: self request
  params[0] = strlit9612;
  partcv[0] = 1;
  Object call9613 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9611);
// compiled call node returning call9613 (depth = 7)
  int op_slot_left_9603 = gc_frame_newslot(call9613);
  params[0] = opresult9609;
  partcv[0] = 1;
  Object opresult9614 = callmethod(call9613, "&&", 1, partcv, params);
// compiled op node returning opresult9614 (depth = 6)
  int op_slot_right_9602 = gc_frame_newslot(opresult9614);
// Begin line 2989
  setline(2989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9616 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit9617 == NULL) {
    strlit9617 = alloc_String("identifier");
    gc_root(strlit9617);
  }
// compiled string node returning strlit9617 (depth = 7)
  gc_frame_newslot(strlit9617);
// call case 4: self request
  params[0] = strlit9617;
  partcv[0] = 1;
  Object call9618 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9616);
// compiled call node returning call9618 (depth = 6)
  int op_slot_left_9602 = gc_frame_newslot(call9618);
  params[0] = opresult9614;
  partcv[0] = 1;
  Object opresult9619 = callmethod(call9618, "||", 1, partcv, params);
// compiled op node returning opresult9619 (depth = 5)
  gc_frame_end(frame);
  return opresult9619;
}
Object meth_parser__apply9714(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe9717 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_sym (depth = 14)
  partcv[0] = 0;
  Object call9718 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9717);
// compiled call node returning call9718 (depth = 13)
// compiled member node returning call9718 (depth = 12)
  int op_slot_right_9716 = gc_frame_newslot(call9718);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe9720 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_t (depth = 14)
  partcv[0] = 0;
  Object call9721 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe9720);
// compiled call node returning call9721 (depth = 13)
// compiled member node returning call9721 (depth = 12)
  int op_slot_left_9716 = gc_frame_newslot(call9721);
  params[0] = call9718;
  partcv[0] = 1;
  Object opresult9722 = callmethod(call9721, "==", 1, partcv, params);
// compiled op node returning opresult9722 (depth = 11)
  int op_slot_right_9715 = gc_frame_newslot(opresult9722);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit9725 == NULL) {
    strlit9725 = alloc_String("rparen");
    gc_root(strlit9725);
  }
// compiled string node returning strlit9725 (depth = 12)
  int op_slot_right_9724 = gc_frame_newslot(strlit9725);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe9727 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_t (depth = 14)
  partcv[0] = 0;
  Object call9728 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe9727);
// compiled call node returning call9728 (depth = 13)
// compiled member node returning call9728 (depth = 12)
  int op_slot_left_9724 = gc_frame_newslot(call9728);
  params[0] = strlit9725;
  partcv[0] = 1;
  Object opresult9729 = callmethod(call9728, "==", 1, partcv, params);
// compiled op node returning opresult9729 (depth = 11)
  int op_slot_left_9715 = gc_frame_newslot(opresult9729);
  params[0] = opresult9722;
  partcv[0] = 1;
  Object opresult9730 = callmethod(opresult9729, "&&", 1, partcv, params);
// compiled op node returning opresult9730 (depth = 10)
  gc_frame_end(frame);
  return opresult9730;
}
Object meth_parser__apply9622(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_comma = getfromclosure(closure, 3);
  Object *var_vararg = getfromclosure(closure, 4);
  Object *var_varargs = getfromclosure(closure, 5);
  Object *var_values = getfromclosure(closure, 6);
  Object *var_id = getfromclosure(closure, 7);
  Object *var_dtype = getfromclosure(closure, 8);
  Object *var_part = getfromclosure(closure, 9);
  Object *var_lparen = getfromclosure(closure, 10);
  Object self = *(getfromclosure(closure, 11));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_rparen = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "rparen");
// Begin line 3015
  setline(3015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 2993
  setline(2993);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9624 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit9625 == NULL) {
    strlit9625 = alloc_String("op");
    gc_root(strlit9625);
  }
// compiled string node returning strlit9625 (depth = 7)
  gc_frame_newslot(strlit9625);
// call case 4: self request
  params[0] = strlit9625;
  partcv[0] = 1;
  Object call9626 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9624);
// compiled call node returning call9626 (depth = 6)
  Object if9623 = done;
  if (istrue(call9626)) {
// Begin line 2994
  setline(2994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9627 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9628 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9627);
// compiled call node returning call9628 (depth = 7)
// compiled member node returning call9628 (depth = 6)
// Begin line 3012
  setline(3012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 2995
  setline(2995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9631 == NULL) {
    strlit9631 = alloc_String("identifier");
    gc_root(strlit9631);
  }
// compiled string node returning strlit9631 (depth = 8)
  int op_slot_right_9630 = gc_frame_newslot(strlit9631);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9633 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call9634 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9633);
// compiled call node returning call9634 (depth = 9)
// compiled member node returning call9634 (depth = 8)
  int op_slot_left_9630 = gc_frame_newslot(call9634);
  params[0] = strlit9631;
  partcv[0] = 1;
  Object opresult9635 = callmethod(call9634, "!=", 1, partcv, params);
// compiled op node returning opresult9635 (depth = 7)
  Object if9629 = done;
  if (istrue(opresult9635)) {
// Begin line 2997
  setline(2997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 2996
  setline(2996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 8)
  Object array9636 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9636 (depth = 8)
  *var_suggestions = array9636;
  if (array9636 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 2998
  setline(2998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 7)
// Begin line 2997
  setline(2997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9637 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe9638 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call9639 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9638);
// compiled call node returning call9639 (depth = 11)
// compiled member node returning call9639 (depth = 10)
  partcv[0] = 0;
  Object call9640 = callmethod(call9639, "new",
    1, partcv, params);
  gc_frame_end(callframe9637);
// compiled call node returning call9640 (depth = 9)
// compiled member node returning call9640 (depth = 8)
  *var_suggestion = call9640;
  if (call9640 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 7)
// Begin line 2998
  setline(2998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe9641 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit9642 == NULL) {
    strlit9642 = alloc_String("""\xc2""""\xab""parameter name""\xc2""""\xbb""");
    gc_root(strlit9642);
  }
// compiled string node returning strlit9642 (depth = 8)
  gc_frame_newslot(strlit9642);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit9642;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9643 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9641);
// compiled call node returning call9643 (depth = 7)
// Begin line 2999
  setline(2999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe9644 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9645 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9644);
// compiled call node returning call9645 (depth = 7)
// Begin line 3009
  setline(3009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 3000
  setline(3000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool9648 = alloc_Boolean(0);
// compiled identifier node returning bool9648 (depth = 9)
  int op_slot_right_9647 = gc_frame_newslot(bool9648);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_comma (depth = 9)
  int op_slot_left_9647 = gc_frame_newslot(*var_comma);
  params[0] = bool9648;
  partcv[0] = 1;
  Object opresult9650 = callmethod(*var_comma, "==", 1, partcv, params);
// compiled op node returning opresult9650 (depth = 8)
  Object if9646 = done;
  if (istrue(opresult9650)) {
// Begin line 3002
  setline(3002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 3001
  setline(3001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9651 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe9652 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call9653 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9652);
// compiled call node returning call9653 (depth = 12)
// compiled member node returning call9653 (depth = 11)
  partcv[0] = 0;
  Object call9654 = callmethod(call9653, "new",
    1, partcv, params);
  gc_frame_end(callframe9651);
// compiled call node returning call9654 (depth = 10)
// compiled member node returning call9654 (depth = 9)
  *var_suggestion = call9654;
  if (call9654 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 3002
  setline(3002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9656 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call9657 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe9656);
// compiled call node returning call9657 (depth = 8)
// Begin line 3003
  setline(3003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9658 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9659 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9658);
// compiled call node returning call9659 (depth = 8)
    gc_frame_newslot(call9659);
    if9646 = call9659;
  } else {
// Begin line 3006
  setline(3006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 3005
  setline(3005);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9660 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe9661 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call9662 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9661);
// compiled call node returning call9662 (depth = 12)
// compiled member node returning call9662 (depth = 11)
  partcv[0] = 0;
  Object call9663 = callmethod(call9662, "new",
    1, partcv, params);
  gc_frame_end(callframe9660);
// compiled call node returning call9663 (depth = 10)
// compiled member node returning call9663 (depth = 9)
  *var_suggestion = call9663;
  if (call9663 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 3006
  setline(3006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9665 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_comma (depth = 9)
  gc_frame_newslot(*var_comma);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_comma;
  params[1] = *var_lastToken;
  partcv[0] = 2;
  Object call9666 = callmethod(*var_suggestion, "deleteTokenRange",
    1, partcv, params);
  gc_frame_end(callframe9665);
// compiled call node returning call9666 (depth = 8)
// Begin line 3007
  setline(3007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9667 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9668 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9667);
// compiled call node returning call9668 (depth = 8)
    gc_frame_newslot(call9668);
    if9646 = call9668;
  }
// compiled if node returning if9646 (depth = 7)
// Begin line 3009
  setline(3009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe9669 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit9670 == NULL) {
    strlit9670 = alloc_String("A variable length parameter (a parameter beginning with a '*') must have a name after the '*'.");
    gc_root(strlit9670);
  }
// compiled string node returning strlit9670 (depth = 8)
  gc_frame_newslot(strlit9670);
// Begin line 3010
  setline(3010);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9671 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call9672 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9671);
// compiled call node returning call9672 (depth = 9)
// compiled member node returning call9672 (depth = 8)
  gc_frame_newslot(call9672);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9674 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call9675 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9674);
// compiled call node returning call9675 (depth = 10)
// compiled member node returning call9675 (depth = 9)
  int op_slot_right_9673 = gc_frame_newslot(call9675);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9677 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call9678 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9677);
// compiled call node returning call9678 (depth = 10)
// compiled member node returning call9678 (depth = 9)
  int op_slot_left_9673 = gc_frame_newslot(call9678);
  params[0] = call9675;
  partcv[0] = 1;
  Object sum9679 = callmethod(call9678, "+", 1, partcv, params);
// compiled op node returning sum9679 (depth = 8)
  gc_frame_newslot(sum9679);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 3009
  setline(3009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit9670;
  params[1] = call9672;
  params[2] = sum9679;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9680 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe9669);
// compiled call node returning call9680 (depth = 7)
    gc_frame_newslot(call9680);
    if9629 = call9680;
  } else {
  }
// compiled if node returning if9629 (depth = 6)
// Begin line 3013
  setline(3013);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 3012
  setline(3012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool9681 = alloc_Boolean(1);
// compiled identifier node returning bool9681 (depth = 7)
  *var_vararg = bool9681;
  if (bool9681 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 3014
  setline(3014);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 3013
  setline(3013);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool9683 = alloc_Boolean(1);
// compiled identifier node returning bool9683 (depth = 7)
  *var_varargs = bool9683;
  if (bool9683 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if9623 = done;
  } else {
  }
// compiled if node returning if9623 (depth = 5)
// Begin line 3015
  setline(3015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9685 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9686 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9685);
// compiled call node returning call9686 (depth = 6)
// compiled member node returning call9686 (depth = 5)
// Begin line 3017
  setline(3017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 3016
  setline(3016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9687 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call9688 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9687);
// compiled call node returning call9688 (depth = 7)
// compiled member node returning call9688 (depth = 6)
  *var_id = call9688;
  if (call9688 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 3018
  setline(3018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 3016
  setline(3016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9690 = gc_frame_new();
// Begin line 3017
  setline(3017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool9691 = alloc_Boolean(1);
// compiled identifier node returning bool9691 (depth = 7)
  gc_frame_newslot(bool9691);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_id (depth = 7)
  params[0] = bool9691;
  partcv[0] = 1;
  Object call9692 = callmethod(*var_id, "isBindingOccurrence:=",
    1, partcv, params);
  gc_frame_end(callframe9690);
// compiled call node returning call9692 (depth = 6)
// compiled bind node returning done (depth = 5)
// Begin line 3019
  setline(3019);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 3018
  setline(3018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9693 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9694 = callmethodflags(self, "optionalTypeAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9693);
// compiled call node returning call9694 (depth = 7)
// compiled member node returning call9694 (depth = 6)
  *var_dtype = call9694;
  if (call9694 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 3020
  setline(3020);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 3018
  setline(3018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9696 = gc_frame_new();
// Begin line 3019
  setline(3019);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_dtype (depth = 7)
  gc_frame_newslot(*var_dtype);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_id (depth = 7)
  params[0] = *var_dtype;
  partcv[0] = 1;
  Object call9697 = callmethod(*var_id, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe9696);
// compiled call node returning call9697 (depth = 6)
// compiled bind node returning done (depth = 5)
// Begin line 3039
  setline(3039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 3020
  setline(3020);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_vararg (depth = 6)
  Object if9698 = done;
  if (istrue(*var_vararg)) {
// Begin line 3022
  setline(3022);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 3018
  setline(3018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe9699 = gc_frame_new();
// Begin line 3021
  setline(3021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_id (depth = 8)
  gc_frame_newslot(*var_id);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  params[0] = *var_id;
  partcv[0] = 1;
  Object call9700 = callmethod(*var_part, "vararg:=",
    1, partcv, params);
  gc_frame_end(callframe9699);
// compiled call node returning call9700 (depth = 7)
// compiled bind node returning done (depth = 6)
// Begin line 3036
  setline(3036);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 3022
  setline(3022);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9703 == NULL) {
    strlit9703 = alloc_String("rparen");
    gc_root(strlit9703);
  }
// compiled string node returning strlit9703 (depth = 8)
  int op_slot_right_9702 = gc_frame_newslot(strlit9703);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9705 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call9706 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9705);
// compiled call node returning call9706 (depth = 9)
// compiled member node returning call9706 (depth = 8)
  int op_slot_left_9702 = gc_frame_newslot(call9706);
  params[0] = strlit9703;
  partcv[0] = 1;
  Object opresult9707 = callmethod(call9706, "!=", 1, partcv, params);
// compiled op node returning opresult9707 (depth = 7)
  Object if9701 = done;
  if (istrue(opresult9707)) {
// Begin line 3024
  setline(3024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 3023
  setline(3023);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9708 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe9709 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call9710 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9709);
// compiled call node returning call9710 (depth = 11)
// compiled member node returning call9710 (depth = 10)
  partcv[0] = 0;
  Object call9711 = callmethod(call9710, "new",
    1, partcv, params);
  gc_frame_end(callframe9708);
// compiled call node returning call9711 (depth = 9)
// compiled member node returning call9711 (depth = 8)
  *var_suggestion = call9711;
  if (call9711 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 3024
  setline(3024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9712 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block9713 = alloc_Block(NULL, NULL, "parser", 3024);
  gc_frame_newslot(block9713);
// method _apply
  block_savedest(block9713);
  Object closure9714 = createclosure(2, "_apply");
  setclosureframe(closure9714, stackframe);
  addtoclosure(closure9714, var_sym);
  addtoclosure(closure9714, selfslot);
  struct UserObject *uo9714 = (struct UserObject*)block9713;
  uo9714->data[0] = (Object)closure9714;
  Method *meth_meth_parser__apply9714 = addmethod2pos(block9713, "_apply", &meth_parser__apply9714, 0);
  int argcv_meth_parser__apply9714[] = {1};
  meth_meth_parser__apply9714->type = alloc_MethodType(1, argcv_meth_parser__apply9714);
  meth_meth_parser__apply9714->definitionModule = modulename;
  meth_meth_parser__apply9714->definitionLine = 3023;
// compiled block node returning block9713 (depth = 9)
  gc_frame_newslot(block9713);
// call case 4: self request
  params[0] = block9713;
  partcv[0] = 1;
  Object call9732 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9712);
// compiled call node returning call9732 (depth = 8)
  *var_rparen = call9732;
  if (call9732 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 3035
  setline(3035);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 3025
  setline(3025);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool9736 = alloc_Boolean(0);
// compiled identifier node returning bool9736 (depth = 10)
  int op_slot_right_9735 = gc_frame_newslot(bool9736);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_rparen (depth = 10)
  int op_slot_left_9735 = gc_frame_newslot(*var_rparen);
  params[0] = bool9736;
  partcv[0] = 1;
  Object opresult9738 = callmethod(*var_rparen, "!=", 1, partcv, params);
// compiled op node returning opresult9738 (depth = 9)
  int op_slot_right_9734 = gc_frame_newslot(opresult9738);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit9741 == NULL) {
    strlit9741 = alloc_String("comma");
    gc_root(strlit9741);
  }
// compiled string node returning strlit9741 (depth = 10)
  int op_slot_right_9740 = gc_frame_newslot(strlit9741);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe9743 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call9744 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9743);
// compiled call node returning call9744 (depth = 11)
// compiled member node returning call9744 (depth = 10)
  int op_slot_left_9740 = gc_frame_newslot(call9744);
  params[0] = strlit9741;
  partcv[0] = 1;
  Object opresult9745 = callmethod(call9744, "==", 1, partcv, params);
// compiled op node returning opresult9745 (depth = 9)
  int op_slot_left_9734 = gc_frame_newslot(opresult9745);
  params[0] = opresult9738;
  partcv[0] = 1;
  Object opresult9746 = callmethod(opresult9745, "&&", 1, partcv, params);
// compiled op node returning opresult9746 (depth = 8)
  Object if9733 = done;
  if (istrue(opresult9746)) {
// Begin line 3026
  setline(3026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9747 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit9749 == NULL) {
    strlit9749 = alloc_String("");
    gc_root(strlit9749);
  }
// compiled string node returning strlit9749 (depth = 10)
  int op_slot_right_9748 = gc_frame_newslot(strlit9749);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe9752 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_id (depth = 13)
  partcv[0] = 0;
  Object call9753 = callmethod(*var_id, "value",
    1, partcv, params);
  gc_frame_end(callframe9752);
// compiled call node returning call9753 (depth = 12)
// compiled member node returning call9753 (depth = 11)
  int op_slot_right_9751 = gc_frame_newslot(call9753);
// starting to compile string node (depth = 11)
  if (strlit9755 == NULL) {
    strlit9755 = alloc_String(",*");
    gc_root(strlit9755);
  }
// compiled string node returning strlit9755 (depth = 11)
  int op_slot_left_9751 = gc_frame_newslot(strlit9755);
  params[0] = call9753;
  partcv[0] = 1;
  Object opresult9756 = callmethod(strlit9755, "++", 1, partcv, params);
// compiled op node returning opresult9756 (depth = 10)
  int op_slot_left_9748 = gc_frame_newslot(opresult9756);
  params[0] = strlit9749;
  partcv[0] = 1;
  Object opresult9757 = callmethod(opresult9756, "++", 1, partcv, params);
// compiled op node returning opresult9757 (depth = 9)
  gc_frame_newslot(opresult9757);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_rparen (depth = 9)
  gc_frame_newslot(*var_rparen);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = opresult9757;
  params[1] = *var_rparen;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9758 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe9747);
// compiled call node returning call9758 (depth = 8)
// Begin line 3027
  setline(3027);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9759 = gc_frame_new();
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9760 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lparen (depth = 11)
  partcv[0] = 0;
  Object call9761 = callmethod(*var_lparen, "next",
    1, partcv, params);
  gc_frame_end(callframe9760);
// compiled call node returning call9761 (depth = 10)
// compiled member node returning call9761 (depth = 9)
  gc_frame_newslot(call9761);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
  Object bool9762 = alloc_Boolean(1);
// compiled identifier node returning bool9762 (depth = 9)
  gc_frame_newslot(bool9762);
// starting to compile identifier node (depth = 9)
  Object bool9763 = alloc_Boolean(0);
// compiled identifier node returning bool9763 (depth = 9)
  gc_frame_newslot(bool9763);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = call9761;
  params[1] = *var_sym;
  params[2] = bool9762;
  params[3] = bool9763;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call9764 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe9759);
// compiled call node returning call9764 (depth = 8)
// Begin line 3028
  setline(3028);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9765 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit9766 == NULL) {
    strlit9766 = alloc_String("A variable length parameter (a parameter beginning with a '*') cannot have any more parameters after it.");
    gc_root(strlit9766);
  }
// compiled string node returning strlit9766 (depth = 9)
  gc_frame_newslot(strlit9766);
// Begin line 3029
  setline(3029);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9767 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call9768 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9767);
// compiled call node returning call9768 (depth = 10)
// compiled member node returning call9768 (depth = 9)
  gc_frame_newslot(call9768);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9769 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call9770 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9769);
// compiled call node returning call9770 (depth = 10)
// compiled member node returning call9770 (depth = 9)
  gc_frame_newslot(call9770);
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num9772 = alloc_Float64(1);
// compiled num node returning num9772 (depth = 10)
  int op_slot_right_9771 = gc_frame_newslot(num9772);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe9774 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_rparen (depth = 12)
  partcv[0] = 0;
  Object call9775 = callmethod(*var_rparen, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9774);
// compiled call node returning call9775 (depth = 11)
// compiled member node returning call9775 (depth = 10)
  int op_slot_left_9771 = gc_frame_newslot(call9775);
  params[0] = num9772;
  partcv[0] = 1;
  Object diff9776 = callmethod(call9775, "-", 1, partcv, params);
// compiled op node returning diff9776 (depth = 9)
  gc_frame_newslot(diff9776);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 3028
  setline(3028);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit9766;
  params[1] = call9768;
  params[2] = call9770;
  params[3] = diff9776;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call9777 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9765);
// compiled call node returning call9777 (depth = 8)
    gc_frame_newslot(call9777);
    if9733 = call9777;
  } else {
// Begin line 3031
  setline(3031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9778 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit9779 == NULL) {
    strlit9779 = alloc_String(")");
    gc_root(strlit9779);
  }
// compiled string node returning strlit9779 (depth = 9)
  gc_frame_newslot(strlit9779);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit9779;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9780 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9778);
// compiled call node returning call9780 (depth = 8)
// Begin line 3032
  setline(3032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9781 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit9782 == NULL) {
    strlit9782 = alloc_String("A part of a method beginning with a '(' must end with a ')'.");
    gc_root(strlit9782);
  }
// compiled string node returning strlit9782 (depth = 9)
  gc_frame_newslot(strlit9782);
// Begin line 3033
  setline(3033);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9783 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call9784 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9783);
// compiled call node returning call9784 (depth = 10)
// compiled member node returning call9784 (depth = 9)
  gc_frame_newslot(call9784);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe9786 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lastToken (depth = 12)
  partcv[0] = 0;
  Object call9787 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9786);
// compiled call node returning call9787 (depth = 11)
// compiled member node returning call9787 (depth = 10)
  int op_slot_right_9785 = gc_frame_newslot(call9787);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe9789 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lastToken (depth = 12)
  partcv[0] = 0;
  Object call9790 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9789);
// compiled call node returning call9790 (depth = 11)
// compiled member node returning call9790 (depth = 10)
  int op_slot_left_9785 = gc_frame_newslot(call9790);
  params[0] = call9787;
  partcv[0] = 1;
  Object sum9791 = callmethod(call9790, "+", 1, partcv, params);
// compiled op node returning sum9791 (depth = 9)
  gc_frame_newslot(sum9791);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 3032
  setline(3032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit9782;
  params[1] = call9784;
  params[2] = sum9791;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9792 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9781);
// compiled call node returning call9792 (depth = 8)
    gc_frame_newslot(call9792);
    if9733 = call9792;
  }
// compiled if node returning if9733 (depth = 7)
    gc_frame_newslot(if9733);
    if9701 = if9733;
  } else {
  }
// compiled if node returning if9701 (depth = 6)
    gc_frame_newslot(if9701);
    if9698 = if9701;
  } else {
// Begin line 3037
  setline(3037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9793 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_id (depth = 7)
  gc_frame_newslot(*var_id);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9794 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  partcv[0] = 0;
  Object call9795 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe9794);
// compiled call node returning call9795 (depth = 8)
// compiled member node returning call9795 (depth = 7)
  params[0] = *var_id;
  partcv[0] = 1;
  Object call9796 = callmethod(call9795, "push",
    1, partcv, params);
  gc_frame_end(callframe9793);
// compiled call node returning call9796 (depth = 6)
    gc_frame_newslot(call9796);
    if9698 = call9796;
  }
// compiled if node returning if9698 (depth = 5)
// Begin line 3050
  setline(3050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 3039
  setline(3039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9798 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit9799 == NULL) {
    strlit9799 = alloc_String("comma");
    gc_root(strlit9799);
  }
// compiled string node returning strlit9799 (depth = 7)
  gc_frame_newslot(strlit9799);
// call case 4: self request
  params[0] = strlit9799;
  partcv[0] = 1;
  Object call9800 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9798);
// compiled call node returning call9800 (depth = 6)
  Object if9797 = done;
  if (istrue(call9800)) {
// Begin line 3041
  setline(3041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 3040
  setline(3040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  *var_comma = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 3041
  setline(3041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9802 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9803 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9802);
// compiled call node returning call9803 (depth = 7)
// compiled member node returning call9803 (depth = 6)
    gc_frame_newslot(call9803);
    if9797 = call9803;
  } else {
// Begin line 3050
  setline(3050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 3042
  setline(3042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9806 == NULL) {
    strlit9806 = alloc_String("rparen");
    gc_root(strlit9806);
  }
// compiled string node returning strlit9806 (depth = 8)
  int op_slot_right_9805 = gc_frame_newslot(strlit9806);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9808 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call9809 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9808);
// compiled call node returning call9809 (depth = 9)
// compiled member node returning call9809 (depth = 8)
  int op_slot_left_9805 = gc_frame_newslot(call9809);
  params[0] = strlit9806;
  partcv[0] = 1;
  Object opresult9810 = callmethod(call9809, "!=", 1, partcv, params);
// compiled op node returning opresult9810 (depth = 7)
  Object if9804 = done;
  if (istrue(opresult9810)) {
// Begin line 3049
  setline(3049);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 3043
  setline(3043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9813 == NULL) {
    strlit9813 = alloc_String("rparen");
    gc_root(strlit9813);
  }
// compiled string node returning strlit9813 (depth = 9)
  int op_slot_right_9812 = gc_frame_newslot(strlit9813);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9815 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call9816 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9815);
// compiled call node returning call9816 (depth = 10)
// compiled member node returning call9816 (depth = 9)
  int op_slot_left_9812 = gc_frame_newslot(call9816);
  params[0] = strlit9813;
  partcv[0] = 1;
  Object opresult9817 = callmethod(call9816, "!=", 1, partcv, params);
// compiled op node returning opresult9817 (depth = 8)
  Object if9811 = done;
  if (istrue(opresult9817)) {
// Begin line 3045
  setline(3045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// Begin line 3044
  setline(3044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9818 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe9819 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call9820 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9819);
// compiled call node returning call9820 (depth = 12)
// compiled member node returning call9820 (depth = 11)
  partcv[0] = 0;
  Object call9821 = callmethod(call9820, "new",
    1, partcv, params);
  gc_frame_end(callframe9818);
// compiled call node returning call9821 (depth = 10)
// compiled member node returning call9821 (depth = 9)
  *var_suggestion = call9821;
  if (call9821 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 3045
  setline(3045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9822 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit9823 == NULL) {
    strlit9823 = alloc_String(")");
    gc_root(strlit9823);
  }
// compiled string node returning strlit9823 (depth = 9)
  gc_frame_newslot(strlit9823);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit9823;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9824 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9822);
// compiled call node returning call9824 (depth = 8)
// Begin line 3046
  setline(3046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9825 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit9826 == NULL) {
    strlit9826 = alloc_String("A part of a method beginning with a '(' must end with a ')'.");
    gc_root(strlit9826);
  }
// compiled string node returning strlit9826 (depth = 9)
  gc_frame_newslot(strlit9826);
// Begin line 3047
  setline(3047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9827 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call9828 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9827);
// compiled call node returning call9828 (depth = 10)
// compiled member node returning call9828 (depth = 9)
  gc_frame_newslot(call9828);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe9830 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lastToken (depth = 12)
  partcv[0] = 0;
  Object call9831 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9830);
// compiled call node returning call9831 (depth = 11)
// compiled member node returning call9831 (depth = 10)
  int op_slot_right_9829 = gc_frame_newslot(call9831);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe9833 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lastToken (depth = 12)
  partcv[0] = 0;
  Object call9834 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9833);
// compiled call node returning call9834 (depth = 11)
// compiled member node returning call9834 (depth = 10)
  int op_slot_left_9829 = gc_frame_newslot(call9834);
  params[0] = call9831;
  partcv[0] = 1;
  Object sum9835 = callmethod(call9834, "+", 1, partcv, params);
// compiled op node returning sum9835 (depth = 9)
  gc_frame_newslot(sum9835);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 3046
  setline(3046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit9826;
  params[1] = call9828;
  params[2] = sum9835;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9836 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9825);
// compiled call node returning call9836 (depth = 8)
    gc_frame_newslot(call9836);
    if9811 = call9836;
  } else {
  }
// compiled if node returning if9811 (depth = 7)
    gc_frame_newslot(if9811);
    if9804 = if9811;
  } else {
  }
// compiled if node returning if9804 (depth = 6)
    gc_frame_newslot(if9804);
    if9797 = if9804;
  }
// compiled if node returning if9797 (depth = 5)
  gc_frame_end(frame);
  return if9797;
}
Object meth_parser__apply9852(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9855 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call9856 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9855);
// compiled call node returning call9856 (depth = 10)
// compiled member node returning call9856 (depth = 9)
  int op_slot_right_9854 = gc_frame_newslot(call9856);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9858 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_t (depth = 11)
  partcv[0] = 0;
  Object call9859 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe9858);
// compiled call node returning call9859 (depth = 10)
// compiled member node returning call9859 (depth = 9)
  int op_slot_left_9854 = gc_frame_newslot(call9859);
  params[0] = call9856;
  partcv[0] = 1;
  Object opresult9860 = callmethod(call9859, "==", 1, partcv, params);
// compiled op node returning opresult9860 (depth = 8)
  int op_slot_right_9853 = gc_frame_newslot(opresult9860);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9863 == NULL) {
    strlit9863 = alloc_String("rparen");
    gc_root(strlit9863);
  }
// compiled string node returning strlit9863 (depth = 9)
  int op_slot_right_9862 = gc_frame_newslot(strlit9863);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9865 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_t (depth = 11)
  partcv[0] = 0;
  Object call9866 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe9865);
// compiled call node returning call9866 (depth = 10)
// compiled member node returning call9866 (depth = 9)
  int op_slot_left_9862 = gc_frame_newslot(call9866);
  params[0] = strlit9863;
  partcv[0] = 1;
  Object opresult9867 = callmethod(call9866, "==", 1, partcv, params);
// compiled op node returning opresult9867 (depth = 8)
  int op_slot_left_9853 = gc_frame_newslot(opresult9867);
  params[0] = opresult9860;
  partcv[0] = 1;
  Object opresult9868 = callmethod(opresult9867, "&&", 1, partcv, params);
// compiled op node returning opresult9868 (depth = 7)
  gc_frame_end(frame);
  return opresult9868;
}
Object meth_parser_methodsignature9265(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 57, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(21, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodsignature");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method methodsignature");
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  Object *var_tokens = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for methodsignature (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_sameline = &(stackframe->slots[0]);
  *var_sameline = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for methodsignature");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_meth = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "meth");
  Object *var_signature = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "signature");
  Object *var_part = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "part");
  Object *var_genericIdents = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "genericIdents");
  Object *var_suggestions = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestions");
  Object *var_dtype = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "dtype");
  Object *var_varargs = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "varargs");
  Object *var_vararg = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "vararg");
  Object *var_lparen = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "lparen");
  Object *var_id = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "id");
  Object *var_comma = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "comma");
  Object *var_rparen = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "rparen");
  Object *var_tm = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "tm");
  Object *var_o = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "o");
// Begin line 2918
  setline(2918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2912
  setline(2912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9269 == NULL) {
    strlit9269 = alloc_String("lsquare");
    gc_root(strlit9269);
  }
// compiled string node returning strlit9269 (depth = 5)
  int op_slot_right_9268 = gc_frame_newslot(strlit9269);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9271 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call9272 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9271);
// compiled call node returning call9272 (depth = 6)
// compiled member node returning call9272 (depth = 5)
  int op_slot_left_9268 = gc_frame_newslot(call9272);
  params[0] = strlit9269;
  partcv[0] = 1;
  Object opresult9273 = callmethod(call9272, "!=", 1, partcv, params);
// compiled op node returning opresult9273 (depth = 4)
  int op_slot_right_9267 = gc_frame_newslot(opresult9273);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9277 == NULL) {
    strlit9277 = alloc_String("op");
    gc_root(strlit9277);
  }
// compiled string node returning strlit9277 (depth = 6)
  int op_slot_right_9276 = gc_frame_newslot(strlit9277);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9279 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call9280 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9279);
// compiled call node returning call9280 (depth = 7)
// compiled member node returning call9280 (depth = 6)
  int op_slot_left_9276 = gc_frame_newslot(call9280);
  params[0] = strlit9277;
  partcv[0] = 1;
  Object opresult9281 = callmethod(call9280, "!=", 1, partcv, params);
// compiled op node returning opresult9281 (depth = 5)
  int op_slot_right_9275 = gc_frame_newslot(opresult9281);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9284 == NULL) {
    strlit9284 = alloc_String("identifier");
    gc_root(strlit9284);
  }
// compiled string node returning strlit9284 (depth = 6)
  int op_slot_right_9283 = gc_frame_newslot(strlit9284);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9286 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call9287 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9286);
// compiled call node returning call9287 (depth = 7)
// compiled member node returning call9287 (depth = 6)
  int op_slot_left_9283 = gc_frame_newslot(call9287);
  params[0] = strlit9284;
  partcv[0] = 1;
  Object opresult9288 = callmethod(call9287, "!=", 1, partcv, params);
// compiled op node returning opresult9288 (depth = 5)
  int op_slot_left_9275 = gc_frame_newslot(opresult9288);
  params[0] = opresult9281;
  partcv[0] = 1;
  Object opresult9289 = callmethod(opresult9288, "&&", 1, partcv, params);
// compiled op node returning opresult9289 (depth = 4)
  int op_slot_left_9267 = gc_frame_newslot(opresult9289);
  params[0] = opresult9273;
  partcv[0] = 1;
  Object opresult9290 = callmethod(opresult9289, "&&", 1, partcv, params);
// compiled op node returning opresult9290 (depth = 3)
  Object if9266 = done;
  if (istrue(opresult9290)) {
// Begin line 2914
  setline(2914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2913
  setline(2913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9291 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9292 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  partcv[0] = 0;
  Object call9293 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9292);
// compiled call node returning call9293 (depth = 7)
// compiled member node returning call9293 (depth = 6)
  partcv[0] = 0;
  Object call9294 = callmethod(call9293, "new",
    1, partcv, params);
  gc_frame_end(callframe9291);
// compiled call node returning call9294 (depth = 5)
// compiled member node returning call9294 (depth = 4)
  *var_suggestion = call9294;
  if (call9294 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2914
  setline(2914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9295 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit9296 == NULL) {
    strlit9296 = alloc_String(" ""\xc2""""\xab""method name""\xc2""""\xbb""");
    gc_root(strlit9296);
  }
// compiled string node returning strlit9296 (depth = 4)
  gc_frame_newslot(strlit9296);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lastToken (depth = 4)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = strlit9296;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9297 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9295);
// compiled call node returning call9297 (depth = 3)
// Begin line 2915
  setline(2915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9298 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit9299 == NULL) {
    strlit9299 = alloc_String("A method name must start with an identifier, an operator, or '[]'.");
    gc_root(strlit9299);
  }
// compiled string node returning strlit9299 (depth = 4)
  gc_frame_newslot(strlit9299);
// Begin line 2916
  setline(2916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9300 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  partcv[0] = 0;
  Object call9301 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9300);
// compiled call node returning call9301 (depth = 5)
// compiled member node returning call9301 (depth = 4)
  gc_frame_newslot(call9301);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9303 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call9304 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9303);
// compiled call node returning call9304 (depth = 6)
// compiled member node returning call9304 (depth = 5)
  int op_slot_right_9302 = gc_frame_newslot(call9304);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9306 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call9307 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9306);
// compiled call node returning call9307 (depth = 6)
// compiled member node returning call9307 (depth = 5)
  int op_slot_left_9302 = gc_frame_newslot(call9307);
  params[0] = call9304;
  partcv[0] = 1;
  Object sum9308 = callmethod(call9307, "+", 1, partcv, params);
// compiled op node returning sum9308 (depth = 4)
  gc_frame_newslot(sum9308);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2915
  setline(2915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit9299;
  params[1] = call9301;
  params[2] = sum9308;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9309 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9298);
// compiled call node returning call9309 (depth = 3)
    gc_frame_newslot(call9309);
    if9266 = call9309;
  } else {
  }
// compiled if node returning if9266 (depth = 2)
// Begin line 2918
  setline(2918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe9310 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9311 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9310);
// compiled call node returning call9311 (depth = 3)
// compiled member node returning call9311 (depth = 2)
// Begin line 2920
  setline(2920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 2919
  setline(2919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9312 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  partcv[0] = 0;
  Object call9313 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9312);
// compiled call node returning call9313 (depth = 4)
// compiled member node returning call9313 (depth = 3)
  *var_meth = call9313;
  if (call9313 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2921
  setline(2921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 2919
  setline(2919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9314 = gc_frame_new();
// Begin line 2920
  setline(2920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool9315 = alloc_Boolean(1);
// compiled identifier node returning bool9315 (depth = 4)
  gc_frame_newslot(bool9315);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_meth (depth = 4)
  params[0] = bool9315;
  partcv[0] = 1;
  Object call9316 = callmethod(*var_meth, "isBindingOccurrence:=",
    1, partcv, params);
  gc_frame_end(callframe9314);
// compiled call node returning call9316 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 2922
  setline(2922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 2921
  setline(2921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9317 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9318 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call9319 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9318);
// compiled call node returning call9319 (depth = 6)
// compiled member node returning call9319 (depth = 5)
  partcv[0] = 0;
  Object call9320 = callmethod(call9319, "empty",
    1, partcv, params);
  gc_frame_end(callframe9317);
// compiled call node returning call9320 (depth = 4)
// compiled member node returning call9320 (depth = 3)
  *var_signature = call9320;
  if (call9320 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2922
  setline(2922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe9321 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9322 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_meth (depth = 6)
  partcv[0] = 0;
  Object call9323 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9322);
// compiled call node returning call9323 (depth = 5)
// compiled member node returning call9323 (depth = 4)
  gc_frame_newslot(call9323);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9324 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  partcv[0] = 0;
  Object call9325 = callmethod(*var_ast, "signaturePart",
    1, partcv, params);
  gc_frame_end(callframe9324);
// compiled call node returning call9325 (depth = 5)
// compiled member node returning call9325 (depth = 4)
  params[0] = call9323;
  partcv[0] = 1;
  Object call9326 = callmethod(call9325, "new",
    1, partcv, params);
  gc_frame_end(callframe9321);
// compiled call node returning call9326 (depth = 3)
  *var_part = call9326;
  if (call9326 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2924
  setline(2924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 2923
  setline(2923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9327 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9328 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call9329 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9328);
// compiled call node returning call9329 (depth = 6)
// compiled member node returning call9329 (depth = 5)
  partcv[0] = 0;
  Object call9330 = callmethod(call9329, "empty",
    1, partcv, params);
  gc_frame_end(callframe9327);
// compiled call node returning call9330 (depth = 4)
// compiled member node returning call9330 (depth = 3)
  *var_genericIdents = call9330;
  if (call9330 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2924
  setline(2924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe9331 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_part (depth = 3)
  gc_frame_newslot(*var_part);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signature (depth = 3)
  params[0] = *var_part;
  partcv[0] = 1;
  Object call9332 = callmethod(*var_signature, "push",
    1, partcv, params);
  gc_frame_end(callframe9331);
// compiled call node returning call9332 (depth = 2)
// Begin line 2950
  setline(2950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2925
  setline(2925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9335 == NULL) {
    strlit9335 = alloc_String("[");
    gc_root(strlit9335);
  }
// compiled string node returning strlit9335 (depth = 4)
  int op_slot_right_9334 = gc_frame_newslot(strlit9335);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9337 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_meth (depth = 6)
  partcv[0] = 0;
  Object call9338 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9337);
// compiled call node returning call9338 (depth = 5)
// compiled member node returning call9338 (depth = 4)
  int op_slot_left_9334 = gc_frame_newslot(call9338);
  params[0] = strlit9335;
  partcv[0] = 1;
  Object opresult9339 = callmethod(call9338, "==", 1, partcv, params);
// compiled op node returning opresult9339 (depth = 3)
  Object if9333 = done;
  if (istrue(opresult9339)) {
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2926
  setline(2926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9342 == NULL) {
    strlit9342 = alloc_String("rsquare");
    gc_root(strlit9342);
  }
// compiled string node returning strlit9342 (depth = 5)
  int op_slot_right_9341 = gc_frame_newslot(strlit9342);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9344 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call9345 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9344);
// compiled call node returning call9345 (depth = 6)
// compiled member node returning call9345 (depth = 5)
  int op_slot_left_9341 = gc_frame_newslot(call9345);
  params[0] = strlit9342;
  partcv[0] = 1;
  Object opresult9346 = callmethod(call9345, "!=", 1, partcv, params);
// compiled op node returning opresult9346 (depth = 4)
  Object if9340 = done;
  if (istrue(opresult9346)) {
// Begin line 2946
  setline(2946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2928
  setline(2928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// Begin line 2927
  setline(2927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9349 = gc_frame_new();
// Begin line 2928
  setline(2928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 7)
  Object block9350 = alloc_Block(NULL, NULL, "parser", 2928);
  gc_frame_newslot(block9350);
// method _apply
  block_savedest(block9350);
  Object closure9351 = createclosure(2, "_apply");
  setclosureframe(closure9351, stackframe);
  addtoclosure(closure9351, var_tokens);
  addtoclosure(closure9351, selfslot);
  struct UserObject *uo9351 = (struct UserObject*)block9350;
  uo9351->data[0] = (Object)closure9351;
  Method *meth_meth_parser__apply9351 = addmethod2pos(block9350, "_apply", &meth_parser__apply9351, 0);
  int argcv_meth_parser__apply9351[] = {0};
  meth_meth_parser__apply9351->type = alloc_MethodType(1, argcv_meth_parser__apply9351);
  meth_meth_parser__apply9351->definitionModule = modulename;
  meth_meth_parser__apply9351->definitionLine = 2926;
// compiled block node returning block9350 (depth = 7)
  gc_frame_newslot(block9350);
// call case 6: other member request
// Begin line 2927
  setline(2927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num9362 = alloc_Float64(0);
// compiled num node returning num9362 (depth = 8)
  int op_slot_right_9361 = gc_frame_newslot(num9362);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9364 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tokens (depth = 10)
  partcv[0] = 0;
  Object call9365 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe9364);
// compiled call node returning call9365 (depth = 9)
// compiled member node returning call9365 (depth = 8)
  int op_slot_left_9361 = gc_frame_newslot(call9365);
  params[0] = num9362;
  partcv[0] = 1;
  Object opresult9366 = callmethod(call9365, "==", 1, partcv, params);
// compiled op node returning opresult9366 (depth = 7)
  params[0] = block9350;
  partcv[0] = 1;
  Object call9367 = callmethod(opresult9366, "orElse",
    1, partcv, params);
  gc_frame_end(callframe9349);
// compiled call node returning call9367 (depth = 6)
  int op_slot_right_9348 = gc_frame_newslot(call9367);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9370 == NULL) {
    strlit9370 = alloc_String("identifier");
    gc_root(strlit9370);
  }
// compiled string node returning strlit9370 (depth = 7)
  int op_slot_right_9369 = gc_frame_newslot(strlit9370);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9372 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call9373 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9372);
// compiled call node returning call9373 (depth = 8)
// compiled member node returning call9373 (depth = 7)
  int op_slot_left_9369 = gc_frame_newslot(call9373);
  params[0] = strlit9370;
  partcv[0] = 1;
  Object opresult9374 = callmethod(call9373, "==", 1, partcv, params);
// compiled op node returning opresult9374 (depth = 6)
  int op_slot_left_9348 = gc_frame_newslot(opresult9374);
  params[0] = call9367;
  partcv[0] = 1;
  Object opresult9375 = callmethod(opresult9374, "&&", 1, partcv, params);
// compiled op node returning opresult9375 (depth = 5)
  Object if9347 = done;
  if (istrue(opresult9375)) {
// Begin line 2930
  setline(2930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 2929
  setline(2929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9376 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9377 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call9378 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9377);
// compiled call node returning call9378 (depth = 9)
// compiled member node returning call9378 (depth = 8)
  partcv[0] = 0;
  Object call9379 = callmethod(call9378, "empty",
    1, partcv, params);
  gc_frame_end(callframe9376);
// compiled call node returning call9379 (depth = 7)
// compiled member node returning call9379 (depth = 6)
  *var_suggestions = call9379;
  if (call9379 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2931
  setline(2931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 2930
  setline(2930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9380 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9381 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call9382 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9381);
// compiled call node returning call9382 (depth = 9)
// compiled member node returning call9382 (depth = 8)
  partcv[0] = 0;
  Object call9383 = callmethod(call9382, "new",
    1, partcv, params);
  gc_frame_end(callframe9380);
// compiled call node returning call9383 (depth = 7)
// compiled member node returning call9383 (depth = 6)
  *var_suggestion = call9383;
  if (call9383 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2938
  setline(2938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 2931
  setline(2931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num9386 = alloc_Float64(0);
// compiled num node returning num9386 (depth = 7)
  int op_slot_right_9385 = gc_frame_newslot(num9386);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9388 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  partcv[0] = 0;
  Object call9389 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe9388);
// compiled call node returning call9389 (depth = 8)
// compiled member node returning call9389 (depth = 7)
  int op_slot_left_9385 = gc_frame_newslot(call9389);
  params[0] = num9386;
  partcv[0] = 1;
  Object opresult9390 = callmethod(call9389, "==", 1, partcv, params);
// compiled op node returning opresult9390 (depth = 6)
  Object if9384 = done;
  if (istrue(opresult9390)) {
// Begin line 2932
  setline(2932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9391 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9393 == NULL) {
    strlit9393 = alloc_String(")");
    gc_root(strlit9393);
  }
// compiled string node returning strlit9393 (depth = 8)
  int op_slot_right_9392 = gc_frame_newslot(strlit9393);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9396 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call9397 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9396);
// compiled call node returning call9397 (depth = 10)
// compiled member node returning call9397 (depth = 9)
  int op_slot_right_9395 = gc_frame_newslot(call9397);
// starting to compile string node (depth = 9)
  if (strlit9399 == NULL) {
    strlit9399 = alloc_String("](");
    gc_root(strlit9399);
  }
// compiled string node returning strlit9399 (depth = 9)
  int op_slot_left_9395 = gc_frame_newslot(strlit9399);
  params[0] = call9397;
  partcv[0] = 1;
  Object opresult9400 = callmethod(strlit9399, "++", 1, partcv, params);
// compiled op node returning opresult9400 (depth = 8)
  int op_slot_left_9392 = gc_frame_newslot(opresult9400);
  params[0] = strlit9393;
  partcv[0] = 1;
  Object opresult9401 = callmethod(opresult9400, "++", 1, partcv, params);
// compiled op node returning opresult9401 (depth = 7)
  gc_frame_newslot(opresult9401);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = opresult9401;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9402 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe9391);
// compiled call node returning call9402 (depth = 6)
// Begin line 2933
  setline(2933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9403 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9404 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9403);
// compiled call node returning call9404 (depth = 6)
    gc_frame_newslot(call9404);
    if9384 = call9404;
  } else {
// Begin line 2938
  setline(2938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 2934
  setline(2934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9407 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_meth (depth = 10)
  partcv[0] = 0;
  Object call9408 = callmethod(*var_meth, "line",
    1, partcv, params);
  gc_frame_end(callframe9407);
// compiled call node returning call9408 (depth = 9)
// compiled member node returning call9408 (depth = 8)
  int op_slot_right_9406 = gc_frame_newslot(call9408);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9410 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe9411 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_tokens (depth = 12)
  partcv[0] = 0;
  Object call9412 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe9411);
// compiled call node returning call9412 (depth = 11)
// compiled member node returning call9412 (depth = 10)
  partcv[0] = 0;
  Object call9413 = callmethod(call9412, "line",
    1, partcv, params);
  gc_frame_end(callframe9410);
// compiled call node returning call9413 (depth = 9)
// compiled member node returning call9413 (depth = 8)
  int op_slot_left_9406 = gc_frame_newslot(call9413);
  params[0] = call9408;
  partcv[0] = 1;
  Object opresult9414 = callmethod(call9413, "==", 1, partcv, params);
// compiled op node returning opresult9414 (depth = 7)
  Object if9405 = done;
  if (istrue(opresult9414)) {
// Begin line 2935
  setline(2935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe9415 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9416 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tokens (depth = 10)
  partcv[0] = 0;
  Object call9417 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe9416);
// compiled call node returning call9417 (depth = 9)
// compiled member node returning call9417 (depth = 8)
  gc_frame_newslot(call9417);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9419 == NULL) {
    strlit9419 = alloc_String(")");
    gc_root(strlit9419);
  }
// compiled string node returning strlit9419 (depth = 9)
  int op_slot_right_9418 = gc_frame_newslot(strlit9419);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe9422 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call9423 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9422);
// compiled call node returning call9423 (depth = 11)
// compiled member node returning call9423 (depth = 10)
  int op_slot_right_9421 = gc_frame_newslot(call9423);
// starting to compile string node (depth = 10)
  if (strlit9425 == NULL) {
    strlit9425 = alloc_String("](");
    gc_root(strlit9425);
  }
// compiled string node returning strlit9425 (depth = 10)
  int op_slot_left_9421 = gc_frame_newslot(strlit9425);
  params[0] = call9423;
  partcv[0] = 1;
  Object opresult9426 = callmethod(strlit9425, "++", 1, partcv, params);
// compiled op node returning opresult9426 (depth = 9)
  int op_slot_left_9418 = gc_frame_newslot(opresult9426);
  params[0] = strlit9419;
  partcv[0] = 1;
  Object opresult9427 = callmethod(opresult9426, "++", 1, partcv, params);
// compiled op node returning opresult9427 (depth = 8)
  gc_frame_newslot(opresult9427);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = call9417;
  params[2] = opresult9427;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9428 = callmethod(*var_suggestion, "replaceTokenRange()with",
    2, partcv, params);
  gc_frame_end(callframe9415);
// compiled call node returning call9428 (depth = 7)
// Begin line 2936
  setline(2936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe9429 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9430 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9429);
// compiled call node returning call9430 (depth = 7)
    gc_frame_newslot(call9430);
    if9405 = call9430;
  } else {
  }
// compiled if node returning if9405 (depth = 6)
    gc_frame_newslot(if9405);
    if9384 = if9405;
  }
// compiled if node returning if9384 (depth = 5)
// Begin line 2938
  setline(2938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9431 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit9432 == NULL) {
    strlit9432 = alloc_String("A declaration of a method named '[]' must have the parameter name in parentheses after the '[]'.");
    gc_root(strlit9432);
  }
// compiled string node returning strlit9432 (depth = 6)
  gc_frame_newslot(strlit9432);
// Begin line 2939
  setline(2939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9433 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call9434 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9433);
// compiled call node returning call9434 (depth = 7)
// compiled member node returning call9434 (depth = 6)
  gc_frame_newslot(call9434);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9436 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call9437 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9436);
// compiled call node returning call9437 (depth = 8)
// compiled member node returning call9437 (depth = 7)
  int op_slot_right_9435 = gc_frame_newslot(call9437);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9439 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call9440 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9439);
// compiled call node returning call9440 (depth = 8)
// compiled member node returning call9440 (depth = 7)
  int op_slot_left_9435 = gc_frame_newslot(call9440);
  params[0] = call9437;
  partcv[0] = 1;
  Object sum9441 = callmethod(call9440, "+", 1, partcv, params);
// compiled op node returning sum9441 (depth = 6)
  gc_frame_newslot(sum9441);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 2938
  setline(2938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit9432;
  params[1] = call9434;
  params[2] = sum9441;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9442 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe9431);
// compiled call node returning call9442 (depth = 5)
    gc_frame_newslot(call9442);
    if9347 = call9442;
  } else {
// Begin line 2942
  setline(2942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 2941
  setline(2941);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9443 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9444 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call9445 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9444);
// compiled call node returning call9445 (depth = 9)
// compiled member node returning call9445 (depth = 8)
  partcv[0] = 0;
  Object call9446 = callmethod(call9445, "new",
    1, partcv, params);
  gc_frame_end(callframe9443);
// compiled call node returning call9446 (depth = 7)
// compiled member node returning call9446 (depth = 6)
  *var_suggestion = call9446;
  if (call9446 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 2942
  setline(2942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9447 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit9448 == NULL) {
    strlit9448 = alloc_String("]");
    gc_root(strlit9448);
  }
// compiled string node returning strlit9448 (depth = 6)
  gc_frame_newslot(strlit9448);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit9448;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9449 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9447);
// compiled call node returning call9449 (depth = 5)
// Begin line 2943
  setline(2943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9450 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit9451 == NULL) {
    strlit9451 = alloc_String("A method name must start with either an identifier or '[]'.");
    gc_root(strlit9451);
  }
// compiled string node returning strlit9451 (depth = 6)
  gc_frame_newslot(strlit9451);
// Begin line 2944
  setline(2944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9452 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call9453 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9452);
// compiled call node returning call9453 (depth = 7)
// compiled member node returning call9453 (depth = 6)
  gc_frame_newslot(call9453);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9455 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call9456 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9455);
// compiled call node returning call9456 (depth = 8)
// compiled member node returning call9456 (depth = 7)
  int op_slot_right_9454 = gc_frame_newslot(call9456);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9458 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call9459 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9458);
// compiled call node returning call9459 (depth = 8)
// compiled member node returning call9459 (depth = 7)
  int op_slot_left_9454 = gc_frame_newslot(call9459);
  params[0] = call9456;
  partcv[0] = 1;
  Object sum9460 = callmethod(call9459, "+", 1, partcv, params);
// compiled op node returning sum9460 (depth = 6)
  gc_frame_newslot(sum9460);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2943
  setline(2943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit9451;
  params[1] = call9453;
  params[2] = sum9460;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9461 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9450);
// compiled call node returning call9461 (depth = 5)
    gc_frame_newslot(call9461);
    if9347 = call9461;
  }
// compiled if node returning if9347 (depth = 4)
    gc_frame_newslot(if9347);
    if9340 = if9347;
  } else {
  }
// compiled if node returning if9340 (depth = 3)
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9462 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9463 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9462);
// compiled call node returning call9463 (depth = 4)
// compiled member node returning call9463 (depth = 3)
// Begin line 2949
  setline(2949);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9464 = gc_frame_new();
// Begin line 2948
  setline(2948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit9465 == NULL) {
    strlit9465 = alloc_String("[]");
    gc_root(strlit9465);
  }
// compiled string node returning strlit9465 (depth = 5)
  gc_frame_newslot(strlit9465);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  params[0] = strlit9465;
  partcv[0] = 1;
  Object call9466 = callmethod(*var_meth, "value:=",
    1, partcv, params);
  gc_frame_end(callframe9464);
// compiled call node returning call9466 (depth = 4)
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if9333 = done;
  } else {
  }
// compiled if node returning if9333 (depth = 2)
// Begin line 2971
  setline(2971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2950
  setline(2950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9468 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit9469 == NULL) {
    strlit9469 = alloc_String("lgeneric");
    gc_root(strlit9469);
  }
// compiled string node returning strlit9469 (depth = 4)
  gc_frame_newslot(strlit9469);
// call case 4: self request
  params[0] = strlit9469;
  partcv[0] = 1;
  Object call9470 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9468);
// compiled call node returning call9470 (depth = 3)
  Object if9467 = done;
  if (istrue(call9470)) {
// Begin line 2952
  setline(2952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9471 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9472 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9471);
// compiled call node returning call9472 (depth = 4)
// compiled member node returning call9472 (depth = 3)
// Begin line 2954
  setline(2954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2953
  setline(2953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9473 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_part (depth = 6)
  partcv[0] = 0;
  Object call9474 = callmethod(*var_part, "generics",
    1, partcv, params);
  gc_frame_end(callframe9473);
// compiled call node returning call9474 (depth = 5)
// compiled member node returning call9474 (depth = 4)
  *var_genericIdents = call9474;
  if (call9474 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 2954
  setline(2954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9476 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block9477 = alloc_Block(NULL, NULL, "parser", 2954);
  gc_frame_newslot(block9477);
// method _apply
  block_savedest(block9477);
  Object closure9478 = createclosure(1, "_apply");
  setclosureframe(closure9478, stackframe);
  addtoclosure(closure9478, selfslot);
  struct UserObject *uo9478 = (struct UserObject*)block9477;
  uo9478->data[0] = (Object)closure9478;
  Method *meth_meth_parser__apply9478 = addmethod2pos(block9477, "_apply", &meth_parser__apply9478, 0);
  int argcv_meth_parser__apply9478[] = {0};
  meth_meth_parser__apply9478->type = alloc_MethodType(1, argcv_meth_parser__apply9478);
  meth_meth_parser__apply9478->definitionModule = modulename;
  meth_meth_parser__apply9478->definitionLine = 2953;
// compiled block node returning block9477 (depth = 4)
  gc_frame_newslot(block9477);
// starting to compile block node (depth = 4)
  Object block9483 = alloc_Block(NULL, NULL, "parser", 2954);
  gc_frame_newslot(block9483);
// method _apply
  block_savedest(block9483);
  Object closure9484 = createclosure(3, "_apply");
  setclosureframe(closure9484, stackframe);
  addtoclosure(closure9484, var_values);
  addtoclosure(closure9484, var_genericIdents);
  addtoclosure(closure9484, selfslot);
  struct UserObject *uo9484 = (struct UserObject*)block9483;
  uo9484->data[0] = (Object)closure9484;
  Method *meth_meth_parser__apply9484 = addmethod2pos(block9483, "_apply", &meth_parser__apply9484, 0);
  int argcv_meth_parser__apply9484[] = {0};
  meth_meth_parser__apply9484->type = alloc_MethodType(1, argcv_meth_parser__apply9484);
  meth_meth_parser__apply9484->definitionModule = modulename;
  meth_meth_parser__apply9484->definitionLine = 2953;
// compiled block node returning block9483 (depth = 4)
  gc_frame_newslot(block9483);
// call case 5: prelude request
  params[0] = block9477;
  params[1] = block9483;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9501 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9476);
// compiled call node returning call9501 (depth = 3)
// Begin line 2969
  setline(2969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2963
  setline(2963);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9504 == NULL) {
    strlit9504 = alloc_String("rgeneric");
    gc_root(strlit9504);
  }
// compiled string node returning strlit9504 (depth = 5)
  int op_slot_right_9503 = gc_frame_newslot(strlit9504);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9506 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call9507 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9506);
// compiled call node returning call9507 (depth = 6)
// compiled member node returning call9507 (depth = 5)
  int op_slot_left_9503 = gc_frame_newslot(call9507);
  params[0] = strlit9504;
  partcv[0] = 1;
  Object opresult9508 = callmethod(call9507, "!=", 1, partcv, params);
// compiled op node returning opresult9508 (depth = 4)
  Object if9502 = done;
  if (istrue(opresult9508)) {
// Begin line 2965
  setline(2965);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 2964
  setline(2964);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9509 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9510 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call9511 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9510);
// compiled call node returning call9511 (depth = 8)
// compiled member node returning call9511 (depth = 7)
  partcv[0] = 0;
  Object call9512 = callmethod(call9511, "new",
    1, partcv, params);
  gc_frame_end(callframe9509);
// compiled call node returning call9512 (depth = 6)
// compiled member node returning call9512 (depth = 5)
  *var_suggestion = call9512;
  if (call9512 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 2965
  setline(2965);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9513 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit9514 == NULL) {
    strlit9514 = alloc_String(">");
    gc_root(strlit9514);
  }
// compiled string node returning strlit9514 (depth = 5)
  gc_frame_newslot(strlit9514);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit9514;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9515 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9513);
// compiled call node returning call9515 (depth = 4)
// Begin line 2966
  setline(2966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9516 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit9517 == NULL) {
    strlit9517 = alloc_String("A type containing a '<' must end with a '>'.");
    gc_root(strlit9517);
  }
// compiled string node returning strlit9517 (depth = 5)
  gc_frame_newslot(strlit9517);
// Begin line 2967
  setline(2967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9518 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call9519 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9518);
// compiled call node returning call9519 (depth = 6)
// compiled member node returning call9519 (depth = 5)
  gc_frame_newslot(call9519);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9521 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call9522 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9521);
// compiled call node returning call9522 (depth = 7)
// compiled member node returning call9522 (depth = 6)
  int op_slot_right_9520 = gc_frame_newslot(call9522);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9524 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call9525 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9524);
// compiled call node returning call9525 (depth = 7)
// compiled member node returning call9525 (depth = 6)
  int op_slot_left_9520 = gc_frame_newslot(call9525);
  params[0] = call9522;
  partcv[0] = 1;
  Object sum9526 = callmethod(call9525, "+", 1, partcv, params);
// compiled op node returning sum9526 (depth = 5)
  gc_frame_newslot(sum9526);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 2966
  setline(2966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit9517;
  params[1] = call9519;
  params[2] = sum9526;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9527 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9516);
// compiled call node returning call9527 (depth = 4)
    gc_frame_newslot(call9527);
    if9502 = call9527;
  } else {
  }
// compiled if node returning if9502 (depth = 3)
// Begin line 2969
  setline(2969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9528 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9529 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9528);
// compiled call node returning call9529 (depth = 4)
// compiled member node returning call9529 (depth = 3)
    gc_frame_newslot(call9529);
    if9467 = call9529;
  } else {
  }
// compiled if node returning if9467 (depth = 2)
// Begin line 2980
  setline(2980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2971
  setline(2971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9531 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit9532 == NULL) {
    strlit9532 = alloc_String("bind");
    gc_root(strlit9532);
  }
// compiled string node returning strlit9532 (depth = 4)
  gc_frame_newslot(strlit9532);
// call case 4: self request
  params[0] = strlit9532;
  partcv[0] = 1;
  Object call9533 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9531);
// compiled call node returning call9533 (depth = 3)
  Object if9530 = done;
  if (istrue(call9533)) {
// Begin line 2972
  setline(2972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9534 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9535 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9534);
// compiled call node returning call9535 (depth = 4)
// compiled member node returning call9535 (depth = 3)
// Begin line 2974
  setline(2974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2972
  setline(2972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9536 = gc_frame_new();
// Begin line 2974
  setline(2974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// Begin line 2973
  setline(2973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit9538 == NULL) {
    strlit9538 = alloc_String(":=");
    gc_root(strlit9538);
  }
// compiled string node returning strlit9538 (depth = 6)
  int op_slot_right_9537 = gc_frame_newslot(strlit9538);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9540 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_meth (depth = 8)
  partcv[0] = 0;
  Object call9541 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9540);
// compiled call node returning call9541 (depth = 7)
// compiled member node returning call9541 (depth = 6)
  int op_slot_left_9537 = gc_frame_newslot(call9541);
  params[0] = strlit9538;
  partcv[0] = 1;
  Object opresult9542 = callmethod(call9541, "++", 1, partcv, params);
// compiled op node returning opresult9542 (depth = 5)
  gc_frame_newslot(opresult9542);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  params[0] = opresult9542;
  partcv[0] = 1;
  Object call9543 = callmethod(*var_meth, "value:=",
    1, partcv, params);
  gc_frame_end(callframe9536);
// compiled call node returning call9543 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 2975
  setline(2975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2973
  setline(2973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9544 = gc_frame_new();
// Begin line 2975
  setline(2975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// Begin line 2974
  setline(2974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit9546 == NULL) {
    strlit9546 = alloc_String(":=");
    gc_root(strlit9546);
  }
// compiled string node returning strlit9546 (depth = 6)
  int op_slot_right_9545 = gc_frame_newslot(strlit9546);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9548 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  partcv[0] = 0;
  Object call9549 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe9548);
// compiled call node returning call9549 (depth = 7)
// compiled member node returning call9549 (depth = 6)
  int op_slot_left_9545 = gc_frame_newslot(call9549);
  params[0] = strlit9546;
  partcv[0] = 1;
  Object opresult9550 = callmethod(call9549, "++", 1, partcv, params);
// compiled op node returning opresult9550 (depth = 5)
  gc_frame_newslot(opresult9550);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_part (depth = 5)
  params[0] = opresult9550;
  partcv[0] = 1;
  Object call9551 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe9544);
// compiled call node returning call9551 (depth = 4)
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if9530 = done;
  } else {
// Begin line 2980
  setline(2980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2975
  setline(2975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9555 == NULL) {
    strlit9555 = alloc_String("prefix");
    gc_root(strlit9555);
  }
// compiled string node returning strlit9555 (depth = 6)
  int op_slot_right_9554 = gc_frame_newslot(strlit9555);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9557 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_meth (depth = 8)
  partcv[0] = 0;
  Object call9558 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9557);
// compiled call node returning call9558 (depth = 7)
// compiled member node returning call9558 (depth = 6)
  int op_slot_left_9554 = gc_frame_newslot(call9558);
  params[0] = strlit9555;
  partcv[0] = 1;
  Object opresult9559 = callmethod(call9558, "==", 1, partcv, params);
// compiled op node returning opresult9559 (depth = 5)
  int op_slot_right_9553 = gc_frame_newslot(opresult9559);
// starting to compile call node (depth = 5)
  int callframe9561 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit9562 == NULL) {
    strlit9562 = alloc_String("op");
    gc_root(strlit9562);
  }
// compiled string node returning strlit9562 (depth = 6)
  gc_frame_newslot(strlit9562);
// call case 4: self request
  params[0] = strlit9562;
  partcv[0] = 1;
  Object call9563 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9561);
// compiled call node returning call9563 (depth = 5)
  int op_slot_left_9553 = gc_frame_newslot(call9563);
  params[0] = opresult9559;
  partcv[0] = 1;
  Object opresult9564 = callmethod(call9563, "&&", 1, partcv, params);
// compiled op node returning opresult9564 (depth = 4)
  Object if9552 = done;
  if (istrue(opresult9564)) {
// Begin line 2977
  setline(2977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2975
  setline(2975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9565 = gc_frame_new();
// Begin line 2977
  setline(2977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 2976
  setline(2976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9567 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call9568 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9567);
// compiled call node returning call9568 (depth = 8)
// compiled member node returning call9568 (depth = 7)
  int op_slot_right_9566 = gc_frame_newslot(call9568);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9570 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_meth (depth = 9)
  partcv[0] = 0;
  Object call9571 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9570);
// compiled call node returning call9571 (depth = 8)
// compiled member node returning call9571 (depth = 7)
  int op_slot_left_9566 = gc_frame_newslot(call9571);
  params[0] = call9568;
  partcv[0] = 1;
  Object opresult9572 = callmethod(call9571, "++", 1, partcv, params);
// compiled op node returning opresult9572 (depth = 6)
  gc_frame_newslot(opresult9572);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_meth (depth = 6)
  params[0] = opresult9572;
  partcv[0] = 1;
  Object call9573 = callmethod(*var_meth, "value:=",
    1, partcv, params);
  gc_frame_end(callframe9565);
// compiled call node returning call9573 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 2978
  setline(2978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2976
  setline(2976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9574 = gc_frame_new();
// Begin line 2978
  setline(2978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 2977
  setline(2977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9576 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call9577 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9576);
// compiled call node returning call9577 (depth = 8)
// compiled member node returning call9577 (depth = 7)
  int op_slot_right_9575 = gc_frame_newslot(call9577);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9579 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  partcv[0] = 0;
  Object call9580 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe9579);
// compiled call node returning call9580 (depth = 8)
// compiled member node returning call9580 (depth = 7)
  int op_slot_left_9575 = gc_frame_newslot(call9580);
  params[0] = call9577;
  partcv[0] = 1;
  Object opresult9581 = callmethod(call9580, "++", 1, partcv, params);
// compiled op node returning opresult9581 (depth = 6)
  gc_frame_newslot(opresult9581);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_part (depth = 6)
  params[0] = opresult9581;
  partcv[0] = 1;
  Object call9582 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe9574);
// compiled call node returning call9582 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 2978
  setline(2978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9583 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9584 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9583);
// compiled call node returning call9584 (depth = 5)
// compiled member node returning call9584 (depth = 4)
    gc_frame_newslot(call9584);
    if9552 = call9584;
  } else {
  }
// compiled if node returning if9552 (depth = 3)
    gc_frame_newslot(if9552);
    if9530 = if9552;
  }
// compiled if node returning if9530 (depth = 2)
// Begin line 2981
  setline(2981);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 2980
  setline(2980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9585 = alloc_Boolean(0);
// compiled identifier node returning bool9585 (depth = 3)
  *var_dtype = bool9585;
  if (bool9585 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2982
  setline(2982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 2981
  setline(2981);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9586 = alloc_Boolean(0);
// compiled identifier node returning bool9586 (depth = 3)
  *var_varargs = bool9586;
  if (bool9586 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2983
  setline(2983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 2982
  setline(2982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9587 = alloc_Boolean(0);
// compiled identifier node returning bool9587 (depth = 3)
  *var_vararg = bool9587;
  if (bool9587 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 3075
  setline(3075);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 2983
  setline(2983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9589 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit9590 == NULL) {
    strlit9590 = alloc_String("lparen");
    gc_root(strlit9590);
  }
// compiled string node returning strlit9590 (depth = 4)
  gc_frame_newslot(strlit9590);
// call case 4: self request
  params[0] = strlit9590;
  partcv[0] = 1;
  Object call9591 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9589);
// compiled call node returning call9591 (depth = 3)
  Object if9588 = done;
  if (istrue(call9591)) {
// Begin line 2985
  setline(2985);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_lparen = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 2986
  setline(2986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2978
  setline(2978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9592 = gc_frame_new();
// Begin line 2985
  setline(2985);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9593 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call9594 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9593);
// compiled call node returning call9594 (depth = 6)
// compiled member node returning call9594 (depth = 5)
  gc_frame_newslot(call9594);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_part (depth = 5)
  params[0] = call9594;
  partcv[0] = 1;
  Object call9595 = callmethod(*var_part, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe9592);
// compiled call node returning call9595 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 2986
  setline(2986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9596 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9597 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9596);
// compiled call node returning call9597 (depth = 4)
// compiled member node returning call9597 (depth = 3)
// Begin line 2988
  setline(2988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_id = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 2989
  setline(2989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 2988
  setline(2988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool9598 = alloc_Boolean(0);
// compiled identifier node returning bool9598 (depth = 4)
  *var_comma = bool9598;
  if (bool9598 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2989
  setline(2989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9599 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block9600 = alloc_Block(NULL, NULL, "parser", 2989);
  gc_frame_newslot(block9600);
// method _apply
  block_savedest(block9600);
  Object closure9601 = createclosure(2, "_apply");
  setclosureframe(closure9601, stackframe);
  addtoclosure(closure9601, var_sym);
  addtoclosure(closure9601, selfslot);
  struct UserObject *uo9601 = (struct UserObject*)block9600;
  uo9601->data[0] = (Object)closure9601;
  Method *meth_meth_parser__apply9601 = addmethod2pos(block9600, "_apply", &meth_parser__apply9601, 0);
  int argcv_meth_parser__apply9601[] = {0};
  meth_meth_parser__apply9601->type = alloc_MethodType(1, argcv_meth_parser__apply9601);
  meth_meth_parser__apply9601->definitionModule = modulename;
  meth_meth_parser__apply9601->definitionLine = 2986;
// compiled block node returning block9600 (depth = 4)
  gc_frame_newslot(block9600);
// Begin line 2990
  setline(2990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block9621 = alloc_Block(NULL, NULL, "parser", 2990);
  gc_frame_newslot(block9621);
// method _apply
  block_savedest(block9621);
  Object closure9622 = createclosure(12, "_apply");
  setclosureframe(closure9622, stackframe);
  addtoclosure(closure9622, var_sym);
  addtoclosure(closure9622, var_errormessages);
  addtoclosure(closure9622, var_lastToken);
  addtoclosure(closure9622, var_comma);
  addtoclosure(closure9622, var_vararg);
  addtoclosure(closure9622, var_varargs);
  addtoclosure(closure9622, var_values);
  addtoclosure(closure9622, var_id);
  addtoclosure(closure9622, var_dtype);
  addtoclosure(closure9622, var_part);
  addtoclosure(closure9622, var_lparen);
  addtoclosure(closure9622, selfslot);
  struct UserObject *uo9622 = (struct UserObject*)block9621;
  uo9622->data[0] = (Object)closure9622;
  Method *meth_meth_parser__apply9622 = addmethod2pos(block9621, "_apply", &meth_parser__apply9622, 0);
  int argcv_meth_parser__apply9622[] = {0};
  meth_meth_parser__apply9622->type = alloc_MethodType(1, argcv_meth_parser__apply9622);
  meth_meth_parser__apply9622->definitionModule = modulename;
  meth_meth_parser__apply9622->definitionLine = 2990;
// compiled block node returning block9621 (depth = 4)
  gc_frame_newslot(block9621);
// call case 5: prelude request
  params[0] = block9600;
  params[1] = block9621;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9838 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9599);
// compiled call node returning call9838 (depth = 3)
// Begin line 3062
  setline(3062);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3051
  setline(3051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9841 == NULL) {
    strlit9841 = alloc_String("rparen");
    gc_root(strlit9841);
  }
// compiled string node returning strlit9841 (depth = 5)
  int op_slot_right_9840 = gc_frame_newslot(strlit9841);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9843 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call9844 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9843);
// compiled call node returning call9844 (depth = 6)
// compiled member node returning call9844 (depth = 5)
  int op_slot_left_9840 = gc_frame_newslot(call9844);
  params[0] = strlit9841;
  partcv[0] = 1;
  Object opresult9845 = callmethod(call9844, "!=", 1, partcv, params);
// compiled op node returning opresult9845 (depth = 4)
  Object if9839 = done;
  if (istrue(opresult9845)) {
// Begin line 3053
  setline(3053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 3052
  setline(3052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9846 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9847 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call9848 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9847);
// compiled call node returning call9848 (depth = 8)
// compiled member node returning call9848 (depth = 7)
  partcv[0] = 0;
  Object call9849 = callmethod(call9848, "new",
    1, partcv, params);
  gc_frame_end(callframe9846);
// compiled call node returning call9849 (depth = 6)
// compiled member node returning call9849 (depth = 5)
  *var_suggestion = call9849;
  if (call9849 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 3053
  setline(3053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9850 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block9851 = alloc_Block(NULL, NULL, "parser", 3053);
  gc_frame_newslot(block9851);
// method _apply
  block_savedest(block9851);
  Object closure9852 = createclosure(2, "_apply");
  setclosureframe(closure9852, stackframe);
  addtoclosure(closure9852, var_lastToken);
  addtoclosure(closure9852, selfslot);
  struct UserObject *uo9852 = (struct UserObject*)block9851;
  uo9852->data[0] = (Object)closure9852;
  Method *meth_meth_parser__apply9852 = addmethod2pos(block9851, "_apply", &meth_parser__apply9852, 0);
  int argcv_meth_parser__apply9852[] = {1};
  meth_meth_parser__apply9852->type = alloc_MethodType(1, argcv_meth_parser__apply9852);
  meth_meth_parser__apply9852->definitionModule = modulename;
  meth_meth_parser__apply9852->definitionLine = 3052;
// compiled block node returning block9851 (depth = 6)
  gc_frame_newslot(block9851);
// call case 4: self request
  params[0] = block9851;
  partcv[0] = 1;
  Object call9870 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9850);
// compiled call node returning call9870 (depth = 5)
  *var_rparen = call9870;
  if (call9870 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 3059
  setline(3059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 3054
  setline(3054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool9873 = alloc_Boolean(0);
// compiled identifier node returning bool9873 (depth = 6)
  int op_slot_right_9872 = gc_frame_newslot(bool9873);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_rparen (depth = 6)
  int op_slot_left_9872 = gc_frame_newslot(*var_rparen);
  params[0] = bool9873;
  partcv[0] = 1;
  Object opresult9875 = callmethod(*var_rparen, "==", 1, partcv, params);
// compiled op node returning opresult9875 (depth = 5)
  Object if9871 = done;
  if (istrue(opresult9875)) {
// Begin line 3055
  setline(3055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9876 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// starting to compile string node (depth = 6)
  if (strlit9877 == NULL) {
    strlit9877 = alloc_String(")");
    gc_root(strlit9877);
  }
// compiled string node returning strlit9877 (depth = 6)
  gc_frame_newslot(strlit9877);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_lastToken;
  params[1] = strlit9877;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9878 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe9876);
// compiled call node returning call9878 (depth = 5)
    gc_frame_newslot(call9878);
    if9871 = call9878;
  } else {
// Begin line 3057
  setline(3057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9879 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call9880 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe9879);
// compiled call node returning call9880 (depth = 5)
    gc_frame_newslot(call9880);
    if9871 = call9880;
  }
// compiled if node returning if9871 (depth = 4)
// Begin line 3059
  setline(3059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9881 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit9882 == NULL) {
    strlit9882 = alloc_String("A part of a method beginning with a '(' must end with a ')'.");
    gc_root(strlit9882);
  }
// compiled string node returning strlit9882 (depth = 5)
  gc_frame_newslot(strlit9882);
// Begin line 3060
  setline(3060);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9883 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call9884 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9883);
// compiled call node returning call9884 (depth = 6)
// compiled member node returning call9884 (depth = 5)
  gc_frame_newslot(call9884);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9885 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call9886 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9885);
// compiled call node returning call9886 (depth = 6)
// compiled member node returning call9886 (depth = 5)
  gc_frame_newslot(call9886);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9887 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call9888 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9887);
// compiled call node returning call9888 (depth = 6)
// compiled member node returning call9888 (depth = 5)
  gc_frame_newslot(call9888);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 3059
  setline(3059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit9882;
  params[1] = call9884;
  params[2] = call9886;
  params[3] = call9888;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call9889 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9881);
// compiled call node returning call9889 (depth = 4)
    gc_frame_newslot(call9889);
    if9839 = call9889;
  } else {
  }
// compiled if node returning if9839 (depth = 3)
// Begin line 3065
  setline(3065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3062
  setline(3062);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9892 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  partcv[0] = 0;
  Object call9893 = callmethod(*var_part, "line",
    1, partcv, params);
  gc_frame_end(callframe9892);
// compiled call node returning call9893 (depth = 6)
// compiled member node returning call9893 (depth = 5)
  int op_slot_right_9891 = gc_frame_newslot(call9893);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9895 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call9896 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9895);
// compiled call node returning call9896 (depth = 6)
// compiled member node returning call9896 (depth = 5)
  int op_slot_left_9891 = gc_frame_newslot(call9896);
  params[0] = call9893;
  partcv[0] = 1;
  Object opresult9897 = callmethod(call9896, "==", 1, partcv, params);
// compiled op node returning opresult9897 (depth = 4)
  Object if9890 = done;
  if (istrue(opresult9897)) {
// Begin line 3064
  setline(3064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 3062
  setline(3062);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9898 = gc_frame_new();
// Begin line 3064
  setline(3064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 3063
  setline(3063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9900 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  partcv[0] = 0;
  Object call9901 = callmethod(*var_part, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9900);
// compiled call node returning call9901 (depth = 8)
// compiled member node returning call9901 (depth = 7)
  int op_slot_right_9899 = gc_frame_newslot(call9901);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9903 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call9904 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9903);
// compiled call node returning call9904 (depth = 8)
// compiled member node returning call9904 (depth = 7)
  int op_slot_left_9899 = gc_frame_newslot(call9904);
  params[0] = call9901;
  partcv[0] = 1;
  Object diff9905 = callmethod(call9904, "-", 1, partcv, params);
// compiled op node returning diff9905 (depth = 6)
  gc_frame_newslot(diff9905);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_part (depth = 6)
  params[0] = diff9905;
  partcv[0] = 1;
  Object call9906 = callmethod(*var_part, "lineLength:=",
    1, partcv, params);
  gc_frame_end(callframe9898);
// compiled call node returning call9906 (depth = 5)
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9890 = done;
  } else {
  }
// compiled if node returning if9890 (depth = 3)
// Begin line 3065
  setline(3065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9907 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9908 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9907);
// compiled call node returning call9908 (depth = 4)
// compiled member node returning call9908 (depth = 3)
// Begin line 3074
  setline(3074);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3067
  setline(3067);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9911 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit9912 == NULL) {
    strlit9912 = alloc_String("identifier");
    gc_root(strlit9912);
  }
// compiled string node returning strlit9912 (depth = 6)
  gc_frame_newslot(strlit9912);
// call case 4: self request
  params[0] = strlit9912;
  partcv[0] = 1;
  Object call9913 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9911);
// compiled call node returning call9913 (depth = 5)
  int op_slot_right_9910 = gc_frame_newslot(call9913);
// Begin line 3066
  setline(3066);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9916 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit9917 == NULL) {
    strlit9917 = alloc_String("identifier");
    gc_root(strlit9917);
  }
// compiled string node returning strlit9917 (depth = 7)
  gc_frame_newslot(strlit9917);
// call case 4: self request
  params[0] = strlit9917;
  partcv[0] = 1;
  Object call9918 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9916);
// compiled call node returning call9918 (depth = 6)
  int op_slot_right_9915 = gc_frame_newslot(call9918);
// starting to compile call node (depth = 6)
  int callframe9920 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sameline (depth = 7)
  partcv[0] = 0;
  Object call9921 = callmethod(*var_sameline, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe9920);
// compiled call node returning call9921 (depth = 6)
  int op_slot_left_9915 = gc_frame_newslot(call9921);
  params[0] = call9918;
  partcv[0] = 1;
  Object opresult9922 = callmethod(call9921, "&&", 1, partcv, params);
// compiled op node returning opresult9922 (depth = 5)
  int op_slot_left_9910 = gc_frame_newslot(opresult9922);
  params[0] = call9913;
  partcv[0] = 1;
  Object opresult9923 = callmethod(opresult9922, "||", 1, partcv, params);
// compiled op node returning opresult9923 (depth = 4)
  Object if9909 = done;
  if (istrue(opresult9923)) {
// Begin line 3070
  setline(3070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9924 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_meth (depth = 6)
  gc_frame_newslot(*var_meth);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_signature (depth = 6)
  gc_frame_newslot(*var_signature);
// starting to compile array node (depth = 6)
  Object array9925 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9925 (depth = 6)
  gc_frame_newslot(array9925);
// starting to compile identifier node (depth = 6)
  Object bool9926 = alloc_Boolean(0);
// compiled identifier node returning bool9926 (depth = 6)
  gc_frame_newslot(bool9926);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9927 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ast (depth = 8)
  partcv[0] = 0;
  Object call9928 = callmethod(*var_ast, "methodNode",
    1, partcv, params);
  gc_frame_end(callframe9927);
// compiled call node returning call9928 (depth = 7)
// compiled member node returning call9928 (depth = 6)
  params[0] = *var_meth;
  params[1] = *var_signature;
  params[2] = array9925;
  params[3] = bool9926;
  partcv[0] = 4;
  Object call9929 = callmethod(call9928, "new",
    1, partcv, params);
  gc_frame_end(callframe9924);
// compiled call node returning call9929 (depth = 5)
  *var_tm = call9929;
  if (call9929 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 3071
  setline(3071);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9930 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tm (depth = 6)
  gc_frame_newslot(*var_tm);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sameline (depth = 6)
  gc_frame_newslot(*var_sameline);
// call case 4: self request
  params[0] = *var_tm;
  params[1] = *var_sameline;
  partcv[0] = 2;
  Object call9931 = callmethodflags(self, "parsempmndecrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9930);
// compiled call node returning call9931 (depth = 5)
  *var_meth = call9931;
  if (call9931 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 3073
  setline(3073);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 3072
  setline(3072);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9934 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tm (depth = 8)
  partcv[0] = 0;
  Object call9935 = callmethod(*var_tm, "varargs",
    1, partcv, params);
  gc_frame_end(callframe9934);
// compiled call node returning call9935 (depth = 7)
// compiled member node returning call9935 (depth = 6)
  int op_slot_right_9933 = gc_frame_newslot(call9935);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_varargs (depth = 6)
  int op_slot_left_9933 = gc_frame_newslot(*var_varargs);
  params[0] = call9935;
  partcv[0] = 1;
  Object opresult9937 = callmethod(*var_varargs, "||", 1, partcv, params);
// compiled op node returning opresult9937 (depth = 5)
  *var_varargs = opresult9937;
  if (opresult9937 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9909 = done;
  } else {
  }
// compiled if node returning if9909 (depth = 3)
    gc_frame_newslot(if9909);
    if9588 = if9909;
  } else {
  }
// compiled if node returning if9588 (depth = 2)
// Begin line 3083
  setline(3083);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3075
  setline(3075);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9940 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit9941 == NULL) {
    strlit9941 = alloc_String("arrow");
    gc_root(strlit9941);
  }
// compiled string node returning strlit9941 (depth = 4)
  gc_frame_newslot(strlit9941);
// call case 4: self request
  params[0] = strlit9941;
  partcv[0] = 1;
  Object call9942 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9940);
// compiled call node returning call9942 (depth = 3)
  Object if9939 = done;
  if (istrue(call9942)) {
// Begin line 3077
  setline(3077);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9943 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9944 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9943);
// compiled call node returning call9944 (depth = 4)
// compiled member node returning call9944 (depth = 3)
// Begin line 3078
  setline(3078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9945 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9946 = callmethodflags(self, "typeexpression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9945);
// compiled call node returning call9946 (depth = 4)
// compiled member node returning call9946 (depth = 3)
// Begin line 3080
  setline(3080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 3079
  setline(3079);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9947 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call9948 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9947);
// compiled call node returning call9948 (depth = 5)
// compiled member node returning call9948 (depth = 4)
  *var_dtype = call9948;
  if (call9948 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if9939 = done;
  } else {
// Begin line 3082
  setline(3082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 3081
  setline(3081);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool9950 = alloc_Boolean(0);
// compiled identifier node returning bool9950 (depth = 4)
  *var_dtype = bool9950;
  if (bool9950 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if9939 = done;
  }
// compiled if node returning if9939 (depth = 2)
// Begin line 3083
  setline(3083);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject9952 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9952 = alloc_userobj2(10,6, objclass9952);
  gc_frame_newslot(obj9952);
// OBJECT OUTER DEC outer
  adddatum2(obj9952, self, 0);
  addmethodreal(obj9952,"outer", &reader_parser_outer_9953);
  Object oldself9952 = self;
  struct StackFrameObject *oldstackframe9952 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9952);
  gc_frame_newslot((Object)stackframe);
  self = obj9952;
  Object *oldselfslot9952 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9952 = (*(struct UserObject *)self).data[0], lowerouter9952 = thisouter9952;
  if (inheritingObject9952) {
    struct UserObject *inho9952 = (struct UserObject *)inheritingObject9952;
    while (inho9952->super != GraceDefaultObject) inho9952 = (struct UserObject *)inho9952->super;
    inho9952->super = obj9952;
    self = inheritingObject9952;
    *selfslot = self;
    lowerouter9952 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9952;
  }
if (objclass9952 == NULL) {
  Method *reader9954 = addmethodrealflags(obj9952, "m",&reader_parser_m_9954, 0);
  Method *writer9954 = addmethodrealflags(obj9952, "m:=",&writer_parser_m_9954, 0);
  reader9954->definitionModule = modulename;
  writer9954->definitionModule = modulename;
  reader9954->definitionLine = 3085;
  writer9954->definitionLine = 3085;
}
obj9952->flags |= OFLAG_MUTABLE;
adddatum2(obj9952, alloc_Undefined(), 1);
if (objclass9952 == NULL) {
  Method *reader9955 = addmethodrealflags(obj9952, "sig",&reader_parser_sig_9955, 0);
  Method *writer9955 = addmethodrealflags(obj9952, "sig:=",&writer_parser_sig_9955, 0);
  reader9955->definitionModule = modulename;
  writer9955->definitionModule = modulename;
  reader9955->definitionLine = 3086;
  writer9955->definitionLine = 3086;
}
obj9952->flags |= OFLAG_MUTABLE;
adddatum2(obj9952, alloc_Undefined(), 2);
if (objclass9952 == NULL) {
  Method *reader9956 = addmethodrealflags(obj9952, "rtype",&reader_parser_rtype_9956, 0);
  Method *writer9956 = addmethodrealflags(obj9952, "rtype:=",&writer_parser_rtype_9956, 0);
  reader9956->definitionModule = modulename;
  writer9956->definitionModule = modulename;
  reader9956->definitionLine = 3087;
  writer9956->definitionLine = 3087;
}
obj9952->flags |= OFLAG_MUTABLE;
adddatum2(obj9952, alloc_Undefined(), 3);
if (objclass9952 == NULL) {
  Method *reader9957 = addmethodrealflags(obj9952, "v",&reader_parser_v_9957, 0);
  Method *writer9957 = addmethodrealflags(obj9952, "v:=",&writer_parser_v_9957, 0);
  reader9957->definitionModule = modulename;
  writer9957->definitionModule = modulename;
  reader9957->definitionLine = 3088;
  writer9957->definitionLine = 3088;
}
obj9952->flags |= OFLAG_MUTABLE;
adddatum2(obj9952, alloc_Undefined(), 4);
if (objclass9952 == NULL) {
  Method *reader9958 = addmethodrealflags(obj9952, "generics",&reader_parser_generics_9958, 0);
  Method *writer9958 = addmethodrealflags(obj9952, "generics:=",&writer_parser_generics_9958, 0);
  reader9958->definitionModule = modulename;
  writer9958->definitionModule = modulename;
  reader9958->definitionLine = 3089;
  writer9958->definitionLine = 3089;
}
obj9952->flags |= OFLAG_MUTABLE;
adddatum2(obj9952, alloc_Undefined(), 5);
  sourceObject = obj9952;
// Begin line 3084
  setline(3084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_meth (depth = 4)
  adddatum2(obj9952, *var_meth, 1);
  sourceObject = obj9952;
// Begin line 3085
  setline(3085);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_signature (depth = 4)
  adddatum2(obj9952, *var_signature, 2);
  sourceObject = obj9952;
// Begin line 3086
  setline(3086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dtype (depth = 4)
  adddatum2(obj9952, *var_dtype, 3);
  sourceObject = obj9952;
// Begin line 3087
  setline(3087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_varargs (depth = 4)
  adddatum2(obj9952, *var_varargs, 4);
  sourceObject = obj9952;
// Begin line 3088
  setline(3088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_genericIdents (depth = 4)
  adddatum2(obj9952, *var_genericIdents, 5);
  objclass9952 = obj9952->class;
  objclass9952->definitionModule = modulename;
  objclass9952->definitionLine = 3083;
  (*(struct UserObject *)self).data[0] = lowerouter9952;
  self = oldself9952;
  selfslot = oldselfslot9952;
  stackframe = oldstackframe9952;
// compiled object node returning obj9952 (depth = 3)
  *var_o = obj9952;
  if (obj9952 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 3090
  setline(3090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_o (depth = 2)
  gc_frame_end(frame);
  return *var_o;
}
Object meth_parser_doimport9959(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 58, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(12, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doimport");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_util = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  Object *var_defaultDefVisibility = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doimport (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for doimport");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_importline = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "importline");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_errorPos = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "errorPos");
  Object *var_p = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "p");
  Object *var_name = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "name");
  Object *var_dtype = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "dtype");
  Object *var_o = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "o");
  Object *var_anns = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "anns");
// Begin line 3149
  setline(3149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3096
  setline(3096);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9963 == NULL) {
    strlit9963 = alloc_String("import");
    gc_root(strlit9963);
  }
// compiled string node returning strlit9963 (depth = 5)
  int op_slot_right_9962 = gc_frame_newslot(strlit9963);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9965 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call9966 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9965);
// compiled call node returning call9966 (depth = 6)
// compiled member node returning call9966 (depth = 5)
  int op_slot_left_9962 = gc_frame_newslot(call9966);
  params[0] = strlit9963;
  partcv[0] = 1;
  Object opresult9967 = callmethod(call9966, "==", 1, partcv, params);
// compiled op node returning opresult9967 (depth = 4)
  int op_slot_right_9961 = gc_frame_newslot(opresult9967);
// starting to compile call node (depth = 4)
  int callframe9969 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit9970 == NULL) {
    strlit9970 = alloc_String("keyword");
    gc_root(strlit9970);
  }
// compiled string node returning strlit9970 (depth = 5)
  gc_frame_newslot(strlit9970);
// call case 4: self request
  params[0] = strlit9970;
  partcv[0] = 1;
  Object call9971 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9969);
// compiled call node returning call9971 (depth = 4)
  int op_slot_left_9961 = gc_frame_newslot(call9971);
  params[0] = opresult9967;
  partcv[0] = 1;
  Object opresult9972 = callmethod(call9971, "&&", 1, partcv, params);
// compiled op node returning opresult9972 (depth = 3)
  Object if9960 = done;
  if (istrue(opresult9972)) {
// Begin line 3098
  setline(3098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 3097
  setline(3097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9973 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call9974 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9973);
// compiled call node returning call9974 (depth = 5)
// compiled member node returning call9974 (depth = 4)
  *var_importline = call9974;
  if (call9974 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3098
  setline(3098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9975 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9976 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9975);
// compiled call node returning call9976 (depth = 4)
// compiled member node returning call9976 (depth = 3)
// Begin line 3112
  setline(3112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3099
  setline(3099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9979 == NULL) {
    strlit9979 = alloc_String("string");
    gc_root(strlit9979);
  }
// compiled string node returning strlit9979 (depth = 5)
  int op_slot_right_9978 = gc_frame_newslot(strlit9979);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9981 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call9982 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9981);
// compiled call node returning call9982 (depth = 6)
// compiled member node returning call9982 (depth = 5)
  int op_slot_left_9978 = gc_frame_newslot(call9982);
  params[0] = strlit9979;
  partcv[0] = 1;
  Object opresult9983 = callmethod(call9982, "!=", 1, partcv, params);
// compiled op node returning opresult9983 (depth = 4)
  Object if9977 = done;
  if (istrue(opresult9983)) {
// Begin line 3101
  setline(3101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 3100
  setline(3100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9984 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9985 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call9986 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9985);
// compiled call node returning call9986 (depth = 8)
// compiled member node returning call9986 (depth = 7)
  partcv[0] = 0;
  Object call9987 = callmethod(call9986, "new",
    1, partcv, params);
  gc_frame_end(callframe9984);
// compiled call node returning call9987 (depth = 6)
// compiled member node returning call9987 (depth = 5)
  *var_suggestion = call9987;
  if (call9987 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 3102
  setline(3102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
  *var_errorPos = undefined;
// compiled vardec node returning done (depth = 4)
// Begin line 3109
  setline(3109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 3102
  setline(3102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9991 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call9992 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9991);
// compiled call node returning call9992 (depth = 8)
// compiled member node returning call9992 (depth = 7)
  int op_slot_right_9990 = gc_frame_newslot(call9992);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9994 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call9995 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9994);
// compiled call node returning call9995 (depth = 8)
// compiled member node returning call9995 (depth = 7)
  int op_slot_left_9990 = gc_frame_newslot(call9995);
  params[0] = call9992;
  partcv[0] = 1;
  Object opresult9996 = callmethod(call9995, "==", 1, partcv, params);
// compiled op node returning opresult9996 (depth = 6)
  int op_slot_right_9989 = gc_frame_newslot(opresult9996);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9999 == NULL) {
    strlit9999 = alloc_String("identifier");
    gc_root(strlit9999);
  }
// compiled string node returning strlit9999 (depth = 7)
  int op_slot_right_9998 = gc_frame_newslot(strlit9999);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10001 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call10002 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10001);
// compiled call node returning call10002 (depth = 8)
// compiled member node returning call10002 (depth = 7)
  int op_slot_left_9998 = gc_frame_newslot(call10002);
  params[0] = strlit9999;
  partcv[0] = 1;
  Object opresult10003 = callmethod(call10002, "==", 1, partcv, params);
// compiled op node returning opresult10003 (depth = 6)
  int op_slot_left_9989 = gc_frame_newslot(opresult10003);
  params[0] = opresult9996;
  partcv[0] = 1;
  Object opresult10004 = callmethod(opresult10003, "&&", 1, partcv, params);
// compiled op node returning opresult10004 (depth = 5)
  Object if9988 = done;
  if (istrue(opresult10004)) {
// Begin line 3103
  setline(3103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10005 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10007 == NULL) {
    strlit10007 = alloc_String("""\x22""");
    gc_root(strlit10007);
  }
// compiled string node returning strlit10007 (depth = 7)
  int op_slot_right_10006 = gc_frame_newslot(strlit10007);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe10010 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call10011 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10010);
// compiled call node returning call10011 (depth = 9)
// compiled member node returning call10011 (depth = 8)
  int op_slot_right_10009 = gc_frame_newslot(call10011);
// starting to compile string node (depth = 8)
  if (strlit10013 == NULL) {
    strlit10013 = alloc_String("""\x22""");
    gc_root(strlit10013);
  }
// compiled string node returning strlit10013 (depth = 8)
  int op_slot_left_10009 = gc_frame_newslot(strlit10013);
  params[0] = call10011;
  partcv[0] = 1;
  Object opresult10014 = callmethod(strlit10013, "++", 1, partcv, params);
// compiled op node returning opresult10014 (depth = 7)
  int op_slot_left_10006 = gc_frame_newslot(opresult10014);
  params[0] = strlit10007;
  partcv[0] = 1;
  Object opresult10015 = callmethod(opresult10014, "++", 1, partcv, params);
// compiled op node returning opresult10015 (depth = 6)
  gc_frame_newslot(opresult10015);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = opresult10015;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10016 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe10005);
// compiled call node returning call10016 (depth = 5)
// Begin line 3105
  setline(3105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 3104
  setline(3104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10017 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call10018 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10017);
// compiled call node returning call10018 (depth = 7)
// compiled member node returning call10018 (depth = 6)
  *var_errorPos = call10018;
  if (call10018 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if9988 = done;
  } else {
// Begin line 3106
  setline(3106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10020 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit10021 == NULL) {
    strlit10021 = alloc_String(" ""\x22""""\xc2""""\xab""module name""\xc2""""\xbb""""\x22""");
    gc_root(strlit10021);
  }
// compiled string node returning strlit10021 (depth = 6)
  gc_frame_newslot(strlit10021);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit10021;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10022 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10020);
// compiled call node returning call10022 (depth = 5)
// Begin line 3108
  setline(3108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 3107
  setline(3107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num10024 = alloc_Float64(1);
// compiled num node returning num10024 (depth = 7)
  int op_slot_right_10023 = gc_frame_newslot(num10024);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe10027 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call10028 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe10027);
// compiled call node returning call10028 (depth = 9)
// compiled member node returning call10028 (depth = 8)
  int op_slot_right_10026 = gc_frame_newslot(call10028);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe10030 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call10031 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10030);
// compiled call node returning call10031 (depth = 9)
// compiled member node returning call10031 (depth = 8)
  int op_slot_left_10026 = gc_frame_newslot(call10031);
  params[0] = call10028;
  partcv[0] = 1;
  Object sum10032 = callmethod(call10031, "+", 1, partcv, params);
// compiled op node returning sum10032 (depth = 7)
  int op_slot_left_10023 = gc_frame_newslot(sum10032);
  params[0] = num10024;
  partcv[0] = 1;
  Object sum10033 = callmethod(sum10032, "+", 1, partcv, params);
// compiled op node returning sum10033 (depth = 6)
  *var_errorPos = sum10033;
  if (sum10033 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if9988 = done;
  }
// compiled if node returning if9988 (depth = 4)
// Begin line 3109
  setline(3109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10035 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit10036 == NULL) {
    strlit10036 = alloc_String("An import statement must have the name of the module in quotes, 'as', and an identifier after 'import'.");
    gc_root(strlit10036);
  }
// compiled string node returning strlit10036 (depth = 5)
  gc_frame_newslot(strlit10036);
// Begin line 3110
  setline(3110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10037 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call10038 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10037);
// compiled call node returning call10038 (depth = 6)
// compiled member node returning call10038 (depth = 5)
  gc_frame_newslot(call10038);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errorPos (depth = 5)
  gc_frame_newslot(*var_errorPos);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 3109
  setline(3109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit10036;
  params[1] = call10038;
  params[2] = *var_errorPos;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10039 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10035);
// compiled call node returning call10039 (depth = 4)
    gc_frame_newslot(call10039);
    if9977 = call10039;
  } else {
  }
// compiled if node returning if9977 (depth = 3)
// Begin line 3112
  setline(3112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10040 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10041 = callmethodflags(self, "pushstring", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10040);
// compiled call node returning call10041 (depth = 4)
// compiled member node returning call10041 (depth = 3)
// Begin line 3114
  setline(3114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 3113
  setline(3113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10042 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call10043 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10042);
// compiled call node returning call10043 (depth = 5)
// compiled member node returning call10043 (depth = 4)
  *var_p = call10043;
  if (call10043 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3124
  setline(3124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3114
  setline(3114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10047 == NULL) {
    strlit10047 = alloc_String("as");
    gc_root(strlit10047);
  }
// compiled string node returning strlit10047 (depth = 6)
  int op_slot_right_10046 = gc_frame_newslot(strlit10047);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10049 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call10050 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10049);
// compiled call node returning call10050 (depth = 7)
// compiled member node returning call10050 (depth = 6)
  int op_slot_left_10046 = gc_frame_newslot(call10050);
  params[0] = strlit10047;
  partcv[0] = 1;
  Object opresult10051 = callmethod(call10050, "!=", 1, partcv, params);
// compiled op node returning opresult10051 (depth = 5)
  int op_slot_right_10045 = gc_frame_newslot(opresult10051);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10054 == NULL) {
    strlit10054 = alloc_String("identifier");
    gc_root(strlit10054);
  }
// compiled string node returning strlit10054 (depth = 6)
  int op_slot_right_10053 = gc_frame_newslot(strlit10054);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10056 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call10057 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10056);
// compiled call node returning call10057 (depth = 7)
// compiled member node returning call10057 (depth = 6)
  int op_slot_left_10053 = gc_frame_newslot(call10057);
  params[0] = strlit10054;
  partcv[0] = 1;
  Object opresult10058 = callmethod(call10057, "!=", 1, partcv, params);
// compiled op node returning opresult10058 (depth = 5)
  int op_slot_left_10045 = gc_frame_newslot(opresult10058);
  params[0] = opresult10051;
  partcv[0] = 1;
  Object opresult10059 = callmethod(opresult10058, "||", 1, partcv, params);
// compiled op node returning opresult10059 (depth = 4)
  Object if10044 = done;
  if (istrue(opresult10059)) {
// Begin line 3116
  setline(3116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 3115
  setline(3115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10060 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10061 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call10062 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10061);
// compiled call node returning call10062 (depth = 8)
// compiled member node returning call10062 (depth = 7)
  partcv[0] = 0;
  Object call10063 = callmethod(call10062, "new",
    1, partcv, params);
  gc_frame_end(callframe10060);
// compiled call node returning call10063 (depth = 6)
// compiled member node returning call10063 (depth = 5)
  *var_suggestion = call10063;
  if (call10063 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 3121
  setline(3121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 3116
  setline(3116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10067 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call10068 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10067);
// compiled call node returning call10068 (depth = 8)
// compiled member node returning call10068 (depth = 7)
  int op_slot_right_10066 = gc_frame_newslot(call10068);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10070 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call10071 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10070);
// compiled call node returning call10071 (depth = 8)
// compiled member node returning call10071 (depth = 7)
  int op_slot_left_10066 = gc_frame_newslot(call10071);
  params[0] = call10068;
  partcv[0] = 1;
  Object opresult10072 = callmethod(call10071, "==", 1, partcv, params);
// compiled op node returning opresult10072 (depth = 6)
  int op_slot_right_10065 = gc_frame_newslot(opresult10072);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10075 == NULL) {
    strlit10075 = alloc_String("identifier");
    gc_root(strlit10075);
  }
// compiled string node returning strlit10075 (depth = 7)
  int op_slot_right_10074 = gc_frame_newslot(strlit10075);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10077 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call10078 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10077);
// compiled call node returning call10078 (depth = 8)
// compiled member node returning call10078 (depth = 7)
  int op_slot_left_10074 = gc_frame_newslot(call10078);
  params[0] = strlit10075;
  partcv[0] = 1;
  Object opresult10079 = callmethod(call10078, "==", 1, partcv, params);
// compiled op node returning opresult10079 (depth = 6)
  int op_slot_left_10065 = gc_frame_newslot(opresult10079);
  params[0] = opresult10072;
  partcv[0] = 1;
  Object opresult10080 = callmethod(opresult10079, "&&", 1, partcv, params);
// compiled op node returning opresult10080 (depth = 5)
  Object if10064 = done;
  if (istrue(opresult10080)) {
// Begin line 3117
  setline(3117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10081 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit10082 == NULL) {
    strlit10082 = alloc_String(" as");
    gc_root(strlit10082);
  }
// compiled string node returning strlit10082 (depth = 6)
  gc_frame_newslot(strlit10082);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit10082;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10083 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10081);
// compiled call node returning call10083 (depth = 5)
    gc_frame_newslot(call10083);
    if10064 = call10083;
  } else {
// Begin line 3119
  setline(3119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10084 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10086 == NULL) {
    strlit10086 = alloc_String("");
    gc_root(strlit10086);
  }
// compiled string node returning strlit10086 (depth = 7)
  int op_slot_right_10085 = gc_frame_newslot(strlit10086);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe10089 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_p (depth = 10)
  partcv[0] = 0;
  Object call10090 = callmethod(*var_p, "value",
    1, partcv, params);
  gc_frame_end(callframe10089);
// compiled call node returning call10090 (depth = 9)
// compiled member node returning call10090 (depth = 8)
  int op_slot_right_10088 = gc_frame_newslot(call10090);
// starting to compile string node (depth = 8)
  if (strlit10092 == NULL) {
    strlit10092 = alloc_String(" as ");
    gc_root(strlit10092);
  }
// compiled string node returning strlit10092 (depth = 8)
  int op_slot_left_10088 = gc_frame_newslot(strlit10092);
  params[0] = call10090;
  partcv[0] = 1;
  Object opresult10093 = callmethod(strlit10092, "++", 1, partcv, params);
// compiled op node returning opresult10093 (depth = 7)
  int op_slot_left_10085 = gc_frame_newslot(opresult10093);
  params[0] = strlit10086;
  partcv[0] = 1;
  Object opresult10094 = callmethod(opresult10093, "++", 1, partcv, params);
// compiled op node returning opresult10094 (depth = 6)
  gc_frame_newslot(opresult10094);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = opresult10094;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10095 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10084);
// compiled call node returning call10095 (depth = 5)
    gc_frame_newslot(call10095);
    if10064 = call10095;
  }
// compiled if node returning if10064 (depth = 4)
// Begin line 3121
  setline(3121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10096 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit10097 == NULL) {
    strlit10097 = alloc_String("An import statement must have 'as', and an identifier after the name of the module in quotes.");
    gc_root(strlit10097);
  }
// compiled string node returning strlit10097 (depth = 5)
  gc_frame_newslot(strlit10097);
// Begin line 3122
  setline(3122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10098 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call10099 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10098);
// compiled call node returning call10099 (depth = 6)
// compiled member node returning call10099 (depth = 5)
  gc_frame_newslot(call10099);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num10101 = alloc_Float64(1);
// compiled num node returning num10101 (depth = 6)
  int op_slot_right_10100 = gc_frame_newslot(num10101);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10104 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call10105 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe10104);
// compiled call node returning call10105 (depth = 8)
// compiled member node returning call10105 (depth = 7)
  int op_slot_right_10103 = gc_frame_newslot(call10105);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10107 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call10108 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10107);
// compiled call node returning call10108 (depth = 8)
// compiled member node returning call10108 (depth = 7)
  int op_slot_left_10103 = gc_frame_newslot(call10108);
  params[0] = call10105;
  partcv[0] = 1;
  Object sum10109 = callmethod(call10108, "+", 1, partcv, params);
// compiled op node returning sum10109 (depth = 6)
  int op_slot_left_10100 = gc_frame_newslot(sum10109);
  params[0] = num10101;
  partcv[0] = 1;
  Object sum10110 = callmethod(sum10109, "+", 1, partcv, params);
// compiled op node returning sum10110 (depth = 5)
  gc_frame_newslot(sum10110);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 3121
  setline(3121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit10097;
  params[1] = call10099;
  params[2] = sum10110;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10111 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10096);
// compiled call node returning call10111 (depth = 4)
    gc_frame_newslot(call10111);
    if10044 = call10111;
  } else {
  }
// compiled if node returning if10044 (depth = 3)
// Begin line 3124
  setline(3124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10112 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10113 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10112);
// compiled call node returning call10113 (depth = 4)
// compiled member node returning call10113 (depth = 3)
// Begin line 3138
  setline(3138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3125
  setline(3125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10116 == NULL) {
    strlit10116 = alloc_String("identifier");
    gc_root(strlit10116);
  }
// compiled string node returning strlit10116 (depth = 5)
  int op_slot_right_10115 = gc_frame_newslot(strlit10116);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10118 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call10119 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10118);
// compiled call node returning call10119 (depth = 6)
// compiled member node returning call10119 (depth = 5)
  int op_slot_left_10115 = gc_frame_newslot(call10119);
  params[0] = strlit10116;
  partcv[0] = 1;
  Object opresult10120 = callmethod(call10119, "!=", 1, partcv, params);
// compiled op node returning opresult10120 (depth = 4)
  Object if10114 = done;
  if (istrue(opresult10120)) {
// Begin line 3127
  setline(3127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 3126
  setline(3126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10121 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10122 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call10123 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10122);
// compiled call node returning call10123 (depth = 8)
// compiled member node returning call10123 (depth = 7)
  partcv[0] = 0;
  Object call10124 = callmethod(call10123, "new",
    1, partcv, params);
  gc_frame_end(callframe10121);
// compiled call node returning call10124 (depth = 6)
// compiled member node returning call10124 (depth = 5)
  *var_suggestion = call10124;
  if (call10124 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 3128
  setline(3128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
  *var_errorPos = undefined;
// compiled vardec node returning done (depth = 4)
// Begin line 3135
  setline(3135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 3128
  setline(3128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10128 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call10129 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10128);
// compiled call node returning call10129 (depth = 8)
// compiled member node returning call10129 (depth = 7)
  int op_slot_right_10127 = gc_frame_newslot(call10129);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10131 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call10132 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10131);
// compiled call node returning call10132 (depth = 8)
// compiled member node returning call10132 (depth = 7)
  int op_slot_left_10127 = gc_frame_newslot(call10132);
  params[0] = call10129;
  partcv[0] = 1;
  Object opresult10133 = callmethod(call10132, "==", 1, partcv, params);
// compiled op node returning opresult10133 (depth = 6)
  int op_slot_right_10126 = gc_frame_newslot(opresult10133);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10136 == NULL) {
    strlit10136 = alloc_String("string");
    gc_root(strlit10136);
  }
// compiled string node returning strlit10136 (depth = 7)
  int op_slot_right_10135 = gc_frame_newslot(strlit10136);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10138 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call10139 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10138);
// compiled call node returning call10139 (depth = 8)
// compiled member node returning call10139 (depth = 7)
  int op_slot_left_10135 = gc_frame_newslot(call10139);
  params[0] = strlit10136;
  partcv[0] = 1;
  Object opresult10140 = callmethod(call10139, "==", 1, partcv, params);
// compiled op node returning opresult10140 (depth = 6)
  int op_slot_left_10126 = gc_frame_newslot(opresult10140);
  params[0] = opresult10133;
  partcv[0] = 1;
  Object opresult10141 = callmethod(opresult10140, "&&", 1, partcv, params);
// compiled op node returning opresult10141 (depth = 5)
  Object if10125 = done;
  if (istrue(opresult10141)) {
// Begin line 3129
  setline(3129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10142 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10144 == NULL) {
    strlit10144 = alloc_String("");
    gc_root(strlit10144);
  }
// compiled string node returning strlit10144 (depth = 7)
  int op_slot_right_10143 = gc_frame_newslot(strlit10144);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe10147 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call10148 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10147);
// compiled call node returning call10148 (depth = 9)
// compiled member node returning call10148 (depth = 8)
  int op_slot_right_10146 = gc_frame_newslot(call10148);
// starting to compile string node (depth = 8)
  if (strlit10150 == NULL) {
    strlit10150 = alloc_String("");
    gc_root(strlit10150);
  }
// compiled string node returning strlit10150 (depth = 8)
  int op_slot_left_10146 = gc_frame_newslot(strlit10150);
  params[0] = call10148;
  partcv[0] = 1;
  Object opresult10151 = callmethod(strlit10150, "++", 1, partcv, params);
// compiled op node returning opresult10151 (depth = 7)
  int op_slot_left_10143 = gc_frame_newslot(opresult10151);
  params[0] = strlit10144;
  partcv[0] = 1;
  Object opresult10152 = callmethod(opresult10151, "++", 1, partcv, params);
// compiled op node returning opresult10152 (depth = 6)
  gc_frame_newslot(opresult10152);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = opresult10152;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10153 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe10142);
// compiled call node returning call10153 (depth = 5)
// Begin line 3131
  setline(3131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 3130
  setline(3130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10154 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call10155 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10154);
// compiled call node returning call10155 (depth = 7)
// compiled member node returning call10155 (depth = 6)
  *var_errorPos = call10155;
  if (call10155 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if10125 = done;
  } else {
// Begin line 3132
  setline(3132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10157 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10159 == NULL) {
    strlit10159 = alloc_String("");
    gc_root(strlit10159);
  }
// compiled string node returning strlit10159 (depth = 7)
  int op_slot_right_10158 = gc_frame_newslot(strlit10159);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe10162 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_p (depth = 10)
  partcv[0] = 0;
  Object call10163 = callmethod(*var_p, "value",
    1, partcv, params);
  gc_frame_end(callframe10162);
// compiled call node returning call10163 (depth = 9)
// compiled member node returning call10163 (depth = 8)
  int op_slot_right_10161 = gc_frame_newslot(call10163);
// starting to compile string node (depth = 8)
  if (strlit10165 == NULL) {
    strlit10165 = alloc_String(" ");
    gc_root(strlit10165);
  }
// compiled string node returning strlit10165 (depth = 8)
  int op_slot_left_10161 = gc_frame_newslot(strlit10165);
  params[0] = call10163;
  partcv[0] = 1;
  Object opresult10166 = callmethod(strlit10165, "++", 1, partcv, params);
// compiled op node returning opresult10166 (depth = 7)
  int op_slot_left_10158 = gc_frame_newslot(opresult10166);
  params[0] = strlit10159;
  partcv[0] = 1;
  Object opresult10167 = callmethod(opresult10166, "++", 1, partcv, params);
// compiled op node returning opresult10167 (depth = 6)
  gc_frame_newslot(opresult10167);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = opresult10167;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10168 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10157);
// compiled call node returning call10168 (depth = 5)
// Begin line 3134
  setline(3134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 3133
  setline(3133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num10170 = alloc_Float64(1);
// compiled num node returning num10170 (depth = 7)
  int op_slot_right_10169 = gc_frame_newslot(num10170);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe10173 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call10174 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe10173);
// compiled call node returning call10174 (depth = 9)
// compiled member node returning call10174 (depth = 8)
  int op_slot_right_10172 = gc_frame_newslot(call10174);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe10176 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call10177 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10176);
// compiled call node returning call10177 (depth = 9)
// compiled member node returning call10177 (depth = 8)
  int op_slot_left_10172 = gc_frame_newslot(call10177);
  params[0] = call10174;
  partcv[0] = 1;
  Object sum10178 = callmethod(call10177, "+", 1, partcv, params);
// compiled op node returning sum10178 (depth = 7)
  int op_slot_left_10169 = gc_frame_newslot(sum10178);
  params[0] = num10170;
  partcv[0] = 1;
  Object sum10179 = callmethod(sum10178, "+", 1, partcv, params);
// compiled op node returning sum10179 (depth = 6)
  *var_errorPos = sum10179;
  if (sum10179 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if10125 = done;
  }
// compiled if node returning if10125 (depth = 4)
// Begin line 3135
  setline(3135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10181 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit10182 == NULL) {
    strlit10182 = alloc_String("An import statement must have an identifier after 'as'.");
    gc_root(strlit10182);
  }
// compiled string node returning strlit10182 (depth = 5)
  gc_frame_newslot(strlit10182);
// Begin line 3136
  setline(3136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10183 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call10184 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10183);
// compiled call node returning call10184 (depth = 6)
// compiled member node returning call10184 (depth = 5)
  gc_frame_newslot(call10184);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errorPos (depth = 5)
  gc_frame_newslot(*var_errorPos);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 3135
  setline(3135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit10182;
  params[1] = call10184;
  params[2] = *var_errorPos;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10185 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10181);
// compiled call node returning call10185 (depth = 4)
    gc_frame_newslot(call10185);
    if10114 = call10185;
  } else {
  }
// compiled if node returning if10114 (depth = 3)
// Begin line 3138
  setline(3138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10186 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10187 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10186);
// compiled call node returning call10187 (depth = 4)
// compiled member node returning call10187 (depth = 3)
// Begin line 3140
  setline(3140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 3139
  setline(3139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10188 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call10189 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10188);
// compiled call node returning call10189 (depth = 5)
// compiled member node returning call10189 (depth = 4)
  *var_name = call10189;
  if (call10189 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3141
  setline(3141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 3139
  setline(3139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10190 = gc_frame_new();
// Begin line 3140
  setline(3140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool10191 = alloc_Boolean(1);
// compiled identifier node returning bool10191 (depth = 5)
  gc_frame_newslot(bool10191);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_name (depth = 5)
  params[0] = bool10191;
  partcv[0] = 1;
  Object call10192 = callmethod(*var_name, "isBindingOccurrence:=",
    1, partcv, params);
  gc_frame_end(callframe10190);
// compiled call node returning call10192 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 3142
  setline(3142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 3141
  setline(3141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10193 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10194 = callmethodflags(self, "optionalTypeAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10193);
// compiled call node returning call10194 (depth = 5)
// compiled member node returning call10194 (depth = 4)
  *var_dtype = call10194;
  if (call10194 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3142
  setline(3142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10195 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_importline (depth = 4)
  gc_frame_newslot(*var_importline);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = *var_importline;
  partcv[0] = 1;
  Object call10196 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe10195);
// compiled call node returning call10196 (depth = 3)
// Begin line 3143
  setline(3143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10197 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10198 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_p (depth = 7)
  partcv[0] = 0;
  Object call10199 = callmethod(*var_p, "value",
    1, partcv, params);
  gc_frame_end(callframe10198);
// compiled call node returning call10199 (depth = 6)
// compiled member node returning call10199 (depth = 5)
  gc_frame_newslot(call10199);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_name (depth = 5)
  gc_frame_newslot(*var_name);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype (depth = 5)
  gc_frame_newslot(*var_dtype);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10200 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call10201 = callmethod(*var_ast, "importNode",
    1, partcv, params);
  gc_frame_end(callframe10200);
// compiled call node returning call10201 (depth = 6)
// compiled member node returning call10201 (depth = 5)
  params[0] = call10199;
  params[1] = *var_name;
  params[2] = *var_dtype;
  partcv[0] = 3;
  Object call10202 = callmethod(call10201, "new",
    1, partcv, params);
  gc_frame_end(callframe10197);
// compiled call node returning call10202 (depth = 4)
  *var_o = call10202;
  if (call10202 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3145
  setline(3145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 3144
  setline(3144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10203 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10204 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10203);
// compiled call node returning call10204 (depth = 5)
// compiled member node returning call10204 (depth = 4)
  *var_anns = call10204;
  if (call10204 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3146
  setline(3146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3145
  setline(3145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool10207 = alloc_Boolean(0);
// compiled identifier node returning bool10207 (depth = 5)
  int op_slot_right_10206 = gc_frame_newslot(bool10207);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  int op_slot_left_10206 = gc_frame_newslot(*var_anns);
  params[0] = bool10207;
  partcv[0] = 1;
  Object opresult10209 = callmethod(*var_anns, "!=", 1, partcv, params);
// compiled op node returning opresult10209 (depth = 4)
  Object if10205 = done;
  if (istrue(opresult10209)) {
// starting to compile call node (depth = 4)
  int callframe10210 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  gc_frame_newslot(*var_anns);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10211 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  partcv[0] = 0;
  Object call10212 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe10211);
// compiled call node returning call10212 (depth = 6)
// compiled member node returning call10212 (depth = 5)
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call10213 = callmethod(call10212, "extend",
    1, partcv, params);
  gc_frame_end(callframe10210);
// compiled call node returning call10213 (depth = 4)
    gc_frame_newslot(call10213);
    if10205 = call10213;
  } else {
  }
// compiled if node returning if10205 (depth = 3)
// Begin line 3146
  setline(3146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10214 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_defaultDefVisibility (depth = 4)
  gc_frame_newslot(*var_defaultDefVisibility);
// starting to compile string node (depth = 4)
  if (strlit10215 == NULL) {
    strlit10215 = alloc_String("confidential");
    gc_root(strlit10215);
  }
// compiled string node returning strlit10215 (depth = 4)
  gc_frame_newslot(strlit10215);
// call case 4: self request
  params[0] = *var_o;
  params[1] = *var_defaultDefVisibility;
  params[2] = strlit10215;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call10216 = callmethodflags(self, "adjustVisibilityOf()withSpecialDefault()overriding", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10214);
// compiled call node returning call10216 (depth = 3)
// Begin line 3147
  setline(3147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10217 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call10218 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe10217);
// compiled call node returning call10218 (depth = 3)
    gc_frame_newslot(call10218);
    if9960 = call10218;
  } else {
  }
// compiled if node returning if9960 (depth = 2)
  gc_frame_end(frame);
  return if9960;
}
Object meth_parser__apply10238(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10239 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 8)
  int callframe10240 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit10241 == NULL) {
    strlit10241 = alloc_String("rbrace");
    gc_root(strlit10241);
  }
// compiled string node returning strlit10241 (depth = 9)
  gc_frame_newslot(strlit10241);
// call case 4: self request
  params[0] = strlit10241;
  partcv[0] = 1;
  Object call10242 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10240);
// compiled call node returning call10242 (depth = 8)
  partcv[0] = 0;
  Object call10243 = callmethod(call10242, "not",
    1, partcv, params);
  gc_frame_end(callframe10239);
// compiled call node returning call10243 (depth = 7)
// compiled member node returning call10243 (depth = 6)
  gc_frame_end(frame);
  return call10243;
}
Object meth_parser__apply10252(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 9)
  int callframe10253 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_blocksOK (depth = 10)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call10254 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10253);
// compiled call node returning call10254 (depth = 9)
  gc_frame_end(frame);
  return call10254;
}
Object meth_parser_doreturn10219(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 59, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doreturn");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_blocksOK = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doreturn (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for doreturn");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_retval = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "retval");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_o = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "o");
// Begin line 3184
  setline(3184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3154
  setline(3154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10223 == NULL) {
    strlit10223 = alloc_String("return");
    gc_root(strlit10223);
  }
// compiled string node returning strlit10223 (depth = 5)
  int op_slot_right_10222 = gc_frame_newslot(strlit10223);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10225 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call10226 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10225);
// compiled call node returning call10226 (depth = 6)
// compiled member node returning call10226 (depth = 5)
  int op_slot_left_10222 = gc_frame_newslot(call10226);
  params[0] = strlit10223;
  partcv[0] = 1;
  Object opresult10227 = callmethod(call10226, "==", 1, partcv, params);
// compiled op node returning opresult10227 (depth = 4)
  int op_slot_right_10221 = gc_frame_newslot(opresult10227);
// starting to compile call node (depth = 4)
  int callframe10229 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit10230 == NULL) {
    strlit10230 = alloc_String("keyword");
    gc_root(strlit10230);
  }
// compiled string node returning strlit10230 (depth = 5)
  gc_frame_newslot(strlit10230);
// call case 4: self request
  params[0] = strlit10230;
  partcv[0] = 1;
  Object call10231 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10229);
// compiled call node returning call10231 (depth = 4)
  int op_slot_left_10221 = gc_frame_newslot(call10231);
  params[0] = opresult10227;
  partcv[0] = 1;
  Object opresult10232 = callmethod(call10231, "&&", 1, partcv, params);
// compiled op node returning opresult10232 (depth = 3)
  Object if10220 = done;
  if (istrue(opresult10232)) {
// Begin line 3155
  setline(3155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10233 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10234 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10233);
// compiled call node returning call10234 (depth = 4)
// compiled member node returning call10234 (depth = 3)
// Begin line 3157
  setline(3157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_retval = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 3181
  setline(3181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3157
  setline(3157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10236 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block10237 = alloc_Block(NULL, NULL, "parser", 3157);
  gc_frame_newslot(block10237);
// method _apply
  block_savedest(block10237);
  Object closure10238 = createclosure(1, "_apply");
  setclosureframe(closure10238, stackframe);
  addtoclosure(closure10238, selfslot);
  struct UserObject *uo10238 = (struct UserObject*)block10237;
  uo10238->data[0] = (Object)closure10238;
  Method *meth_meth_parser__apply10238 = addmethod2pos(block10237, "_apply", &meth_parser__apply10238, 0);
  int argcv_meth_parser__apply10238[] = {0};
  meth_meth_parser__apply10238->type = alloc_MethodType(1, argcv_meth_parser__apply10238);
  meth_meth_parser__apply10238->definitionModule = modulename;
  meth_meth_parser__apply10238->definitionLine = 3155;
// compiled block node returning block10237 (depth = 5)
  gc_frame_newslot(block10237);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10245 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10246 = callmethodflags(self, "tokenOnSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10245);
// compiled call node returning call10246 (depth = 6)
// compiled member node returning call10246 (depth = 5)
  params[0] = block10237;
  partcv[0] = 1;
  Object call10247 = callmethod(call10246, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe10236);
// compiled call node returning call10247 (depth = 4)
  Object if10235 = done;
  if (istrue(call10247)) {
// Begin line 3177
  setline(3177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 3158
  setline(3158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10249 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 7)
  int callframe10250 = gc_frame_new();
// starting to compile block node (depth = 8)
  Object block10251 = alloc_Block(NULL, NULL, "parser", 3158);
  gc_frame_newslot(block10251);
// method _apply
  block_savedest(block10251);
  Object closure10252 = createclosure(2, "_apply");
  setclosureframe(closure10252, stackframe);
  addtoclosure(closure10252, var_blocksOK);
  addtoclosure(closure10252, selfslot);
  struct UserObject *uo10252 = (struct UserObject*)block10251;
  uo10252->data[0] = (Object)closure10252;
  Method *meth_meth_parser__apply10252 = addmethod2pos(block10251, "_apply", &meth_parser__apply10252, 0);
  int argcv_meth_parser__apply10252[] = {0};
  meth_meth_parser__apply10252->type = alloc_MethodType(1, argcv_meth_parser__apply10252);
  meth_meth_parser__apply10252->definitionModule = modulename;
  meth_meth_parser__apply10252->definitionLine = 3158;
// compiled block node returning block10251 (depth = 8)
  gc_frame_newslot(block10251);
// call case 4: self request
  params[0] = block10251;
  partcv[0] = 1;
  Object call10256 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10250);
// compiled call node returning call10256 (depth = 7)
  partcv[0] = 0;
  Object call10257 = callmethod(call10256, "not",
    1, partcv, params);
  gc_frame_end(callframe10249);
// compiled call node returning call10257 (depth = 6)
// compiled member node returning call10257 (depth = 5)
  Object if10248 = done;
  if (istrue(call10257)) {
// Begin line 3160
  setline(3160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 3159
  setline(3159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 6)
  Object array10258 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array10258 (depth = 6)
  *var_suggestions = array10258;
  if (array10258 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 3161
  setline(3161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// Begin line 3160
  setline(3160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10259 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe10260 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call10261 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10260);
// compiled call node returning call10261 (depth = 9)
// compiled member node returning call10261 (depth = 8)
  partcv[0] = 0;
  Object call10262 = callmethod(call10261, "new",
    1, partcv, params);
  gc_frame_end(callframe10259);
// compiled call node returning call10262 (depth = 7)
// compiled member node returning call10262 (depth = 6)
  *var_suggestion = call10262;
  if (call10262 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 3161
  setline(3161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10263 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit10264 == NULL) {
    strlit10264 = alloc_String("rbrace");
    gc_root(strlit10264);
  }
// compiled string node returning strlit10264 (depth = 7)
  gc_frame_newslot(strlit10264);
// call case 4: self request
  params[0] = strlit10264;
  partcv[0] = 1;
  Object call10265 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10263);
// compiled call node returning call10265 (depth = 6)
  *var_nextTok = call10265;
  if (call10265 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 3173
  setline(3173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 3162
  setline(3162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_10267 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_10267 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult10269 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult10269 (depth = 6)
  Object if10266 = done;
  if (istrue(opresult10269)) {
// Begin line 3163
  setline(3163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe10270 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit10271 == NULL) {
    strlit10271 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit10271);
  }
// compiled string node returning strlit10271 (depth = 7)
  gc_frame_newslot(strlit10271);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit10271;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10272 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10270);
// compiled call node returning call10272 (depth = 6)
// Begin line 3164
  setline(3164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe10273 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10274 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe10273);
// compiled call node returning call10274 (depth = 6)
// Begin line 3166
  setline(3166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 3165
  setline(3165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10275 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe10276 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call10277 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10276);
// compiled call node returning call10277 (depth = 10)
// compiled member node returning call10277 (depth = 9)
  partcv[0] = 0;
  Object call10278 = callmethod(call10277, "new",
    1, partcv, params);
  gc_frame_end(callframe10275);
// compiled call node returning call10278 (depth = 8)
// compiled member node returning call10278 (depth = 7)
  *var_suggestion = call10278;
  if (call10278 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 3166
  setline(3166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe10280 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
  Object bool10281 = alloc_Boolean(1);
// compiled identifier node returning bool10281 (depth = 7)
  gc_frame_newslot(bool10281);
// starting to compile identifier node (depth = 7)
  Object bool10282 = alloc_Boolean(0);
// compiled identifier node returning bool10282 (depth = 7)
  gc_frame_newslot(bool10282);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = bool10281;
  params[2] = bool10282;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call10283 = callmethod(*var_suggestion, "deleteToken()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe10280);
// compiled call node returning call10283 (depth = 6)
    gc_frame_newslot(call10283);
    if10266 = call10283;
  } else {
// Begin line 3168
  setline(3168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe10284 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10285 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  partcv[0] = 0;
  Object call10286 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe10285);
// compiled call node returning call10286 (depth = 8)
// compiled member node returning call10286 (depth = 7)
  gc_frame_newslot(call10286);
// starting to compile identifier node (depth = 7)
  Object bool10287 = alloc_Boolean(1);
// compiled identifier node returning bool10287 (depth = 7)
  gc_frame_newslot(bool10287);
// starting to compile identifier node (depth = 7)
  Object bool10288 = alloc_Boolean(0);
// compiled identifier node returning bool10288 (depth = 7)
  gc_frame_newslot(bool10288);
// starting to compile string node (depth = 7)
  if (strlit10289 == NULL) {
    strlit10289 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit10289);
  }
// compiled string node returning strlit10289 (depth = 7)
  gc_frame_newslot(strlit10289);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call10286;
  params[2] = bool10287;
  params[3] = bool10288;
  params[4] = strlit10289;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call10290 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe10284);
// compiled call node returning call10290 (depth = 6)
// Begin line 3169
  setline(3169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe10291 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10292 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe10291);
// compiled call node returning call10292 (depth = 6)
// Begin line 3171
  setline(3171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 3170
  setline(3170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10293 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe10294 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call10295 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10294);
// compiled call node returning call10295 (depth = 10)
// compiled member node returning call10295 (depth = 9)
  partcv[0] = 0;
  Object call10296 = callmethod(call10295, "new",
    1, partcv, params);
  gc_frame_end(callframe10293);
// compiled call node returning call10296 (depth = 8)
// compiled member node returning call10296 (depth = 7)
  *var_suggestion = call10296;
  if (call10296 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 3171
  setline(3171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe10298 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10299 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  partcv[0] = 0;
  Object call10300 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe10299);
// compiled call node returning call10300 (depth = 8)
// compiled member node returning call10300 (depth = 7)
  gc_frame_newslot(call10300);
// starting to compile identifier node (depth = 7)
  Object bool10301 = alloc_Boolean(1);
// compiled identifier node returning bool10301 (depth = 7)
  gc_frame_newslot(bool10301);
// starting to compile identifier node (depth = 7)
  Object bool10302 = alloc_Boolean(0);
// compiled identifier node returning bool10302 (depth = 7)
  gc_frame_newslot(bool10302);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call10300;
  params[2] = bool10301;
  params[3] = bool10302;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call10303 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe10298);
// compiled call node returning call10303 (depth = 6)
    gc_frame_newslot(call10303);
    if10266 = call10303;
  }
// compiled if node returning if10266 (depth = 5)
// Begin line 3173
  setline(3173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10304 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10305 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe10304);
// compiled call node returning call10305 (depth = 5)
// Begin line 3174
  setline(3174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10306 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit10307 == NULL) {
    strlit10307 = alloc_String("A return statement must have either an expression or a new-line after 'return'.");
    gc_root(strlit10307);
  }
// compiled string node returning strlit10307 (depth = 6)
  gc_frame_newslot(strlit10307);
// Begin line 3175
  setline(3175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10308 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call10309 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10308);
// compiled call node returning call10309 (depth = 7)
// compiled member node returning call10309 (depth = 6)
  gc_frame_newslot(call10309);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10310 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call10311 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10310);
// compiled call node returning call10311 (depth = 7)
// compiled member node returning call10311 (depth = 6)
  gc_frame_newslot(call10311);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num10313 = alloc_Float64(1);
// compiled num node returning num10313 (depth = 7)
  int op_slot_right_10312 = gc_frame_newslot(num10313);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe10316 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call10317 = callmethod(*var_sym, "size",
    1, partcv, params);
  gc_frame_end(callframe10316);
// compiled call node returning call10317 (depth = 9)
// compiled member node returning call10317 (depth = 8)
  int op_slot_right_10315 = gc_frame_newslot(call10317);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe10319 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call10320 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10319);
// compiled call node returning call10320 (depth = 9)
// compiled member node returning call10320 (depth = 8)
  int op_slot_left_10315 = gc_frame_newslot(call10320);
  params[0] = call10317;
  partcv[0] = 1;
  Object sum10321 = callmethod(call10320, "+", 1, partcv, params);
// compiled op node returning sum10321 (depth = 7)
  int op_slot_left_10312 = gc_frame_newslot(sum10321);
  params[0] = num10313;
  partcv[0] = 1;
  Object diff10322 = callmethod(sum10321, "-", 1, partcv, params);
// compiled op node returning diff10322 (depth = 6)
  gc_frame_newslot(diff10322);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 3174
  setline(3174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit10307;
  params[1] = call10309;
  params[2] = call10311;
  params[3] = diff10322;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call10323 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe10306);
// compiled call node returning call10323 (depth = 5)
    gc_frame_newslot(call10323);
    if10248 = call10323;
  } else {
  }
// compiled if node returning if10248 (depth = 4)
// Begin line 3178
  setline(3178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 3177
  setline(3177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10324 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  partcv[0] = 0;
  Object call10325 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10324);
// compiled call node returning call10325 (depth = 6)
// compiled member node returning call10325 (depth = 5)
  *var_retval = call10325;
  if (call10325 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if10235 = done;
  } else {
// Begin line 3179
  setline(3179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10327 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit10328 == NULL) {
    strlit10328 = alloc_String("done");
    gc_root(strlit10328);
  }
// compiled string node returning strlit10328 (depth = 6)
  gc_frame_newslot(strlit10328);
// starting to compile identifier node (depth = 6)
  Object bool10329 = alloc_Boolean(0);
// compiled identifier node returning bool10329 (depth = 6)
  gc_frame_newslot(bool10329);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10330 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ast (depth = 8)
  partcv[0] = 0;
  Object call10331 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe10330);
// compiled call node returning call10331 (depth = 7)
// compiled member node returning call10331 (depth = 6)
  params[0] = strlit10328;
  params[1] = bool10329;
  partcv[0] = 2;
  Object call10332 = callmethod(call10331, "new",
    1, partcv, params);
  gc_frame_end(callframe10327);
// compiled call node returning call10332 (depth = 5)
  *var_retval = call10332;
  if (call10332 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if10235 = done;
  }
// compiled if node returning if10235 (depth = 3)
// Begin line 3181
  setline(3181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10334 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_retval (depth = 5)
  gc_frame_newslot(*var_retval);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10335 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call10336 = callmethod(*var_ast, "returnNode",
    1, partcv, params);
  gc_frame_end(callframe10335);
// compiled call node returning call10336 (depth = 6)
// compiled member node returning call10336 (depth = 5)
  params[0] = *var_retval;
  partcv[0] = 1;
  Object call10337 = callmethod(call10336, "new",
    1, partcv, params);
  gc_frame_end(callframe10334);
// compiled call node returning call10337 (depth = 4)
  *var_o = call10337;
  if (call10337 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 3182
  setline(3182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10338 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call10339 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe10338);
// compiled call node returning call10339 (depth = 3)
    gc_frame_newslot(call10339);
    if10220 = call10339;
  } else {
  }
// compiled if node returning if10220 (depth = 2)
  gc_frame_end(frame);
  return if10220;
}
Object meth_parser_domethodtype10340(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 60, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(9, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "domethodtype");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_ast = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_util = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for domethodtype (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for domethodtype");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_m = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "m");
  Object *var_meth = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "meth");
  Object *var_signature = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "signature");
  Object *var_dtype = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "dtype");
  Object *var_varargs = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "varargs");
  Object *var_o = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "o");
  Object *var_suggestion = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestion");
  Object *var_newLine = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "newLine");
// Begin line 3188
  setline(3188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe10341 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool10342 = alloc_Boolean(1);
// compiled identifier node returning bool10342 (depth = 4)
  gc_frame_newslot(bool10342);
// call case 4: self request
  params[0] = bool10342;
  partcv[0] = 1;
  Object call10343 = callmethodflags(self, "methodsignature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10341);
// compiled call node returning call10343 (depth = 3)
  *var_m = call10343;
  if (call10343 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 3190
  setline(3190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 3189
  setline(3189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10344 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_m (depth = 5)
  partcv[0] = 0;
  Object call10345 = callmethod(*var_m, "m",
    1, partcv, params);
  gc_frame_end(callframe10344);
// compiled call node returning call10345 (depth = 4)
// compiled member node returning call10345 (depth = 3)
  *var_meth = call10345;
  if (call10345 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 3191
  setline(3191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 3190
  setline(3190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10346 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_m (depth = 5)
  partcv[0] = 0;
  Object call10347 = callmethod(*var_m, "sig",
    1, partcv, params);
  gc_frame_end(callframe10346);
// compiled call node returning call10347 (depth = 4)
// compiled member node returning call10347 (depth = 3)
  *var_signature = call10347;
  if (call10347 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 3192
  setline(3192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 3191
  setline(3191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10348 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_m (depth = 5)
  partcv[0] = 0;
  Object call10349 = callmethod(*var_m, "rtype",
    1, partcv, params);
  gc_frame_end(callframe10348);
// compiled call node returning call10349 (depth = 4)
// compiled member node returning call10349 (depth = 3)
  *var_dtype = call10349;
  if (call10349 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 3193
  setline(3193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 3192
  setline(3192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10350 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_m (depth = 5)
  partcv[0] = 0;
  Object call10351 = callmethod(*var_m, "v",
    1, partcv, params);
  gc_frame_end(callframe10350);
// compiled call node returning call10351 (depth = 4)
// compiled member node returning call10351 (depth = 3)
  *var_varargs = call10351;
  if (call10351 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 3196
  setline(3196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3193
  setline(3193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool10354 = alloc_Boolean(0);
// compiled identifier node returning bool10354 (depth = 4)
  int op_slot_right_10353 = gc_frame_newslot(bool10354);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dtype (depth = 4)
  int op_slot_left_10353 = gc_frame_newslot(*var_dtype);
  params[0] = bool10354;
  partcv[0] = 1;
  Object opresult10356 = callmethod(*var_dtype, "==", 1, partcv, params);
// compiled op node returning opresult10356 (depth = 3)
  Object if10352 = done;
  if (istrue(opresult10356)) {
// Begin line 3194
  setline(3194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10357 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit10358 == NULL) {
    strlit10358 = alloc_String("Done");
    gc_root(strlit10358);
  }
// compiled string node returning strlit10358 (depth = 5)
  gc_frame_newslot(strlit10358);
// starting to compile identifier node (depth = 5)
  Object bool10359 = alloc_Boolean(0);
// compiled identifier node returning bool10359 (depth = 5)
  gc_frame_newslot(bool10359);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10360 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call10361 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe10360);
// compiled call node returning call10361 (depth = 6)
// compiled member node returning call10361 (depth = 5)
  params[0] = strlit10358;
  params[1] = bool10359;
  partcv[0] = 2;
  Object call10362 = callmethod(call10361, "new",
    1, partcv, params);
  gc_frame_end(callframe10357);
// compiled call node returning call10362 (depth = 4)
  *var_dtype = call10362;
  if (call10362 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if10352 = done;
  } else {
  }
// compiled if node returning if10352 (depth = 2)
// Begin line 3196
  setline(3196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe10364 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10365 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_meth (depth = 6)
  partcv[0] = 0;
  Object call10366 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe10365);
// compiled call node returning call10366 (depth = 5)
// compiled member node returning call10366 (depth = 4)
  gc_frame_newslot(call10366);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_signature (depth = 4)
  gc_frame_newslot(*var_signature);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dtype (depth = 4)
  gc_frame_newslot(*var_dtype);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10367 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  partcv[0] = 0;
  Object call10368 = callmethod(*var_ast, "methodTypeNode",
    1, partcv, params);
  gc_frame_end(callframe10367);
// compiled call node returning call10368 (depth = 5)
// compiled member node returning call10368 (depth = 4)
  params[0] = call10366;
  params[1] = *var_signature;
  params[2] = *var_dtype;
  partcv[0] = 3;
  Object call10369 = callmethod(call10368, "new",
    1, partcv, params);
  gc_frame_end(callframe10364);
// compiled call node returning call10369 (depth = 3)
  *var_o = call10369;
  if (call10369 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 3198
  setline(3198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 3196
  setline(3196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10370 = gc_frame_new();
// Begin line 3197
  setline(3197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10371 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_m (depth = 6)
  partcv[0] = 0;
  Object call10372 = callmethod(*var_m, "generics",
    1, partcv, params);
  gc_frame_end(callframe10371);
// compiled call node returning call10372 (depth = 5)
// compiled member node returning call10372 (depth = 4)
  gc_frame_newslot(call10372);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = call10372;
  partcv[0] = 1;
  Object call10373 = callmethod(*var_o, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe10370);
// compiled call node returning call10373 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 3198
  setline(3198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe10374 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call10375 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe10374);
// compiled call node returning call10375 (depth = 2)
// Begin line 3213
  setline(3213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3199
  setline(3199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10377 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit10378 == NULL) {
    strlit10378 = alloc_String("semicolon");
    gc_root(strlit10378);
  }
// compiled string node returning strlit10378 (depth = 4)
  gc_frame_newslot(strlit10378);
// call case 4: self request
  params[0] = strlit10378;
  partcv[0] = 1;
  Object call10379 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10377);
// compiled call node returning call10379 (depth = 3)
  Object if10376 = done;
  if (istrue(call10379)) {
// Begin line 3200
  setline(3200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10380 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10381 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10380);
// compiled call node returning call10381 (depth = 4)
// compiled member node returning call10381 (depth = 3)
    gc_frame_newslot(call10381);
    if10376 = call10381;
  } else {
// Begin line 3212
  setline(3212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3202
  setline(3202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10383 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe10384 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit10385 == NULL) {
    strlit10385 = alloc_String("rbrace");
    gc_root(strlit10385);
  }
// compiled string node returning strlit10385 (depth = 6)
  gc_frame_newslot(strlit10385);
// call case 4: self request
  params[0] = strlit10385;
  partcv[0] = 1;
  Object call10386 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10384);
// compiled call node returning call10386 (depth = 5)
  partcv[0] = 0;
  Object call10387 = callmethod(call10386, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe10383);
// compiled call node returning call10387 (depth = 4)
  Object if10382 = done;
  if (istrue(call10387)) {
// Begin line 3211
  setline(3211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 3203
  setline(3203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10390 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call10391 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10390);
// compiled call node returning call10391 (depth = 7)
// compiled member node returning call10391 (depth = 6)
  int op_slot_right_10389 = gc_frame_newslot(call10391);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10393 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call10394 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10393);
// compiled call node returning call10394 (depth = 7)
// compiled member node returning call10394 (depth = 6)
  int op_slot_left_10389 = gc_frame_newslot(call10394);
  params[0] = call10391;
  partcv[0] = 1;
  Object opresult10395 = callmethod(call10394, "==", 1, partcv, params);
// compiled op node returning opresult10395 (depth = 5)
  Object if10388 = done;
  if (istrue(opresult10395)) {
// Begin line 3205
  setline(3205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 3204
  setline(3204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10396 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe10397 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call10398 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10397);
// compiled call node returning call10398 (depth = 9)
// compiled member node returning call10398 (depth = 8)
  partcv[0] = 0;
  Object call10399 = callmethod(call10398, "new",
    1, partcv, params);
  gc_frame_end(callframe10396);
// compiled call node returning call10399 (depth = 7)
// compiled member node returning call10399 (depth = 6)
  *var_suggestion = call10399;
  if (call10399 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 3206
  setline(3206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 3205
  setline(3205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10401 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call10402 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10401);
// compiled call node returning call10402 (depth = 8)
// compiled member node returning call10402 (depth = 7)
  int op_slot_right_10400 = gc_frame_newslot(call10402);
// starting to compile call node (depth = 7)
  int callframe10404 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num10405 = alloc_Float64(1);
// compiled num node returning num10405 (depth = 8)
  gc_frame_newslot(num10405);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num10407 = alloc_Float64(1);
// compiled num node returning num10407 (depth = 9)
  int op_slot_right_10406 = gc_frame_newslot(num10407);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe10409 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call10410 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10409);
// compiled call node returning call10410 (depth = 10)
// compiled member node returning call10410 (depth = 9)
  int op_slot_left_10406 = gc_frame_newslot(call10410);
  params[0] = num10407;
  partcv[0] = 1;
  Object diff10411 = callmethod(call10410, "-", 1, partcv, params);
// compiled op node returning diff10411 (depth = 8)
  gc_frame_newslot(diff10411);
// call case 6: other member request
// starting to compile index node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe10412 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_util (depth = 11)
  partcv[0] = 0;
  Object call10413 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe10412);
// compiled call node returning call10413 (depth = 10)
// compiled member node returning call10413 (depth = 9)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe10414 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call10415 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10414);
// compiled call node returning call10415 (depth = 10)
// compiled member node returning call10415 (depth = 9)
  params[0] = call10415;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres10416 = callmethod(call10413, "[]", 1, partcv, params);
// compiled index node returning idxres10416 (depth = 8)
  params[0] = num10405;
  params[1] = diff10411;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10417 = callmethod(idxres10416, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe10404);
// compiled call node returning call10417 (depth = 7)
  int op_slot_left_10400 = gc_frame_newslot(call10417);
  params[0] = call10402;
  partcv[0] = 1;
  Object opresult10418 = callmethod(call10417, "++", 1, partcv, params);
// compiled op node returning opresult10418 (depth = 6)
  *var_newLine = opresult10418;
  if (opresult10418 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 3206
  setline(3206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10419 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num10421 = alloc_Float64(0.1);
// compiled num node returning num10421 (depth = 7)
  int op_slot_right_10420 = gc_frame_newslot(num10421);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10423 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call10424 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10423);
// compiled call node returning call10424 (depth = 8)
// compiled member node returning call10424 (depth = 7)
  int op_slot_left_10420 = gc_frame_newslot(call10424);
  params[0] = num10421;
  partcv[0] = 1;
  Object sum10425 = callmethod(call10424, "+", 1, partcv, params);
// compiled op node returning sum10425 (depth = 6)
  gc_frame_newslot(sum10425);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newLine (depth = 6)
  gc_frame_newslot(*var_newLine);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = sum10425;
  params[1] = *var_newLine;
  partcv[0] = 2;
  Object call10426 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe10419);
// compiled call node returning call10426 (depth = 5)
// Begin line 3207
  setline(3207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10427 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 6)
  Object bool10428 = alloc_Boolean(1);
// compiled identifier node returning bool10428 (depth = 6)
  gc_frame_newslot(bool10428);
// starting to compile identifier node (depth = 6)
  Object bool10429 = alloc_Boolean(1);
// compiled identifier node returning bool10429 (depth = 6)
  gc_frame_newslot(bool10429);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = bool10428;
  params[2] = bool10429;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call10430 = callmethod(*var_suggestion, "deleteToken()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe10427);
// compiled call node returning call10430 (depth = 5)
// Begin line 3208
  setline(3208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10431 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit10432 == NULL) {
    strlit10432 = alloc_String("Methods in a type literal must be on separate lines, or separated by semicolons.");
    gc_root(strlit10432);
  }
// compiled string node returning strlit10432 (depth = 6)
  gc_frame_newslot(strlit10432);
// Begin line 3209
  setline(3209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10433 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call10434 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10433);
// compiled call node returning call10434 (depth = 7)
// compiled member node returning call10434 (depth = 6)
  gc_frame_newslot(call10434);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10435 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call10436 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10435);
// compiled call node returning call10436 (depth = 7)
// compiled member node returning call10436 (depth = 6)
  gc_frame_newslot(call10436);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 3208
  setline(3208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit10432;
  params[1] = call10434;
  params[2] = call10436;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10437 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10431);
// compiled call node returning call10437 (depth = 5)
    gc_frame_newslot(call10437);
    if10388 = call10437;
  } else {
  }
// compiled if node returning if10388 (depth = 4)
    gc_frame_newslot(if10388);
    if10382 = if10388;
  } else {
  }
// compiled if node returning if10382 (depth = 3)
    gc_frame_newslot(if10382);
    if10376 = if10382;
  }
// compiled if node returning if10376 (depth = 2)
  gc_frame_end(frame);
  return if10376;
}
Object meth_parser__apply10442(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10444 == NULL) {
    strlit10444 = alloc_String("type");
    gc_root(strlit10444);
  }
// compiled string node returning strlit10444 (depth = 6)
  int op_slot_right_10443 = gc_frame_newslot(strlit10444);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10446 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call10447 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10446);
// compiled call node returning call10447 (depth = 7)
// compiled member node returning call10447 (depth = 6)
  int op_slot_left_10443 = gc_frame_newslot(call10447);
  params[0] = strlit10444;
  partcv[0] = 1;
  Object opresult10448 = callmethod(call10447, "==", 1, partcv, params);
// compiled op node returning opresult10448 (depth = 5)
  gc_frame_end(frame);
  return opresult10448;
}
Object meth_parser__apply10491(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10492 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 7)
  int callframe10493 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit10494 == NULL) {
    strlit10494 = alloc_String("rbrace");
    gc_root(strlit10494);
  }
// compiled string node returning strlit10494 (depth = 8)
  gc_frame_newslot(strlit10494);
// call case 4: self request
  params[0] = strlit10494;
  partcv[0] = 1;
  Object call10495 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10493);
// compiled call node returning call10495 (depth = 7)
  partcv[0] = 0;
  Object call10496 = callmethod(call10495, "not",
    1, partcv, params);
  gc_frame_end(callframe10492);
// compiled call node returning call10496 (depth = 6)
// compiled member node returning call10496 (depth = 5)
  gc_frame_end(frame);
  return call10496;
}
Object meth_parser__apply10503(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit10505 == NULL) {
    strlit10505 = alloc_String("type");
    gc_root(strlit10505);
  }
// compiled string node returning strlit10505 (depth = 9)
  int op_slot_right_10504 = gc_frame_newslot(strlit10505);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe10507 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call10508 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10507);
// compiled call node returning call10508 (depth = 10)
// compiled member node returning call10508 (depth = 9)
  int op_slot_left_10504 = gc_frame_newslot(call10508);
  params[0] = strlit10505;
  partcv[0] = 1;
  Object opresult10509 = callmethod(call10508, "==", 1, partcv, params);
// compiled op node returning opresult10509 (depth = 8)
  gc_frame_end(frame);
  return opresult10509;
}
Object meth_parser__apply10499(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_types = getfromclosure(closure, 2);
  Object *var_meths = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3241
  setline(3241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 3234
  setline(3234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe10501 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block10502 = alloc_Block(NULL, NULL, "parser", 3234);
  gc_frame_newslot(block10502);
// method _apply
  block_savedest(block10502);
  Object closure10503 = createclosure(2, "_apply");
  setclosureframe(closure10503, stackframe);
  addtoclosure(closure10503, var_sym);
  addtoclosure(closure10503, selfslot);
  struct UserObject *uo10503 = (struct UserObject*)block10502;
  uo10503->data[0] = (Object)closure10503;
  Method *meth_meth_parser__apply10503 = addmethod2pos(block10502, "_apply", &meth_parser__apply10503, 0);
  int argcv_meth_parser__apply10503[] = {0};
  meth_meth_parser__apply10503->type = alloc_MethodType(1, argcv_meth_parser__apply10503);
  meth_meth_parser__apply10503->definitionModule = modulename;
  meth_meth_parser__apply10503->definitionLine = 3233;
// compiled block node returning block10502 (depth = 7)
  gc_frame_newslot(block10502);
// call case 6: other member request
// starting to compile call node (depth = 7)
  int callframe10511 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit10512 == NULL) {
    strlit10512 = alloc_String("keyword");
    gc_root(strlit10512);
  }
// compiled string node returning strlit10512 (depth = 8)
  gc_frame_newslot(strlit10512);
// call case 4: self request
  params[0] = strlit10512;
  partcv[0] = 1;
  Object call10513 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10511);
// compiled call node returning call10513 (depth = 7)
  params[0] = block10502;
  partcv[0] = 1;
  Object call10514 = callmethod(call10513, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe10501);
// compiled call node returning call10514 (depth = 6)
  Object if10500 = done;
  if (istrue(call10514)) {
// Begin line 3235
  setline(3235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10515 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10516 = callmethodflags(self, "typedec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10515);
// compiled call node returning call10516 (depth = 7)
// compiled member node returning call10516 (depth = 6)
// Begin line 3236
  setline(3236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe10517 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10518 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  partcv[0] = 0;
  Object call10519 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10518);
// compiled call node returning call10519 (depth = 8)
// compiled member node returning call10519 (depth = 7)
  gc_frame_newslot(call10519);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_types (depth = 7)
  params[0] = call10519;
  partcv[0] = 1;
  Object call10520 = callmethod(*var_types, "push",
    1, partcv, params);
  gc_frame_end(callframe10517);
// compiled call node returning call10520 (depth = 6)
    gc_frame_newslot(call10520);
    if10500 = call10520;
  } else {
// Begin line 3238
  setline(3238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10521 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10522 = callmethodflags(self, "domethodtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10521);
// compiled call node returning call10522 (depth = 7)
// compiled member node returning call10522 (depth = 6)
// Begin line 3239
  setline(3239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe10523 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10524 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  partcv[0] = 0;
  Object call10525 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10524);
// compiled call node returning call10525 (depth = 8)
// compiled member node returning call10525 (depth = 7)
  gc_frame_newslot(call10525);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_meths (depth = 7)
  params[0] = call10525;
  partcv[0] = 1;
  Object call10526 = callmethod(*var_meths, "push",
    1, partcv, params);
  gc_frame_end(callframe10523);
// compiled call node returning call10526 (depth = 6)
    gc_frame_newslot(call10526);
    if10500 = call10526;
  }
// compiled if node returning if10500 (depth = 5)
  gc_frame_end(frame);
  return if10500;
}
Object meth_parser_dotypeLiteral10438(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 61, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dotypeLiteral");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_done = getfromclosure(closure, 2);
  Object *var_auto_count = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dotypeLiteral (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for dotypeLiteral");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_meths = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "meths");
  Object *var_types = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "types");
  Object *var_mc = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "mc");
  Object *var_t = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "t");
// Begin line 3227
  setline(3227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3217
  setline(3217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10440 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block10441 = alloc_Block(NULL, NULL, "parser", 3217);
  gc_frame_newslot(block10441);
// method _apply
  block_savedest(block10441);
  Object closure10442 = createclosure(2, "_apply");
  setclosureframe(closure10442, stackframe);
  addtoclosure(closure10442, var_sym);
  addtoclosure(closure10442, selfslot);
  struct UserObject *uo10442 = (struct UserObject*)block10441;
  uo10442->data[0] = (Object)closure10442;
  Method *meth_meth_parser__apply10442 = addmethod2pos(block10441, "_apply", &meth_parser__apply10442, 0);
  int argcv_meth_parser__apply10442[] = {0};
  meth_meth_parser__apply10442->type = alloc_MethodType(1, argcv_meth_parser__apply10442);
  meth_meth_parser__apply10442->definitionModule = modulename;
  meth_meth_parser__apply10442->definitionLine = 3209;
// compiled block node returning block10441 (depth = 4)
  gc_frame_newslot(block10441);
// call case 6: other member request
// starting to compile call node (depth = 4)
  int callframe10450 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit10451 == NULL) {
    strlit10451 = alloc_String("keyword");
    gc_root(strlit10451);
  }
// compiled string node returning strlit10451 (depth = 5)
  gc_frame_newslot(strlit10451);
// call case 4: self request
  params[0] = strlit10451;
  partcv[0] = 1;
  Object call10452 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10450);
// compiled call node returning call10452 (depth = 4)
  params[0] = block10441;
  partcv[0] = 1;
  Object call10453 = callmethod(call10452, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe10440);
// compiled call node returning call10453 (depth = 3)
  Object if10439 = done;
  if (istrue(call10453)) {
// Begin line 3218
  setline(3218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10454 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10455 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10454);
// compiled call node returning call10455 (depth = 4)
// compiled member node returning call10455 (depth = 3)
// Begin line 3226
  setline(3226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3219
  setline(3219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10457 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe10458 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit10459 == NULL) {
    strlit10459 = alloc_String("lbrace");
    gc_root(strlit10459);
  }
// compiled string node returning strlit10459 (depth = 6)
  gc_frame_newslot(strlit10459);
// call case 4: self request
  params[0] = strlit10459;
  partcv[0] = 1;
  Object call10460 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10458);
// compiled call node returning call10460 (depth = 5)
  partcv[0] = 0;
  Object call10461 = callmethod(call10460, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe10457);
// compiled call node returning call10461 (depth = 4)
  Object if10456 = done;
  if (istrue(call10461)) {
// Begin line 3221
  setline(3221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 3220
  setline(3220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10462 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10463 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call10464 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10463);
// compiled call node returning call10464 (depth = 8)
// compiled member node returning call10464 (depth = 7)
  partcv[0] = 0;
  Object call10465 = callmethod(call10464, "new",
    1, partcv, params);
  gc_frame_end(callframe10462);
// compiled call node returning call10465 (depth = 6)
// compiled member node returning call10465 (depth = 5)
  *var_suggestion = call10465;
  if (call10465 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 3221
  setline(3221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10466 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  gc_frame_newslot(*var_sym);
// starting to compile string node (depth = 5)
  if (strlit10467 == NULL) {
    strlit10467 = alloc_String("{");
    gc_root(strlit10467);
  }
// compiled string node returning strlit10467 (depth = 5)
  gc_frame_newslot(strlit10467);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = *var_sym;
  params[1] = strlit10467;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10468 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe10466);
// compiled call node returning call10468 (depth = 4)
// Begin line 3222
  setline(3222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10469 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit10470 == NULL) {
    strlit10470 = alloc_String("type literals must open with a brace.");
    gc_root(strlit10470);
  }
// compiled string node returning strlit10470 (depth = 5)
  gc_frame_newslot(strlit10470);
// Begin line 3223
  setline(3223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10471 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call10472 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10471);
// compiled call node returning call10472 (depth = 6)
// compiled member node returning call10472 (depth = 5)
  gc_frame_newslot(call10472);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10473 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call10474 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10473);
// compiled call node returning call10474 (depth = 6)
// compiled member node returning call10474 (depth = 5)
  gc_frame_newslot(call10474);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 3222
  setline(3222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit10470;
  params[1] = call10472;
  params[2] = call10474;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10475 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10469);
// compiled call node returning call10475 (depth = 4)
// Begin line 3225
  setline(3225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_done (depth = 5)
  return *var_done;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if10456 = undefined;
  } else {
  }
// compiled if node returning if10456 (depth = 3)
    gc_frame_newslot(if10456);
    if10439 = if10456;
  } else {
  }
// compiled if node returning if10439 (depth = 2)
// Begin line 3246
  setline(3246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3227
  setline(3227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10477 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit10478 == NULL) {
    strlit10478 = alloc_String("lbrace");
    gc_root(strlit10478);
  }
// compiled string node returning strlit10478 (depth = 4)
  gc_frame_newslot(strlit10478);
// call case 4: self request
  params[0] = strlit10478;
  partcv[0] = 1;
  Object call10479 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10477);
// compiled call node returning call10479 (depth = 3)
  Object if10476 = done;
  if (istrue(call10479)) {
// Begin line 3229
  setline(3229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 3228
  setline(3228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array10480 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array10480 (depth = 4)
  *var_meths = array10480;
  if (array10480 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3230
  setline(3230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 3229
  setline(3229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array10481 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array10481 (depth = 4)
  *var_types = array10481;
  if (array10481 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3231
  setline(3231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 3230
  setline(3230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_auto_count (depth = 4)
  *var_mc = *var_auto_count;
  if (*var_auto_count == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3232
  setline(3232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// Begin line 3231
  setline(3231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num10483 = alloc_Float64(1);
// compiled num node returning num10483 (depth = 5)
  int op_slot_right_10482 = gc_frame_newslot(num10483);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_auto_count (depth = 5)
  int op_slot_left_10482 = gc_frame_newslot(*var_auto_count);
  params[0] = num10483;
  partcv[0] = 1;
  Object sum10485 = callmethod(*var_auto_count, "+", 1, partcv, params);
// compiled op node returning sum10485 (depth = 4)
  *var_auto_count = sum10485;
  if (sum10485 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 3232
  setline(3232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10487 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10488 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10487);
// compiled call node returning call10488 (depth = 4)
// compiled member node returning call10488 (depth = 3)
// Begin line 3233
  setline(3233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10489 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block10490 = alloc_Block(NULL, NULL, "parser", 3233);
  gc_frame_newslot(block10490);
// method _apply
  block_savedest(block10490);
  Object closure10491 = createclosure(1, "_apply");
  setclosureframe(closure10491, stackframe);
  addtoclosure(closure10491, selfslot);
  struct UserObject *uo10491 = (struct UserObject*)block10490;
  uo10491->data[0] = (Object)closure10491;
  Method *meth_meth_parser__apply10491 = addmethod2pos(block10490, "_apply", &meth_parser__apply10491, 0);
  int argcv_meth_parser__apply10491[] = {0};
  meth_meth_parser__apply10491->type = alloc_MethodType(1, argcv_meth_parser__apply10491);
  meth_meth_parser__apply10491->definitionModule = modulename;
  meth_meth_parser__apply10491->definitionLine = 3232;
// compiled block node returning block10490 (depth = 4)
  gc_frame_newslot(block10490);
// starting to compile block node (depth = 4)
  Object block10498 = alloc_Block(NULL, NULL, "parser", 3233);
  gc_frame_newslot(block10498);
// method _apply
  block_savedest(block10498);
  Object closure10499 = createclosure(5, "_apply");
  setclosureframe(closure10499, stackframe);
  addtoclosure(closure10499, var_sym);
  addtoclosure(closure10499, var_values);
  addtoclosure(closure10499, var_types);
  addtoclosure(closure10499, var_meths);
  addtoclosure(closure10499, selfslot);
  struct UserObject *uo10499 = (struct UserObject*)block10498;
  uo10499->data[0] = (Object)closure10499;
  Method *meth_meth_parser__apply10499 = addmethod2pos(block10498, "_apply", &meth_parser__apply10499, 0);
  int argcv_meth_parser__apply10499[] = {0};
  meth_meth_parser__apply10499->type = alloc_MethodType(1, argcv_meth_parser__apply10499);
  meth_meth_parser__apply10499->definitionModule = modulename;
  meth_meth_parser__apply10499->definitionLine = 3233;
// compiled block node returning block10498 (depth = 4)
  gc_frame_newslot(block10498);
// call case 5: prelude request
  params[0] = block10490;
  params[1] = block10498;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10528 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10489);
// compiled call node returning call10528 (depth = 3)
// Begin line 3242
  setline(3242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10529 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10530 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10529);
// compiled call node returning call10530 (depth = 4)
// compiled member node returning call10530 (depth = 3)
// Begin line 3243
  setline(3243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10531 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meths (depth = 5)
  gc_frame_newslot(*var_meths);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_types (depth = 5)
  gc_frame_newslot(*var_types);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10532 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call10533 = callmethod(*var_ast, "typeLiteralNode",
    1, partcv, params);
  gc_frame_end(callframe10532);
// compiled call node returning call10533 (depth = 6)
// compiled member node returning call10533 (depth = 5)
  params[0] = *var_meths;
  params[1] = *var_types;
  partcv[0] = 2;
  Object call10534 = callmethod(call10533, "new",
    1, partcv, params);
  gc_frame_end(callframe10531);
// compiled call node returning call10534 (depth = 4)
  *var_t = call10534;
  if (call10534 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3244
  setline(3244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10535 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_t (depth = 4)
  gc_frame_newslot(*var_t);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call10536 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe10535);
// compiled call node returning call10536 (depth = 3)
    gc_frame_newslot(call10536);
    if10476 = call10536;
  } else {
  }
// compiled if node returning if10476 (depth = 2)
  gc_frame_end(frame);
  return if10476;
}
Object meth_parser__apply10615(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 3266
  setline(3266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe10616 = gc_frame_new();
// Begin line 3269
  setline(3269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool10617 = alloc_Boolean(1);
// compiled identifier node returning bool10617 (depth = 7)
  gc_frame_newslot(bool10617);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  params[0] = bool10617;
  partcv[0] = 1;
  Object call10618 = callmethod(*var_each, "isBindingOccurrence:=",
    1, partcv, params);
  gc_frame_end(callframe10616);
// compiled call node returning call10618 (depth = 6)
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply10645(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10647 == NULL) {
    strlit10647 = alloc_String("lbrace");
    gc_root(strlit10647);
  }
// compiled string node returning strlit10647 (depth = 8)
  int op_slot_right_10646 = gc_frame_newslot(strlit10647);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe10649 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_t (depth = 10)
  partcv[0] = 0;
  Object call10650 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe10649);
// compiled call node returning call10650 (depth = 9)
// compiled member node returning call10650 (depth = 8)
  int op_slot_left_10646 = gc_frame_newslot(call10650);
  params[0] = strlit10647;
  partcv[0] = 1;
  Object opresult10651 = callmethod(call10650, "==", 1, partcv, params);
// compiled op node returning opresult10651 (depth = 7)
  gc_frame_end(frame);
  return opresult10651;
}
Object meth_parser__apply10657(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_nextTok = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_10658 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_10658 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult10660 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult10660 (depth = 7)
  gc_frame_end(frame);
  return opresult10660;
}
Object meth_parser_typedec10537(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 62, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(10, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typedec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_noBlocks = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for typedec (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for typedec");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "line");
  Object *var_pos = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "pos");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_p = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "p");
  Object *var_gens = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "gens");
  Object *var_anns = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "anns");
  Object *var_nextTok = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "nextTok");
  Object *var_nt = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "nt");
// Begin line 3296
  setline(3296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3250
  setline(3250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10541 == NULL) {
    strlit10541 = alloc_String("type");
    gc_root(strlit10541);
  }
// compiled string node returning strlit10541 (depth = 5)
  int op_slot_right_10540 = gc_frame_newslot(strlit10541);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10543 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call10544 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10543);
// compiled call node returning call10544 (depth = 6)
// compiled member node returning call10544 (depth = 5)
  int op_slot_left_10540 = gc_frame_newslot(call10544);
  params[0] = strlit10541;
  partcv[0] = 1;
  Object opresult10545 = callmethod(call10544, "==", 1, partcv, params);
// compiled op node returning opresult10545 (depth = 4)
  int op_slot_right_10539 = gc_frame_newslot(opresult10545);
// starting to compile call node (depth = 4)
  int callframe10547 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit10548 == NULL) {
    strlit10548 = alloc_String("keyword");
    gc_root(strlit10548);
  }
// compiled string node returning strlit10548 (depth = 5)
  gc_frame_newslot(strlit10548);
// call case 4: self request
  params[0] = strlit10548;
  partcv[0] = 1;
  Object call10549 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10547);
// compiled call node returning call10549 (depth = 4)
  int op_slot_left_10539 = gc_frame_newslot(call10549);
  params[0] = opresult10545;
  partcv[0] = 1;
  Object opresult10550 = callmethod(call10549, "&&", 1, partcv, params);
// compiled op node returning opresult10550 (depth = 3)
  Object if10538 = done;
  if (istrue(opresult10550)) {
// Begin line 3252
  setline(3252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 3251
  setline(3251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10551 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call10552 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10551);
// compiled call node returning call10552 (depth = 5)
// compiled member node returning call10552 (depth = 4)
  *var_line = call10552;
  if (call10552 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3253
  setline(3253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 3252
  setline(3252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10553 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call10554 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10553);
// compiled call node returning call10554 (depth = 5)
// compiled member node returning call10554 (depth = 4)
  *var_pos = call10554;
  if (call10554 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3253
  setline(3253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10555 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10556 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10555);
// compiled call node returning call10556 (depth = 4)
// compiled member node returning call10556 (depth = 3)
// Begin line 3260
  setline(3260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3254
  setline(3254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10559 == NULL) {
    strlit10559 = alloc_String("identifier");
    gc_root(strlit10559);
  }
// compiled string node returning strlit10559 (depth = 5)
  int op_slot_right_10558 = gc_frame_newslot(strlit10559);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10561 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call10562 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10561);
// compiled call node returning call10562 (depth = 6)
// compiled member node returning call10562 (depth = 5)
  int op_slot_left_10558 = gc_frame_newslot(call10562);
  params[0] = strlit10559;
  partcv[0] = 1;
  Object opresult10563 = callmethod(call10562, "!=", 1, partcv, params);
// compiled op node returning opresult10563 (depth = 4)
  Object if10557 = done;
  if (istrue(opresult10563)) {
// Begin line 3256
  setline(3256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 3255
  setline(3255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10564 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10565 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call10566 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10565);
// compiled call node returning call10566 (depth = 8)
// compiled member node returning call10566 (depth = 7)
  partcv[0] = 0;
  Object call10567 = callmethod(call10566, "new",
    1, partcv, params);
  gc_frame_end(callframe10564);
// compiled call node returning call10567 (depth = 6)
// compiled member node returning call10567 (depth = 5)
  *var_suggestion = call10567;
  if (call10567 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 3256
  setline(3256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10568 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit10569 == NULL) {
    strlit10569 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit10569);
  }
// compiled string node returning strlit10569 (depth = 5)
  gc_frame_newslot(strlit10569);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit10569;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10570 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10568);
// compiled call node returning call10570 (depth = 4)
// Begin line 3257
  setline(3257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10571 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit10572 == NULL) {
    strlit10572 = alloc_String("A type declaration must have a name after the 'type'.");
    gc_root(strlit10572);
  }
// compiled string node returning strlit10572 (depth = 5)
  gc_frame_newslot(strlit10572);
// Begin line 3258
  setline(3258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10573 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call10574 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10573);
// compiled call node returning call10574 (depth = 6)
// compiled member node returning call10574 (depth = 5)
  gc_frame_newslot(call10574);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num10576 = alloc_Float64(1);
// compiled num node returning num10576 (depth = 6)
  int op_slot_right_10575 = gc_frame_newslot(num10576);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10579 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call10580 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe10579);
// compiled call node returning call10580 (depth = 8)
// compiled member node returning call10580 (depth = 7)
  int op_slot_right_10578 = gc_frame_newslot(call10580);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10582 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call10583 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10582);
// compiled call node returning call10583 (depth = 8)
// compiled member node returning call10583 (depth = 7)
  int op_slot_left_10578 = gc_frame_newslot(call10583);
  params[0] = call10580;
  partcv[0] = 1;
  Object sum10584 = callmethod(call10583, "+", 1, partcv, params);
// compiled op node returning sum10584 (depth = 6)
  int op_slot_left_10575 = gc_frame_newslot(sum10584);
  params[0] = num10576;
  partcv[0] = 1;
  Object sum10585 = callmethod(sum10584, "+", 1, partcv, params);
// compiled op node returning sum10585 (depth = 5)
  gc_frame_newslot(sum10585);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 3257
  setline(3257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit10572;
  params[1] = call10574;
  params[2] = sum10585;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10586 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10571);
// compiled call node returning call10586 (depth = 4)
    gc_frame_newslot(call10586);
    if10557 = call10586;
  } else {
  }
// compiled if node returning if10557 (depth = 3)
// Begin line 3260
  setline(3260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10587 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10588 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10587);
// compiled call node returning call10588 (depth = 4)
// compiled member node returning call10588 (depth = 3)
// Begin line 3261
  setline(3261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10589 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10590 = callmethodflags(self, "generic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10589);
// compiled call node returning call10590 (depth = 4)
// compiled member node returning call10590 (depth = 3)
// Begin line 3263
  setline(3263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 3262
  setline(3262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10591 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  partcv[0] = 0;
  Object call10592 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10591);
// compiled call node returning call10592 (depth = 5)
// compiled member node returning call10592 (depth = 4)
  *var_p = call10592;
  if (call10592 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 3264
  setline(3264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// Begin line 3263
  setline(3263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10593 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10594 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call10595 = callmethodflags(prelude, "sequence", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10594);
// compiled call node returning call10595 (depth = 7)
// compiled member node returning call10595 (depth = 6)
  partcv[0] = 0;
  Object call10596 = callmethod(call10595, "empty",
    1, partcv, params);
  gc_frame_end(callframe10593);
// compiled call node returning call10596 (depth = 5)
// compiled member node returning call10596 (depth = 4)
  *var_gens = call10596;
  if (call10596 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 3268
  setline(3268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3264
  setline(3264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10599 == NULL) {
    strlit10599 = alloc_String("generic");
    gc_root(strlit10599);
  }
// compiled string node returning strlit10599 (depth = 5)
  int op_slot_right_10598 = gc_frame_newslot(strlit10599);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10601 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_p (depth = 7)
  partcv[0] = 0;
  Object call10602 = callmethod(*var_p, "kind",
    1, partcv, params);
  gc_frame_end(callframe10601);
// compiled call node returning call10602 (depth = 6)
// compiled member node returning call10602 (depth = 5)
  int op_slot_left_10598 = gc_frame_newslot(call10602);
  params[0] = strlit10599;
  partcv[0] = 1;
  Object opresult10603 = callmethod(call10602, "==", 1, partcv, params);
// compiled op node returning opresult10603 (depth = 4)
  Object if10597 = done;
  if (istrue(opresult10603)) {
// Begin line 3266
  setline(3266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 3265
  setline(3265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10604 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_p (depth = 7)
  partcv[0] = 0;
  Object call10605 = callmethod(*var_p, "params",
    1, partcv, params);
  gc_frame_end(callframe10604);
// compiled call node returning call10605 (depth = 6)
// compiled member node returning call10605 (depth = 5)
  *var_gens = call10605;
  if (call10605 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 3267
  setline(3267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 3266
  setline(3266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10607 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_p (depth = 7)
  partcv[0] = 0;
  Object call10608 = callmethod(*var_p, "value",
    1, partcv, params);
  gc_frame_end(callframe10607);
// compiled call node returning call10608 (depth = 6)
// compiled member node returning call10608 (depth = 5)
  *var_p = call10608;
  if (call10608 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if10597 = done;
  } else {
  }
// compiled if node returning if10597 (depth = 3)
// Begin line 3269
  setline(3269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 3266
  setline(3266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10610 = gc_frame_new();
// Begin line 3268
  setline(3268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool10611 = alloc_Boolean(1);
// compiled identifier node returning bool10611 (depth = 5)
  gc_frame_newslot(bool10611);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  params[0] = bool10611;
  partcv[0] = 1;
  Object call10612 = callmethod(*var_p, "isBindingOccurrence:=",
    1, partcv, params);
  gc_frame_end(callframe10610);
// compiled call node returning call10612 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 3269
  setline(3269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10613 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block10614 = alloc_Block(NULL, NULL, "parser", 3269);
  gc_frame_newslot(block10614);
// method _apply
  block_savedest(block10614);
  Object closure10615 = createclosure(1, "_apply");
  setclosureframe(closure10615, stackframe);
  addtoclosure(closure10615, selfslot);
  struct UserObject *uo10615 = (struct UserObject*)block10614;
  uo10615->data[0] = (Object)closure10615;
  Method *meth_meth_parser__apply10615 = addmethod2pos(block10614, "_apply", &meth_parser__apply10615, 0);
  int argcv_meth_parser__apply10615[] = {1};
  meth_meth_parser__apply10615->type = alloc_MethodType(1, argcv_meth_parser__apply10615);
  meth_meth_parser__apply10615->definitionModule = modulename;
  meth_meth_parser__apply10615->definitionLine = 3266;
// compiled block node returning block10614 (depth = 4)
  gc_frame_newslot(block10614);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_gens (depth = 4)
  params[0] = block10614;
  partcv[0] = 1;
  Object call10620 = callmethod(*var_gens, "do",
    1, partcv, params);
  gc_frame_end(callframe10613);
// compiled call node returning call10620 (depth = 3)
// Begin line 3271
  setline(3271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 3270
  setline(3270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10621 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10622 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10621);
// compiled call node returning call10622 (depth = 5)
// compiled member node returning call10622 (depth = 4)
  *var_anns = call10622;
  if (call10622 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3282
  setline(3282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3271
  setline(3271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10626 == NULL) {
    strlit10626 = alloc_String("=");
    gc_root(strlit10626);
  }
// compiled string node returning strlit10626 (depth = 6)
  int op_slot_right_10625 = gc_frame_newslot(strlit10626);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10628 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call10629 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10628);
// compiled call node returning call10629 (depth = 7)
// compiled member node returning call10629 (depth = 6)
  int op_slot_left_10625 = gc_frame_newslot(call10629);
  params[0] = strlit10626;
  partcv[0] = 1;
  Object opresult10630 = callmethod(call10629, "!=", 1, partcv, params);
// compiled op node returning opresult10630 (depth = 5)
  int op_slot_right_10624 = gc_frame_newslot(opresult10630);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10633 == NULL) {
    strlit10633 = alloc_String("op");
    gc_root(strlit10633);
  }
// compiled string node returning strlit10633 (depth = 6)
  int op_slot_right_10632 = gc_frame_newslot(strlit10633);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10635 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call10636 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10635);
// compiled call node returning call10636 (depth = 7)
// compiled member node returning call10636 (depth = 6)
  int op_slot_left_10632 = gc_frame_newslot(call10636);
  params[0] = strlit10633;
  partcv[0] = 1;
  Object opresult10637 = callmethod(call10636, "!=", 1, partcv, params);
// compiled op node returning opresult10637 (depth = 5)
  int op_slot_left_10624 = gc_frame_newslot(opresult10637);
  params[0] = opresult10630;
  partcv[0] = 1;
  Object opresult10638 = callmethod(opresult10637, "||", 1, partcv, params);
// compiled op node returning opresult10638 (depth = 4)
  Object if10623 = done;
  if (istrue(opresult10638)) {
// Begin line 3273
  setline(3273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 3272
  setline(3272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10639 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10640 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call10641 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10640);
// compiled call node returning call10641 (depth = 8)
// compiled member node returning call10641 (depth = 7)
  partcv[0] = 0;
  Object call10642 = callmethod(call10641, "new",
    1, partcv, params);
  gc_frame_end(callframe10639);
// compiled call node returning call10642 (depth = 6)
// compiled member node returning call10642 (depth = 5)
  *var_suggestion = call10642;
  if (call10642 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 3273
  setline(3273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10643 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block10644 = alloc_Block(NULL, NULL, "parser", 3273);
  gc_frame_newslot(block10644);
// method _apply
  block_savedest(block10644);
  Object closure10645 = createclosure(1, "_apply");
  setclosureframe(closure10645, stackframe);
  addtoclosure(closure10645, selfslot);
  struct UserObject *uo10645 = (struct UserObject*)block10644;
  uo10645->data[0] = (Object)closure10645;
  Method *meth_meth_parser__apply10645 = addmethod2pos(block10644, "_apply", &meth_parser__apply10645, 0);
  int argcv_meth_parser__apply10645[] = {1};
  meth_meth_parser__apply10645->type = alloc_MethodType(1, argcv_meth_parser__apply10645);
  meth_meth_parser__apply10645->definitionModule = modulename;
  meth_meth_parser__apply10645->definitionLine = 3272;
// compiled block node returning block10644 (depth = 6)
  gc_frame_newslot(block10644);
// call case 4: self request
  params[0] = block10644;
  partcv[0] = 1;
  Object call10653 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10643);
// compiled call node returning call10653 (depth = 5)
  *var_nextTok = call10653;
  if (call10653 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 3279
  setline(3279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 3274
  setline(3274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10655 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block10656 = alloc_Block(NULL, NULL, "parser", 3274);
  gc_frame_newslot(block10656);
// method _apply
  block_savedest(block10656);
  Object closure10657 = createclosure(3, "_apply");
  setclosureframe(closure10657, stackframe);
  addtoclosure(closure10657, var_sym);
  addtoclosure(closure10657, var_nextTok);
  addtoclosure(closure10657, selfslot);
  struct UserObject *uo10657 = (struct UserObject*)block10656;
  uo10657->data[0] = (Object)closure10657;
  Method *meth_meth_parser__apply10657 = addmethod2pos(block10656, "_apply", &meth_parser__apply10657, 0);
  int argcv_meth_parser__apply10657[] = {0};
  meth_meth_parser__apply10657->type = alloc_MethodType(1, argcv_meth_parser__apply10657);
  meth_meth_parser__apply10657->definitionModule = modulename;
  meth_meth_parser__apply10657->definitionLine = 3273;
// compiled block node returning block10656 (depth = 6)
  gc_frame_newslot(block10656);
// call case 6: other member request
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool10663 = alloc_Boolean(0);
// compiled identifier node returning bool10663 (depth = 7)
  int op_slot_right_10662 = gc_frame_newslot(bool10663);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_10662 = gc_frame_newslot(*var_nextTok);
  params[0] = bool10663;
  partcv[0] = 1;
  Object opresult10665 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult10665 (depth = 6)
  params[0] = block10656;
  partcv[0] = 1;
  Object call10666 = callmethod(opresult10665, "orElse",
    1, partcv, params);
  gc_frame_end(callframe10655);
// compiled call node returning call10666 (depth = 5)
  Object if10654 = done;
  if (istrue(call10666)) {
// Begin line 3275
  setline(3275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10667 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit10668 == NULL) {
    strlit10668 = alloc_String(" =");
    gc_root(strlit10668);
  }
// compiled string node returning strlit10668 (depth = 6)
  gc_frame_newslot(strlit10668);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit10668;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10669 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10667);
// compiled call node returning call10669 (depth = 5)
    gc_frame_newslot(call10669);
    if10654 = call10669;
  } else {
// Begin line 3277
  setline(3277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10670 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10671 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  partcv[0] = 0;
  Object call10672 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe10671);
// compiled call node returning call10672 (depth = 7)
// compiled member node returning call10672 (depth = 6)
  gc_frame_newslot(call10672);
// starting to compile string node (depth = 6)
  if (strlit10673 == NULL) {
    strlit10673 = alloc_String("=");
    gc_root(strlit10673);
  }
// compiled string node returning strlit10673 (depth = 6)
  gc_frame_newslot(strlit10673);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = call10672;
  params[2] = strlit10673;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call10674 = callmethod(*var_suggestion, "replaceTokenRange()with",
    2, partcv, params);
  gc_frame_end(callframe10670);
// compiled call node returning call10674 (depth = 5)
    gc_frame_newslot(call10674);
    if10654 = call10674;
  }
// compiled if node returning if10654 (depth = 4)
// Begin line 3279
  setline(3279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10675 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit10676 == NULL) {
    strlit10676 = alloc_String("A type declaration must have a '=' after the type name.");
    gc_root(strlit10676);
  }
// compiled string node returning strlit10676 (depth = 5)
  gc_frame_newslot(strlit10676);
// Begin line 3280
  setline(3280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10677 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  partcv[0] = 0;
  Object call10678 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10677);
// compiled call node returning call10678 (depth = 6)
// compiled member node returning call10678 (depth = 5)
  gc_frame_newslot(call10678);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num10680 = alloc_Float64(1);
// compiled num node returning num10680 (depth = 6)
  int op_slot_right_10679 = gc_frame_newslot(num10680);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10683 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call10684 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe10683);
// compiled call node returning call10684 (depth = 8)
// compiled member node returning call10684 (depth = 7)
  int op_slot_right_10682 = gc_frame_newslot(call10684);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10686 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call10687 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10686);
// compiled call node returning call10687 (depth = 8)
// compiled member node returning call10687 (depth = 7)
  int op_slot_left_10682 = gc_frame_newslot(call10687);
  params[0] = call10684;
  partcv[0] = 1;
  Object sum10688 = callmethod(call10687, "+", 1, partcv, params);
// compiled op node returning sum10688 (depth = 6)
  int op_slot_left_10679 = gc_frame_newslot(sum10688);
  params[0] = num10680;
  partcv[0] = 1;
  Object sum10689 = callmethod(sum10688, "+", 1, partcv, params);
// compiled op node returning sum10689 (depth = 5)
  gc_frame_newslot(sum10689);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 3279
  setline(3279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit10676;
  params[1] = call10678;
  params[2] = sum10689;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10690 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10675);
// compiled call node returning call10690 (depth = 4)
    gc_frame_newslot(call10690);
    if10623 = call10690;
  } else {
  }
// compiled if node returning if10623 (depth = 3)
// Begin line 3282
  setline(3282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10691 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10692 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10691);
// compiled call node returning call10692 (depth = 4)
// compiled member node returning call10692 (depth = 3)
// Begin line 3289
  setline(3289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3284
  setline(3284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10694 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit10695 == NULL) {
    strlit10695 = alloc_String("lbrace");
    gc_root(strlit10695);
  }
// compiled string node returning strlit10695 (depth = 5)
  gc_frame_newslot(strlit10695);
// call case 4: self request
  params[0] = strlit10695;
  partcv[0] = 1;
  Object call10696 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10694);
// compiled call node returning call10696 (depth = 4)
  Object if10693 = done;
  if (istrue(call10696)) {
// Begin line 3285
  setline(3285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10697 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10698 = callmethodflags(self, "dotypeLiteral", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10697);
// compiled call node returning call10698 (depth = 5)
// compiled member node returning call10698 (depth = 4)
    gc_frame_newslot(call10698);
    if10693 = call10698;
  } else {
// Begin line 3287
  setline(3287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10699 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_noBlocks (depth = 5)
  gc_frame_newslot(*var_noBlocks);
// call case 4: self request
  params[0] = *var_noBlocks;
  partcv[0] = 1;
  Object call10700 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10699);
// compiled call node returning call10700 (depth = 4)
    gc_frame_newslot(call10700);
    if10693 = call10700;
  }
// compiled if node returning if10693 (depth = 3)
// Begin line 3289
  setline(3289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10701 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10702 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  partcv[0] = 0;
  Object call10703 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10702);
// compiled call node returning call10703 (depth = 6)
// compiled member node returning call10703 (depth = 5)
  gc_frame_newslot(call10703);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10704 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  partcv[0] = 0;
  Object call10705 = callmethod(*var_ast, "typeDecNode",
    1, partcv, params);
  gc_frame_end(callframe10704);
// compiled call node returning call10705 (depth = 6)
// compiled member node returning call10705 (depth = 5)
  params[0] = *var_p;
  params[1] = call10703;
  partcv[0] = 2;
  Object call10706 = callmethod(call10705, "new",
    1, partcv, params);
  gc_frame_end(callframe10701);
// compiled call node returning call10706 (depth = 4)
  *var_nt = call10706;
  if (call10706 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3291
  setline(3291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 3289
  setline(3289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10707 = gc_frame_new();
// Begin line 3290
  setline(3290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_gens (depth = 5)
  gc_frame_newslot(*var_gens);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nt (depth = 5)
  params[0] = *var_gens;
  partcv[0] = 1;
  Object call10708 = callmethod(*var_nt, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe10707);
// compiled call node returning call10708 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 3294
  setline(3294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3291
  setline(3291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  int op_slot_right_10710 = gc_frame_newslot(*var_anns);
// starting to compile identifier node (depth = 5)
  Object bool10712 = alloc_Boolean(0);
// compiled identifier node returning bool10712 (depth = 5)
  int op_slot_left_10710 = gc_frame_newslot(bool10712);
  params[0] = *var_anns;
  partcv[0] = 1;
  Object opresult10713 = callmethod(bool10712, "!=", 1, partcv, params);
// compiled op node returning opresult10713 (depth = 4)
  Object if10709 = done;
  if (istrue(opresult10713)) {
// Begin line 3292
  setline(3292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10714 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  gc_frame_newslot(*var_anns);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10715 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nt (depth = 7)
  partcv[0] = 0;
  Object call10716 = callmethod(*var_nt, "annotations",
    1, partcv, params);
  gc_frame_end(callframe10715);
// compiled call node returning call10716 (depth = 6)
// compiled member node returning call10716 (depth = 5)
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call10717 = callmethod(call10716, "extend",
    1, partcv, params);
  gc_frame_end(callframe10714);
// compiled call node returning call10717 (depth = 4)
    gc_frame_newslot(call10717);
    if10709 = call10717;
  } else {
  }
// compiled if node returning if10709 (depth = 3)
// Begin line 3294
  setline(3294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10718 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nt (depth = 4)
  gc_frame_newslot(*var_nt);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_nt;
  partcv[0] = 1;
  Object call10719 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe10718);
// compiled call node returning call10719 (depth = 3)
    gc_frame_newslot(call10719);
    if10538 = call10719;
  } else {
  }
// compiled if node returning if10538 (depth = 2)
  gc_frame_end(frame);
  return if10538;
}
Object meth_parser__apply10799(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[3];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_suggestion = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___0 = &(stackframe->slots[0]);
  *var___0 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3312
  setline(3312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe10800 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit10801 == NULL) {
    strlit10801 = alloc_String(" ");
    gc_root(strlit10801);
  }
// compiled string node returning strlit10801 (depth = 11)
  gc_frame_newslot(strlit10801);
// starting to compile num node (depth = 11)
  Object num10802 = alloc_Float64(1);
// compiled num node returning num10802 (depth = 11)
  gc_frame_newslot(num10802);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe10803 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_sym (depth = 13)
  partcv[0] = 0;
  Object call10804 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10803);
// compiled call node returning call10804 (depth = 12)
// compiled member node returning call10804 (depth = 11)
  gc_frame_newslot(call10804);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = strlit10801;
  params[1] = num10802;
  params[2] = call10804;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call10805 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe10800);
// compiled call node returning call10805 (depth = 10)
  gc_frame_end(frame);
  return call10805;
}
Object meth_parser__apply10817(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_minIndentLevel = getfromclosure(closure, 0);
  Object *var_tok = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_minIndentLevel (depth = 12)
  int op_slot_right_10819 = gc_frame_newslot(*var_minIndentLevel);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe10821 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_tok (depth = 14)
  partcv[0] = 0;
  Object call10822 = callmethod(*var_tok, "indent",
    1, partcv, params);
  gc_frame_end(callframe10821);
// compiled call node returning call10822 (depth = 13)
// compiled member node returning call10822 (depth = 12)
  int op_slot_left_10819 = gc_frame_newslot(call10822);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult10823 = callmethod(call10822, ">=", 1, partcv, params);
// compiled op node returning opresult10823 (depth = 11)
  int op_slot_right_10818 = gc_frame_newslot(opresult10823);
// starting to compile op node (depth = 11)
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num10827 = alloc_Float64(1);
// compiled num node returning num10827 (depth = 13)
  int op_slot_right_10826 = gc_frame_newslot(num10827);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe10829 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_tok (depth = 15)
  partcv[0] = 0;
  Object call10830 = callmethod(*var_tok, "indent",
    1, partcv, params);
  gc_frame_end(callframe10829);
// compiled call node returning call10830 (depth = 14)
// compiled member node returning call10830 (depth = 13)
  int op_slot_left_10826 = gc_frame_newslot(call10830);
  params[0] = num10827;
  partcv[0] = 1;
  Object sum10831 = callmethod(call10830, "+", 1, partcv, params);
// compiled op node returning sum10831 (depth = 12)
  int op_slot_right_10825 = gc_frame_newslot(sum10831);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe10833 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_tok (depth = 14)
  partcv[0] = 0;
  Object call10834 = callmethod(*var_tok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10833);
// compiled call node returning call10834 (depth = 13)
// compiled member node returning call10834 (depth = 12)
  int op_slot_left_10825 = gc_frame_newslot(call10834);
  params[0] = sum10831;
  partcv[0] = 1;
  Object opresult10835 = callmethod(call10834, "!=", 1, partcv, params);
// compiled op node returning opresult10835 (depth = 11)
  int op_slot_left_10818 = gc_frame_newslot(opresult10835);
  params[0] = opresult10823;
  partcv[0] = 1;
  Object opresult10836 = callmethod(opresult10835, "||", 1, partcv, params);
// compiled op node returning opresult10836 (depth = 10)
  gc_frame_end(frame);
  return opresult10836;
}
Object meth_parser__apply10839(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 10)
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe10840 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tok (depth = 13)
  partcv[0] = 0;
  Object call10841 = callmethod(*var_tok, "prev",
    1, partcv, params);
  gc_frame_end(callframe10840);
// compiled call node returning call10841 (depth = 12)
// compiled member node returning call10841 (depth = 11)
  *var_tok = call10841;
  if (call10841 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply10854(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_line = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___1 = &(stackframe->slots[0]);
  *var___1 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3322
  setline(3322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// Begin line 3321
  setline(3321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 12)
  if (strlit10856 == NULL) {
    strlit10856 = alloc_String(" ");
    gc_root(strlit10856);
  }
// compiled string node returning strlit10856 (depth = 12)
  int op_slot_right_10855 = gc_frame_newslot(strlit10856);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_line (depth = 12)
  int op_slot_left_10855 = gc_frame_newslot(*var_line);
  params[0] = strlit10856;
  partcv[0] = 1;
  Object opresult10858 = callmethod(*var_line, "++", 1, partcv, params);
// compiled op node returning opresult10858 (depth = 11)
  *var_line = opresult10858;
  if (opresult10858 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_checkIndent10720(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 63, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkIndent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_indentFreePass = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_minIndentLevel = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for checkIndent (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for checkIndent");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_tok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "tok");
  Object *var_line = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "line");
// Begin line 3332
  setline(3332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3299
  setline(3299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indentFreePass (depth = 3)
  Object if10721 = done;
  if (istrue(*var_indentFreePass)) {
// Begin line 3301
  setline(3301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 3300
  setline(3300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool10722 = alloc_Boolean(0);
// compiled identifier node returning bool10722 (depth = 4)
  *var_indentFreePass = bool10722;
  if (bool10722 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if10721 = done;
  } else {
// Begin line 3303
  setline(3303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3301
  setline(3301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10726 == NULL) {
    strlit10726 = alloc_String("semicolon");
    gc_root(strlit10726);
  }
// compiled string node returning strlit10726 (depth = 5)
  int op_slot_right_10725 = gc_frame_newslot(strlit10726);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10728 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call10729 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10728);
// compiled call node returning call10729 (depth = 6)
// compiled member node returning call10729 (depth = 5)
  int op_slot_left_10725 = gc_frame_newslot(call10729);
  params[0] = strlit10726;
  partcv[0] = 1;
  Object opresult10730 = callmethod(call10729, "==", 1, partcv, params);
// compiled op node returning opresult10730 (depth = 4)
  Object if10724 = done;
  if (istrue(opresult10730)) {
    gc_frame_newslot(done);
    if10724 = done;
  } else {
// Begin line 3306
  setline(3306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 3304
  setline(3304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10734 == NULL) {
    strlit10734 = alloc_String("rsquare");
    gc_root(strlit10734);
  }
// compiled string node returning strlit10734 (depth = 7)
  int op_slot_right_10733 = gc_frame_newslot(strlit10734);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10736 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call10737 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10736);
// compiled call node returning call10737 (depth = 8)
// compiled member node returning call10737 (depth = 7)
  int op_slot_left_10733 = gc_frame_newslot(call10737);
  params[0] = strlit10734;
  partcv[0] = 1;
  Object opresult10738 = callmethod(call10737, "==", 1, partcv, params);
// compiled op node returning opresult10738 (depth = 6)
  int op_slot_right_10732 = gc_frame_newslot(opresult10738);
// starting to compile op node (depth = 6)
// Begin line 3303
  setline(3303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10742 == NULL) {
    strlit10742 = alloc_String("rparen");
    gc_root(strlit10742);
  }
// compiled string node returning strlit10742 (depth = 8)
  int op_slot_right_10741 = gc_frame_newslot(strlit10742);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe10744 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call10745 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10744);
// compiled call node returning call10745 (depth = 9)
// compiled member node returning call10745 (depth = 8)
  int op_slot_left_10741 = gc_frame_newslot(call10745);
  params[0] = strlit10742;
  partcv[0] = 1;
  Object opresult10746 = callmethod(call10745, "==", 1, partcv, params);
// compiled op node returning opresult10746 (depth = 7)
  int op_slot_right_10740 = gc_frame_newslot(opresult10746);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10749 == NULL) {
    strlit10749 = alloc_String("rbrace");
    gc_root(strlit10749);
  }
// compiled string node returning strlit10749 (depth = 8)
  int op_slot_right_10748 = gc_frame_newslot(strlit10749);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe10751 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call10752 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10751);
// compiled call node returning call10752 (depth = 9)
// compiled member node returning call10752 (depth = 8)
  int op_slot_left_10748 = gc_frame_newslot(call10752);
  params[0] = strlit10749;
  partcv[0] = 1;
  Object opresult10753 = callmethod(call10752, "==", 1, partcv, params);
// compiled op node returning opresult10753 (depth = 7)
  int op_slot_left_10740 = gc_frame_newslot(opresult10753);
  params[0] = opresult10746;
  partcv[0] = 1;
  Object opresult10754 = callmethod(opresult10753, "||", 1, partcv, params);
// compiled op node returning opresult10754 (depth = 6)
  int op_slot_left_10732 = gc_frame_newslot(opresult10754);
  params[0] = opresult10738;
  partcv[0] = 1;
  Object opresult10755 = callmethod(opresult10754, "||", 1, partcv, params);
// compiled op node returning opresult10755 (depth = 5)
  Object if10731 = done;
  if (istrue(opresult10755)) {
    gc_frame_newslot(done);
    if10731 = done;
  } else {
// Begin line 3307
  setline(3307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 3306
  setline(3306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10758 == NULL) {
    strlit10758 = alloc_String("eof");
    gc_root(strlit10758);
  }
// compiled string node returning strlit10758 (depth = 7)
  int op_slot_right_10757 = gc_frame_newslot(strlit10758);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10760 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call10761 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10760);
// compiled call node returning call10761 (depth = 8)
// compiled member node returning call10761 (depth = 7)
  int op_slot_left_10757 = gc_frame_newslot(call10761);
  params[0] = strlit10758;
  partcv[0] = 1;
  Object opresult10762 = callmethod(call10761, "==", 1, partcv, params);
// compiled op node returning opresult10762 (depth = 6)
  Object if10756 = done;
  if (istrue(opresult10762)) {
    gc_frame_newslot(done);
    if10756 = done;
  } else {
// Begin line 3329
  setline(3329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 3307
  setline(3307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_minIndentLevel (depth = 8)
  int op_slot_right_10764 = gc_frame_newslot(*var_minIndentLevel);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe10766 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call10767 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe10766);
// compiled call node returning call10767 (depth = 9)
// compiled member node returning call10767 (depth = 8)
  int op_slot_left_10764 = gc_frame_newslot(call10767);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult10768 = callmethod(call10767, "<", 1, partcv, params);
// compiled op node returning opresult10768 (depth = 7)
  Object if10763 = done;
  if (istrue(opresult10768)) {
// Begin line 3329
  setline(3329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 3308
  setline(3308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_minIndentLevel (depth = 9)
  int op_slot_right_10770 = gc_frame_newslot(*var_minIndentLevel);
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num10773 = alloc_Float64(1);
// compiled num node returning num10773 (depth = 10)
  int op_slot_right_10772 = gc_frame_newslot(num10773);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe10775 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call10776 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10775);
// compiled call node returning call10776 (depth = 11)
// compiled member node returning call10776 (depth = 10)
  int op_slot_left_10772 = gc_frame_newslot(call10776);
  params[0] = num10773;
  partcv[0] = 1;
  Object diff10777 = callmethod(call10776, "-", 1, partcv, params);
// compiled op node returning diff10777 (depth = 9)
  int op_slot_left_10770 = gc_frame_newslot(diff10777);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult10778 = callmethod(diff10777, "!=", 1, partcv, params);
// compiled op node returning opresult10778 (depth = 8)
  Object if10769 = done;
  if (istrue(opresult10778)) {
// Begin line 3310
  setline(3310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// Begin line 3309
  setline(3309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 9)
  Object array10779 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array10779 (depth = 9)
  *var_suggestions = array10779;
  if (array10779 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 3311
  setline(3311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// Begin line 3310
  setline(3310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe10780 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe10781 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call10782 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10781);
// compiled call node returning call10782 (depth = 12)
// compiled member node returning call10782 (depth = 11)
  partcv[0] = 0;
  Object call10783 = callmethod(call10782, "new",
    1, partcv, params);
  gc_frame_end(callframe10780);
// compiled call node returning call10783 (depth = 10)
// compiled member node returning call10783 (depth = 9)
  *var_suggestion = call10783;
  if (call10783 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 3311
  setline(3311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe10784 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num10788 = alloc_Float64(1);
// compiled num node returning num10788 (depth = 12)
  int op_slot_right_10787 = gc_frame_newslot(num10788);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe10790 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_sym (depth = 14)
  partcv[0] = 0;
  Object call10791 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10790);
// compiled call node returning call10791 (depth = 13)
// compiled member node returning call10791 (depth = 12)
  int op_slot_left_10787 = gc_frame_newslot(call10791);
  params[0] = num10788;
  partcv[0] = 1;
  Object diff10792 = callmethod(call10791, "-", 1, partcv, params);
// compiled op node returning diff10792 (depth = 11)
  int op_slot_right_10786 = gc_frame_newslot(diff10792);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_minIndentLevel (depth = 11)
  int op_slot_left_10786 = gc_frame_newslot(*var_minIndentLevel);
  params[0] = diff10792;
  partcv[0] = 1;
  Object diff10794 = callmethod(*var_minIndentLevel, "-", 1, partcv, params);
// compiled op node returning diff10794 (depth = 10)
  int op_slot_right_10785 = gc_frame_newslot(diff10794);
// starting to compile num node (depth = 10)
  Object num10796 = alloc_Float64(1);
// compiled num node returning num10796 (depth = 10)
  int op_slot_left_10785 = gc_frame_newslot(num10796);
  params[0] = diff10794;
  partcv[0] = 1;
  Object opresult10797 = callmethod(num10796, "..", 1, partcv, params);
// compiled op node returning opresult10797 (depth = 9)
  gc_frame_newslot(opresult10797);
// starting to compile block node (depth = 9)
  Object block10798 = alloc_Block(NULL, NULL, "parser", 3311);
  gc_frame_newslot(block10798);
// method _apply
  block_savedest(block10798);
  Object closure10799 = createclosure(3, "_apply");
  setclosureframe(closure10799, stackframe);
  addtoclosure(closure10799, var_sym);
  addtoclosure(closure10799, var_suggestion);
  addtoclosure(closure10799, selfslot);
  struct UserObject *uo10799 = (struct UserObject*)block10798;
  uo10799->data[0] = (Object)closure10799;
  Method *meth_meth_parser__apply10799 = addmethod2pos(block10798, "_apply", &meth_parser__apply10799, 0);
  int argcv_meth_parser__apply10799[] = {1};
  meth_meth_parser__apply10799->type = alloc_MethodType(1, argcv_meth_parser__apply10799);
  meth_meth_parser__apply10799->definitionModule = modulename;
  meth_meth_parser__apply10799->definitionLine = 3311;
// compiled block node returning block10798 (depth = 9)
  gc_frame_newslot(block10798);
// call case 5: prelude request
  params[0] = opresult10797;
  params[1] = block10798;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10807 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10784);
// compiled call node returning call10807 (depth = 8)
// Begin line 3314
  setline(3314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe10808 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10809 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe10808);
// compiled call node returning call10809 (depth = 8)
// Begin line 3317
  setline(3317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 3315
  setline(3315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe10810 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe10811 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call10812 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10811);
// compiled call node returning call10812 (depth = 12)
// compiled member node returning call10812 (depth = 11)
  partcv[0] = 0;
  Object call10813 = callmethod(call10812, "new",
    1, partcv, params);
  gc_frame_end(callframe10810);
// compiled call node returning call10813 (depth = 10)
// compiled member node returning call10813 (depth = 9)
  *var_suggestion = call10813;
  if (call10813 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 3318
  setline(3318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// Begin line 3317
  setline(3317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  *var_tok = *var_lastToken;
  if (*var_lastToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 3318
  setline(3318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe10815 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block10816 = alloc_Block(NULL, NULL, "parser", 3318);
  gc_frame_newslot(block10816);
// method _apply
  block_savedest(block10816);
  Object closure10817 = createclosure(3, "_apply");
  setclosureframe(closure10817, stackframe);
  addtoclosure(closure10817, var_minIndentLevel);
  addtoclosure(closure10817, var_tok);
  addtoclosure(closure10817, selfslot);
  struct UserObject *uo10817 = (struct UserObject*)block10816;
  uo10817->data[0] = (Object)closure10817;
  Method *meth_meth_parser__apply10817 = addmethod2pos(block10816, "_apply", &meth_parser__apply10817, 0);
  int argcv_meth_parser__apply10817[] = {0};
  meth_meth_parser__apply10817->type = alloc_MethodType(1, argcv_meth_parser__apply10817);
  meth_meth_parser__apply10817->definitionModule = modulename;
  meth_meth_parser__apply10817->definitionLine = 3315;
// compiled block node returning block10816 (depth = 9)
  gc_frame_newslot(block10816);
// starting to compile block node (depth = 9)
  Object block10838 = alloc_Block(NULL, NULL, "parser", 3318);
  gc_frame_newslot(block10838);
// method _apply
  block_savedest(block10838);
  Object closure10839 = createclosure(2, "_apply");
  setclosureframe(closure10839, stackframe);
  addtoclosure(closure10839, var_tok);
  addtoclosure(closure10839, selfslot);
  struct UserObject *uo10839 = (struct UserObject*)block10838;
  uo10839->data[0] = (Object)closure10839;
  Method *meth_meth_parser__apply10839 = addmethod2pos(block10838, "_apply", &meth_parser__apply10839, 0);
  int argcv_meth_parser__apply10839[] = {0};
  meth_meth_parser__apply10839->type = alloc_MethodType(1, argcv_meth_parser__apply10839);
  meth_meth_parser__apply10839->definitionModule = modulename;
  meth_meth_parser__apply10839->definitionLine = 3318;
// compiled block node returning block10838 (depth = 9)
  gc_frame_newslot(block10838);
// call case 5: prelude request
  params[0] = block10816;
  params[1] = block10838;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10844 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10815);
// compiled call node returning call10844 (depth = 8)
// Begin line 3320
  setline(3320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// Begin line 3319
  setline(3319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit10845 == NULL) {
    strlit10845 = alloc_String("");
    gc_root(strlit10845);
  }
// compiled string node returning strlit10845 (depth = 9)
  *var_line = strlit10845;
  if (strlit10845 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 3320
  setline(3320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe10846 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe10848 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_tok (depth = 12)
  partcv[0] = 0;
  Object call10849 = callmethod(*var_tok, "indent",
    1, partcv, params);
  gc_frame_end(callframe10848);
// compiled call node returning call10849 (depth = 11)
// compiled member node returning call10849 (depth = 10)
  int op_slot_right_10847 = gc_frame_newslot(call10849);
// starting to compile num node (depth = 10)
  Object num10851 = alloc_Float64(1);
// compiled num node returning num10851 (depth = 10)
  int op_slot_left_10847 = gc_frame_newslot(num10851);
  params[0] = call10849;
  partcv[0] = 1;
  Object opresult10852 = callmethod(num10851, "..", 1, partcv, params);
// compiled op node returning opresult10852 (depth = 9)
  gc_frame_newslot(opresult10852);
// starting to compile block node (depth = 9)
  Object block10853 = alloc_Block(NULL, NULL, "parser", 3320);
  gc_frame_newslot(block10853);
// method _apply
  block_savedest(block10853);
  Object closure10854 = createclosure(2, "_apply");
  setclosureframe(closure10854, stackframe);
  addtoclosure(closure10854, var_line);
  addtoclosure(closure10854, selfslot);
  struct UserObject *uo10854 = (struct UserObject*)block10853;
  uo10854->data[0] = (Object)closure10854;
  Method *meth_meth_parser__apply10854 = addmethod2pos(block10853, "_apply", &meth_parser__apply10854, 0);
  int argcv_meth_parser__apply10854[] = {1};
  meth_meth_parser__apply10854->type = alloc_MethodType(1, argcv_meth_parser__apply10854);
  meth_meth_parser__apply10854->definitionModule = modulename;
  meth_meth_parser__apply10854->definitionLine = 3320;
// compiled block node returning block10853 (depth = 9)
  gc_frame_newslot(block10853);
// call case 5: prelude request
  params[0] = opresult10852;
  params[1] = block10853;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10861 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10846);
// compiled call node returning call10861 (depth = 8)
// Begin line 3324
  setline(3324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// Begin line 3323
  setline(3323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit10863 == NULL) {
    strlit10863 = alloc_String("}");
    gc_root(strlit10863);
  }
// compiled string node returning strlit10863 (depth = 10)
  int op_slot_right_10862 = gc_frame_newslot(strlit10863);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_line (depth = 10)
  int op_slot_left_10862 = gc_frame_newslot(*var_line);
  params[0] = strlit10863;
  partcv[0] = 1;
  Object opresult10865 = callmethod(*var_line, "++", 1, partcv, params);
// compiled op node returning opresult10865 (depth = 9)
  *var_line = opresult10865;
  if (opresult10865 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 3324
  setline(3324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe10867 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num10869 = alloc_Float64(0.9);
// compiled num node returning num10869 (depth = 10)
  int op_slot_right_10868 = gc_frame_newslot(num10869);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe10871 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call10872 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10871);
// compiled call node returning call10872 (depth = 11)
// compiled member node returning call10872 (depth = 10)
  int op_slot_left_10868 = gc_frame_newslot(call10872);
  params[0] = num10869;
  partcv[0] = 1;
  Object diff10873 = callmethod(call10872, "-", 1, partcv, params);
// compiled op node returning diff10873 (depth = 9)
  gc_frame_newslot(diff10873);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_line (depth = 9)
  gc_frame_newslot(*var_line);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = diff10873;
  params[1] = *var_line;
  partcv[0] = 2;
  Object call10874 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe10867);
// compiled call node returning call10874 (depth = 8)
// Begin line 3325
  setline(3325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe10875 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10876 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe10875);
// compiled call node returning call10876 (depth = 8)
// Begin line 3326
  setline(3326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe10877 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit10879 == NULL) {
    strlit10879 = alloc_String(". This is often caused by a missing '}'.");
    gc_root(strlit10879);
  }
// compiled string node returning strlit10879 (depth = 10)
  int op_slot_right_10878 = gc_frame_newslot(strlit10879);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_minIndentLevel (depth = 11)
  int op_slot_right_10881 = gc_frame_newslot(*var_minIndentLevel);
// starting to compile string node (depth = 11)
  if (strlit10883 == NULL) {
    strlit10883 = alloc_String("The indentation for this line must be at least ");
    gc_root(strlit10883);
  }
// compiled string node returning strlit10883 (depth = 11)
  int op_slot_left_10881 = gc_frame_newslot(strlit10883);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult10884 = callmethod(strlit10883, "++", 1, partcv, params);
// compiled op node returning opresult10884 (depth = 10)
  int op_slot_left_10878 = gc_frame_newslot(opresult10884);
  params[0] = strlit10879;
  partcv[0] = 1;
  Object opresult10885 = callmethod(opresult10884, "++", 1, partcv, params);
// compiled op node returning opresult10885 (depth = 9)
  gc_frame_newslot(opresult10885);
// Begin line 3327
  setline(3327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe10886 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call10887 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10886);
// compiled call node returning call10887 (depth = 10)
// compiled member node returning call10887 (depth = 9)
  gc_frame_newslot(call10887);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe10888 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call10889 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10888);
// compiled call node returning call10889 (depth = 10)
// compiled member node returning call10889 (depth = 9)
  gc_frame_newslot(call10889);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 3326
  setline(3326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = opresult10885;
  params[1] = call10887;
  params[2] = call10889;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10890 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe10877);
// compiled call node returning call10890 (depth = 8)
    gc_frame_newslot(call10890);
    if10769 = call10890;
  } else {
  }
// compiled if node returning if10769 (depth = 7)
    gc_frame_newslot(if10769);
    if10763 = if10769;
  } else {
// Begin line 3332
  setline(3332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 3329
  setline(3329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_minIndentLevel (depth = 9)
  int op_slot_right_10892 = gc_frame_newslot(*var_minIndentLevel);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe10894 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call10895 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe10894);
// compiled call node returning call10895 (depth = 10)
// compiled member node returning call10895 (depth = 9)
  int op_slot_left_10892 = gc_frame_newslot(call10895);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult10896 = callmethod(call10895, ">", 1, partcv, params);
// compiled op node returning opresult10896 (depth = 8)
  Object if10891 = done;
  if (istrue(opresult10896)) {
// Begin line 3331
  setline(3331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 3330
  setline(3330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe10897 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call10898 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe10897);
// compiled call node returning call10898 (depth = 10)
// compiled member node returning call10898 (depth = 9)
  *var_minIndentLevel = call10898;
  if (call10898 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if10891 = done;
  } else {
  }
// compiled if node returning if10891 (depth = 7)
    gc_frame_newslot(if10891);
    if10763 = if10891;
  }
// compiled if node returning if10763 (depth = 6)
    gc_frame_newslot(if10763);
    if10756 = if10763;
  }
// compiled if node returning if10756 (depth = 5)
    gc_frame_newslot(if10756);
    if10731 = if10756;
  }
// compiled if node returning if10731 (depth = 4)
    gc_frame_newslot(if10731);
    if10724 = if10731;
  }
// compiled if node returning if10724 (depth = 3)
    gc_frame_newslot(if10724);
    if10721 = if10724;
  }
// compiled if node returning if10721 (depth = 2)
  gc_frame_end(frame);
  return if10721;
}
Object meth_parser__apply10987(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 5)
  int callframe10988 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blocksOK (depth = 6)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call10989 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10988);
// compiled call node returning call10989 (depth = 5)
  gc_frame_end(frame);
  return call10989;
}
Object meth_parser__apply11038(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 11)
  int callframe11039 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_blocksOK (depth = 12)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call11040 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11039);
// compiled call node returning call11040 (depth = 11)
  gc_frame_end(frame);
  return call11040;
}
Object meth_parser__apply10992(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_blocksOK = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_dest = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "dest");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_val = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "val");
  Object *var_o = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "o");
// Begin line 3391
  setline(3391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 3368
  setline(3368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10995 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit10996 == NULL) {
    strlit10996 = alloc_String("bind");
    gc_root(strlit10996);
  }
// compiled string node returning strlit10996 (depth = 8)
  gc_frame_newslot(strlit10996);
// call case 4: self request
  params[0] = strlit10996;
  partcv[0] = 1;
  Object call10997 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10995);
// compiled call node returning call10997 (depth = 7)
  int op_slot_right_10994 = gc_frame_newslot(call10997);
// Begin line 3367
  setline(3367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit11001 == NULL) {
    strlit11001 = alloc_String("index");
    gc_root(strlit11001);
  }
// compiled string node returning strlit11001 (depth = 9)
  int op_slot_right_11000 = gc_frame_newslot(strlit11001);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe11003 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe11004 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_values (depth = 13)
  partcv[0] = 0;
  Object call11005 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe11004);
// compiled call node returning call11005 (depth = 12)
// compiled member node returning call11005 (depth = 11)
  partcv[0] = 0;
  Object call11006 = callmethod(call11005, "kind",
    1, partcv, params);
  gc_frame_end(callframe11003);
// compiled call node returning call11006 (depth = 10)
// compiled member node returning call11006 (depth = 9)
  int op_slot_left_11000 = gc_frame_newslot(call11006);
  params[0] = strlit11001;
  partcv[0] = 1;
  Object opresult11007 = callmethod(call11006, "==", 1, partcv, params);
// compiled op node returning opresult11007 (depth = 8)
  int op_slot_right_10999 = gc_frame_newslot(opresult11007);
// starting to compile op node (depth = 8)
// Begin line 3366
  setline(3366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit11011 == NULL) {
    strlit11011 = alloc_String("member");
    gc_root(strlit11011);
  }
// compiled string node returning strlit11011 (depth = 10)
  int op_slot_right_11010 = gc_frame_newslot(strlit11011);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe11013 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe11014 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_values (depth = 14)
  partcv[0] = 0;
  Object call11015 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe11014);
// compiled call node returning call11015 (depth = 13)
// compiled member node returning call11015 (depth = 12)
  partcv[0] = 0;
  Object call11016 = callmethod(call11015, "kind",
    1, partcv, params);
  gc_frame_end(callframe11013);
// compiled call node returning call11016 (depth = 11)
// compiled member node returning call11016 (depth = 10)
  int op_slot_left_11010 = gc_frame_newslot(call11016);
  params[0] = strlit11011;
  partcv[0] = 1;
  Object opresult11017 = callmethod(call11016, "==", 1, partcv, params);
// compiled op node returning opresult11017 (depth = 9)
  int op_slot_right_11009 = gc_frame_newslot(opresult11017);
// Begin line 3365
  setline(3365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit11020 == NULL) {
    strlit11020 = alloc_String("identifier");
    gc_root(strlit11020);
  }
// compiled string node returning strlit11020 (depth = 10)
  int op_slot_right_11019 = gc_frame_newslot(strlit11020);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe11022 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe11023 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_values (depth = 14)
  partcv[0] = 0;
  Object call11024 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe11023);
// compiled call node returning call11024 (depth = 13)
// compiled member node returning call11024 (depth = 12)
  partcv[0] = 0;
  Object call11025 = callmethod(call11024, "kind",
    1, partcv, params);
  gc_frame_end(callframe11022);
// compiled call node returning call11025 (depth = 11)
// compiled member node returning call11025 (depth = 10)
  int op_slot_left_11019 = gc_frame_newslot(call11025);
  params[0] = strlit11020;
  partcv[0] = 1;
  Object opresult11026 = callmethod(call11025, "==", 1, partcv, params);
// compiled op node returning opresult11026 (depth = 9)
  int op_slot_left_11009 = gc_frame_newslot(opresult11026);
  params[0] = opresult11017;
  partcv[0] = 1;
  Object opresult11027 = callmethod(opresult11026, "||", 1, partcv, params);
// compiled op node returning opresult11027 (depth = 8)
  int op_slot_left_10999 = gc_frame_newslot(opresult11027);
  params[0] = opresult11007;
  partcv[0] = 1;
  Object opresult11028 = callmethod(opresult11027, "||", 1, partcv, params);
// compiled op node returning opresult11028 (depth = 7)
  int op_slot_left_10994 = gc_frame_newslot(opresult11028);
  params[0] = call10997;
  partcv[0] = 1;
  Object opresult11029 = callmethod(opresult11028, "&&", 1, partcv, params);
// compiled op node returning opresult11029 (depth = 6)
  Object if10993 = done;
  if (istrue(opresult11029)) {
// Begin line 3370
  setline(3370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// Begin line 3369
  setline(3369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe11030 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  partcv[0] = 0;
  Object call11031 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe11030);
// compiled call node returning call11031 (depth = 8)
// compiled member node returning call11031 (depth = 7)
  *var_dest = call11031;
  if (call11031 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 3370
  setline(3370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe11032 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call11033 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11032);
// compiled call node returning call11033 (depth = 7)
// compiled member node returning call11033 (depth = 6)
// Begin line 3387
  setline(3387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 3371
  setline(3371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe11035 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 9)
  int callframe11036 = gc_frame_new();
// starting to compile block node (depth = 10)
  Object block11037 = alloc_Block(NULL, NULL, "parser", 3371);
  gc_frame_newslot(block11037);
// method _apply
  block_savedest(block11037);
  Object closure11038 = createclosure(2, "_apply");
  setclosureframe(closure11038, stackframe);
  addtoclosure(closure11038, var_blocksOK);
  addtoclosure(closure11038, selfslot);
  struct UserObject *uo11038 = (struct UserObject*)block11037;
  uo11038->data[0] = (Object)closure11038;
  Method *meth_meth_parser__apply11038 = addmethod2pos(block11037, "_apply", &meth_parser__apply11038, 0);
  int argcv_meth_parser__apply11038[] = {0};
  meth_meth_parser__apply11038->type = alloc_MethodType(1, argcv_meth_parser__apply11038);
  meth_meth_parser__apply11038->definitionModule = modulename;
  meth_meth_parser__apply11038->definitionLine = 3371;
// compiled block node returning block11037 (depth = 10)
  gc_frame_newslot(block11037);
// call case 4: self request
  params[0] = block11037;
  partcv[0] = 1;
  Object call11042 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11036);
// compiled call node returning call11042 (depth = 9)
  partcv[0] = 0;
  Object call11043 = callmethod(call11042, "not",
    1, partcv, params);
  gc_frame_end(callframe11035);
// compiled call node returning call11043 (depth = 8)
// compiled member node returning call11043 (depth = 7)
  Object if11034 = done;
  if (istrue(call11043)) {
// Begin line 3373
  setline(3373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// Begin line 3372
  setline(3372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 8)
  Object array11044 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array11044 (depth = 8)
  *var_suggestions = array11044;
  if (array11044 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 3374
  setline(3374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 7)
// Begin line 3373
  setline(3373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11045 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe11046 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call11047 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11046);
// compiled call node returning call11047 (depth = 11)
// compiled member node returning call11047 (depth = 10)
  partcv[0] = 0;
  Object call11048 = callmethod(call11047, "new",
    1, partcv, params);
  gc_frame_end(callframe11045);
// compiled call node returning call11048 (depth = 9)
// compiled member node returning call11048 (depth = 8)
  *var_suggestion = call11048;
  if (call11048 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 7)
// Begin line 3374
  setline(3374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe11049 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit11050 == NULL) {
    strlit11050 = alloc_String("rbrace");
    gc_root(strlit11050);
  }
// compiled string node returning strlit11050 (depth = 9)
  gc_frame_newslot(strlit11050);
// call case 4: self request
  params[0] = strlit11050;
  partcv[0] = 1;
  Object call11051 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11049);
// compiled call node returning call11051 (depth = 8)
  *var_nextTok = call11051;
  if (call11051 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 7)
// Begin line 3380
  setline(3380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 3375
  setline(3375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_11053 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_11053 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult11055 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult11055 (depth = 8)
  Object if11052 = done;
  if (istrue(opresult11055)) {
// Begin line 3376
  setline(3376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe11056 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit11057 == NULL) {
    strlit11057 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit11057);
  }
// compiled string node returning strlit11057 (depth = 9)
  gc_frame_newslot(strlit11057);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit11057;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11058 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe11056);
// compiled call node returning call11058 (depth = 8)
    gc_frame_newslot(call11058);
    if11052 = call11058;
  } else {
// Begin line 3378
  setline(3378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe11059 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe11060 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  partcv[0] = 0;
  Object call11061 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe11060);
// compiled call node returning call11061 (depth = 10)
// compiled member node returning call11061 (depth = 9)
  gc_frame_newslot(call11061);
// starting to compile identifier node (depth = 9)
  Object bool11062 = alloc_Boolean(1);
// compiled identifier node returning bool11062 (depth = 9)
  gc_frame_newslot(bool11062);
// starting to compile identifier node (depth = 9)
  Object bool11063 = alloc_Boolean(0);
// compiled identifier node returning bool11063 (depth = 9)
  gc_frame_newslot(bool11063);
// starting to compile string node (depth = 9)
  if (strlit11064 == NULL) {
    strlit11064 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit11064);
  }
// compiled string node returning strlit11064 (depth = 9)
  gc_frame_newslot(strlit11064);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  params[1] = call11061;
  params[2] = bool11062;
  params[3] = bool11063;
  params[4] = strlit11064;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call11065 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe11059);
// compiled call node returning call11065 (depth = 8)
    gc_frame_newslot(call11065);
    if11052 = call11065;
  }
// compiled if node returning if11052 (depth = 7)
// Begin line 3380
  setline(3380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe11066 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11067 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11066);
// compiled call node returning call11067 (depth = 7)
// Begin line 3382
  setline(3382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 3381
  setline(3381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11068 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe11069 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call11070 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11069);
// compiled call node returning call11070 (depth = 11)
// compiled member node returning call11070 (depth = 10)
  partcv[0] = 0;
  Object call11071 = callmethod(call11070, "new",
    1, partcv, params);
  gc_frame_end(callframe11068);
// compiled call node returning call11071 (depth = 9)
// compiled member node returning call11071 (depth = 8)
  *var_suggestion = call11071;
  if (call11071 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 3382
  setline(3382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe11073 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11074 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  partcv[0] = 0;
  Object call11075 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe11074);
// compiled call node returning call11075 (depth = 9)
// compiled member node returning call11075 (depth = 8)
  gc_frame_newslot(call11075);
// starting to compile identifier node (depth = 8)
  Object bool11076 = alloc_Boolean(1);
// compiled identifier node returning bool11076 (depth = 8)
  gc_frame_newslot(bool11076);
// starting to compile identifier node (depth = 8)
  Object bool11077 = alloc_Boolean(0);
// compiled identifier node returning bool11077 (depth = 8)
  gc_frame_newslot(bool11077);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_lastToken;
  params[1] = call11075;
  params[2] = bool11076;
  params[3] = bool11077;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call11078 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe11073);
// compiled call node returning call11078 (depth = 7)
// Begin line 3383
  setline(3383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe11079 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11080 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11079);
// compiled call node returning call11080 (depth = 7)
// Begin line 3384
  setline(3384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe11081 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit11082 == NULL) {
    strlit11082 = alloc_String("A valid expression must follow ':='.");
    gc_root(strlit11082);
  }
// compiled string node returning strlit11082 (depth = 8)
  gc_frame_newslot(strlit11082);
// Begin line 3385
  setline(3385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11083 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call11084 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11083);
// compiled call node returning call11084 (depth = 9)
// compiled member node returning call11084 (depth = 8)
  gc_frame_newslot(call11084);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11085 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call11086 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11085);
// compiled call node returning call11086 (depth = 9)
// compiled member node returning call11086 (depth = 8)
  gc_frame_newslot(call11086);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 3384
  setline(3384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit11082;
  params[1] = call11084;
  params[2] = call11086;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call11087 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe11081);
// compiled call node returning call11087 (depth = 7)
    gc_frame_newslot(call11087);
    if11034 = call11087;
  } else {
  }
// compiled if node returning if11034 (depth = 6)
// Begin line 3388
  setline(3388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// Begin line 3387
  setline(3387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe11088 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  partcv[0] = 0;
  Object call11089 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe11088);
// compiled call node returning call11089 (depth = 8)
// compiled member node returning call11089 (depth = 7)
  *var_val = call11089;
  if (call11089 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 3388
  setline(3388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe11090 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_dest (depth = 8)
  gc_frame_newslot(*var_dest);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_val (depth = 8)
  gc_frame_newslot(*var_val);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11091 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ast (depth = 10)
  partcv[0] = 0;
  Object call11092 = callmethod(*var_ast, "bindNode",
    1, partcv, params);
  gc_frame_end(callframe11091);
// compiled call node returning call11092 (depth = 9)
// compiled member node returning call11092 (depth = 8)
  params[0] = *var_dest;
  params[1] = *var_val;
  partcv[0] = 2;
  Object call11093 = callmethod(call11092, "new",
    1, partcv, params);
  gc_frame_end(callframe11090);
// compiled call node returning call11093 (depth = 7)
  *var_o = call11093;
  if (call11093 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 3389
  setline(3389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe11094 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call11095 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe11094);
// compiled call node returning call11095 (depth = 6)
    gc_frame_newslot(call11095);
    if10993 = call11095;
  } else {
  }
// compiled if node returning if10993 (depth = 5)
  gc_frame_end(frame);
  return if10993;
}
Object meth_parser_statement10900(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 64, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statement");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementIndent = getfromclosure(closure, 1);
  Object *var_statementToken = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_errormessages = getfromclosure(closure, 5);
  Object *var_lastToken = getfromclosure(closure, 6);
  Object *var_ast = getfromclosure(closure, 7);
  Object *var_indentFreePass = getfromclosure(closure, 8);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for statement (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for statement");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_oldLine = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "oldLine");
// Begin line 3341
  setline(3341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 3340
  setline(3340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10901 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  partcv[0] = 0;
  Object call10902 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe10901);
// compiled call node returning call10902 (depth = 4)
// compiled member node returning call10902 (depth = 3)
  *var_statementIndent = call10902;
  if (call10902 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 2)
// Begin line 3342
  setline(3342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 3341
  setline(3341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 2)
// Begin line 3342
  setline(3342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe10905 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10906 = callmethodflags(self, "checkIndent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10905);
// compiled call node returning call10906 (depth = 3)
// compiled member node returning call10906 (depth = 2)
// Begin line 3393
  setline(3393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3343
  setline(3343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10908 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit10909 == NULL) {
    strlit10909 = alloc_String("keyword");
    gc_root(strlit10909);
  }
// compiled string node returning strlit10909 (depth = 4)
  gc_frame_newslot(strlit10909);
// call case 4: self request
  params[0] = strlit10909;
  partcv[0] = 1;
  Object call10910 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10908);
// compiled call node returning call10910 (depth = 3)
  Object if10907 = done;
  if (istrue(call10910)) {
// Begin line 3363
  setline(3363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3344
  setline(3344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10913 == NULL) {
    strlit10913 = alloc_String("var");
    gc_root(strlit10913);
  }
// compiled string node returning strlit10913 (depth = 5)
  int op_slot_right_10912 = gc_frame_newslot(strlit10913);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10915 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call10916 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10915);
// compiled call node returning call10916 (depth = 6)
// compiled member node returning call10916 (depth = 5)
  int op_slot_left_10912 = gc_frame_newslot(call10916);
  params[0] = strlit10913;
  partcv[0] = 1;
  Object opresult10917 = callmethod(call10916, "==", 1, partcv, params);
// compiled op node returning opresult10917 (depth = 4)
  Object if10911 = done;
  if (istrue(opresult10917)) {
// Begin line 3345
  setline(3345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10918 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10919 = callmethodflags(self, "vardec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10918);
// compiled call node returning call10919 (depth = 5)
// compiled member node returning call10919 (depth = 4)
    gc_frame_newslot(call10919);
    if10911 = call10919;
  } else {
// Begin line 3348
  setline(3348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 3346
  setline(3346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10922 == NULL) {
    strlit10922 = alloc_String("def");
    gc_root(strlit10922);
  }
// compiled string node returning strlit10922 (depth = 6)
  int op_slot_right_10921 = gc_frame_newslot(strlit10922);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10924 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call10925 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10924);
// compiled call node returning call10925 (depth = 7)
// compiled member node returning call10925 (depth = 6)
  int op_slot_left_10921 = gc_frame_newslot(call10925);
  params[0] = strlit10922;
  partcv[0] = 1;
  Object opresult10926 = callmethod(call10925, "==", 1, partcv, params);
// compiled op node returning opresult10926 (depth = 5)
  Object if10920 = done;
  if (istrue(opresult10926)) {
// Begin line 3347
  setline(3347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10927 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10928 = callmethodflags(self, "defdec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10927);
// compiled call node returning call10928 (depth = 6)
// compiled member node returning call10928 (depth = 5)
    gc_frame_newslot(call10928);
    if10920 = call10928;
  } else {
// Begin line 3350
  setline(3350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 3348
  setline(3348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10931 == NULL) {
    strlit10931 = alloc_String("import");
    gc_root(strlit10931);
  }
// compiled string node returning strlit10931 (depth = 7)
  int op_slot_right_10930 = gc_frame_newslot(strlit10931);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10933 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call10934 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10933);
// compiled call node returning call10934 (depth = 8)
// compiled member node returning call10934 (depth = 7)
  int op_slot_left_10930 = gc_frame_newslot(call10934);
  params[0] = strlit10931;
  partcv[0] = 1;
  Object opresult10935 = callmethod(call10934, "==", 1, partcv, params);
// compiled op node returning opresult10935 (depth = 6)
  Object if10929 = done;
  if (istrue(opresult10935)) {
// Begin line 3349
  setline(3349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10936 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10937 = callmethodflags(self, "doimport", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10936);
// compiled call node returning call10937 (depth = 7)
// compiled member node returning call10937 (depth = 6)
    gc_frame_newslot(call10937);
    if10929 = call10937;
  } else {
// Begin line 3352
  setline(3352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 3350
  setline(3350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10940 == NULL) {
    strlit10940 = alloc_String("dialect");
    gc_root(strlit10940);
  }
// compiled string node returning strlit10940 (depth = 8)
  int op_slot_right_10939 = gc_frame_newslot(strlit10940);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe10942 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call10943 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10942);
// compiled call node returning call10943 (depth = 9)
// compiled member node returning call10943 (depth = 8)
  int op_slot_left_10939 = gc_frame_newslot(call10943);
  params[0] = strlit10940;
  partcv[0] = 1;
  Object opresult10944 = callmethod(call10943, "==", 1, partcv, params);
// compiled op node returning opresult10944 (depth = 7)
  Object if10938 = done;
  if (istrue(opresult10944)) {
// Begin line 3351
  setline(3351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10945 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10946 = callmethodflags(self, "dodialect", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10945);
// compiled call node returning call10946 (depth = 8)
// compiled member node returning call10946 (depth = 7)
    gc_frame_newslot(call10946);
    if10938 = call10946;
  } else {
// Begin line 3354
  setline(3354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 3352
  setline(3352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit10949 == NULL) {
    strlit10949 = alloc_String("type");
    gc_root(strlit10949);
  }
// compiled string node returning strlit10949 (depth = 9)
  int op_slot_right_10948 = gc_frame_newslot(strlit10949);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe10951 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call10952 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10951);
// compiled call node returning call10952 (depth = 10)
// compiled member node returning call10952 (depth = 9)
  int op_slot_left_10948 = gc_frame_newslot(call10952);
  params[0] = strlit10949;
  partcv[0] = 1;
  Object opresult10953 = callmethod(call10952, "==", 1, partcv, params);
// compiled op node returning opresult10953 (depth = 8)
  Object if10947 = done;
  if (istrue(opresult10953)) {
// Begin line 3353
  setline(3353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe10954 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10955 = callmethodflags(self, "typedec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10954);
// compiled call node returning call10955 (depth = 9)
// compiled member node returning call10955 (depth = 8)
    gc_frame_newslot(call10955);
    if10947 = call10955;
  } else {
// Begin line 3356
  setline(3356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 3354
  setline(3354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit10958 == NULL) {
    strlit10958 = alloc_String("class");
    gc_root(strlit10958);
  }
// compiled string node returning strlit10958 (depth = 10)
  int op_slot_right_10957 = gc_frame_newslot(strlit10958);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe10960 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call10961 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10960);
// compiled call node returning call10961 (depth = 11)
// compiled member node returning call10961 (depth = 10)
  int op_slot_left_10957 = gc_frame_newslot(call10961);
  params[0] = strlit10958;
  partcv[0] = 1;
  Object opresult10962 = callmethod(call10961, "==", 1, partcv, params);
// compiled op node returning opresult10962 (depth = 9)
  Object if10956 = done;
  if (istrue(opresult10962)) {
// Begin line 3355
  setline(3355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe10963 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10964 = callmethodflags(self, "doclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10963);
// compiled call node returning call10964 (depth = 10)
// compiled member node returning call10964 (depth = 9)
    gc_frame_newslot(call10964);
    if10956 = call10964;
  } else {
// Begin line 3358
  setline(3358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 3356
  setline(3356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit10967 == NULL) {
    strlit10967 = alloc_String("factory");
    gc_root(strlit10967);
  }
// compiled string node returning strlit10967 (depth = 11)
  int op_slot_right_10966 = gc_frame_newslot(strlit10967);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe10969 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_sym (depth = 13)
  partcv[0] = 0;
  Object call10970 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10969);
// compiled call node returning call10970 (depth = 12)
// compiled member node returning call10970 (depth = 11)
  int op_slot_left_10966 = gc_frame_newslot(call10970);
  params[0] = strlit10967;
  partcv[0] = 1;
  Object opresult10971 = callmethod(call10970, "==", 1, partcv, params);
// compiled op node returning opresult10971 (depth = 10)
  Object if10965 = done;
  if (istrue(opresult10971)) {
// Begin line 3357
  setline(3357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe10972 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10973 = callmethodflags(self, "dofactoryMethod", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10972);
// compiled call node returning call10973 (depth = 11)
// compiled member node returning call10973 (depth = 10)
    gc_frame_newslot(call10973);
    if10965 = call10973;
  } else {
// Begin line 3360
  setline(3360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 3358
  setline(3358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit10976 == NULL) {
    strlit10976 = alloc_String("return");
    gc_root(strlit10976);
  }
// compiled string node returning strlit10976 (depth = 12)
  int op_slot_right_10975 = gc_frame_newslot(strlit10976);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe10978 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_sym (depth = 14)
  partcv[0] = 0;
  Object call10979 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10978);
// compiled call node returning call10979 (depth = 13)
// compiled member node returning call10979 (depth = 12)
  int op_slot_left_10975 = gc_frame_newslot(call10979);
  params[0] = strlit10976;
  partcv[0] = 1;
  Object opresult10980 = callmethod(call10979, "==", 1, partcv, params);
// compiled op node returning opresult10980 (depth = 11)
  Object if10974 = done;
  if (istrue(opresult10980)) {
// Begin line 3359
  setline(3359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe10981 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call10982 = callmethodflags(self, "doreturn", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10981);
// compiled call node returning call10982 (depth = 12)
// compiled member node returning call10982 (depth = 11)
    gc_frame_newslot(call10982);
    if10974 = call10982;
  } else {
// Begin line 3361
  setline(3361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe10983 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_blocksOK (depth = 12)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call10984 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10983);
// compiled call node returning call10984 (depth = 11)
    gc_frame_newslot(call10984);
    if10974 = call10984;
  }
// compiled if node returning if10974 (depth = 10)
    gc_frame_newslot(if10974);
    if10965 = if10974;
  }
// compiled if node returning if10965 (depth = 9)
    gc_frame_newslot(if10965);
    if10956 = if10965;
  }
// compiled if node returning if10956 (depth = 8)
    gc_frame_newslot(if10956);
    if10947 = if10956;
  }
// compiled if node returning if10947 (depth = 7)
    gc_frame_newslot(if10947);
    if10938 = if10947;
  }
// compiled if node returning if10938 (depth = 6)
    gc_frame_newslot(if10938);
    if10929 = if10938;
  }
// compiled if node returning if10929 (depth = 5)
    gc_frame_newslot(if10929);
    if10920 = if10929;
  }
// compiled if node returning if10920 (depth = 4)
    gc_frame_newslot(if10920);
    if10911 = if10920;
  }
// compiled if node returning if10911 (depth = 3)
    gc_frame_newslot(if10911);
    if10907 = if10911;
  } else {
// Begin line 3364
  setline(3364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10985 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block10986 = alloc_Block(NULL, NULL, "parser", 3364);
  gc_frame_newslot(block10986);
// method _apply
  block_savedest(block10986);
  Object closure10987 = createclosure(2, "_apply");
  setclosureframe(closure10987, stackframe);
  addtoclosure(closure10987, var_blocksOK);
  addtoclosure(closure10987, selfslot);
  struct UserObject *uo10987 = (struct UserObject*)block10986;
  uo10987->data[0] = (Object)closure10987;
  Method *meth_meth_parser__apply10987 = addmethod2pos(block10986, "_apply", &meth_parser__apply10987, 0);
  int argcv_meth_parser__apply10987[] = {0};
  meth_meth_parser__apply10987->type = alloc_MethodType(1, argcv_meth_parser__apply10987);
  meth_meth_parser__apply10987->definitionModule = modulename;
  meth_meth_parser__apply10987->definitionLine = 3359;
// compiled block node returning block10986 (depth = 4)
  gc_frame_newslot(block10986);
// starting to compile block node (depth = 4)
  Object block10991 = alloc_Block(NULL, NULL, "parser", 3364);
  gc_frame_newslot(block10991);
// method _apply
  block_savedest(block10991);
  Object closure10992 = createclosure(7, "_apply");
  setclosureframe(closure10992, stackframe);
  addtoclosure(closure10992, var_values);
  addtoclosure(closure10992, var_blocksOK);
  addtoclosure(closure10992, var_errormessages);
  addtoclosure(closure10992, var_sym);
  addtoclosure(closure10992, var_lastToken);
  addtoclosure(closure10992, var_ast);
  addtoclosure(closure10992, selfslot);
  struct UserObject *uo10992 = (struct UserObject*)block10991;
  uo10992->data[0] = (Object)closure10992;
  Method *meth_meth_parser__apply10992 = addmethod2pos(block10991, "_apply", &meth_parser__apply10992, 0);
  int argcv_meth_parser__apply10992[] = {0};
  meth_meth_parser__apply10992->type = alloc_MethodType(1, argcv_meth_parser__apply10992);
  meth_meth_parser__apply10992->definitionModule = modulename;
  meth_meth_parser__apply10992->definitionLine = 3359;
// compiled block node returning block10991 (depth = 4)
  gc_frame_newslot(block10991);
// call case 4: self request
  params[0] = block10986;
  params[1] = block10991;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11097 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10985);
// compiled call node returning call11097 (depth = 3)
    gc_frame_newslot(call11097);
    if10907 = call11097;
  }
// compiled if node returning if10907 (depth = 2)
// Begin line 3396
  setline(3396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3393
  setline(3393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11099 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit11100 == NULL) {
    strlit11100 = alloc_String("eof");
    gc_root(strlit11100);
  }
// compiled string node returning strlit11100 (depth = 4)
  gc_frame_newslot(strlit11100);
// call case 4: self request
  params[0] = strlit11100;
  partcv[0] = 1;
  Object call11101 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11099);
// compiled call node returning call11101 (depth = 3)
  Object if11098 = done;
  if (istrue(call11101)) {
// Begin line 3395
  setline(3395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 3394
  setline(3394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool11102 = alloc_Boolean(1);
// compiled identifier node returning bool11102 (depth = 4)
  return bool11102;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if11098 = undefined;
  } else {
  }
// compiled if node returning if11098 (depth = 2)
// Begin line 3405
  setline(3405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3396
  setline(3396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11104 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit11105 == NULL) {
    strlit11105 = alloc_String("semicolon");
    gc_root(strlit11105);
  }
// compiled string node returning strlit11105 (depth = 4)
  gc_frame_newslot(strlit11105);
// call case 4: self request
  params[0] = strlit11105;
  partcv[0] = 1;
  Object call11106 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11104);
// compiled call node returning call11106 (depth = 3)
  Object if11103 = done;
  if (istrue(call11106)) {
// Begin line 3398
  setline(3398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 3397
  setline(3397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11107 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11108 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11107);
// compiled call node returning call11108 (depth = 5)
// compiled member node returning call11108 (depth = 4)
  *var_oldLine = call11108;
  if (call11108 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3398
  setline(3398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe11109 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call11110 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11109);
// compiled call node returning call11110 (depth = 4)
// compiled member node returning call11110 (depth = 3)
// Begin line 3402
  setline(3402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3399
  setline(3399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_oldLine (depth = 5)
  int op_slot_right_11112 = gc_frame_newslot(*var_oldLine);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11114 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call11115 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11114);
// compiled call node returning call11115 (depth = 6)
// compiled member node returning call11115 (depth = 5)
  int op_slot_left_11112 = gc_frame_newslot(call11115);
  params[0] = *var_oldLine;
  partcv[0] = 1;
  Object opresult11116 = callmethod(call11115, "==", 1, partcv, params);
// compiled op node returning opresult11116 (depth = 4)
  Object if11111 = done;
  if (istrue(opresult11116)) {
// Begin line 3401
  setline(3401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 3400
  setline(3400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool11117 = alloc_Boolean(1);
// compiled identifier node returning bool11117 (depth = 5)
  *var_indentFreePass = bool11117;
  if (bool11117 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if11111 = done;
  } else {
  }
// compiled if node returning if11111 (depth = 3)
    gc_frame_newslot(if11111);
    if11103 = if11111;
  } else {
// Begin line 3403
  setline(3403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe11119 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call11120 = callmethodflags(self, "checkUnexpectedTokenAfterStatement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11119);
// compiled call node returning call11120 (depth = 4)
// compiled member node returning call11120 (depth = 3)
    gc_frame_newslot(call11120);
    if11103 = call11120;
  }
// compiled if node returning if11103 (depth = 2)
  gc_frame_end(frame);
  return if11103;
}
Object meth_parser_checkBadOperators11121(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 65, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkBadOperators");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for checkBadOperators (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for checkBadOperators");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sugg = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sugg");
// Begin line 3415
  setline(3415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3408
  setline(3408);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit11124 == NULL) {
    strlit11124 = alloc_String("=");
    gc_root(strlit11124);
  }
// compiled string node returning strlit11124 (depth = 4)
  int op_slot_right_11123 = gc_frame_newslot(strlit11124);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11126 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11127 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe11126);
// compiled call node returning call11127 (depth = 5)
// compiled member node returning call11127 (depth = 4)
  int op_slot_left_11123 = gc_frame_newslot(call11127);
  params[0] = strlit11124;
  partcv[0] = 1;
  Object opresult11128 = callmethod(call11127, "==", 1, partcv, params);
// compiled op node returning opresult11128 (depth = 3)
  Object if11122 = done;
  if (istrue(opresult11128)) {
// Begin line 3410
  setline(3410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 3409
  setline(3409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11129 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe11130 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  partcv[0] = 0;
  Object call11131 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11130);
// compiled call node returning call11131 (depth = 7)
// compiled member node returning call11131 (depth = 6)
  partcv[0] = 0;
  Object call11132 = callmethod(call11131, "new",
    1, partcv, params);
  gc_frame_end(callframe11129);
// compiled call node returning call11132 (depth = 5)
// compiled member node returning call11132 (depth = 4)
  *var_sugg = call11132;
  if (call11132 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3410
  setline(3410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11133 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit11134 == NULL) {
    strlit11134 = alloc_String("=");
    gc_root(strlit11134);
  }
// compiled string node returning strlit11134 (depth = 4)
  gc_frame_newslot(strlit11134);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sugg (depth = 4)
  params[0] = strlit11134;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11135 = callmethod(*var_sugg, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe11133);
// compiled call node returning call11135 (depth = 3)
// Begin line 3411
  setline(3411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11136 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit11137 == NULL) {
    strlit11137 = alloc_String("Use '==' to test equality, not '='.");
    gc_root(strlit11137);
  }
// compiled string node returning strlit11137 (depth = 4)
  gc_frame_newslot(strlit11137);
// Begin line 3412
  setline(3412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11138 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11139 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11138);
// compiled call node returning call11139 (depth = 5)
// compiled member node returning call11139 (depth = 4)
  gc_frame_newslot(call11139);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11140 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11141 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11140);
// compiled call node returning call11141 (depth = 5)
// compiled member node returning call11141 (depth = 4)
  gc_frame_newslot(call11141);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11142 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11143 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11142);
// compiled call node returning call11143 (depth = 5)
// compiled member node returning call11143 (depth = 4)
  gc_frame_newslot(call11143);
// Begin line 3413
  setline(3413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sugg (depth = 4)
  gc_frame_newslot(*var_sugg);
// call case 6: other member request
// Begin line 3411
  setline(3411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit11137;
  params[1] = call11139;
  params[2] = call11141;
  params[3] = call11143;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11144 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe11136);
// compiled call node returning call11144 (depth = 3)
    gc_frame_newslot(call11144);
    if11122 = call11144;
  } else {
  }
// compiled if node returning if11122 (depth = 2)
// Begin line 3422
  setline(3422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3415
  setline(3415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit11147 == NULL) {
    strlit11147 = alloc_String("rgeneric");
    gc_root(strlit11147);
  }
// compiled string node returning strlit11147 (depth = 4)
  int op_slot_right_11146 = gc_frame_newslot(strlit11147);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11149 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11150 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe11149);
// compiled call node returning call11150 (depth = 5)
// compiled member node returning call11150 (depth = 4)
  int op_slot_left_11146 = gc_frame_newslot(call11150);
  params[0] = strlit11147;
  partcv[0] = 1;
  Object opresult11151 = callmethod(call11150, "==", 1, partcv, params);
// compiled op node returning opresult11151 (depth = 3)
  Object if11145 = done;
  if (istrue(opresult11151)) {
// Begin line 3417
  setline(3417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 3416
  setline(3416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11152 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe11153 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  partcv[0] = 0;
  Object call11154 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11153);
// compiled call node returning call11154 (depth = 7)
// compiled member node returning call11154 (depth = 6)
  partcv[0] = 0;
  Object call11155 = callmethod(call11154, "new",
    1, partcv, params);
  gc_frame_end(callframe11152);
// compiled call node returning call11155 (depth = 5)
// compiled member node returning call11155 (depth = 4)
  *var_sugg = call11155;
  if (call11155 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3417
  setline(3417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11156 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit11157 == NULL) {
    strlit11157 = alloc_String(" ");
    gc_root(strlit11157);
  }
// compiled string node returning strlit11157 (depth = 4)
  gc_frame_newslot(strlit11157);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sugg (depth = 4)
  params[0] = strlit11157;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11158 = callmethod(*var_sugg, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe11156);
// compiled call node returning call11158 (depth = 3)
// Begin line 3418
  setline(3418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11159 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit11160 == NULL) {
    strlit11160 = alloc_String("The '>' operator must be preceded by a space.");
    gc_root(strlit11160);
  }
// compiled string node returning strlit11160 (depth = 4)
  gc_frame_newslot(strlit11160);
// Begin line 3419
  setline(3419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11161 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11162 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11161);
// compiled call node returning call11162 (depth = 5)
// compiled member node returning call11162 (depth = 4)
  gc_frame_newslot(call11162);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11163 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11164 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11163);
// compiled call node returning call11164 (depth = 5)
// compiled member node returning call11164 (depth = 4)
  gc_frame_newslot(call11164);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11165 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11166 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11165);
// compiled call node returning call11166 (depth = 5)
// compiled member node returning call11166 (depth = 4)
  gc_frame_newslot(call11166);
// Begin line 3420
  setline(3420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sugg (depth = 4)
  gc_frame_newslot(*var_sugg);
// call case 6: other member request
// Begin line 3418
  setline(3418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit11160;
  params[1] = call11162;
  params[2] = call11164;
  params[3] = call11166;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11167 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe11159);
// compiled call node returning call11167 (depth = 3)
    gc_frame_newslot(call11167);
    if11145 = call11167;
  } else {
  }
// compiled if node returning if11145 (depth = 2)
  gc_frame_end(frame);
  return if11145;
}
Object meth_parser_checkBadTypeLiteral11168(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 66, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkBadTypeLiteral");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for checkBadTypeLiteral (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for checkBadTypeLiteral");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sugg = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sugg");
// Begin line 3432
  setline(3432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3425
  setline(3425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit11171 == NULL) {
    strlit11171 = alloc_String("lbrace");
    gc_root(strlit11171);
  }
// compiled string node returning strlit11171 (depth = 4)
  int op_slot_right_11170 = gc_frame_newslot(strlit11171);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11173 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11174 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe11173);
// compiled call node returning call11174 (depth = 5)
// compiled member node returning call11174 (depth = 4)
  int op_slot_left_11170 = gc_frame_newslot(call11174);
  params[0] = strlit11171;
  partcv[0] = 1;
  Object opresult11175 = callmethod(call11174, "==", 1, partcv, params);
// compiled op node returning opresult11175 (depth = 3)
  Object if11169 = done;
  if (istrue(opresult11175)) {
// Begin line 3427
  setline(3427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 3426
  setline(3426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11176 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe11177 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  partcv[0] = 0;
  Object call11178 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11177);
// compiled call node returning call11178 (depth = 7)
// compiled member node returning call11178 (depth = 6)
  partcv[0] = 0;
  Object call11179 = callmethod(call11178, "new",
    1, partcv, params);
  gc_frame_end(callframe11176);
// compiled call node returning call11179 (depth = 5)
// compiled member node returning call11179 (depth = 4)
  *var_sugg = call11179;
  if (call11179 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3427
  setline(3427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11180 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit11181 == NULL) {
    strlit11181 = alloc_String("type ");
    gc_root(strlit11181);
  }
// compiled string node returning strlit11181 (depth = 4)
  gc_frame_newslot(strlit11181);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sugg (depth = 4)
  params[0] = strlit11181;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11182 = callmethod(*var_sugg, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe11180);
// compiled call node returning call11182 (depth = 3)
// Begin line 3428
  setline(3428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11183 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit11184 == NULL) {
    strlit11184 = alloc_String("type literals must start with the keyword 'type'.");
    gc_root(strlit11184);
  }
// compiled string node returning strlit11184 (depth = 4)
  gc_frame_newslot(strlit11184);
// Begin line 3429
  setline(3429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11185 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11186 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11185);
// compiled call node returning call11186 (depth = 5)
// compiled member node returning call11186 (depth = 4)
  gc_frame_newslot(call11186);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11187 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11188 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11187);
// compiled call node returning call11188 (depth = 5)
// compiled member node returning call11188 (depth = 4)
  gc_frame_newslot(call11188);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11189 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11190 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11189);
// compiled call node returning call11190 (depth = 5)
// compiled member node returning call11190 (depth = 4)
  gc_frame_newslot(call11190);
// Begin line 3430
  setline(3430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sugg (depth = 4)
  gc_frame_newslot(*var_sugg);
// call case 6: other member request
// Begin line 3428
  setline(3428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit11184;
  params[1] = call11186;
  params[2] = call11188;
  params[3] = call11190;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11191 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe11183);
// compiled call node returning call11191 (depth = 3)
    gc_frame_newslot(call11191);
    if11169 = call11191;
  } else {
  }
// compiled if node returning if11169 (depth = 2)
  gc_frame_end(frame);
  return if11169;
}
Object meth_parser__apply11299(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3465
  setline(3465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// Begin line 3464
  setline(3464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit11301 == NULL) {
    strlit11301 = alloc_String("identifier");
    gc_root(strlit11301);
  }
// compiled string node returning strlit11301 (depth = 10)
  int op_slot_right_11300 = gc_frame_newslot(strlit11301);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe11303 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call11304 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe11303);
// compiled call node returning call11304 (depth = 11)
// compiled member node returning call11304 (depth = 10)
  int op_slot_left_11300 = gc_frame_newslot(call11304);
  params[0] = strlit11301;
  partcv[0] = 1;
  Object opresult11305 = callmethod(call11304, "==", 1, partcv, params);
// compiled op node returning opresult11305 (depth = 9)
  gc_frame_end(frame);
  return opresult11305;
}
Object meth_parser__apply11309(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3463
  setline(3463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// Begin line 3462
  setline(3462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit11311 == NULL) {
    strlit11311 = alloc_String("member");
    gc_root(strlit11311);
  }
// compiled string node returning strlit11311 (depth = 11)
  int op_slot_right_11310 = gc_frame_newslot(strlit11311);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe11313 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe11314 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_values (depth = 15)
  partcv[0] = 0;
  Object call11315 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe11314);
// compiled call node returning call11315 (depth = 14)
// compiled member node returning call11315 (depth = 13)
  partcv[0] = 0;
  Object call11316 = callmethod(call11315, "kind",
    1, partcv, params);
  gc_frame_end(callframe11313);
// compiled call node returning call11316 (depth = 12)
// compiled member node returning call11316 (depth = 11)
  int op_slot_left_11310 = gc_frame_newslot(call11316);
  params[0] = strlit11311;
  partcv[0] = 1;
  Object opresult11317 = callmethod(call11316, "==", 1, partcv, params);
// compiled op node returning opresult11317 (depth = 10)
  gc_frame_end(frame);
  return opresult11317;
}
Object meth_parser__apply11296(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3463
  setline(3463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe11297 = gc_frame_new();
// starting to compile block node (depth = 8)
  Object block11298 = alloc_Block(NULL, NULL, "parser", 3463);
  gc_frame_newslot(block11298);
// method _apply
  block_savedest(block11298);
  Object closure11299 = createclosure(2, "_apply");
  setclosureframe(closure11299, stackframe);
  addtoclosure(closure11299, var_sym);
  addtoclosure(closure11299, selfslot);
  struct UserObject *uo11299 = (struct UserObject*)block11298;
  uo11299->data[0] = (Object)closure11299;
  Method *meth_meth_parser__apply11299 = addmethod2pos(block11298, "_apply", &meth_parser__apply11299, 0);
  int argcv_meth_parser__apply11299[] = {0};
  meth_meth_parser__apply11299->type = alloc_MethodType(1, argcv_meth_parser__apply11299);
  meth_meth_parser__apply11299->definitionModule = modulename;
  meth_meth_parser__apply11299->definitionLine = 3457;
// compiled block node returning block11298 (depth = 8)
  gc_frame_newslot(block11298);
// call case 6: other member request
// Begin line 3461
  setline(3461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe11307 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block11308 = alloc_Block(NULL, NULL, "parser", 3461);
  gc_frame_newslot(block11308);
// method _apply
  block_savedest(block11308);
  Object closure11309 = createclosure(2, "_apply");
  setclosureframe(closure11309, stackframe);
  addtoclosure(closure11309, var_values);
  addtoclosure(closure11309, selfslot);
  struct UserObject *uo11309 = (struct UserObject*)block11308;
  uo11309->data[0] = (Object)closure11309;
  Method *meth_meth_parser__apply11309 = addmethod2pos(block11308, "_apply", &meth_parser__apply11309, 0);
  int argcv_meth_parser__apply11309[] = {0};
  meth_meth_parser__apply11309->type = alloc_MethodType(1, argcv_meth_parser__apply11309);
  meth_meth_parser__apply11309->definitionModule = modulename;
  meth_meth_parser__apply11309->definitionLine = 3464;
// compiled block node returning block11308 (depth = 9)
  gc_frame_newslot(block11308);
// call case 6: other member request
// Begin line 3461
  setline(3461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit11320 == NULL) {
    strlit11320 = alloc_String("identifier");
    gc_root(strlit11320);
  }
// compiled string node returning strlit11320 (depth = 10)
  int op_slot_right_11319 = gc_frame_newslot(strlit11320);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe11322 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe11323 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_values (depth = 14)
  partcv[0] = 0;
  Object call11324 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe11323);
// compiled call node returning call11324 (depth = 13)
// compiled member node returning call11324 (depth = 12)
  partcv[0] = 0;
  Object call11325 = callmethod(call11324, "kind",
    1, partcv, params);
  gc_frame_end(callframe11322);
// compiled call node returning call11325 (depth = 11)
// compiled member node returning call11325 (depth = 10)
  int op_slot_left_11319 = gc_frame_newslot(call11325);
  params[0] = strlit11320;
  partcv[0] = 1;
  Object opresult11326 = callmethod(call11325, "==", 1, partcv, params);
// compiled op node returning opresult11326 (depth = 9)
  params[0] = block11308;
  partcv[0] = 1;
  Object call11327 = callmethod(opresult11326, "orElse",
    1, partcv, params);
  gc_frame_end(callframe11307);
// compiled call node returning call11327 (depth = 8)
  params[0] = block11298;
  partcv[0] = 1;
  Object call11328 = callmethod(call11327, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe11297);
// compiled call node returning call11328 (depth = 7)
  gc_frame_end(frame);
  return call11328;
}
Object meth_parser_checkUnexpectedTokenAfterStatement11192(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 67, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(10, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkUnexpectedTokenAfterStatement");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_util = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for checkUnexpectedTokenAfterStatement (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for checkUnexpectedTokenAfterStatement");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sugg = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sugg");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_sugg2 = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "sugg2");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_n = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "n");
  Object *var_nextTok = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "nextTok");
  Object *var_newLine = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "newLine");
// Begin line 3501
  setline(3501);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3435
  setline(3435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11195 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  partcv[0] = 0;
  Object call11196 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe11195);
// compiled call node returning call11196 (depth = 5)
// compiled member node returning call11196 (depth = 4)
  int op_slot_right_11194 = gc_frame_newslot(call11196);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11198 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11199 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11198);
// compiled call node returning call11199 (depth = 5)
// compiled member node returning call11199 (depth = 4)
  int op_slot_left_11194 = gc_frame_newslot(call11199);
  params[0] = call11196;
  partcv[0] = 1;
  Object opresult11200 = callmethod(call11199, "==", 1, partcv, params);
// compiled op node returning opresult11200 (depth = 3)
  Object if11193 = done;
  if (istrue(opresult11200)) {
// Begin line 3449
  setline(3449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3437
  setline(3437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit11204 == NULL) {
    strlit11204 = alloc_String("identifier");
    gc_root(strlit11204);
  }
// compiled string node returning strlit11204 (depth = 6)
  int op_slot_right_11203 = gc_frame_newslot(strlit11204);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe11206 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call11207 = callmethod(*var_lastToken, "kind",
    1, partcv, params);
  gc_frame_end(callframe11206);
// compiled call node returning call11207 (depth = 7)
// compiled member node returning call11207 (depth = 6)
  int op_slot_left_11203 = gc_frame_newslot(call11207);
  params[0] = strlit11204;
  partcv[0] = 1;
  Object opresult11208 = callmethod(call11207, "==", 1, partcv, params);
// compiled op node returning opresult11208 (depth = 5)
  int op_slot_right_11202 = gc_frame_newslot(opresult11208);
// starting to compile op node (depth = 5)
// Begin line 3436
  setline(3436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit11212 == NULL) {
    strlit11212 = alloc_String("=");
    gc_root(strlit11212);
  }
// compiled string node returning strlit11212 (depth = 7)
  int op_slot_right_11211 = gc_frame_newslot(strlit11212);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe11214 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call11215 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe11214);
// compiled call node returning call11215 (depth = 8)
// compiled member node returning call11215 (depth = 7)
  int op_slot_left_11211 = gc_frame_newslot(call11215);
  params[0] = strlit11212;
  partcv[0] = 1;
  Object opresult11216 = callmethod(call11215, "==", 1, partcv, params);
// compiled op node returning opresult11216 (depth = 6)
  int op_slot_right_11210 = gc_frame_newslot(opresult11216);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit11219 == NULL) {
    strlit11219 = alloc_String("op");
    gc_root(strlit11219);
  }
// compiled string node returning strlit11219 (depth = 7)
  int op_slot_right_11218 = gc_frame_newslot(strlit11219);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe11221 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call11222 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe11221);
// compiled call node returning call11222 (depth = 8)
// compiled member node returning call11222 (depth = 7)
  int op_slot_left_11218 = gc_frame_newslot(call11222);
  params[0] = strlit11219;
  partcv[0] = 1;
  Object opresult11223 = callmethod(call11222, "==", 1, partcv, params);
// compiled op node returning opresult11223 (depth = 6)
  int op_slot_left_11210 = gc_frame_newslot(opresult11223);
  params[0] = opresult11216;
  partcv[0] = 1;
  Object opresult11224 = callmethod(opresult11223, "&&", 1, partcv, params);
// compiled op node returning opresult11224 (depth = 5)
  int op_slot_left_11202 = gc_frame_newslot(opresult11224);
  params[0] = opresult11208;
  partcv[0] = 1;
  Object opresult11225 = callmethod(opresult11224, "&&", 1, partcv, params);
// compiled op node returning opresult11225 (depth = 4)
  Object if11201 = done;
  if (istrue(opresult11225)) {
// Begin line 3439
  setline(3439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 3438
  setline(3438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11226 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe11227 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call11228 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11227);
// compiled call node returning call11228 (depth = 8)
// compiled member node returning call11228 (depth = 7)
  partcv[0] = 0;
  Object call11229 = callmethod(call11228, "new",
    1, partcv, params);
  gc_frame_end(callframe11226);
// compiled call node returning call11229 (depth = 6)
// compiled member node returning call11229 (depth = 5)
  *var_sugg = call11229;
  if (call11229 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 3440
  setline(3440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 3439
  setline(3439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 5)
  Object array11230 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array11230 (depth = 5)
  *var_suggestions = array11230;
  if (array11230 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 3440
  setline(3440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe11231 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 5)
  Object bool11232 = alloc_Boolean(0);
// compiled identifier node returning bool11232 (depth = 5)
  gc_frame_newslot(bool11232);
// starting to compile identifier node (depth = 5)
  Object bool11233 = alloc_Boolean(0);
// compiled identifier node returning bool11233 (depth = 5)
  gc_frame_newslot(bool11233);
// starting to compile string node (depth = 5)
  if (strlit11234 == NULL) {
    strlit11234 = alloc_String(":=");
    gc_root(strlit11234);
  }
// compiled string node returning strlit11234 (depth = 5)
  gc_frame_newslot(strlit11234);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sugg (depth = 5)
  params[0] = *var_sym;
  params[1] = bool11232;
  params[2] = bool11233;
  params[3] = strlit11234;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call11235 = callmethod(*var_sugg, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe11231);
// compiled call node returning call11235 (depth = 4)
// Begin line 3441
  setline(3441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe11236 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sugg (depth = 5)
  gc_frame_newslot(*var_sugg);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_sugg;
  partcv[0] = 1;
  Object call11237 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11236);
// compiled call node returning call11237 (depth = 4)
// Begin line 3443
  setline(3443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 3442
  setline(3442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11238 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe11239 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call11240 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11239);
// compiled call node returning call11240 (depth = 8)
// compiled member node returning call11240 (depth = 7)
  partcv[0] = 0;
  Object call11241 = callmethod(call11240, "new",
    1, partcv, params);
  gc_frame_end(callframe11238);
// compiled call node returning call11241 (depth = 6)
// compiled member node returning call11241 (depth = 5)
  *var_sugg2 = call11241;
  if (call11241 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 3443
  setline(3443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe11242 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 5)
  Object bool11243 = alloc_Boolean(0);
// compiled identifier node returning bool11243 (depth = 5)
  gc_frame_newslot(bool11243);
// starting to compile identifier node (depth = 5)
  Object bool11244 = alloc_Boolean(0);
// compiled identifier node returning bool11244 (depth = 5)
  gc_frame_newslot(bool11244);
// starting to compile string node (depth = 5)
  if (strlit11245 == NULL) {
    strlit11245 = alloc_String("==");
    gc_root(strlit11245);
  }
// compiled string node returning strlit11245 (depth = 5)
  gc_frame_newslot(strlit11245);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sugg2 (depth = 5)
  params[0] = *var_sym;
  params[1] = bool11243;
  params[2] = bool11244;
  params[3] = strlit11245;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call11246 = callmethod(*var_sugg2, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe11242);
// compiled call node returning call11246 (depth = 4)
// Begin line 3444
  setline(3444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe11247 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sugg2 (depth = 5)
  gc_frame_newslot(*var_sugg2);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_sugg2;
  partcv[0] = 1;
  Object call11248 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11247);
// compiled call node returning call11248 (depth = 4)
// Begin line 3445
  setline(3445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe11249 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit11250 == NULL) {
    strlit11250 = alloc_String("Assignment uses ':=', not '='.");
    gc_root(strlit11250);
  }
// compiled string node returning strlit11250 (depth = 5)
  gc_frame_newslot(strlit11250);
// Begin line 3446
  setline(3446);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11251 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call11252 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11251);
// compiled call node returning call11252 (depth = 6)
// compiled member node returning call11252 (depth = 5)
  gc_frame_newslot(call11252);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11253 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call11254 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11253);
// compiled call node returning call11254 (depth = 6)
// compiled member node returning call11254 (depth = 5)
  gc_frame_newslot(call11254);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11255 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call11256 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11255);
// compiled call node returning call11256 (depth = 6)
// compiled member node returning call11256 (depth = 5)
  gc_frame_newslot(call11256);
// Begin line 3447
  setline(3447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 3445
  setline(3445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit11250;
  params[1] = call11252;
  params[2] = call11254;
  params[3] = call11256;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11257 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe11249);
// compiled call node returning call11257 (depth = 4)
    gc_frame_newslot(call11257);
    if11201 = call11257;
  } else {
  }
// compiled if node returning if11201 (depth = 3)
// Begin line 3457
  setline(3457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3449
  setline(3449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit11260 == NULL) {
    strlit11260 = alloc_String("rgeneric");
    gc_root(strlit11260);
  }
// compiled string node returning strlit11260 (depth = 5)
  int op_slot_right_11259 = gc_frame_newslot(strlit11260);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11262 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call11263 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe11262);
// compiled call node returning call11263 (depth = 6)
// compiled member node returning call11263 (depth = 5)
  int op_slot_left_11259 = gc_frame_newslot(call11263);
  params[0] = strlit11260;
  partcv[0] = 1;
  Object opresult11264 = callmethod(call11263, "==", 1, partcv, params);
// compiled op node returning opresult11264 (depth = 4)
  Object if11258 = done;
  if (istrue(opresult11264)) {
// Begin line 3451
  setline(3451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 3450
  setline(3450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11265 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe11266 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call11267 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11266);
// compiled call node returning call11267 (depth = 8)
// compiled member node returning call11267 (depth = 7)
  partcv[0] = 0;
  Object call11268 = callmethod(call11267, "new",
    1, partcv, params);
  gc_frame_end(callframe11265);
// compiled call node returning call11268 (depth = 6)
// compiled member node returning call11268 (depth = 5)
  *var_sugg = call11268;
  if (call11268 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 3451
  setline(3451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe11269 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit11270 == NULL) {
    strlit11270 = alloc_String(" ");
    gc_root(strlit11270);
  }
// compiled string node returning strlit11270 (depth = 5)
  gc_frame_newslot(strlit11270);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11271 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call11272 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11271);
// compiled call node returning call11272 (depth = 6)
// compiled member node returning call11272 (depth = 5)
  gc_frame_newslot(call11272);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11273 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call11274 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11273);
// compiled call node returning call11274 (depth = 6)
// compiled member node returning call11274 (depth = 5)
  gc_frame_newslot(call11274);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sugg (depth = 5)
  params[0] = strlit11270;
  params[1] = call11272;
  params[2] = call11274;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call11275 = callmethod(*var_sugg, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe11269);
// compiled call node returning call11275 (depth = 4)
// Begin line 3452
  setline(3452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe11276 = gc_frame_new();
// Begin line 3453
  setline(3453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit11277 == NULL) {
    strlit11277 = alloc_String("The '>' operator must have a space before it.");
    gc_root(strlit11277);
  }
// compiled string node returning strlit11277 (depth = 5)
  gc_frame_newslot(strlit11277);
// Begin line 3454
  setline(3454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11278 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call11279 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11278);
// compiled call node returning call11279 (depth = 6)
// compiled member node returning call11279 (depth = 5)
  gc_frame_newslot(call11279);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11280 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call11281 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11280);
// compiled call node returning call11281 (depth = 6)
// compiled member node returning call11281 (depth = 5)
  gc_frame_newslot(call11281);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11282 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call11283 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11282);
// compiled call node returning call11283 (depth = 6)
// compiled member node returning call11283 (depth = 5)
  gc_frame_newslot(call11283);
// Begin line 3455
  setline(3455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sugg (depth = 5)
  gc_frame_newslot(*var_sugg);
// call case 6: other member request
// Begin line 3452
  setline(3452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit11277;
  params[1] = call11279;
  params[2] = call11281;
  params[3] = call11283;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11284 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe11276);
// compiled call node returning call11284 (depth = 4)
    gc_frame_newslot(call11284);
    if11258 = call11284;
  } else {
  }
// compiled if node returning if11258 (depth = 3)
// Begin line 3500
  setline(3500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3457
  setline(3457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit11287 == NULL) {
    strlit11287 = alloc_String("rbrace");
    gc_root(strlit11287);
  }
// compiled string node returning strlit11287 (depth = 5)
  int op_slot_right_11286 = gc_frame_newslot(strlit11287);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11289 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call11290 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe11289);
// compiled call node returning call11290 (depth = 6)
// compiled member node returning call11290 (depth = 5)
  int op_slot_left_11286 = gc_frame_newslot(call11290);
  params[0] = strlit11287;
  partcv[0] = 1;
  Object opresult11291 = callmethod(call11290, "!=", 1, partcv, params);
// compiled op node returning opresult11291 (depth = 4)
  Object if11285 = done;
  if (istrue(opresult11291)) {
// Begin line 3459
  setline(3459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 3458
  setline(3458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 5)
  Object array11292 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array11292 (depth = 5)
  *var_suggestions = array11292;
  if (array11292 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 3460
  setline(3460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
  *var_suggestion = undefined;
// compiled vardec node returning done (depth = 4)
// Begin line 3485
  setline(3485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 3460
  setline(3460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe11294 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block11295 = alloc_Block(NULL, NULL, "parser", 3460);
  gc_frame_newslot(block11295);
// method _apply
  block_savedest(block11295);
  Object closure11296 = createclosure(3, "_apply");
  setclosureframe(closure11296, stackframe);
  addtoclosure(closure11296, var_sym);
  addtoclosure(closure11296, var_values);
  addtoclosure(closure11296, selfslot);
  struct UserObject *uo11296 = (struct UserObject*)block11295;
  uo11296->data[0] = (Object)closure11296;
  Method *meth_meth_parser__apply11296 = addmethod2pos(block11295, "_apply", &meth_parser__apply11296, 0);
  int argcv_meth_parser__apply11296[] = {0};
  meth_meth_parser__apply11296->type = alloc_MethodType(1, argcv_meth_parser__apply11296);
  meth_meth_parser__apply11296->definitionModule = modulename;
  meth_meth_parser__apply11296->definitionLine = 3457;
// compiled block node returning block11295 (depth = 6)
  gc_frame_newslot(block11295);
// call case 6: other member request
// Begin line 3460
  setline(3460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num11331 = alloc_Float64(0);
// compiled num node returning num11331 (depth = 7)
  int op_slot_right_11330 = gc_frame_newslot(num11331);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe11333 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  partcv[0] = 0;
  Object call11334 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe11333);
// compiled call node returning call11334 (depth = 8)
// compiled member node returning call11334 (depth = 7)
  int op_slot_left_11330 = gc_frame_newslot(call11334);
  params[0] = num11331;
  partcv[0] = 1;
  Object opresult11335 = callmethod(call11334, ">", 1, partcv, params);
// compiled op node returning opresult11335 (depth = 6)
  params[0] = block11295;
  partcv[0] = 1;
  Object call11336 = callmethod(opresult11335, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe11294);
// compiled call node returning call11336 (depth = 5)
  Object if11293 = done;
  if (istrue(call11336)) {
// Begin line 3468
  setline(3468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 3467
  setline(3467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe11337 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11338 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call11339 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11338);
// compiled call node returning call11339 (depth = 9)
// compiled member node returning call11339 (depth = 8)
  partcv[0] = 0;
  Object call11340 = callmethod(call11339, "new",
    1, partcv, params);
  gc_frame_end(callframe11337);
// compiled call node returning call11340 (depth = 7)
// compiled member node returning call11340 (depth = 6)
  *var_suggestion = call11340;
  if (call11340 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 3468
  setline(3468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe11342 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 6)
  Object bool11343 = alloc_Boolean(1);
// compiled identifier node returning bool11343 (depth = 6)
  gc_frame_newslot(bool11343);
// starting to compile identifier node (depth = 6)
  Object bool11344 = alloc_Boolean(0);
// compiled identifier node returning bool11344 (depth = 6)
  gc_frame_newslot(bool11344);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit11346 == NULL) {
    strlit11346 = alloc_String(")");
    gc_root(strlit11346);
  }
// compiled string node returning strlit11346 (depth = 7)
  int op_slot_right_11345 = gc_frame_newslot(strlit11346);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11349 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call11350 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe11349);
// compiled call node returning call11350 (depth = 9)
// compiled member node returning call11350 (depth = 8)
  int op_slot_right_11348 = gc_frame_newslot(call11350);
// starting to compile string node (depth = 8)
  if (strlit11352 == NULL) {
    strlit11352 = alloc_String("(");
    gc_root(strlit11352);
  }
// compiled string node returning strlit11352 (depth = 8)
  int op_slot_left_11348 = gc_frame_newslot(strlit11352);
  params[0] = call11350;
  partcv[0] = 1;
  Object opresult11353 = callmethod(strlit11352, "++", 1, partcv, params);
// compiled op node returning opresult11353 (depth = 7)
  int op_slot_left_11345 = gc_frame_newslot(opresult11353);
  params[0] = strlit11346;
  partcv[0] = 1;
  Object opresult11354 = callmethod(opresult11353, "++", 1, partcv, params);
// compiled op node returning opresult11354 (depth = 6)
  gc_frame_newslot(opresult11354);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = bool11343;
  params[2] = bool11344;
  params[3] = opresult11354;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call11355 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe11342);
// compiled call node returning call11355 (depth = 5)
// Begin line 3469
  setline(3469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe11356 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11357 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11356);
// compiled call node returning call11357 (depth = 5)
// Begin line 3479
  setline(3479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 3470
  setline(3470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe11360 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call11361 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe11360);
// compiled call node returning call11361 (depth = 8)
// compiled member node returning call11361 (depth = 7)
  int op_slot_right_11359 = gc_frame_newslot(call11361);
// starting to compile identifier node (depth = 7)
  Object bool11363 = alloc_Boolean(0);
// compiled identifier node returning bool11363 (depth = 7)
  int op_slot_left_11359 = gc_frame_newslot(bool11363);
  params[0] = call11361;
  partcv[0] = 1;
  Object opresult11364 = callmethod(bool11363, "!=", 1, partcv, params);
// compiled op node returning opresult11364 (depth = 6)
  Object if11358 = done;
  if (istrue(opresult11364)) {
// Begin line 3472
  setline(3472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// Begin line 3471
  setline(3471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe11365 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call11366 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe11365);
// compiled call node returning call11366 (depth = 8)
// compiled member node returning call11366 (depth = 7)
  *var_n = call11366;
  if (call11366 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 3478
  setline(3478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 3472
  setline(3472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11369 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call11370 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11369);
// compiled call node returning call11370 (depth = 9)
// compiled member node returning call11370 (depth = 8)
  int op_slot_right_11368 = gc_frame_newslot(call11370);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11372 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_n (depth = 10)
  partcv[0] = 0;
  Object call11373 = callmethod(*var_n, "line",
    1, partcv, params);
  gc_frame_end(callframe11372);
// compiled call node returning call11373 (depth = 9)
// compiled member node returning call11373 (depth = 8)
  int op_slot_left_11368 = gc_frame_newslot(call11373);
  params[0] = call11370;
  partcv[0] = 1;
  Object opresult11374 = callmethod(call11373, "==", 1, partcv, params);
// compiled op node returning opresult11374 (depth = 7)
  Object if11367 = done;
  if (istrue(opresult11374)) {
// Begin line 3474
  setline(3474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 3473
  setline(3473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11375 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe11376 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  partcv[0] = 0;
  Object call11377 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11376);
// compiled call node returning call11377 (depth = 11)
// compiled member node returning call11377 (depth = 10)
  partcv[0] = 0;
  Object call11378 = callmethod(call11377, "new",
    1, partcv, params);
  gc_frame_end(callframe11375);
// compiled call node returning call11378 (depth = 9)
// compiled member node returning call11378 (depth = 8)
  *var_suggestion = call11378;
  if (call11378 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 3474
  setline(3474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe11380 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
  Object bool11381 = alloc_Boolean(1);
// compiled identifier node returning bool11381 (depth = 8)
  gc_frame_newslot(bool11381);
// starting to compile identifier node (depth = 8)
  Object bool11382 = alloc_Boolean(0);
// compiled identifier node returning bool11382 (depth = 8)
  gc_frame_newslot(bool11382);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit11384 == NULL) {
    strlit11384 = alloc_String("");
    gc_root(strlit11384);
  }
// compiled string node returning strlit11384 (depth = 9)
  int op_slot_right_11383 = gc_frame_newslot(strlit11384);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe11387 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call11388 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe11387);
// compiled call node returning call11388 (depth = 11)
// compiled member node returning call11388 (depth = 10)
  int op_slot_right_11386 = gc_frame_newslot(call11388);
// starting to compile string node (depth = 10)
  if (strlit11390 == NULL) {
    strlit11390 = alloc_String("(");
    gc_root(strlit11390);
  }
// compiled string node returning strlit11390 (depth = 10)
  int op_slot_left_11386 = gc_frame_newslot(strlit11390);
  params[0] = call11388;
  partcv[0] = 1;
  Object opresult11391 = callmethod(strlit11390, "++", 1, partcv, params);
// compiled op node returning opresult11391 (depth = 9)
  int op_slot_left_11383 = gc_frame_newslot(opresult11391);
  params[0] = strlit11384;
  partcv[0] = 1;
  Object opresult11392 = callmethod(opresult11391, "++", 1, partcv, params);
// compiled op node returning opresult11392 (depth = 8)
  gc_frame_newslot(opresult11392);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = bool11381;
  params[2] = bool11382;
  params[3] = opresult11392;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call11393 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe11380);
// compiled call node returning call11393 (depth = 7)
// Begin line 3475
  setline(3475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe11394 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit11395 == NULL) {
    strlit11395 = alloc_String(")");
    gc_root(strlit11395);
  }
// compiled string node returning strlit11395 (depth = 8)
  gc_frame_newslot(strlit11395);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11396 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call11397 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11396);
// compiled call node returning call11397 (depth = 9)
// compiled member node returning call11397 (depth = 8)
  gc_frame_newslot(call11397);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit11395;
  params[1] = call11397;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11398 = callmethod(*var_suggestion, "append()onLine",
    2, partcv, params);
  gc_frame_end(callframe11394);
// compiled call node returning call11398 (depth = 7)
// Begin line 3476
  setline(3476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe11399 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11400 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11399);
// compiled call node returning call11400 (depth = 7)
    gc_frame_newslot(call11400);
    if11367 = call11400;
  } else {
  }
// compiled if node returning if11367 (depth = 6)
    gc_frame_newslot(if11367);
    if11358 = if11367;
  } else {
  }
// compiled if node returning if11358 (depth = 5)
// Begin line 3484
  setline(3484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 3479
  setline(3479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit11403 == NULL) {
    strlit11403 = alloc_String("identifier");
    gc_root(strlit11403);
  }
// compiled string node returning strlit11403 (depth = 7)
  int op_slot_right_11402 = gc_frame_newslot(strlit11403);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe11405 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe11406 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_values (depth = 11)
  partcv[0] = 0;
  Object call11407 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe11406);
// compiled call node returning call11407 (depth = 10)
// compiled member node returning call11407 (depth = 9)
  partcv[0] = 0;
  Object call11408 = callmethod(call11407, "kind",
    1, partcv, params);
  gc_frame_end(callframe11405);
// compiled call node returning call11408 (depth = 8)
// compiled member node returning call11408 (depth = 7)
  int op_slot_left_11402 = gc_frame_newslot(call11408);
  params[0] = strlit11403;
  partcv[0] = 1;
  Object opresult11409 = callmethod(call11408, "==", 1, partcv, params);
// compiled op node returning opresult11409 (depth = 6)
  Object if11401 = done;
  if (istrue(opresult11409)) {
// Begin line 3481
  setline(3481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 3480
  setline(3480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe11410 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe11411 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call11412 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11411);
// compiled call node returning call11412 (depth = 10)
// compiled member node returning call11412 (depth = 9)
  partcv[0] = 0;
  Object call11413 = callmethod(call11412, "new",
    1, partcv, params);
  gc_frame_end(callframe11410);
// compiled call node returning call11413 (depth = 8)
// compiled member node returning call11413 (depth = 7)
  *var_suggestion = call11413;
  if (call11413 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 3481
  setline(3481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe11415 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
  Object bool11416 = alloc_Boolean(0);
// compiled identifier node returning bool11416 (depth = 7)
  gc_frame_newslot(bool11416);
// starting to compile identifier node (depth = 7)
  Object bool11417 = alloc_Boolean(0);
// compiled identifier node returning bool11417 (depth = 7)
  gc_frame_newslot(bool11417);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit11419 == NULL) {
    strlit11419 = alloc_String("""\x22""");
    gc_root(strlit11419);
  }
// compiled string node returning strlit11419 (depth = 8)
  int op_slot_right_11418 = gc_frame_newslot(strlit11419);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe11422 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  partcv[0] = 0;
  Object call11423 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe11422);
// compiled call node returning call11423 (depth = 10)
// compiled member node returning call11423 (depth = 9)
  int op_slot_right_11421 = gc_frame_newslot(call11423);
// starting to compile string node (depth = 9)
  if (strlit11425 == NULL) {
    strlit11425 = alloc_String("""\x22""");
    gc_root(strlit11425);
  }
// compiled string node returning strlit11425 (depth = 9)
  int op_slot_left_11421 = gc_frame_newslot(strlit11425);
  params[0] = call11423;
  partcv[0] = 1;
  Object opresult11426 = callmethod(strlit11425, "++", 1, partcv, params);
// compiled op node returning opresult11426 (depth = 8)
  int op_slot_left_11418 = gc_frame_newslot(opresult11426);
  params[0] = strlit11419;
  partcv[0] = 1;
  Object opresult11427 = callmethod(opresult11426, "++", 1, partcv, params);
// compiled op node returning opresult11427 (depth = 7)
  gc_frame_newslot(opresult11427);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = bool11416;
  params[2] = bool11417;
  params[3] = opresult11427;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call11428 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe11415);
// compiled call node returning call11428 (depth = 6)
// Begin line 3482
  setline(3482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe11429 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11430 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11429);
// compiled call node returning call11430 (depth = 6)
    gc_frame_newslot(call11430);
    if11401 = call11430;
  } else {
  }
// compiled if node returning if11401 (depth = 5)
    gc_frame_newslot(if11401);
    if11293 = if11401;
  } else {
  }
// compiled if node returning if11293 (depth = 4)
// Begin line 3485
  setline(3485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11431 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit11432 == NULL) {
    strlit11432 = alloc_String("rbrace");
    gc_root(strlit11432);
  }
// compiled string node returning strlit11432 (depth = 6)
  gc_frame_newslot(strlit11432);
// call case 4: self request
  params[0] = strlit11432;
  partcv[0] = 1;
  Object call11433 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11431);
// compiled call node returning call11433 (depth = 5)
  *var_nextTok = call11433;
  if (call11433 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 3497
  setline(3497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 3486
  setline(3486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  int op_slot_right_11435 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_left_11435 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult11437 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compiled op node returning opresult11437 (depth = 5)
  Object if11434 = done;
  if (istrue(opresult11437)) {
// Begin line 3488
  setline(3488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 3487
  setline(3487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe11438 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11439 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call11440 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11439);
// compiled call node returning call11440 (depth = 9)
// compiled member node returning call11440 (depth = 8)
  partcv[0] = 0;
  Object call11441 = callmethod(call11440, "new",
    1, partcv, params);
  gc_frame_end(callframe11438);
// compiled call node returning call11441 (depth = 7)
// compiled member node returning call11441 (depth = 6)
  *var_suggestion = call11441;
  if (call11441 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 3488
  setline(3488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe11443 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe11444 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  partcv[0] = 0;
  Object call11445 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe11444);
// compiled call node returning call11445 (depth = 7)
// compiled member node returning call11445 (depth = 6)
  gc_frame_newslot(call11445);
// starting to compile call node (depth = 6)
  int callframe11446 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num11447 = alloc_Float64(1);
// compiled num node returning num11447 (depth = 7)
  gc_frame_newslot(num11447);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num11449 = alloc_Float64(1);
// compiled num node returning num11449 (depth = 8)
  int op_slot_right_11448 = gc_frame_newslot(num11449);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe11452 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call11453 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe11452);
// compiled call node returning call11453 (depth = 10)
// compiled member node returning call11453 (depth = 9)
  int op_slot_right_11451 = gc_frame_newslot(call11453);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe11455 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  partcv[0] = 0;
  Object call11456 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11455);
// compiled call node returning call11456 (depth = 10)
// compiled member node returning call11456 (depth = 9)
  int op_slot_left_11451 = gc_frame_newslot(call11456);
  params[0] = call11453;
  partcv[0] = 1;
  Object sum11457 = callmethod(call11456, "+", 1, partcv, params);
// compiled op node returning sum11457 (depth = 8)
  int op_slot_left_11448 = gc_frame_newslot(sum11457);
  params[0] = num11449;
  partcv[0] = 1;
  Object diff11458 = callmethod(sum11457, "-", 1, partcv, params);
// compiled op node returning diff11458 (depth = 7)
  gc_frame_newslot(diff11458);
// call case 6: other member request
// starting to compile index node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11459 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_util (depth = 10)
  partcv[0] = 0;
  Object call11460 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe11459);
// compiled call node returning call11460 (depth = 9)
// compiled member node returning call11460 (depth = 8)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11461 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  partcv[0] = 0;
  Object call11462 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe11461);
// compiled call node returning call11462 (depth = 9)
// compiled member node returning call11462 (depth = 8)
  params[0] = call11462;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres11463 = callmethod(call11460, "[]", 1, partcv, params);
// compiled index node returning idxres11463 (depth = 7)
  params[0] = num11447;
  params[1] = diff11458;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11464 = callmethod(idxres11463, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe11446);
// compiled call node returning call11464 (depth = 6)
  gc_frame_newslot(call11464);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = call11445;
  params[1] = call11464;
  partcv[0] = 2;
  Object call11465 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe11443);
// compiled call node returning call11465 (depth = 5)
// Begin line 3489
  setline(3489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11466 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe11467 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  partcv[0] = 0;
  Object call11468 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11467);
// compiled call node returning call11468 (depth = 8)
// compiled member node returning call11468 (depth = 7)
  gc_frame_newslot(call11468);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe11469 = gc_frame_new();
// call case 6: other member request
// starting to compile index node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe11470 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_util (depth = 12)
  partcv[0] = 0;
  Object call11471 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe11470);
// compiled call node returning call11471 (depth = 11)
// compiled member node returning call11471 (depth = 10)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe11472 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  partcv[0] = 0;
  Object call11473 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11472);
// compiled call node returning call11473 (depth = 11)
// compiled member node returning call11473 (depth = 10)
  params[0] = call11473;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres11474 = callmethod(call11471, "[]", 1, partcv, params);
// compiled index node returning idxres11474 (depth = 9)
  partcv[0] = 0;
  Object call11475 = callmethod(idxres11474, "size",
    1, partcv, params);
  gc_frame_end(callframe11469);
// compiled call node returning call11475 (depth = 8)
// compiled member node returning call11475 (depth = 7)
  gc_frame_newslot(call11475);
// call case 6: other member request
// starting to compile index node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11476 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_util (depth = 10)
  partcv[0] = 0;
  Object call11477 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe11476);
// compiled call node returning call11477 (depth = 9)
// compiled member node returning call11477 (depth = 8)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11478 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call11479 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11478);
// compiled call node returning call11479 (depth = 9)
// compiled member node returning call11479 (depth = 8)
  params[0] = call11479;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres11480 = callmethod(call11477, "[]", 1, partcv, params);
// compiled index node returning idxres11480 (depth = 7)
  params[0] = call11468;
  params[1] = call11475;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11481 = callmethod(idxres11480, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe11466);
// compiled call node returning call11481 (depth = 6)
  *var_newLine = call11481;
  if (call11481 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 3490
  setline(3490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe11482 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num11484 = alloc_Float64(0.1);
// compiled num node returning num11484 (depth = 7)
  int op_slot_right_11483 = gc_frame_newslot(num11484);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe11486 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  partcv[0] = 0;
  Object call11487 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe11486);
// compiled call node returning call11487 (depth = 8)
// compiled member node returning call11487 (depth = 7)
  int op_slot_left_11483 = gc_frame_newslot(call11487);
  params[0] = num11484;
  partcv[0] = 1;
  Object sum11488 = callmethod(call11487, "+", 1, partcv, params);
// compiled op node returning sum11488 (depth = 6)
  gc_frame_newslot(sum11488);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newLine (depth = 6)
  gc_frame_newslot(*var_newLine);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = sum11488;
  params[1] = *var_newLine;
  partcv[0] = 2;
  Object call11489 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe11482);
// compiled call node returning call11489 (depth = 5)
// Begin line 3491
  setline(3491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe11490 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11491 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11490);
// compiled call node returning call11491 (depth = 5)
    gc_frame_newslot(call11491);
    if11434 = call11491;
  } else {
// Begin line 3494
  setline(3494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 3493
  setline(3493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe11492 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11493 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call11494 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11493);
// compiled call node returning call11494 (depth = 9)
// compiled member node returning call11494 (depth = 8)
  partcv[0] = 0;
  Object call11495 = callmethod(call11494, "new",
    1, partcv, params);
  gc_frame_end(callframe11492);
// compiled call node returning call11495 (depth = 7)
// compiled member node returning call11495 (depth = 6)
  *var_suggestion = call11495;
  if (call11495 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 3494
  setline(3494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe11497 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe11498 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  partcv[0] = 0;
  Object call11499 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe11498);
// compiled call node returning call11499 (depth = 7)
// compiled member node returning call11499 (depth = 6)
  gc_frame_newslot(call11499);
// starting to compile identifier node (depth = 6)
  Object bool11500 = alloc_Boolean(1);
// compiled identifier node returning bool11500 (depth = 6)
  gc_frame_newslot(bool11500);
// starting to compile identifier node (depth = 6)
  Object bool11501 = alloc_Boolean(0);
// compiled identifier node returning bool11501 (depth = 6)
  gc_frame_newslot(bool11501);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = call11499;
  params[2] = bool11500;
  params[3] = bool11501;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call11502 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe11497);
// compiled call node returning call11502 (depth = 5)
// Begin line 3495
  setline(3495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe11503 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11504 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11503);
// compiled call node returning call11504 (depth = 5)
    gc_frame_newslot(call11504);
    if11434 = call11504;
  }
// compiled if node returning if11434 (depth = 4)
// Begin line 3497
  setline(3497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe11505 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit11506 == NULL) {
    strlit11506 = alloc_String("Multiple statements must be separated by a newline or a semicolon. This is often caused by missing parentheses.");
    gc_root(strlit11506);
  }
// compiled string node returning strlit11506 (depth = 5)
  gc_frame_newslot(strlit11506);
// Begin line 3498
  setline(3498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11507 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call11508 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11507);
// compiled call node returning call11508 (depth = 6)
// compiled member node returning call11508 (depth = 5)
  gc_frame_newslot(call11508);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11509 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  partcv[0] = 0;
  Object call11510 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11509);
// compiled call node returning call11510 (depth = 6)
// compiled member node returning call11510 (depth = 5)
  gc_frame_newslot(call11510);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 3497
  setline(3497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit11506;
  params[1] = call11508;
  params[2] = call11510;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call11511 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe11505);
// compiled call node returning call11511 (depth = 4)
    gc_frame_newslot(call11511);
    if11285 = call11511;
  } else {
  }
// compiled if node returning if11285 (depth = 3)
    gc_frame_newslot(if11285);
    if11193 = if11285;
  } else {
  }
// compiled if node returning if11193 (depth = 2)
  gc_frame_end(frame);
  return if11193;
}
Object meth_parser__apply11664(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num11666 = alloc_Float64(0);
// compiled num node returning num11666 (depth = 5)
  int op_slot_right_11665 = gc_frame_newslot(num11666);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11668 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tokens (depth = 7)
  partcv[0] = 0;
  Object call11669 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe11668);
// compiled call node returning call11669 (depth = 6)
// compiled member node returning call11669 (depth = 5)
  int op_slot_left_11665 = gc_frame_newslot(call11669);
  params[0] = num11666;
  partcv[0] = 1;
  Object opresult11670 = callmethod(call11669, ">", 1, partcv, params);
// compiled op node returning opresult11670 (depth = 4)
  gc_frame_end(frame);
  return opresult11670;
}
Object meth_parser__apply11673(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_oldlength = getfromclosure(closure, 0);
  Object *var_tokens = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
// Begin line 3551
  setline(3551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11674 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call11675 = callmethodflags(self, "blank", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11674);
// compiled call node returning call11675 (depth = 5)
// compiled member node returning call11675 (depth = 4)
// Begin line 3552
  setline(3552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11676 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call11677 = callmethodflags(self, "methoddec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11676);
// compiled call node returning call11677 (depth = 5)
// compiled member node returning call11677 (depth = 4)
// Begin line 3553
  setline(3553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11678 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call11679 = callmethodflags(self, "blank", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11678);
// compiled call node returning call11679 (depth = 5)
// compiled member node returning call11679 (depth = 4)
// Begin line 3554
  setline(3554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11680 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call11681 = callmethodflags(self, "inheritsdec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11680);
// compiled call node returning call11681 (depth = 5)
// compiled member node returning call11681 (depth = 4)
// Begin line 3555
  setline(3555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11682 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call11683 = callmethodflags(self, "blank", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11682);
// compiled call node returning call11683 (depth = 5)
// compiled member node returning call11683 (depth = 4)
// Begin line 3556
  setline(3556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11684 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call11685 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11684);
// compiled call node returning call11685 (depth = 5)
// compiled member node returning call11685 (depth = 4)
// Begin line 3563
  setline(3563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 3557
  setline(3557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_oldlength (depth = 6)
  int op_slot_right_11687 = gc_frame_newslot(*var_oldlength);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe11689 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tokens (depth = 8)
  partcv[0] = 0;
  Object call11690 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe11689);
// compiled call node returning call11690 (depth = 7)
// compiled member node returning call11690 (depth = 6)
  int op_slot_left_11687 = gc_frame_newslot(call11690);
  params[0] = *var_oldlength;
  partcv[0] = 1;
  Object opresult11691 = callmethod(call11690, "==", 1, partcv, params);
// compiled op node returning opresult11691 (depth = 5)
  Object if11686 = done;
  if (istrue(opresult11691)) {
// Begin line 3559
  setline(3559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// Begin line 3558
  setline(3558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe11692 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11693 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call11694 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11693);
// compiled call node returning call11694 (depth = 9)
// compiled member node returning call11694 (depth = 8)
  partcv[0] = 0;
  Object call11695 = callmethod(call11694, "new",
    1, partcv, params);
  gc_frame_end(callframe11692);
// compiled call node returning call11695 (depth = 7)
// compiled member node returning call11695 (depth = 6)
  *var_suggestion = call11695;
  if (call11695 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 3559
  setline(3559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe11696 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call11697 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe11696);
// compiled call node returning call11697 (depth = 5)
// Begin line 3560
  setline(3560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe11698 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit11699 == NULL) {
    strlit11699 = alloc_String("Invalid statement. This is often caused by an extra '}', ')', or ']'.");
    gc_root(strlit11699);
  }
// compiled string node returning strlit11699 (depth = 6)
  gc_frame_newslot(strlit11699);
// Begin line 3561
  setline(3561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe11700 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call11701 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11700);
// compiled call node returning call11701 (depth = 7)
// compiled member node returning call11701 (depth = 6)
  gc_frame_newslot(call11701);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe11702 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  partcv[0] = 0;
  Object call11703 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11702);
// compiled call node returning call11703 (depth = 7)
// compiled member node returning call11703 (depth = 6)
  gc_frame_newslot(call11703);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num11705 = alloc_Float64(1);
// compiled num node returning num11705 (depth = 7)
  int op_slot_right_11704 = gc_frame_newslot(num11705);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11708 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call11709 = callmethod(*var_sym, "size",
    1, partcv, params);
  gc_frame_end(callframe11708);
// compiled call node returning call11709 (depth = 9)
// compiled member node returning call11709 (depth = 8)
  int op_slot_right_11707 = gc_frame_newslot(call11709);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11711 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  partcv[0] = 0;
  Object call11712 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11711);
// compiled call node returning call11712 (depth = 9)
// compiled member node returning call11712 (depth = 8)
  int op_slot_left_11707 = gc_frame_newslot(call11712);
  params[0] = call11709;
  partcv[0] = 1;
  Object sum11713 = callmethod(call11712, "+", 1, partcv, params);
// compiled op node returning sum11713 (depth = 7)
  int op_slot_left_11704 = gc_frame_newslot(sum11713);
  params[0] = num11705;
  partcv[0] = 1;
  Object diff11714 = callmethod(sum11713, "-", 1, partcv, params);
// compiled op node returning diff11714 (depth = 6)
  gc_frame_newslot(diff11714);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 3560
  setline(3560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit11699;
  params[1] = call11701;
  params[2] = call11703;
  params[3] = diff11714;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11715 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe11698);
// compiled call node returning call11715 (depth = 5)
    gc_frame_newslot(call11715);
    if11686 = call11715;
  } else {
  }
// compiled if node returning if11686 (depth = 4)
// Begin line 3564
  setline(3564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 3563
  setline(3563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11716 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tokens (depth = 7)
  partcv[0] = 0;
  Object call11717 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe11716);
// compiled call node returning call11717 (depth = 6)
// compiled member node returning call11717 (depth = 5)
  *var_oldlength = call11717;
  if (call11717 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_parse11512(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 68, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "parse");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method parse");
  Object params[5];
  int partcv[3];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_defaultDefVisibility = getfromclosure(closure, 2);
  Object *var_defaultVarVisibility = getfromclosure(closure, 3);
  Object *var_defaultMethodVisibility = getfromclosure(closure, 4);
  Object *var_tokens = getfromclosure(closure, 5);
  Object *var_sym = getfromclosure(closure, 6);
  Object *var_errormessages = getfromclosure(closure, 7);
  Object *var_lastToken = getfromclosure(closure, 8);
  Object *var_linenum = getfromclosure(closure, 9);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for parse (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_toks = &(stackframe->slots[0]);
  *var_toks = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for parse");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sugg = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "sugg");
  Object *var_oldlength = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "oldlength");
// Begin line 3506
  setline(3506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe11513 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit11514 == NULL) {
    strlit11514 = alloc_String("processing tokens.");
    gc_root(strlit11514);
  }
// compiled string node returning strlit11514 (depth = 3)
  gc_frame_newslot(strlit11514);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = strlit11514;
  partcv[0] = 1;
  Object call11515 = callmethod(*var_util, "log_verbose",
    1, partcv, params);
  gc_frame_end(callframe11513);
// compiled call node returning call11515 (depth = 2)
// Begin line 3508
  setline(3508);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 3507
  setline(3507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array11516 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array11516 (depth = 3)
  *var_values = array11516;
  if (array11516 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 2)
// Begin line 3513
  setline(3513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3508
  setline(3508);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11519 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit11520 == NULL) {
    strlit11520 = alloc_String("DefaultVisibility");
    gc_root(strlit11520);
  }
// compiled string node returning strlit11520 (depth = 4)
  gc_frame_newslot(strlit11520);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11521 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  partcv[0] = 0;
  Object call11522 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11521);
// compiled call node returning call11522 (depth = 5)
// compiled member node returning call11522 (depth = 4)
  params[0] = strlit11520;
  partcv[0] = 1;
  Object call11523 = callmethod(call11522, "contains",
    1, partcv, params);
  gc_frame_end(callframe11519);
// compiled call node returning call11523 (depth = 3)
  Object if11518 = done;
  if (istrue(call11523)) {
// Begin line 3509
  setline(3509);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe11524 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit11525 == NULL) {
    strlit11525 = alloc_String("DefaultVisibility");
    gc_root(strlit11525);
  }
// compiled string node returning strlit11525 (depth = 5)
  gc_frame_newslot(strlit11525);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11526 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  partcv[0] = 0;
  Object call11527 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11526);
// compiled call node returning call11527 (depth = 6)
// compiled member node returning call11527 (depth = 5)
  params[0] = strlit11525;
  partcv[0] = 1;
  Object call11528 = callmethod(call11527, "get",
    1, partcv, params);
  gc_frame_end(callframe11524);
// compiled call node returning call11528 (depth = 4)
  *var_defaultDefVisibility = call11528;
  if (call11528 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 3510
  setline(3510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe11530 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit11531 == NULL) {
    strlit11531 = alloc_String("DefaultVisibility");
    gc_root(strlit11531);
  }
// compiled string node returning strlit11531 (depth = 5)
  gc_frame_newslot(strlit11531);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11532 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  partcv[0] = 0;
  Object call11533 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11532);
// compiled call node returning call11533 (depth = 6)
// compiled member node returning call11533 (depth = 5)
  params[0] = strlit11531;
  partcv[0] = 1;
  Object call11534 = callmethod(call11533, "get",
    1, partcv, params);
  gc_frame_end(callframe11530);
// compiled call node returning call11534 (depth = 4)
  *var_defaultVarVisibility = call11534;
  if (call11534 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 3511
  setline(3511);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe11536 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit11537 == NULL) {
    strlit11537 = alloc_String("DefaultVisibility");
    gc_root(strlit11537);
  }
// compiled string node returning strlit11537 (depth = 5)
  gc_frame_newslot(strlit11537);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11538 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  partcv[0] = 0;
  Object call11539 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11538);
// compiled call node returning call11539 (depth = 6)
// compiled member node returning call11539 (depth = 5)
  params[0] = strlit11537;
  partcv[0] = 1;
  Object call11540 = callmethod(call11539, "get",
    1, partcv, params);
  gc_frame_end(callframe11536);
// compiled call node returning call11540 (depth = 4)
  *var_defaultMethodVisibility = call11540;
  if (call11540 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if11518 = done;
  } else {
  }
// compiled if node returning if11518 (depth = 2)
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3513
  setline(3513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11543 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit11544 == NULL) {
    strlit11544 = alloc_String("DefaultDefVisibility");
    gc_root(strlit11544);
  }
// compiled string node returning strlit11544 (depth = 4)
  gc_frame_newslot(strlit11544);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11545 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  partcv[0] = 0;
  Object call11546 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11545);
// compiled call node returning call11546 (depth = 5)
// compiled member node returning call11546 (depth = 4)
  params[0] = strlit11544;
  partcv[0] = 1;
  Object call11547 = callmethod(call11546, "contains",
    1, partcv, params);
  gc_frame_end(callframe11543);
// compiled call node returning call11547 (depth = 3)
  Object if11542 = done;
  if (istrue(call11547)) {
// Begin line 3514
  setline(3514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe11548 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit11549 == NULL) {
    strlit11549 = alloc_String("DefaultDefVisibility");
    gc_root(strlit11549);
  }
// compiled string node returning strlit11549 (depth = 5)
  gc_frame_newslot(strlit11549);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11550 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  partcv[0] = 0;
  Object call11551 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11550);
// compiled call node returning call11551 (depth = 6)
// compiled member node returning call11551 (depth = 5)
  params[0] = strlit11549;
  partcv[0] = 1;
  Object call11552 = callmethod(call11551, "get",
    1, partcv, params);
  gc_frame_end(callframe11548);
// compiled call node returning call11552 (depth = 4)
  *var_defaultDefVisibility = call11552;
  if (call11552 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if11542 = done;
  } else {
  }
// compiled if node returning if11542 (depth = 2)
// Begin line 3519
  setline(3519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11555 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit11556 == NULL) {
    strlit11556 = alloc_String("DefaultVarVisibility");
    gc_root(strlit11556);
  }
// compiled string node returning strlit11556 (depth = 4)
  gc_frame_newslot(strlit11556);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11557 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  partcv[0] = 0;
  Object call11558 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11557);
// compiled call node returning call11558 (depth = 5)
// compiled member node returning call11558 (depth = 4)
  params[0] = strlit11556;
  partcv[0] = 1;
  Object call11559 = callmethod(call11558, "contains",
    1, partcv, params);
  gc_frame_end(callframe11555);
// compiled call node returning call11559 (depth = 3)
  Object if11554 = done;
  if (istrue(call11559)) {
// Begin line 3517
  setline(3517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe11560 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit11561 == NULL) {
    strlit11561 = alloc_String("DefaultVarVisibility");
    gc_root(strlit11561);
  }
// compiled string node returning strlit11561 (depth = 5)
  gc_frame_newslot(strlit11561);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11562 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  partcv[0] = 0;
  Object call11563 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11562);
// compiled call node returning call11563 (depth = 6)
// compiled member node returning call11563 (depth = 5)
  params[0] = strlit11561;
  partcv[0] = 1;
  Object call11564 = callmethod(call11563, "get",
    1, partcv, params);
  gc_frame_end(callframe11560);
// compiled call node returning call11564 (depth = 4)
  *var_defaultVarVisibility = call11564;
  if (call11564 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if11554 = done;
  } else {
  }
// compiled if node returning if11554 (depth = 2)
// Begin line 3522
  setline(3522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3519
  setline(3519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11567 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit11568 == NULL) {
    strlit11568 = alloc_String("DefaultMethodVisibility");
    gc_root(strlit11568);
  }
// compiled string node returning strlit11568 (depth = 4)
  gc_frame_newslot(strlit11568);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11569 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  partcv[0] = 0;
  Object call11570 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11569);
// compiled call node returning call11570 (depth = 5)
// compiled member node returning call11570 (depth = 4)
  params[0] = strlit11568;
  partcv[0] = 1;
  Object call11571 = callmethod(call11570, "contains",
    1, partcv, params);
  gc_frame_end(callframe11567);
// compiled call node returning call11571 (depth = 3)
  Object if11566 = done;
  if (istrue(call11571)) {
// Begin line 3520
  setline(3520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe11572 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit11573 == NULL) {
    strlit11573 = alloc_String("DefaultMethodVisibility");
    gc_root(strlit11573);
  }
// compiled string node returning strlit11573 (depth = 5)
  gc_frame_newslot(strlit11573);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11574 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  partcv[0] = 0;
  Object call11575 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11574);
// compiled call node returning call11575 (depth = 6)
// compiled member node returning call11575 (depth = 5)
  params[0] = strlit11573;
  partcv[0] = 1;
  Object call11576 = callmethod(call11575, "get",
    1, partcv, params);
  gc_frame_end(callframe11572);
// compiled call node returning call11576 (depth = 4)
  *var_defaultMethodVisibility = call11576;
  if (call11576 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if11566 = done;
  } else {
  }
// compiled if node returning if11566 (depth = 2)
// Begin line 3525
  setline(3525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3522
  setline(3522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num11580 = alloc_Float64(0);
// compiled num node returning num11580 (depth = 4)
  int op_slot_right_11579 = gc_frame_newslot(num11580);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11582 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_toks (depth = 6)
  partcv[0] = 0;
  Object call11583 = callmethod(*var_toks, "size",
    1, partcv, params);
  gc_frame_end(callframe11582);
// compiled call node returning call11583 (depth = 5)
// compiled member node returning call11583 (depth = 4)
  int op_slot_left_11579 = gc_frame_newslot(call11583);
  params[0] = num11580;
  partcv[0] = 1;
  Object opresult11584 = callmethod(call11583, "==", 1, partcv, params);
// compiled op node returning opresult11584 (depth = 3)
  Object if11578 = done;
  if (istrue(opresult11584)) {
// Begin line 3524
  setline(3524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 3523
  setline(3523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array11585 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array11585 (depth = 4)
  return array11585;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if11578 = undefined;
  } else {
  }
// compiled if node returning if11578 (depth = 2)
// Begin line 3526
  setline(3526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 3525
  setline(3525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_toks (depth = 3)
  *var_tokens = *var_toks;
  if (*var_toks == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 2)
// Begin line 3527
  setline(3527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 3526
  setline(3526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe11587 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tokens (depth = 5)
  partcv[0] = 0;
  Object call11588 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe11587);
// compiled call node returning call11588 (depth = 4)
// compiled member node returning call11588 (depth = 3)
  *var_sym = call11588;
  if (call11588 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 2)
// Begin line 3534
  setline(3534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 3527
  setline(3527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num11592 = alloc_Float64(0);
// compiled num node returning num11592 (depth = 4)
  int op_slot_right_11591 = gc_frame_newslot(num11592);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11594 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11595 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe11594);
// compiled call node returning call11595 (depth = 5)
// compiled member node returning call11595 (depth = 4)
  int op_slot_left_11591 = gc_frame_newslot(call11595);
  params[0] = num11592;
  partcv[0] = 1;
  Object opresult11596 = callmethod(call11595, ">", 1, partcv, params);
// compiled op node returning opresult11596 (depth = 3)
  Object if11590 = done;
  if (istrue(opresult11596)) {
// Begin line 3529
  setline(3529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// Begin line 3528
  setline(3528);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11597 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe11598 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  partcv[0] = 0;
  Object call11599 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11598);
// compiled call node returning call11599 (depth = 7)
// compiled member node returning call11599 (depth = 6)
  partcv[0] = 0;
  Object call11600 = callmethod(call11599, "new",
    1, partcv, params);
  gc_frame_end(callframe11597);
// compiled call node returning call11600 (depth = 5)
// compiled member node returning call11600 (depth = 4)
  *var_sugg = call11600;
  if (call11600 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 3529
  setline(3529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11601 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num11602 = alloc_Float64(1);
// compiled num node returning num11602 (depth = 4)
  gc_frame_newslot(num11602);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11603 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11604 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe11603);
// compiled call node returning call11604 (depth = 5)
// compiled member node returning call11604 (depth = 4)
  gc_frame_newslot(call11604);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11605 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11606 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11605);
// compiled call node returning call11606 (depth = 5)
// compiled member node returning call11606 (depth = 4)
  gc_frame_newslot(call11606);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sugg (depth = 4)
  params[0] = num11602;
  params[1] = call11604;
  params[2] = call11606;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call11607 = callmethod(*var_sugg, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe11601);
// compiled call node returning call11607 (depth = 3)
// Begin line 3530
  setline(3530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11608 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit11609 == NULL) {
    strlit11609 = alloc_String("The first line must not be indented.");
    gc_root(strlit11609);
  }
// compiled string node returning strlit11609 (depth = 4)
  gc_frame_newslot(strlit11609);
// Begin line 3531
  setline(3531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11610 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11611 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11610);
// compiled call node returning call11611 (depth = 5)
// compiled member node returning call11611 (depth = 4)
  gc_frame_newslot(call11611);
// starting to compile num node (depth = 4)
  Object num11612 = alloc_Float64(1);
// compiled num node returning num11612 (depth = 4)
  gc_frame_newslot(num11612);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11613 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  partcv[0] = 0;
  Object call11614 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe11613);
// compiled call node returning call11614 (depth = 5)
// compiled member node returning call11614 (depth = 4)
  gc_frame_newslot(call11614);
// Begin line 3532
  setline(3532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sugg (depth = 4)
  gc_frame_newslot(*var_sugg);
// call case 6: other member request
// Begin line 3530
  setline(3530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit11609;
  params[1] = call11611;
  params[2] = num11612;
  params[3] = call11614;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11615 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe11608);
// compiled call node returning call11615 (depth = 3)
    gc_frame_newslot(call11615);
    if11590 = call11615;
  } else {
  }
// compiled if node returning if11590 (depth = 2)
// Begin line 3536
  setline(3536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 3531
  setline(3531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11616 = gc_frame_new();
// Begin line 3534
  setline(3534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lastToken (depth = 4)
  gc_frame_newslot(*var_lastToken);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call11617 = callmethod(*var_sym, "prev:=",
    1, partcv, params);
  gc_frame_end(callframe11616);
// compiled call node returning call11617 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 3536
  setline(3536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe11618 = gc_frame_new();
// starting to compile object node (depth = 3)
  Object inheritingObject11619 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj11619 = alloc_userobj2(15,9, objclass11619);
  gc_frame_newslot(obj11619);
// OBJECT OUTER DEC outer
  adddatum2(obj11619, self, 0);
  addmethodreal(obj11619,"outer", &reader_parser_outer_11620);
  Object oldself11619 = self;
  struct StackFrameObject *oldstackframe11619 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe11619);
  gc_frame_newslot((Object)stackframe);
  self = obj11619;
  Object *oldselfslot11619 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter11619 = (*(struct UserObject *)self).data[0], lowerouter11619 = thisouter11619;
  if (inheritingObject11619) {
    struct UserObject *inho11619 = (struct UserObject *)inheritingObject11619;
    while (inho11619->super != GraceDefaultObject) inho11619 = (struct UserObject *)inho11619->super;
    inho11619->super = obj11619;
    self = inheritingObject11619;
    *selfslot = self;
    lowerouter11619 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter11619;
  }
if (objclass11619 == NULL) {
  Method *reader11621 = addmethodrealflags(obj11619, "kind",&reader_parser_kind_11621, 0);
  Method *writer11621 = addmethodrealflags(obj11619, "kind:=",&writer_parser_kind_11621, 0);
  reader11621->definitionModule = modulename;
  writer11621->definitionModule = modulename;
  reader11621->definitionLine = 3538;
  writer11621->definitionLine = 3538;
}
obj11619->flags |= OFLAG_MUTABLE;
adddatum2(obj11619, alloc_Undefined(), 1);
if (objclass11619 == NULL) {
  Method *reader11622 = addmethodrealflags(obj11619, "line",&reader_parser_line_11622, 0);
  Method *writer11622 = addmethodrealflags(obj11619, "line:=",&writer_parser_line_11622, 0);
  reader11622->definitionModule = modulename;
  writer11622->definitionModule = modulename;
  reader11622->definitionLine = 3539;
  writer11622->definitionLine = 3539;
}
obj11619->flags |= OFLAG_MUTABLE;
adddatum2(obj11619, alloc_Undefined(), 2);
if (objclass11619 == NULL) {
  Method *reader11623 = addmethodrealflags(obj11619, "linePos",&reader_parser_linePos_11623, 0);
  Method *writer11623 = addmethodrealflags(obj11619, "linePos:=",&writer_parser_linePos_11623, 0);
  reader11623->definitionModule = modulename;
  writer11623->definitionModule = modulename;
  reader11623->definitionLine = 3540;
  writer11623->definitionLine = 3540;
}
obj11619->flags |= OFLAG_MUTABLE;
adddatum2(obj11619, alloc_Undefined(), 3);
if (objclass11619 == NULL) {
  Method *reader11624 = addmethodrealflags(obj11619, "indent",&reader_parser_indent_11624, 0);
  Method *writer11624 = addmethodrealflags(obj11619, "indent:=",&writer_parser_indent_11624, 0);
  reader11624->definitionModule = modulename;
  writer11624->definitionModule = modulename;
  reader11624->definitionLine = 3541;
  writer11624->definitionLine = 3541;
}
obj11619->flags |= OFLAG_MUTABLE;
adddatum2(obj11619, alloc_Undefined(), 4);
if (objclass11619 == NULL) {
  Method *reader11625 = addmethodrealflags(obj11619, "value",&reader_parser_value_11625, 0);
  Method *writer11625 = addmethodrealflags(obj11619, "value:=",&writer_parser_value_11625, 0);
  reader11625->definitionModule = modulename;
  writer11625->definitionModule = modulename;
  reader11625->definitionLine = 3542;
  writer11625->definitionLine = 3542;
}
obj11619->flags |= OFLAG_MUTABLE;
adddatum2(obj11619, alloc_Undefined(), 5);
if (objclass11619 == NULL) {
  Method *reader11626 = addmethodrealflags(obj11619, "size",&reader_parser_size_11626, MFLAG_DEF);
  reader11626->definitionModule = modulename;
  reader11626->definitionLine = 3543;
}
adddatum2(obj11619, alloc_Undefined(), 6);
if (objclass11619 == NULL) {
  Method *reader11627 = addmethodrealflags(obj11619, "next",&reader_parser_next_11627, 0);
  Method *writer11627 = addmethodrealflags(obj11619, "next:=",&writer_parser_next_11627, 0);
  reader11627->definitionModule = modulename;
  writer11627->definitionModule = modulename;
  reader11627->definitionLine = 3544;
  writer11627->definitionLine = 3544;
}
obj11619->flags |= OFLAG_MUTABLE;
adddatum2(obj11619, alloc_Undefined(), 7);
if (objclass11619 == NULL) {
  Method *reader11628 = addmethodrealflags(obj11619, "prev",&reader_parser_prev_11628, 0);
  Method *writer11628 = addmethodrealflags(obj11619, "prev:=",&writer_parser_prev_11628, 0);
  reader11628->definitionModule = modulename;
  writer11628->definitionModule = modulename;
  reader11628->definitionLine = 3545;
  writer11628->definitionLine = 3545;
}
obj11619->flags |= OFLAG_MUTABLE;
adddatum2(obj11619, alloc_Undefined(), 8);
  sourceObject = obj11619;
// Begin line 3537
  setline(3537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit11629 == NULL) {
    strlit11629 = alloc_String("eof");
    gc_root(strlit11629);
  }
// compiled string node returning strlit11629 (depth = 4)
  adddatum2(obj11619, strlit11629, 1);
  sourceObject = obj11619;
// Begin line 3538
  setline(3538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe11630 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe11631 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tokens (depth = 8)
  partcv[0] = 0;
  Object call11632 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe11631);
// compiled call node returning call11632 (depth = 7)
// compiled member node returning call11632 (depth = 6)
  partcv[0] = 0;
  Object call11633 = callmethod(call11632, "line",
    1, partcv, params);
  gc_frame_end(callframe11630);
// compiled call node returning call11633 (depth = 5)
// compiled member node returning call11633 (depth = 4)
  adddatum2(obj11619, call11633, 2);
  sourceObject = obj11619;
// Begin line 3540
  setline(3540);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 3539
  setline(3539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num11635 = alloc_Float64(1);
// compiled num node returning num11635 (depth = 5)
  int op_slot_right_11634 = gc_frame_newslot(num11635);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe11637 = gc_frame_new();
// call case 6: other member request
// starting to compile index node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11638 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_util (depth = 10)
  partcv[0] = 0;
  Object call11639 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe11638);
// compiled call node returning call11639 (depth = 9)
// compiled member node returning call11639 (depth = 8)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe11640 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe11641 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_tokens (depth = 12)
  partcv[0] = 0;
  Object call11642 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe11641);
// compiled call node returning call11642 (depth = 11)
// compiled member node returning call11642 (depth = 10)
  partcv[0] = 0;
  Object call11643 = callmethod(call11642, "line",
    1, partcv, params);
  gc_frame_end(callframe11640);
// compiled call node returning call11643 (depth = 9)
// compiled member node returning call11643 (depth = 8)
  params[0] = call11643;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres11644 = callmethod(call11639, "[]", 1, partcv, params);
// compiled index node returning idxres11644 (depth = 7)
  partcv[0] = 0;
  Object call11645 = callmethod(idxres11644, "size",
    1, partcv, params);
  gc_frame_end(callframe11637);
// compiled call node returning call11645 (depth = 6)
// compiled member node returning call11645 (depth = 5)
  int op_slot_left_11634 = gc_frame_newslot(call11645);
  params[0] = num11635;
  partcv[0] = 1;
  Object sum11646 = callmethod(call11645, "+", 1, partcv, params);
// compiled op node returning sum11646 (depth = 4)
  adddatum2(obj11619, sum11646, 3);
  sourceObject = obj11619;
// Begin line 3540
  setline(3540);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num11647 = alloc_Float64(0);
// compiled num node returning num11647 (depth = 4)
  adddatum2(obj11619, num11647, 4);
  sourceObject = obj11619;
// Begin line 3541
  setline(3541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit11648 == NULL) {
    strlit11648 = alloc_String("");
    gc_root(strlit11648);
  }
// compiled string node returning strlit11648 (depth = 4)
  adddatum2(obj11619, strlit11648, 5);
  sourceObject = obj11619;
// Begin line 3542
  setline(3542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num11649 = alloc_Float64(0);
// compiled num node returning num11649 (depth = 4)
  adddatum2(obj11619, num11649, 6);
  sourceObject = obj11619;
// Begin line 3543
  setline(3543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool11650 = alloc_Boolean(0);
// compiled identifier node returning bool11650 (depth = 4)
  adddatum2(obj11619, bool11650, 7);
  sourceObject = obj11619;
// Begin line 3544
  setline(3544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool11651 = alloc_Boolean(0);
// compiled identifier node returning bool11651 (depth = 4)
  adddatum2(obj11619, bool11651, 8);
  objclass11619 = obj11619->class;
  objclass11619->definitionModule = modulename;
  objclass11619->definitionLine = 3536;
  (*(struct UserObject *)self).data[0] = lowerouter11619;
  self = oldself11619;
  selfslot = oldselfslot11619;
  stackframe = oldstackframe11619;
// compiled object node returning obj11619 (depth = 3)
  gc_frame_newslot(obj11619);
// call case 6: other member request
// Begin line 3536
  setline(3536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tokens (depth = 3)
  params[0] = obj11619;
  partcv[0] = 1;
  Object call11652 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe11618);
// compiled call node returning call11652 (depth = 2)
// Begin line 3546
  setline(3546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe11653 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit11654 == NULL) {
    strlit11654 = alloc_String("parsing.");
    gc_root(strlit11654);
  }
// compiled string node returning strlit11654 (depth = 3)
  gc_frame_newslot(strlit11654);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = strlit11654;
  partcv[0] = 1;
  Object call11655 = callmethod(*var_util, "log_verbose",
    1, partcv, params);
  gc_frame_end(callframe11653);
// compiled call node returning call11655 (depth = 2)
// Begin line 3548
  setline(3548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 3547
  setline(3547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num11656 = alloc_Float64(1);
// compiled num node returning num11656 (depth = 3)
  *var_linenum = num11656;
  if (num11656 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 2)
// Begin line 3548
  setline(3548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe11658 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call11659 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11658);
// compiled call node returning call11659 (depth = 3)
// compiled member node returning call11659 (depth = 2)
// Begin line 3550
  setline(3550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 3549
  setline(3549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe11660 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tokens (depth = 5)
  partcv[0] = 0;
  Object call11661 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe11660);
// compiled call node returning call11661 (depth = 4)
// compiled member node returning call11661 (depth = 3)
  *var_oldlength = call11661;
  if (call11661 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 3550
  setline(3550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe11662 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block11663 = alloc_Block(NULL, NULL, "parser", 3550);
  gc_frame_newslot(block11663);
// method _apply
  block_savedest(block11663);
  Object closure11664 = createclosure(2, "_apply");
  setclosureframe(closure11664, stackframe);
  addtoclosure(closure11664, var_tokens);
  addtoclosure(closure11664, selfslot);
  struct UserObject *uo11664 = (struct UserObject*)block11663;
  uo11664->data[0] = (Object)closure11664;
  Method *meth_meth_parser__apply11664 = addmethod2pos(block11663, "_apply", &meth_parser__apply11664, 0);
  int argcv_meth_parser__apply11664[] = {0};
  meth_meth_parser__apply11664->type = alloc_MethodType(1, argcv_meth_parser__apply11664);
  meth_meth_parser__apply11664->definitionModule = modulename;
  meth_meth_parser__apply11664->definitionLine = 3549;
// compiled block node returning block11663 (depth = 3)
  gc_frame_newslot(block11663);
// starting to compile block node (depth = 3)
  Object block11672 = alloc_Block(NULL, NULL, "parser", 3550);
  gc_frame_newslot(block11672);
// method _apply
  block_savedest(block11672);
  Object closure11673 = createclosure(5, "_apply");
  setclosureframe(closure11673, stackframe);
  addtoclosure(closure11673, var_oldlength);
  addtoclosure(closure11673, var_tokens);
  addtoclosure(closure11673, var_errormessages);
  addtoclosure(closure11673, var_sym);
  addtoclosure(closure11673, selfslot);
  struct UserObject *uo11673 = (struct UserObject*)block11672;
  uo11673->data[0] = (Object)closure11673;
  Method *meth_meth_parser__apply11673 = addmethod2pos(block11672, "_apply", &meth_parser__apply11673, 0);
  int argcv_meth_parser__apply11673[] = {0};
  meth_meth_parser__apply11673->type = alloc_MethodType(1, argcv_meth_parser__apply11673);
  meth_meth_parser__apply11673->definitionModule = modulename;
  meth_meth_parser__apply11673->definitionLine = 3550;
// compiled block node returning block11672 (depth = 3)
  gc_frame_newslot(block11672);
// call case 5: prelude request
  params[0] = block11663;
  params[1] = block11672;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11720 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11662);
// compiled call node returning call11720 (depth = 2)
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe11721 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call11722 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11721);
// compiled call node returning call11722 (depth = 3)
// compiled member node returning call11722 (depth = 2)
// Begin line 3566
  setline(3566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_values (depth = 2)
  gc_frame_end(frame);
  return *var_values;
}
Object meth_parser_don_39_tBreak11724(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 69, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "don'tBreak");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_don_39_tBreak = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for don'tBreak (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹don'tBreak›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 8
  setline(8);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_don_39_tBreak (depth = 3)
  gc_frame_end(frame);
  return *var_don_39_tBreak;
}
Object meth_parser_lastline11726(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 70, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastline");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastline = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastline (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹lastline›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lastline (depth = 3)
  gc_frame_end(frame);
  return *var_lastline;
}
Object meth_parser_lastline_58__61_11727(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 71, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastline:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method lastline:=");
  Object params[1];
  int partcv[1];
  Object *var_lastline = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastline:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for Identifier‹lastline:=›");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_lastline = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_linenum11730(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 72, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "linenum");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_linenum = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for linenum (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹linenum›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_linenum (depth = 3)
  gc_frame_end(frame);
  return *var_linenum;
}
Object meth_parser_linenum_58__61_11731(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 73, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "linenum:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method linenum:=");
  Object params[1];
  int partcv[1];
  Object *var_linenum = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for linenum:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for Identifier‹linenum:=›");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_linenum = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_lastIndent11734(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 74, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastIndent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastIndent = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastIndent (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹lastIndent›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lastIndent (depth = 3)
  gc_frame_end(frame);
  return *var_lastIndent;
}
Object meth_parser_lastIndent_58__61_11735(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 75, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastIndent:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method lastIndent:=");
  Object params[1];
  int partcv[1];
  Object *var_lastIndent = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastIndent:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for Identifier‹lastIndent:=›");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_lastIndent = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_indentFreePass11738(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 76, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "indentFreePass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_indentFreePass = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for indentFreePass (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹indentFreePass›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indentFreePass (depth = 3)
  gc_frame_end(frame);
  return *var_indentFreePass;
}
Object meth_parser_indentFreePass_58__61_11739(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 77, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "indentFreePass:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method indentFreePass:=");
  Object params[1];
  int partcv[1];
  Object *var_indentFreePass = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for indentFreePass:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for Identifier‹indentFreePass:=›");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_indentFreePass = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_minIndentLevel11742(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 78, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "minIndentLevel");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_minIndentLevel = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for minIndentLevel (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹minIndentLevel›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_minIndentLevel (depth = 3)
  gc_frame_end(frame);
  return *var_minIndentLevel;
}
Object meth_parser_minIndentLevel_58__61_11743(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 79, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "minIndentLevel:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method minIndentLevel:=");
  Object params[1];
  int partcv[1];
  Object *var_minIndentLevel = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for minIndentLevel:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for Identifier‹minIndentLevel:=›");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_minIndentLevel = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_statementIndent11746(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 80, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statementIndent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_statementIndent = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for statementIndent (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹statementIndent›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_statementIndent (depth = 3)
  gc_frame_end(frame);
  return *var_statementIndent;
}
Object meth_parser_statementIndent_58__61_11747(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 81, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statementIndent:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method statementIndent:=");
  Object params[1];
  int partcv[1];
  Object *var_statementIndent = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for statementIndent:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for Identifier‹statementIndent:=›");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_statementIndent = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_tokens11750(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 82, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "tokens");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for tokens (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹tokens›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tokens (depth = 3)
  gc_frame_end(frame);
  return *var_tokens;
}
Object meth_parser_tokens_58__61_11751(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 83, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "tokens:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method tokens:=");
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for tokens:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for Identifier‹tokens:=›");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_tokens = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_values11754(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 84, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "values");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for values (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹values›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  gc_frame_end(frame);
  return *var_values;
}
Object meth_parser_values_58__61_11755(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 85, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "values:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method values:=");
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for values:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for Identifier‹values:=›");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_values = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_auto_count11758(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 86, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "auto_count");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_auto_count = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for auto_count (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹auto_count›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_auto_count (depth = 3)
  gc_frame_end(frame);
  return *var_auto_count;
}
Object meth_parser_auto_count_58__61_11759(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 87, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "auto_count:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method auto_count:=");
  Object params[1];
  int partcv[1];
  Object *var_auto_count = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for auto_count:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for Identifier‹auto_count:=›");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_auto_count = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_noBlocks11762(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 88, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "noBlocks");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_noBlocks = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for noBlocks (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹noBlocks›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_noBlocks (depth = 3)
  gc_frame_end(frame);
  return *var_noBlocks;
}
Object meth_parser_blocksOK11764(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 89, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "blocksOK");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for blocksOK (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹blocksOK›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_blocksOK (depth = 3)
  gc_frame_end(frame);
  return *var_blocksOK;
}
Object meth_parser_braceIsType11766(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 90, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "braceIsType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_braceIsType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for braceIsType (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹braceIsType›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_braceIsType (depth = 3)
  gc_frame_end(frame);
  return *var_braceIsType;
}
Object meth_parser_braceIsType_58__61_11767(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 91, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "braceIsType:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method braceIsType:=");
  Object params[1];
  int partcv[1];
  Object *var_braceIsType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for braceIsType:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for Identifier‹braceIsType:=›");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_braceIsType = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_defaultDefVisibility11770(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 92, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defaultDefVisibility");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_defaultDefVisibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defaultDefVisibility (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹defaultDefVisibility›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_defaultDefVisibility (depth = 3)
  gc_frame_end(frame);
  return *var_defaultDefVisibility;
}
Object meth_parser_defaultDefVisibility_58__61_11771(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 93, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defaultDefVisibility:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method defaultDefVisibility:=");
  Object params[1];
  int partcv[1];
  Object *var_defaultDefVisibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defaultDefVisibility:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for Identifier‹defaultDefVisibility:=›");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_defaultDefVisibility = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_defaultVarVisibility11774(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 94, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defaultVarVisibility");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_defaultVarVisibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defaultVarVisibility (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹defaultVarVisibility›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_defaultVarVisibility (depth = 3)
  gc_frame_end(frame);
  return *var_defaultVarVisibility;
}
Object meth_parser_defaultVarVisibility_58__61_11775(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 95, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defaultVarVisibility:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method defaultVarVisibility:=");
  Object params[1];
  int partcv[1];
  Object *var_defaultVarVisibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defaultVarVisibility:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for Identifier‹defaultVarVisibility:=›");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_defaultVarVisibility = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_defaultMethodVisibility11778(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 96, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defaultMethodVisibility");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_defaultMethodVisibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defaultMethodVisibility (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹defaultMethodVisibility›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_defaultMethodVisibility (depth = 3)
  gc_frame_end(frame);
  return *var_defaultMethodVisibility;
}
Object meth_parser_defaultMethodVisibility_58__61_11779(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 97, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defaultMethodVisibility:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method defaultMethodVisibility:=");
  Object params[1];
  int partcv[1];
  Object *var_defaultMethodVisibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defaultMethodVisibility:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for Identifier‹defaultMethodVisibility:=›");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_defaultMethodVisibility = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_sym11781(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 98, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "sym");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for sym (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹sym›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  gc_frame_end(frame);
  return *var_sym;
}
Object meth_parser_sym_58__61_11782(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 99, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "sym:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method sym:=");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for sym:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for Identifier‹sym:=›");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_sym = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_lastToken11798(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 100, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹lastToken›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lastToken (depth = 3)
  gc_frame_end(frame);
  return *var_lastToken;
}
Object meth_parser_lastToken_58__61_11799(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 101, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastToken:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method lastToken:=");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastToken:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for Identifier‹lastToken:=›");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_lastToken = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_statementToken11801(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 102, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statementToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_statementToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for statementToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹statementToken›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_statementToken (depth = 3)
  gc_frame_end(frame);
  return *var_statementToken;
}
Object meth_parser_statementToken_58__61_11802(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 103, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statementToken:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method statementToken:=");
  Object params[1];
  int partcv[1];
  Object *var_statementToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for statementToken:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for Identifier‹statementToken:=›");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_statementToken = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_comment11805(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 104, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "comment");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_comment = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for comment (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹comment›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_comment (depth = 3)
  gc_frame_end(frame);
  return *var_comment;
}
Object meth_parser_comment_58__61_11806(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 105, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "comment:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method comment:=");
  Object params[1];
  int partcv[1];
  Object *var_comment = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for comment:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for Identifier‹comment:=›");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_comment = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object module_parser_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(107, 107);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_StandardPrelude_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<parser>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_Object = alloc_var();
  *var_Object = ObjectType;
  type_Object = ObjectType;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  type_Done = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = grace_prelude();
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(107, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object params[1];
  int partcv[1];
Object *var_io = alloc_var();
Object *var_ast = alloc_var();
Object *var_util = alloc_var();
Object *var_collections = alloc_var();
Object *var_errormessages = alloc_var();
  Object *var_don_39_tBreak = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "don'tBreak");
  Object *var_lastline = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "lastline");
  Object *var_linenum = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "linenum");
  Object *var_lastIndent = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "lastIndent");
  Object *var_indentFreePass = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "indentFreePass");
  Object *var_minIndentLevel = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "minIndentLevel");
  Object *var_statementIndent = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "statementIndent");
  Object *var_tokens = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "tokens");
  Object *var_values = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "values");
  Object *var_auto_count = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "auto_count");
  Object *var_noBlocks = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "noBlocks");
  Object *var_blocksOK = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "blocksOK");
  Object *var_braceIsType = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "braceIsType");
  Object *var_defaultDefVisibility = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "defaultDefVisibility");
  Object *var_defaultVarVisibility = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "defaultVarVisibility");
  Object *var_defaultMethodVisibility = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "defaultMethodVisibility");
  Object *var_sym = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "sym");
  Object *var_lastToken = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "lastToken");
  Object *var_statementToken = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "statementToken");
  Object *var_comment = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "comment");
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method next
  block_savedest(self);
  Object closure0 = createclosure(9, "next");
  setclosureframe(closure0, stackframe);
  addtoclosure(closure0, var_sym);
  addtoclosure(closure0, var_lastToken);
  addtoclosure(closure0, var_tokens);
  addtoclosure(closure0, var_linenum);
  addtoclosure(closure0, var_lastline);
  addtoclosure(closure0, var_lastIndent);
  addtoclosure(closure0, var_comment);
  addtoclosure(closure0, var_util);
  addtoclosure(closure0, var_errormessages);
  struct UserObject *uo0 = (struct UserObject*)self;
  uo0->data[1] = (Object)closure0;
  Method *meth_meth_parser_next0 = addmethod2pos(self, "next", &meth_parser_next0, 1);
  int argcv_meth_parser_next0[] = {0};
  meth_meth_parser_next0->type = alloc_MethodType(1, argcv_meth_parser_next0);
  meth_meth_parser_next0->definitionModule = modulename;
  meth_meth_parser_next0->definitionLine = 41;
// compiled method node returning  (depth = 1)
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method findNextToken
  block_savedest(self);
  Object closure110 = createclosure(2, "findNextToken");
  setclosureframe(closure110, stackframe);
  addtoclosure(closure110, var_sym);
  addtoclosure(closure110, var_lastToken);
  struct UserObject *uo110 = (struct UserObject*)self;
  uo110->data[2] = (Object)closure110;
  Method *meth_meth_parser_findNextToken110 = addmethod2pos(self, "findNextToken", &meth_parser_findNextToken110, 2);
  int argcv_meth_parser_findNextToken110[] = {1};
  meth_meth_parser_findNextToken110->type = alloc_MethodType(1, argcv_meth_parser_findNextToken110);
  meth_meth_parser_findNextToken110->definitionModule = modulename;
  meth_meth_parser_findNextToken110->definitionLine = 73;
// compiled method node returning  (depth = 1)
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method findNextTokenIndentedAt
  block_savedest(self);
  Object closure155 = createclosure(1, "findNextTokenIndentedAt");
  setclosureframe(closure155, stackframe);
  addtoclosure(closure155, var_sym);
  struct UserObject *uo155 = (struct UserObject*)self;
  uo155->data[3] = (Object)closure155;
  Method *meth_meth_parser_findNextTokenIndentedAt155 = addmethod2pos(self, "findNextTokenIndentedAt", &meth_parser_findNextTokenIndentedAt155, 3);
  int argcv_meth_parser_findNextTokenIndentedAt155[] = {1};
  meth_meth_parser_findNextTokenIndentedAt155->type = alloc_MethodType(1, argcv_meth_parser_findNextTokenIndentedAt155);
  meth_meth_parser_findNextTokenIndentedAt155->definitionModule = modulename;
  meth_meth_parser_findNextTokenIndentedAt155->definitionLine = 88;
// compiled method node returning  (depth = 1)
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method findNextValidToken
  block_savedest(self);
  Object closure236 = createclosure(1, "findNextValidToken");
  setclosureframe(closure236, stackframe);
  addtoclosure(closure236, var_sym);
  struct UserObject *uo236 = (struct UserObject*)self;
  uo236->data[4] = (Object)closure236;
  Method *meth_meth_parser_findNextValidToken236 = addmethod2pos(self, "findNextValidToken", &meth_parser_findNextValidToken236, 4);
  int argcv_meth_parser_findNextValidToken236[] = {0};
  meth_meth_parser_findNextValidToken236->type = alloc_MethodType(1, argcv_meth_parser_findNextValidToken236);
  meth_meth_parser_findNextValidToken236->definitionModule = modulename;
  meth_meth_parser_findNextValidToken236->definitionLine = 103;
// compiled method node returning  (depth = 1)
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method findClosingBrace
  block_savedest(self);
  Object closure275 = createclosure(1, "findClosingBrace");
  setclosureframe(closure275, stackframe);
  addtoclosure(closure275, var_sym);
  struct UserObject *uo275 = (struct UserObject*)self;
  uo275->data[5] = (Object)closure275;
  Method *meth_meth_parser_findClosingBrace275 = addmethod2pos(self, "findClosingBrace", &meth_parser_findClosingBrace275, 5);
  int argcv_meth_parser_findClosingBrace275[] = {2};
  meth_meth_parser_findClosingBrace275->type = alloc_MethodType(1, argcv_meth_parser_findClosingBrace275);
  meth_meth_parser_findClosingBrace275->definitionModule = modulename;
  meth_meth_parser_findClosingBrace275->definitionLine = 127;
// compiled method node returning  (depth = 1)
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method accept
  block_savedest(self);
  Object closure427 = createclosure(1, "accept");
  setclosureframe(closure427, stackframe);
  addtoclosure(closure427, var_sym);
  struct UserObject *uo427 = (struct UserObject*)self;
  uo427->data[6] = (Object)closure427;
  Method *meth_meth_parser_accept427 = addmethod2pos(self, "accept", &meth_parser_accept427, 6);
  int argcv_meth_parser_accept427[] = {1};
  meth_meth_parser_accept427->type = alloc_MethodType(1, argcv_meth_parser_accept427);
  meth_meth_parser_accept427->definitionModule = modulename;
  meth_meth_parser_accept427->definitionLine = 163;
// compiled method node returning  (depth = 1)
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method acceptSameLine
  block_savedest(self);
  Object closure433 = createclosure(3, "acceptSameLine");
  setclosureframe(closure433, stackframe);
  addtoclosure(closure433, var_lastIndent);
  addtoclosure(closure433, var_sym);
  addtoclosure(closure433, var_lastline);
  struct UserObject *uo433 = (struct UserObject*)self;
  uo433->data[7] = (Object)closure433;
  Method *meth_meth_parser_acceptSameLine433 = addmethod2pos(self, "acceptSameLine", &meth_parser_acceptSameLine433, 7);
  int argcv_meth_parser_acceptSameLine433[] = {1};
  meth_meth_parser_acceptSameLine433->type = alloc_MethodType(1, argcv_meth_parser_acceptSameLine433);
  meth_meth_parser_acceptSameLine433->definitionModule = modulename;
  meth_meth_parser_acceptSameLine433->definitionLine = 170;
// compiled method node returning  (depth = 1)
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method accept()onLineOf
  block_savedest(self);
  Object closure455 = createclosure(1, "accept()onLineOf");
  setclosureframe(closure455, stackframe);
  addtoclosure(closure455, var_sym);
  struct UserObject *uo455 = (struct UserObject*)self;
  uo455->data[8] = (Object)closure455;
  Method *meth_meth_parser_accept_40__41_onLineOf455 = addmethod2pos(self, "accept()onLineOf", &meth_parser_accept_40__41_onLineOf455, 8);
  int argcv_meth_parser_accept_40__41_onLineOf455[] = {1, 1};
  meth_meth_parser_accept_40__41_onLineOf455->type = alloc_MethodType(2, argcv_meth_parser_accept_40__41_onLineOf455);
  meth_meth_parser_accept_40__41_onLineOf455->definitionModule = modulename;
  meth_meth_parser_accept_40__41_onLineOf455->definitionLine = 177;
// compiled method node returning  (depth = 1)
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method accept()onLineOfLastOr
  block_savedest(self);
  Object closure481 = createclosure(2, "accept()onLineOfLastOr");
  setclosureframe(closure481, stackframe);
  addtoclosure(closure481, var_sym);
  addtoclosure(closure481, var_lastToken);
  struct UserObject *uo481 = (struct UserObject*)self;
  uo481->data[9] = (Object)closure481;
  Method *meth_meth_parser_accept_40__41_onLineOfLastOr481 = addmethod2pos(self, "accept()onLineOfLastOr", &meth_parser_accept_40__41_onLineOfLastOr481, 9);
  int argcv_meth_parser_accept_40__41_onLineOfLastOr481[] = {1, 1};
  meth_meth_parser_accept_40__41_onLineOfLastOr481->type = alloc_MethodType(2, argcv_meth_parser_accept_40__41_onLineOfLastOr481);
  meth_meth_parser_accept_40__41_onLineOfLastOr481->definitionModule = modulename;
  meth_meth_parser_accept_40__41_onLineOfLastOr481->definitionLine = 183;
// compiled method node returning  (depth = 1)
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method tokenOnSameLine
  block_savedest(self);
  Object closure517 = createclosure(3, "tokenOnSameLine");
  setclosureframe(closure517, stackframe);
  addtoclosure(closure517, var_lastIndent);
  addtoclosure(closure517, var_sym);
  addtoclosure(closure517, var_lastline);
  struct UserObject *uo517 = (struct UserObject*)self;
  uo517->data[10] = (Object)closure517;
  Method *meth_meth_parser_tokenOnSameLine517 = addmethod2pos(self, "tokenOnSameLine", &meth_parser_tokenOnSameLine517, 10);
  int argcv_meth_parser_tokenOnSameLine517[] = {0};
  meth_meth_parser_tokenOnSameLine517->type = alloc_MethodType(1, argcv_meth_parser_tokenOnSameLine517);
  meth_meth_parser_tokenOnSameLine517->definitionModule = modulename;
  meth_meth_parser_tokenOnSameLine517->definitionLine = 188;
// compiled method node returning  (depth = 1)
// Begin line 192
  setline(192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method didConsume
  block_savedest(self);
  Object closure531 = createclosure(1, "didConsume");
  setclosureframe(closure531, stackframe);
  addtoclosure(closure531, var_tokens);
  struct UserObject *uo531 = (struct UserObject*)self;
  uo531->data[11] = (Object)closure531;
  Method *meth_meth_parser_didConsume531 = addmethod2pos(self, "didConsume", &meth_parser_didConsume531, 11);
  int argcv_meth_parser_didConsume531[] = {1};
  meth_meth_parser_didConsume531->type = alloc_MethodType(1, argcv_meth_parser_didConsume531);
  meth_meth_parser_didConsume531->definitionModule = modulename;
  meth_meth_parser_didConsume531->definitionLine = 192;
// compiled method node returning  (depth = 1)
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method ifConsume()then
  block_savedest(self);
  Object closure541 = createclosure(1, "ifConsume()then");
  setclosureframe(closure541, stackframe);
  addtoclosure(closure541, var_tokens);
  struct UserObject *uo541 = (struct UserObject*)self;
  uo541->data[12] = (Object)closure541;
  Method *meth_meth_parser_ifConsume_40__41_then541 = addmethod2pos(self, "ifConsume()then", &meth_parser_ifConsume_40__41_then541, 12);
  int argcv_meth_parser_ifConsume_40__41_then541[] = {1, 1};
  meth_meth_parser_ifConsume_40__41_then541->type = alloc_MethodType(2, argcv_meth_parser_ifConsume_40__41_then541);
  meth_meth_parser_ifConsume_40__41_then541->definitionModule = modulename;
  meth_meth_parser_ifConsume_40__41_then541->definitionLine = 198;
// compiled method node returning  (depth = 1)
// Begin line 207
  setline(207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method pushnum
  block_savedest(self);
  Object closure554 = createclosure(3, "pushnum");
  setclosureframe(closure554, stackframe);
  addtoclosure(closure554, var_sym);
  addtoclosure(closure554, var_ast);
  addtoclosure(closure554, var_values);
  struct UserObject *uo554 = (struct UserObject*)self;
  uo554->data[13] = (Object)closure554;
  Method *meth_meth_parser_pushnum554 = addmethod2pos(self, "pushnum", &meth_parser_pushnum554, 13);
  int argcv_meth_parser_pushnum554[] = {0};
  meth_meth_parser_pushnum554->type = alloc_MethodType(1, argcv_meth_parser_pushnum554);
  meth_meth_parser_pushnum554->definitionModule = modulename;
  meth_meth_parser_pushnum554->definitionLine = 207;
// compiled method node returning  (depth = 1)
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method pushoctets
  block_savedest(self);
  Object closure565 = createclosure(3, "pushoctets");
  setclosureframe(closure565, stackframe);
  addtoclosure(closure565, var_sym);
  addtoclosure(closure565, var_ast);
  addtoclosure(closure565, var_values);
  struct UserObject *uo565 = (struct UserObject*)self;
  uo565->data[14] = (Object)closure565;
  Method *meth_meth_parser_pushoctets565 = addmethod2pos(self, "pushoctets", &meth_parser_pushoctets565, 14);
  int argcv_meth_parser_pushoctets565[] = {0};
  meth_meth_parser_pushoctets565->type = alloc_MethodType(1, argcv_meth_parser_pushoctets565);
  meth_meth_parser_pushoctets565->definitionModule = modulename;
  meth_meth_parser_pushoctets565->definitionLine = 214;
// compiled method node returning  (depth = 1)
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method pushstring
  block_savedest(self);
  Object closure576 = createclosure(3, "pushstring");
  setclosureframe(closure576, stackframe);
  addtoclosure(closure576, var_sym);
  addtoclosure(closure576, var_ast);
  addtoclosure(closure576, var_values);
  struct UserObject *uo576 = (struct UserObject*)self;
  uo576->data[15] = (Object)closure576;
  Method *meth_meth_parser_pushstring576 = addmethod2pos(self, "pushstring", &meth_parser_pushstring576, 15);
  int argcv_meth_parser_pushstring576[] = {0};
  meth_meth_parser_pushstring576->type = alloc_MethodType(1, argcv_meth_parser_pushstring576);
  meth_meth_parser_pushstring576->definitionModule = modulename;
  meth_meth_parser_pushstring576->definitionLine = 221;
// compiled method node returning  (depth = 1)
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method pushidentifier
  block_savedest(self);
  Object closure587 = createclosure(5, "pushidentifier");
  setclosureframe(closure587, stackframe);
  addtoclosure(closure587, var_sym);
  addtoclosure(closure587, var_util);
  addtoclosure(closure587, var_ast);
  addtoclosure(closure587, var_auto_count);
  addtoclosure(closure587, var_values);
  struct UserObject *uo587 = (struct UserObject*)self;
  uo587->data[16] = (Object)closure587;
  Method *meth_meth_parser_pushidentifier587 = addmethod2pos(self, "pushidentifier", &meth_parser_pushidentifier587, 16);
  int argcv_meth_parser_pushidentifier587[] = {0};
  meth_meth_parser_pushidentifier587->type = alloc_MethodType(1, argcv_meth_parser_pushidentifier587);
  meth_meth_parser_pushidentifier587->definitionModule = modulename;
  meth_meth_parser_pushidentifier587->definitionLine = 229;
// compiled method node returning  (depth = 1)
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method adjustVisibilityOf()withSpecialDefault()overriding
  block_savedest(self);
  Object closure626 = createclosure(2, "adjustVisibilityOf()withSpecialDefault()overriding");
  setclosureframe(closure626, stackframe);
  addtoclosure(closure626, var_done);
  addtoclosure(closure626, var_ast);
  struct UserObject *uo626 = (struct UserObject*)self;
  uo626->data[17] = (Object)closure626;
  Method *meth_meth_parser_adjustVisibilityOf_40__41_withSpecialDefault_40__41_overriding626 = addmethod2pos(self, "adjustVisibilityOf()withSpecialDefault()overriding", &meth_parser_adjustVisibilityOf_40__41_withSpecialDefault_40__41_overriding626, 17);
  int argcv_meth_parser_adjustVisibilityOf_40__41_withSpecialDefault_40__41_overriding626[] = {1, 1, 1};
  meth_meth_parser_adjustVisibilityOf_40__41_withSpecialDefault_40__41_overriding626->type = alloc_MethodType(3, argcv_meth_parser_adjustVisibilityOf_40__41_withSpecialDefault_40__41_overriding626);
  meth_meth_parser_adjustVisibilityOf_40__41_withSpecialDefault_40__41_overriding626->definitionModule = modulename;
  meth_meth_parser_adjustVisibilityOf_40__41_withSpecialDefault_40__41_overriding626->definitionLine = 241;
// compiled method node returning  (depth = 1)
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method checkAnnotation
  block_savedest(self);
  Object closure684 = createclosure(2, "checkAnnotation");
  setclosureframe(closure684, stackframe);
  addtoclosure(closure684, var_sym);
  addtoclosure(closure684, var_errormessages);
  struct UserObject *uo684 = (struct UserObject*)self;
  uo684->data[18] = (Object)closure684;
  Method *meth_meth_parser_checkAnnotation684 = addmethod2pos(self, "checkAnnotation", &meth_parser_checkAnnotation684, 18);
  int argcv_meth_parser_checkAnnotation684[] = {1};
  meth_meth_parser_checkAnnotation684->type = alloc_MethodType(1, argcv_meth_parser_checkAnnotation684);
  meth_meth_parser_checkAnnotation684->definitionModule = modulename;
  meth_meth_parser_checkAnnotation684->definitionLine = 258;
// compiled method node returning  (depth = 1)
// Begin line 276
  setline(276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method doannotation
  block_savedest(self);
  Object closure773 = createclosure(6, "doannotation");
  setclosureframe(closure773, stackframe);
  addtoclosure(closure773, var_sym);
  addtoclosure(closure773, var_collections);
  addtoclosure(closure773, var_noBlocks);
  addtoclosure(closure773, var_errormessages);
  addtoclosure(closure773, var_lastToken);
  addtoclosure(closure773, var_values);
  struct UserObject *uo773 = (struct UserObject*)self;
  uo773->data[19] = (Object)closure773;
  Method *meth_meth_parser_doannotation773 = addmethod2pos(self, "doannotation", &meth_parser_doannotation773, 19);
  int argcv_meth_parser_doannotation773[] = {0};
  meth_meth_parser_doannotation773->type = alloc_MethodType(1, argcv_meth_parser_doannotation773);
  meth_meth_parser_doannotation773->definitionModule = modulename;
  meth_meth_parser_doannotation773->definitionLine = 276;
// compiled method node returning  (depth = 1)
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method blank
  block_savedest(self);
  Object closure949 = createclosure(5, "blank");
  setclosureframe(closure949, stackframe);
  addtoclosure(closure949, var_lastToken);
  addtoclosure(closure949, var_sym);
  addtoclosure(closure949, var_values);
  addtoclosure(closure949, var_util);
  addtoclosure(closure949, var_ast);
  struct UserObject *uo949 = (struct UserObject*)self;
  uo949->data[20] = (Object)closure949;
  Method *meth_meth_parser_blank949 = addmethod2pos(self, "blank", &meth_parser_blank949, 20);
  int argcv_meth_parser_blank949[] = {0};
  meth_meth_parser_blank949->type = alloc_MethodType(1, argcv_meth_parser_blank949);
  meth_meth_parser_blank949->definitionModule = modulename;
  meth_meth_parser_blank949->definitionLine = 322;
// compiled method node returning  (depth = 1)
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method dotypeterm
  block_savedest(self);
  Object closure993 = createclosure(2, "dotypeterm");
  setclosureframe(closure993, stackframe);
  addtoclosure(closure993, var_noBlocks);
  addtoclosure(closure993, var_sym);
  struct UserObject *uo993 = (struct UserObject*)self;
  uo993->data[21] = (Object)closure993;
  Method *meth_meth_parser_dotypeterm993 = addmethod2pos(self, "dotypeterm", &meth_parser_dotypeterm993, 21);
  int argcv_meth_parser_dotypeterm993[] = {0};
  meth_meth_parser_dotypeterm993->type = alloc_MethodType(1, argcv_meth_parser_dotypeterm993);
  meth_meth_parser_dotypeterm993->definitionModule = modulename;
  meth_meth_parser_dotypeterm993->definitionLine = 333;
// compiled method node returning  (depth = 1)
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method typeexpression
  block_savedest(self);
  Object closure1021 = createclosure(6, "typeexpression");
  setclosureframe(closure1021, stackframe);
  addtoclosure(closure1021, var_values);
  addtoclosure(closure1021, var_statementToken);
  addtoclosure(closure1021, var_sym);
  addtoclosure(closure1021, var_errormessages);
  addtoclosure(closure1021, var_lastToken);
  addtoclosure(closure1021, var_noBlocks);
  struct UserObject *uo1021 = (struct UserObject*)self;
  uo1021->data[22] = (Object)closure1021;
  Method *meth_meth_parser_typeexpression1021 = addmethod2pos(self, "typeexpression", &meth_parser_typeexpression1021, 22);
  int argcv_meth_parser_typeexpression1021[] = {0};
  meth_meth_parser_typeexpression1021->type = alloc_MethodType(1, argcv_meth_parser_typeexpression1021);
  meth_meth_parser_typeexpression1021->definitionModule = modulename;
  meth_meth_parser_typeexpression1021->definitionLine = 345;
// compiled method node returning  (depth = 1)
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method newIf
  block_savedest(self);
  Object closure1112 = createclosure(1, "newIf");
  setclosureframe(closure1112, stackframe);
  addtoclosure(closure1112, var_ast);
  struct UserObject *uo1112 = (struct UserObject*)self;
  uo1112->data[23] = (Object)closure1112;
  Method *meth_meth_parser_newIf1112 = addmethod2pos(self, "newIf", &meth_parser_newIf1112, 23);
  int argcv_meth_parser_newIf1112[] = {3};
  meth_meth_parser_newIf1112->type = alloc_MethodType(1, argcv_meth_parser_newIf1112);
  meth_meth_parser_newIf1112->definitionModule = modulename;
  meth_meth_parser_newIf1112->definitionLine = 382;
// compiled method node returning  (depth = 1)
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method block
  block_savedest(self);
  Object closure1127 = createclosure(12, "block");
  setclosureframe(closure1127, stackframe);
  addtoclosure(closure1127, var_sym);
  addtoclosure(closure1127, var_statementIndent);
  addtoclosure(closure1127, var_statementToken);
  addtoclosure(closure1127, var_blocksOK);
  addtoclosure(closure1127, var_values);
  addtoclosure(closure1127, var_braceIsType);
  addtoclosure(closure1127, var_errormessages);
  addtoclosure(closure1127, var_lastToken);
  addtoclosure(closure1127, var_indentFreePass);
  addtoclosure(closure1127, var_ast);
  addtoclosure(closure1127, var_minIndentLevel);
  addtoclosure(closure1127, var_util);
  struct UserObject *uo1127 = (struct UserObject*)self;
  uo1127->data[24] = (Object)closure1127;
  Method *meth_meth_parser_block1127 = addmethod2pos(self, "block", &meth_parser_block1127, 24);
  int argcv_meth_parser_block1127[] = {0};
  meth_meth_parser_block1127->type = alloc_MethodType(1, argcv_meth_parser_block1127);
  meth_meth_parser_block1127->definitionModule = modulename;
  meth_meth_parser_block1127->definitionLine = 389;
// compiled method node returning  (depth = 1)
// Begin line 559
  setline(559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method doif
  block_savedest(self);
  Object closure1639 = createclosure(8, "doif");
  setclosureframe(closure1639, stackframe);
  addtoclosure(closure1639, var_sym);
  addtoclosure(closure1639, var_errormessages);
  addtoclosure(closure1639, var_blocksOK);
  addtoclosure(closure1639, var_lastToken);
  addtoclosure(closure1639, var_values);
  addtoclosure(closure1639, var_minIndentLevel);
  addtoclosure(closure1639, var_statementIndent);
  addtoclosure(closure1639, var_statementToken);
  struct UserObject *uo1639 = (struct UserObject*)self;
  uo1639->data[25] = (Object)closure1639;
  Method *meth_meth_parser_doif1639 = addmethod2pos(self, "doif", &meth_parser_doif1639, 25);
  int argcv_meth_parser_doif1639[] = {0};
  meth_meth_parser_doif1639->type = alloc_MethodType(1, argcv_meth_parser_doif1639);
  meth_meth_parser_doif1639->definitionModule = modulename;
  meth_meth_parser_doif1639->definitionLine = 559;
// compiled method node returning  (depth = 1)
// Begin line 940
  setline(940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method identifier
  block_savedest(self);
  Object closure3009 = createclosure(1, "identifier");
  setclosureframe(closure3009, stackframe);
  addtoclosure(closure3009, var_sym);
  struct UserObject *uo3009 = (struct UserObject*)self;
  uo3009->data[26] = (Object)closure3009;
  Method *meth_meth_parser_identifier3009 = addmethod2pos(self, "identifier", &meth_parser_identifier3009, 26);
  int argcv_meth_parser_identifier3009[] = {0};
  meth_meth_parser_identifier3009->type = alloc_MethodType(1, argcv_meth_parser_identifier3009);
  meth_meth_parser_identifier3009->definitionModule = modulename;
  meth_meth_parser_identifier3009->definitionLine = 940;
// compiled method node returning  (depth = 1)
// Begin line 950
  setline(950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method prefixop
  block_savedest(self);
  Object closure3025 = createclosure(6, "prefixop");
  setclosureframe(closure3025, stackframe);
  addtoclosure(closure3025, var_sym);
  addtoclosure(closure3025, var_blocksOK);
  addtoclosure(closure3025, var_errormessages);
  addtoclosure(closure3025, var_lastToken);
  addtoclosure(closure3025, var_values);
  addtoclosure(closure3025, var_ast);
  struct UserObject *uo3025 = (struct UserObject*)self;
  uo3025->data[27] = (Object)closure3025;
  Method *meth_meth_parser_prefixop3025 = addmethod2pos(self, "prefixop", &meth_parser_prefixop3025, 27);
  int argcv_meth_parser_prefixop3025[] = {0};
  meth_meth_parser_prefixop3025->type = alloc_MethodType(1, argcv_meth_parser_prefixop3025);
  meth_meth_parser_prefixop3025->definitionModule = modulename;
  meth_meth_parser_prefixop3025->definitionLine = 950;
// compiled method node returning  (depth = 1)
// Begin line 1007
  setline(1007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method generic
  block_savedest(self);
  Object closure3212 = createclosure(5, "generic");
  setclosureframe(closure3212, stackframe);
  addtoclosure(closure3212, var_values);
  addtoclosure(closure3212, var_sym);
  addtoclosure(closure3212, var_errormessages);
  addtoclosure(closure3212, var_lastToken);
  addtoclosure(closure3212, var_ast);
  struct UserObject *uo3212 = (struct UserObject*)self;
  uo3212->data[28] = (Object)closure3212;
  Method *meth_meth_parser_generic3212 = addmethod2pos(self, "generic", &meth_parser_generic3212, 28);
  int argcv_meth_parser_generic3212[] = {0};
  meth_meth_parser_generic3212->type = alloc_MethodType(1, argcv_meth_parser_generic3212);
  meth_meth_parser_generic3212->definitionModule = modulename;
  meth_meth_parser_generic3212->definitionLine = 1007;
// compiled method node returning  (depth = 1)
// Begin line 1067
  setline(1067);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method trycatch
  block_savedest(self);
  Object closure3398 = createclosure(8, "trycatch");
  setclosureframe(closure3398, stackframe);
  addtoclosure(closure3398, var_sym);
  addtoclosure(closure3398, var_minIndentLevel);
  addtoclosure(closure3398, var_errormessages);
  addtoclosure(closure3398, var_lastToken);
  addtoclosure(closure3398, var_blocksOK);
  addtoclosure(closure3398, var_values);
  addtoclosure(closure3398, var_tokens);
  addtoclosure(closure3398, var_ast);
  struct UserObject *uo3398 = (struct UserObject*)self;
  uo3398->data[29] = (Object)closure3398;
  Method *meth_meth_parser_trycatch3398 = addmethod2pos(self, "trycatch", &meth_parser_trycatch3398, 29);
  int argcv_meth_parser_trycatch3398[] = {0};
  meth_meth_parser_trycatch3398->type = alloc_MethodType(1, argcv_meth_parser_trycatch3398);
  meth_meth_parser_trycatch3398->definitionModule = modulename;
  meth_meth_parser_trycatch3398->definitionLine = 1067;
// compiled method node returning  (depth = 1)
// Begin line 1234
  setline(1234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method catchcase
  block_savedest(self);
  Object closure3990 = createclosure(9, "catchcase");
  setclosureframe(closure3990, stackframe);
  addtoclosure(closure3990, var_sym);
  addtoclosure(closure3990, var_minIndentLevel);
  addtoclosure(closure3990, var_util);
  addtoclosure(closure3990, var_errormessages);
  addtoclosure(closure3990, var_lastToken);
  addtoclosure(closure3990, var_blocksOK);
  addtoclosure(closure3990, var_values);
  addtoclosure(closure3990, var_tokens);
  addtoclosure(closure3990, var_ast);
  struct UserObject *uo3990 = (struct UserObject*)self;
  uo3990->data[30] = (Object)closure3990;
  Method *meth_meth_parser_catchcase3990 = addmethod2pos(self, "catchcase", &meth_parser_catchcase3990, 30);
  int argcv_meth_parser_catchcase3990[] = {0};
  meth_meth_parser_catchcase3990->type = alloc_MethodType(1, argcv_meth_parser_catchcase3990);
  meth_meth_parser_catchcase3990->definitionModule = modulename;
  meth_meth_parser_catchcase3990->definitionLine = 1234;
// compiled method node returning  (depth = 1)
// Begin line 1395
  setline(1395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method matchcase
  block_savedest(self);
  Object closure4552 = createclosure(8, "matchcase");
  setclosureframe(closure4552, stackframe);
  addtoclosure(closure4552, var_sym);
  addtoclosure(closure4552, var_minIndentLevel);
  addtoclosure(closure4552, var_errormessages);
  addtoclosure(closure4552, var_blocksOK);
  addtoclosure(closure4552, var_lastToken);
  addtoclosure(closure4552, var_values);
  addtoclosure(closure4552, var_tokens);
  addtoclosure(closure4552, var_ast);
  struct UserObject *uo4552 = (struct UserObject*)self;
  uo4552->data[31] = (Object)closure4552;
  Method *meth_meth_parser_matchcase4552 = addmethod2pos(self, "matchcase", &meth_parser_matchcase4552, 31);
  int argcv_meth_parser_matchcase4552[] = {0};
  meth_meth_parser_matchcase4552->type = alloc_MethodType(1, argcv_meth_parser_matchcase4552);
  meth_meth_parser_matchcase4552->definitionModule = modulename;
  meth_meth_parser_matchcase4552->definitionLine = 1395;
// compiled method node returning  (depth = 1)
// Begin line 1548
  setline(1548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method term
  block_savedest(self);
  Object closure4919 = createclosure(2, "term");
  setclosureframe(closure4919, stackframe);
  addtoclosure(closure4919, var_sym);
  addtoclosure(closure4919, var_util);
  struct UserObject *uo4919 = (struct UserObject*)self;
  uo4919->data[32] = (Object)closure4919;
  Method *meth_meth_parser_term4919 = addmethod2pos(self, "term", &meth_parser_term4919, 32);
  int argcv_meth_parser_term4919[] = {0};
  meth_meth_parser_term4919->type = alloc_MethodType(1, argcv_meth_parser_term4919);
  meth_meth_parser_term4919->definitionModule = modulename;
  meth_meth_parser_term4919->definitionLine = 1548;
// compiled method node returning  (depth = 1)
// Begin line 1582
  setline(1582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method expression
  block_savedest(self);
  Object closure5045 = createclosure(6, "expression");
  setclosureframe(closure5045, stackframe);
  addtoclosure(closure5045, var_values);
  addtoclosure(closure5045, var_sym);
  addtoclosure(closure5045, var_util);
  addtoclosure(closure5045, var_statementToken);
  addtoclosure(closure5045, var_errormessages);
  addtoclosure(closure5045, var_lastToken);
  struct UserObject *uo5045 = (struct UserObject*)self;
  uo5045->data[33] = (Object)closure5045;
  Method *meth_meth_parser_expression5045 = addmethod2pos(self, "expression", &meth_parser_expression5045, 33);
  int argcv_meth_parser_expression5045[] = {1};
  meth_meth_parser_expression5045->type = alloc_MethodType(1, argcv_meth_parser_expression5045);
  meth_meth_parser_expression5045->definitionModule = modulename;
  meth_meth_parser_expression5045->definitionLine = 1582;
// compiled method node returning  (depth = 1)
// Begin line 1623
  setline(1623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method postfixsquare
  block_savedest(self);
  Object closure5152 = createclosure(6, "postfixsquare");
  setclosureframe(closure5152, stackframe);
  addtoclosure(closure5152, var_values);
  addtoclosure(closure5152, var_blocksOK);
  addtoclosure(closure5152, var_errormessages);
  addtoclosure(closure5152, var_sym);
  addtoclosure(closure5152, var_lastToken);
  addtoclosure(closure5152, var_ast);
  struct UserObject *uo5152 = (struct UserObject*)self;
  uo5152->data[34] = (Object)closure5152;
  Method *meth_meth_parser_postfixsquare5152 = addmethod2pos(self, "postfixsquare", &meth_parser_postfixsquare5152, 34);
  int argcv_meth_parser_postfixsquare5152[] = {0};
  meth_meth_parser_postfixsquare5152->type = alloc_MethodType(1, argcv_meth_parser_postfixsquare5152);
  meth_meth_parser_postfixsquare5152->definitionModule = modulename;
  meth_meth_parser_postfixsquare5152->definitionLine = 1623;
// compiled method node returning  (depth = 1)
// Begin line 1664
  setline(1664);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method oprec
  struct UserObject *uo5262 = (struct UserObject*)self;
  uo5262->data[35] = emptyclosure;
  Method *meth_meth_parser_oprec5262 = addmethod2pos(self, "oprec", &meth_parser_oprec5262, 35);
  int argcv_meth_parser_oprec5262[] = {1};
  meth_meth_parser_oprec5262->type = alloc_MethodType(1, argcv_meth_parser_oprec5262);
  meth_meth_parser_oprec5262->definitionModule = modulename;
  meth_meth_parser_oprec5262->definitionLine = 1664;
// compiled method node returning  (depth = 1)
// Begin line 1674
  setline(1674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method toprec
  struct UserObject *uo5276 = (struct UserObject*)self;
  uo5276->data[36] = emptyclosure;
  Method *meth_meth_parser_toprec5276 = addmethod2pos(self, "toprec", &meth_parser_toprec5276, 36);
  int argcv_meth_parser_toprec5276[] = {1};
  meth_meth_parser_toprec5276->type = alloc_MethodType(1, argcv_meth_parser_toprec5276);
  meth_meth_parser_toprec5276->definitionModule = modulename;
  meth_meth_parser_toprec5276->definitionLine = 1674;
// compiled method node returning  (depth = 1)
// Begin line 1683
  setline(1683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method typeexpressionrest
  block_savedest(self);
  Object closure5289 = createclosure(1, "typeexpressionrest");
  setclosureframe(closure5289, stackframe);
  addtoclosure(closure5289, var_noBlocks);
  struct UserObject *uo5289 = (struct UserObject*)self;
  uo5289->data[37] = (Object)closure5289;
  Method *meth_meth_parser_typeexpressionrest5289 = addmethod2pos(self, "typeexpressionrest", &meth_parser_typeexpressionrest5289, 37);
  int argcv_meth_parser_typeexpressionrest5289[] = {0};
  meth_meth_parser_typeexpressionrest5289->type = alloc_MethodType(1, argcv_meth_parser_typeexpressionrest5289);
  meth_meth_parser_typeexpressionrest5289->definitionModule = modulename;
  meth_meth_parser_typeexpressionrest5289->definitionLine = 1683;
// compiled method node returning  (depth = 1)
// Begin line 1689
  setline(1689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method valueexpressionrest
  block_savedest(self);
  Object closure5302 = createclosure(1, "valueexpressionrest");
  setclosureframe(closure5302, stackframe);
  addtoclosure(closure5302, var_blocksOK);
  struct UserObject *uo5302 = (struct UserObject*)self;
  uo5302->data[38] = (Object)closure5302;
  Method *meth_meth_parser_valueexpressionrest5302 = addmethod2pos(self, "valueexpressionrest", &meth_parser_valueexpressionrest5302, 38);
  int argcv_meth_parser_valueexpressionrest5302[] = {0};
  meth_meth_parser_valueexpressionrest5302->type = alloc_MethodType(1, argcv_meth_parser_valueexpressionrest5302);
  meth_meth_parser_valueexpressionrest5302->definitionModule = modulename;
  meth_meth_parser_valueexpressionrest5302->definitionLine = 1689;
// compiled method node returning  (depth = 1)
// Begin line 1695
  setline(1695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method expressionrest()recursingWith()blocks
  block_savedest(self);
  Object closure5315 = createclosure(7, "expressionrest()recursingWith()blocks");
  setclosureframe(closure5315, stackframe);
  addtoclosure(closure5315, var_values);
  addtoclosure(closure5315, var_sym);
  addtoclosure(closure5315, var_statementToken);
  addtoclosure(closure5315, var_errormessages);
  addtoclosure(closure5315, var_lastToken);
  addtoclosure(closure5315, var_ast);
  addtoclosure(closure5315, var_util);
  struct UserObject *uo5315 = (struct UserObject*)self;
  uo5315->data[39] = (Object)closure5315;
  Method *meth_meth_parser_expressionrest_40__41_recursingWith_40__41_blocks5315 = addmethod2pos(self, "expressionrest()recursingWith()blocks", &meth_parser_expressionrest_40__41_recursingWith_40__41_blocks5315, 39);
  int argcv_meth_parser_expressionrest_40__41_recursingWith_40__41_blocks5315[] = {1, 1, 1};
  meth_meth_parser_expressionrest_40__41_recursingWith_40__41_blocks5315->type = alloc_MethodType(3, argcv_meth_parser_expressionrest_40__41_recursingWith_40__41_blocks5315);
  meth_meth_parser_expressionrest_40__41_recursingWith_40__41_blocks5315->definitionModule = modulename;
  meth_meth_parser_expressionrest_40__41_recursingWith_40__41_blocks5315->definitionLine = 1695;
// compiled method node returning  (depth = 1)
// Begin line 1840
  setline(1840);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method dotrest
  block_savedest(self);
  Object closure5810 = createclosure(6, "dotrest");
  setclosureframe(closure5810, stackframe);
  addtoclosure(closure5810, var_sym);
  addtoclosure(closure5810, var_util);
  addtoclosure(closure5810, var_values);
  addtoclosure(closure5810, var_ast);
  addtoclosure(closure5810, var_errormessages);
  addtoclosure(closure5810, var_lastToken);
  struct UserObject *uo5810 = (struct UserObject*)self;
  uo5810->data[40] = (Object)closure5810;
  Method *meth_meth_parser_dotrest5810 = addmethod2pos(self, "dotrest", &meth_parser_dotrest5810, 40);
  int argcv_meth_parser_dotrest5810[] = {1};
  meth_meth_parser_dotrest5810->type = alloc_MethodType(1, argcv_meth_parser_dotrest5810);
  meth_meth_parser_dotrest5810->definitionModule = modulename;
  meth_meth_parser_dotrest5810->definitionLine = 1840;
// compiled method node returning  (depth = 1)
// Begin line 1875
  setline(1875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method callrest
  block_savedest(self);
  Object closure5916 = createclosure(6, "callrest");
  setclosureframe(closure5916, stackframe);
  addtoclosure(closure5916, var_values);
  addtoclosure(closure5916, var_sym);
  addtoclosure(closure5916, var_util);
  addtoclosure(closure5916, var_ast);
  addtoclosure(closure5916, var_lastToken);
  addtoclosure(closure5916, var_minIndentLevel);
  struct UserObject *uo5916 = (struct UserObject*)self;
  uo5916->data[41] = (Object)closure5916;
  Method *meth_meth_parser_callrest5916 = addmethod2pos(self, "callrest", &meth_parser_callrest5916, 41);
  int argcv_meth_parser_callrest5916[] = {1};
  meth_meth_parser_callrest5916->type = alloc_MethodType(1, argcv_meth_parser_callrest5916);
  meth_meth_parser_callrest5916->definitionModule = modulename;
  meth_meth_parser_callrest5916->definitionLine = 1875;
// compiled method node returning  (depth = 1)
// Begin line 1965
  setline(1965);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method parenthesizedArg
  block_savedest(self);
  Object closure6169 = createclosure(5, "parenthesizedArg");
  setclosureframe(closure6169, stackframe);
  addtoclosure(closure6169, var_blocksOK);
  addtoclosure(closure6169, var_values);
  addtoclosure(closure6169, var_errormessages);
  addtoclosure(closure6169, var_sym);
  addtoclosure(closure6169, var_lastToken);
  struct UserObject *uo6169 = (struct UserObject*)self;
  uo6169->data[42] = (Object)closure6169;
  Method *meth_meth_parser_parenthesizedArg6169 = addmethod2pos(self, "parenthesizedArg", &meth_parser_parenthesizedArg6169, 42);
  int argcv_meth_parser_parenthesizedArg6169[] = {1};
  meth_meth_parser_parenthesizedArg6169->type = alloc_MethodType(1, argcv_meth_parser_parenthesizedArg6169);
  meth_meth_parser_parenthesizedArg6169->definitionModule = modulename;
  meth_meth_parser_parenthesizedArg6169->definitionLine = 1965;
// compiled method node returning  (depth = 1)
// Begin line 2075
  setline(2075);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method typeArgs
  block_savedest(self);
  Object closure6568 = createclosure(4, "typeArgs");
  setclosureframe(closure6568, stackframe);
  addtoclosure(closure6568, var_sym);
  addtoclosure(closure6568, var_values);
  addtoclosure(closure6568, var_errormessages);
  addtoclosure(closure6568, var_lastToken);
  struct UserObject *uo6568 = (struct UserObject*)self;
  uo6568->data[43] = (Object)closure6568;
  Method *meth_meth_parser_typeArgs6568 = addmethod2pos(self, "typeArgs", &meth_parser_typeArgs6568, 43);
  int argcv_meth_parser_typeArgs6568[] = {0};
  meth_meth_parser_typeArgs6568->type = alloc_MethodType(1, argcv_meth_parser_typeArgs6568);
  meth_meth_parser_typeArgs6568->definitionModule = modulename;
  meth_meth_parser_typeArgs6568->definitionLine = 2075;
// compiled method node returning  (depth = 1)
// Begin line 2100
  setline(2100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method typeArg
  block_savedest(self);
  Object closure6650 = createclosure(3, "typeArg");
  setclosureframe(closure6650, stackframe);
  addtoclosure(closure6650, var_sym);
  addtoclosure(closure6650, var_values);
  addtoclosure(closure6650, var_ast);
  struct UserObject *uo6650 = (struct UserObject*)self;
  uo6650->data[44] = (Object)closure6650;
  Method *meth_meth_parser_typeArg6650 = addmethod2pos(self, "typeArg", &meth_parser_typeArg6650, 44);
  int argcv_meth_parser_typeArg6650[] = {0};
  meth_meth_parser_typeArg6650->type = alloc_MethodType(1, argcv_meth_parser_typeArg6650);
  meth_meth_parser_typeArg6650->definitionModule = modulename;
  meth_meth_parser_typeArg6650->definitionLine = 2100;
// compiled method node returning  (depth = 1)
// Begin line 2116
  setline(2116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method callmprest
  block_savedest(self);
  Object closure6682 = createclosure(6, "callmprest");
  setclosureframe(closure6682, stackframe);
  addtoclosure(closure6682, var_lastToken);
  addtoclosure(closure6682, var_ast);
  addtoclosure(closure6682, var_values);
  addtoclosure(closure6682, var_errormessages);
  addtoclosure(closure6682, var_sym);
  addtoclosure(closure6682, var_blocksOK);
  struct UserObject *uo6682 = (struct UserObject*)self;
  uo6682->data[45] = (Object)closure6682;
  Method *meth_meth_parser_callmprest6682 = addmethod2pos(self, "callmprest", &meth_parser_callmprest6682, 45);
  int argcv_meth_parser_callmprest6682[] = {3};
  meth_meth_parser_callmprest6682->type = alloc_MethodType(1, argcv_meth_parser_callmprest6682);
  meth_meth_parser_callmprest6682->definitionModule = modulename;
  meth_meth_parser_callmprest6682->definitionLine = 2116;
// compiled method node returning  (depth = 1)
// Begin line 2248
  setline(2248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method defdec
  block_savedest(self);
  Object closure7112 = createclosure(7, "defdec");
  setclosureframe(closure7112, stackframe);
  addtoclosure(closure7112, var_sym);
  addtoclosure(closure7112, var_errormessages);
  addtoclosure(closure7112, var_lastToken);
  addtoclosure(closure7112, var_values);
  addtoclosure(closure7112, var_blocksOK);
  addtoclosure(closure7112, var_ast);
  addtoclosure(closure7112, var_defaultDefVisibility);
  struct UserObject *uo7112 = (struct UserObject*)self;
  uo7112->data[46] = (Object)closure7112;
  Method *meth_meth_parser_defdec7112 = addmethod2pos(self, "defdec", &meth_parser_defdec7112, 46);
  int argcv_meth_parser_defdec7112[] = {0};
  meth_meth_parser_defdec7112->type = alloc_MethodType(1, argcv_meth_parser_defdec7112);
  meth_meth_parser_defdec7112->definitionModule = modulename;
  meth_meth_parser_defdec7112->definitionLine = 2248;
// compiled method node returning  (depth = 1)
// Begin line 2319
  setline(2319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method vardec
  block_savedest(self);
  Object closure7362 = createclosure(7, "vardec");
  setclosureframe(closure7362, stackframe);
  addtoclosure(closure7362, var_sym);
  addtoclosure(closure7362, var_errormessages);
  addtoclosure(closure7362, var_lastToken);
  addtoclosure(closure7362, var_values);
  addtoclosure(closure7362, var_blocksOK);
  addtoclosure(closure7362, var_ast);
  addtoclosure(closure7362, var_defaultVarVisibility);
  struct UserObject *uo7362 = (struct UserObject*)self;
  uo7362->data[47] = (Object)closure7362;
  Method *meth_meth_parser_vardec7362 = addmethod2pos(self, "vardec", &meth_parser_vardec7362, 47);
  int argcv_meth_parser_vardec7362[] = {0};
  meth_meth_parser_vardec7362->type = alloc_MethodType(1, argcv_meth_parser_vardec7362);
  meth_meth_parser_vardec7362->definitionModule = modulename;
  meth_meth_parser_vardec7362->definitionLine = 2319;
// compiled method node returning  (depth = 1)
// Begin line 2385
  setline(2385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method doarray
  block_savedest(self);
  Object closure7587 = createclosure(6, "doarray");
  setclosureframe(closure7587, stackframe);
  addtoclosure(closure7587, var_blocksOK);
  addtoclosure(closure7587, var_values);
  addtoclosure(closure7587, var_errormessages);
  addtoclosure(closure7587, var_sym);
  addtoclosure(closure7587, var_lastToken);
  addtoclosure(closure7587, var_ast);
  struct UserObject *uo7587 = (struct UserObject*)self;
  uo7587->data[48] = (Object)closure7587;
  Method *meth_meth_parser_doarray7587 = addmethod2pos(self, "doarray", &meth_parser_doarray7587, 48);
  int argcv_meth_parser_doarray7587[] = {0};
  meth_meth_parser_doarray7587->type = alloc_MethodType(1, argcv_meth_parser_doarray7587);
  meth_meth_parser_doarray7587->definitionModule = modulename;
  meth_meth_parser_doarray7587->definitionLine = 2385;
// compiled method node returning  (depth = 1)
// Begin line 2428
  setline(2428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method dodialect
  block_savedest(self);
  Object closure7716 = createclosure(5, "dodialect");
  setclosureframe(closure7716, stackframe);
  addtoclosure(closure7716, var_sym);
  addtoclosure(closure7716, var_errormessages);
  addtoclosure(closure7716, var_lastToken);
  addtoclosure(closure7716, var_ast);
  addtoclosure(closure7716, var_values);
  struct UserObject *uo7716 = (struct UserObject*)self;
  uo7716->data[49] = (Object)closure7716;
  Method *meth_meth_parser_dodialect7716 = addmethod2pos(self, "dodialect", &meth_parser_dodialect7716, 49);
  int argcv_meth_parser_dodialect7716[] = {0};
  meth_meth_parser_dodialect7716->type = alloc_MethodType(1, argcv_meth_parser_dodialect7716);
  meth_meth_parser_dodialect7716->definitionModule = modulename;
  meth_meth_parser_dodialect7716->definitionLine = 2428;
// compiled method node returning  (depth = 1)
// Begin line 2450
  setline(2450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method inheritsdec
  block_savedest(self);
  Object closure7805 = createclosure(7, "inheritsdec");
  setclosureframe(closure7805, stackframe);
  addtoclosure(closure7805, var_sym);
  addtoclosure(closure7805, var_noBlocks);
  addtoclosure(closure7805, var_errormessages);
  addtoclosure(closure7805, var_lastToken);
  addtoclosure(closure7805, var_util);
  addtoclosure(closure7805, var_values);
  addtoclosure(closure7805, var_ast);
  struct UserObject *uo7805 = (struct UserObject*)self;
  uo7805->data[50] = (Object)closure7805;
  Method *meth_meth_parser_inheritsdec7805 = addmethod2pos(self, "inheritsdec", &meth_parser_inheritsdec7805, 50);
  int argcv_meth_parser_inheritsdec7805[] = {0};
  meth_meth_parser_inheritsdec7805->type = alloc_MethodType(1, argcv_meth_parser_inheritsdec7805);
  meth_meth_parser_inheritsdec7805->definitionModule = modulename;
  meth_meth_parser_inheritsdec7805->definitionLine = 2450;
// compiled method node returning  (depth = 1)
// Begin line 2478
  setline(2478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method doobject
  block_savedest(self);
  Object closure7900 = createclosure(8, "doobject");
  setclosureframe(closure7900, stackframe);
  addtoclosure(closure7900, var_sym);
  addtoclosure(closure7900, var_minIndentLevel);
  addtoclosure(closure7900, var_errormessages);
  addtoclosure(closure7900, var_lastToken);
  addtoclosure(closure7900, var_values);
  addtoclosure(closure7900, var_statementToken);
  addtoclosure(closure7900, var_util);
  addtoclosure(closure7900, var_ast);
  struct UserObject *uo7900 = (struct UserObject*)self;
  uo7900->data[51] = (Object)closure7900;
  Method *meth_meth_parser_doobject7900 = addmethod2pos(self, "doobject", &meth_parser_doobject7900, 51);
  int argcv_meth_parser_doobject7900[] = {0};
  meth_meth_parser_doobject7900->type = alloc_MethodType(1, argcv_meth_parser_doobject7900);
  meth_meth_parser_doobject7900->definitionModule = modulename;
  meth_meth_parser_doobject7900->definitionLine = 2478;
// compiled method node returning  (depth = 1)
// Begin line 2555
  setline(2555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method doclass
  block_savedest(self);
  Object closure8137 = createclosure(10, "doclass");
  setclosureframe(closure8137, stackframe);
  addtoclosure(closure8137, var_sym);
  addtoclosure(closure8137, var_minIndentLevel);
  addtoclosure(closure8137, var_errormessages);
  addtoclosure(closure8137, var_lastToken);
  addtoclosure(closure8137, var_tokens);
  addtoclosure(closure8137, var_values);
  addtoclosure(closure8137, var_statementToken);
  addtoclosure(closure8137, var_util);
  addtoclosure(closure8137, var_ast);
  addtoclosure(closure8137, var_defaultMethodVisibility);
  struct UserObject *uo8137 = (struct UserObject*)self;
  uo8137->data[52] = (Object)closure8137;
  Method *meth_meth_parser_doclass8137 = addmethod2pos(self, "doclass", &meth_parser_doclass8137, 52);
  int argcv_meth_parser_doclass8137[] = {0};
  meth_meth_parser_doclass8137->type = alloc_MethodType(1, argcv_meth_parser_doclass8137);
  meth_meth_parser_doclass8137->definitionModule = modulename;
  meth_meth_parser_doclass8137->definitionLine = 2555;
// compiled method node returning  (depth = 1)
// Begin line 2646
  setline(2646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method dofactoryMethod
  block_savedest(self);
  Object closure8452 = createclosure(11, "dofactoryMethod");
  setclosureframe(closure8452, stackframe);
  addtoclosure(closure8452, var_tokens);
  addtoclosure(closure8452, var_sym);
  addtoclosure(closure8452, var_minIndentLevel);
  addtoclosure(closure8452, var_errormessages);
  addtoclosure(closure8452, var_lastToken);
  addtoclosure(closure8452, var_statementToken);
  addtoclosure(closure8452, var_values);
  addtoclosure(closure8452, var_util);
  addtoclosure(closure8452, var_ast);
  addtoclosure(closure8452, var_collections);
  addtoclosure(closure8452, var_defaultMethodVisibility);
  struct UserObject *uo8452 = (struct UserObject*)self;
  uo8452->data[53] = (Object)closure8452;
  Method *meth_meth_parser_dofactoryMethod8452 = addmethod2pos(self, "dofactoryMethod", &meth_parser_dofactoryMethod8452, 53);
  int argcv_meth_parser_dofactoryMethod8452[] = {0};
  meth_meth_parser_dofactoryMethod8452->type = alloc_MethodType(1, argcv_meth_parser_dofactoryMethod8452);
  meth_meth_parser_dofactoryMethod8452->definitionModule = modulename;
  meth_meth_parser_dofactoryMethod8452->definitionLine = 2646;
// compiled method node returning  (depth = 1)
// Begin line 2721
  setline(2721);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method methoddec
  block_savedest(self);
  Object closure8728 = createclosure(9, "methoddec");
  setclosureframe(closure8728, stackframe);
  addtoclosure(closure8728, var_sym);
  addtoclosure(closure8728, var_statementToken);
  addtoclosure(closure8728, var_minIndentLevel);
  addtoclosure(closure8728, var_values);
  addtoclosure(closure8728, var_errormessages);
  addtoclosure(closure8728, var_lastToken);
  addtoclosure(closure8728, var_util);
  addtoclosure(closure8728, var_ast);
  addtoclosure(closure8728, var_defaultMethodVisibility);
  struct UserObject *uo8728 = (struct UserObject*)self;
  uo8728->data[54] = (Object)closure8728;
  Method *meth_meth_parser_methoddec8728 = addmethod2pos(self, "methoddec", &meth_parser_methoddec8728, 54);
  int argcv_meth_parser_methoddec8728[] = {0};
  meth_meth_parser_methoddec8728->type = alloc_MethodType(1, argcv_meth_parser_methoddec8728);
  meth_meth_parser_methoddec8728->definitionModule = modulename;
  meth_meth_parser_methoddec8728->definitionLine = 2721;
// compiled method node returning  (depth = 1)
// Begin line 2809
  setline(2809);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method parsempmndecrest
  block_savedest(self);
  Object closure8961 = createclosure(5, "parsempmndecrest");
  setclosureframe(closure8961, stackframe);
  addtoclosure(closure8961, var_ast);
  addtoclosure(closure8961, var_values);
  addtoclosure(closure8961, var_errormessages);
  addtoclosure(closure8961, var_lastToken);
  addtoclosure(closure8961, var_sym);
  struct UserObject *uo8961 = (struct UserObject*)self;
  uo8961->data[55] = (Object)closure8961;
  Method *meth_meth_parser_parsempmndecrest8961 = addmethod2pos(self, "parsempmndecrest", &meth_parser_parsempmndecrest8961, 55);
  int argcv_meth_parser_parsempmndecrest8961[] = {2};
  meth_meth_parser_parsempmndecrest8961->type = alloc_MethodType(1, argcv_meth_parser_parsempmndecrest8961);
  meth_meth_parser_parsempmndecrest8961->definitionModule = modulename;
  meth_meth_parser_parsempmndecrest8961->definitionLine = 2809;
// compiled method node returning  (depth = 1)
// Begin line 2887
  setline(2887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method optionalTypeAnnotation
  block_savedest(self);
  Object closure9217 = createclosure(4, "optionalTypeAnnotation");
  setclosureframe(closure9217, stackframe);
  addtoclosure(closure9217, var_values);
  addtoclosure(closure9217, var_errormessages);
  addtoclosure(closure9217, var_lastToken);
  addtoclosure(closure9217, var_sym);
  struct UserObject *uo9217 = (struct UserObject*)self;
  uo9217->data[56] = (Object)closure9217;
  Method *meth_meth_parser_optionalTypeAnnotation9217 = addmethod2pos(self, "optionalTypeAnnotation", &meth_parser_optionalTypeAnnotation9217, 56);
  int argcv_meth_parser_optionalTypeAnnotation9217[] = {0};
  meth_meth_parser_optionalTypeAnnotation9217->type = alloc_MethodType(1, argcv_meth_parser_optionalTypeAnnotation9217);
  meth_meth_parser_optionalTypeAnnotation9217->definitionModule = modulename;
  meth_meth_parser_optionalTypeAnnotation9217->definitionLine = 2887;
// compiled method node returning  (depth = 1)
// Begin line 2910
  setline(2910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method methodsignature
  block_savedest(self);
  Object closure9265 = createclosure(6, "methodsignature");
  setclosureframe(closure9265, stackframe);
  addtoclosure(closure9265, var_sym);
  addtoclosure(closure9265, var_errormessages);
  addtoclosure(closure9265, var_lastToken);
  addtoclosure(closure9265, var_values);
  addtoclosure(closure9265, var_ast);
  addtoclosure(closure9265, var_tokens);
  struct UserObject *uo9265 = (struct UserObject*)self;
  uo9265->data[57] = (Object)closure9265;
  Method *meth_meth_parser_methodsignature9265 = addmethod2pos(self, "methodsignature", &meth_parser_methodsignature9265, 57);
  int argcv_meth_parser_methodsignature9265[] = {1};
  meth_meth_parser_methodsignature9265->type = alloc_MethodType(1, argcv_meth_parser_methodsignature9265);
  meth_meth_parser_methodsignature9265->definitionModule = modulename;
  meth_meth_parser_methodsignature9265->definitionLine = 2910;
// compiled method node returning  (depth = 1)
// Begin line 3093
  setline(3093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method doimport
  block_savedest(self);
  Object closure9959 = createclosure(7, "doimport");
  setclosureframe(closure9959, stackframe);
  addtoclosure(closure9959, var_sym);
  addtoclosure(closure9959, var_errormessages);
  addtoclosure(closure9959, var_lastToken);
  addtoclosure(closure9959, var_values);
  addtoclosure(closure9959, var_util);
  addtoclosure(closure9959, var_ast);
  addtoclosure(closure9959, var_defaultDefVisibility);
  struct UserObject *uo9959 = (struct UserObject*)self;
  uo9959->data[58] = (Object)closure9959;
  Method *meth_meth_parser_doimport9959 = addmethod2pos(self, "doimport", &meth_parser_doimport9959, 58);
  int argcv_meth_parser_doimport9959[] = {0};
  meth_meth_parser_doimport9959->type = alloc_MethodType(1, argcv_meth_parser_doimport9959);
  meth_meth_parser_doimport9959->definitionModule = modulename;
  meth_meth_parser_doimport9959->definitionLine = 3093;
// compiled method node returning  (depth = 1)
// Begin line 3153
  setline(3153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method doreturn
  block_savedest(self);
  Object closure10219 = createclosure(6, "doreturn");
  setclosureframe(closure10219, stackframe);
  addtoclosure(closure10219, var_sym);
  addtoclosure(closure10219, var_blocksOK);
  addtoclosure(closure10219, var_errormessages);
  addtoclosure(closure10219, var_lastToken);
  addtoclosure(closure10219, var_values);
  addtoclosure(closure10219, var_ast);
  struct UserObject *uo10219 = (struct UserObject*)self;
  uo10219->data[59] = (Object)closure10219;
  Method *meth_meth_parser_doreturn10219 = addmethod2pos(self, "doreturn", &meth_parser_doreturn10219, 59);
  int argcv_meth_parser_doreturn10219[] = {0};
  meth_meth_parser_doreturn10219->type = alloc_MethodType(1, argcv_meth_parser_doreturn10219);
  meth_meth_parser_doreturn10219->definitionModule = modulename;
  meth_meth_parser_doreturn10219->definitionLine = 3153;
// compiled method node returning  (depth = 1)
// Begin line 3186
  setline(3186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method domethodtype
  block_savedest(self);
  Object closure10340 = createclosure(6, "domethodtype");
  setclosureframe(closure10340, stackframe);
  addtoclosure(closure10340, var_ast);
  addtoclosure(closure10340, var_values);
  addtoclosure(closure10340, var_sym);
  addtoclosure(closure10340, var_lastToken);
  addtoclosure(closure10340, var_errormessages);
  addtoclosure(closure10340, var_util);
  struct UserObject *uo10340 = (struct UserObject*)self;
  uo10340->data[60] = (Object)closure10340;
  Method *meth_meth_parser_domethodtype10340 = addmethod2pos(self, "domethodtype", &meth_parser_domethodtype10340, 60);
  int argcv_meth_parser_domethodtype10340[] = {0};
  meth_meth_parser_domethodtype10340->type = alloc_MethodType(1, argcv_meth_parser_domethodtype10340);
  meth_meth_parser_domethodtype10340->definitionModule = modulename;
  meth_meth_parser_domethodtype10340->definitionLine = 3186;
// compiled method node returning  (depth = 1)
// Begin line 3215
  setline(3215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method dotypeLiteral
  block_savedest(self);
  Object closure10438 = createclosure(6, "dotypeLiteral");
  setclosureframe(closure10438, stackframe);
  addtoclosure(closure10438, var_sym);
  addtoclosure(closure10438, var_errormessages);
  addtoclosure(closure10438, var_done);
  addtoclosure(closure10438, var_auto_count);
  addtoclosure(closure10438, var_values);
  addtoclosure(closure10438, var_ast);
  struct UserObject *uo10438 = (struct UserObject*)self;
  uo10438->data[61] = (Object)closure10438;
  Method *meth_meth_parser_dotypeLiteral10438 = addmethod2pos(self, "dotypeLiteral", &meth_parser_dotypeLiteral10438, 61);
  int argcv_meth_parser_dotypeLiteral10438[] = {0};
  meth_meth_parser_dotypeLiteral10438->type = alloc_MethodType(1, argcv_meth_parser_dotypeLiteral10438);
  meth_meth_parser_dotypeLiteral10438->definitionModule = modulename;
  meth_meth_parser_dotypeLiteral10438->definitionLine = 3215;
// compiled method node returning  (depth = 1)
// Begin line 3248
  setline(3248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method typedec
  block_savedest(self);
  Object closure10537 = createclosure(6, "typedec");
  setclosureframe(closure10537, stackframe);
  addtoclosure(closure10537, var_sym);
  addtoclosure(closure10537, var_errormessages);
  addtoclosure(closure10537, var_lastToken);
  addtoclosure(closure10537, var_values);
  addtoclosure(closure10537, var_noBlocks);
  addtoclosure(closure10537, var_ast);
  struct UserObject *uo10537 = (struct UserObject*)self;
  uo10537->data[62] = (Object)closure10537;
  Method *meth_meth_parser_typedec10537 = addmethod2pos(self, "typedec", &meth_parser_typedec10537, 62);
  int argcv_meth_parser_typedec10537[] = {0};
  meth_meth_parser_typedec10537->type = alloc_MethodType(1, argcv_meth_parser_typedec10537);
  meth_meth_parser_typedec10537->definitionModule = modulename;
  meth_meth_parser_typedec10537->definitionLine = 3248;
// compiled method node returning  (depth = 1)
// Begin line 3298
  setline(3298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method checkIndent
  block_savedest(self);
  Object closure10720 = createclosure(5, "checkIndent");
  setclosureframe(closure10720, stackframe);
  addtoclosure(closure10720, var_indentFreePass);
  addtoclosure(closure10720, var_sym);
  addtoclosure(closure10720, var_minIndentLevel);
  addtoclosure(closure10720, var_errormessages);
  addtoclosure(closure10720, var_lastToken);
  struct UserObject *uo10720 = (struct UserObject*)self;
  uo10720->data[63] = (Object)closure10720;
  Method *meth_meth_parser_checkIndent10720 = addmethod2pos(self, "checkIndent", &meth_parser_checkIndent10720, 63);
  int argcv_meth_parser_checkIndent10720[] = {0};
  meth_meth_parser_checkIndent10720->type = alloc_MethodType(1, argcv_meth_parser_checkIndent10720);
  meth_meth_parser_checkIndent10720->definitionModule = modulename;
  meth_meth_parser_checkIndent10720->definitionLine = 3298;
// compiled method node returning  (depth = 1)
// Begin line 3339
  setline(3339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method statement
  block_savedest(self);
  Object closure10900 = createclosure(9, "statement");
  setclosureframe(closure10900, stackframe);
  addtoclosure(closure10900, var_sym);
  addtoclosure(closure10900, var_statementIndent);
  addtoclosure(closure10900, var_statementToken);
  addtoclosure(closure10900, var_blocksOK);
  addtoclosure(closure10900, var_values);
  addtoclosure(closure10900, var_errormessages);
  addtoclosure(closure10900, var_lastToken);
  addtoclosure(closure10900, var_ast);
  addtoclosure(closure10900, var_indentFreePass);
  struct UserObject *uo10900 = (struct UserObject*)self;
  uo10900->data[64] = (Object)closure10900;
  Method *meth_meth_parser_statement10900 = addmethod2pos(self, "statement", &meth_parser_statement10900, 64);
  int argcv_meth_parser_statement10900[] = {0};
  meth_meth_parser_statement10900->type = alloc_MethodType(1, argcv_meth_parser_statement10900);
  meth_meth_parser_statement10900->definitionModule = modulename;
  meth_meth_parser_statement10900->definitionLine = 3339;
// compiled method node returning  (depth = 1)
// Begin line 3407
  setline(3407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method checkBadOperators
  block_savedest(self);
  Object closure11121 = createclosure(2, "checkBadOperators");
  setclosureframe(closure11121, stackframe);
  addtoclosure(closure11121, var_sym);
  addtoclosure(closure11121, var_errormessages);
  struct UserObject *uo11121 = (struct UserObject*)self;
  uo11121->data[65] = (Object)closure11121;
  Method *meth_meth_parser_checkBadOperators11121 = addmethod2pos(self, "checkBadOperators", &meth_parser_checkBadOperators11121, 65);
  int argcv_meth_parser_checkBadOperators11121[] = {0};
  meth_meth_parser_checkBadOperators11121->type = alloc_MethodType(1, argcv_meth_parser_checkBadOperators11121);
  meth_meth_parser_checkBadOperators11121->definitionModule = modulename;
  meth_meth_parser_checkBadOperators11121->definitionLine = 3407;
// compiled method node returning  (depth = 1)
// Begin line 3424
  setline(3424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method checkBadTypeLiteral
  block_savedest(self);
  Object closure11168 = createclosure(2, "checkBadTypeLiteral");
  setclosureframe(closure11168, stackframe);
  addtoclosure(closure11168, var_sym);
  addtoclosure(closure11168, var_errormessages);
  struct UserObject *uo11168 = (struct UserObject*)self;
  uo11168->data[66] = (Object)closure11168;
  Method *meth_meth_parser_checkBadTypeLiteral11168 = addmethod2pos(self, "checkBadTypeLiteral", &meth_parser_checkBadTypeLiteral11168, 66);
  int argcv_meth_parser_checkBadTypeLiteral11168[] = {0};
  meth_meth_parser_checkBadTypeLiteral11168->type = alloc_MethodType(1, argcv_meth_parser_checkBadTypeLiteral11168);
  meth_meth_parser_checkBadTypeLiteral11168->definitionModule = modulename;
  meth_meth_parser_checkBadTypeLiteral11168->definitionLine = 3424;
// compiled method node returning  (depth = 1)
// Begin line 3434
  setline(3434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method checkUnexpectedTokenAfterStatement
  block_savedest(self);
  Object closure11192 = createclosure(5, "checkUnexpectedTokenAfterStatement");
  setclosureframe(closure11192, stackframe);
  addtoclosure(closure11192, var_lastToken);
  addtoclosure(closure11192, var_sym);
  addtoclosure(closure11192, var_errormessages);
  addtoclosure(closure11192, var_values);
  addtoclosure(closure11192, var_util);
  struct UserObject *uo11192 = (struct UserObject*)self;
  uo11192->data[67] = (Object)closure11192;
  Method *meth_meth_parser_checkUnexpectedTokenAfterStatement11192 = addmethod2pos(self, "checkUnexpectedTokenAfterStatement", &meth_parser_checkUnexpectedTokenAfterStatement11192, 67);
  int argcv_meth_parser_checkUnexpectedTokenAfterStatement11192[] = {0};
  meth_meth_parser_checkUnexpectedTokenAfterStatement11192->type = alloc_MethodType(1, argcv_meth_parser_checkUnexpectedTokenAfterStatement11192);
  meth_meth_parser_checkUnexpectedTokenAfterStatement11192->definitionModule = modulename;
  meth_meth_parser_checkUnexpectedTokenAfterStatement11192->definitionLine = 3434;
// compiled method node returning  (depth = 1)
// Begin line 3505
  setline(3505);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method parse
  block_savedest(self);
  Object closure11512 = createclosure(10, "parse");
  setclosureframe(closure11512, stackframe);
  addtoclosure(closure11512, var_util);
  addtoclosure(closure11512, var_values);
  addtoclosure(closure11512, var_defaultDefVisibility);
  addtoclosure(closure11512, var_defaultVarVisibility);
  addtoclosure(closure11512, var_defaultMethodVisibility);
  addtoclosure(closure11512, var_tokens);
  addtoclosure(closure11512, var_sym);
  addtoclosure(closure11512, var_errormessages);
  addtoclosure(closure11512, var_lastToken);
  addtoclosure(closure11512, var_linenum);
  struct UserObject *uo11512 = (struct UserObject*)self;
  uo11512->data[68] = (Object)closure11512;
  Method *meth_meth_parser_parse11512 = addmethod2pos(self, "parse", &meth_parser_parse11512, 68);
  int argcv_meth_parser_parse11512[] = {1};
  meth_meth_parser_parse11512->type = alloc_MethodType(1, argcv_meth_parser_parse11512);
  meth_meth_parser_parse11512->definitionModule = modulename;
  meth_meth_parser_parse11512->definitionLine = 3505;
// compiled method node returning  (depth = 1)
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of io as io
  if (module_io == NULL)
    module_io = module_io_init();
  *var_io = module_io;
// compiled import node returning done (depth = 1)
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of ast as ast
  if (module_ast == NULL)
    module_ast = module_ast_init();
  *var_ast = module_ast;
// compiled import node returning done (depth = 1)
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of util as util
  if (module_util == NULL)
    module_util = module_util_init();
  *var_util = module_util;
// compiled import node returning done (depth = 1)
// Begin line 5
  setline(5);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of mgcollections as collections
  if (module_mgcollections == NULL)
    module_mgcollections = module_mgcollections_init();
  *var_collections = module_mgcollections;
// compiled import node returning done (depth = 1)
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of errormessages as errormessages
  if (module_errormessages == NULL)
    module_errormessages = module_errormessages_init();
  *var_errormessages = module_errormessages;
// compiled import node returning done (depth = 1)
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// Begin line 8
  setline(8);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool11723 = alloc_Boolean(1);
// compiled identifier node returning bool11723 (depth = 2)
  *var_don_39_tBreak = bool11723;
  if (bool11723 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method don'tBreak
  block_savedest(self);
  Object closure11724 = createclosure(1, "don'tBreak");
  setclosureframe(closure11724, stackframe);
  addtoclosure(closure11724, var_don_39_tBreak);
  struct UserObject *uo11724 = (struct UserObject*)self;
  uo11724->data[69] = (Object)closure11724;
  Method *meth_meth_parser_don_39_tBreak11724 = addmethod2pos(self, "don'tBreak", &meth_parser_don_39_tBreak11724, 69);
  int argcv_meth_parser_don_39_tBreak11724[] = {0};
  meth_meth_parser_don_39_tBreak11724->type = alloc_MethodType(1, argcv_meth_parser_don_39_tBreak11724);
  meth_meth_parser_don_39_tBreak11724->definitionModule = modulename;
  meth_meth_parser_don_39_tBreak11724->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num11725 = alloc_Float64(0);
// compiled num node returning num11725 (depth = 2)
  *var_lastline = num11725;
  if (num11725 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method lastline
  block_savedest(self);
  Object closure11726 = createclosure(1, "lastline");
  setclosureframe(closure11726, stackframe);
  addtoclosure(closure11726, var_lastline);
  struct UserObject *uo11726 = (struct UserObject*)self;
  uo11726->data[70] = (Object)closure11726;
  Method *meth_meth_parser_lastline11726 = addmethod2pos(self, "lastline", &meth_parser_lastline11726, 70);
  int argcv_meth_parser_lastline11726[] = {0};
  meth_meth_parser_lastline11726->type = alloc_MethodType(1, argcv_meth_parser_lastline11726);
  meth_meth_parser_lastline11726->definitionModule = modulename;
  meth_meth_parser_lastline11726->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method lastline:=
  block_savedest(self);
  Object closure11727 = createclosure(1, "lastline:=");
  setclosureframe(closure11727, stackframe);
  addtoclosure(closure11727, var_lastline);
  struct UserObject *uo11727 = (struct UserObject*)self;
  uo11727->data[71] = (Object)closure11727;
  Method *meth_meth_parser_lastline_58__61_11727 = addmethod2pos(self, "lastline:=", &meth_parser_lastline_58__61_11727, 71);
  int argcv_meth_parser_lastline_58__61_11727[] = {1};
  meth_meth_parser_lastline_58__61_11727->type = alloc_MethodType(1, argcv_meth_parser_lastline_58__61_11727);
  meth_meth_parser_lastline_58__61_11727->definitionModule = modulename;
  meth_meth_parser_lastline_58__61_11727->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num11729 = alloc_Float64(0);
// compiled num node returning num11729 (depth = 2)
  *var_linenum = num11729;
  if (num11729 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method linenum
  block_savedest(self);
  Object closure11730 = createclosure(1, "linenum");
  setclosureframe(closure11730, stackframe);
  addtoclosure(closure11730, var_linenum);
  struct UserObject *uo11730 = (struct UserObject*)self;
  uo11730->data[72] = (Object)closure11730;
  Method *meth_meth_parser_linenum11730 = addmethod2pos(self, "linenum", &meth_parser_linenum11730, 72);
  int argcv_meth_parser_linenum11730[] = {0};
  meth_meth_parser_linenum11730->type = alloc_MethodType(1, argcv_meth_parser_linenum11730);
  meth_meth_parser_linenum11730->definitionModule = modulename;
  meth_meth_parser_linenum11730->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method linenum:=
  block_savedest(self);
  Object closure11731 = createclosure(1, "linenum:=");
  setclosureframe(closure11731, stackframe);
  addtoclosure(closure11731, var_linenum);
  struct UserObject *uo11731 = (struct UserObject*)self;
  uo11731->data[73] = (Object)closure11731;
  Method *meth_meth_parser_linenum_58__61_11731 = addmethod2pos(self, "linenum:=", &meth_parser_linenum_58__61_11731, 73);
  int argcv_meth_parser_linenum_58__61_11731[] = {1};
  meth_meth_parser_linenum_58__61_11731->type = alloc_MethodType(1, argcv_meth_parser_linenum_58__61_11731);
  meth_meth_parser_linenum_58__61_11731->definitionModule = modulename;
  meth_meth_parser_linenum_58__61_11731->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num11733 = alloc_Float64(0);
// compiled num node returning num11733 (depth = 2)
  *var_lastIndent = num11733;
  if (num11733 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method lastIndent
  block_savedest(self);
  Object closure11734 = createclosure(1, "lastIndent");
  setclosureframe(closure11734, stackframe);
  addtoclosure(closure11734, var_lastIndent);
  struct UserObject *uo11734 = (struct UserObject*)self;
  uo11734->data[74] = (Object)closure11734;
  Method *meth_meth_parser_lastIndent11734 = addmethod2pos(self, "lastIndent", &meth_parser_lastIndent11734, 74);
  int argcv_meth_parser_lastIndent11734[] = {0};
  meth_meth_parser_lastIndent11734->type = alloc_MethodType(1, argcv_meth_parser_lastIndent11734);
  meth_meth_parser_lastIndent11734->definitionModule = modulename;
  meth_meth_parser_lastIndent11734->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method lastIndent:=
  block_savedest(self);
  Object closure11735 = createclosure(1, "lastIndent:=");
  setclosureframe(closure11735, stackframe);
  addtoclosure(closure11735, var_lastIndent);
  struct UserObject *uo11735 = (struct UserObject*)self;
  uo11735->data[75] = (Object)closure11735;
  Method *meth_meth_parser_lastIndent_58__61_11735 = addmethod2pos(self, "lastIndent:=", &meth_parser_lastIndent_58__61_11735, 75);
  int argcv_meth_parser_lastIndent_58__61_11735[] = {1};
  meth_meth_parser_lastIndent_58__61_11735->type = alloc_MethodType(1, argcv_meth_parser_lastIndent_58__61_11735);
  meth_meth_parser_lastIndent_58__61_11735->definitionModule = modulename;
  meth_meth_parser_lastIndent_58__61_11735->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool11737 = alloc_Boolean(0);
// compiled identifier node returning bool11737 (depth = 2)
  *var_indentFreePass = bool11737;
  if (bool11737 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method indentFreePass
  block_savedest(self);
  Object closure11738 = createclosure(1, "indentFreePass");
  setclosureframe(closure11738, stackframe);
  addtoclosure(closure11738, var_indentFreePass);
  struct UserObject *uo11738 = (struct UserObject*)self;
  uo11738->data[76] = (Object)closure11738;
  Method *meth_meth_parser_indentFreePass11738 = addmethod2pos(self, "indentFreePass", &meth_parser_indentFreePass11738, 76);
  int argcv_meth_parser_indentFreePass11738[] = {0};
  meth_meth_parser_indentFreePass11738->type = alloc_MethodType(1, argcv_meth_parser_indentFreePass11738);
  meth_meth_parser_indentFreePass11738->definitionModule = modulename;
  meth_meth_parser_indentFreePass11738->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method indentFreePass:=
  block_savedest(self);
  Object closure11739 = createclosure(1, "indentFreePass:=");
  setclosureframe(closure11739, stackframe);
  addtoclosure(closure11739, var_indentFreePass);
  struct UserObject *uo11739 = (struct UserObject*)self;
  uo11739->data[77] = (Object)closure11739;
  Method *meth_meth_parser_indentFreePass_58__61_11739 = addmethod2pos(self, "indentFreePass:=", &meth_parser_indentFreePass_58__61_11739, 77);
  int argcv_meth_parser_indentFreePass_58__61_11739[] = {1};
  meth_meth_parser_indentFreePass_58__61_11739->type = alloc_MethodType(1, argcv_meth_parser_indentFreePass_58__61_11739);
  meth_meth_parser_indentFreePass_58__61_11739->definitionModule = modulename;
  meth_meth_parser_indentFreePass_58__61_11739->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num11741 = alloc_Float64(0);
// compiled num node returning num11741 (depth = 2)
  *var_minIndentLevel = num11741;
  if (num11741 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method minIndentLevel
  block_savedest(self);
  Object closure11742 = createclosure(1, "minIndentLevel");
  setclosureframe(closure11742, stackframe);
  addtoclosure(closure11742, var_minIndentLevel);
  struct UserObject *uo11742 = (struct UserObject*)self;
  uo11742->data[78] = (Object)closure11742;
  Method *meth_meth_parser_minIndentLevel11742 = addmethod2pos(self, "minIndentLevel", &meth_parser_minIndentLevel11742, 78);
  int argcv_meth_parser_minIndentLevel11742[] = {0};
  meth_meth_parser_minIndentLevel11742->type = alloc_MethodType(1, argcv_meth_parser_minIndentLevel11742);
  meth_meth_parser_minIndentLevel11742->definitionModule = modulename;
  meth_meth_parser_minIndentLevel11742->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method minIndentLevel:=
  block_savedest(self);
  Object closure11743 = createclosure(1, "minIndentLevel:=");
  setclosureframe(closure11743, stackframe);
  addtoclosure(closure11743, var_minIndentLevel);
  struct UserObject *uo11743 = (struct UserObject*)self;
  uo11743->data[79] = (Object)closure11743;
  Method *meth_meth_parser_minIndentLevel_58__61_11743 = addmethod2pos(self, "minIndentLevel:=", &meth_parser_minIndentLevel_58__61_11743, 79);
  int argcv_meth_parser_minIndentLevel_58__61_11743[] = {1};
  meth_meth_parser_minIndentLevel_58__61_11743->type = alloc_MethodType(1, argcv_meth_parser_minIndentLevel_58__61_11743);
  meth_meth_parser_minIndentLevel_58__61_11743->definitionModule = modulename;
  meth_meth_parser_minIndentLevel_58__61_11743->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num11745 = alloc_Float64(0);
// compiled num node returning num11745 (depth = 2)
  *var_statementIndent = num11745;
  if (num11745 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method statementIndent
  block_savedest(self);
  Object closure11746 = createclosure(1, "statementIndent");
  setclosureframe(closure11746, stackframe);
  addtoclosure(closure11746, var_statementIndent);
  struct UserObject *uo11746 = (struct UserObject*)self;
  uo11746->data[80] = (Object)closure11746;
  Method *meth_meth_parser_statementIndent11746 = addmethod2pos(self, "statementIndent", &meth_parser_statementIndent11746, 80);
  int argcv_meth_parser_statementIndent11746[] = {0};
  meth_meth_parser_statementIndent11746->type = alloc_MethodType(1, argcv_meth_parser_statementIndent11746);
  meth_meth_parser_statementIndent11746->definitionModule = modulename;
  meth_meth_parser_statementIndent11746->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method statementIndent:=
  block_savedest(self);
  Object closure11747 = createclosure(1, "statementIndent:=");
  setclosureframe(closure11747, stackframe);
  addtoclosure(closure11747, var_statementIndent);
  struct UserObject *uo11747 = (struct UserObject*)self;
  uo11747->data[81] = (Object)closure11747;
  Method *meth_meth_parser_statementIndent_58__61_11747 = addmethod2pos(self, "statementIndent:=", &meth_parser_statementIndent_58__61_11747, 81);
  int argcv_meth_parser_statementIndent_58__61_11747[] = {1};
  meth_meth_parser_statementIndent_58__61_11747->type = alloc_MethodType(1, argcv_meth_parser_statementIndent_58__61_11747);
  meth_meth_parser_statementIndent_58__61_11747->definitionModule = modulename;
  meth_meth_parser_statementIndent_58__61_11747->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool11749 = alloc_Boolean(0);
// compiled identifier node returning bool11749 (depth = 2)
  *var_tokens = bool11749;
  if (bool11749 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method tokens
  block_savedest(self);
  Object closure11750 = createclosure(1, "tokens");
  setclosureframe(closure11750, stackframe);
  addtoclosure(closure11750, var_tokens);
  struct UserObject *uo11750 = (struct UserObject*)self;
  uo11750->data[82] = (Object)closure11750;
  Method *meth_meth_parser_tokens11750 = addmethod2pos(self, "tokens", &meth_parser_tokens11750, 82);
  int argcv_meth_parser_tokens11750[] = {0};
  meth_meth_parser_tokens11750->type = alloc_MethodType(1, argcv_meth_parser_tokens11750);
  meth_meth_parser_tokens11750->definitionModule = modulename;
  meth_meth_parser_tokens11750->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method tokens:=
  block_savedest(self);
  Object closure11751 = createclosure(1, "tokens:=");
  setclosureframe(closure11751, stackframe);
  addtoclosure(closure11751, var_tokens);
  struct UserObject *uo11751 = (struct UserObject*)self;
  uo11751->data[83] = (Object)closure11751;
  Method *meth_meth_parser_tokens_58__61_11751 = addmethod2pos(self, "tokens:=", &meth_parser_tokens_58__61_11751, 83);
  int argcv_meth_parser_tokens_58__61_11751[] = {1};
  meth_meth_parser_tokens_58__61_11751->type = alloc_MethodType(1, argcv_meth_parser_tokens_58__61_11751);
  meth_meth_parser_tokens_58__61_11751->definitionModule = modulename;
  meth_meth_parser_tokens_58__61_11751->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 2)
  Object array11753 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array11753 (depth = 2)
  *var_values = array11753;
  if (array11753 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method values
  block_savedest(self);
  Object closure11754 = createclosure(1, "values");
  setclosureframe(closure11754, stackframe);
  addtoclosure(closure11754, var_values);
  struct UserObject *uo11754 = (struct UserObject*)self;
  uo11754->data[84] = (Object)closure11754;
  Method *meth_meth_parser_values11754 = addmethod2pos(self, "values", &meth_parser_values11754, 84);
  int argcv_meth_parser_values11754[] = {0};
  meth_meth_parser_values11754->type = alloc_MethodType(1, argcv_meth_parser_values11754);
  meth_meth_parser_values11754->definitionModule = modulename;
  meth_meth_parser_values11754->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method values:=
  block_savedest(self);
  Object closure11755 = createclosure(1, "values:=");
  setclosureframe(closure11755, stackframe);
  addtoclosure(closure11755, var_values);
  struct UserObject *uo11755 = (struct UserObject*)self;
  uo11755->data[85] = (Object)closure11755;
  Method *meth_meth_parser_values_58__61_11755 = addmethod2pos(self, "values:=", &meth_parser_values_58__61_11755, 85);
  int argcv_meth_parser_values_58__61_11755[] = {1};
  meth_meth_parser_values_58__61_11755->type = alloc_MethodType(1, argcv_meth_parser_values_58__61_11755);
  meth_meth_parser_values_58__61_11755->definitionModule = modulename;
  meth_meth_parser_values_58__61_11755->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num11757 = alloc_Float64(0);
// compiled num node returning num11757 (depth = 2)
  *var_auto_count = num11757;
  if (num11757 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method auto_count
  block_savedest(self);
  Object closure11758 = createclosure(1, "auto_count");
  setclosureframe(closure11758, stackframe);
  addtoclosure(closure11758, var_auto_count);
  struct UserObject *uo11758 = (struct UserObject*)self;
  uo11758->data[86] = (Object)closure11758;
  Method *meth_meth_parser_auto_count11758 = addmethod2pos(self, "auto_count", &meth_parser_auto_count11758, 86);
  int argcv_meth_parser_auto_count11758[] = {0};
  meth_meth_parser_auto_count11758->type = alloc_MethodType(1, argcv_meth_parser_auto_count11758);
  meth_meth_parser_auto_count11758->definitionModule = modulename;
  meth_meth_parser_auto_count11758->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method auto_count:=
  block_savedest(self);
  Object closure11759 = createclosure(1, "auto_count:=");
  setclosureframe(closure11759, stackframe);
  addtoclosure(closure11759, var_auto_count);
  struct UserObject *uo11759 = (struct UserObject*)self;
  uo11759->data[87] = (Object)closure11759;
  Method *meth_meth_parser_auto_count_58__61_11759 = addmethod2pos(self, "auto_count:=", &meth_parser_auto_count_58__61_11759, 87);
  int argcv_meth_parser_auto_count_58__61_11759[] = {1};
  meth_meth_parser_auto_count_58__61_11759->type = alloc_MethodType(1, argcv_meth_parser_auto_count_58__61_11759);
  meth_meth_parser_auto_count_58__61_11759->definitionModule = modulename;
  meth_meth_parser_auto_count_58__61_11759->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool11761 = alloc_Boolean(0);
// compiled identifier node returning bool11761 (depth = 2)
  *var_noBlocks = bool11761;
  if (bool11761 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method noBlocks
  block_savedest(self);
  Object closure11762 = createclosure(1, "noBlocks");
  setclosureframe(closure11762, stackframe);
  addtoclosure(closure11762, var_noBlocks);
  struct UserObject *uo11762 = (struct UserObject*)self;
  uo11762->data[88] = (Object)closure11762;
  Method *meth_meth_parser_noBlocks11762 = addmethod2pos(self, "noBlocks", &meth_parser_noBlocks11762, 88);
  int argcv_meth_parser_noBlocks11762[] = {0};
  meth_meth_parser_noBlocks11762->type = alloc_MethodType(1, argcv_meth_parser_noBlocks11762);
  meth_meth_parser_noBlocks11762->definitionModule = modulename;
  meth_meth_parser_noBlocks11762->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool11763 = alloc_Boolean(1);
// compiled identifier node returning bool11763 (depth = 2)
  *var_blocksOK = bool11763;
  if (bool11763 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method blocksOK
  block_savedest(self);
  Object closure11764 = createclosure(1, "blocksOK");
  setclosureframe(closure11764, stackframe);
  addtoclosure(closure11764, var_blocksOK);
  struct UserObject *uo11764 = (struct UserObject*)self;
  uo11764->data[89] = (Object)closure11764;
  Method *meth_meth_parser_blocksOK11764 = addmethod2pos(self, "blocksOK", &meth_parser_blocksOK11764, 89);
  int argcv_meth_parser_blocksOK11764[] = {0};
  meth_meth_parser_blocksOK11764->type = alloc_MethodType(1, argcv_meth_parser_blocksOK11764);
  meth_meth_parser_blocksOK11764->definitionModule = modulename;
  meth_meth_parser_blocksOK11764->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool11765 = alloc_Boolean(0);
// compiled identifier node returning bool11765 (depth = 2)
  *var_braceIsType = bool11765;
  if (bool11765 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method braceIsType
  block_savedest(self);
  Object closure11766 = createclosure(1, "braceIsType");
  setclosureframe(closure11766, stackframe);
  addtoclosure(closure11766, var_braceIsType);
  struct UserObject *uo11766 = (struct UserObject*)self;
  uo11766->data[90] = (Object)closure11766;
  Method *meth_meth_parser_braceIsType11766 = addmethod2pos(self, "braceIsType", &meth_parser_braceIsType11766, 90);
  int argcv_meth_parser_braceIsType11766[] = {0};
  meth_meth_parser_braceIsType11766->type = alloc_MethodType(1, argcv_meth_parser_braceIsType11766);
  meth_meth_parser_braceIsType11766->definitionModule = modulename;
  meth_meth_parser_braceIsType11766->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method braceIsType:=
  block_savedest(self);
  Object closure11767 = createclosure(1, "braceIsType:=");
  setclosureframe(closure11767, stackframe);
  addtoclosure(closure11767, var_braceIsType);
  struct UserObject *uo11767 = (struct UserObject*)self;
  uo11767->data[91] = (Object)closure11767;
  Method *meth_meth_parser_braceIsType_58__61_11767 = addmethod2pos(self, "braceIsType:=", &meth_parser_braceIsType_58__61_11767, 91);
  int argcv_meth_parser_braceIsType_58__61_11767[] = {1};
  meth_meth_parser_braceIsType_58__61_11767->type = alloc_MethodType(1, argcv_meth_parser_braceIsType_58__61_11767);
  meth_meth_parser_braceIsType_58__61_11767->definitionModule = modulename;
  meth_meth_parser_braceIsType_58__61_11767->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit11769 == NULL) {
    strlit11769 = alloc_String("confidential");
    gc_root(strlit11769);
  }
// compiled string node returning strlit11769 (depth = 2)
  *var_defaultDefVisibility = strlit11769;
  if (strlit11769 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method defaultDefVisibility
  block_savedest(self);
  Object closure11770 = createclosure(1, "defaultDefVisibility");
  setclosureframe(closure11770, stackframe);
  addtoclosure(closure11770, var_defaultDefVisibility);
  struct UserObject *uo11770 = (struct UserObject*)self;
  uo11770->data[92] = (Object)closure11770;
  Method *meth_meth_parser_defaultDefVisibility11770 = addmethod2pos(self, "defaultDefVisibility", &meth_parser_defaultDefVisibility11770, 92);
  int argcv_meth_parser_defaultDefVisibility11770[] = {0};
  meth_meth_parser_defaultDefVisibility11770->type = alloc_MethodType(1, argcv_meth_parser_defaultDefVisibility11770);
  meth_meth_parser_defaultDefVisibility11770->definitionModule = modulename;
  meth_meth_parser_defaultDefVisibility11770->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method defaultDefVisibility:=
  block_savedest(self);
  Object closure11771 = createclosure(1, "defaultDefVisibility:=");
  setclosureframe(closure11771, stackframe);
  addtoclosure(closure11771, var_defaultDefVisibility);
  struct UserObject *uo11771 = (struct UserObject*)self;
  uo11771->data[93] = (Object)closure11771;
  Method *meth_meth_parser_defaultDefVisibility_58__61_11771 = addmethod2pos(self, "defaultDefVisibility:=", &meth_parser_defaultDefVisibility_58__61_11771, 93);
  int argcv_meth_parser_defaultDefVisibility_58__61_11771[] = {1};
  meth_meth_parser_defaultDefVisibility_58__61_11771->type = alloc_MethodType(1, argcv_meth_parser_defaultDefVisibility_58__61_11771);
  meth_meth_parser_defaultDefVisibility_58__61_11771->definitionModule = modulename;
  meth_meth_parser_defaultDefVisibility_58__61_11771->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit11773 == NULL) {
    strlit11773 = alloc_String("confidential");
    gc_root(strlit11773);
  }
// compiled string node returning strlit11773 (depth = 2)
  *var_defaultVarVisibility = strlit11773;
  if (strlit11773 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method defaultVarVisibility
  block_savedest(self);
  Object closure11774 = createclosure(1, "defaultVarVisibility");
  setclosureframe(closure11774, stackframe);
  addtoclosure(closure11774, var_defaultVarVisibility);
  struct UserObject *uo11774 = (struct UserObject*)self;
  uo11774->data[94] = (Object)closure11774;
  Method *meth_meth_parser_defaultVarVisibility11774 = addmethod2pos(self, "defaultVarVisibility", &meth_parser_defaultVarVisibility11774, 94);
  int argcv_meth_parser_defaultVarVisibility11774[] = {0};
  meth_meth_parser_defaultVarVisibility11774->type = alloc_MethodType(1, argcv_meth_parser_defaultVarVisibility11774);
  meth_meth_parser_defaultVarVisibility11774->definitionModule = modulename;
  meth_meth_parser_defaultVarVisibility11774->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method defaultVarVisibility:=
  block_savedest(self);
  Object closure11775 = createclosure(1, "defaultVarVisibility:=");
  setclosureframe(closure11775, stackframe);
  addtoclosure(closure11775, var_defaultVarVisibility);
  struct UserObject *uo11775 = (struct UserObject*)self;
  uo11775->data[95] = (Object)closure11775;
  Method *meth_meth_parser_defaultVarVisibility_58__61_11775 = addmethod2pos(self, "defaultVarVisibility:=", &meth_parser_defaultVarVisibility_58__61_11775, 95);
  int argcv_meth_parser_defaultVarVisibility_58__61_11775[] = {1};
  meth_meth_parser_defaultVarVisibility_58__61_11775->type = alloc_MethodType(1, argcv_meth_parser_defaultVarVisibility_58__61_11775);
  meth_meth_parser_defaultVarVisibility_58__61_11775->definitionModule = modulename;
  meth_meth_parser_defaultVarVisibility_58__61_11775->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit11777 == NULL) {
    strlit11777 = alloc_String("public");
    gc_root(strlit11777);
  }
// compiled string node returning strlit11777 (depth = 2)
  *var_defaultMethodVisibility = strlit11777;
  if (strlit11777 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method defaultMethodVisibility
  block_savedest(self);
  Object closure11778 = createclosure(1, "defaultMethodVisibility");
  setclosureframe(closure11778, stackframe);
  addtoclosure(closure11778, var_defaultMethodVisibility);
  struct UserObject *uo11778 = (struct UserObject*)self;
  uo11778->data[96] = (Object)closure11778;
  Method *meth_meth_parser_defaultMethodVisibility11778 = addmethod2pos(self, "defaultMethodVisibility", &meth_parser_defaultMethodVisibility11778, 96);
  int argcv_meth_parser_defaultMethodVisibility11778[] = {0};
  meth_meth_parser_defaultMethodVisibility11778->type = alloc_MethodType(1, argcv_meth_parser_defaultMethodVisibility11778);
  meth_meth_parser_defaultMethodVisibility11778->definitionModule = modulename;
  meth_meth_parser_defaultMethodVisibility11778->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method defaultMethodVisibility:=
  block_savedest(self);
  Object closure11779 = createclosure(1, "defaultMethodVisibility:=");
  setclosureframe(closure11779, stackframe);
  addtoclosure(closure11779, var_defaultMethodVisibility);
  struct UserObject *uo11779 = (struct UserObject*)self;
  uo11779->data[97] = (Object)closure11779;
  Method *meth_meth_parser_defaultMethodVisibility_58__61_11779 = addmethod2pos(self, "defaultMethodVisibility:=", &meth_parser_defaultMethodVisibility_58__61_11779, 97);
  int argcv_meth_parser_defaultMethodVisibility_58__61_11779[] = {1};
  meth_meth_parser_defaultMethodVisibility_58__61_11779->type = alloc_MethodType(1, argcv_meth_parser_defaultMethodVisibility_58__61_11779);
  meth_meth_parser_defaultMethodVisibility_58__61_11779->definitionModule = modulename;
  meth_meth_parser_defaultMethodVisibility_58__61_11779->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
  *var_sym = undefined;
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method sym
  block_savedest(self);
  Object closure11781 = createclosure(1, "sym");
  setclosureframe(closure11781, stackframe);
  addtoclosure(closure11781, var_sym);
  struct UserObject *uo11781 = (struct UserObject*)self;
  uo11781->data[98] = (Object)closure11781;
  Method *meth_meth_parser_sym11781 = addmethod2pos(self, "sym", &meth_parser_sym11781, 98);
  int argcv_meth_parser_sym11781[] = {0};
  meth_meth_parser_sym11781->type = alloc_MethodType(1, argcv_meth_parser_sym11781);
  meth_meth_parser_sym11781->definitionModule = modulename;
  meth_meth_parser_sym11781->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method sym:=
  block_savedest(self);
  Object closure11782 = createclosure(1, "sym:=");
  setclosureframe(closure11782, stackframe);
  addtoclosure(closure11782, var_sym);
  struct UserObject *uo11782 = (struct UserObject*)self;
  uo11782->data[99] = (Object)closure11782;
  Method *meth_meth_parser_sym_58__61_11782 = addmethod2pos(self, "sym:=", &meth_parser_sym_58__61_11782, 99);
  int argcv_meth_parser_sym_58__61_11782[] = {1};
  meth_meth_parser_sym_58__61_11782->type = alloc_MethodType(1, argcv_meth_parser_sym_58__61_11782);
  meth_meth_parser_sym_58__61_11782->definitionModule = modulename;
  meth_meth_parser_sym_58__61_11782->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject11784 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj11784 = alloc_userobj2(11,7, objclass11784);
  gc_frame_newslot(obj11784);
// OBJECT OUTER DEC outer
  adddatum2(obj11784, self, 0);
  addmethodreal(obj11784,"outer", &reader_parser_outer_11785);
  Object oldself11784 = self;
  struct StackFrameObject *oldstackframe11784 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe11784);
  gc_frame_newslot((Object)stackframe);
  self = obj11784;
  Object *oldselfslot11784 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter11784 = (*(struct UserObject *)self).data[0], lowerouter11784 = thisouter11784;
  if (inheritingObject11784) {
    struct UserObject *inho11784 = (struct UserObject *)inheritingObject11784;
    while (inho11784->super != GraceDefaultObject) inho11784 = (struct UserObject *)inho11784->super;
    inho11784->super = obj11784;
    self = inheritingObject11784;
    *selfslot = self;
    lowerouter11784 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter11784;
  }
if (objclass11784 == NULL) {
  Method *reader11786 = addmethodrealflags(obj11784, "kind",&reader_parser_kind_11786, 0);
  Method *writer11786 = addmethodrealflags(obj11784, "kind:=",&writer_parser_kind_11786, 0);
  reader11786->definitionModule = modulename;
  writer11786->definitionModule = modulename;
  reader11786->definitionLine = 29;
  writer11786->definitionLine = 29;
}
obj11784->flags |= OFLAG_MUTABLE;
adddatum2(obj11784, alloc_Undefined(), 1);
if (objclass11784 == NULL) {
  Method *reader11787 = addmethodrealflags(obj11784, "line",&reader_parser_line_11787, 0);
  Method *writer11787 = addmethodrealflags(obj11784, "line:=",&writer_parser_line_11787, 0);
  reader11787->definitionModule = modulename;
  writer11787->definitionModule = modulename;
  reader11787->definitionLine = 30;
  writer11787->definitionLine = 30;
}
obj11784->flags |= OFLAG_MUTABLE;
adddatum2(obj11784, alloc_Undefined(), 2);
if (objclass11784 == NULL) {
  Method *reader11788 = addmethodrealflags(obj11784, "linePos",&reader_parser_linePos_11788, 0);
  Method *writer11788 = addmethodrealflags(obj11784, "linePos:=",&writer_parser_linePos_11788, 0);
  reader11788->definitionModule = modulename;
  writer11788->definitionModule = modulename;
  reader11788->definitionLine = 31;
  writer11788->definitionLine = 31;
}
obj11784->flags |= OFLAG_MUTABLE;
adddatum2(obj11784, alloc_Undefined(), 3);
if (objclass11784 == NULL) {
  Method *reader11789 = addmethodrealflags(obj11784, "indent",&reader_parser_indent_11789, 0);
  Method *writer11789 = addmethodrealflags(obj11784, "indent:=",&writer_parser_indent_11789, 0);
  reader11789->definitionModule = modulename;
  writer11789->definitionModule = modulename;
  reader11789->definitionLine = 32;
  writer11789->definitionLine = 32;
}
obj11784->flags |= OFLAG_MUTABLE;
adddatum2(obj11784, alloc_Undefined(), 4);
if (objclass11784 == NULL) {
  Method *reader11790 = addmethodrealflags(obj11784, "value",&reader_parser_value_11790, 0);
  Method *writer11790 = addmethodrealflags(obj11784, "value:=",&writer_parser_value_11790, 0);
  reader11790->definitionModule = modulename;
  writer11790->definitionModule = modulename;
  reader11790->definitionLine = 33;
  writer11790->definitionLine = 33;
}
obj11784->flags |= OFLAG_MUTABLE;
adddatum2(obj11784, alloc_Undefined(), 5);
if (objclass11784 == NULL) {
  Method *reader11791 = addmethodrealflags(obj11784, "size",&reader_parser_size_11791, MFLAG_DEF);
  reader11791->definitionModule = modulename;
  reader11791->definitionLine = 34;
}
adddatum2(obj11784, alloc_Undefined(), 6);
  sourceObject = obj11784;
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit11792 == NULL) {
    strlit11792 = alloc_String("start");
    gc_root(strlit11792);
  }
// compiled string node returning strlit11792 (depth = 3)
  adddatum2(obj11784, strlit11792, 1);
  sourceObject = obj11784;
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num11793 = alloc_Float64(1);
// compiled num node returning num11793 (depth = 3)
  adddatum2(obj11784, num11793, 2);
  sourceObject = obj11784;
// Begin line 30
  setline(30);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num11794 = alloc_Float64(0);
// compiled num node returning num11794 (depth = 3)
  adddatum2(obj11784, num11794, 3);
  sourceObject = obj11784;
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num11795 = alloc_Float64(0);
// compiled num node returning num11795 (depth = 3)
  adddatum2(obj11784, num11795, 4);
  sourceObject = obj11784;
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit11796 == NULL) {
    strlit11796 = alloc_String("");
    gc_root(strlit11796);
  }
// compiled string node returning strlit11796 (depth = 3)
  adddatum2(obj11784, strlit11796, 5);
  sourceObject = obj11784;
// Begin line 33
  setline(33);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num11797 = alloc_Float64(0);
// compiled num node returning num11797 (depth = 3)
  adddatum2(obj11784, num11797, 6);
  objclass11784 = obj11784->class;
  objclass11784->definitionModule = modulename;
  objclass11784->definitionLine = 27;
  (*(struct UserObject *)self).data[0] = lowerouter11784;
  self = oldself11784;
  selfslot = oldselfslot11784;
  stackframe = oldstackframe11784;
// compiled object node returning obj11784 (depth = 2)
  *var_lastToken = obj11784;
  if (obj11784 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method lastToken
  block_savedest(self);
  Object closure11798 = createclosure(1, "lastToken");
  setclosureframe(closure11798, stackframe);
  addtoclosure(closure11798, var_lastToken);
  struct UserObject *uo11798 = (struct UserObject*)self;
  uo11798->data[100] = (Object)closure11798;
  Method *meth_meth_parser_lastToken11798 = addmethod2pos(self, "lastToken", &meth_parser_lastToken11798, 100);
  int argcv_meth_parser_lastToken11798[] = {0};
  meth_meth_parser_lastToken11798->type = alloc_MethodType(1, argcv_meth_parser_lastToken11798);
  meth_meth_parser_lastToken11798->definitionModule = modulename;
  meth_meth_parser_lastToken11798->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method lastToken:=
  block_savedest(self);
  Object closure11799 = createclosure(1, "lastToken:=");
  setclosureframe(closure11799, stackframe);
  addtoclosure(closure11799, var_lastToken);
  struct UserObject *uo11799 = (struct UserObject*)self;
  uo11799->data[101] = (Object)closure11799;
  Method *meth_meth_parser_lastToken_58__61_11799 = addmethod2pos(self, "lastToken:=", &meth_parser_lastToken_58__61_11799, 101);
  int argcv_meth_parser_lastToken_58__61_11799[] = {1};
  meth_meth_parser_lastToken_58__61_11799->type = alloc_MethodType(1, argcv_meth_parser_lastToken_58__61_11799);
  meth_meth_parser_lastToken_58__61_11799->definitionModule = modulename;
  meth_meth_parser_lastToken_58__61_11799->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_lastToken (depth = 2)
  *var_statementToken = *var_lastToken;
  if (*var_lastToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method statementToken
  block_savedest(self);
  Object closure11801 = createclosure(1, "statementToken");
  setclosureframe(closure11801, stackframe);
  addtoclosure(closure11801, var_statementToken);
  struct UserObject *uo11801 = (struct UserObject*)self;
  uo11801->data[102] = (Object)closure11801;
  Method *meth_meth_parser_statementToken11801 = addmethod2pos(self, "statementToken", &meth_parser_statementToken11801, 102);
  int argcv_meth_parser_statementToken11801[] = {0};
  meth_meth_parser_statementToken11801->type = alloc_MethodType(1, argcv_meth_parser_statementToken11801);
  meth_meth_parser_statementToken11801->definitionModule = modulename;
  meth_meth_parser_statementToken11801->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method statementToken:=
  block_savedest(self);
  Object closure11802 = createclosure(1, "statementToken:=");
  setclosureframe(closure11802, stackframe);
  addtoclosure(closure11802, var_statementToken);
  struct UserObject *uo11802 = (struct UserObject*)self;
  uo11802->data[103] = (Object)closure11802;
  Method *meth_meth_parser_statementToken_58__61_11802 = addmethod2pos(self, "statementToken:=", &meth_parser_statementToken_58__61_11802, 103);
  int argcv_meth_parser_statementToken_58__61_11802[] = {1};
  meth_meth_parser_statementToken_58__61_11802->type = alloc_MethodType(1, argcv_meth_parser_statementToken_58__61_11802);
  meth_meth_parser_statementToken_58__61_11802->definitionModule = modulename;
  meth_meth_parser_statementToken_58__61_11802->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool11804 = alloc_Boolean(0);
// compiled identifier node returning bool11804 (depth = 2)
  *var_comment = bool11804;
  if (bool11804 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method comment
  block_savedest(self);
  Object closure11805 = createclosure(1, "comment");
  setclosureframe(closure11805, stackframe);
  addtoclosure(closure11805, var_comment);
  struct UserObject *uo11805 = (struct UserObject*)self;
  uo11805->data[104] = (Object)closure11805;
  Method *meth_meth_parser_comment11805 = addmethod2pos(self, "comment", &meth_parser_comment11805, 104);
  int argcv_meth_parser_comment11805[] = {0};
  meth_meth_parser_comment11805->type = alloc_MethodType(1, argcv_meth_parser_comment11805);
  meth_meth_parser_comment11805->definitionModule = modulename;
  meth_meth_parser_comment11805->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method comment:=
  block_savedest(self);
  Object closure11806 = createclosure(1, "comment:=");
  setclosureframe(closure11806, stackframe);
  addtoclosure(closure11806, var_comment);
  struct UserObject *uo11806 = (struct UserObject*)self;
  uo11806->data[105] = (Object)closure11806;
  Method *meth_meth_parser_comment_58__61_11806 = addmethod2pos(self, "comment:=", &meth_parser_comment_58__61_11806, 105);
  int argcv_meth_parser_comment_58__61_11806[] = {1};
  meth_meth_parser_comment_58__61_11806->type = alloc_MethodType(1, argcv_meth_parser_comment_58__61_11806);
  meth_meth_parser_comment_58__61_11806->definitionModule = modulename;
  meth_meth_parser_comment_58__61_11806->definitionLine = 3565;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 70
  setline(70);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 160
  setline(160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 166
  setline(166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 187
  setline(187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 191
  setline(191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 212
  setline(212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 332
  setline(332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 555
  setline(555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 937
  setline(937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 949
  setline(949);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1546
  setline(1546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1577
  setline(1577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1620
  setline(1620);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1660
  setline(1660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1672
  setline(1672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1681
  setline(1681);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1688
  setline(1688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1694
  setline(1694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1836
  setline(1836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1871
  setline(1871);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1964
  setline(1964);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2074
  setline(2074);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2099
  setline(2099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2115
  setline(2115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2246
  setline(2246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2317
  setline(2317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2383
  setline(2383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2426
  setline(2426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2448
  setline(2448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2476
  setline(2476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2547
  setline(2547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2644
  setline(2644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2719
  setline(2719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2802
  setline(2802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2886
  setline(2886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3092
  setline(3092);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3150
  setline(3150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3185
  setline(3185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3214
  setline(3214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3247
  setline(3247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3297
  setline(3297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3333
  setline(3333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3406
  setline(3406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3423
  setline(3423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3433
  setline(3433);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3502
  setline(3502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
  gc_frame_end(frame);
  return self;
}
